SET FOREIGN_KEY_CHECKS=0;
-- ----------------------------
-- Table structure for accounts
-- ----------------------------
CREATE TABLE `accounts` (
  `login` varchar(50) NOT NULL DEFAULT '',
  `password` varchar(64) DEFAULT NULL,
  `lastactive` datetime DEFAULT NULL,
  `access_level` int(11) DEFAULT NULL,
  `ip` varchar(20) NOT NULL DEFAULT '',
  `host` varchar(255) NOT NULL DEFAULT '',
  `banned` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`login`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='MyISAM free: 3072 kB';

-- ----------------------------
-- Table structure for area
-- ----------------------------
CREATE TABLE `area` (
  `areaid` int(5) NOT NULL DEFAULT '0',
  `mapid` int(5) NOT NULL DEFAULT '0',
  `areaname` varchar(50) DEFAULT NULL,
  `x1` int(6) NOT NULL DEFAULT '0',
  `y1` int(6) NOT NULL DEFAULT '0',
  `x2` int(6) NOT NULL DEFAULT '0',
  `y2` int(6) NOT NULL DEFAULT '0',
  `flag` int(1) NOT NULL DEFAULT '0',
  `restart` int(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`areaid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for armor
-- ----------------------------
CREATE TABLE `armor` (
  `item_id` int(5) NOT NULL DEFAULT '0',
  `name` varchar(70) DEFAULT 'NULL',
  `name_id` varchar(45) NOT NULL DEFAULT '',
  `type` varchar(15) NOT NULL DEFAULT '',
  `material` varchar(45) NOT NULL DEFAULT '',
  `weight` int(7) unsigned NOT NULL DEFAULT '0',
  `invgfx` int(5) unsigned NOT NULL DEFAULT '0',
  `grdgfx` int(5) unsigned NOT NULL DEFAULT '0',
  `itemdesc_id` int(10) NOT NULL DEFAULT '0',
  `ac` int(3) NOT NULL DEFAULT '0',
  `safenchant` int(2) NOT NULL DEFAULT '0',
  `use_royal` int(2) unsigned NOT NULL DEFAULT '0',
  `use_knight` int(2) unsigned NOT NULL DEFAULT '0',
  `use_mage` int(2) unsigned NOT NULL DEFAULT '0',
  `use_elf` int(2) unsigned NOT NULL DEFAULT '0',
  `use_darkelf` int(2) unsigned NOT NULL DEFAULT '0',
  `add_str` int(2) NOT NULL DEFAULT '0',
  `add_con` int(2) NOT NULL DEFAULT '0',
  `add_dex` int(2) NOT NULL DEFAULT '0',
  `add_int` int(2) NOT NULL DEFAULT '0',
  `add_wis` int(2) NOT NULL DEFAULT '0',
  `add_cha` int(2) NOT NULL DEFAULT '0',
  `add_hp` int(10) NOT NULL DEFAULT '0',
  `add_mp` int(10) NOT NULL DEFAULT '0',
  `add_hpr` int(10) NOT NULL DEFAULT '0',
  `add_mpr` int(10) NOT NULL DEFAULT '0',
  `add_sp` int(10) NOT NULL DEFAULT '0',
  `min_lvl` int(4) unsigned NOT NULL DEFAULT '0',
  `max_lvl` int(4) unsigned NOT NULL DEFAULT '0',
  `m_def` int(2) NOT NULL DEFAULT '0',
  `haste_item` int(2) unsigned NOT NULL DEFAULT '0',
  `damage_reduction` int(10) NOT NULL DEFAULT '0',
  `weight_reduction` int(10) unsigned NOT NULL DEFAULT '0',
  `bow_hit_rate` int(10) NOT NULL DEFAULT '0',
  `bless` int(2) unsigned NOT NULL DEFAULT '1',
  `trade` int(2) unsigned NOT NULL DEFAULT '0',
  `defense_water` int(2) NOT NULL DEFAULT '0',
  `defense_wind` int(2) NOT NULL DEFAULT '0',
  `defense_fire` int(2) NOT NULL DEFAULT '0',
  `defense_earth` int(2) NOT NULL DEFAULT '0',
  `regist_stan` int(2) NOT NULL DEFAULT '0',
  `regist_stone` int(2) NOT NULL DEFAULT '0',
  `regist_sleep` int(2) NOT NULL DEFAULT '0',
  `regist_freeze` int(2) NOT NULL DEFAULT '0',
  PRIMARY KEY (`item_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for ban_ip
-- ----------------------------
CREATE TABLE `ban_ip` (
  `ip` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`ip`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='MyISAM free: 3072 kB';

-- ----------------------------
-- Table structure for beginner
-- ----------------------------
CREATE TABLE `beginner` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `item_id` int(6) NOT NULL DEFAULT '0',
  `count` int(10) NOT NULL DEFAULT '0',
  `enchantlvl` int(6) NOT NULL DEFAULT '0',
  `item_name` varchar(50) NOT NULL DEFAULT '',
  `activate` char(1) NOT NULL DEFAULT 'A',
  `is_id` int(1) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=12 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for board
-- ----------------------------
CREATE TABLE `board` (
  `id` int(10) NOT NULL DEFAULT '0',
  `name` varchar(16) DEFAULT NULL,
  `date` varchar(16) DEFAULT NULL,
  `title` varchar(16) DEFAULT NULL,
  `content` varchar(1000) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for board_auction
-- ----------------------------
CREATE TABLE `board_auction` (
  `house_id` int(10) unsigned NOT NULL DEFAULT '0',
  `house_name` varchar(45) NOT NULL DEFAULT '',
  `house_area` int(10) unsigned NOT NULL DEFAULT '0',
  `deadline` datetime DEFAULT NULL,
  `price` int(10) unsigned NOT NULL DEFAULT '0',
  `location` varchar(45) NOT NULL DEFAULT '',
  `old_owner` varchar(45) NOT NULL DEFAULT '',
  `old_owner_id` int(10) unsigned NOT NULL DEFAULT '0',
  `bidder` varchar(45) NOT NULL DEFAULT '',
  `bidder_id` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`house_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for bugs
-- ----------------------------
CREATE TABLE `bugs` (
  `id` int(13) unsigned NOT NULL AUTO_INCREMENT,
  `bugtext` varchar(255) NOT NULL DEFAULT '',
  `charname` varchar(45) NOT NULL DEFAULT '',
  `mapID` int(6) NOT NULL DEFAULT '0',
  `mapX` int(6) NOT NULL DEFAULT '0',
  `mapY` int(6) NOT NULL DEFAULT '0',
  `resolved` int(1) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for castle
-- ----------------------------
CREATE TABLE `castle` (
  `castle_id` int(11) NOT NULL DEFAULT '0',
  `name` varchar(45) NOT NULL DEFAULT '',
  `war_time` datetime DEFAULT NULL,
  `tax_rate` int(11) NOT NULL DEFAULT '0',
  `public_money` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`castle_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for character_buddys
-- ----------------------------
CREATE TABLE `character_buddys` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `char_id` int(10) NOT NULL DEFAULT '0',
  `buddy_id` int(10) unsigned NOT NULL DEFAULT '0',
  `buddy_name` varchar(45) NOT NULL,
  PRIMARY KEY (`char_id`,`buddy_id`),
  KEY `key_id` (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=139 DEFAULT CHARSET=utf8 COMMENT='MyISAM free: 10240 kB; MyISAM free: 10240 kB';

-- ----------------------------
-- Table structure for character_buff
-- ----------------------------
CREATE TABLE `character_buff` (
  `char_obj_id` int(10) NOT NULL DEFAULT '0',
  `skill_id` int(10) unsigned NOT NULL DEFAULT '0',
  `remaining_time` int(10) NOT NULL DEFAULT '0',
  `poly_id` int(10) DEFAULT '0',
  PRIMARY KEY (`char_obj_id`,`skill_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='MyISAM free: 10240 kB; MyISAM free: 10240 kB';

-- ----------------------------
-- Table structure for character_config
-- ----------------------------
CREATE TABLE `character_config` (
  `object_id` int(10) NOT NULL DEFAULT '0',
  `length` int(10) unsigned NOT NULL DEFAULT '0',
  `data` blob,
  PRIMARY KEY (`object_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for character_items
-- ----------------------------
CREATE TABLE `character_items` (
  `id` int(11) NOT NULL DEFAULT '0',
  `item_id` int(11) DEFAULT NULL,
  `char_id` int(11) DEFAULT NULL,
  `item_name` varchar(255) DEFAULT NULL,
  `count` int(11) DEFAULT NULL,
  `is_equipped` int(11) DEFAULT NULL,
  `enchantlvl` int(11) DEFAULT NULL,
  `is_id` int(11) DEFAULT NULL,
  `durability` int(11) DEFAULT NULL,
  `last_used` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `key_id` (`char_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for character_quests
-- ----------------------------
CREATE TABLE `character_quests` (
  `char_id` int(10) unsigned NOT NULL,
  `quest_id` int(10) unsigned NOT NULL DEFAULT '0',
  `quest_step` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`char_id`,`quest_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for character_skills
-- ----------------------------
CREATE TABLE `character_skills` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `char_obj_id` int(10) NOT NULL DEFAULT '0',
  `skill_id` int(10) unsigned NOT NULL DEFAULT '0',
  `skill_name` varchar(45) NOT NULL DEFAULT '',
  `is_active` int(10) DEFAULT NULL,
  `activetimeleft` int(10) DEFAULT NULL,
  PRIMARY KEY (`char_obj_id`,`skill_id`),
  KEY `key_id` (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=10580 DEFAULT CHARSET=utf8 COMMENT='MyISAM free: 10240 kB; MyISAM free: 10240 kB';

-- ----------------------------
-- Table structure for character_teleport
-- ----------------------------
CREATE TABLE `character_teleport` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `char_id` int(10) unsigned NOT NULL DEFAULT '0',
  `name` varchar(45) NOT NULL DEFAULT '',
  `locx` int(10) unsigned NOT NULL DEFAULT '0',
  `locy` int(10) unsigned NOT NULL DEFAULT '0',
  `mapid` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `key_id` (`char_id`)
) ENGINE=MyISAM AUTO_INCREMENT=301314268 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for character_warehouse
-- ----------------------------
CREATE TABLE `character_warehouse` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `account_name` varchar(13) DEFAULT NULL,
  `item_id` int(11) DEFAULT NULL,
  `item_name` varchar(255) DEFAULT NULL,
  `count` int(11) DEFAULT NULL,
  `is_equipped` int(11) DEFAULT NULL,
  `enchantlvl` int(11) DEFAULT NULL,
  `is_id` int(11) DEFAULT NULL,
  `durability` int(11) DEFAULT NULL,
  `last_used` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `key_id` (`account_name`)
) ENGINE=MyISAM AUTO_INCREMENT=301311380 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for characters
-- ----------------------------
CREATE TABLE `characters` (
  `account_name` varchar(13) NOT NULL DEFAULT '0',
  `objid` int(11) unsigned NOT NULL DEFAULT '0',
  `char_name` varchar(45) NOT NULL DEFAULT '',
  `level` int(11) unsigned NOT NULL DEFAULT '0',
  `Exp` int(10) unsigned NOT NULL DEFAULT '0',
  `MaxHp` int(10) unsigned NOT NULL DEFAULT '0',
  `CurHp` int(10) unsigned NOT NULL DEFAULT '0',
  `MaxMp` int(10) NOT NULL DEFAULT '0',
  `CurMp` int(10) NOT NULL DEFAULT '0',
  `Ac` int(10) NOT NULL DEFAULT '0',
  `Str` int(3) NOT NULL DEFAULT '0',
  `Con` int(3) NOT NULL DEFAULT '0',
  `Dex` int(3) NOT NULL DEFAULT '0',
  `Cha` int(3) NOT NULL DEFAULT '0',
  `Intel` int(3) NOT NULL DEFAULT '0',
  `Wis` int(3) NOT NULL DEFAULT '0',
  `Status` int(10) unsigned NOT NULL DEFAULT '0',
  `Class` int(10) unsigned NOT NULL DEFAULT '0',
  `Sex` int(10) unsigned NOT NULL DEFAULT '0',
  `Type` int(10) unsigned NOT NULL DEFAULT '0',
  `Heading` int(10) unsigned NOT NULL DEFAULT '0',
  `LocX` int(11) unsigned NOT NULL DEFAULT '0',
  `LocY` int(11) unsigned NOT NULL DEFAULT '0',
  `MapID` int(10) unsigned NOT NULL DEFAULT '0',
  `Food` int(10) unsigned NOT NULL DEFAULT '0',
  `Lawful` int(10) NOT NULL DEFAULT '0',
  `Title` varchar(35) NOT NULL DEFAULT '',
  `ClanID` int(10) unsigned NOT NULL DEFAULT '0',
  `Clanname` varchar(45) NOT NULL DEFAULT '',
  `BonusStatus` int(10) NOT NULL DEFAULT '0',
  `ElixirStatus` int(10) NOT NULL DEFAULT '0',
  `ElfAttr` int(10) NOT NULL DEFAULT '0',
  `PKcount` int(10) NOT NULL DEFAULT '0',
  `ExpRes` int(10) NOT NULL DEFAULT '0',
  `PartnerID` int(10) NOT NULL DEFAULT '0',
  `IsGM` int(10) unsigned NOT NULL DEFAULT '0',
  `OnlineStatus` int(10) unsigned NOT NULL DEFAULT '0',
  `HomeTownID` int(10) NOT NULL DEFAULT '0',
  `Contribution` int(10) NOT NULL DEFAULT '0',
  `Pay` int(10) NOT NULL DEFAULT '0',
  `HellTime` int(10) unsigned NOT NULL DEFAULT '0',
  `Banned` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `Karma` int(10) NOT NULL DEFAULT '0',
  `LastPk` datetime DEFAULT NULL,
  PRIMARY KEY (`objid`),
  KEY `key_id` (`account_name`,`char_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for clan_data
-- ----------------------------
CREATE TABLE `clan_data` (
  `clan_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `clan_name` varchar(45) NOT NULL DEFAULT '',
  `leader_id` int(10) unsigned NOT NULL DEFAULT '0',
  `leader_name` varchar(45) NOT NULL DEFAULT '',
  `hascastle` int(10) unsigned NOT NULL DEFAULT '0',
  `hashouse` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`clan_id`)
) ENGINE=MyISAM AUTO_INCREMENT=301066699 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for clan_warehouse
-- ----------------------------
CREATE TABLE `clan_warehouse` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `clan_name` varchar(45) DEFAULT NULL,
  `item_id` int(11) DEFAULT NULL,
  `item_name` varchar(255) DEFAULT NULL,
  `count` int(11) DEFAULT NULL,
  `is_equipped` int(11) DEFAULT NULL,
  `enchantlvl` int(11) DEFAULT NULL,
  `is_id` int(11) DEFAULT NULL,
  `durability` int(11) DEFAULT NULL,
  `last_used` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `key_id` (`clan_name`)
) ENGINE=MyISAM AUTO_INCREMENT=301313021 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for connection_test_table
-- ----------------------------
CREATE TABLE `connection_test_table` (
  `a` char(1) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for drop_item
-- ----------------------------
CREATE TABLE `drop_item` (
  `item_id` int(10) NOT NULL DEFAULT '0',
  `drop_rate` float unsigned NOT NULL DEFAULT '0',
  `drop_amount` float unsigned NOT NULL DEFAULT '0',
  `note` varchar(45) NOT NULL DEFAULT '',
  PRIMARY KEY (`item_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for droplist
-- ----------------------------
CREATE TABLE `droplist` (
  `mobId` int(6) unsigned NOT NULL DEFAULT '0',
  `itemId` int(6) unsigned NOT NULL DEFAULT '0',
  `min` int(4) unsigned NOT NULL DEFAULT '0',
  `max` int(4) unsigned NOT NULL DEFAULT '0',
  `chance` int(8) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`mobId`,`itemId`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for dungeon
-- ----------------------------
CREATE TABLE `dungeon` (
  `src_x` int(10) NOT NULL DEFAULT '0',
  `src_y` int(10) NOT NULL DEFAULT '0',
  `src_mapid` int(10) NOT NULL DEFAULT '0',
  `new_x` int(10) NOT NULL DEFAULT '0',
  `new_y` int(10) NOT NULL DEFAULT '0',
  `new_mapid` int(10) NOT NULL DEFAULT '0',
  `new_heading` int(10) NOT NULL DEFAULT '1',
  `note` varchar(50) NOT NULL DEFAULT '',
  PRIMARY KEY (`src_x`,`src_y`,`src_mapid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='MyISAM free: 8192 kB';

-- ----------------------------
-- Table structure for etcitem
-- ----------------------------
CREATE TABLE `etcitem` (
  `item_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(45) NOT NULL DEFAULT '',
  `name_id` varchar(45) NOT NULL DEFAULT '',
  `item_type` varchar(40) NOT NULL DEFAULT '',
  `use_type` varchar(20) NOT NULL DEFAULT '',
  `material` varchar(45) NOT NULL DEFAULT '',
  `weight` int(10) unsigned NOT NULL DEFAULT '0',
  `invgfx` int(10) unsigned NOT NULL DEFAULT '0',
  `grdgfx` int(10) unsigned NOT NULL DEFAULT '0',
  `itemdesc_id` int(10) unsigned NOT NULL DEFAULT '0',
  `stackable` int(10) unsigned NOT NULL DEFAULT '0',
  `dmg_small` int(10) unsigned NOT NULL DEFAULT '0',
  `dmg_large` int(10) unsigned NOT NULL DEFAULT '0',
  `min_lvl` int(10) unsigned NOT NULL DEFAULT '0',
  `max_lvl` int(10) unsigned NOT NULL DEFAULT '0',
  `locx` int(10) unsigned NOT NULL DEFAULT '0',
  `locy` int(10) unsigned NOT NULL DEFAULT '0',
  `mapid` int(10) unsigned NOT NULL DEFAULT '0',
  `bless` int(2) unsigned NOT NULL DEFAULT '1',
  `trade` int(2) unsigned NOT NULL DEFAULT '0',
  `delay_id` int(10) unsigned NOT NULL DEFAULT '0',
  `delay_time` int(10) unsigned NOT NULL DEFAULT '0',
  `delay_effect` int(10) unsigned NOT NULL DEFAULT '0',
  `food_volume` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`item_id`)
) ENGINE=MyISAM AUTO_INCREMENT=240088 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for getback
-- ----------------------------
CREATE TABLE `getback` (
  `area_x1` int(10) NOT NULL DEFAULT '0',
  `area_y1` int(10) NOT NULL DEFAULT '0',
  `area_x2` int(10) NOT NULL DEFAULT '0',
  `area_y2` int(10) NOT NULL DEFAULT '0',
  `area_mapid` int(10) NOT NULL DEFAULT '0',
  `getback_x1` int(10) NOT NULL DEFAULT '0',
  `getback_y1` int(10) NOT NULL DEFAULT '0',
  `getback_x2` int(10) NOT NULL DEFAULT '0',
  `getback_y2` int(10) NOT NULL DEFAULT '0',
  `getback_x3` int(10) NOT NULL DEFAULT '0',
  `getback_y3` int(10) NOT NULL DEFAULT '0',
  `getback_mapid` int(10) NOT NULL DEFAULT '0',
  `getback_townid` int(10) unsigned NOT NULL DEFAULT '0',
  `getback_townid_elf` int(10) unsigned NOT NULL DEFAULT '0',
  `getback_townid_darkelf` int(10) unsigned NOT NULL DEFAULT '0',
  `scrollescape` int(10) NOT NULL DEFAULT '1',
  `note` varchar(50) NOT NULL DEFAULT '',
  PRIMARY KEY (`area_x1`,`area_y1`,`area_x2`,`area_y2`,`area_mapid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for getback_restart
-- ----------------------------
CREATE TABLE `getback_restart` (
  `id` int(10) NOT NULL DEFAULT '0',
  `area` int(10) NOT NULL DEFAULT '0',
  `areaname` varchar(50) DEFAULT NULL,
  `locx` int(10) NOT NULL DEFAULT '0',
  `locy` int(10) NOT NULL DEFAULT '0',
  `mapid` int(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for house
-- ----------------------------
CREATE TABLE `house` (
  `house_id` int(10) unsigned NOT NULL DEFAULT '0',
  `house_name` varchar(45) NOT NULL DEFAULT '',
  `house_area` int(10) unsigned NOT NULL DEFAULT '0',
  `location` varchar(45) NOT NULL DEFAULT '',
  `keeper_id` int(10) unsigned NOT NULL DEFAULT '0',
  `is_on_sale` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`house_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for letter
-- ----------------------------
CREATE TABLE `letter` (
  `item_object_id` int(10) unsigned NOT NULL DEFAULT '0',
  `code` int(10) unsigned NOT NULL DEFAULT '0',
  `sender` varchar(16) DEFAULT NULL,
  `receiver` varchar(16) DEFAULT NULL,
  `date` varchar(16) DEFAULT NULL,
  `template_id` int(5) unsigned NOT NULL DEFAULT '0',
  `subject` blob,
  `content` blob,
  PRIMARY KEY (`item_object_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for log_chat
-- ----------------------------
CREATE TABLE `log_chat` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `account_name` varchar(50) NOT NULL,
  `char_id` int(10) NOT NULL,
  `name` varchar(50) NOT NULL,
  `clan_id` int(10) NOT NULL,
  `clan_name` varchar(50) DEFAULT NULL,
  `locx` int(10) NOT NULL,
  `locy` int(10) NOT NULL,
  `mapid` int(10) NOT NULL,
  `type` int(10) NOT NULL,
  `target_account_name` varchar(50) DEFAULT NULL,
  `target_id` int(10) DEFAULT '0',
  `target_name` varchar(50) DEFAULT NULL,
  `target_clan_id` int(10) DEFAULT NULL,
  `target_clan_name` varchar(50) DEFAULT NULL,
  `target_locx` int(10) DEFAULT NULL,
  `target_locy` int(10) DEFAULT NULL,
  `target_mapid` int(10) DEFAULT NULL,
  `content` varchar(256) NOT NULL,
  `datetime` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for log_enchant
-- ----------------------------
CREATE TABLE `log_enchant` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `char_id` int(10) NOT NULL DEFAULT '0',
  `item_id` int(10) unsigned NOT NULL DEFAULT '0',
  `old_enchantlvl` int(3) NOT NULL DEFAULT '0',
  `new_enchantlvl` int(3) DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `key_id` (`char_id`)
) ENGINE=MyISAM AUTO_INCREMENT=244 DEFAULT CHARSET=utf8 COMMENT='MyISAM free: 10240 kB; MyISAM free: 10240 kB';

-- ----------------------------
-- Table structure for mapids
-- ----------------------------
CREATE TABLE `mapids` (
  `mapid` int(10) NOT NULL DEFAULT '0',
  `locationname` varchar(45) DEFAULT NULL,
  `startX` int(10) unsigned NOT NULL DEFAULT '0',
  `endX` int(10) unsigned NOT NULL DEFAULT '0',
  `startY` int(10) unsigned NOT NULL DEFAULT '0',
  `endY` int(10) unsigned NOT NULL DEFAULT '0',
  `monster_amount` float unsigned NOT NULL DEFAULT '0',
  `drop_rate` float unsigned NOT NULL DEFAULT '0',
  `underwater` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `markable` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `teleportable` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `escapable` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `resurrection` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `painwand` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `penalty` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `take_pets` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `recall_pets` tinyint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`mapid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for mobgroup
-- ----------------------------
CREATE TABLE `mobgroup` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `note` varchar(255) NOT NULL DEFAULT '',
  `leader_id` int(10) unsigned NOT NULL DEFAULT '0',
  `minion1_id` int(10) unsigned NOT NULL DEFAULT '0',
  `minion1_count` int(10) unsigned NOT NULL DEFAULT '0',
  `minion2_id` int(10) unsigned NOT NULL DEFAULT '0',
  `minion2_count` int(10) unsigned NOT NULL DEFAULT '0',
  `minion3_id` int(10) unsigned NOT NULL DEFAULT '0',
  `minion3_count` int(10) unsigned NOT NULL DEFAULT '0',
  `minion4_id` int(10) unsigned NOT NULL DEFAULT '0',
  `minion4_count` int(10) unsigned NOT NULL DEFAULT '0',
  `minion5_id` int(10) unsigned NOT NULL DEFAULT '0',
  `minion5_count` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=49 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for mobskill
-- ----------------------------
CREATE TABLE `mobskill` (
  `mobid` int(10) unsigned NOT NULL DEFAULT '0',
  `actNo` int(10) unsigned NOT NULL DEFAULT '0',
  `mobname` varchar(45) NOT NULL DEFAULT '',
  `Type` int(10) unsigned NOT NULL DEFAULT '0',
  `TriRnd` int(10) unsigned NOT NULL DEFAULT '0',
  `TriHp` int(10) unsigned NOT NULL DEFAULT '0',
  `TriCompanionHp` int(10) unsigned NOT NULL DEFAULT '0',
  `TriRange` int(10) NOT NULL DEFAULT '0',
  `TriCount` int(10) NOT NULL DEFAULT '0',
  `ChangeTarget` int(10) unsigned NOT NULL DEFAULT '0',
  `Range` int(10) unsigned NOT NULL DEFAULT '0',
  `AreaWidth` int(10) unsigned NOT NULL DEFAULT '0',
  `AreaHeight` int(10) unsigned NOT NULL DEFAULT '0',
  `Leverage` int(10) unsigned NOT NULL DEFAULT '0',
  `SkillId` int(10) unsigned NOT NULL DEFAULT '0',
  `Gfxid` int(10) unsigned NOT NULL DEFAULT '0',
  `ActId` int(10) unsigned NOT NULL DEFAULT '0',
  `SummonId` int(10) unsigned NOT NULL DEFAULT '0',
  `SummonMin` int(10) NOT NULL DEFAULT '0',
  `SummonMax` int(10) NOT NULL DEFAULT '0',
  `PolyId` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`mobid`,`actNo`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for npc
-- ----------------------------
CREATE TABLE `npc` (
  `npcid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(45) NOT NULL DEFAULT '',
  `nameid` varchar(45) NOT NULL DEFAULT '',
  `impl` varchar(45) NOT NULL DEFAULT '',
  `gfxid` int(10) unsigned NOT NULL DEFAULT '0',
  `lvl` int(10) unsigned NOT NULL DEFAULT '0',
  `hp` int(10) unsigned NOT NULL DEFAULT '0',
  `mp` int(10) unsigned NOT NULL DEFAULT '0',
  `ac` int(10) NOT NULL DEFAULT '0',
  `str` int(10) NOT NULL DEFAULT '0',
  `con` int(10) NOT NULL DEFAULT '0',
  `dex` int(10) NOT NULL DEFAULT '0',
  `wis` int(10) NOT NULL DEFAULT '0',
  `intel` int(10) NOT NULL DEFAULT '0',
  `mr` int(10) NOT NULL DEFAULT '0',
  `exp` int(10) unsigned NOT NULL DEFAULT '0',
  `lawful` int(10) NOT NULL DEFAULT '0',
  `size` varchar(10) NOT NULL DEFAULT '',
  `weak_water` int(10) NOT NULL DEFAULT '0',
  `weak_wind` int(10) NOT NULL DEFAULT '0',
  `weak_fire` int(10) NOT NULL DEFAULT '0',
  `weak_earth` int(10) NOT NULL DEFAULT '0',
  `ranged` int(10) unsigned NOT NULL DEFAULT '0',
  `tamable` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `passispeed` int(10) unsigned NOT NULL DEFAULT '0',
  `atkspeed` int(10) unsigned NOT NULL DEFAULT '0',
  `atk_magic_speed` int(10) unsigned NOT NULL DEFAULT '0',
  `sub_magic_speed` int(10) unsigned NOT NULL DEFAULT '0',
  `undead` int(10) unsigned NOT NULL DEFAULT '0',
  `poison_atk` int(10) unsigned NOT NULL DEFAULT '0',
  `paralysis_atk` int(10) unsigned NOT NULL DEFAULT '0',
  `agro` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `agrososc` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `agrocoi` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `family` varchar(20) NOT NULL DEFAULT '',
  `agrofamily` int(1) unsigned NOT NULL DEFAULT '0',
  `agrogfxid1` int(10) NOT NULL DEFAULT '-1',
  `agrogfxid2` int(10) NOT NULL DEFAULT '-1',
  `picupitem` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `digestitem` int(1) unsigned NOT NULL DEFAULT '0',
  `bravespeed` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `hprinterval` int(6) unsigned NOT NULL DEFAULT '0',
  `hpr` int(5) unsigned NOT NULL DEFAULT '0',
  `mprinterval` int(6) unsigned NOT NULL DEFAULT '0',
  `mpr` int(5) unsigned NOT NULL DEFAULT '0',
  `teleport` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `randomlevel` int(3) unsigned NOT NULL DEFAULT '0',
  `randomhp` int(5) unsigned NOT NULL DEFAULT '0',
  `randommp` int(5) unsigned NOT NULL DEFAULT '0',
  `randomac` int(3) NOT NULL DEFAULT '0',
  `randomexp` int(5) unsigned NOT NULL DEFAULT '0',
  `randomlawful` int(5) NOT NULL DEFAULT '0',
  `damage_reduction` int(5) unsigned NOT NULL DEFAULT '0',
  `hard` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `doppel` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `IsTU` tinyint(1) NOT NULL DEFAULT '0' COMMENT '',
  `IsErase` tinyint(1) NOT NULL DEFAULT '0' COMMENT '',
  `bowActId` int(5) unsigned NOT NULL DEFAULT '0',
  `karma` int(10) NOT NULL DEFAULT '0',
  `transform_id` int(10) NOT NULL DEFAULT '-1',
  `light_size` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `amount_fixed` tinyint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`npcid`)
) ENGINE=MyISAM AUTO_INCREMENT=90004 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for npcaction
-- ----------------------------
CREATE TABLE `npcaction` (
  `npcid` int(10) unsigned NOT NULL DEFAULT '0',
  `normal_action` varchar(45) NOT NULL DEFAULT '',
  `caotic_action` varchar(45) NOT NULL DEFAULT '',
  `teleport_url` varchar(45) NOT NULL DEFAULT '',
  PRIMARY KEY (`npcid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for pets
-- ----------------------------
CREATE TABLE `pets` (
  `item_obj_id` int(10) unsigned NOT NULL DEFAULT '0',
  `objid` int(10) unsigned NOT NULL DEFAULT '0',
  `npcid` int(10) unsigned NOT NULL DEFAULT '0',
  `name` varchar(45) NOT NULL DEFAULT '',
  `lvl` int(10) unsigned NOT NULL DEFAULT '0',
  `hp` int(10) unsigned NOT NULL DEFAULT '0',
  `mp` int(10) unsigned NOT NULL DEFAULT '0',
  `exp` int(10) unsigned NOT NULL DEFAULT '0',
  `lawful` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`item_obj_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for pettypes
-- ----------------------------
CREATE TABLE `pettypes` (
  `BaseNpcId` int(10) NOT NULL,
  `Name` varchar(45) NOT NULL,
  `ItemIdForTaming` int(10) NOT NULL,
  `HpUpMin` int(10) NOT NULL,
  `HpUpMax` int(10) NOT NULL,
  `MpUpMin` int(10) NOT NULL,
  `MpUpMax` int(10) NOT NULL,
  `NpcIdForEvolving` int(10) NOT NULL,
  `MessageId1` int(10) NOT NULL,
  `MessageId2` int(10) NOT NULL,
  `MessageId3` int(10) NOT NULL,
  `MessageId4` int(10) NOT NULL,
  `MessageId5` int(10) NOT NULL,
  PRIMARY KEY (`BaseNpcId`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for polymorphs
-- ----------------------------
CREATE TABLE `polymorphs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `polyid` int(11) DEFAULT NULL,
  `minlevel` int(11) DEFAULT NULL,
  `weaponequip` int(11) DEFAULT NULL,
  `armorequip` int(11) DEFAULT NULL,
  `isSkillUse` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=6011 DEFAULT CHARSET=utf8 COMMENT='MyISAM free: 10240 kB';

-- ----------------------------
-- Table structure for quest_drops
-- ----------------------------
CREATE TABLE `quest_drops` (
  `item_id` int(11) NOT NULL,
  `class` varchar(1) NOT NULL,
  PRIMARY KEY (`item_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for shop
-- ----------------------------
CREATE TABLE `shop` (
  `npc_id` int(10) unsigned NOT NULL DEFAULT '0',
  `item_id` int(10) unsigned NOT NULL DEFAULT '0',
  `order_id` int(10) unsigned NOT NULL DEFAULT '0',
  `selling_price` int(10) NOT NULL DEFAULT '-1',
  `pack_count` int(10) unsigned NOT NULL DEFAULT '0',
  `purchasing_price` int(10) NOT NULL DEFAULT '-1',
  PRIMARY KEY (`npc_id`,`item_id`,`order_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for skills
-- ----------------------------
CREATE TABLE `skills` (
  `skill_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(45) NOT NULL DEFAULT '',
  `skill_level` int(10) NOT NULL DEFAULT '0',
  `skill_number` int(10) NOT NULL DEFAULT '0',
  `mpConsume` int(10) unsigned NOT NULL DEFAULT '0',
  `hpConsume` int(10) unsigned NOT NULL DEFAULT '0',
  `itemConsumeId` int(10) unsigned NOT NULL DEFAULT '0',
  `itemConsumeCount` int(10) unsigned NOT NULL DEFAULT '0',
  `reuseDelay` int(10) unsigned NOT NULL DEFAULT '0',
  `buffDuration` int(10) unsigned NOT NULL DEFAULT '0',
  `target` varchar(45) NOT NULL DEFAULT '',
  `target_to` int(10) NOT NULL DEFAULT '0',
  `damage_value` int(10) unsigned NOT NULL DEFAULT '0',
  `damage_dice` int(10) unsigned NOT NULL DEFAULT '0',
  `damage_dice_count` int(10) unsigned NOT NULL DEFAULT '0',
  `probability_value` int(10) unsigned NOT NULL DEFAULT '0',
  `probability_dice` int(10) unsigned NOT NULL DEFAULT '0',
  `attr` int(10) unsigned NOT NULL DEFAULT '0',
  `type` int(10) unsigned NOT NULL DEFAULT '0',
  `lawful` int(10) NOT NULL DEFAULT '0',
  `ranged` int(10) NOT NULL DEFAULT '0',
  `area` int(10) NOT NULL DEFAULT '0',
  `through` int(10) NOT NULL DEFAULT '0',
  `id` int(10) unsigned NOT NULL DEFAULT '0',
  `nameid` varchar(45) NOT NULL DEFAULT '',
  `castgfx` int(10) unsigned NOT NULL DEFAULT '0',
  `sysmsgID_happen` int(10) unsigned NOT NULL DEFAULT '0',
  `sysmsgID_stop` int(10) unsigned NOT NULL DEFAULT '0',
  `sysmsgID_fail` int(10) unsigned NOT NULL DEFAULT '0',
  `arrowType` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`skill_id`)
) ENGINE=MyISAM AUTO_INCREMENT=1170000 DEFAULT CHARSET=utf8 COMMENT='MyISAM free: 10240 kB; MyISAM free: 10240 kB';

-- ----------------------------
-- Table structure for spawnlist
-- ----------------------------
CREATE TABLE `spawnlist` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `location` varchar(45) NOT NULL DEFAULT '',
  `count` int(10) unsigned NOT NULL DEFAULT '0',
  `npc_templateid` int(10) unsigned NOT NULL DEFAULT '0',
  `group_id` int(10) unsigned NOT NULL DEFAULT '0',
  `locx` int(10) unsigned NOT NULL DEFAULT '0',
  `locy` int(10) unsigned NOT NULL DEFAULT '0',
  `randomx` int(10) unsigned NOT NULL DEFAULT '0',
  `randomy` int(10) unsigned NOT NULL DEFAULT '0',
  `locx1` int(10) unsigned NOT NULL DEFAULT '0',
  `locy1` int(10) unsigned NOT NULL DEFAULT '0',
  `locx2` int(10) unsigned NOT NULL DEFAULT '0',
  `locy2` int(10) unsigned NOT NULL DEFAULT '0',
  `heading` int(10) unsigned NOT NULL DEFAULT '0',
  `min_respawn_delay` int(10) unsigned NOT NULL DEFAULT '0',
  `max_respawn_delay` int(10) unsigned NOT NULL DEFAULT '0',
  `mapid` int(10) unsigned NOT NULL DEFAULT '0',
  `respawn_screen` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `movement_distance` int(10) unsigned NOT NULL DEFAULT '0',
  `rest` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `near_spawn` tinyint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=801500403 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for spawnlist_boss
-- ----------------------------
CREATE TABLE `spawnlist_boss` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `location` varchar(45) NOT NULL DEFAULT '',
  `cycle_type` varchar(20) NOT NULL DEFAULT '',
  `count` int(10) unsigned NOT NULL DEFAULT '0',
  `npc_id` int(10) unsigned NOT NULL DEFAULT '0',
  `group_id` int(10) unsigned NOT NULL DEFAULT '0',
  `locx` int(10) unsigned NOT NULL DEFAULT '0',
  `locy` int(10) unsigned NOT NULL DEFAULT '0',
  `randomx` int(10) unsigned NOT NULL DEFAULT '0',
  `randomy` int(10) unsigned NOT NULL DEFAULT '0',
  `locx1` int(10) unsigned NOT NULL DEFAULT '0',
  `locy1` int(10) unsigned NOT NULL DEFAULT '0',
  `locx2` int(10) unsigned NOT NULL DEFAULT '0',
  `locy2` int(10) unsigned NOT NULL DEFAULT '0',
  `heading` int(10) unsigned NOT NULL DEFAULT '0',
  `mapid` int(10) unsigned NOT NULL DEFAULT '0',
  `respawn_screen` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `movement_distance` int(10) unsigned NOT NULL DEFAULT '0',
  `rest` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `spawn_type` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `percentage` tinyint(3) unsigned NOT NULL DEFAULT '100',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=91 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for spawnlist_door
-- ----------------------------
CREATE TABLE `spawnlist_door` (
  `id` int(11) NOT NULL DEFAULT '0',
  `location` varchar(25) NOT NULL DEFAULT '',
  `gfxid` int(11) NOT NULL DEFAULT '0',
  `locx` int(11) NOT NULL DEFAULT '0',
  `locy` int(11) NOT NULL DEFAULT '0',
  `mapid` int(11) NOT NULL DEFAULT '0',
  `direction` int(11) NOT NULL DEFAULT '0',
  `entrancex` int(11) NOT NULL DEFAULT '0',
  `entrancey` int(11) NOT NULL DEFAULT '0',
  `hp` int(11) NOT NULL DEFAULT '0',
  `keeper` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for spawnlist_npc
-- ----------------------------
CREATE TABLE `spawnlist_npc` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `location` varchar(255) NOT NULL DEFAULT '',
  `count` int(10) unsigned NOT NULL DEFAULT '0',
  `npc_templateid` int(10) unsigned NOT NULL DEFAULT '0',
  `locx` int(10) unsigned NOT NULL DEFAULT '0',
  `locy` int(10) unsigned NOT NULL DEFAULT '0',
  `randomx` int(10) unsigned NOT NULL DEFAULT '0',
  `randomy` int(10) unsigned NOT NULL DEFAULT '0',
  `heading` int(10) unsigned NOT NULL DEFAULT '0',
  `respawn_delay` int(10) unsigned NOT NULL DEFAULT '0',
  `mapid` int(10) unsigned NOT NULL DEFAULT '0',
  `movement_distance` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=130904 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for spawnlist_trap
-- ----------------------------
CREATE TABLE `spawnlist_trap` (
  `id` int(8) NOT NULL,
  `note` varchar(64) DEFAULT NULL,
  `trapId` int(8) NOT NULL,
  `mapId` int(4) NOT NULL,
  `locX` int(4) NOT NULL,
  `locY` int(4) NOT NULL,
  `locRndX` int(4) NOT NULL DEFAULT '0',
  `locRndY` int(4) NOT NULL DEFAULT '0',
  `count` int(4) NOT NULL DEFAULT '1',
  `span` int(4) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for spawnlist_ub
-- ----------------------------
CREATE TABLE `spawnlist_ub` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ub_id` int(10) unsigned NOT NULL DEFAULT '0',
  `pattern` int(10) unsigned NOT NULL DEFAULT '0',
  `group_id` int(10) unsigned NOT NULL DEFAULT '0',
  `location` varchar(19) NOT NULL DEFAULT '',
  `npc_templateid` int(10) unsigned NOT NULL DEFAULT '0',
  `count` int(10) unsigned NOT NULL DEFAULT '0',
  `spawn_delay` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1117 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for town
-- ----------------------------
CREATE TABLE `town` (
  `town_id` int(10) unsigned NOT NULL DEFAULT '0',
  `name` varchar(45) NOT NULL DEFAULT '',
  `leader_id` int(10) unsigned NOT NULL DEFAULT '0',
  `leader_name` varchar(45) DEFAULT NULL,
  `tax_rate` int(10) unsigned NOT NULL DEFAULT '0',
  `tax_rate_reserved` int(10) unsigned NOT NULL DEFAULT '0',
  `sales_money` int(10) unsigned NOT NULL DEFAULT '0',
  `sales_money_yesterday` int(10) unsigned NOT NULL DEFAULT '0',
  `town_tax` int(10) unsigned NOT NULL DEFAULT '0',
  `town_fix_tax` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`town_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for trap
-- ----------------------------
CREATE TABLE `trap` (
  `id` int(8) NOT NULL,
  `note` varchar(64) DEFAULT NULL,
  `type` varchar(64) NOT NULL,
  `gfxId` int(4) NOT NULL,
  `isDetectionable` tinyint(1) NOT NULL,
  `base` int(4) NOT NULL,
  `dice` int(4) NOT NULL,
  `diceCount` int(4) NOT NULL,
  `poisonType` char(1) NOT NULL DEFAULT 'n',
  `poisonDelay` int(4) NOT NULL DEFAULT '0',
  `poisonTime` int(4) NOT NULL DEFAULT '0',
  `poisonDamage` int(4) NOT NULL DEFAULT '0',
  `monsterNpcId` int(4) NOT NULL DEFAULT '0',
  `monsterCount` int(4) NOT NULL DEFAULT '0',
  `teleportX` int(4) NOT NULL DEFAULT '0',
  `teleportY` int(4) NOT NULL DEFAULT '0',
  `teleportMapId` int(4) NOT NULL DEFAULT '0',
  `skillId` int(4) NOT NULL DEFAULT '0',
  `skillTimeSeconds` int(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for ub_managers
-- ----------------------------
CREATE TABLE `ub_managers` (
  `ub_id` int(10) unsigned NOT NULL DEFAULT '0',
  `ub_manager_npc_id` int(10) unsigned NOT NULL DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for ub_settings
-- ----------------------------
CREATE TABLE `ub_settings` (
  `ub_id` int(10) unsigned NOT NULL DEFAULT '0',
  `ub_name` varchar(45) NOT NULL DEFAULT '',
  `ub_mapid` int(10) unsigned NOT NULL DEFAULT '0',
  `ub_area_x1` int(10) unsigned NOT NULL DEFAULT '0',
  `ub_area_y1` int(10) unsigned NOT NULL DEFAULT '0',
  `ub_area_x2` int(10) unsigned NOT NULL DEFAULT '0',
  `ub_area_y2` int(10) unsigned NOT NULL DEFAULT '0',
  `min_lvl` int(10) unsigned NOT NULL DEFAULT '0',
  `max_lvl` int(10) unsigned NOT NULL DEFAULT '0',
  `max_player` int(10) unsigned NOT NULL DEFAULT '0',
  `enter_royal` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `enter_knight` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `enter_mage` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `enter_elf` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `enter_darkelf` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `enter_male` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `enter_female` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `use_pot` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `hpr_bonus` int(10) NOT NULL DEFAULT '0',
  `mpr_bonus` int(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`ub_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for ub_times
-- ----------------------------
CREATE TABLE `ub_times` (
  `ub_id` int(10) unsigned NOT NULL DEFAULT '0',
  `ub_time` int(10) unsigned NOT NULL DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for weapon
-- ----------------------------
CREATE TABLE `weapon` (
  `item_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(45) NOT NULL DEFAULT '',
  `name_id` varchar(45) NOT NULL DEFAULT '',
  `type` varchar(45) NOT NULL DEFAULT '',
  `material` varchar(45) NOT NULL DEFAULT '',
  `weight` int(10) unsigned NOT NULL DEFAULT '0',
  `invgfx` int(10) unsigned NOT NULL DEFAULT '0',
  `grdgfx` int(10) unsigned NOT NULL DEFAULT '0',
  `itemdesc_id` int(10) unsigned NOT NULL DEFAULT '0',
  `dmg_small` int(10) unsigned NOT NULL DEFAULT '0',
  `dmg_large` int(10) unsigned NOT NULL DEFAULT '0',
  `safenchant` int(10) NOT NULL DEFAULT '0',
  `use_royal` int(10) unsigned NOT NULL DEFAULT '0',
  `use_knight` int(10) unsigned NOT NULL DEFAULT '0',
  `use_mage` int(10) unsigned NOT NULL DEFAULT '0',
  `use_elf` int(10) unsigned NOT NULL DEFAULT '0',
  `use_darkelf` int(10) unsigned NOT NULL DEFAULT '0',
  `hitmodifier` int(10) NOT NULL DEFAULT '0',
  `dmgmodifier` int(10) NOT NULL DEFAULT '0',
  `add_str` int(10) NOT NULL DEFAULT '0',
  `add_con` int(10) NOT NULL DEFAULT '0',
  `add_dex` int(10) NOT NULL DEFAULT '0',
  `add_int` int(10) NOT NULL DEFAULT '0',
  `add_wis` int(10) NOT NULL DEFAULT '0',
  `add_cha` int(10) NOT NULL DEFAULT '0',
  `add_hp` int(10) NOT NULL DEFAULT '0',
  `add_mp` int(10) NOT NULL DEFAULT '0',
  `add_hpr` int(10) NOT NULL DEFAULT '0',
  `add_mpr` int(10) NOT NULL DEFAULT '0',
  `add_sp` int(10) NOT NULL DEFAULT '0',
  `m_def` int(10) NOT NULL DEFAULT '0',
  `haste_item` int(2) unsigned NOT NULL DEFAULT '0',
  `magicdmgmodifier` int(10) NOT NULL DEFAULT '0',
  `canbedmg` int(10) unsigned NOT NULL DEFAULT '0',
  `min_lvl` int(10) unsigned NOT NULL DEFAULT '0',
  `max_lvl` int(10) unsigned NOT NULL DEFAULT '0',
  `bless` int(2) unsigned NOT NULL DEFAULT '1',
  `trade` int(2) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`item_id`)
) ENGINE=MyISAM AUTO_INCREMENT=450005 DEFAULT CHARSET=utf8 COMMENT='MyISAM free: 26624 kB; MyISAM free: 26624 kB; MyISAM free: 3';

-- ----------------------------
-- Table structure for weapon_skill
-- ----------------------------
CREATE TABLE `weapon_skill` (
  `weapon_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `note` varchar(255) DEFAULT NULL,
  `probability` int(11) unsigned NOT NULL DEFAULT '0',
  `fix_damage` int(11) unsigned NOT NULL DEFAULT '0',
  `random_damage` int(11) unsigned NOT NULL DEFAULT '0',
  `skill_id` int(11) unsigned NOT NULL DEFAULT '0',
  `skill_time` int(11) unsigned NOT NULL DEFAULT '0',
  `effect_id` int(11) unsigned NOT NULL DEFAULT '0',
  `effect_target` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`weapon_id`)
) ENGINE=MyISAM AUTO_INCREMENT=450004 DEFAULT CHARSET=utf8 COMMENT='MyISAM free: 10240 kB';

-- ----------------------------
-- Procedure structure for dc_CheckAccounts
-- ----------------------------
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `dc_CheckAccounts`()
BEGIN
select char_name, account_name from characters where onlinestatus = 1;

END;;
DELIMITER ;

-- ----------------------------
-- Procedure structure for dc_CheckDropMops
-- ----------------------------
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `dc_CheckDropMops`( IN ItemID INT )
BEGIN
  select n.name, n.npcid, d.chance from npc n, droplist d where n.npcid = d.mobid and d.itemid = ItemID;

END;;
DELIMITER ;

-- ----------------------------
-- Procedure structure for dc_CheckItemsAllChars
-- ----------------------------
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `dc_CheckItemsAllChars`()
BEGIN
  select c.char_name, ci.item_name, ci.item_id, ci.enchantlvl from characters c, character_items ci where c.objid = ci.char_id and c.isgm = 0 order by c.char_name;

END;;
DELIMITER ;

-- ----------------------------
-- Procedure structure for dc_CheckItemsChar
-- ----------------------------
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `dc_CheckItemsChar`( IN CharName VARCHAR(64) CHARACTER SET utf8 )
BEGIN
  select c.char_name, ci.item_name, ci.item_id, ci.enchantlvl, ci.count from characters c, character_items ci where c.objid = ci.char_id and c.char_name = CharName;

END;;
DELIMITER ;

-- ----------------------------
-- Procedure structure for dc_CheckMopDrops
-- ----------------------------
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `dc_CheckMopDrops`( IN NpcID INT )
BEGIN
select  n.name, a.name, a.item_id, d.chance 
from npc n, droplist d, armor a 
where n.npcid = d.mobid and a.item_id = d.itemid and n.npcid = NpcID;
select  n.name, i.name, i.item_id, d.chance 
from npc n, droplist d, etcitem i 
where n.npcid = d.mobid and i.item_id = d.itemid and n.npcid = NpcID;
select  n.name, w.name, w.item_id, d.chance 
from npc n, droplist d, weapon w 
where n.npcid = d.mobid and w.item_id = d.itemid and n.npcid = NpcID;
END;;
DELIMITER ;

-- ----------------------------
-- Procedure structure for dc_CheckStoredProcs
-- ----------------------------
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `dc_CheckStoredProcs`()
BEGIN
        SELECT routine_name, routine_type, definer, routine_definition
        FROM   information_schema.routines
        WHERE routine_schema LIKE 'l1j_new';
END;;
DELIMITER ;

-- ----------------------------
-- Procedure structure for dc_SetCharRename
-- ----------------------------
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `dc_SetCharRename`( 
IN OldCharName VARCHAR(64) CHARACTER SET utf8,
        IN NewCharName VARCHAR(64) CHARACTER SET utf8 )
BEGIN

END;;
DELIMITER ;

-- ----------------------------
-- Procedure structure for dc_SetUnstuckChar
-- ----------------------------
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `dc_SetUnstuckChar`( IN CharName VARCHAR(64) CHARACTER SET utf8 )
BEGIN
  update characters set LocX = 33080, LocY = 33395, mapid = 4 where char_name = CharName;

END;;
DELIMITER ;

-- ----------------------------
-- Records 
-- ----------------------------
INSERT INTO `area` VALUES ('1', '0', 'Talking Island', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('2', '1', 'Talking Island Dungeon 1F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('3', '2', 'Talking Island Dungeon 2F', '0', '0', '0', '0', '0', '201');
INSERT INTO `area` VALUES ('4', '3', 'Gunter_s House', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('5', '5', 'Talking Island Ship to Aden Mainland', '0', '0', '0', '0', '1', '501');
INSERT INTO `area` VALUES ('6', '6', 'Aden Mainland Ship to Talking Island', '0', '0', '0', '0', '1', '502');
INSERT INTO `area` VALUES ('7', '7', 'Mainland Dungeon 1F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('8', '8', 'Mainland Dungeon 2F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('9', '9', 'Mainland Dungeon 3F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('10', '10', 'Mainland Dungeon 4F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('11', '11', 'Mainland Dungeon 5F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('12', '12', 'Mainland Dungeon 6F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('13', '13', 'Mainland Dungeon 7F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('14', '14', 'Underground Passage', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('15', '15', 'Kent Inner Castle', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('16', '16', 'Hardin_s Lab', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('17', '17', 'Nerupa_s Cave', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('18', '18', 'Dupelgenon Dungeon', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('19', '19', 'Elven Dungeon 1F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('20', '20', 'Elven Dungeon 2F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('21', '21', 'Elven Dungeon 3F', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('22', '22', 'Gerard Test Dungeon', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('23', '23', 'Windawood Castle Dungeon', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('24', '24', 'Windawood Castle Dungeon', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('25', '25', 'Silver Knight Town Caves 1F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('26', '26', 'Silver Knight Town Caves 2F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('27', '27', 'Silver Knight Town Caves 3F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('28', '28', 'Silver Knight Town Caves 4F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('29', '29', 'Windawood Inner Castle', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('30', '30', 'Dragon Valley Caves 1F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('31', '31', 'Dragon Valley Caves 2F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('32', '32', 'Dragon Valley Caves 3F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('33', '33', 'Dragon Valley Caves 4F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('34', '35', 'Dragon Valley Caves 5F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('35', '36', 'Dragon Valley Caves 6F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('36', '37', 'Dragon Valley Caves 7F', '0', '0', '0', '0', '2', '0');
INSERT INTO `area` VALUES ('37', '43', 'Ant Caves', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('38', '44', 'Ant Caves', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('39', '45', 'Ant Caves', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('40', '46', 'Ant Caves', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('41', '47', 'Ant Caves', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('42', '48', 'Ant Caves', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('43', '49', 'Ant Caves', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('44', '50', 'Ant Caves', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('45', '51', 'Ant Caves', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('46', '52', 'Giran Inner Castle', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('47', '53', 'Giran Dungeon 1F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('48', '54', 'Giran Dungeon 2F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('49', '55', 'Giran Dungeon 3F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('50', '56', 'Giran Dungeon 4F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('51', '57', 'Singing Island', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('52', '58', 'Hidden Valley', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('53', '59', 'Heine Dungeon 1F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('54', '60', 'Heine Dungeon 2F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('55', '61', 'Heine Dungeon 3F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('56', '62', 'Sanctuary of Eva', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('57', '63', 'Kingdom of Eva', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('58', '64', 'Heine Inner Castle', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('59', '65', 'Lair of Fafurion', '0', '0', '0', '0', '2', '0');
INSERT INTO `area` VALUES ('60', '66', 'Iron Gate Guild Inner Castle', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('61', '67', 'Lair of Valakas', '0', '0', '0', '0', '2', '0');
INSERT INTO `area` VALUES ('62', '68', 'Singing Island', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('63', '69', 'Hidden Valley', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('64', '4', 'Lair of Lindvior', '34065', '33053', '34017', '32948', '2', '0');
INSERT INTO `area` VALUES ('65', '70', 'Forgotten Island', '0', '0', '0', '0', '2', '205');
INSERT INTO `area` VALUES ('66', '72', 'Crystal Cavern 1F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('67', '73', 'Crystal Cavern 2F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('68', '74', 'Crystal Cavern 3F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('69', '75', 'Ivory Tower 1F', '0', '0', '0', '0', '0', '14');
INSERT INTO `area` VALUES ('70', '76', 'Ivory Tower 2F', '0', '0', '0', '0', '0', '14');
INSERT INTO `area` VALUES ('71', '77', 'Ivory Tower 3F', '0', '0', '0', '0', '0', '14');
INSERT INTO `area` VALUES ('72', '78', 'Ivory Tower 4F', '0', '0', '0', '0', '0', '14');
INSERT INTO `area` VALUES ('73', '79', 'Ivory Tower 5F', '0', '0', '0', '0', '1', '14');
INSERT INTO `area` VALUES ('74', '80', 'Ivory Tower 6F', '0', '0', '0', '0', '1', '14');
INSERT INTO `area` VALUES ('75', '81', 'Ivory Tower 7F', '0', '0', '0', '0', '1', '14');
INSERT INTO `area` VALUES ('76', '82', 'Ivory Tower 8F', '0', '0', '0', '0', '1', '14');
INSERT INTO `area` VALUES ('77', '83', 'Aden Mainland Ship to Forgotten Island', '0', '0', '0', '0', '1', '503');
INSERT INTO `area` VALUES ('78', '84', 'Forgotten Island Ship to Aden Mainland', '0', '0', '0', '0', '1', '504');
INSERT INTO `area` VALUES ('79', '85', 'Singing Island Dungeon', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('80', '86', 'Singing Island Dungeon', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('81', '87', 'Pago_s Room', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('82', '88', 'Giran Arena', '0', '0', '0', '0', '1', '11');
INSERT INTO `area` VALUES ('83', '89', 'Giran Arena', '0', '0', '0', '0', '1', '11');
INSERT INTO `area` VALUES ('84', '90', 'Giran Arena', '0', '0', '0', '0', '1', '11');
INSERT INTO `area` VALUES ('85', '91', 'Talking Island Arena', '0', '0', '0', '0', '1', '5');
INSERT INTO `area` VALUES ('86', '92', 'Gludio Arena', '0', '0', '0', '0', '1', '7');
INSERT INTO `area` VALUES ('87', '93', 'Kent Arena', '0', '0', '0', '0', '0', '8');
INSERT INTO `area` VALUES ('88', '94', 'Windawood Arena', '0', '0', '0', '0', '1', '10');
INSERT INTO `area` VALUES ('89', '95', 'Silver Knight Arena', '0', '0', '0', '0', '1', '6');
INSERT INTO `area` VALUES ('90', '96', 'Lair of Valakas Arena', '0', '0', '0', '0', '1', '13');
INSERT INTO `area` VALUES ('91', '97', 'Heine Arena', '0', '0', '0', '0', '1', '12');
INSERT INTO `area` VALUES ('92', '98', 'Werldern Arena', '0', '0', '0', '0', '1', '13');
INSERT INTO `area` VALUES ('93', '99', 'GM Room', '32767', '32796', '32767', '32796', '2', '99');
INSERT INTO `area` VALUES ('94', '101', 'Tower of Insolence 1F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('95', '102', 'Tower of Insolence 2F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('96', '103', 'Tower of Insolence 3F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('97', '104', 'Tower of Insolence 4F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('98', '105', 'Tower of Insolence 5F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('99', '106', 'Tower of Insolence 6F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('100', '107', 'Tower of Insolence 7F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('101', '108', 'Tower of Insolence 8F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('102', '109', 'Tower of Insolence 9F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('103', '110', 'Tower of Insolence 10F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('104', '111', 'Tower of Insolence 11F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('105', '112', 'Tower of Insolence 12F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('106', '113', 'Tower of Insolence 13F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('107', '114', 'Tower of Insolence 14F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('108', '115', 'Tower of Insolence 15F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('109', '116', 'Tower of Insolence 16F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('110', '117', 'Tower of Insolence 17F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('111', '118', 'Tower of Insolence 18F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('112', '119', 'Tower of Insolence 19F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('113', '120', 'Tower of Insolence 20F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('114', '121', 'Tower of Insolence 21F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('115', '122', 'Tower of Insolence 22F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('116', '123', 'Tower of Insolence 23F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('117', '124', 'Tower of Insolence 24F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('118', '125', 'Tower of Insolence 25F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('119', '126', 'Tower of Insolence 26F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('120', '127', 'Tower of Insolence 27F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('121', '128', 'Tower of Insolence 28F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('122', '129', 'Tower of Insolence 29F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('123', '130', 'Tower of Insolence 30F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('124', '131', 'Tower of Insolence 31F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('125', '132', 'Tower of Insolence 32F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('126', '133', 'Tower of Insolence 33F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('127', '134', 'Tower of Insolence 34F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('128', '135', 'Tower of Insolence 35F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('129', '136', 'Tower of Insolence 36F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('130', '137', 'Tower of Insolence 37F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('131', '138', 'Tower of Insolence 38F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('132', '139', 'Tower of Insolence 39F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('133', '140', 'Tower of Insolence 40F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('134', '141', 'Tower of Insolence 41F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('135', '142', 'Tower of Insolence 42F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('136', '143', 'Tower of Insolence 43F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('137', '144', 'Tower of Insolence 44F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('138', '145', 'Tower of Insolence 45F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('139', '146', 'Tower of Insolence 46F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('140', '147', 'Tower of Insolence 47F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('141', '148', 'Tower of Insolence 48F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('142', '149', 'Tower of Insolence 49F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('143', '150', 'Tower of Insolence 50F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('144', '151', 'Tower of Insolence 51F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('145', '152', 'Tower of Insolence 52F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('146', '153', 'Tower of Insolence 53F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('147', '154', 'Tower of Insolence 54F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('148', '155', 'Tower of Insolence 55F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('149', '156', 'Tower of Insolence 56F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('150', '157', 'Tower of Insolence 57F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('151', '158', 'Tower of Insolence 58F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('152', '159', 'Tower of Insolence 59F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('153', '160', 'Tower of Insolence 60F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('154', '161', 'Tower of Insolence 61F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('155', '162', 'Tower of Insolence 62F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('156', '163', 'Tower of Insolence 63F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('157', '164', 'Tower of Insolence 64F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('158', '165', 'Tower of Insolence 65F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('159', '166', 'Tower of Insolence 66F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('160', '167', 'Tower of Insolence 67F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('161', '168', 'Tower of Insolence 68F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('162', '169', 'Tower of Insolence 69F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('163', '170', 'Tower of Insolence 70F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('164', '171', 'Tower of Insolence 71F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('165', '172', 'Tower of Insolence 72F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('166', '173', 'Tower of Insolence 73F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('167', '174', 'Tower of Insolence 74F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('168', '175', 'Tower of Insolence 75F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('169', '176', 'Tower of Insolence 76F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('170', '177', 'Tower of Insolence 77F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('171', '178', 'Tower of Insolence 78F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('172', '179', 'Tower of Insolence 79F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('173', '180', 'Tower of Insolence 80F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('174', '181', 'Tower of Insolence 81F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('175', '182', 'Tower of Insolence 82F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('176', '183', 'Tower of Insolence 83F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('177', '184', 'Tower of Insolence 84F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('178', '185', 'Tower of Insolence 85F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('179', '186', 'Tower of Insolence 86F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('180', '187', 'Tower of Insolence 87F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('181', '188', 'Tower of Insolence 88F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('182', '189', 'Tower of Insolence 89F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('183', '190', 'Tower of Insolence 90F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('184', '191', 'Tower of Insolence 91F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('185', '192', 'Tower of Insolence 92F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('186', '193', 'Tower of Insolence 93F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('187', '194', 'Tower of Insolence 94F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('188', '195', 'Tower of Insolence 95F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('189', '196', 'Tower of Insolence 96F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('190', '197', 'Tower of Insolence 97F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('191', '198', 'Tower of Insolence 98F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('192', '199', 'Tower of Insolence 99F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('193', '200', 'Tower of Insolence 100F', '0', '0', '0', '0', '2', '203');
INSERT INTO `area` VALUES ('194', '201', 'Mage Quest Dungeon', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('195', '202', 'Mage Quest Dungeon', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('196', '203', 'Mage Quest Dungeon', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('197', '204', 'Mage Quest Dungeon', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('198', '209', 'Darkelf Dungeon', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('199', '210', 'Darkelf Dungeon', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('200', '211', 'Darkelf Dungeon', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('202', '213', 'Darkelf Dungeon', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('206', '217', 'Mutant Ant Dungeon', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('208', '221', 'Gerard Test Dungeon', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('216', '237', 'Jim_s Dungeon', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('217', '300', 'Aden Inner Castle', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('218', '301', 'Aden Sewer', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('219', '302', 'Sepia Dungeon', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('220', '303', 'Dream Island', '0', '0', '0', '0', '2', '204');
INSERT INTO `area` VALUES ('221', '304', 'Silent Cavern', '32872', '32914', '32872', '32906', '0', '304');
INSERT INTO `area` VALUES ('222', '305', 'Elder Room', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('223', '306', 'Dungeon of Evil Thoughts', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('224', '307', 'Lastavard Dungeon 1F', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('225', '308', 'Lastavard Dungeon 2F', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('226', '309', 'Lastavard Dungeon 3F', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('227', '666', 'Hell', '0', '0', '0', '0', '2', '206');
INSERT INTO `area` VALUES ('228', '2000', 'Ancient 1F', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('229', '2001', 'Ancient 2F', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('230', '2002', 'Ancient 3F', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('231', '2003', 'Ancient 4F', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('232', '4', 'Orcish Forest', '32511', '32191', '32960', '32537', '0', '0');
INSERT INTO `area` VALUES ('233', '4', 'Gludio', '32512', '32537', '32960', '33023', '0', '0');
INSERT INTO `area` VALUES ('234', '4', 'Windawood', '32512', '33023', '32960', '33535', '0', '0');
INSERT INTO `area` VALUES ('235', '4', 'Elven Forest', '32960', '32191', '33216', '32511', '0', '0');
INSERT INTO `area` VALUES ('236', '4', 'Kent', '32960', '32511', '33280', '33023', '0', '0');
INSERT INTO `area` VALUES ('237', '4', 'Kent', '33088', '33023', '33280', '33087', '0', '0');
INSERT INTO `area` VALUES ('238', '4', 'Silver Knight Town', '32960', '33023', '33088', '33087', '0', '0');
INSERT INTO `area` VALUES ('239', '4', 'Silver Knight Town', '32959', '33087', '33280', '33535', '0', '0');
INSERT INTO `area` VALUES ('240', '4', 'Dragon Valley', '33216', '32191', '33472', '32511', '0', '0');
INSERT INTO `area` VALUES ('241', '4', 'Lair of Valakas', '33472', '32191', '33856', '32511', '0', '0');
INSERT INTO `area` VALUES ('242', '4', 'Lair of Valakas', '33536', '32511', '33856', '32575', '0', '0');
INSERT INTO `area` VALUES ('243', '4', 'Giran', '33280', '32511', '33536', '33023', '0', '0');
INSERT INTO `area` VALUES ('244', '4', 'Giran', '33536', '32575', '33920', '33023', '0', '0');
INSERT INTO `area` VALUES ('245', '4', 'Heine', '33280', '33023', '33792', '33535', '0', '0');
INSERT INTO `area` VALUES ('246', '4', 'Oren', '33856', '32191', '33920', '32575', '0', '0');
INSERT INTO `area` VALUES ('247', '4', 'Oren', '33920', '32127', '34304', '32739', '0', '0');
INSERT INTO `area` VALUES ('248', '4', 'Aden', '33920', '32739', '34304', '33023', '0', '0');
INSERT INTO `area` VALUES ('249', '4', 'Aden', '33792', '33023', '34304', '33535', '0', '0');
INSERT INTO `area` VALUES ('250', '17492', 'Auberge', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('251', '340', 'Gludin Traders Village', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('252', '350', 'Giran Traders Village', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('253', '360', 'Oren Traders Village', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('254', '370', 'Silver Knight Traders Village', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('255', '310', 'Oum Dungeon', '0', '0', '0', '0', '1', '210');
INSERT INTO `area` VALUES ('256', '320', 'Diad Fortress', '0', '0', '0', '0', '1', '210');
INSERT INTO `area` VALUES ('257', '330', 'Mineral Dungeon', '0', '0', '0', '0', '1', '210');
INSERT INTO `area` VALUES ('258', '240', 'Kent Castle Dungeon 1F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('259', '241', 'Kent Castle Dungeon 2F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('260', '242', 'Kent Castle Dungeon 3F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('261', '243', 'Kent Castle Dungeon 4F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('262', '400', 'Ancient Giant Ruins', '32728', '32853', '32788', '33016', '1', '0');
INSERT INTO `area` VALUES ('263', '400', 'Ancient Giant Ruins', '32787', '32905', '32860', '33014', '1', '0');
INSERT INTO `area` VALUES ('264', '400', 'Ancient Giant Ruins', '32767', '32827', '32798', '32854', '1', '0');
INSERT INTO `area` VALUES ('265', '400', 'Great Cavern Resistance Area', '32659', '32811', '32666', '32818', '1', '0');
INSERT INTO `area` VALUES ('266', '400', 'Great Cavern Resistance Area', '32563', '32863', '32577', '32868', '1', '0');
INSERT INTO `area` VALUES ('267', '400', 'Great Cavern Resistance Area', '32550', '32864', '32555', '32881', '1', '0');
INSERT INTO `area` VALUES ('268', '400', 'Great Cavern Recluse Village Area', '32890', '32677', '32899', '32682', '1', '0');
INSERT INTO `area` VALUES ('269', '400', 'Great Cavern Recluse Village Area', '32890', '32677', '32899', '32683', '1', '0');
INSERT INTO `area` VALUES ('270', '400', 'Great Cavern Recluse Village Area', '32708', '32794', '32747', '32832', '1', '0');
INSERT INTO `area` VALUES ('271', '400', 'Great Cavern Recluse Village Area', '32546', '32958', '32552', '32991', '1', '0');
INSERT INTO `area` VALUES ('272', '400', 'Great Cavern Recluse Village Area', '32534', '32960', '32546', '32991', '1', '0');
INSERT INTO `area` VALUES ('273', '400', 'Great Cavern Recluse Village Area', '32552', '32865', '32583', '32991', '1', '0');
INSERT INTO `area` VALUES ('274', '400', 'Great Cavern Recluse Village Area', '32698', '32650', '32735', '32717', '1', '0');
INSERT INTO `area` VALUES ('275', '400', 'Great Cavern Recluse Village Area', '32622', '32811', '32636', '32816', '1', '0');
INSERT INTO `area` VALUES ('276', '400', 'Great Cavern Recluse Village Area', '32837', '32590', '32890', '32629', '1', '0');
INSERT INTO `area` VALUES ('277', '400', 'Great Cavern Recluse Village Area', '32735', '32629', '32890', '32729', '1', '0');
INSERT INTO `area` VALUES ('278', '400', 'Great Cavern Recluse Village Area', '32583', '32816', '32727', '33004', '1', '0');
INSERT INTO `area` VALUES ('279', '400', 'Great Cavern Recluse Village Area', '32817', '32852', '32863', '32871', '1', '0');
INSERT INTO `area` VALUES ('280', '400', 'Great Cavern Recluse Village Area', '32918', '32923', '32996', '32999', '1', '0');
INSERT INTO `area` VALUES ('281', '400', 'Great Cavern Recluse Village Area', '32863', '32828', '32918', '32939', '1', '0');
INSERT INTO `area` VALUES ('282', '400', 'Great Cavern Resistance Area', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('283', '400', 'Great Cavern Resistance Area', '32705', '32768', '32777', '32807', '1', '0');
INSERT INTO `area` VALUES ('284', '400', 'Great Cavern Recluse Village Area', '32782', '32787', '32819', '32814', '1', '0');
INSERT INTO `area` VALUES ('285', '400', 'Great Cavern Recluse Village Area', '32790', '32832', '32818', '32879', '1', '0');
INSERT INTO `area` VALUES ('286', '410', 'Sanctuary of Evil', '0', '0', '0', '0', '1', '211');
INSERT INTO `area` VALUES ('287', '420', 'Abyss Lake', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('288', '430', 'Elemental Grave', '0', '0', '0', '0', '1', '207');
INSERT INTO `area` VALUES ('289', '440', 'Pirate Island', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('290', '441', 'Pirate Island Dungeon 1F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('291', '442', 'Pirate Island Dungeon 2F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('292', '443', 'Pirate Island Dungeon 3F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('293', '444', 'Pirate Island Dungeon 4F', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('294', '445', 'Hidden Dock to Pirate Island', '0', '0', '0', '0', '1', '505');
INSERT INTO `area` VALUES ('295', '446', 'Pirate Island Ship to Hidden Dock', '0', '0', '0', '0', '1', '506');
INSERT INTO `area` VALUES ('296', '447', 'Hidden Dock Ship to Pirate Island', '0', '0', '0', '0', '1', '505');
INSERT INTO `area` VALUES ('297', '450', 'Front Gate of Lastavard', '0', '0', '0', '0', '1', '212');
INSERT INTO `area` VALUES ('298', '451', '1F Meeting Area', '0', '0', '0', '0', '1', '212');
INSERT INTO `area` VALUES ('299', '452', '1F Shock Squad Training Area', '0', '0', '0', '0', '1', '212');
INSERT INTO `area` VALUES ('300', '453', '1F Evil Power King_s Power Room', '0', '0', '0', '0', '1', '212');
INSERT INTO `area` VALUES ('301', '454', '1F Wild Animal Torture Room', '0', '0', '0', '0', '1', '212');
INSERT INTO `area` VALUES ('302', '455', '1F Wild Animal Training Room', '0', '0', '0', '0', '1', '212');
INSERT INTO `area` VALUES ('303', '456', '1F Evil Power Summoning Room', '0', '0', '0', '0', '1', '212');
INSERT INTO `area` VALUES ('304', '457', '1F Off-Limits Area of Darkness', '0', '0', '0', '0', '1', '212');
INSERT INTO `area` VALUES ('305', '460', '2F Dark Magic Training Area', '0', '0', '0', '0', '1', '213');
INSERT INTO `area` VALUES ('306', '461', '2F Dark Magic Laboratory', '0', '0', '0', '0', '1', '213');
INSERT INTO `area` VALUES ('307', '462', '2F Evil Spirit King_s Power Room', '0', '0', '0', '0', '1', '213');
INSERT INTO `area` VALUES ('308', '463', '2F Evil Spirit King_s Library', '0', '0', '0', '0', '1', '213');
INSERT INTO `area` VALUES ('309', '464', '2F Spirit Summoning Room', '0', '0', '0', '0', '1', '213');
INSERT INTO `area` VALUES ('310', '465', '2F Spirit Abode', '0', '0', '0', '0', '1', '213');
INSERT INTO `area` VALUES ('311', '466', '2F Dark Spirit Laboratory', '0', '0', '0', '0', '1', '213');
INSERT INTO `area` VALUES ('312', '467', '2F Off-Limits Area of Blackness Upper', '0', '0', '0', '0', '1', '213');
INSERT INTO `area` VALUES ('313', '468', '2F Off-Limits Area of Blackness Below', '0', '0', '0', '0', '1', '213');
INSERT INTO `area` VALUES ('314', '470', '3F Evil Spirit Altar', '0', '0', '0', '0', '1', '215');
INSERT INTO `area` VALUES ('315', '471', '3F Devil Road Altar', '0', '0', '0', '0', '1', '214');
INSERT INTO `area` VALUES ('316', '472', '3F Mercenary Training Area', '0', '0', '0', '0', '1', '214');
INSERT INTO `area` VALUES ('317', '473', '3F Bright Magic Army Training Area', '0', '0', '0', '0', '1', '215');
INSERT INTO `area` VALUES ('318', '474', '3F Oum Experiment Room', '0', '0', '0', '0', '1', '215');
INSERT INTO `area` VALUES ('319', '475', '3F Bright Magic King_s Power Room', '0', '0', '0', '0', '1', '214');
INSERT INTO `area` VALUES ('320', '476', '3F Central Control Room', '0', '0', '0', '0', '1', '214');
INSERT INTO `area` VALUES ('321', '477', '3F Devil Road Mercenary Room', '0', '0', '0', '0', '1', '214');
INSERT INTO `area` VALUES ('322', '478', '3F Control Area', '0', '0', '0', '0', '1', '215');
INSERT INTO `area` VALUES ('323', '490', 'Underground Training Area', '0', '0', '0', '0', '1', '212');
INSERT INTO `area` VALUES ('324', '491', 'Underground Passageway', '0', '0', '0', '0', '1', '212');
INSERT INTO `area` VALUES ('325', '492', 'Assassin King_s Power Room', '0', '0', '0', '0', '1', '212');
INSERT INTO `area` VALUES ('326', '493', 'Underground Control Room', '0', '0', '0', '0', '1', '212');
INSERT INTO `area` VALUES ('327', '494', 'Underground Punishment Area', '0', '0', '0', '0', '1', '212');
INSERT INTO `area` VALUES ('328', '495', 'Underground Duel Area', '0', '0', '0', '0', '1', '212');
INSERT INTO `area` VALUES ('329', '496', 'Underground Jail', '0', '0', '0', '0', '1', '212');
INSERT INTO `area` VALUES ('330', '480', 'Pirate_s Isle', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('331', '481', 'Kamyla_s Room', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('332', '509', 'Chaos Battle Collosseum', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('333', '482', 'Franco_s Labyrinth', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('334', '483', 'Closed Jail of Diego', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('335', '484', 'Underground Jail of Hose', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('336', '521', 'Temple of Shadow Outland', '0', '0', '0', '0', '0', '202');
INSERT INTO `area` VALUES ('337', '522', 'Temple of Shadow 1F', '0', '0', '0', '0', '0', '202');
INSERT INTO `area` VALUES ('338', '523', 'Temple of Shadow 2F', '0', '0', '0', '0', '0', '202');
INSERT INTO `area` VALUES ('339', '524', 'Temple of Shadow 3F', '0', '0', '0', '0', '0', '202');
INSERT INTO `area` VALUES ('340', '8011', 'Singing Island', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('341', '8012', 'Singing Island West Area', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('342', '8013', 'Doromond_s Room', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('343', '8014', 'Training Room', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('344', '8015', 'Singing Island North Area', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('345', '610', 'Forest of cherry blossoms', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('346', '244', 'Orc Castle Dungeon', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('347', '248', 'Giran Castle Dungeon 1F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('348', '249', 'Giran Castle Dungeon 2F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('349', '250', 'Giran Castle Dungeon 3F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('350', '251', 'Giran Castle Dungeon 2F Boss Room', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('351', '252', 'Heine Castle Dungeon 1F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('352', '253', 'Heine Castle Dungeon 2F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('353', '254', 'Heine Castle Dungeon 3F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('354', '255', 'Dwarf Castle Dungeon Ore Mine', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('355', '256', 'Dwarf Castle Dungeon Savage Land', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('356', '257', 'Aden Castle Dungeon 1F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('357', '258', 'Aden Castle Dungeon 2F4F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('358', '259', 'Aden Castle Dungeon 3F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('359', '536', '3F Off-Limits Area of Blackness Upper', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('360', '530', '4F-1', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('361', '531', '4F-2', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('362', '532', '4F-3', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('363', '533', '4F-4', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('364', '534', '4F-5', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('365', '535', 'Dark Elf Holy Place', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('366', '550', 'Grave of Ships Outland', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('367', '551', 'Grave of Ships 1F-1', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('368', '552', 'Grave of Ships 1F-2', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('369', '553', 'Grave of Ships 1F-3', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('370', '554', 'Grave of Ships 2F-1', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('371', '555', 'Grave of Ships 2F-2', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('372', '556', 'Grave of Ships 2F-3', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('373', '557', 'Grave of Ships 3F', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('374', '558', 'Grave of Ships Deep Sea', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('375', '600', 'Cave of Desire Outland', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('376', '601', 'Cave of Desire lobby', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('377', '602', 'Barlog room', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('378', '603', 'Barlog lair', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('379', '604', 'Water area', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('380', '605', 'Fire area', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('381', '606', 'Air area', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('382', '607', 'Earth area', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('383', '608', 'Yahee LAB', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('384', '777', 'FallenTempleofShadowOutland', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('385', '778', 'FallenCaveofDesireOutland', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('386', '779', 'FallenCaveofDesireOutland', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('387', '5001', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('388', '5002', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('389', '5003', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('390', '5004', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('391', '5005', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('392', '5006', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('393', '5007', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('394', '5008', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('395', '5009', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('396', '5010', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('397', '5011', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('398', '5012', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('399', '5013', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('400', '5014', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('401', '5015', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('402', '5016', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('403', '5017', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('404', '5018', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('405', '5019', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('406', '5020', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('407', '5021', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('408', '5022', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('409', '5023', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('410', '5024', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('411', '5025', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('412', '5026', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('413', '5027', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('414', '5028', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('415', '5029', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('416', '5030', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('417', '5031', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('418', '5032', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('419', '5033', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('420', '5034', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('421', '5035', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('422', '5036', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('423', '5037', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('424', '5038', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('425', '5039', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('426', '5040', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('427', '5041', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('428', '5042', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('429', '5043', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('430', '5044', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('431', '5045', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('432', '5046', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('433', '5047', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('434', '5048', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('435', '5049', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('436', '5050', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('437', '5051', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('438', '5052', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('439', '5053', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('440', '5054', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('441', '5055', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('442', '5056', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('443', '5057', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('444', '5058', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('445', '5059', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('446', '5060', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('447', '5061', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('448', '5062', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('449', '5063', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('450', '5064', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('451', '5065', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('452', '5066', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('453', '5067', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('454', '5068', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('455', '5069', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('456', '5070', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('457', '5071', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('458', '5072', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('459', '5073', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('460', '5074', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('461', '5075', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('462', '5076', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('463', '5077', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('464', '5078', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('465', '5079', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('466', '5080', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('467', '5081', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('468', '5082', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('469', '5083', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('470', '5084', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('471', '5085', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('472', '5086', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('473', '5087', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('474', '5088', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('475', '5089', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('476', '5090', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('477', '5091', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('478', '5092', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('479', '5093', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('480', '5094', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('481', '5095', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('482', '5096', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('483', '5097', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('484', '5098', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('485', '5099', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('486', '5100', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('487', '5101', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('488', '5102', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('489', '5103', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('490', '5104', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('491', '5105', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('492', '5106', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('493', '5107', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('494', '5108', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('495', '5109', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('496', '5110', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('497', '5111', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('498', '5112', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('499', '5113', 'Heine Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('500', '5114', 'Heine Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('501', '5115', 'Heine Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('502', '5116', 'Heine Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('503', '5117', 'Heine Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('504', '5118', 'Heine Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('505', '5119', 'Heine Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('506', '5120', 'Heine Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('507', '5121', 'Heine Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('508', '5122', 'Heine Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('509', '5123', 'Heine Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('510', '5124', 'Fishing place', '32768', '32831', '32768', '32831', '0', '0');
INSERT INTO `area` VALUES ('511', '5125', 'petmatch place', '32768', '32831', '32832', '32895', '0', '0');
INSERT INTO `area` VALUES ('512', '5131', 'petmatch place', '32768', '32831', '32832', '32895', '0', '0');
INSERT INTO `area` VALUES ('513', '5132', 'petmatch place', '32768', '32831', '32832', '32895', '0', '0');
INSERT INTO `area` VALUES ('514', '5133', 'petmatch place', '32768', '32831', '32832', '32895', '0', '0');
INSERT INTO `area` VALUES ('515', '5134', 'petmatch place', '32768', '32831', '32832', '32895', '0', '0');
INSERT INTO `area` VALUES ('516', '5140', 'Ghost house', '32704', '32895', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('2000', '610', 'Sakura Forest JP Event', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('2001', '611', 'Cantonment JP Event', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('2002', '612', 'Fruit Forest JP Event', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('2003', '500', 'KR_Event', '32704', '32767', '32768', '32831', '0', '0');
INSERT INTO `area` VALUES ('2004', '501', 'KR_Event', '32832', '32895', '32576', '32703', '0', '0');
INSERT INTO `area` VALUES ('2005', '502', 'KR_Event', '32832', '32895', '32576', '32703', '0', '0');
INSERT INTO `area` VALUES ('2006', '503', 'KR_Event', '32832', '32895', '32576', '32703', '0', '0');
INSERT INTO `area` VALUES ('2007', '504', 'KR_Event', '32832', '32895', '32576', '32703', '0', '0');
INSERT INTO `area` VALUES ('2008', '505', 'KR_Event', '32832', '32895', '32576', '32703', '0', '0');
INSERT INTO `area` VALUES ('2009', '506', 'KR_Event', '32832', '32895', '32576', '32703', '0', '0');
INSERT INTO `area` VALUES ('2010', '507', 'KR_Event', '32704', '33023', '32768', '32959', '0', '0');
INSERT INTO `area` VALUES ('2011', '508', 'KR_Event', '32768', '32895', '33088', '33215', '0', '0');
INSERT INTO `area` VALUES ('2012', '511', 'KR_Event', '32832', '32895', '32576', '32703', '0', '0');
INSERT INTO `area` VALUES ('2013', '512', 'KR_Event', '32832', '32895', '32576', '32703', '0', '0');
INSERT INTO `area` VALUES ('2014', '513', 'KR_Event', '32832', '32895', '32576', '32703', '0', '0');
INSERT INTO `area` VALUES ('2015', '514', 'KR_Event', '32832', '32895', '32576', '32703', '0', '0');
INSERT INTO `area` VALUES ('2016', '515', 'KR_Event', '32832', '32895', '32576', '32703', '0', '0');
INSERT INTO `area` VALUES ('2017', '516', 'KR_Event', '32832', '32895', '32576', '32703', '0', '0');
INSERT INTO `area` VALUES ('2018', '701', 'memory land', '32640', '32959', '32576', '32895', '0', '0');
INSERT INTO `area` VALUES ('2019', '4941', 'KR_EVENT', '32768', '32895', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('2020', '5801', 'TaiwanEventMapHiddenValley', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('2021', '5802', 'TaiwanEventMapHiddenValley', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('2022', '5803', 'TaiwanEventMapHiddenValley', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('2023', '5804', 'TaiwanEventMapHiddenValley', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('2024', '5805', 'TaiwanEventMapHiddenValley', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('2025', '7000', 'JapanEventMapEventForest', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('2026', '7001', 'JapanEventMapHell', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('2027', '7002', 'JapanEventMapSinTemple', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('2028', '7003', 'JapanEventMapSinTemple', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('2029', '7004', 'JapanEventMapSinTemple', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('2030', '7005', 'JapanEventMapSinTemple', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('2031', '7006', 'JapanEventMapSinTemple', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('2032', '7007', 'JapanEventMapSinTomb', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('2033', '7008', 'JapanEventMapSinTomb', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('2034', '7009', 'JapanEventMapSinTomb', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('2035', '7010', 'JapanEventMapSinTomb', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('2036', '7011', 'JapanEventMapSinTomb', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('2037', '7051', 'JapanEventMapEventForest', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('2038', '7052', 'JapanEventMapEventForest', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('2039', '7053', 'JapanEventMapEventForest', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('2040', '7054', 'JapanEventMapEventForest', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('2041', '7055', 'JapanEventMapEventForest', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20001', 'Leather Cap', '$1021', 'helm', 'leather', '10000', '451', '18', '0', '0', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20002', 'Leather Helmet', '$1023', 'helm', 'leather', '30000', '456', '18', '0', '-1', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20003', 'Iron Visor', '$1209', 'helm', 'iron', '50000', '507', '18', '0', '-4', '4', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20004', 'Shadow Mask', '$2410', 'helm', 'cloth', '10000', '1038', '2866', '816', '-2', '6', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '15', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20005', 'Knight\'s Hood', '$1923', 'helm', 'cloth', '30000', '915', '18', '0', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20006', 'Knights Visor', '$414', 'helm', 'iron', '40000', '166', '357', '0', '-3', '4', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20007', 'Dwarvish Iron Helm', '$122', 'helm', 'iron', '40000', '52', '18', '0', '-2', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20008', 'Old Helm of Wind', '$1941', 'helm', 'leather', '50000', '895', '18', '662', '-1', '4', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '30', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20009', 'Demon Helmet', '$1808', 'helm', 'iron', '50000', '714', '18', '0', '-2', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20010', 'Death Knight Helmet', '$1812', 'helm', 'iron', '50000', '713', '18', '0', '-3', '4', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20011', 'Helmet of Magic Resistance', '$569', 'helm', 'iron', '35000', '1204', '18', '229', '-2', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20012', 'Wizard Cap', '$1206', 'helm', 'cloth', '20000', '526', '1503', '0', '-2', '4', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20013', 'Helm of Magic: Speed', '$939', 'helm', 'mithril', '50000', '168', '357', '291', '-1', '4', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20014', 'Helm of Magic: Healing', '$938', 'helm', 'mithril', '50000', '167', '357', '292', '-1', '4', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20015', 'Helm of Magic: Power', '$940', 'helm', 'mithril', '50000', '170', '357', '293', '-1', '4', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20016', 'Mambo Hat', '$3252', 'helm', 'leather', '10000', '1628', '4111', '1287', '1', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '8');
INSERT INTO `armor` VALUES ('20017', 'Crown of Mummy Lord', '$3022', 'helm', 'gold', '20000', '1420', '3513', '1123', '-3', '4', '1', '0', '0', '0', '0', '2', '1', '1', '0', '0', '-2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20018', 'Cap of Merkyor', '$2748', 'helm', 'cloth', '20000', '1233', '3257', '982', '-2', '4', '0', '0', '1', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20019', 'Crown', '$413', 'helm', 'gold', '30000', '184', '462', '139', '-3', '4', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20020', 'Helm of Pretender King', '$3842', 'helm', 'steel', '50000', '1896', '18', '0', '-2', '6', '0', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '40', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20021', 'Elven Helm of Dexterity', '$1903', 'helm', 'leather', '13000', '913', '18', '0', '-1', '6', '0', '0', '0', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20022', 'Helmet of Baranka', '$3075', 'helm', 'leather', '50000', '1527', '18', '1163', '-2', '4', '0', '1', '0', '1', '1', '0', '1', '0', '0', '0', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20023', 'Helm of Wind', '$1942', 'helm', 'leather', '50000', '903', '18', '663', '-2', '4', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20024', 'Helmet of the Pretender King', '$2192', 'helm', 'iron', '15000', '959', '18', '0', '-3', '4', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20025', 'Cap of Baltuzar', '$2746', 'helm', 'cloth', '20000', '1231', '3255', '980', '-2', '4', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20026', 'Night Vision Hood', '$2245', 'helm', 'cloth', '25000', '1001', '18', '0', '0', '0', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20027', 'Red Knight\'s Hood', '$1924', 'helm', 'cloth', '20000', '916', '18', '0', '-2', '6', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20028', 'Ivory Tower Leather Helm', '$3289', 'helm', 'leather', '40000', '445', '18', '1330', '-3', '0', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20029', 'Cap of Sema', '$2749', 'helm', 'cloth', '20000', '1234', '3258', '983', '-2', '4', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '15', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20030', 'Helm of New King', '$3849', 'helm', 'leather', '20000', '1903', '18', '0', '-1', '6', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '10', '0', '0', '1', '0', '40', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20031', 'Helm of Yahee', '$3746', 'helm', 'bone', '1000', '1994', '5045', '0', '0', '0', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '52', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20032', 'Dark Headband', '$2452 $2468', 'helm', 'cloth', '5000', '1071', '2935', '872', '-1', '4', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20033', 'Bless of Elm', '$790', 'helm', 'leather', '13000', '267', '18', '275', '-2', '6', '0', '0', '0', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20034', 'Orcish Helm', '$120', 'helm', 'iron', '30000', '54', '18', '0', '-1', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20035', 'Elven Leather Helm', '$118', 'helm', 'leather', '3000', '53', '18', '0', '-1', '6', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20036', 'Helm of Infravision', '$1008', 'helm', 'mithril', '50000', '167', '18', '304', '-1', '4', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20037', 'Mask of Truth', '$2651', 'helm', 'wood', '1000', '1319', '3372', '0', '0', '0', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20038', 'Studded Leather Cap', '$1022', 'helm', 'leather', '20000', '445', '18', '0', '-2', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20039', 'Elven Helm of Constitution', '$1904', 'helm', 'leather', '13000', '908', '18', '0', '-1', '6', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20040', 'Cap of Caspa', '$2747', 'helm', 'cloth', '20000', '1232', '3256', '981', '-2', '4', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '25', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20041', 'Helmet of Kurtz', '$2776', 'helm', 'iron', '50000', '1245', '3261', '1010', '-3', '4', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20042', 'Circlet of Cerenis', '$2199', 'helm', 'iron', '5000', '969', '18', '0', '-3', '4', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20043', 'Helmet', '$128', 'helm', 'iron', '30000', '55', '18', '0', '-1', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20044', 'Blue Pirate Bandanna', '$3495', 'helm', 'leather', '15000', '1764', '4342', '1449', '-2', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20045', 'Skull Helmet', '$1024', 'helm', 'bone', '30000', '453', '18', '0', '-3', '0', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20046', 'Pumpkin Mask', '$2067', 'helm', 'vegetation', '25000', '950', '2474', '0', '0', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20047', 'Pumpkin Costume', '$2072', 'helm', 'vegetation', '20000', '951', '2474', '0', '0', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20048', 'Helm of Chaos', '$3741', 'helm', 'bone', '5000', '1993', '5044', '1710', '-1', '0', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '9', '0', '0', '0');
INSERT INTO `armor` VALUES ('20049', 'Golden Wing of Giant Ant Queen', '$2769', 'cloak', 'gold', '10000', '1248', '3311', '1003', '-4', '4', '0', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20050', 'Silver Wing of Giant Ant Queen', '$2770', 'cloak', 'silver', '10000', '1249', '3312', '1004', '-5', '4', '0', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20051', 'Sovereign\'s Majesty', '$2076', 'cloak', 'cloth', '10000', '941', '13', '0', '-2', '4', '1', '0', '0', '0', '0', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '30', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20052', 'Dwarvish Cloak', '$174', 'cloak', 'cloth', '10000', '27', '3812', '0', '0', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20053', 'Wolf Skin Cloak', '$2918', 'cloak', 'leather', '5000', '1339', '3439', '1091', '-3', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20054', 'Earth Cloak', '$2473 $225', 'cloak', 'cloth', '20000', '1081', '2941', '878', '-3', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '10', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20055', 'Cloak of Mana', '$2250', 'cloak', 'cloth', '10000', '1007', '13', '769', '-2', '4', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '5', '0', '45', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20056', 'Cloak of Magic Resistance', '$182', 'cloak', 'cloth', '10000', '265', '3808', '111', '-1', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20057', 'Cloak of Arcane King', '$3854', 'cloak', 'cloth', '10000', '1908', '13', '9', '-5', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20058', 'Cloak of Pretender King', '$3843', 'cloak', 'cloth', '10000', '1897', '13', '0', '-2', '4', '0', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '20', '0', '3', '0', '0', '40', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20059', 'Water Cloak', '$2471 $225', 'cloak', 'cloth', '20000', '1092', '2939', '876', '-3', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '10', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20060', 'Cloak of Sea', '$3498', 'cloak', 'cloth', '10000', '1767', '4345', '1489', '-2', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20061', 'Wind Cloak', '$2472 $225', 'cloak', 'cloth', '20000', '1094', '2940', '877', '-3', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '10', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20062', 'Varlok\'s Blood-Colered Cloak', '$3373', 'cloak', 'cloth', '10000', '1718', '4314', '1409', '-5', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '52', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20063', 'Cloak of Protection', '$178', 'cloak', 'cloth', '10000', '30', '3810', '0', '-3', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20064', 'Red Knight Cloak', '$312', 'cloak', 'cloth', '10000', '29', '13', '0', '-1', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '15', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20065', 'Red Cloak', '$1918', 'cloak', 'cloth', '10000', '907', '13', '0', '-2', '4', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '15', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20066', 'Black Tiger Leather Cloak', '$3109', 'cloak', 'leather', '5000', '1510', '3732', '1197', '-3', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20067', 'Bishop Cloak', '$2556 $225', 'cloak', 'cloth', '10000', '1904', '13', '0', '-2', '4', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '10', '0', '0', '3', '0', '40', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20068', 'Cloak of the Aden Knights', '$2714', 'cloak', 'cloth', '10000', '1223', '3249', '0', '-3', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20069', 'Cloak of Yahee', '$3749', 'cloak', 'bone', '1000', '2006', '5056', '1381', '0', '0', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '52', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20070', 'Dark Cloak', '$2452 $225', 'cloak', 'cloth', '20000', '1074', '2932', '869', '-3', '4', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20071', 'Fire Cloak', '$2470 $225', 'cloak', 'cloth', '20000', '1082', '2938', '875', '-3', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '10', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20072', 'Orcish Cloak', '$172', 'cloak', 'cloth', '10000', '29', '3824', '0', '0', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20073', 'Elven Cloak', '$170', 'cloak', 'cloth', '10000', '28', '13', '105', '-1', '6', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20074', 'Silver Cloak', '$656 $225', 'cloak', 'silver', '30000', '1087', '2937', '874', '-2', '4', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '15', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20075', 'Cloak of Death', '$3744', 'cloak', 'bone', '10000', '1966', '5023', '1713', '-3', '0', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '100', '50', '-10', '0', '0', '45', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20076', 'Tarak\'s Cloak', '$3345', 'cloak', 'cloth', '10000', '1667', '4269', '0', '-2', '4', '0', '0', '0', '0', '1', '0', '1', '0', '0', '0', '0', '100', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20077', 'Cloak of Invisibility', '$180', 'cloak', 'cloth', '10000', '272', '3806', '110', '-1', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20078', 'Cloak of Chaos', '$3740', 'cloak', 'bone', '5000', '1979', '5037', '1709', '-3', '0', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45', '0', '10', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20079', 'Cloak of Vampire', '$3068', 'cloak', 'cloth', '100000', '1514', '3738', '0', '0', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20080', 'Cloak of Passage', '$184', 'cloak', 'cloth', '10000', '27', '3812', '0', '-2', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '-5', '15', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20081', 'Oilskin Cloak', '$176', 'cloak', 'cloth', '10000', '69', '3822', '0', '-2', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20082', 'Ivory Tower T-Shirt', '$3295', 'T', 'cloth', '5000', '110', '24', '1336', '-1', '0', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20083', 'Shirt of Yahee', '$3747', 'T', 'bone', '1000', '2000', '5051', '0', '0', '0', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '52', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20084', 'Elven T-Shirt', '$2075', 'T', 'cloth', '5000', '956', '24', '0', '0', '6', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20085', 'T-Shirt', '$168', 'T', 'cloth', '5000', '110', '24', '104', '0', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20086', 'Doublet Lomejeech', '$3623', 'T', 'blackmithril', '5000', '1829', '24', '0', '-2', '0', '1', '1', '1', '1', '1', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20087', 'Doublet Lomebuich', '$3631', 'T', 'blackmithril', '5000', '1829', '24', '0', '-2', '0', '1', '1', '1', '1', '1', '0', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20088', 'Doublet Lomechech', '$3627', 'T', 'blackmithril', '5000', '1829', '24', '0', '-2', '0', '1', '1', '1', '1', '1', '1', '0', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20089', 'Leather Armor', '$116', 'armor', 'leather', '70000', '51', '9', '0', '-2', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20090', 'Leather Vest', '$1031', 'armor', 'leather', '30000', '301', '9', '0', '-1', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20091', 'Iron Plate Mail', '$1212', 'armor', 'iron', '470000', '510', '9', '0', '-7', '4', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20092', 'Ancient Leather Armor', '$1947', 'armor', 'leather', '180000', '898', '9', '668', '-14', '-1', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '4', '8', '0', '45', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20093', 'Ancient Robe', '$1948', 'armor', 'cloth', '30000', '900', '9', '669', '-12', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '12', '0', '45', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20094', 'Ancient Scale Mail', '$1949', 'armor', 'dragonscale', '200000', '901', '9', '670', '-14', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '8', '4', '0', '45', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20095', 'Ancient Plate Mail', '$1946', 'armor', 'iron', '280000', '899', '9', '667', '-16', '-1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '45', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20096', 'Ring Mail', '$164', 'armor', 'iron', '250000', '86', '3838', '0', '-3', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20097', 'Wooden Armor', '$781', 'armor', 'wood', '80000', '109', '9', '0', '-3', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20098', 'Armor of Dark Forester', '$3092', 'armor', 'leather', '30000', '1490', '3712', '1180', '-4', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20099', 'Demon Armor', '$1806', 'armor', 'iron', '250000', '696', '9', '0', '-6', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20100', 'Death Knight Armor', '$1810', 'armor', 'iron', '250000', '695', '9', '0', '-7', '4', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20101', 'Banded Mail', '$156', 'armor', 'iron', '350000', '10', '3772', '0', '-6', '4', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20102', 'Lastabad Leather Armor', '$2916', 'armor', 'leather', '70000', '1337', '3437', '1086', '-3', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20103', 'Lastabad Robe', '$2912', 'armor', 'cloth', '30000', '1330', '3429', '1088', '-4', '4', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20104', 'Lastabad Studded Leather Armor', '$2911', 'armor', 'iron', '150000', '1327', '3426', '1087', '-4', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20105', 'Lastabad Chain Mail', '$2910', 'armor', 'iron', '200000', '1329', '3427', '1085', '-6', '4', '0', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20106', 'Robe of Laia', '$3081', 'armor', 'cloth', '30000', '1519', '3794', '1169', '-2', '4', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '100', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20107', 'Lich Robe', '$2212', 'armor', 'cloth', '30000', '978', '9', '0', '-3', '4', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '50', '0', '15', '0', '45', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20108', 'Magical Armor of Lindvior', '$2097', 'armor', 'dragonscale', '250000', '542', '9', '719', '-11', '4', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '50', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20109', 'Robe of Evil Spirit King', '$3855', 'armor', 'cloth', '20000', '1909', '9', '0', '-8', '6', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20110', 'Chain Mail of Magic Resistance', '$516', 'armor', 'iron', '300000', '1201', '3172', '167', '-5', '4', '1', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20111', 'Wizard Clothing', '$1207', 'armor', 'cloth', '60000', '527', '1504', '0', '-3', '4', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20112', 'Mambo Coat', '$3251', 'armor', 'leather', '10000', '1630', '4113', '1286', '-3', '4', '1', '1', '1', '1', '1', '-1', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '10', '0', '-10', '0', '0', '0', '0', '40');
INSERT INTO `armor` VALUES ('20113', 'Armor of Pretender King', '$3841', 'armor', 'steel', '250000', '1895', '9', '0', '-4', '6', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '50', '0', '10', '0', '0', '40', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20114', 'Cotton Robe', '$580', 'armor', 'cloth', '10000', '287', '9', '0', '-2', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20115', 'Splint Mail', '$155', 'armor', 'iron', '400000', '102', '3771', '0', '-6', '4', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20116', 'Armor of Baranka', '$3074', 'armor', 'leather', '450000', '1533', '3848', '1162', '-8', '4', '0', '1', '0', '0', '0', '1', '0', '1', '0', '0', '-2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20117', 'Armor of Baphomet', '$2765', 'armor', 'gemstone', '30000', '1256', '3253', '999', '-8', '4', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20118', 'Armor of the Pretender King', '$2189', 'armor', 'iron', '180000', '960', '9', '0', '-8', '4', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20119', 'Magical Armor of Valakas', '$2096', 'armor', 'dragonscale', '250000', '541', '9', '718', '-11', '4', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '50', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20120', 'Leather Vest with Belt', '$1032', 'armor', 'leather', '50000', '460', '9', '0', '-3', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20121', 'Robe of Black Wizard', '$3088', 'armor', 'cloth', '30000', '1486', '3708', '1176', '-4', '4', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '10', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20122', 'Scale Mail', '$162', 'armor', 'iron', '250000', '89', '9', '0', '-4', '4', '1', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20123', 'Robe of Beast Summoner', '$3084', 'armor', 'cloth', '30000', '1522', '3797', '1172', '-4', '4', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '10', '0', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20124', 'Bone Armor', '$1035', 'armor', 'bone', '150000', '448', '9', '0', '-5', '0', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20125', 'Chain Mail', '$159', 'armor', 'iron', '300000', '26', '9', '0', '-5', '4', '1', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20126', 'Ivory Tower Leather Armor', '$3290', 'armor', 'leather', '150000', '299', '9', '1331', '-6', '0', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20127', 'Blue Dragon Armor', '$141', 'armor', 'dragonscale', '300000', '1197', '3168', '403', '-9', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '20', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20128', 'Crystal Plate Mail', '$153', 'armor', 'gemstone', '350000', '32', '3769', '0', '-8', '4', '1', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20129', 'Robe of New King', '$3848', 'armor', 'cloth', '60000', '1902', '9', '0', '-6', '6', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '10', '0', '0', '5', '0', '40', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20130', 'Magical Armor of Antharas', '$2095', 'armor', 'dragonscale', '250000', '540', '9', '717', '-11', '4', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '50', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20131', 'Armor of Yahee', '$3748', 'armor', 'bone', '1000', '1976', '5035', '1379', '0', '0', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '52', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20132', 'Dark Robe', '$2452 $2466', 'armor', 'cloth', '20000', '1077', '2933', '870', '-5', '6', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20133', 'Darkness Dealer Plate Mail', '$2571 $152', 'armor', 'blackmithril', '170000', '899', '9', '0', '-15', '0', '0', '1', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '2', '0', '0', '45', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20134', 'Alluring Dress of Ice Queen', '$2753', 'armor', 'gemstone', '30000', '1237', '3259', '987', '-5', '4', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20135', 'Orcish Ring Mail', '$165', 'armor', 'iron', '250000', '442', '3834', '0', '-2', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20136', 'Orcish Chain Mail', '$160', 'armor', 'iron', '300000', '443', '3774', '0', '-4', '4', '1', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20137', 'Elven Chain Mail', '$595', 'armor', 'mithril', '150000', '281', '9', '0', '-5', '6', '1', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20138', 'Elven Plate Mail', '$788', 'armor', 'oriharukon', '250000', '275', '9', '0', '-6', '6', '0', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20139', 'Elven Breast Plate', '$782', 'armor', 'mithril', '100000', '302', '9', '0', '-4', '6', '1', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20140', 'Forgotten Leather Armor', '$1934', 'armor', 'leather', '200000', '442', '9', '0', '-1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20141', 'Forgotten Robe', '$1935', 'armor', 'cloth', '50000', '51', '9', '0', '-1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20142', 'Forgotten Scale Mail', '$1936', 'armor', 'dragonscale', '250000', '89', '9', '0', '-1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20143', 'Forgotten Plate Mail', '$1933', 'armor', 'iron', '300000', '443', '9', '0', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20144', 'Armor of Death', '$3742', 'armor', 'bone', '100000', '1955', '9', '1711', '-8', '0', '1', '1', '0', '0', '0', '2', '0', '2', '0', '-2', '-2', '0', '0', '5', '0', '0', '45', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20145', 'Hard Leather Vest', '$1034', 'armor', 'leather', '150000', '285', '9', '0', '-3', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20146', 'Green Dragon Armor', '$142', 'armor', 'dragonscale', '300000', '1198', '3169', '404', '-9', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '20', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20147', 'Studded Leather Armor', '$163', 'armor', 'leather', '150000', '109', '9', '0', '-3', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20148', 'Studded Leather Vest', '$1033', 'armor', 'leather', '130000', '284', '9', '0', '-2', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20149', 'Bronze Plate Mail', '$154', 'armor', 'copper', '450000', '22', '3770', '0', '-6', '4', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20150', 'Armor of Kurtz', '$2774', 'armor', 'iron', '250000', '1246', '3316', '1008', '-7', '4', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20151', 'Robe of Cerenis', '$2202', 'armor', 'cloth', '85000', '972', '9', '0', '-5', '4', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20152', 'Tarak\'s Robe', '$3343', 'armor', 'cloth', '25000', '1663', '4267', '0', '-13', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '100', '0', '5', '0', '45', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20153', 'Magical Armor of Fafurion', '$2094', 'armor', 'dragonscale', '250000', '539', '9', '716', '-11', '4', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '50', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20154', 'Plate Mail', '$152', 'armor', 'iron', '450000', '73', '3768', '0', '-7', '4', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20155', 'Blue Pirate Leather Armor', '$3499', 'armor', 'leather', '150000', '1768', '4346', '1490', '-5', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20156', 'White Dragon Armor', '$138', 'armor', 'dragonscale', '300000', '1200', '3171', '406', '-9', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '20', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20157', 'Plate Worm Rind Armor', '$3108', 'armor', 'leather', '250000', '1509', '3731', '1196', '-8', '4', '0', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20158', 'Emblem of Chaos', '$3738', 'armor', 'bone', '15000', '1980', '9', '1707', '-6', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '12', '0', '45', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20159', 'Red Dragon Armor', '$137', 'armor', 'dragonscale', '300000', '1199', '3170', '405', '-9', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '20', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20160', 'Robe of Dark Elder', '$2744', 'armor', 'cloth', '30000', '1229', '3263', '978', '-5', '4', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '50', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20161', 'Armor of Illusion', '$1998', 'armor', 'iron', '300000', '930', '9', '0', '-7', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20162', 'Leather Gloves', '$198', 'glove', 'leather', '5000', '710', '182', '0', '0', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20163', 'Iron Gloves', '$1208', 'glove', 'iron', '40000', '506', '182', '0', '-1', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20164', 'Shadow Gloves', '$2412', 'glove', 'leather', '10000', '1040', '2868', '818', '-1', '6', '0', '0', '0', '0', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '30', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20165', 'Demon Gloves', '$1805', 'glove', 'iron', '15000', '709', '182', '0', '-2', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20166', 'Death Knight Gloves', '$1809', 'glove', 'iron', '15000', '708', '182', '0', '-2', '4', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20167', 'Gloves of Lizardman Hero', '$3797', 'glove', 'bone', '12000', '1877', '182', '1814', '-2', '0', '1', '1', '1', '1', '1', '0', '0', '1', '0', '0', '-2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20168', 'Gloves of Pretender King', '$3844', 'glove', 'steel', '50000', '1898', '182', '0', '-1', '6', '0', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '40', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20169', 'Gloves of Baranka', '$3076', 'glove', 'leather', '5000', '1526', '3816', '1164', '-3', '4', '0', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20170', 'Gauntlet of the Pretender King', '$2191', 'glove', 'iron', '10000', '962', '182', '0', '-2', '4', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20171', 'Gloves of Protection', '$2249', 'glove', 'leather', '10000', '1011', '182', '768', '0', '4', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '20', '10', '0', '0', '0', '45', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20172', 'Glove of Ice Spirit', '$3254', 'glove', 'leather', '18000', '1631', '4114', '1289', '0', '4', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '4', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20173', 'Ivory Tower Leather Gloves', '$3292', 'glove', 'leather', '18000', '710', '182', '1333', '-2', '0', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20174', 'Snow Gloves', '$1801', 'glove', 'leather', '20000', '711', '182', '0', '-1', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '8');
INSERT INTO `armor` VALUES ('20175', 'Crystal Gloves', '$1800', 'glove', 'gemstone', '20000', '707', '182', '0', '-3', '4', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '4', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20176', 'Gloves of the New King', '$3851', 'glove', 'leather', '20000', '1905', '182', '0', '0', '6', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '5', '0', '0', '1', '0', '40', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20177', 'Glove of Dark Spirit', '$3256', 'glove', 'leather', '18000', '1632', '4115', '1291', '0', '4', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '4', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20178', 'Gloves of Assasin King', '$3857', 'glove', 'leather', '25000', '1911', '182', '0', '-4', '6', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20179', 'Gloves of Yahee', '$3751', 'glove', 'bone', '1000', '2008', '182', '1380', '0', '0', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '52', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20180', 'Dark Gloves', '$2452 $330', 'glove', 'cloth', '10000', '1076', '2934', '871', '-1', '4', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20181', 'Glove of Fire Spirit', '$3253', 'glove', 'leather', '18000', '1633', '4116', '1288', '0', '4', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '4', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20182', 'Gloves', '$330', 'glove', 'leather', '10000', '141', '182', '0', '0', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20183', 'Scale of Death', '$3743', 'glove', 'bone', '5000', '1967', '5024', '1712', '-3', '0', '1', '1', '1', '1', '1', '1', '0', '1', '0', '0', '-2', '0', '0', '0', '0', '0', '45', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20184', 'Gloves of Kurtz', '$2773', 'glove', 'iron', '15000', '1244', '3315', '1007', '-2', '4', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20185', 'Gloves of Cerenis', '$2201', 'glove', 'leather', '8000', '971', '182', '0', '-1', '4', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20186', 'Tarak\'s Gloves', '$3344', 'glove', 'leather', '18000', '1665', '4268', '0', '-2', '4', '1', '1', '0', '0', '0', '0', '1', '0', '0', '0', '0', '100', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20187', 'Power Gloves', '$795', 'glove', 'leather', '18000', '328', '182', '280', '0', '4', '1', '1', '1', '1', '1', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20188', 'Blue Pirate Gloves', '$3496', 'glove', 'leather', '15000', '1765', '4343', '1487', '-1', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20189', 'Glove of Wind Spirit', '$3255', 'glove', 'leather', '18000', '1634', '4117', '1290', '0', '4', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '4', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20190', 'Finger of Chaos', '$3739', 'glove', 'bone', '5000', '1990', '5041', '1708', '-3', '0', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45', '0', '0', '0', '0', '0', '5', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20191', 'Bracer', '$775', 'glove', 'leather', '10000', '327', '3964', '0', '0', '4', '0', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20192', 'Leather Boots', '$1027', 'boots', 'leather', '10000', '461', '25', '0', '-2', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20193', 'Leather Sandal', '$1025', 'boots', 'leather', '8000', '452', '25', '0', '0', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20194', 'Iron Boots', '$1211', 'boots', 'iron', '50000', '509', '25', '0', '-3', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20195', 'Shadow Boots', '$2423', 'boots', 'leather', '10000', '1044', '2872', '829', '-2', '4', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '50', '0', '4', '0', '0', '45', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20196', 'Boots of Dark Forester', '$3091', 'boots', 'leather', '10000', '1489', '3711', '1179', '-2', '4', '0', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20197', 'Demon Boots', '$1807', 'boots', 'iron', '15000', '702', '25', '0', '-3', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20198', 'Death Knight Boots', '$1811', 'boots', 'iron', '15000', '701', '25', '0', '-3', '4', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20199', 'Lastabad Boots', '$2913', 'boots', 'leather', '10000', '1325', '3430', '1089', '-2', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20200', 'Boots of Evil Power King', '$3856', 'boots', 'leather', '30000', '1910', '25', '0', '-4', '6', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20201', 'Boots of Pretender King', '$3845', 'boots', 'steel', '60000', '1899', '25', '0', '-2', '6', '0', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '20', '0', '0', '0', '0', '40', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20202', 'Boots of Baranka', '$3077', 'boots', 'leather', '10000', '1525', '3804', '1165', '-3', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20203', 'Boots of the Pretender King', '$2190', 'boots', 'iron', '12000', '961', '25', '0', '-3', '4', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20204', 'Boots of Beleth', '$2767', 'boots', 'glass', '10000', '1258', '3254', '0', '-2', '6', '0', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20205', 'Boots', '$329', 'boots', 'leather', '15000', '435', '25', '0', '-2', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20206', 'Ivory Tower Leather Sandals', '$3291', 'boots', 'leather', '50000', '447', '25', '1332', '-3', '0', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20207', 'Underwater Boots', '$1804', 'boots', 'leather', '15000', '704', '25', '0', '-2', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20208', 'Boots of New King', '$3852', 'boots', 'leather', '30000', '1906', '25', '0', '-2', '6', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '40', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20209', 'Boots of Yahee', '$3750', 'boots', 'bone', '1000', '2004', '5054', '1382', '0', '0', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '52', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20210', 'Dark Boots', '$2452 $329', 'boots', 'cloth', '15000', '1093', '2936', '873', '-2', '6', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20211', 'Alluring Sandals of Ice Queen', '$2752', 'boots', 'glass', '10000', '1238', '3260', '986', '-2', '4', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20212', 'Studded Leather Sandals', '$1026', 'boots', 'leather', '10000', '447', '25', '0', '-1', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20213', 'Low Boots', '$206', 'boots', 'leather', '10000', '65', '25', '0', '-1', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20214', 'Boots of Kurtz', '$2775', 'boots', 'iron', '15000', '1247', '25', '1009', '-3', '4', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20215', 'Boots of Cerenis', '$2194', 'boots', 'iron', '15000', '964', '25', '0', '-2', '4', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20216', 'Tarak\'s Boots', '$3346', 'boots', 'leather', '10000', '1669', '4270', '0', '-2', '4', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '100', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20217', 'Blue Pirate Boots', '$3497', 'boots', 'leather', '15000', '1766', '4344', '1488', '-2', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20218', 'Sandals of Dark Elder', '$2745', 'boots', 'leather', '10000', '1230', '3298', '979', '-2', '4', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '25', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20219', 'Leather Shield', '$1028', 'shield', 'leather', '25000', '449', '23', '0', '-1', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20220', 'Iron Shield', '$1210', 'shield', 'iron', '140000', '508', '23', '0', '-4', '4', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20221', 'Bone Shield', '$1030', 'shield', 'bone', '30000', '457', '23', '0', '-3', '0', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20222', 'Wooden Shield', '$778', 'shield', 'wood', '30000', '97', '23', '0', '-1', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20223', 'Dwarvish Round Shield', '$194', 'shield', 'iron', '100000', '95', '50', '0', '-2', '4', '1', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20224', 'Lastabad Round Shield', '$2914', 'shield', 'iron', '50000', '1331', '3425', '1090', '-2', '4', '1', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20225', 'Mana Crystal Ball', '$2351', 'shield', 'glass', '50000', '1017', '23', '788', '-2', '4', '0', '0', '1', '0', '0', '0', '0', '0', '1', '0', '0', '0', '100', '0', '0', '0', '50', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20226', 'Book of Magic Powers', '$1917', 'shield', 'paper', '20000', '906', '23', '0', '-2', '4', '0', '0', '1', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '15', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20227', 'Shield of Medusa', '$2213', 'shield', 'silver', '80000', '979', '23', '0', '-2', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '30', '0', '0');
INSERT INTO `armor` VALUES ('20228', 'Shield of Pretender King', '$3846', 'shield', 'steel', '100000', '1900', '23', '0', '-2', '6', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '10', '0', '4', '0', '0', '40', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20229', 'Shield of Reflection', '$196', 'shield', 'silver', '50000', '137', '23', '119', '-2', '4', '1', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '20');
INSERT INTO `armor` VALUES ('20230', 'Shield of Red Knight', '$2035', 'shield', 'silver', '50000', '954', '23', '0', '-3', '6', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '30', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20231', 'Tower Shield', '$429', 'shield', 'iron', '120000', '177', '359', '305', '-3', '4', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20232', 'Ivory Tower Leather Shield', '$3293', 'shield', 'leather', '50000', '450', '23', '1334', '-3', '0', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20233', 'Scroll of New King', '$3853', 'shield', 'paper', '30000', '1907', '23', '0', '-3', '6', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '50', '0', '3', '0', '40', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20234', 'Shield of Faith', '$3794', 'shield', 'iron', '50000', '1874', '23', '1811', '-3', '6', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20235', 'Shield of Eva', '$419', 'shield', 'silver', '50000', '1203', '3174', '0', '-3', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '20', '0', '0', '0', '0', '40', '0', '0', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20236', 'Elven Shield', '$187', 'shield', 'silver', '50000', '1202', '3173', '0', '-2', '6', '0', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20237', 'Orcish Shield', '$189', 'shield', 'iron', '50000', '114', '23', '0', '-1', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20238', 'Shield of the Silver Knight', '$922', 'shield', 'silver', '100000', '332', '996', '0', '-2', '4', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '15', '0', '4', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20239', 'Wooden Shield', '$186', 'shield', 'wood', '30000', '97', '23', '0', '-1', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20240', 'Armor of Death Piece', '$3745', 'armor', 'bone', '20000', '1973', '5030', '1714', '-1', '0', '1', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '3', '0', '0', '0');
INSERT INTO `armor` VALUES ('20241', 'Studded Leather Shield', '$1029', 'shield', 'leather', '35000', '450', '23', '0', '-2', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20242', 'Large Shield', '$193', 'shield', 'iron', '100000', '61', '23', '0', '-2', '4', '1', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20243', 'Hidden Valley Amulet', '$1758', 'amulet', 'gemstone', '5000', '665', '8', '0', '0', '-1', '0', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '5', '5', '0', '0', '0', '5', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20244', 'Old Amulet of Charisma', '$1667 $1007', 'amulet', 'gemstone', '5000', '642', '8', '311', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '-2', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20245', 'Old Amulet of Dexterity', '$1667 $1003', 'amulet', 'gemstone', '5000', '638', '8', '307', '0', '-1', '1', '1', '1', '1', '1', '0', '-2', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20246', 'Old Amulet of Strength', '$1667 $1002', 'amulet', 'gemstone', '5000', '637', '8', '306', '0', '-1', '1', '1', '1', '1', '1', '1', '0', '-2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20247', 'Old Amulet of Inteligence', '$1667 $1005', 'amulet', 'gemstone', '5000', '640', '8', '309', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '-2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20248', 'Old Amulet of Wisdom', '$1667 $1006', 'amulet', 'gemstone', '5000', '641', '8', '310', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', '-2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20249', 'Old Amulet of Constitution', '$1667 $1004', 'amulet', 'gemstone', '5000', '639', '8', '308', '0', '-1', '1', '1', '1', '1', '1', '-2', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20250', 'Necklace of Doppelganger Boss', '$2757', 'amulet', 'gemstone', '5000', '1254', '3303', '991', '0', '-1', '1', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20251', 'Silver Serpent Amulet', 'Silver Serpent Amulet', 'amulet', 'mithril', '5000', '304', '8', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20252', 'Necklace of Laia', '$3079', 'amulet', 'gemstone', '5000', '1517', '3792', '1167', '0', '-1', '0', '0', '1', '0', '0', '0', '-2', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20253', 'Amulet of Magic Spirit King', '$3859', 'amulet', 'gold', '5000', '1913', '8', '0', '0', '-1', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '15', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20254', 'Amulet of Charisma', '$1007', 'amulet', 'gemstone', '5000', '1192', '3163', '311', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20255', 'Ring of Arcade King', '$3858', 'amulet', 'gold', '5000', '1912', '8', '0', '0', '-1', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20256', 'Amulet of Dexterity', '$1003', 'amulet', 'gemstone', '5000', '1188', '3159', '307', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20257', 'Amulet of Black Wizard', '$3087', 'amulet', 'gemstone', '5000', '1485', '3707', '1175', '0', '-1', '0', '0', '1', '0', '0', '0', '-1', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20258', 'Amulet of Beast Summoner', '$3083', 'amulet', 'gemstone', '5000', '1521', '3796', '1171', '0', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '-1', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20259', 'Amulet of Singing Island ', '$1757', 'amulet', 'gemstone', '5000', '665', '8', '0', '0', '-1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '5', '5', '0', '0', '0', '5', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20260', 'Amulet of Iris', '$2858', 'amulet', 'gemstone', '5000', '1165', '8', '0', '0', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20261', 'Amulet of Yahee', '$3753', 'amulet', 'bone', '1000', '2002', '5053', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '52', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20262', 'Amulet of Vigor', '$3671', 'amulet', 'gold', '5000', '1613', '8', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20263', 'Amulet of Orc Warrior', '$1013', 'amulet', 'gemstone', '5000', '1193', '3164', '314', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '20', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20264', 'Amulet of Strength', '$1002', 'amulet', 'gemstone', '5000', '1187', '3158', '306', '0', '-1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20265', 'Seal of Harmony', '$3193', 'amulet', 'gemstone', '5000', '1547', '8', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '10', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20266', 'Amulet of Intelligence', '$1005', 'amulet', 'gemstone', '5000', '1190', '3161', '309', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20267', 'Amulet of Wisdom', '$1006', 'amulet', 'gemstone', '5000', '1191', '3162', '310', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20268', 'Amulet of Contsitution', '$1004', 'amulet', 'gemstone', '5000', '1189', '3160', '308', '0', '-1', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20269', 'Skeleton Amulet', '$3500', 'amulet', 'bone', '1000', '1769', '4347', '1491', '-2', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20270', 'Silver Serpent Amulet', 'Silver Serpent Amulet', 'amulet', 'mithril', '5000', '304', '8', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20277', 'Right-Hand Ring of Doppelganger Boss', '$2756', 'ring', 'wood', '3000', '1253', '3302', '990', '0', '-1', '1', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20278', 'Left-Hand Ring of Doppelganger Boss', '$2755', 'ring', 'wood', '3000', '1252', '3301', '989', '0', '-1', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20279', 'Ring of Laia', '$3080', 'ring', 'gemstone', '1000', '1518', '3793', '1168', '-5', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20280', 'Ring of Immunity to Magic', '$1662', 'ring', 'gold', '3000', '626', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20281', 'Ring of Polymorph Control', '$261', 'ring', 'gold', '3000', '1195', '3166', '65', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20282', 'Ivory Tower Ring', '$3294', 'ring', 'gemstone', '1000', '1029', '21', '1335', '-1', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20284', 'Ring of Summon Control', '$1937', 'ring', 'gold', '3000', '905', '21', '658', '0', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20285', 'Ring of Water Resistance', '$1664', 'ring', 'gold', '3000', '629', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20286', 'Ring of Vitality', 'Ring of Vitality', 'ring', 'gemstone', '1000', '1344', '3460', '0', '-1', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20287', 'Ring of Gaurdian', '$2225', 'ring', 'gold', '3000', '905', '21', '0', '0', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '30', '20', '0', '0', '0', '45', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20288', 'Ring of Teleport Control', '$241', 'ring', 'gold', '3000', '1194', '3165', '64', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20289', 'Abyss Ring', '$3257', 'ring', 'platinum', '3000', '1637', '4120', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '8', '0');
INSERT INTO `armor` VALUES ('20290', 'Ring of Yahee', '$3752', 'ring', 'bone', '1000', '2010', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '52', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20291', 'Ring of Vigor', '$3672', 'ring', 'gold', '1000', '1615', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20293', 'Cursed Diamond Ring', '$3503', 'ring', 'gold', '1000', '1776', '4351', '1495', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '-10', '-10', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20294', 'Cursed Ruby Ring', '$3501', 'ring', 'gold', '1000', '1770', '4348', '1492', '2', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20295', 'Cursed Sapphire Ring', '$3502', 'ring', 'gold', '1000', '1772', '4349', '1493', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '-10', '-10', '-10', '-10', '0', '5', '0', '0');
INSERT INTO `armor` VALUES ('20296', 'Cursed Emerald Ring', '$3528', 'ring', 'gold', '1000', '1774', '4350', '1494', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '25', '0', '0', '0', '0', '0', '0', '-10', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20297', 'Seal of Mental Ability', '$3194', 'ring', 'silver', '1000', '1548', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20298', 'Ring of Zenith', '$2406', 'ring', 'gold', '3000', '1037', '2880', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20299', 'Payment for Death', '$3097', 'ring', 'gemstone', '1000', '1496', '3718', '0', '-1', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '2', '-2', '0', '48', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20300', 'Ring of Earth Resistance', '$1665', 'ring', 'gold', '3000', '627', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20301', 'Seal of Physical Ability', '$3195', 'ring', 'copper', '1000', '1549', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '20', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20302', 'Ring of Wind Resistance', '$1666', 'ring', 'gold', '3000', '630', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '30', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20303', 'Ring of Magic Resistance', '$1661', 'ring', 'gold', '3000', '625', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20304', 'Ring of Fire Resistance', '$1663', 'ring', 'gold', '3000', '628', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '30', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20305', 'Ring', '$90', 'ring', 'gold', '1000', '87', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20306', 'Old Belt of Body', '$1667 $1669', 'belt', 'leather', '50000', '631', '1165', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '30', '0', '0', '0', '0', '15', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20307', 'Old Belt of Soul', '$1667 $1671', 'belt', 'leather', '50000', '633', '1165', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '15', '15', '0', '0', '0', '15', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20308', 'Old Belt of Mind', '$1667 $1670', 'belt', 'leather', '50000', '632', '1165', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '30', '0', '0', '0', '15', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20309', 'Shining Belt of Body', '$2601', 'belt', 'leather', '50000', '1168', '3119', '936', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '50', '0', '1', '0', '0', '30', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20310', 'Shining Belt of Soul', '$2603', 'belt', 'leather', '50000', '1170', '3121', '928', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '20', '20', '1', '1', '0', '30', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20311', 'Shining Belt of Mind', '$2602', 'belt', 'leather', '50000', '1169', '3120', '937', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '50', '0', '1', '0', '30', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20312', 'Belt of Body', '$1669', 'belt', 'leather', '50000', '634', '1165', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '50', '0', '0', '0', '0', '30', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20313', 'Belt of Darkness', '$3862', 'belt', 'cloth', '40000', '1916', '1165', '0', '-1', '-1', '0', '0', '0', '0', '1', '0', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20314', 'Ring of Ancient Giant', '$2215', 'belt', 'gold', '50000', '981', '21', '0', '-2', '-1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20315', 'Belt of Vigor', '$3673', 'belt', 'gold', '50000', '1009', '1165', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20316', 'Belt of Soul', '$1671', 'belt', 'leather', '50000', '636', '1165', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '25', '25', '0', '0', '0', '30', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20317', 'Ogre Belt', '$1819', 'belt', 'leather', '50000', '697', '1165', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '40', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20318', 'Belt of Bravery', '$2251', 'belt', 'leather', '50000', '1009', '1165', '770', '-1', '-1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '30', '0', '0', '0', '0', '45', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20319', 'Belt of Mind', '$1670', 'belt', 'leather', '50000', '635', '1165', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '50', '0', '0', '0', '30', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20320', 'Titan Belt', '$1820', 'belt', 'leather', '50000', '698', '1165', '0', '0', '-1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '50', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20321', 'Troll Belt', '$1818', 'belt', 'leather', '50000', '699', '1165', '0', '0', '-1', '1', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '20', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20322', 'Leather Jacket', '$167', 'armor', 'leather', '30000', '1196', '3167', '0', '-1', '0', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20342', 'Cloak of Sashin', '$3069', 'cloak', 'cloth', '100000', '1515', '13', '0', '0', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20343', 'Easter Bunny Hat', 'Easter Bunny Hat', 'helm', 'leather', '5000', '1866', '4111', '0', '0', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '2', '2', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20344', 'Easter Bunny Hat w/Carrot', 'Easter Bunny with Carrot Hat', 'helm', 'leather', '5000', '1866', '4111', '0', '0', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '2', '2', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20345', 'High Collie Choker', 'High Collie Choker', 'amulet', 'iron', '5000', '2024', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20346', 'High Racoon Choker', 'High Raccon Choker', 'amulet', 'iron', '5000', '2023', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20347', 'Hakama', 'Hakama', 'cloak', 'cloth', '5000', '517', '1493', '0', '0', '0', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20348', 'Holiday Attire', 'Holiday Attire', 'cloak', 'cloth', '5000', '519', '1495', '0', '0', '0', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20349', 'Amulet of Beagle', 'Amulet of Beagle', 'amulet', 'gemstone', '0', '1517', '8', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20350', 'Amulet of Snow Man', 'Amulet of Snow Man', 'amulet', 'platinum', '0', '1184', '8', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20351', 'Carrot', 'Carrot', 'helm', 'vegetation', '5000', '25', '67', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20352', 'Stocking', 'Stocking', 'boots', 'cloth', '5000', '303', '25', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20353', 'Armor of Legend', '$3608', 'armor', 'mithril', '200000', '1793', '9', '0', '-6', '4', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20354', 'Boots of Legend', '$3610', 'boots', 'mithril', '30000', '1794', '25', '0', '-2', '4', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20355', 'Gloves of Legend', '$3609', 'glove', 'mithril', '20000', '1796', '182', '0', '0', '4', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20356', 'Helm of Legend', '$3607', 'helm', 'mithril', '30000', '1797', '18', '0', '-1', '6', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20357', 'Shield of Legend', '$3611', 'shield', 'mithril', '50000', '1798', '23', '0', '-1', '4', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20358', 'Amulet of Kahel 1', '$4445', 'amulet', 'bone', '10000', '2217', '4295', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '25', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20359', 'Amulet of Kahel 2', '$4446', 'amulet', 'bone', '10000', '2218', '4295', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '25', '25', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20360', 'Amulet of Kahel 3', '$4447', 'amulet', 'bone', '10000', '2219', '4295', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '25', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20361', 'Amulet of Kahel 4', '$4448', 'amulet', 'bone', '10000', '2220', '4295', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '50', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20362', 'Amulet of Kahel 5', '$4449', 'amulet', 'bone', '10000', '2221', '4295', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '60', '50', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20363', 'Amulet of Kahel 6', '$4450', 'amulet', 'bone', '10000', '2222', '4295', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '70', '50', '2', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20364', 'Amulet of Kahel 7', '$4451', 'amulet', 'bone', '10000', '2223', '4295', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '80', '50', '3', '2', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20365', 'Amulet of Kahel 8', '$4452', 'amulet', 'bone', '10000', '2224', '4295', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '100', '50', '4', '3', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20366', 'Unknown 20366', 'Unknown $162', 'armor', 'dragonscale', '150000', '901', '9', '0', '-12', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '3', '2', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20367', 'Unknown 20367', 'Unknown $152', 'armor', 'iron', '250000', '899', '9', '0', '-13', '-1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20368', 'Unknown 20368', 'Unknown $116', 'armor', 'leather', '150000', '898', '9', '0', '-12', '-1', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '2', '3', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20369', 'Unknown 20369', 'Unknown $2466', 'armor', 'cloth', '30000', '900', '9', '0', '-9', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20370', 'Unknown 20370', 'Unknown $225', 'cloak', 'silver', '5000', '1087', '2937', '0', '-6', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '20', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20371', 'Unknown 20371', 'Unknown $207', 'boots', 'iron', '10000', '509', '25', '0', '-9', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20372', 'Unknown 20372', 'Unknown $330', 'glove', 'iron', '10000', '506', '182', '0', '-6', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20373', 'Unknown 20373', 'Unknown $128', 'helm', 'iron', '35000', '507', '18', '0', '-7', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '15', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20374', 'Unknown 20374', 'Unknown $4196', 'shield', 'iron', '50000', '508', '23', '0', '-9', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20375', 'Unknown 20375', 'Unknown $3617', 'T', 'blackmithril', '5000', '1829', '24', '0', '-5', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20376', 'Unknown 20376', 'Unknown 20376', 'amulet', 'gemstone', '5000', '1192', '3163', '0', '0', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20377', 'Unknown 20377', 'Unknown 20377', 'amulet', 'gemstone', '5000', '1187', '3158', '0', '0', '-1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20378', 'Unknown 20378', 'Unknown 20378', 'amulet', 'gemstone', '5000', '1188', '3159', '0', '0', '-1', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '2', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20379', 'Unknown 20379', 'Unknown 20379', 'amulet', 'gemstone', '5000', '1190', '3161', '0', '0', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20380', 'Halloween Blessing Cap', '$4323', 'helm', 'vegetation', '25000', '950', '2474', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20381', 'Hair Clip of Lucidity', '$4388', 'helm', 'leather', '20000', '2232', '18', '0', '0', '4', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20382', 'Unknown 20382', '$4946', 'helm', 'mithril', '5000', '2466', '5961', '0', '0', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20383', 'Unknown 20383', '$5163', 'helm', 'leather', '25000', '2538', '18', '0', '0', '6', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20384', 'Apprentice Prince Helm', '$1765', 'helm', 'leather', '30000', '445', '18', '0', '-2', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20385', 'Apprentice Knight Helm', '$1761', 'helm', 'leather', '30000', '456', '18', '0', '-2', '-1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20386', 'Apprentice Elf Helm', '$1901', 'helm', 'leather', '30000', '445', '18', '0', '-2', '-1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20387', 'Apprentice Wizard Cap', '$1769', 'helm', 'leather', '30000', '445', '18', '0', '-2', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20388', 'Dark Elf\'s Training Helmet', '$2537', 'helm', 'leather', '30000', '1050', '18', '0', '-2', '-1', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20389', 'Elven Helm of %i', '$4000', 'helm', 'leather', '3000', '53', '18', '0', '-2', '4', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20390', 'Helm of Fidelity', '$4380', 'helm', 'blackmithril', '40000', '2163', '18', '0', '-6', '0', '0', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20391', 'Apprentice Prince Armor', '$1763', 'armor', 'leather', '150000', '301', '9', '0', '-4', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20392', 'Apprentice Elf Armor', '$1899', 'armor', 'leather', '150000', '284', '9', '0', '-4', '-1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20393', 'Elven Armor of %i', '$3999', 'armor', 'oriharukon', '80000', '275', '9', '0', '-4', '4', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20394', 'Apprentice Knight Armor', '$1759', 'armor', 'leather', '30000', '301', '9', '0', '-5', '-1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20395', 'Armor of Fidelity', '$4378', 'armor', 'blackmithril', '100000', '2162', '9', '0', '-10', '0', '0', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20396', 'Shield of Sheba Human', '$4430', 'shield', 'platinum', '1000', '1973', '5030', '0', '-1', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '3', '0', '0', '0');
INSERT INTO `armor` VALUES ('20397', 'Apprentice Prince Shield', '$1764', 'shield', 'leather', '30000', '449', '23', '0', '-2', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20398', 'Apprentice Knight Shield', '$1760', 'shield', 'leather', '30000', '449', '23', '0', '-2', '-1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20399', 'Apprentice Wizard Cloak', '$1767', 'cloak', 'cloth', '150000', '265', '3808', '0', '-2', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20400', 'Dark Elf\'s Training Cloak', '$2539', 'cloak', 'cloth', '150000', '1053', '3822', '0', '-2', '-1', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20401', 'Elven Cloak of %i', '$4002', 'cloak', 'cloth', '10000', '28', '13', '0', '-2', '4', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20402', 'Cloak of Fidelity', '$4381', 'cloak', 'blackmithril', '10000', '2164', '2941', '0', '-7', '0', '0', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20403', 'Apprentice Elf Boots', '$1900', 'boots', 'leather', '30000', '461', '25', '0', '-2', '-1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20404', 'Apprentice Wizard Boots', '$1768', 'boots', 'leather', '30000', '461', '25', '0', '-2', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20405', 'Dark Elf\'s Training Boots', '$2538', 'boots', 'leather', '30000', '1052', '25', '0', '-2', '-1', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20406', 'Elven Boots of %i', '$4001', 'boots', 'iron', '15000', '509', '25', '0', '-2', '4', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20407', 'Militia Boots', '$4067', 'boots', 'leather', '30000', '2130', '25', '0', '-2', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '10', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20408', 'Boots of Fidelity', '$4379', 'boots', 'blackmithril', '30000', '2166', '25', '0', '-7', '0', '0', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20409', 'Elven Gloves of %i', '$3998', 'glove', 'leather', '10000', '327', '3964', '0', '-1', '4', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20410', 'Gloves of Fidelity', '$4377', 'glove', 'blackmithril', '30000', '2165', '3964', '0', '-5', '0', '0', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20411', 'Amulet of Suffering', '$4389', 'amulet', 'bone', '10000', '2234', '8', '2105', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '-5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '5', '0', '0', '0');
INSERT INTO `armor` VALUES ('20412', 'Amulet of Anguish', '$4390', 'amulet', 'bone', '10000', '2235', '8', '2106', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-5', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '5');
INSERT INTO `armor` VALUES ('20413', 'Amulet of Hope', '$1649', 'amulet', 'mithril', '5000', '613', '8', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20414', 'Amulet of Luck', '$1648', 'amulet', 'mithril', '5000', '612', '8', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20415', 'Amulet of Passion', '$1647', 'amulet', 'mithril', '5000', '610', '8', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20416', 'Amulet of Truth', '$1646', 'amulet', 'mithril', '5000', '611', '8', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20417', 'Amulet of Miracle', '$1650', 'amulet', 'mithril', '5000', '609', '8', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20418', 'Amulet of Affection', '$3241', 'amulet', 'mithril', '5000', '1613', '8', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20419', 'Unknown 20419', '$4945', 'amulet', 'iron', '5000', '2470', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20420', 'Unknown 20420', '$4623', 'amulet', 'cloth', '5000', '2271', '5675', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20421', 'Amulet of Eris', '$4341', 'amulet', 'gemstone', '5000', '2172', '5314', '2053', '0', '-1', '0', '0', '1', '0', '0', '1', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0', '45', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20422', 'Unknown 20422', '$4838', 'amulet', 'gold', '5000', '2446', '8', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '30', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20423', 'Amulet of Red Curse', '$4093', 'amulet', 'gold', '1000', '2028', '5095', '1816', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20424', 'Amulet of  Blue Curse', '$4094', 'amulet', 'gold', '1000', '2031', '5105', '1817', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20425', 'Amulet of Green Curse', '$4095', 'amulet', 'gold', '1000', '2026', '5093', '1818', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20426', 'Unknown 20426', '$4963', 'amulet', 'gemstone', '5000', '2506', '8', '0', '-1', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20427', 'Talisman', '$1205', 'amulet', 'mithril', '1000', '304', '8', '0', '-3', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3', '3', '3', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20428', 'Ring of Hope', '$1689', 'ring', 'gold', '3000', '666', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20429', 'Ring of Passion', '$1692', 'ring', 'gold', '3000', '669', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20430', 'Ring of Luck', '$1690', 'ring', 'gold', '3000', '667', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20431', 'Ring of Truth', '$1693', 'ring', 'gold', '3000', '670', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20432', 'Ring of Miracles', '$1691', 'ring', 'gold', '3000', '668', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20433', 'Ring of Bravery', '$3240', 'ring', 'gold', '3000', '1615', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20434', 'Ring of Eris', '$4342', 'ring', 'gold', '3000', '1615', '21', '2054', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '15', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20435', 'Unknown 20435', '$4555', 'ring', 'gold', '3000', '2300', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '5', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20436', 'Unknown 20436', '$4547', 'ring', 'gold', '3000', '2298', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '5', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20437', 'Unknown 20437', '$4539', 'ring', 'gold', '3000', '2304', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '5', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20438', 'Unknown 20438', '$4563', 'ring', 'gold', '3000', '2302', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '5', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20439', 'Unknown 20439', '$4556', 'ring', 'gold', '3000', '2300', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '10', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20440', 'Unknown 20440', '$4548', 'ring', 'gold', '3000', '2298', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '10', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20441', 'Unknown 20441', '$4540', 'ring', 'gold', '3000', '2304', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '10', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20442', 'Unknown 20442', '$4564', 'ring', 'gold', '3000', '2302', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '10', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20443', 'Unknown 20443', '$4557', 'ring', 'gold', '3000', '2300', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '15', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '15', '1', '0', '0', '0');
INSERT INTO `armor` VALUES ('20444', 'Unknown 20444', '$4549', 'ring', 'gold', '3000', '2298', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '15', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '15', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `armor` VALUES ('20445', 'Unknown 20445', '$4541', 'ring', 'gold', '3000', '2304', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '15', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '15', '0', '1', '0', '0', '0');
INSERT INTO `armor` VALUES ('20446', 'Unknown 20446', '$4565', 'ring', 'gold', '3000', '2302', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '15', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '15', '0', '0', '1', '0', '0', '0');
INSERT INTO `armor` VALUES ('20447', 'Unknown 20447', '$4558', 'ring', 'gold', '3000', '2300', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '20', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '20', '2', '0', '0', '0');
INSERT INTO `armor` VALUES ('20448', 'Unknown 20448', '$4550', 'ring', 'gold', '3000', '2298', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '20', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '20', '0', '0', '0', '2', '0', '0', '0');
INSERT INTO `armor` VALUES ('20449', 'Unknown 20449', '$4542', 'ring', 'gold', '3000', '2304', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '20', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '20', '0', '2', '0', '0', '0');
INSERT INTO `armor` VALUES ('20450', 'Unknown 20450', '$4566', 'ring', 'gold', '3000', '2302', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '20', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '20', '0', '0', '2', '0', '0', '0');
INSERT INTO `armor` VALUES ('20451', 'Ring of Hero', '$4062', 'ring', 'gold', '3000', '2066', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20452', 'Unknown 20452', '$5132', 'helm', 'cloth', '20000', '2517', '18', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20453', 'Unknown 20453', '$5137', 'helm', 'cloth', '20000', '2517', '18', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20454', 'Unknown 20454', '$5136', 'helm', 'cloth', '20000', '2517', '18', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20455', 'Unknown 20455', '$5135', 'helm', 'cloth', '20000', '2517', '18', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20456', 'Red Soccer Uniform', '$4065', 'T', 'cloth', '0', '2074', '5226', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20457', 'Blue Soccer Uniform', '$4066', 'T', 'cloth', '0', '2075', '5225', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20458', 'Unknown 20458', '$5229', 'helm', 'mithril', '5000', '2466', '5961', '0', '0', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20459', 'Unknown 20459', '$5230', 'earring', 'leather', '1000', '2601', '6285', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '3', '3', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20460', 'Amulet of Glory', '$4038', 'amulet', 'gemstone', '0', '2025', '8', '0', '0', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21000', 'Succubus Earring', '$1000 Earring', 'earring', 'leather', '0', '2275', '3963', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21001', 'Snowman Earring', '$1783 Earring', 'earring', 'leather', '0', '25', '67', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21002', 'Ice Golem Earring', '$1395 Earring', 'earring', 'leather', '0', '1469', '3963', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21003', 'Earrings of Valor', '$4032', 'earring', 'gemstone', '5000', '2017', '3963', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21004', 'Earrings of Warrior', '$4039', 'earring', 'gemstone', '5000', '2017', '3963', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21005', 'Earrings of Hero', '$4040', 'earring', 'gemstone', '5000', '2017', '3963', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '2', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21006', 'Black Wizard Earrings 1', '$4456', 'earring', 'bone', '3000', '2317', '3963', '0', '0', '-1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21007', 'Unknown 21007', '$4456', 'earring', 'bone', '3000', '2317', '3963', '0', '0', '-1', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21008', 'Black Fighter Earrings 2', '$4460', 'earring', 'bone', '3000', '2175', '3963', '0', '0', '-1', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '10', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21009', 'Black Knight Earrings 2', '$4463', 'earring', 'bone', '3000', '2176', '3963', '0', '0', '-1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '20', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21010', 'Black Fighter Earrings 3', '$4461', 'earring', 'bone', '3000', '2175', '3963', '0', '0', '-1', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '20', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21011', 'Black Knight Earrings 1', '$4462', 'earring', 'bone', '3000', '2175', '3963', '0', '0', '-1', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '20', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21012', 'Black Knight Earrings 3', '$4464', 'earring', 'bone', '3000', '2176', '3963', '0', '0', '-1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21013', 'Unprocessed Black Fighter Earrings 1', '$4506', 'earring', 'bone', '3000', '2176', '3963', '0', '0', '-1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '40', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21014', 'Unknown 21014', '$4456', 'earring', 'bone', '3000', '2317', '3963', '0', '0', '-1', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21015', 'Black Wizard Earrings 2', '$4457', 'earring', 'bone', '3000', '2174', '3963', '0', '0', '-1', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21016', 'Black Wizard Earrings 3', '$4458', 'earring', 'bone', '3000', '2174', '3963', '0', '0', '-1', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '20', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21017', 'Black Fighter Earrings 1', '$4459', 'earring', 'bone', '3000', '2174', '3963', '0', '0', '-1', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '30', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21018', 'Heliocham Earrings', '$4068', 'earring', 'gemstone', '1000', '2131', '3963', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21019', 'Earrings of purification', '$4092', 'earring', 'gold', '15000', '2030', '3963', '1815', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21020', 'Dancing Earrings', '$3755', 'earring', 'bone', '15000', '1982', '3963', '0', '-1', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21021', 'Twin Earrings', '$3756', 'earring', 'bone', '15000', '1983', '3963', '0', '-2', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '46', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21022', 'Festival Earrings', '$3757', 'earring', 'bone', '15000', '1984', '3963', '0', '-3', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '47', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21023', 'Zenith Earrings', '$3758', 'earring', 'bone', '15000', '1985', '3963', '0', '-3', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '25', '10', '0', '0', '0', '48', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21024', 'Reckless Earrings', '$3759', 'earring', 'bone', '15000', '1986', '3963', '0', '-3', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '50', '20', '0', '0', '0', '49', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21025', 'Fantasy Horse Earrings', '$3760', 'earring', 'bone', '15000', '1987', '3963', '0', '-3', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '50', '20', '0', '0', '0', '50', '0', '0', '0', '0', '2', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21026', 'Clan Earrings', '$3761', 'earring', 'bone', '15000', '1988', '3963', '0', '-3', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '50', '20', '0', '0', '0', '51', '0', '0', '0', '0', '5', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21027', 'Slave Earrings', '$3762', 'earring', 'bone', '15000', '1981', '3963', '0', '-3', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '50', '20', '0', '0', '0', '52', '0', '0', '0', '0', '10', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120011', 'Helmet of Magic Resistance', '$569', 'helm', 'iron', '35000', '1204', '18', '229', '-2', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120016', 'Mambo Hat', '$3252', 'helm', 'leather', '10000', '1628', '4111', '1287', '1', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120043', 'Helmet', '$128', 'helm', 'iron', '30000', '55', '18', '0', '-1', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120056', 'Cloak of Magic Resistance', '$182', 'cloak', 'cloth', '10000', '265', '3808', '111', '-1', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120074', 'Silver Cloak', '$656 $225', 'cloak', 'silver', '30000', '1087', '2937', '874', '-2', '4', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '15', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120077', 'Cloak of Invisibility', '$180', 'cloak', 'cloth', '10000', '272', '3806', '110', '-1', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120085', 'T-Shirt', '$168', 'T', 'cloth', '5000', '110', '24', '104', '0', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120101', 'Splint Mail', '$156', 'armor', 'iron', '350000', '10', '3772', '0', '-6', '4', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120112', 'Mambo Coat', '$3251', 'armor', 'leather', '10000', '1630', '4113', '1286', '-3', '4', '1', '1', '1', '1', '1', '-1', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '10', '0', '-10', '0', '0', '0', '0', '40');
INSERT INTO `armor` VALUES ('120128', 'Crystal Plate Mail', '$153', 'armor', 'gemstone', '350000', '32', '3769', '0', '-8', '4', '1', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120137', 'Elven Chain Mail', '$595', 'armor', 'mithril', '150000', '281', '9', '0', '-5', '6', '1', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120149', 'Bronze Plate Mail', '$154', 'armor', 'copper', '450000', '22', '3770', '0', '-6', '4', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120154', 'Plate Mail', '$152', 'armor', 'iron', '450000', '73', '3768', '0', '-7', '4', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120182', 'Gloves', '$330', 'glove', 'leather', '10000', '141', '182', '0', '0', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120242', 'Large Shield', '$193', 'shield', 'iron', '100000', '61', '23', '0', '-2', '4', '1', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120244', 'Old Amulet of Charisma', '$1667 $1007', 'amulet', 'gemstone', '5000', '642', '8', '311', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '-2', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120245', 'Old Amulet of Dexterity', '$1667 $1003', 'amulet', 'gemstone', '5000', '638', '8', '307', '0', '-1', '1', '1', '1', '1', '1', '0', '-2', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120246', 'Old Amulet of Strength', '$1667 $1002', 'amulet', 'gemstone', '5000', '637', '8', '306', '0', '-1', '1', '1', '1', '1', '1', '1', '0', '-2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120247', 'Old Amulet of Intelligence', '$1667 $1005', 'amulet', 'gemstone', '5000', '640', '8', '309', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '-2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120248', 'Old Amulet of Wisdom', '$1667 $1006', 'amulet', 'gemstone', '5000', '641', '8', '310', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', '-2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120249', 'Old Amulet of Constitution', '$1667 $1004', 'amulet', 'gemstone', '5000', '639', '8', '308', '0', '-1', '1', '1', '1', '1', '1', '-2', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120254', 'Amulet of Charisma', '$1007', 'amulet', 'gemstone', '5000', '1192', '3163', '311', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120256', 'Amulet of Dexterity', '$1003', 'amulet', 'gemstone', '5000', '1188', '3159', '307', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120264', 'Amulet of Strength', '$1002', 'amulet', 'gemstone', '5000', '1187', '3158', '306', '0', '-1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120266', 'Amulet of Intelligence', '$1005', 'amulet', 'gemstone', '5000', '1190', '3161', '309', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120267', 'Amulet of Wisdom', '$1006', 'amulet', 'gemstone', '5000', '1191', '3162', '310', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120268', 'Amulet of Constitution', '$1004', 'amulet', 'gemstone', '5000', '1189', '3160', '308', '0', '-1', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120280', 'Ring of Immunity to Magic', '$1662', 'ring', 'gold', '3000', '626', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120285', 'Ring of Water Resistance', '$1664', 'ring', 'gold', '3000', '629', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120289', 'Abyss Ring', '$3257', 'ring', 'platinum', '3000', '1637', '4120', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '8', '0');
INSERT INTO `armor` VALUES ('120300', 'Ring of Earth Resistance', '$1665', 'ring', 'gold', '3000', '627', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120302', 'Ring of Wind Resistance', '$1666', 'ring', 'gold', '3000', '630', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '30', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120304', 'Ring of Fire Resistance', '$1663', 'ring', 'gold', '3000', '628', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '30', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120306', 'Old Belt of Body', '$1667 $1669', 'belt', 'leather', '50000', '631', '1165', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '30', '0', '0', '0', '0', '15', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120307', 'Old Belt of Soul', '$1667 $1671', 'belt', 'leather', '50000', '633', '1165', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '15', '15', '0', '0', '0', '15', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120308', 'Old Belt of Mind', '$1667 $1670', 'belt', 'leather', '50000', '632', '1165', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '30', '0', '0', '0', '15', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120309', 'Shining Belt of Body', '$2601', 'belt', 'leather', '50000', '1168', '3119', '936', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '50', '0', '1', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120310', 'Shining Belt of Soul', '$2603', 'belt', 'leather', '50000', '1170', '3121', '938', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '20', '20', '1', '1', '0', '30', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120311', 'Shining Belt of Mind', '$2602', 'belt', 'leather', '50000', '1169', '3120', '937', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '50', '0', '1', '0', '30', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120312', 'Belt of Body', '$1669', 'belt', 'leather', '50000', '634', '1165', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '50', '0', '0', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120316', 'Belt of Soul', '$1671', 'belt', 'leather', '50000', '636', '1165', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '25', '25', '0', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120317', 'Ogre Belt', '$1819', 'belt', 'leather', '50000', '697', '1165', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '40', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120319', 'Belt of Mind', '$1670', 'belt', 'leather', '50000', '635', '1165', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '50', '0', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120320', 'Titan Belt', '$1820', 'belt', 'leather', '50000', '698', '1165', '0', '0', '-1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120321', 'Troll Belt', '$1818', 'belt', 'leather', '50000', '699', '1165', '0', '0', '-1', '1', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '20', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('220034', 'Orcish Helm', '$120', 'helm', 'iron', '30000', '54', '18', '0', '-1', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('220043', 'Helmet', '$128', 'helm', 'iron', '30000', '55', '18', '0', '-1', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('220056', 'Cloak of Magic Resistance', '$182', 'cloak', 'cloth', '10000', '265', '3808', '111', '-1', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('220101', 'Banded Mail', '$156', 'armor', 'iron', '350000', '10', '3772', '0', '-6', '4', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('220115', 'Splint Mail', '$155', 'armor', 'iron', '400000', '102', '3771', '0', '-6', '4', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('220122', 'Scale Mail', '$162', 'armor', 'iron', '250000', '89', '9', '0', '-4', '4', '1', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('220125', 'Chain Mail', '$159', 'armor', 'iron', '300000', '26', '9', '0', '-5', '4', '1', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('220135', 'Orcish Ring Mail', '$165', 'armor', 'iron', '250000', '442', '3834', '0', '-2', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('220136', 'Orcish Chain Mail', '$160', 'armor', 'iron', '300000', '443', '3774', '0', '-4', '4', '1', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('220147', 'Studded Leather Armor', '$163', 'armor', 'leather', '150000', '109', '9', '0', '-3', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('220154', 'Plate Mail', '$152', 'armor', 'iron', '450000', '73', '3768', '0', '-7', '4', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('220213', 'Low Boots', '$206', 'boots', 'leather', '10000', '65', '25', '0', '-1', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('220237', 'Orcish Shield', '$189', 'shield', 'iron', '50000', '114', '23', '0', '-1', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('220293', 'Cursed Diamond Ring', '$3503', 'ring', 'gold', '1000', '1776', '4351', '1495', '0', '-1', '1', '1', '1', '1', '1', '0', '-1', '0', '0', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('220294', 'Cursed Ruby Ring', '$3501', 'ring', 'gold', '1000', '1770', '4348', '1492', '2', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('220295', 'Cursed Sapphire Ring', '$3502', 'ring', 'gold', '1000', '1772', '4349', '1493', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '-10', '-10', '-10', '-10', '0', '5', '0', '0');
INSERT INTO `armor` VALUES ('220296', 'Cursed Emerald Ring', '$3528', 'ring', 'gold', '1000', '1774', '4350', '1494', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '25', '0', '0', '0', '0', '0', '0', '-10', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('29001', 'Wooden Jacket', 'Wooden Jacket', 'armor', 'wood', '40000', '51', '9', '0', '-1', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('29002', 'Pink Unisex Earrings', 'Pink Unisex Earrings', 'earring', 'gold', '15000', '2030', '3963', '1815', '-5', '-1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `beginner` VALUES ('1', '40308', '100', '0', 'Adena', 'A', '0');
INSERT INTO `beginner` VALUES ('2', '4', '1', '0', 'Dagger', 'A', '0');
INSERT INTO `beginner` VALUES ('4', '173', '1', '0', 'Short Bow', 'E', '0');
INSERT INTO `beginner` VALUES ('5', '40743', '100', '0', 'Arrow', 'E', '0');
INSERT INTO `beginner` VALUES ('7', '20322', '1', '0', 'Leather Jacket', 'P', '0');
INSERT INTO `beginner` VALUES ('8', '20322', '1', '0', 'Leather Jacket', 'K', '0');
INSERT INTO `beginner` VALUES ('9', '20322', '1', '0', 'Leather Jacket', 'W', '0');
INSERT INTO `beginner` VALUES ('10', '20322', '1', '0', 'Leather Jacket', 'D', '0');
INSERT INTO `beginner` VALUES ('3', '29001', '1', '0', 'Wooden Jacket', 'E', '0');
INSERT INTO `beginner` VALUES ('6', '40641', '1', '0', 'Talking Scroll', 'A', '0');
INSERT INTO `board_auction` VALUES ('262145', 'Giran House 1', '78', '2008-08-24 21:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262148', 'Giran House 4', '45', '2008-08-24 21:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262149', 'Giran House 5', '78', '2008-08-24 21:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262150', 'Giran House 6', '120', '2008-08-24 21:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262151', 'Giran House 7', '45', '2008-08-24 21:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262152', 'Giran House 8', '78', '2008-08-24 21:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262153', 'Giran House 9', '78', '2008-08-24 21:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262154', 'Giran House 10', '120', '2008-08-24 21:00:00', '100000', 'Giran', '', '0', 'Kahlan', '297041122');
INSERT INTO `board_auction` VALUES ('262155', 'Giran House 11', '78', '2008-08-24 21:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262156', 'Giran House 12', '78', '2008-08-24 21:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262157', 'Giran House 13', '120', '2008-08-24 21:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262158', 'Giran House 14', '78', '2008-08-24 21:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262159', 'Giran House 15', '45', '2008-08-24 21:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262160', 'Giran House 16', '78', '2008-08-24 21:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262161', 'Giran House 17', '45', '2008-08-24 21:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262162', 'Giran House 18', '120', '2008-08-24 21:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262163', 'Giran House 19', '78', '2008-08-24 21:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262164', 'Giran House 20', '78', '2008-08-24 21:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262165', 'Giran House 21', '45', '2008-08-24 21:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262166', 'Giran House 22', '120', '2008-08-24 21:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262167', 'Giran House 23', '78', '2008-08-24 21:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262168', 'Giran House 24', '45', '2008-08-24 21:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262169', 'Giran House 25', '45', '2008-08-24 21:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262171', 'Giran House 27', '78', '2008-08-24 21:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262172', 'Giran House 28', '45', '2008-08-24 21:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262173', 'Giran House 29', '78', '2008-08-24 21:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262174', 'Giran House 30', '45', '2008-08-24 21:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262175', 'Giran House 31', '78', '2008-08-24 21:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262176', 'Giran House 32', '78', '2008-08-24 21:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262177', 'Giran House 33', '45', '2008-08-24 21:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262178', 'Giran House 34', '45', '2008-08-24 21:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262180', 'Giran House 36', '45', '2008-08-24 21:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262181', 'Giran House 37', '78', '2008-08-24 21:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262182', 'Giran House 38', '78', '2008-08-24 21:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262183', 'Giran House 39', '45', '2008-08-24 21:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262184', 'Giran House 40', '78', '2008-08-24 21:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262185', 'Giran House 41', '78', '2008-08-24 21:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262186', 'Giran House 42', '45', '2008-08-24 21:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262187', 'Giran House 43', '120', '2008-08-24 21:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262188', 'Giran House 44', '120', '2008-08-24 21:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262189', 'Giran House 45', '78', '2008-08-24 21:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('327681', 'Heine House 1', '0', '2008-08-24 21:00:00', '100000', 'Heine', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('327682', 'Heine House 2', '0', '2008-08-24 21:00:00', '100000', 'Heine', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('327683', 'Heine House 3', '0', '2008-08-24 21:00:00', '100000', 'Heine', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('327684', 'Heine House 4', '0', '2008-08-24 21:00:00', '100000', 'Heine', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('327685', 'Heine House 5', '0', '2008-08-24 21:00:00', '100000', 'Heine', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('327686', 'Heine House 6', '0', '2008-08-24 21:00:00', '100000', 'Heine', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('327687', 'Heine House 7', '0', '2008-08-24 21:00:00', '100000', 'Heine', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('327688', 'Heine House 8', '0', '2008-08-24 21:00:00', '100000', 'Heine', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('327689', 'Heine House 9', '0', '2008-08-24 21:00:00', '100000', 'Heine', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('327690', 'Heine House 10', '0', '2008-08-24 21:00:00', '100000', 'Heine', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('327691', 'Heine House 11', '0', '2008-08-24 21:00:00', '100000', 'Heine', '', '0', '', '0');
INSERT INTO `castle` VALUES ('1', 'Kent Castle', '2007-08-25 22:00:00', '10', '0');
INSERT INTO `castle` VALUES ('2', 'Orc Castle', '2007-05-01 21:00:00', '10', '0');
INSERT INTO `castle` VALUES ('3', 'Windawood Castle', '2007-05-01 20:00:00', '10', '0');
INSERT INTO `castle` VALUES ('4', 'Giran Castle', '2007-05-01 22:00:00', '10', '0');
INSERT INTO `castle` VALUES ('5', 'Heine Castle', '2007-08-26 22:00:00', '10', '0');
INSERT INTO `castle` VALUES ('6', 'Dwarf Castle', '2007-08-25 20:00:00', '10', '0');
INSERT INTO `castle` VALUES ('7', 'Aden Castle', '2007-01-27 22:00:00', '10', '0');
INSERT INTO `castle` VALUES ('8', 'Diad Fortress', '2007-05-01 22:00:00', '10', '0');
INSERT INTO `droplist` VALUES ('45005', '40056', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45006', '40056', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45006', '40308', '10', '30', '1000000');
INSERT INTO `droplist` VALUES ('45008', '23', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45008', '40010', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45008', '40308', '10', '30', '1000000');
INSERT INTO `droplist` VALUES ('45008', '40405', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45008', '40899', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45009', '1', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45009', '21', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45009', '20034', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45009', '20135', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45009', '40005', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45009', '40006', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45009', '40088', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45009', '40308', '10', '30', '1000000');
INSERT INTO `droplist` VALUES ('45009', '40405', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45009', '40496', '1', '3', '100000');
INSERT INTO `droplist` VALUES ('45009', '40899', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45009', '200001', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45009', '220034', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45009', '220135', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45010', '40056', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45010', '40405', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45012', '40056', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45016', '138', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45016', '20213', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45016', '40010', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45016', '40056', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45016', '40308', '11', '32', '1000000');
INSERT INTO `droplist` VALUES ('45016', '40405', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45017', '40005', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45017', '40029', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45017', '40308', '10', '30', '1000000');
INSERT INTO `droplist` VALUES ('45019', '171', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45019', '20034', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45019', '20135', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45019', '20136', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45019', '40005', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45019', '40010', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45019', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45019', '40056', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45019', '40088', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45019', '40265', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45019', '40308', '11', '32', '1000000');
INSERT INTO `droplist` VALUES ('45019', '40743', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45019', '40744', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45019', '200171', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45019', '220135', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45019', '220136', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45019', '240010', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45020', '40029', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45020', '40098', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45020', '40308', '11', '32', '1000000');
INSERT INTO `droplist` VALUES ('45021', '40056', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45023', '40056', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45023', '40308', '15', '38', '1000000');
INSERT INTO `droplist` VALUES ('45023', '40405', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45024', '31', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45024', '20147', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45024', '20205', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45024', '20213', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45024', '20239', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45024', '40025', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45024', '40056', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45024', '40171', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45024', '40173', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45024', '40265', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45024', '40267', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45024', '40274', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45024', '40307', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45024', '40308', '22', '50', '1000000');
INSERT INTO `droplist` VALUES ('45024', '220122', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45024', '220125', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45024', '220147', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45024', '220213', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45025', '40044', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45025', '40045', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45025', '40046', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45025', '40047', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45025', '40308', '12', '33', '1000000');
INSERT INTO `droplist` VALUES ('45027', '40308', '12', '33', '1000000');
INSERT INTO `droplist` VALUES ('45027', '40405', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45027', '40406', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45029', '40308', '12', '33', '1000000');
INSERT INTO `droplist` VALUES ('45029', '40499', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45030', '40308', '12', '33', '1000000');
INSERT INTO `droplist` VALUES ('45032', '40442', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45033', '40308', '13', '36', '1000000');
INSERT INTO `droplist` VALUES ('45033', '40405', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45034', '40056', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45034', '40308', '13', '36', '1000000');
INSERT INTO `droplist` VALUES ('45034', '40405', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45039', '40056', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45039', '40405', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45040', '20014', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45040', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45040', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45040', '40308', '13', '36', '1000000');
INSERT INTO `droplist` VALUES ('45040', '140100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45041', '26', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45041', '20007', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45041', '20052', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45041', '20223', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45041', '40025', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45041', '40088', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45041', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45041', '40308', '13', '36', '1000000');
INSERT INTO `droplist` VALUES ('45041', '40408', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45041', '40494', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45041', '40496', '1', '3', '50000');
INSERT INTO `droplist` VALUES ('45041', '40899', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45041', '240010', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45042', '40056', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45042', '40405', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45043', '40056', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45043', '40405', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45044', '40056', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45044', '40405', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45046', '40056', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45046', '40405', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45047', '40056', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45047', '40405', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45048', '40056', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45048', '40405', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45049', '40056', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45049', '40405', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45050', '20180', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45050', '40056', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45050', '40088', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45050', '40265', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45050', '40308', '11', '32', '1000000');
INSERT INTO `droplist` VALUES ('45050', '40738', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45050', '40743', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45050', '40744', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45051', '40029', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45051', '40056', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45051', '40082', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45051', '40308', '13', '36', '1000000');
INSERT INTO `droplist` VALUES ('45053', '40056', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45053', '40405', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45054', '40056', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45054', '40405', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45058', '40056', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45064', '40045', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45064', '40307', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45064', '40308', '15', '38', '1000000');
INSERT INTO `droplist` VALUES ('45064', '40405', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45064', '40406', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45065', '40089', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45065', '40173', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45065', '40185', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45065', '40186', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45065', '40265', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45065', '40266', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45065', '40269', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45065', '40274', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45065', '40308', '15', '38', '1000000');
INSERT INTO `droplist` VALUES ('45065', '40496', '1', '3', '50000');
INSERT INTO `droplist` VALUES ('45065', '40739', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45065', '140100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45066', '20070', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45066', '40173', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45066', '40185', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45066', '40186', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45066', '40265', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45066', '40266', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45066', '40269', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45066', '40274', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45066', '40308', '15', '38', '1000000');
INSERT INTO `droplist` VALUES ('45066', '140100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45068', '40015', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45068', '40057', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45068', '40178', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45068', '40307', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45068', '40308', '17', '42', '1000000');
INSERT INTO `droplist` VALUES ('45068', '40899', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45077', '40056', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45077', '40308', '20', '45', '1000000');
INSERT INTO `droplist` VALUES ('45079', '40002', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45079', '40044', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45079', '40045', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45079', '40046', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45079', '40047', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45079', '40307', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45079', '40308', '20', '45', '1000000');
INSERT INTO `droplist` VALUES ('45079', '40496', '1', '3', '75000');
INSERT INTO `droplist` VALUES ('45082', '20034', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45082', '20056', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45082', '20072', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45082', '20110', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45082', '20135', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45082', '20136', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45082', '20237', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45082', '40001', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45082', '40010', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45082', '40267', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45082', '40305', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45082', '40308', '20', '45', '1000000');
INSERT INTO `droplist` VALUES ('45082', '220135', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45082', '220237', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45083', '20182', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45083', '20187', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45083', '40307', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45083', '40308', '20', '45', '1000000');
INSERT INTO `droplist` VALUES ('45084', '40308', '20', '45', '1000000');
INSERT INTO `droplist` VALUES ('45088', '40079', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45088', '40088', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45088', '40090', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45088', '40091', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45088', '40092', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45088', '40100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45088', '40126', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45088', '40308', '20', '45', '1000000');
INSERT INTO `droplist` VALUES ('45089', '20182', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45089', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45089', '40308', '20', '45', '1000000');
INSERT INTO `droplist` VALUES ('45092', '26', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45092', '144', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45092', '20007', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45092', '20052', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45092', '20223', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45092', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45092', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45092', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45092', '40308', '22', '50', '1000000');
INSERT INTO `droplist` VALUES ('45092', '40408', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45093', '31', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45093', '20147', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45093', '40029', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45093', '40056', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45093', '40173', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45093', '40308', '22', '50', '1000000');
INSERT INTO `droplist` VALUES ('45093', '220122', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45093', '220125', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45093', '220147', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45094', '31', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45094', '20032', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45094', '20147', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45094', '20213', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45094', '20239', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45094', '40025', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45094', '40056', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45094', '40171', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45094', '40173', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45094', '40265', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45094', '40267', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45094', '40274', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45094', '40308', '22', '50', '1000000');
INSERT INTO `droplist` VALUES ('45094', '40739', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45094', '220147', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45094', '220213', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45097', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45097', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45097', '40308', '109', '186', '1000000');
INSERT INTO `droplist` VALUES ('45098', '40005', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45098', '40010', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45098', '40056', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45098', '40060', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45098', '40131', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45098', '40308', '25', '54', '1000000');
INSERT INTO `droplist` VALUES ('45098', '40609', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45100', '40308', '25', '54', '1000000');
INSERT INTO `droplist` VALUES ('45100', '40581', '1', '1', '250000');
INSERT INTO `droplist` VALUES ('45101', '20014', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45101', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45101', '40047', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45101', '40179', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45101', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45101', '40308', '25', '54', '1000000');
INSERT INTO `droplist` VALUES ('45102', '40308', '25', '54', '1000000');
INSERT INTO `droplist` VALUES ('45102', '40568', '1', '1', '10000000');
INSERT INTO `droplist` VALUES ('45103', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45103', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45103', '40308', '33', '65', '1000000');
INSERT INTO `droplist` VALUES ('45104', '2', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45104', '20034', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45104', '20135', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45104', '20136', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45104', '40089', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45104', '40265', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45104', '40266', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45104', '40269', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45104', '40308', '25', '54', '1000000');
INSERT INTO `droplist` VALUES ('45104', '140100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45105', '40029', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45105', '40308', '15', '38', '1000000');
INSERT INTO `droplist` VALUES ('45107', '27', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45107', '20043', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45107', '20056', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45107', '20242', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45107', '40006', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45107', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45107', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45107', '40171', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45107', '40308', '25', '54', '1000000');
INSERT INTO `droplist` VALUES ('45107', '40407', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45107', '40605', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45107', '40899', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45107', '140100', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45107', '100027', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45107', '220043', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45107', '220056', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45108', '27', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45108', '40013', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45108', '40018', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45108', '40029', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45108', '40082', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45108', '40098', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45108', '40308', '25', '54', '1000000');
INSERT INTO `droplist` VALUES ('45108', '40407', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45108', '200027', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45109', '2', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45109', '69', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45109', '71', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45109', '152', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45109', '153', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45109', '20070', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45109', '40089', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45109', '40265', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45109', '40266', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45109', '40269', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45109', '40308', '25', '54', '1000000');
INSERT INTO `droplist` VALUES ('45109', '40444', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45109', '140100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45114', '27', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45114', '69', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45114', '71', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45114', '152', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45114', '153', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45114', '20043', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45114', '20056', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45114', '20070', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45114', '20242', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45114', '40006', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45114', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45114', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45114', '40171', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45114', '40181', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45114', '40265', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45114', '40266', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45114', '40269', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45114', '40308', '25', '54', '1000000');
INSERT INTO `droplist` VALUES ('45114', '40407', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45114', '200027', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45114', '220043', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45114', '220056', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45115', '20014', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45115', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45115', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45115', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45115', '40047', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45115', '40179', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45115', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45115', '40308', '33', '65', '1000000');
INSERT INTO `droplist` VALUES ('45115', '140100', '1', '1', '175000');
INSERT INTO `droplist` VALUES ('45116', '20011', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45116', '20056', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45116', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45116', '40017', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45116', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45116', '40049', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45116', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45116', '40308', '33', '65', '1000000');
INSERT INTO `droplist` VALUES ('45117', '40010', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45117', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45117', '40046', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45117', '40088', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45117', '40305', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45117', '40308', '33', '65', '1000000');
INSERT INTO `droplist` VALUES ('45117', '40496', '1', '3', '50000');
INSERT INTO `droplist` VALUES ('45117', '40522', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45118', '40010', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45118', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45118', '40088', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45118', '40234', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45118', '40240', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45118', '40305', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45118', '40308', '33', '65', '1000000');
INSERT INTO `droplist` VALUES ('45118', '40492', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45118', '40496', '1', '3', '50000');
INSERT INTO `droplist` VALUES ('45119', '40308', '33', '65', '1000000');
INSERT INTO `droplist` VALUES ('45119', '40585', '1', '1', '10000000');
INSERT INTO `droplist` VALUES ('45121', '128', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45121', '129', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45121', '131', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45121', '40015', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45121', '40180', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45121', '40191', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45121', '40224', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45121', '40305', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45121', '40308', '33', '65', '1000000');
INSERT INTO `droplist` VALUES ('45122', '172', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45122', '20043', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45122', '20056', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45122', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45122', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45122', '40171', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45122', '40240', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45122', '40308', '33', '65', '1000000');
INSERT INTO `droplist` VALUES ('45122', '40407', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45124', '172', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45124', '20043', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45124', '20056', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45124', '40013', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45124', '40018', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45124', '40029', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45124', '40082', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45124', '40098', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45124', '40308', '33', '65', '1000000');
INSERT INTO `droplist` VALUES ('45124', '40407', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45125', '40307', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45125', '40308', '33', '65', '1000000');
INSERT INTO `droplist` VALUES ('45125', '40405', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45126', '136', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45126', '137', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45126', '138', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45126', '139', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45126', '140', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45126', '40007', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45126', '40015', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45126', '40045', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45126', '40049', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45126', '40053', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45126', '40177', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45126', '40234', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45126', '40265', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45126', '40267', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45126', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45126', '40308', '37', '72', '1000000');
INSERT INTO `droplist` VALUES ('45126', '40494', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45126', '40496', '1', '3', '50000');
INSERT INTO `droplist` VALUES ('45126', '40564', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45127', '20011', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45127', '20056', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45127', '20110', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45127', '40001', '1', '1', '18000');
INSERT INTO `droplist` VALUES ('45127', '40002', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45127', '40010', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45127', '40013', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45127', '40018', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45127', '40045', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45127', '40056', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45127', '40059', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45127', '40134', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45127', '40308', '37', '72', '1000000');
INSERT INTO `droplist` VALUES ('45128', '40088', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45128', '40233', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45128', '40234', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45128', '40305', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45128', '40308', '37', '72', '1000000');
INSERT INTO `droplist` VALUES ('45128', '40496', '1', '3', '50000');
INSERT INTO `droplist` VALUES ('45128', '40523', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45129', '69', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45129', '71', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45129', '152', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45129', '153', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45129', '172', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45129', '20043', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45129', '20056', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45129', '20180', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45129', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45129', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45129', '40171', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45129', '40265', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45129', '40266', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45129', '40274', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45129', '40308', '33', '65', '1000000');
INSERT INTO `droplist` VALUES ('45129', '40407', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45130', '136', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45130', '20056', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45130', '40006', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45130', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45130', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45130', '40171', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45130', '40187', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45130', '40308', '37', '72', '1000000');
INSERT INTO `droplist` VALUES ('45130', '40407', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45131', '96', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45131', '20056', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45131', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45131', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45131', '40171', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45131', '40308', '37', '72', '1000000');
INSERT INTO `droplist` VALUES ('45131', '40407', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45131', '40739', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45133', '20174', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45133', '40088', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45133', '40237', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45133', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45133', '40308', '41', '78', '1000000');
INSERT INTO `droplist` VALUES ('45133', '140100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45134', '69', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45134', '71', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45134', '136', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45134', '137', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45134', '138', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45134', '139', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45134', '143', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45134', '152', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45134', '153', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45134', '20032', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45134', '40007', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45134', '40010', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45134', '40011', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45134', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45134', '40265', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45134', '40267', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45134', '40269', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45134', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45134', '40308', '37', '72', '1000000');
INSERT INTO `droplist` VALUES ('45134', '40740', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45135', '40002', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45135', '40260', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45135', '40308', '41', '78', '1000000');
INSERT INTO `droplist` VALUES ('45136', '40006', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45136', '40007', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45136', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45136', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45136', '40174', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45136', '40190', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45136', '40211', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45136', '40273', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45136', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45136', '40308', '41', '78', '1000000');
INSERT INTO `droplist` VALUES ('45136', '140100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45137', '40044', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45137', '40045', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45137', '40048', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45137', '40068', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45137', '40088', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45137', '40233', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45137', '40234', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45137', '40235', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45137', '40248', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45137', '40260', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45137', '40308', '41', '78', '1000000');
INSERT INTO `droplist` VALUES ('45137', '40696', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45138', '40002', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45138', '40260', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45138', '40305', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45138', '40308', '41', '78', '1000000');
INSERT INTO `droplist` VALUES ('45139', '20217', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45139', '40010', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45139', '40045', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45139', '40056', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45139', '40079', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45139', '40088', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45139', '40305', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45139', '40308', '41', '78', '1000000');
INSERT INTO `droplist` VALUES ('45139', '40329', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45139', '40405', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45140', '23', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45140', '20043', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45140', '40001', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45140', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45140', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45140', '40020', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45140', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45140', '40308', '41', '78', '1000000');
INSERT INTO `droplist` VALUES ('45140', '40408', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45140', '40899', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45141', '40088', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45141', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45141', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45141', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45141', '40018', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45141', '40090', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45141', '40091', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45141', '40171', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45141', '40187', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45141', '40277', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45141', '40308', '45', '86', '1000000');
INSERT INTO `droplist` VALUES ('45141', '40524', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45142', '143', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45142', '148', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45142', '40015', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45142', '40017', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45142', '40047', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45142', '40051', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45142', '40055', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45142', '40174', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45142', '40196', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45142', '40221', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45142', '40272', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45142', '40308', '41', '78', '1000000');
INSERT INTO `droplist` VALUES ('45143', '20011', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45143', '20110', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45143', '20237', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45143', '20263', '1', '1', '800');
INSERT INTO `droplist` VALUES ('45143', '40002', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45143', '40011', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45143', '40016', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45143', '40045', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45143', '40049', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45143', '40133', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45143', '40308', '45', '86', '1000000');
INSERT INTO `droplist` VALUES ('45143', '40611', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45144', '25', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45144', '20011', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45144', '20242', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45144', '40013', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45144', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45144', '40046', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45144', '40100', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45144', '40272', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45144', '40271', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45144', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45144', '40308', '45', '86', '1000000');
INSERT INTO `droplist` VALUES ('45145', '25', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45145', '153', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45145', '20011', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45145', '20242', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45145', '40013', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45145', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45145', '40100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45145', '40267', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45145', '40271', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45145', '40308', '45', '86', '1000000');
INSERT INTO `droplist` VALUES ('45147', '40014', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45147', '40059', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45147', '40061', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45147', '40062', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45147', '40064', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45147', '40069', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45147', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45147', '40308', '45', '86', '1000000');
INSERT INTO `droplist` VALUES ('45147', '40406', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45148', '153', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45148', '40011', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45148', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45148', '40059', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45148', '40061', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45148', '40062', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45148', '40064', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45148', '40308', '45', '86', '1000000');
INSERT INTO `droplist` VALUES ('45148', '40406', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45149', '37', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45149', '20011', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45149', '20136', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45149', '20149', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45149', '20237', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45149', '20263', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45149', '40002', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45149', '40011', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45149', '40013', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45149', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45149', '40018', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45149', '40045', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45149', '40135', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45149', '40234', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45149', '40308', '45', '86', '1000000');
INSERT INTO `droplist` VALUES ('45149', '40612', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45150', '40010', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45150', '40088', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45150', '40235', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45150', '40308', '45', '86', '1000000');
INSERT INTO `droplist` VALUES ('45150', '40496', '1', '3', '50000');
INSERT INTO `droplist` VALUES ('45150', '40501', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45151', '40308', '45', '86', '1000000');
INSERT INTO `droplist` VALUES ('45151', '40496', '1', '3', '50000');
INSERT INTO `droplist` VALUES ('45151', '40500', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45151', '40744', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45152', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45152', '40308', '45', '86', '1000000');
INSERT INTO `droplist` VALUES ('45152', '40510', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45152', '40511', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45152', '40512', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45153', '40049', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45153', '40079', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45153', '40088', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45153', '40089', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45153', '40308', '45', '86', '1000000');
INSERT INTO `droplist` VALUES ('45153', '40514', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45154', '40041', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45154', '40308', '45', '86', '1000000');
INSERT INTO `droplist` VALUES ('45155', '143', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45155', '148', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45155', '20115', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45155', '40183', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45155', '40184', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45155', '40225', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45155', '40236', '1', '1', '9000');
INSERT INTO `droplist` VALUES ('45155', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45155', '40308', '45', '86', '1000000');
INSERT INTO `droplist` VALUES ('45155', '140100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45156', '25', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45156', '20011', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45156', '20242', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45156', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45156', '40046', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45156', '40100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45156', '40272', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45156', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45156', '40308', '45', '86', '1000000');
INSERT INTO `droplist` VALUES ('45156', '140088', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45156', '140100', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45157', '40074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45157', '40089', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45157', '40186', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45157', '40200', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45157', '40221', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45157', '40271', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45157', '40308', '50', '93', '1000000');
INSERT INTO `droplist` VALUES ('45157', '40538', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45157', '40539', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45157', '40738', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45157', '140100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45157', '200002', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45158', '39', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45158', '20060', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45158', '20293', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45158', '20296', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45158', '40011', '1', '1', '60000');
INSERT INTO `droplist` VALUES ('45158', '40047', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45158', '40079', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45158', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45158', '40308', '50', '93', '1000000');
INSERT INTO `droplist` VALUES ('45158', '40329', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45158', '40471', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45159', '40225', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45159', '40255', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45159', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45159', '40308', '50', '93', '1000000');
INSERT INTO `droplist` VALUES ('45160', '40008', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45160', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45160', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45160', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45160', '40308', '126', '212', '1000000');
INSERT INTO `droplist` VALUES ('45161', '27', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45161', '20043', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45161', '20149', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45161', '20242', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45161', '40008', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45161', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45161', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45161', '40308', '50', '93', '1000000');
INSERT INTO `droplist` VALUES ('45161', '40738', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45161', '100027', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45162', '20308', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45162', '20316', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45162', '40010', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45162', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45162', '40175', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45162', '40185', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45162', '40273', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45162', '40308', '50', '93', '1000000');
INSERT INTO `droplist` VALUES ('45162', '140010', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45162', '140011', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45162', '140012', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45163', '20217', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45163', '40010', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45163', '40014', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45163', '40047', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45163', '40056', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45163', '40079', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45163', '40088', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45163', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45163', '40308', '61', '110', '1000000');
INSERT INTO `droplist` VALUES ('45163', '40329', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45163', '40405', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45164', '40074', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45164', '40172', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45164', '40187', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45164', '40238', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45164', '40255', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45164', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45164', '40308', '61', '110', '1000000');
INSERT INTO `droplist` VALUES ('45164', '140100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45165', '52', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45165', '93', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45165', '94', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45165', '103', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45165', '20063', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45165', '20085', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45165', '20149', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45165', '20154', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45165', '20162', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45165', '20205', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45165', '20213', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45165', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45165', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45165', '40044', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45165', '40045', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45165', '40046', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45165', '40047', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45165', '40308', '50', '93', '1000000');
INSERT INTO `droplist` VALUES ('45165', '40540', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45165', '40608', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45165', '100095', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45165', '100103', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45167', '40721', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45168', '40015', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45168', '40047', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45168', '40177', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45168', '40307', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45168', '40308', '50', '93', '1000000');
INSERT INTO `droplist` VALUES ('45168', '40405', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45168', '40406', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45169', '40074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45169', '40089', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45169', '40100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45169', '40172', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45169', '40187', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45169', '40255', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45169', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45169', '40308', '56', '102', '1000000');
INSERT INTO `droplist` VALUES ('45170', '143', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45170', '148', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45170', '20115', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45170', '40100', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45170', '40183', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45170', '40184', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45170', '40225', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45170', '40236', '1', '1', '9000');
INSERT INTO `droplist` VALUES ('45170', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45170', '40308', '56', '102', '1000000');
INSERT INTO `droplist` VALUES ('45170', '140100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45171', '37', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45171', '20110', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45171', '20237', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45171', '20263', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45171', '40002', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45171', '40011', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45171', '40013', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45171', '40045', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45171', '40134', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45171', '40308', '56', '102', '1000000');
INSERT INTO `droplist` VALUES ('45171', '40610', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45171', '200032', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45171', '200052', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45172', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45172', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45172', '40100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45172', '40119', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45172', '40198', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45172', '40307', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45172', '40308', '56', '102', '1000000');
INSERT INTO `droplist` VALUES ('45173', '104', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45173', '143', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45173', '20122', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45173', '20147', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45173', '20205', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45173', '20242', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45173', '40044', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45173', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45173', '40171', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45173', '40173', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45173', '40174', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45173', '40307', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45173', '40308', '56', '102', '1000000');
INSERT INTO `droplist` VALUES ('45173', '40319', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45174', '142', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45174', '20114', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45174', '40001', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45174', '40007', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45174', '40011', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45174', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45174', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45174', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45174', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45174', '40020', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45174', '40175', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45174', '40183', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45174', '40184', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45174', '40195', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45174', '40236', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45174', '40254', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45174', '40308', '73', '129', '1000000');
INSERT INTO `droplist` VALUES ('45174', '140100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45175', '10', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45175', '188', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45175', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45175', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45175', '40074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45175', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45175', '40119', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45175', '40308', '56', '102', '1000000');
INSERT INTO `droplist` VALUES ('45175', '40429', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45175', '40444', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45175', '40524', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45175', '40746', '50', '200', '10000');
INSERT INTO `droplist` VALUES ('45175', '140100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45179', '40308', '61', '110', '1000000');
INSERT INTO `droplist` VALUES ('45179', '40586', '1', '1', '10000000');
INSERT INTO `droplist` VALUES ('45181', '27', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45181', '69', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45181', '71', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45181', '152', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45181', '153', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45181', '20043', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45181', '20132', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45181', '20149', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45181', '20242', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45181', '40008', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45181', '40013', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45181', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45181', '40171', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45181', '40265', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45181', '40266', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45181', '40269', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45181', '40274', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45181', '40308', '50', '93', '1000000');
INSERT INTO `droplist` VALUES ('45181', '40408', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45181', '100027', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45182', '140', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45182', '142', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45182', '20175', '1', '1', '1200');
INSERT INTO `droplist` VALUES ('45182', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45182', '40048', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45182', '40183', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45182', '40192', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45182', '40254', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45182', '40308', '61', '110', '1000000');
INSERT INTO `droplist` VALUES ('45183', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45183', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45183', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45183', '40045', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45183', '40235', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45183', '40308', '61', '110', '1000000');
INSERT INTO `droplist` VALUES ('45183', '40518', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45184', '40007', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45184', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45184', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45184', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45184', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45184', '40174', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45184', '40181', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45184', '40211', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45184', '40273', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45184', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45184', '40308', '61', '110', '1000000');
INSERT INTO `droplist` VALUES ('45184', '40590', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45184', '140100', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45185', '40002', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45185', '40308', '61', '110', '1000000');
INSERT INTO `droplist` VALUES ('45186', '37', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45186', '40011', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45186', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45186', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45186', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45186', '40045', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45186', '40049', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45186', '40235', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45186', '40308', '67', '120', '1000000');
INSERT INTO `droplist` VALUES ('45186', '40516', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45187', '20011', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45187', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45187', '40049', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45187', '40088', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45187', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45187', '40308', '67', '120', '1000000');
INSERT INTO `droplist` VALUES ('45187', '140088', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45188', '143', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45188', '145', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45188', '148', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45188', '20014', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45188', '20180', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45188', '40015', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45188', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45188', '40051', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45188', '40055', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45188', '40074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45188', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45188', '40100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45188', '40201', '1', '1', '8500');
INSERT INTO `droplist` VALUES ('45188', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45188', '40308', '67', '120', '1000000');
INSERT INTO `droplist` VALUES ('45188', '140100', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45189', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45189', '40088', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45189', '40308', '67', '120', '1000000');
INSERT INTO `droplist` VALUES ('45190', '20015', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45190', '20149', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45190', '20154', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45190', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45190', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45190', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45190', '40045', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45190', '40047', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45190', '40049', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45190', '40051', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45190', '40053', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45190', '40055', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45190', '40308', '73', '129', '1000000');
INSERT INTO `droplist` VALUES ('45190', '140100', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45192', '20115', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45192', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45192', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45192', '40171', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45192', '40172', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45192', '40188', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45192', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45192', '40308', '73', '129', '1000000');
INSERT INTO `droplist` VALUES ('45192', '140100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45194', '20026', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45195', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45195', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45195', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45195', '40183', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45195', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45195', '40308', '109', '186', '1000000');
INSERT INTO `droplist` VALUES ('45195', '140100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45196', '20207', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45196', '40007', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45196', '40010', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45196', '40011', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45196', '40012', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45196', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45196', '40014', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45196', '40015', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45196', '40016', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45196', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45196', '40018', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45196', '40019', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45196', '40020', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45196', '40021', '1', '1', '8500');
INSERT INTO `droplist` VALUES ('45196', '40068', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45196', '40090', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45196', '40091', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45196', '40092', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45196', '40093', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45196', '40094', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45196', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45196', '40308', '73', '129', '1000000');
INSERT INTO `droplist` VALUES ('45197', '20217', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45197', '40010', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45197', '40015', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45197', '40044', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45197', '40056', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45197', '40079', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45197', '40088', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45197', '40305', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45197', '40307', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45197', '40308', '73', '129', '1000000');
INSERT INTO `droplist` VALUES ('45197', '40329', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45197', '40405', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45198', '20114', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45198', '20174', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45198', '40001', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45198', '40013', '1', '1', '45000');
INSERT INTO `droplist` VALUES ('45198', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45198', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45198', '40020', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45198', '40175', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45198', '40184', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45198', '40308', '56', '102', '1000000');
INSERT INTO `droplist` VALUES ('45198', '140100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45199', '40308', '73', '129', '1000000');
INSERT INTO `droplist` VALUES ('45203', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45203', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45203', '40048', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45203', '40049', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45203', '40050', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45203', '40051', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45203', '40191', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45203', '40198', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45203', '40215', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45203', '40242', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45203', '40256', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45203', '40258', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45203', '40259', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45203', '40262', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45203', '40308', '173', '285', '1000000');
INSERT INTO `droplist` VALUES ('45203', '140100', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45206', '40015', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45206', '40079', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45206', '40088', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45206', '40119', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45206', '40170', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45206', '40182', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45206', '40191', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45206', '40203', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45206', '40256', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45206', '40257', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45206', '40259', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45206', '40305', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45206', '40308', '109', '186', '1000000');
INSERT INTO `droplist` VALUES ('45206', '40486', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45206', '140074', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45206', '140087', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45372', '140100', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45372', '40184', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45372', '40185', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45207', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45207', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45207', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45207', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45207', '40090', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45207', '140100', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45207', '40308', '118', '198', '1000000');
INSERT INTO `droplist` VALUES ('45207', '140010', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45207', '140011', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45207', '140012', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45213', '143', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45213', '148', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45213', '40015', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45213', '40017', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45213', '40047', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45213', '40051', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45213', '40196', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45213', '40221', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45213', '40272', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45213', '40304', '1', '1', '5250');
INSERT INTO `droplist` VALUES ('45213', '40308', '80', '140', '1000000');
INSERT INTO `droplist` VALUES ('45214', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45214', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45214', '40027', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45214', '40308', '80', '140', '1000000');
INSERT INTO `droplist` VALUES ('45214', '40431', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45215', '20063', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45215', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45215', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45215', '40074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45215', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45215', '40100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45215', '40119', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45215', '40126', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45215', '40179', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45215', '40180', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45215', '40186', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45215', '40210', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45215', '40308', '80', '140', '1000000');
INSERT INTO `droplist` VALUES ('45216', '2', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45216', '96', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45216', '98', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45216', '20089', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45216', '20147', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45216', '20182', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45216', '40010', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45216', '40011', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45216', '40074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45216', '40308', '111', '231', '1000000');
INSERT INTO `droplist` VALUES ('45216', '40738', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45217', '20060', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45217', '20293', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45217', '20295', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45217', '40011', '1', '1', '60000');
INSERT INTO `droplist` VALUES ('45217', '40046', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45217', '40079', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45217', '40091', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45217', '40246', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45217', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45217', '40308', '80', '140', '1000000');
INSERT INTO `droplist` VALUES ('45217', '40330', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45217', '40471', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45217', '40661', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45219', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45219', '40016', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45219', '40100', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45219', '40119', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45219', '40198', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45219', '40307', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45219', '40308', '87', '150', '1000000');
INSERT INTO `droplist` VALUES ('45219', '40438', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45220', '9', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45220', '10', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45220', '82', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45220', '187', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45220', '20102', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45220', '20199', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45220', '20224', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45220', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45220', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45220', '40074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45220', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45220', '40100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45220', '40119', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45220', '40197', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45220', '40266', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45220', '40269', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45220', '40271', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45220', '40272', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45220', '40278', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45220', '40308', '87', '150', '1000000');
INSERT INTO `droplist` VALUES ('45220', '40427', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45221', '103', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45221', '148', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45221', '20115', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45221', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45221', '40074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45221', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45221', '40089', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45221', '40201', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45221', '40213', '1', '1', '200');
INSERT INTO `droplist` VALUES ('45221', '40308', '87', '150', '1000000');
INSERT INTO `droplist` VALUES ('45221', '40524', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45221', '140100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45222', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45222', '40017', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45222', '40074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45222', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45222', '40172', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45222', '40232', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45222', '40253', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45222', '40255', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45222', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45222', '40308', '87', '150', '1000000');
INSERT INTO `droplist` VALUES ('45222', '40458', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45222', '140100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45223', '143', '1', '1', '18000');
INSERT INTO `droplist` VALUES ('45223', '145', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45223', '148', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45223', '20115', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45223', '40074', '1', '1', '38000');
INSERT INTO `droplist` VALUES ('45223', '40087', '1', '1', '19000');
INSERT INTO `droplist` VALUES ('45223', '40170', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45223', '40172', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45223', '40191', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45223', '40271', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45223', '40305', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45223', '40308', '87', '150', '1000000');
INSERT INTO `droplist` VALUES ('45223', '40555', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45223', '140100', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45224', '40015', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45224', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45224', '40090', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45224', '40091', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45224', '40092', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45224', '40183', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45224', '40232', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45224', '40308', '187', '301', '1000000');
INSERT INTO `droplist` VALUES ('45224', '140100', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45226', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45226', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45226', '40308', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('45226', '40443', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45226', '40444', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45226', '40524', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45226', '40678', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45227', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45227', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45227', '40308', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('45227', '40443', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45227', '40444', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45227', '40524', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45227', '40678', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45228', '40006', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45228', '40007', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45228', '40008', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45228', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45228', '40308', '87', '150', '1000000');
INSERT INTO `droplist` VALUES ('45228', '140074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45228', '240074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45229', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45229', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45229', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45229', '40074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45229', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45229', '40172', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45229', '40232', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45229', '40253', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45229', '40255', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45229', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45229', '40308', '73', '129', '1000000');
INSERT INTO `droplist` VALUES ('45229', '40458', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45229', '140100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45230', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45230', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45230', '40088', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45230', '40100', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45230', '40172', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45230', '40236', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45230', '40255', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45230', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45230', '40308', '87', '150', '1000000');
INSERT INTO `droplist` VALUES ('45230', '40458', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45230', '140088', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45231', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45231', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45231', '40308', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('45231', '40443', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45231', '40444', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45231', '40524', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45231', '40678', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45233', '38', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45233', '20102', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45233', '20199', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45233', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45233', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45233', '40074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45233', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45233', '40119', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45233', '40200', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45233', '40266', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45233', '40269', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45233', '40271', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45233', '40272', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45233', '40308', '94', '162', '1000000');
INSERT INTO `droplist` VALUES ('45233', '40429', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45233', '40444', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45233', '40524', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45233', '40899', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45233', '140100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45235', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45235', '40074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45235', '40100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45235', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45235', '40308', '102', '173', '1000000');
INSERT INTO `droplist` VALUES ('45237', '40012', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45237', '40014', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45237', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45237', '40016', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45237', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45237', '40187', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45237', '40197', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45237', '40307', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45237', '40308', '102', '173', '1000000');
INSERT INTO `droplist` VALUES ('45237', '40424', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45237', '140100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45238', '10', '1', '1', '6500');
INSERT INTO `droplist` VALUES ('45238', '176', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45238', '20102', '1', '1', '8500');
INSERT INTO `droplist` VALUES ('45238', '20199', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45238', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45238', '40016', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45238', '40100', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45238', '40119', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45238', '40308', '102', '173', '1000000');
INSERT INTO `droplist` VALUES ('45238', '40432', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45238', '40444', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45238', '40524', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45239', '20188', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45239', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45239', '40046', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45239', '40088', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45239', '40100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45239', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45239', '40308', '102', '173', '1000000');
INSERT INTO `droplist` VALUES ('45239', '40329', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45239', '40663', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45239', '40714', '1', '1', '1000000');
INSERT INTO `droplist` VALUES ('45240', '40014', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45240', '40183', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45240', '40189', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45240', '40247', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45240', '40253', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45240', '40254', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45240', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45240', '40308', '102', '173', '1000000');
INSERT INTO `droplist` VALUES ('45240', '40601', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45240', '140100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45241', '125', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45241', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45241', '40045', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45241', '40049', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45241', '40053', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45241', '40170', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45241', '40172', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45241', '40213', '1', '1', '120');
INSERT INTO `droplist` VALUES ('45241', '40256', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45241', '40305', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45241', '40308', '102', '173', '1000000');
INSERT INTO `droplist` VALUES ('45241', '40524', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45241', '140100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45243', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45243', '40308', '94', '162', '1000000');
INSERT INTO `droplist` VALUES ('45244', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45244', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45244', '40074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45244', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45244', '40100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45244', '40119', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45244', '40213', '1', '1', '150');
INSERT INTO `droplist` VALUES ('45244', '40223', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45244', '40265', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45244', '40266', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45244', '40267', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45244', '40271', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45244', '40272', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45244', '40273', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45244', '40275', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45244', '40277', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45244', '40278', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45244', '40308', '109', '186', '1000000');
INSERT INTO `droplist` VALUES ('45244', '40470', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45245', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45245', '40016', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45245', '40074', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45245', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45245', '40100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45245', '40119', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45245', '40213', '1', '1', '350');
INSERT INTO `droplist` VALUES ('45245', '40216', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45245', '40223', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45245', '40265', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45245', '40266', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45245', '40267', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45245', '40271', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45245', '40272', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45245', '40273', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45245', '40275', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45245', '40277', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45245', '40278', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45245', '40308', '109', '186', '1000000');
INSERT INTO `droplist` VALUES ('45245', '40430', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45245', '40432', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45245', '40444', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45245', '40465', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45245', '40524', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45246', '40011', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45246', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45246', '40074', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45246', '40308', '109', '186', '1000000');
INSERT INTO `droplist` VALUES ('45246', '40433', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45246', '40434', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45247', '43', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45247', '20013', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45247', '20293', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45247', '20296', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45247', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45247', '40047', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45247', '40051', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45247', '40088', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45247', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45247', '40308', '109', '186', '1000000');
INSERT INTO `droplist` VALUES ('45247', '40330', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45247', '40471', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45248', '2', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45248', '52', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45248', '64', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45248', '20122', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45248', '20149', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45248', '20182', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45248', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45248', '40014', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45248', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45248', '40074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45248', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45248', '40164', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45248', '40165', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45248', '40308', '227', '365', '1000000');
INSERT INTO `droplist` VALUES ('45249', '20188', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45249', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45249', '40047', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45249', '40079', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45249', '40088', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45249', '40307', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45249', '40308', '109', '186', '1000000');
INSERT INTO `droplist` VALUES ('45249', '40329', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45249', '40631', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45251', '39', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45251', '20060', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45251', '20293', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45251', '20294', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45251', '20295', '1', '1', '4500');
INSERT INTO `droplist` VALUES ('45251', '40011', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45251', '40044', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45251', '40079', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45251', '40307', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45251', '40308', '102', '173', '1000000');
INSERT INTO `droplist` VALUES ('45251', '40471', '1', '1', '17500');
INSERT INTO `droplist` VALUES ('45252', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45252', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45252', '40056', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45252', '40074', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45252', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45252', '40100', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45252', '40119', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45252', '40193', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45252', '40221', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45252', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45252', '40308', '118', '198', '1000000');
INSERT INTO `droplist` VALUES ('45253', '101', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45253', '20104', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45253', '20224', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45253', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45253', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45253', '40074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45253', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45253', '40119', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45253', '40308', '118', '198', '1000000');
INSERT INTO `droplist` VALUES ('45253', '40429', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45253', '40444', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45253', '40524', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45253', '40899', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45253', '140100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45254', '188', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45254', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45254', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45254', '40074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45254', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45254', '40100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45254', '40119', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45254', '40197', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45254', '40266', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45254', '40271', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45254', '40273', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45254', '40308', '118', '198', '1000000');
INSERT INTO `droplist` VALUES ('45254', '40427', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45254', '40444', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45254', '40524', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45254', '40899', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45256', '122', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45256', '20103', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45256', '40011', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45256', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45256', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45256', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45256', '40100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45256', '40119', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45256', '40274', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45256', '40308', '118', '198', '1000000');
INSERT INTO `droplist` VALUES ('45256', '40432', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45256', '40444', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45256', '40524', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45257', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45257', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45257', '40100', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45257', '40173', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45257', '40188', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45257', '40244', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45257', '40264', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45257', '40307', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45257', '40308', '118', '198', '1000000');
INSERT INTO `droplist` VALUES ('45257', '140074', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45257', '140087', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45258', '40011', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45258', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45258', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45258', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45258', '40089', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45258', '40308', '118', '198', '1000000');
INSERT INTO `droplist` VALUES ('45259', '20013', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45259', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45259', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45259', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45259', '40091', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45259', '40179', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45259', '40189', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45259', '40207', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45259', '40247', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45259', '40273', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45259', '40305', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45259', '40308', '118', '198', '1000000');
INSERT INTO `droplist` VALUES ('45259', '140100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45260', '20013', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45260', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45260', '40091', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45260', '40179', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45260', '40189', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45260', '40207', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45260', '40247', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45260', '40273', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45260', '40305', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45260', '40308', '118', '198', '1000000');
INSERT INTO `droplist` VALUES ('45260', '40459', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45262', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45262', '40183', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45262', '40189', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45262', '40247', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45262', '40253', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45262', '40254', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45262', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45262', '40308', '118', '198', '1000000');
INSERT INTO `droplist` VALUES ('45262', '140100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45263', '40010', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45263', '40011', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45263', '40012', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45263', '40188', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45263', '40191', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45263', '40211', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45263', '40305', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45263', '40308', '118', '198', '1000000');
INSERT INTO `droplist` VALUES ('45263', '40486', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45263', '140100', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45264', '40015', '1', '1', '1500000');
INSERT INTO `droplist` VALUES ('45259', '40271', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45264', '40173', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45264', '40178', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45264', '40188', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45264', '40197', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45264', '40044', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45264', '40237', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45264', '40261', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45264', '40262', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45264', '40264', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45264', '40272', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45264', '40307', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45264', '40308', '118', '198', '1000000');
INSERT INTO `droplist` VALUES ('45259', '40175', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45264', '140087', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45264', '140100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45265', '170', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45265', '20073', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45265', '20139', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45265', '20210', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45265', '40015', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45265', '40068', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45265', '40198', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45265', '40205', '1', '1', '800');
INSERT INTO `droplist` VALUES ('45265', '40237', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45265', '40260', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45265', '40262', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45265', '40308', '126', '212', '1000000');
INSERT INTO `droplist` VALUES ('45265', '40498', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45265', '40524', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45265', '40746', '75', '450', '150000');
INSERT INTO `droplist` VALUES ('45267', '40012', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45267', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45267', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45267', '40056', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45267', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45267', '40308', '126', '212', '1000000');
INSERT INTO `droplist` VALUES ('45269', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45269', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45269', '40171', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45269', '40181', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45269', '40247', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45269', '40273', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45269', '40308', '126', '212', '1000000');
INSERT INTO `droplist` VALUES ('45269', '100098', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45269', '120043', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45270', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45270', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45270', '40171', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45270', '40273', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45270', '40260', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45270', '40271', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45270', '172', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45270', '40308', '126', '212', '1000000');
INSERT INTO `droplist` VALUES ('45270', '20043', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45271', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45271', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45271', '40074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45271', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45271', '40100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45271', '40119', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45271', '40193', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45271', '40200', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45271', '40223', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45271', '40224', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45271', '40241', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45271', '40258', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45271', '40265', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45271', '40266', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45271', '40267', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45271', '40271', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45271', '40272', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45271', '40275', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45271', '40277', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45271', '40278', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45271', '40308', '135', '225', '1000000');
INSERT INTO `droplist` VALUES ('45271', '40470', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45272', '9', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45272', '187', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45272', '20102', '1', '1', '6500');
INSERT INTO `droplist` VALUES ('45272', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45272', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45272', '40074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45272', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45272', '40100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45272', '40119', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45272', '40197', '1', '1', '800');
INSERT INTO `droplist` VALUES ('45272', '40216', '1', '1', '400');
INSERT INTO `droplist` VALUES ('45272', '40265', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45272', '40266', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45272', '40272', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45272', '40278', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45272', '40279', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45272', '40308', '135', '225', '1000000');
INSERT INTO `droplist` VALUES ('45272', '40432', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45272', '40444', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45272', '40524', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45272', '40746', '50', '200', '50000');
INSERT INTO `droplist` VALUES ('45273', '40011', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45273', '40012', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45273', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45273', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45273', '40308', '135', '225', '1000000');
INSERT INTO `droplist` VALUES ('45273', '40435', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45273', '40436', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45273', '40437', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45274', '43', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45274', '20293', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45274', '20296', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45274', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45274', '40046', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45274', '40050', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45274', '40088', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45274', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45274', '40308', '135', '225', '1000000');
INSERT INTO `droplist` VALUES ('45274', '40330', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45274', '40471', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45274', '40744', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45275', '40006', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45275', '40012', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45275', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45275', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45275', '40074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45275', '40308', '135', '225', '1000000');
INSERT INTO `droplist` VALUES ('45275', '40410', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45275', '40411', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45275', '40412', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45276', '40010', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45276', '40011', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45276', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45276', '40308', '153', '254', '1000000');
INSERT INTO `droplist` VALUES ('45277', '20013', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45277', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45277', '40091', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45277', '40179', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45277', '40189', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45277', '40207', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45277', '40247', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45277', '40273', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45277', '40305', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45277', '40308', '135', '225', '1000000');
INSERT INTO `droplist` VALUES ('45277', '40459', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45278', '143', '1', '1', '120000');
INSERT INTO `droplist` VALUES ('45278', '145', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45278', '148', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45278', '20015', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45278', '20115', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45278', '20317', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45278', '40014', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45278', '40074', '1', '1', '17500');
INSERT INTO `droplist` VALUES ('45278', '40087', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45278', '40271', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45278', '40308', '135', '225', '1000000');
INSERT INTO `droplist` VALUES ('45278', '40513', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45279', '40007', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45279', '40014', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45279', '40015', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45279', '40074', '1', '1', '11000');
INSERT INTO `droplist` VALUES ('45279', '40179', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45279', '40183', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45279', '40196', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45279', '40204', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45279', '40210', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45279', '40225', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45279', '40254', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45279', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45279', '40308', '205', '336', '1000000');
INSERT INTO `droplist` VALUES ('45279', '140100', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45280', '143', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45280', '145', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45280', '148', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45280', '20014', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45280', '20015', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45280', '20115', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45280', '20321', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45280', '40014', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45280', '40019', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45280', '40020', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45280', '40021', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45280', '40180', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45280', '40186', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45280', '40194', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45280', '40202', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45280', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45184', '40173', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45184', '40171', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45281', '136', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45281', '139', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45776', '40308', '292', '470', '1000000');
INSERT INTO `droplist` VALUES ('45281', '40007', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45281', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45281', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45281', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45281', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45281', '40053', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45281', '40074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45281', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45281', '40119', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45281', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45281', '40308', '135', '225', '1000000');
INSERT INTO `droplist` VALUES ('45281', '40317', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45281', '40496', '1', '3', '50000');
INSERT INTO `droplist` VALUES ('45282', '20303', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45282', '40056', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45282', '40307', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45282', '40308', '135', '225', '1000000');
INSERT INTO `droplist` VALUES ('45283', '125', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45283', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45283', '40045', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45283', '40049', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45283', '40053', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45283', '40100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45283', '40170', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45283', '40172', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45283', '40213', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45283', '40256', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45283', '40305', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45283', '40308', '126', '212', '1000000');
INSERT INTO `droplist` VALUES ('45283', '40524', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45284', '31', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45284', '20043', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45284', '20101', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45284', '20242', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45284', '40010', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45284', '40011', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45284', '40012', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45284', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45284', '40014', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45284', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45284', '40191', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45284', '40215', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45284', '40256', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45284', '40257', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45284', '40308', '144', '240', '1000000');
INSERT INTO `droplist` VALUES ('45284', '40486', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45285', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45285', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45285', '40074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45285', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45285', '40183', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45285', '40185', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45285', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45285', '40308', '265', '429', '1000000');
INSERT INTO `droplist` VALUES ('45286', '40013', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45286', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45286', '40171', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45286', '40188', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45286', '40256', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45286', '40308', '144', '240', '1000000');
INSERT INTO `droplist` VALUES ('45286', '100143', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45286', '120056', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45286', '120242', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45287', '101', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45287', '20102', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45287', '20224', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45287', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45287', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45287', '40074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45287', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45287', '40100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45287', '40119', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45287', '40267', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45287', '40271', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45287', '40277', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45287', '40308', '153', '254', '1000000');
INSERT INTO `droplist` VALUES ('45287', '40427', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45287', '40444', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45287', '40524', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45287', '40899', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45289', '20063', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45289', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45289', '40074', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45289', '40079', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45289', '40087', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45289', '40088', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45289', '40119', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45289', '40174', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45289', '40180', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45289', '40182', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45289', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45289', '40308', '153', '254', '1000000');
INSERT INTO `droplist` VALUES ('45289', '140074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45289', '140087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45290', '40025', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45290', '40308', '153', '254', '1000000');
INSERT INTO `droplist` VALUES ('45291', '169', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45291', '20096', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45291', '20205', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45291', '40171', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45291', '40174', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45291', '40191', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45291', '40240', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45291', '40256', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45291', '40257', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45291', '40305', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45291', '40308', '153', '254', '1000000');
INSERT INTO `droplist` VALUES ('45291', '40486', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45291', '120043', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45292', '40554', '1', '1', '1000000');
INSERT INTO `droplist` VALUES ('45293', '101', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45293', '40308', '153', '254', '1000000');
INSERT INTO `droplist` VALUES ('45293', '40614', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45294', '102', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45294', '20174', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45182', '40012', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45294', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45294', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45294', '40253', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45294', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45294', '40308', '153', '254', '1000000');
INSERT INTO `droplist` VALUES ('45295', '137', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45295', '138', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45295', '143', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45295', '145', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45295', '20306', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45295', '20307', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45295', '20308', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45295', '20312', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45295', '20316', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45295', '20319', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45295', '40252', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45295', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45295', '40308', '173', '285', '1000000');
INSERT INTO `droplist` VALUES ('45296', '40308', '153', '254', '1000000');
INSERT INTO `droplist` VALUES ('45296', '40497', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45296', '40509', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45297', '20177', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45297', '20306', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45297', '20312', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45297', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45297', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45297', '40048', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45297', '40049', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45297', '40050', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45297', '40253', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45297', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45297', '40308', '153', '254', '1000000');
INSERT INTO `droplist` VALUES ('45298', '138', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45298', '143', '1', '1', '18000');
INSERT INTO `droplist` VALUES ('45298', '145', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45298', '148', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45298', '20015', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45298', '20101', '1', '1', '18000');
INSERT INTO `droplist` VALUES ('45298', '20115', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45298', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45298', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45298', '40074', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45298', '40087', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45298', '40170', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45298', '40172', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45298', '40182', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45298', '40201', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45298', '40237', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45298', '40241', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45298', '40257', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45298', '40308', '153', '254', '1000000');
INSERT INTO `droplist` VALUES ('45298', '140100', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45299', '40010', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45299', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45299', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45299', '40308', '153', '254', '1000000');
INSERT INTO `droplist` VALUES ('45299', '40483', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45299', '40484', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45299', '40485', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45300', '40548', '1', '1', '1000000');
INSERT INTO `droplist` VALUES ('45301', '40602', '1', '1', '1000000');
INSERT INTO `droplist` VALUES ('45302', '40528', '1', '1', '1000000');
INSERT INTO `droplist` VALUES ('45307', '40010', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45307', '40011', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45307', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45307', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45307', '40308', '50', '93', '1000000');
INSERT INTO `droplist` VALUES ('45308', '20063', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45308', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45308', '40088', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45308', '40119', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45308', '40174', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45308', '40180', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45308', '40182', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45308', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45308', '40308', '153', '254', '1000000');
INSERT INTO `droplist` VALUES ('45308', '40419', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45309', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45309', '40308', '135', '225', '1000000');
INSERT INTO `droplist` VALUES ('45309', '40447', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45309', '40448', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45309', '40449', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45310', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45310', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45310', '40074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45310', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45310', '40100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45310', '40119', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45310', '40265', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45310', '40266', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45310', '40267', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45310', '40271', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45310', '40272', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45310', '40273', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45310', '40277', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45310', '40278', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45310', '40308', '109', '186', '1000000');
INSERT INTO `droplist` VALUES ('45311', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45311', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45311', '40027', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45311', '40308', '73', '129', '1000000');
INSERT INTO `droplist` VALUES ('45311', '40431', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45312', '40007', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45312', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45312', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45312', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45312', '40074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45312', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45312', '40090', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45312', '40091', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45312', '40092', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45312', '40093', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45312', '40174', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45312', '40181', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45312', '40211', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45312', '40213', '1', '1', '50');
INSERT INTO `droplist` VALUES ('45312', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45312', '40308', '73', '129', '1000000');
INSERT INTO `droplist` VALUES ('45312', '140100', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45313', '40056', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45313', '40405', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45314', '34', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45314', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45314', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45314', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45314', '40100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45314', '40305', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45314', '40308', '173', '285', '1000000');
INSERT INTO `droplist` VALUES ('45315', '40045', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45315', '40046', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45315', '40047', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45315', '40049', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45315', '40050', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45315', '40051', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45315', '40053', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45315', '40054', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45315', '40055', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45315', '40443', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45315', '40444', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45315', '40524', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45315', '40718', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45316', '41', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45316', '64', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45316', '145', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45316', '20014', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45316', '20154', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45316', '20182', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45316', '20248', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45316', '20267', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45316', '20307', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45316', '20316', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45316', '20320', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45316', '40013', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45316', '40014', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45316', '40015', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45316', '40016', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45316', '40018', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45316', '40044', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45316', '40048', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45316', '40052', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45316', '40074', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45316', '40087', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45316', '40089', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45316', '40093', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45316', '40094', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45316', '40100', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45316', '40165', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45316', '40166', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45316', '40175', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45316', '40176', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45316', '40184', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45316', '40199', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45316', '40209', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45316', '40247', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45316', '40248', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45316', '40250', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45316', '40251', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45316', '40259', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45316', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45316', '40308', '153', '254', '1000000');
INSERT INTO `droplist` VALUES ('45316', '100041', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45316', '100064', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45316', '120154', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45316', '140074', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45316', '140087', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45316', '140100', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45316', '240074', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45316', '240087', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45321', '40048', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45321', '40049', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45321', '40050', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45321', '40051', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45321', '40087', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45321', '40175', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45321', '40198', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45321', '40237', '1', '1', '4500');
INSERT INTO `droplist` VALUES ('45321', '40240', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45321', '40260', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45321', '40261', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45321', '40307', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45321', '40308', '163', '270', '1000000');
INSERT INTO `droplist` VALUES ('45321', '40491', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45321', '40044', '1', '1', '45000');
INSERT INTO `droplist` VALUES ('45321', '140013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45321', '140018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45321', '140100', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45322', '20149', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45322', '40010', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45322', '40011', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45322', '40012', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45322', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45322', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45322', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45322', '40048', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45322', '40049', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45322', '40050', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45322', '40051', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45322', '40192', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45322', '40202', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45322', '40213', '1', '1', '250');
INSERT INTO `droplist` VALUES ('45322', '40235', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45322', '40238', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45322', '40241', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45322', '40277', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45322', '40308', '163', '270', '1000000');
INSERT INTO `droplist` VALUES ('45322', '40524', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45322', '20101', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45323', '20123', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45323', '20258', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45323', '40006', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45323', '40012', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45323', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45323', '40308', '153', '254', '1000000');
INSERT INTO `droplist` VALUES ('45323', '40452', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45323', '40453', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45323', '40490', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45324', '40010', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45324', '40011', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45324', '40012', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45324', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45324', '40018', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45324', '40308', '173', '285', '1000000');
INSERT INTO `droplist` VALUES ('45325', '40007', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45325', '40010', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45325', '40011', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45325', '40012', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45325', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45325', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45325', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45325', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45325', '40018', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45325', '40019', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45325', '40020', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45325', '40021', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45325', '40089', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45325', '40090', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45325', '40091', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45325', '40092', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45325', '40119', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45325', '40126', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45325', '40308', '163', '270', '1000000');
INSERT INTO `droplist` VALUES ('45325', '40397', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45325', '40398', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45325', '40399', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45325', '40400', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45326', '20098', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45326', '20196', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45326', '40012', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45326', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45326', '40074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45326', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45326', '40089', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45326', '40308', '173', '285', '1000000');
INSERT INTO `droplist` VALUES ('45326', '40425', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45326', '40426', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45326', '40427', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45327', '10', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45327', '176', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45327', '20102', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45327', '20199', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45327', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45327', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45327', '40074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45327', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45327', '40119', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45327', '40209', '1', '1', '3500');
INSERT INTO `droplist` VALUES ('45327', '40269', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45327', '40308', '173', '285', '1000000');
INSERT INTO `droplist` VALUES ('45327', '40429', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45327', '40444', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45327', '40524', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45327', '40746', '50', '200', '10000');
INSERT INTO `droplist` VALUES ('45327', '40899', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45327', '140100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45328', '40011', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45328', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45328', '40074', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45328', '40308', '173', '285', '1000000');
INSERT INTO `droplist` VALUES ('45328', '40433', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45328', '40434', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45329', '40010', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45329', '40011', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45329', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45329', '40308', '135', '225', '1000000');
INSERT INTO `droplist` VALUES ('45330', '43', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45330', '20293', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45330', '20294', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45330', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45330', '40018', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45330', '40044', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45330', '40048', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45330', '40305', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45330', '40307', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45330', '40308', '173', '285', '1000000');
INSERT INTO `droplist` VALUES ('45330', '40330', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45330', '40471', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45330', '40662', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45330', '40744', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45331', '40011', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45331', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45331', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45331', '40074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45331', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45331', '40089', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45331', '40308', '173', '285', '1000000');
INSERT INTO `droplist` VALUES ('45331', '140087', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45332', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45332', '40017', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45332', '40087', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45332', '40089', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45332', '40104', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45332', '40119', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45332', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45332', '40308', '173', '285', '1000000');
INSERT INTO `droplist` VALUES ('45332', '40458', '1', '1', '60000');
INSERT INTO `droplist` VALUES ('45332', '140100', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45333', '122', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45333', '20103', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45333', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45333', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45333', '40074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45333', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45333', '40119', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45333', '40200', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45333', '40211', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45333', '40213', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45333', '40217', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45333', '40219', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45333', '40221', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45333', '40224', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45333', '40271', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45333', '40272', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45333', '40273', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45333', '40308', '173', '285', '1000000');
INSERT INTO `droplist` VALUES ('45333', '40429', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45333', '40444', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45333', '40524', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45333', '40899', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45333', '140100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45337', '137', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45337', '138', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45337', '143', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45337', '145', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45337', '20306', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45337', '20307', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45337', '20308', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45337', '20312', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45337', '20316', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45337', '20319', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45337', '40252', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45337', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45337', '40308', '153', '254', '1000000');
INSERT INTO `droplist` VALUES ('45338', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45338', '40047', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45338', '40074', '1', '3', '150000');
INSERT INTO `droplist` VALUES ('45338', '40179', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45338', '40253', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45338', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45338', '40308', '173', '285', '1000000');
INSERT INTO `droplist` VALUES ('45339', '40010', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45339', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45339', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45339', '40308', '173', '285', '1000000');
INSERT INTO `droplist` VALUES ('45339', '40483', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45339', '40484', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45339', '40485', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45340', '40012', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45340', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45340', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45340', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45340', '40074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45340', '40308', '173', '285', '1000000');
INSERT INTO `droplist` VALUES ('45340', '40430', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45341', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45341', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45341', '40016', '1', '3', '150000');
INSERT INTO `droplist` VALUES ('45341', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45341', '40074', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45341', '40087', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45341', '40089', '1', '3', '150000');
INSERT INTO `droplist` VALUES ('45341', '40191', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45341', '40200', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45341', '40215', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45341', '40221', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45341', '40242', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45341', '40256', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45341', '40257', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45341', '40258', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45341', '40259', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45341', '40305', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45341', '40308', '253', '410', '1000000');
INSERT INTO `droplist` VALUES ('45341', '40486', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45341', '140074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45341', '140087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45341', '240074', '1', '1', '11000');
INSERT INTO `droplist` VALUES ('45341', '240087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45342', '40547', '1', '1', '1000000');
INSERT INTO `droplist` VALUES ('45343', '40592', '1', '1', '10000000');
INSERT INTO `droplist` VALUES ('45344', '40079', '1', '1', '1000000');
INSERT INTO `droplist` VALUES ('45344', '40579', '1', '1', '10000000');
INSERT INTO `droplist` VALUES ('45345', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45345', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45345', '40074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45345', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45345', '40119', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45345', '40187', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45345', '40192', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45345', '40238', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45345', '40247', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45345', '40251', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45345', '40252', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45345', '40275', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45345', '40277', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45345', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45345', '40308', '173', '285', '1000000');
INSERT INTO `droplist` VALUES ('45345', '40317', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45345', '40408', '1', '3', '50000');
INSERT INTO `droplist` VALUES ('45345', '40496', '1', '3', '50000');
INSERT INTO `droplist` VALUES ('45345', '40899', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45346', '143', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45346', '145', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45346', '148', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45346', '20014', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45346', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45346', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45346', '40051', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45346', '40055', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45346', '40074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45346', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45346', '40194', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45346', '40221', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45346', '40308', '184', '302', '1000000');
INSERT INTO `droplist` VALUES ('45346', '140100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45347', '20098', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45347', '20196', '1', '1', '6500');
INSERT INTO `droplist` VALUES ('45347', '40012', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45347', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45347', '40074', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45347', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45347', '40089', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45347', '40308', '173', '285', '1000000');
INSERT INTO `droplist` VALUES ('45347', '40425', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45347', '40426', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45347', '40490', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45348', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45348', '40017', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45348', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45348', '40074', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45348', '40087', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45348', '40104', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45348', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45348', '40308', '184', '302', '1000000');
INSERT INTO `droplist` VALUES ('45348', '140100', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45349', '20032', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45349', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45349', '40178', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45349', '40189', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45349', '40237', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45349', '40240', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45349', '40307', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45349', '40308', '184', '302', '1000000');
INSERT INTO `droplist` VALUES ('45349', '240087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45350', '101', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45350', '40308', '184', '302', '1000000');
INSERT INTO `droplist` VALUES ('45350', '40614', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45351', '137', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45351', '138', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45351', '143', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45351', '145', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45351', '20306', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45351', '20307', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45351', '20308', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45351', '20312', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45351', '20316', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45351', '20319', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45351', '40252', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45351', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45351', '40308', '184', '302', '1000000');
INSERT INTO `droplist` VALUES ('45352', '40008', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45352', '40010', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45352', '40011', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45352', '40012', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45352', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45352', '40088', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45352', '40217', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45352', '40308', '184', '302', '1000000');
INSERT INTO `droplist` VALUES ('45355', '20142', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45355', '40007', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45355', '40010', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45355', '40011', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45355', '40012', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45355', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45355', '40014', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45355', '40015', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45355', '40016', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45355', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45355', '40018', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45355', '40019', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45355', '40020', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45355', '40021', '1', '1', '8500');
INSERT INTO `droplist` VALUES ('45355', '40068', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45355', '40090', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45355', '40091', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45355', '40092', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45355', '40093', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45355', '40094', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45355', '40307', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45355', '40308', '194', '318', '1000000');
INSERT INTO `droplist` VALUES ('45356', '20053', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45356', '40010', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45356', '40011', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45356', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45356', '40014', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45356', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45356', '40074', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45356', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45356', '40100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45356', '40119', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45356', '40266', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45356', '40267', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45356', '40271', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45356', '40273', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45356', '40274', '1', '1', '3500');
INSERT INTO `droplist` VALUES ('45356', '40275', '1', '1', '4500');
INSERT INTO `droplist` VALUES ('45356', '40308', '194', '318', '1000000');
INSERT INTO `droplist` VALUES ('45356', '40432', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45356', '40444', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45356', '40454', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45356', '40524', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45357', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45357', '40308', '194', '318', '1000000');
INSERT INTO `droplist` VALUES ('45357', '40447', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45357', '40448', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45357', '40449', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45357', '40451', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45358', '20142', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45358', '40010', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45358', '40011', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45358', '40012', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45358', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45358', '40014', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45358', '40015', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45358', '40016', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45358', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45358', '40018', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45358', '40019', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45358', '40020', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45358', '40021', '1', '1', '8500');
INSERT INTO `droplist` VALUES ('45358', '40068', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45358', '40090', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45358', '40091', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45358', '40092', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45358', '40093', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45358', '40094', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45358', '40211', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45358', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45358', '40308', '241', '390', '1000000');
INSERT INTO `droplist` VALUES ('45359', '40007', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45359', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45359', '40014', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45359', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45359', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45359', '40074', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45359', '40087', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45359', '40170', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45359', '40171', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45359', '40187', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45359', '40188', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45359', '40190', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45359', '40191', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45359', '40241', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45359', '40256', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45359', '40257', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45359', '40259', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45359', '40305', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45359', '40308', '194', '318', '1000000');
INSERT INTO `droplist` VALUES ('45359', '40460', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45359', '140100', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45360', '20177', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45360', '20319', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45360', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45360', '40015', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45360', '40307', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45360', '40308', '194', '318', '1000000');
INSERT INTO `droplist` VALUES ('45360', '40408', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45360', '40468', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45360', '140100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45361', '40007', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45361', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45361', '40014', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45361', '40016', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45361', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45361', '40074', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45361', '40087', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45361', '40092', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45361', '40174', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45361', '40175', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45361', '40178', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45361', '40180', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45361', '40182', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45361', '40188', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45361', '40190', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45361', '40199', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45361', '40207', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45361', '40240', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45361', '40248', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45361', '40307', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45361', '40308', '194', '318', '1000000');
INSERT INTO `droplist` VALUES ('45361', '140100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45362', '18', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45362', '20143', '1', '1', '3500');
INSERT INTO `droplist` VALUES ('45362', '20166', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45362', '20280', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45362', '40010', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45362', '40011', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45362', '40012', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45362', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45362', '40014', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45362', '40015', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45362', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45362', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45362', '40018', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45362', '40019', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45362', '40020', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45362', '40021', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45362', '40068', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45362', '40076', '1', '1', '800');
INSERT INTO `droplist` VALUES ('45362', '40089', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45362', '40090', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45362', '40091', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45362', '40092', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45362', '40093', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45362', '40094', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45362', '40119', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45362', '40126', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45362', '40307', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45362', '40308', '363', '582', '1000000');
INSERT INTO `droplist` VALUES ('45362', '40317', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45363', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45363', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45363', '40074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45363', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45363', '40100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45363', '40119', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45363', '40213', '1', '1', '250');
INSERT INTO `droplist` VALUES ('45363', '40216', '1', '1', '400');
INSERT INTO `droplist` VALUES ('45363', '40223', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45363', '40265', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45363', '40266', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45363', '40267', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45363', '40271', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45363', '40272', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45363', '40273', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45363', '40275', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45363', '40277', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45363', '40278', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45363', '40308', '205', '336', '1000000');
INSERT INTO `droplist` VALUES ('45363', '40430', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45363', '40465', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45364', '20008', '1', '1', '3500');
INSERT INTO `droplist` VALUES ('45364', '20023', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45364', '20140', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45364', '20303', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45364', '40010', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45364', '40011', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45364', '40012', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45364', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45364', '40014', '1', '1', '8500');
INSERT INTO `droplist` VALUES ('45364', '40015', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45364', '40016', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45364', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45364', '40018', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45364', '40019', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45364', '40020', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45364', '40021', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45364', '40068', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45364', '40089', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45364', '40090', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45364', '40091', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45364', '40092', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45364', '40093', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45364', '40094', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45364', '40119', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45364', '40126', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45364', '40308', '205', '336', '1000000');
INSERT INTO `droplist` VALUES ('45269', '98', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45365', '52', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45365', '148', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45365', '40014', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45365', '40174', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45365', '40187', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45365', '40190', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45365', '40191', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45365', '40215', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45365', '40240', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45365', '40249', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45365', '40256', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45365', '40257', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45365', '40258', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45365', '40305', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45365', '40308', '205', '336', '1000000');
INSERT INTO `droplist` VALUES ('45365', '100102', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45366', '8', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45366', '20016', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45366', '20112', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45366', '20172', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45366', '20177', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45366', '20181', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45366', '20189', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45366', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45366', '40043', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45366', '40048', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45366', '40049', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45366', '40050', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45366', '40051', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45366', '40240', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45366', '40308', '205', '336', '1000000');
INSERT INTO `droplist` VALUES ('45367', '40006', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45367', '40012', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45367', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45367', '40014', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45367', '40074', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45367', '40308', '205', '336', '1000000');
INSERT INTO `droplist` VALUES ('45367', '40410', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45367', '40411', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45367', '40412', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45367', '40444', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45367', '40490', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45368', '20123', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45368', '20258', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45368', '40012', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45368', '40013', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45368', '40308', '205', '336', '1000000');
INSERT INTO `droplist` VALUES ('45368', '40427', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45368', '40452', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45368', '40453', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45368', '40490', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45369', '40167', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45369', '40168', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45369', '40308', '205', '336', '1000000');
INSERT INTO `droplist` VALUES ('45369', '40415', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45370', '40048', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45370', '40050', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45370', '40051', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45370', '40053', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45370', '40308', '205', '336', '1000000');
INSERT INTO `droplist` VALUES ('45370', '140100', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45371', '20140', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45371', '40010', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45371', '40011', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45371', '40012', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45371', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45371', '40014', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45371', '40015', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45371', '40016', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45371', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45371', '40018', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45371', '40019', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45371', '40020', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45371', '40021', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45371', '40068', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45371', '40090', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45371', '40091', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45371', '40092', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45371', '40093', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45371', '40094', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45371', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45371', '40308', '205', '336', '1000000');
INSERT INTO `droplist` VALUES ('45372', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45372', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45372', '40074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45372', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45372', '40119', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45372', '40187', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45372', '40192', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45372', '40238', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45372', '40247', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45372', '40251', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45372', '40275', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45372', '40277', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45372', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45372', '40308', '205', '336', '1000000');
INSERT INTO `droplist` VALUES ('45372', '40408', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45372', '40496', '1', '3', '75000');
INSERT INTO `droplist` VALUES ('45372', '40899', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45373', '40014', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45373', '40248', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45373', '40187', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45373', '40188', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45373', '40190', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45373', '40199', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45373', '40207', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45373', '40241', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45373', '40252', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45373', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45373', '40308', '205', '336', '1000000');
INSERT INTO `droplist` VALUES ('45373', '100102', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45374', '20172', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45374', '20289', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45374', '20312', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45374', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45374', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45374', '40046', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45374', '40100', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45374', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45374', '40308', '205', '336', '1000000');
INSERT INTO `droplist` VALUES ('45376', '52', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45376', '102', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45376', '148', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45376', '20011', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45376', '20267', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45376', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45376', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45376', '40174', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45376', '40187', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45376', '40190', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45376', '40191', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45376', '40215', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45376', '40249', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45376', '40252', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45376', '40256', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45376', '40258', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45376', '40305', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45376', '40308', '205', '336', '1000000');
INSERT INTO `droplist` VALUES ('45376', '40486', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45377', '20141', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45377', '40007', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45377', '40010', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45377', '40011', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45377', '40012', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45377', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45377', '40014', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45377', '40015', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45377', '40016', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45377', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45377', '40018', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45377', '40019', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45377', '40020', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45377', '40021', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45377', '40068', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45377', '40090', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45377', '40091', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45377', '40092', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45377', '40093', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45377', '40094', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45377', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45377', '40308', '73', '129', '1000000');
INSERT INTO `droplist` VALUES ('45378', '20140', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45378', '40007', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45378', '40010', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45378', '40011', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45378', '40012', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45378', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45378', '40014', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45378', '40015', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45378', '40016', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45378', '40017', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45378', '40018', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45378', '40019', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45378', '40020', '1', '1', '17500');
INSERT INTO `droplist` VALUES ('45378', '40021', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45378', '40068', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45378', '40089', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45378', '40090', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45378', '40091', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45378', '40092', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45378', '40093', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45378', '40094', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45378', '40119', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45378', '40126', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45378', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45378', '40308', '217', '353', '1000000');
INSERT INTO `droplist` VALUES ('45379', '122', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45379', '20103', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45379', '40200', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45379', '40211', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45379', '40213', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45379', '40217', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45379', '40219', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45379', '40221', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45379', '40224', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45379', '40271', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45379', '40272', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45379', '40273', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45379', '40308', '217', '353', '1000000');
INSERT INTO `droplist` VALUES ('45379', '40427', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45380', '20115', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45380', '20227', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45380', '20229', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45380', '20254', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45380', '40007', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45380', '40016', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45380', '40074', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45380', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45380', '40089', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45380', '40100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45380', '40104', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45380', '40119', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45380', '40189', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45380', '40192', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45380', '40201', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45380', '40213', '1', '1', '350');
INSERT INTO `droplist` VALUES ('45380', '40220', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45380', '40275', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45380', '40308', '217', '353', '1000000');
INSERT INTO `droplist` VALUES ('45380', '140074', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45380', '140087', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45380', '240074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45380', '240087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45381', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45381', '40044', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45381', '40048', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45381', '40052', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45381', '40074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45381', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45381', '40092', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45381', '40174', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45381', '40178', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45381', '40180', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45381', '40182', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45381', '40189', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45381', '40190', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45381', '40207', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45381', '40237', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45381', '40253', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45381', '40255', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45381', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45381', '40308', '217', '353', '1000000');
INSERT INTO `droplist` VALUES ('45381', '40646', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45382', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45382', '40074', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45382', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45382', '40092', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45382', '40093', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45382', '40094', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45382', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45382', '40307', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45382', '40308', '217', '353', '1000000');
INSERT INTO `droplist` VALUES ('45383', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45383', '40074', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45383', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45383', '40092', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45383', '40093', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45383', '40094', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45383', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45383', '40307', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45383', '40308', '217', '353', '1000000');
INSERT INTO `droplist` VALUES ('45384', '40015', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45384', '40088', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45384', '40106', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45384', '40119', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45384', '40188', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45384', '40191', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45384', '40203', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45384', '40305', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45384', '40308', '229', '372', '1000000');
INSERT INTO `droplist` VALUES ('45384', '140074', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45384', '140087', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45385', '40167', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45385', '40168', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45385', '40308', '229', '372', '1000000');
INSERT INTO `droplist` VALUES ('45385', '40415', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45386', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45386', '40010', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45386', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45386', '40093', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45386', '40105', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45386', '40260', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45386', '40262', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45386', '40275', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45386', '40308', '229', '372', '1000000');
INSERT INTO `droplist` VALUES ('45386', '40444', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45387', '20141', '1', '1', '3500');
INSERT INTO `droplist` VALUES ('45387', '20142', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45387', '20207', '1', '1', '1200');
INSERT INTO `droplist` VALUES ('45387', '40007', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45387', '40010', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45387', '40011', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45387', '40012', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45387', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45387', '40014', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45387', '40015', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45387', '40016', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45387', '40017', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45387', '40018', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45387', '40019', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45387', '40020', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45387', '40021', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45387', '40068', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45387', '40089', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45387', '40090', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45387', '40091', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45387', '40092', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45387', '40093', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45387', '40094', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45387', '40119', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45387', '40126', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45387', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45387', '40308', '229', '372', '1000000');
INSERT INTO `droplist` VALUES ('45387', '40458', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45389', '20008', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45389', '20140', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45389', '20303', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45389', '40007', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45389', '40010', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45389', '40011', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45389', '40012', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45389', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45389', '40014', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45389', '40015', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45389', '40016', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45389', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45389', '40018', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45389', '40019', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45389', '40020', '1', '1', '17500');
INSERT INTO `droplist` VALUES ('45389', '40021', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45389', '40068', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45389', '40089', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45389', '40090', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45389', '40091', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45389', '40092', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45389', '40093', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45389', '40094', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45389', '40119', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45389', '40126', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45389', '40307', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45389', '40308', '229', '372', '1000000');
INSERT INTO `droplist` VALUES ('45390', '20142', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45390', '20303', '1', '1', '4500');
INSERT INTO `droplist` VALUES ('45390', '40007', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45390', '40010', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45390', '40011', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45390', '40012', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45390', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45390', '40014', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45390', '40015', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45390', '40016', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45390', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45390', '40018', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45390', '40019', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45390', '40020', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45390', '40021', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45390', '40068', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45390', '40076', '1', '1', '800');
INSERT INTO `droplist` VALUES ('45390', '40089', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45390', '40090', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45390', '40091', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45390', '40092', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45390', '40093', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45390', '40094', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45390', '40119', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45390', '40126', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45390', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45390', '40308', '229', '372', '1000000');
INSERT INTO `droplist` VALUES ('45391', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45391', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45391', '40308', '229', '372', '1000000');
INSERT INTO `droplist` VALUES ('45391', '40318', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45391', '40443', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45391', '40444', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45391', '40524', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45391', '40718', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45392', '20141', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45776', '40013', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45392', '40007', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45392', '40010', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45392', '40011', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45392', '40012', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45392', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45392', '40014', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45392', '40015', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45392', '40016', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45392', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45392', '40018', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45392', '40019', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45392', '40020', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45392', '40021', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45392', '40068', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45392', '40089', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45392', '40090', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45392', '40091', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45392', '40092', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45392', '40093', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45392', '40094', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45392', '40119', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45392', '40126', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45392', '40305', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45392', '40308', '229', '372', '1000000');
INSERT INTO `droplist` VALUES ('45392', '40317', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45393', '20210', '1', '1', '3500');
INSERT INTO `droplist` VALUES ('45393', '20281', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45393', '40015', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45393', '40016', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45393', '40093', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45393', '40183', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45393', '40184', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45393', '40186', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45393', '40195', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45393', '40196', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45393', '40204', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45393', '40214', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45393', '40237', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45393', '40240', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45393', '40254', '1', '1', '7000');
INSERT INTO `droplist` VALUES ('45393', '40275', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45393', '40277', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45393', '40308', '229', '372', '1000000');
INSERT INTO `droplist` VALUES ('45394', '20210', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45394', '20281', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45672', '40222', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45394', '40093', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45394', '40105', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45394', '40183', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45394', '40186', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45394', '40195', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45394', '40196', '1', '1', '2400');
INSERT INTO `droplist` VALUES ('45394', '40204', '1', '1', '2900');
INSERT INTO `droplist` VALUES ('45394', '40237', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45394', '40254', '1', '1', '7000');
INSERT INTO `droplist` VALUES ('45394', '40275', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45394', '40277', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45394', '40308', '229', '372', '1000000');
INSERT INTO `droplist` VALUES ('45397', '10', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45397', '176', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45397', '20102', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45397', '20199', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45397', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45397', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45397', '40100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45397', '40119', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45397', '40308', '241', '390', '1000000');
INSERT INTO `droplist` VALUES ('45397', '40427', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45397', '40444', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45397', '40524', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45398', '38', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45398', '20102', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45398', '20199', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45398', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45398', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45398', '40074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45398', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45398', '40100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45398', '40119', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45398', '40200', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45398', '40266', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45398', '40269', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45398', '40271', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45398', '40272', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45398', '40308', '241', '390', '1000000');
INSERT INTO `droplist` VALUES ('45398', '40427', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45398', '40444', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45398', '40524', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45398', '40899', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45399', '20011', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45399', '40013', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45399', '40014', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45399', '40015', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45399', '40074', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45399', '40090', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45399', '40091', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45399', '40105', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45399', '40171', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45399', '40187', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45399', '40277', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45399', '40308', '241', '390', '1000000');
INSERT INTO `droplist` VALUES ('45400', '40167', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45400', '40168', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45400', '40308', '241', '390', '1000000');
INSERT INTO `droplist` VALUES ('45400', '40415', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45401', '20140', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45401', '20303', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45401', '40007', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45401', '40010', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45401', '40011', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45401', '40012', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45401', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45401', '40014', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45401', '40015', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45401', '40016', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45401', '40017', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45401', '40018', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45401', '40019', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45401', '40020', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45401', '40021', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45401', '40068', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45401', '40089', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45401', '40090', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45401', '40091', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45401', '40092', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45401', '40093', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45401', '40094', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45401', '40119', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45401', '40126', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45401', '40308', '241', '390', '1000000');
INSERT INTO `droplist` VALUES ('45402', '145', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45402', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45402', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45402', '40074', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45402', '40087', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45402', '40107', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45402', '40187', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45402', '40308', '253', '410', '1000000');
INSERT INTO `droplist` VALUES ('45403', '40011', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45403', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45403', '40014', '1', '1', '120000');
INSERT INTO `droplist` VALUES ('45403', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45403', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45403', '40074', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45403', '40107', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45403', '40171', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45403', '40191', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45403', '40308', '253', '410', '1000000');
INSERT INTO `droplist` VALUES ('45404', '38', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45404', '20102', '1', '1', '8500');
INSERT INTO `droplist` VALUES ('45404', '20199', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45404', '40010', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45404', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45404', '40016', '1', '1', '60000');
INSERT INTO `droplist` VALUES ('45404', '40074', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45404', '40087', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45404', '40100', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45404', '40119', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45404', '40200', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45404', '40269', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45404', '40271', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45404', '40272', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45404', '40308', '253', '410', '1000000');
INSERT INTO `droplist` VALUES ('45404', '40432', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45404', '40444', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45404', '40524', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45404', '40899', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45405', '116', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45405', '20121', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45405', '20257', '1', '1', '200');
INSERT INTO `droplist` VALUES ('45405', '40012', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45405', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45405', '40015', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45405', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45405', '40308', '253', '410', '1000000');
INSERT INTO `droplist` VALUES ('45405', '40427', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45405', '40446', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45405', '40490', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45406', '20032', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45406', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45406', '40016', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45406', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45406', '40105', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45406', '40178', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45406', '40189', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45406', '40192', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45406', '40201', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45406', '40277', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45406', '40279', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45406', '40307', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45406', '40308', '253', '410', '1000000');
INSERT INTO `droplist` VALUES ('45406', '240087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45407', '40007', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45407', '40010', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45407', '40011', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45407', '40012', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45407', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45407', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45407', '40016', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45407', '40017', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45407', '40018', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45407', '40019', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45407', '40020', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45407', '40021', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45407', '40090', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45407', '40091', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45407', '40092', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45407', '40104', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45407', '40119', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45407', '40126', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45407', '40308', '253', '410', '1000000');
INSERT INTO `droplist` VALUES ('45407', '40397', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45407', '40398', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45407', '40399', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45407', '40400', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45408', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45408', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45408', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45408', '40089', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45408', '40200', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45408', '40215', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45408', '40256', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45408', '40257', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45408', '40305', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45408', '40308', '253', '410', '1000000');
INSERT INTO `droplist` VALUES ('45408', '40472', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45409', '40012', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45409', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45409', '40016', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45409', '40018', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45409', '40105', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45409', '40119', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45409', '40307', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45409', '40308', '265', '429', '1000000');
INSERT INTO `droplist` VALUES ('45409', '140100', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45411', '10', '1', '1', '6500');
INSERT INTO `droplist` VALUES ('45411', '188', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45411', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45411', '40015', '1', '1', '60000');
INSERT INTO `droplist` VALUES ('45411', '40074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45411', '40087', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45411', '40100', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45411', '40119', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45411', '40197', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45411', '40266', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45411', '40271', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45411', '40273', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45411', '40308', '265', '429', '1000000');
INSERT INTO `droplist` VALUES ('45411', '40432', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45411', '40444', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45411', '40524', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45411', '40899', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45412', '101', '1', '1', '6500');
INSERT INTO `droplist` VALUES ('45412', '20104', '1', '1', '6500');
INSERT INTO `droplist` VALUES ('45412', '20224', '1', '1', '7000');
INSERT INTO `droplist` VALUES ('45412', '40010', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45412', '40011', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45412', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45412', '40014', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45412', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45412', '40074', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45412', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45412', '40100', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45412', '40119', '1', '1', '60000');
INSERT INTO `droplist` VALUES ('45412', '40267', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45412', '40271', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45412', '40277', '1', '1', '3500');
INSERT INTO `droplist` VALUES ('45412', '40308', '265', '429', '1000000');
INSERT INTO `droplist` VALUES ('45412', '40432', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45412', '40444', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45412', '40524', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45412', '40899', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45413', '40630', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45414', '20053', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45414', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45414', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45414', '40074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45414', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45414', '40100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45414', '40119', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45414', '40266', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45414', '40267', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45414', '40271', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45414', '40273', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45414', '40274', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45414', '40275', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45414', '40308', '265', '429', '1000000');
INSERT INTO `droplist` VALUES ('45414', '40427', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45414', '40454', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45415', '82', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45415', '20105', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45415', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45415', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45415', '40074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45415', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45415', '40119', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45415', '40219', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45415', '40267', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45415', '40271', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45415', '40273', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45415', '40275', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45415', '40277', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45415', '40308', '265', '429', '1000000');
INSERT INTO `droplist` VALUES ('45415', '40429', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45415', '40444', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45415', '40524', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45415', '40899', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45415', '140100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45416', '8', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45416', '9', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45416', '20177', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45416', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45416', '40044', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45416', '40045', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45416', '40046', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45416', '40047', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45416', '40048', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45416', '40049', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45416', '40050', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45416', '40051', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45416', '40216', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45416', '40249', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45416', '40252', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45416', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45416', '40308', '265', '429', '1000000');
INSERT INTO `droplist` VALUES ('45417', '40167', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45417', '40168', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45417', '40308', '265', '429', '1000000');
INSERT INTO `droplist` VALUES ('45417', '40415', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45418', '8', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45418', '9', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45418', '20189', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45418', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45418', '40044', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45418', '40045', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45418', '40046', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45418', '40047', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45418', '40048', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45418', '40049', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45418', '40050', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45418', '40051', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45418', '40216', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45418', '40240', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45418', '40264', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45418', '40307', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45418', '40308', '265', '429', '1000000');
INSERT INTO `droplist` VALUES ('45419', '8', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45419', '9', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45419', '20172', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45419', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45419', '40044', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45419', '40045', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45419', '40046', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45419', '40047', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45419', '40048', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45419', '40049', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45419', '40050', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45419', '40051', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45419', '40211', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45419', '40246', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45419', '40253', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45419', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45419', '40308', '265', '429', '1000000');
INSERT INTO `droplist` VALUES ('45420', '20015', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45420', '20101', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45420', '20162', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45420', '40014', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45420', '40075', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45420', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45420', '40177', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45420', '40187', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45420', '40192', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45420', '40196', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45420', '40207', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45420', '40209', '1', '1', '4500');
INSERT INTO `droplist` VALUES ('45420', '40240', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45420', '40248', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45420', '40250', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45420', '40307', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45420', '40308', '265', '429', '1000000');
INSERT INTO `droplist` VALUES ('45420', '140074', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45420', '140087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45420', '220101', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45421', '40654', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45422', '20289', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45422', '40011', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45422', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45422', '40043', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45422', '40048', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45422', '40049', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45422', '40050', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45422', '40051', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45422', '40052', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45422', '40053', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45422', '40054', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45422', '40055', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45422', '40074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45422', '40240', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45422', '40242', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45422', '40253', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45422', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45422', '40308', '1265', '4291', '1000000');
INSERT INTO `droplist` VALUES ('45423', '20289', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45423', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45423', '40241', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45423', '40242', '1', '1', '6500');
INSERT INTO `droplist` VALUES ('45423', '40264', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45423', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45423', '40305', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45423', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45423', '40307', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45423', '40308', '265', '429', '1000000');
INSERT INTO `droplist` VALUES ('45424', '8', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45424', '9', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45424', '20181', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45424', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45424', '40044', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45424', '40045', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45424', '40046', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45424', '40047', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45424', '40048', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45424', '40049', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45424', '40050', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45424', '40051', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45424', '40215', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45424', '40240', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45424', '40259', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45424', '40305', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45424', '40308', '265', '429', '1000000');
INSERT INTO `droplist` VALUES ('45425', '116', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45425', '20121', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45425', '20257', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45425', '40012', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45425', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45425', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45425', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45425', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45425', '40279', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45425', '40308', '265', '429', '1000000');
INSERT INTO `droplist` VALUES ('45425', '40446', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45425', '40490', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45440', '20070', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45440', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45297', '40051', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45440', '40020', '1', '3', '170000');
INSERT INTO `droplist` VALUES ('45440', '40100', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45440', '40106', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45440', '40173', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45440', '40185', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45440', '40192', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45440', '40201', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45440', '40217', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45440', '40240', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45440', '40308', '265', '429', '1000000');
INSERT INTO `droplist` VALUES ('45440', '140100', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45445', '167', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45445', '20023', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45445', '20141', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45445', '20280', '1', '1', '900');
INSERT INTO `droplist` VALUES ('45445', '40010', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45445', '40011', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45445', '40012', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45445', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45445', '40014', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45445', '40015', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45445', '40016', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45445', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45445', '40018', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45445', '40019', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45445', '40020', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45445', '40021', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45445', '40068', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45445', '40089', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45445', '40090', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45445', '40091', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45445', '40092', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45445', '40093', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45445', '40094', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45445', '40119', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45445', '40126', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45445', '40307', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45445', '40308', '278', '450', '1000000');
INSERT INTO `droplist` VALUES ('45446', '10', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45446', '176', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45446', '20102', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45446', '20199', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45446', '40010', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45446', '40011', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45446', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45446', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45446', '40074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45446', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45446', '40100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45446', '40119', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45446', '40209', '1', '1', '3500');
INSERT INTO `droplist` VALUES ('45446', '40216', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45446', '40217', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45446', '40266', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45446', '40269', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45446', '40271', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45446', '40272', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45446', '40308', '278', '450', '1000000');
INSERT INTO `droplist` VALUES ('45446', '40432', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45446', '40444', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45446', '40524', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45446', '40746', '50', '200', '10000');
INSERT INTO `droplist` VALUES ('45447', '122', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45447', '20103', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45447', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45447', '40016', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45447', '40074', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45447', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45447', '40100', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45447', '40119', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45447', '40200', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45447', '40211', '1', '1', '8500');
INSERT INTO `droplist` VALUES ('45447', '40213', '1', '1', '400');
INSERT INTO `droplist` VALUES ('45447', '40217', '1', '1', '8500');
INSERT INTO `droplist` VALUES ('45447', '40219', '1', '1', '120');
INSERT INTO `droplist` VALUES ('45447', '40221', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45447', '40224', '1', '1', '150');
INSERT INTO `droplist` VALUES ('45447', '40271', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45447', '40272', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45447', '40273', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45447', '40308', '278', '450', '1000000');
INSERT INTO `droplist` VALUES ('45447', '40432', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45447', '40444', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45447', '40524', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45449', '20143', '1', '1', '3500');
INSERT INTO `droplist` VALUES ('45449', '20303', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45449', '40007', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45449', '40010', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45449', '40011', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45449', '40012', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45449', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45449', '40014', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45449', '40015', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45449', '40016', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45449', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45449', '40018', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45449', '40019', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45449', '40020', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45449', '40021', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45449', '40068', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45449', '40076', '1', '1', '800');
INSERT INTO `droplist` VALUES ('45449', '40089', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45449', '40090', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45449', '40091', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45449', '40092', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45449', '40093', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45449', '40094', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45449', '40119', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45449', '40126', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45449', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45449', '40308', '278', '450', '1000000');
INSERT INTO `droplist` VALUES ('45394', '40015', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45450', '20288', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45450', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45450', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45450', '40308', '278', '450', '1000000');
INSERT INTO `droplist` VALUES ('45450', '40318', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45450', '40443', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45450', '40444', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45450', '40524', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45450', '40718', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45451', '20070', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45451', '20132', '1', '1', '3500');
INSERT INTO `droplist` VALUES ('45451', '20288', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45451', '40015', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45451', '40016', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45451', '40093', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45451', '40183', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45451', '40184', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45451', '40186', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45451', '40195', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45451', '40196', '1', '1', '3500');
INSERT INTO `droplist` VALUES ('45451', '40200', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45451', '40210', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45451', '40214', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45451', '40225', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45451', '40254', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45451', '40255', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45451', '40308', '278', '450', '1000000');
INSERT INTO `droplist` VALUES ('45452', '20207', '1', '1', '800');
INSERT INTO `droplist` VALUES ('45452', '40007', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45452', '40010', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45452', '40011', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45452', '40012', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45452', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45452', '40014', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45452', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45452', '40016', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45452', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45452', '40018', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45452', '40019', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45452', '40020', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45452', '40021', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45452', '40068', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45452', '40089', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45452', '40090', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45452', '40091', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45452', '40092', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45452', '40093', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45452', '40094', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45452', '40119', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45452', '40126', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45452', '40307', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45452', '40308', '278', '450', '1000000');
INSERT INTO `droplist` VALUES ('45453', '40012', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45453', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45453', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45453', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45453', '40074', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45453', '40087', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45453', '40308', '278', '450', '1000000');
INSERT INTO `droplist` VALUES ('45453', '140074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45454', '40011', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45454', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45454', '40014', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45454', '40016', '1', '1', '60000');
INSERT INTO `droplist` VALUES ('45454', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45454', '40074', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45454', '40089', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45454', '40107', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45454', '40200', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45454', '40277', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45454', '40308', '292', '470', '1000000');
INSERT INTO `droplist` VALUES ('45454', '140100', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45455', '20011', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45455', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45455', '40074', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45455', '40088', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45455', '40107', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45455', '40279', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45455', '40308', '292', '470', '1000000');
INSERT INTO `droplist` VALUES ('45456', '20029', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45456', '20063', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45456', '20182', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45456', '20256', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45456', '20264', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45456', '20266', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45456', '20267', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45456', '20281', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45456', '20284', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45456', '20288', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45456', '40006', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45456', '40008', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45456', '40013', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45456', '40015', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45456', '40018', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45456', '40044', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45456', '40119', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45456', '40171', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45456', '40179', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45456', '40180', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45456', '40192', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45456', '40199', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45456', '40233', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45456', '40241', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45456', '40260', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45456', '40262', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45456', '40308', '292', '470', '1000000');
INSERT INTO `droplist` VALUES ('45456', '40617', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45456', '40907', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45456', '40908', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45456', '140074', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45456', '140087', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45456', '140100', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45457', '20280', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45457', '40007', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45457', '40010', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45457', '40011', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45457', '40012', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45457', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45457', '40014', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45457', '40015', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45457', '40016', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45457', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45457', '40018', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45457', '40019', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45457', '40020', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45457', '40021', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45457', '40068', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45457', '40076', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45457', '40089', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45457', '40090', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45457', '40091', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45457', '40092', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45457', '40093', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45457', '40094', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45457', '40119', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45457', '40126', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45457', '40308', '292', '470', '1000000');
INSERT INTO `droplist` VALUES ('45458', '33', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45458', '39', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45458', '43', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45458', '79', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45458', '118', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45458', '178', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45458', '20234', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45458', '20293', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45458', '20294', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45458', '20295', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45458', '20296', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45458', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45458', '40044', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45458', '40045', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45458', '40046', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45458', '40047', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45458', '40048', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45458', '40049', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45458', '40050', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45458', '40051', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45458', '40052', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45458', '40053', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45458', '40054', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45458', '40055', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45458', '40093', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45458', '40175', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45458', '40213', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45458', '40224', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45458', '40241', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45458', '40259', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45458', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45458', '40307', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45458', '40308', '292', '470', '1000000');
INSERT INTO `droplist` VALUES ('45458', '40330', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45458', '40471', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45458', '40621', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45463', '40167', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45463', '40168', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45463', '40308', '292', '470', '1000000');
INSERT INTO `droplist` VALUES ('45463', '40415', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45464', '20029', '1', '1', '150');
INSERT INTO `droplist` VALUES ('45464', '20063', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45464', '20182', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45464', '20256', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45464', '20284', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45464', '40006', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45464', '40008', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45464', '40013', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45464', '40015', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45464', '40018', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45464', '40044', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45464', '40048', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45464', '40052', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45464', '40093', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45464', '40119', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45464', '40171', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45464', '40179', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45464', '40188', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45464', '40192', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45464', '40199', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45464', '40233', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45464', '40241', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45464', '40260', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45464', '40262', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45464', '40308', '292', '470', '1000000');
INSERT INTO `droplist` VALUES ('45464', '40617', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45464', '40907', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45464', '40908', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45464', '140074', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45464', '140087', '1', '1', '7000');
INSERT INTO `droplist` VALUES ('45464', '140100', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45468', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45468', '40089', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45468', '40109', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45468', '40200', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45468', '40308', '292', '470', '1000000');
INSERT INTO `droplist` VALUES ('45468', '40899', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45469', '20143', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45469', '20207', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45469', '20303', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45469', '40007', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45469', '40010', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45469', '40011', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45469', '40012', '1', '1', '60000');
INSERT INTO `droplist` VALUES ('45469', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45469', '40014', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45469', '40015', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45469', '40016', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45469', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45469', '40018', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45469', '40019', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45469', '40020', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45469', '40021', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45469', '40068', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45469', '40089', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45469', '40090', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45469', '40091', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45469', '40092', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45469', '40093', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45469', '40094', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45469', '40119', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45469', '40126', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45469', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45469', '40308', '292', '470', '1000000');
INSERT INTO `droplist` VALUES ('45469', '40317', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45470', '20140', '1', '1', '3500');
INSERT INTO `droplist` VALUES ('45470', '20303', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45470', '40007', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45470', '40010', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45470', '40011', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45470', '40012', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45470', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45470', '40014', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45470', '40015', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45470', '40016', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45470', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45470', '40018', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45470', '40019', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45470', '40020', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45470', '40021', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45470', '40068', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45470', '40089', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45470', '40090', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45470', '40091', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45470', '40092', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45470', '40093', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45470', '40094', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45470', '40119', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45470', '40126', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45470', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45470', '40308', '292', '470', '1000000');
INSERT INTO `droplist` VALUES ('45471', '125', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45471', '40014', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45471', '40049', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45471', '40106', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45471', '40203', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45471', '40213', '1', '1', '350');
INSERT INTO `droplist` VALUES ('45471', '40278', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45471', '40305', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45471', '40308', '305', '492', '1000000');
INSERT INTO `droplist` VALUES ('45471', '140100', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45472', '83', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45472', '20105', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45472', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45472', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45472', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45472', '40074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45472', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45472', '40100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45472', '40119', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45472', '40193', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45472', '40197', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45472', '40267', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45472', '40271', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45472', '40273', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45472', '40274', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45472', '40275', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45472', '40277', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45472', '40308', '305', '492', '1000000');
INSERT INTO `droplist` VALUES ('45472', '40432', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45472', '40444', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45472', '40524', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45473', '20025', '1', '1', '150');
INSERT INTO `droplist` VALUES ('45473', '20063', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45473', '20205', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45473', '20266', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45473', '20284', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45473', '40006', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45473', '40008', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45473', '40013', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45473', '40015', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45473', '40018', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45473', '40047', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45473', '40051', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45473', '40055', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45473', '40093', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45473', '40119', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45473', '40175', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45473', '40177', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45473', '40178', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45473', '40189', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45473', '40190', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45473', '40207', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45473', '40235', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45473', '40242', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45473', '40248', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45473', '40250', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45473', '40308', '305', '492', '1000000');
INSERT INTO `droplist` VALUES ('45473', '40617', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45473', '140074', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45473', '140087', '1', '1', '7000');
INSERT INTO `droplist` VALUES ('45473', '140100', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45476', '40167', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45476', '40168', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45476', '40308', '305', '492', '1000000');
INSERT INTO `droplist` VALUES ('45476', '40415', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45477', '20142', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45477', '20321', '1', '1', '6500');
INSERT INTO `droplist` VALUES ('45477', '40010', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45477', '40011', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45477', '40012', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45477', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45477', '40014', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45477', '40015', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45477', '40016', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45477', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45477', '40018', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45477', '40019', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45477', '40020', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45477', '40021', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45477', '40068', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45477', '40089', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45477', '40090', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45477', '40091', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45477', '40092', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45477', '40093', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45477', '40094', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45477', '40119', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45477', '40126', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45477', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45477', '40308', '305', '492', '1000000');
INSERT INTO `droplist` VALUES ('45479', '20187', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45479', '20300', '1', '1', '750');
INSERT INTO `droplist` VALUES ('45479', '40014', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45479', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45479', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45479', '40108', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45479', '40119', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45479', '40252', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45479', '40277', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45479', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45479', '40308', '319', '513', '1000000');
INSERT INTO `droplist` VALUES ('45479', '40408', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45479', '40496', '1', '3', '65000');
INSERT INTO `droplist` VALUES ('45479', '40899', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45480', '20264', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45480', '20281', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45480', '20284', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45480', '40006', '1', '1', '120000');
INSERT INTO `droplist` VALUES ('45480', '40008', '1', '1', '120000');
INSERT INTO `droplist` VALUES ('45480', '40013', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45480', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45480', '40093', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45480', '40108', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45480', '40119', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45480', '40278', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45480', '40308', '319', '513', '1000000');
INSERT INTO `droplist` VALUES ('45480', '140074', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45480', '140087', '1', '1', '3500');
INSERT INTO `droplist` VALUES ('45480', '140100', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45481', '2', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45481', '20099', '1', '1', '550');
INSERT INTO `droplist` VALUES ('45481', '20264', '1', '1', '850');
INSERT INTO `droplist` VALUES ('45481', '20266', '1', '1', '750');
INSERT INTO `droplist` VALUES ('45481', '20304', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45481', '40013', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45481', '40015', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45481', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45481', '40074', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45481', '40087', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45481', '40089', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45481', '40093', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45481', '40094', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45481', '40106', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45481', '40203', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45481', '40242', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45481', '40278', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45481', '40308', '319', '513', '1000000');
INSERT INTO `droplist` VALUES ('45481', '140089', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45482', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45482', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45482', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45482', '40308', '319', '513', '1000000');
INSERT INTO `droplist` VALUES ('45482', '40318', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45482', '40443', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45482', '40444', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45482', '40524', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45482', '40718', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45483', '40308', '319', '513', '1000000');
INSERT INTO `droplist` VALUES ('45485', '40006', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45485', '40008', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45485', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45485', '40053', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45485', '40110', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45485', '40307', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45485', '40308', '319', '513', '1000000');
INSERT INTO `droplist` VALUES ('45487', '8', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45487', '20132', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45487', '20289', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45487', '40007', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45487', '40241', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45487', '40242', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45487', '40253', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45487', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45487', '40307', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45487', '40308', '1619', '7131', '1000000');
INSERT INTO `droplist` VALUES ('45488', '20040', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45488', '20264', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45488', '20281', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45488', '20284', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45488', '40006', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45488', '40008', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45488', '40013', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45488', '40015', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45488', '40018', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45488', '40045', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45488', '40049', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45488', '40053', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45488', '40089', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45488', '40093', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45488', '40119', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45488', '40191', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45788', '40013', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45488', '40248', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45488', '40257', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45488', '40308', '319', '513', '1000000');
INSERT INTO `droplist` VALUES ('45488', '40617', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45488', '140074', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45488', '140087', '1', '1', '7000');
INSERT INTO `droplist` VALUES ('45488', '140100', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45492', '53', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45492', '20295', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45492', '40050', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45492', '40054', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45492', '40164', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45492', '40166', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45492', '40206', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45492', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45492', '40308', '319', '513', '1000000');
INSERT INTO `droplist` VALUES ('45492', '40634', '1', '1', '10000000');
INSERT INTO `droplist` VALUES ('45493', '20124', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45493', '40013', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45493', '40018', '1', '1', '1000000');
INSERT INTO `droplist` VALUES ('45493', '40087', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45493', '40107', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45493', '40171', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45493', '40188', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45493', '40275', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45493', '40279', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45493', '40308', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('45493', '140074', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45493', '140087', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45494', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45494', '40014', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45494', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45494', '40087', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45494', '40107', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45494', '40171', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45494', '40181', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45494', '40191', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45494', '40260', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45494', '40277', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45494', '40308', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('45496', '40044', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45496', '40045', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45496', '40046', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45496', '40047', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45496', '40048', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45496', '40049', '1', '1', '18000');
INSERT INTO `droplist` VALUES ('45496', '40050', '1', '1', '18000');
INSERT INTO `droplist` VALUES ('45496', '40051', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45496', '40052', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45496', '40053', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45496', '40054', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45496', '40055', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45496', '40074', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45496', '40089', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45496', '40093', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45496', '40094', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45496', '40108', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45496', '40203', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45496', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45496', '40308', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('45496', '40466', '1', '1', '600');
INSERT INTO `droplist` VALUES ('45496', '140088', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45497', '20018', '1', '1', '150');
INSERT INTO `droplist` VALUES ('45497', '20267', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45497', '20284', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45497', '20288', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45497', '40006', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45497', '40008', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45497', '40013', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45497', '40015', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45497', '40018', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45497', '40046', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45497', '40050', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45497', '40054', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45497', '40089', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45497', '40093', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45497', '40119', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45497', '40173', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45497', '40180', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45497', '40183', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45497', '40185', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45497', '40186', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45497', '40214', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45497', '40238', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45497', '40254', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45497', '40308', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('45497', '40617', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45497', '140074', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45497', '140087', '1', '1', '7000');
INSERT INTO `droplist` VALUES ('45497', '140100', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45498', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45498', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45498', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45498', '40044', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45498', '40046', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45498', '40047', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45498', '40048', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45498', '40050', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45498', '40051', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45498', '40052', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45498', '40054', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45498', '40055', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45498', '40308', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('45498', '40317', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45498', '40423', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45498', '40464', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45499', '40167', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45499', '40168', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45499', '40308', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('45499', '40415', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45500', '8', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45500', '9', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45500', '20172', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45500', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45500', '40048', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45500', '40049', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45500', '40050', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45500', '40051', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45500', '40211', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45500', '40241', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45500', '40253', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45500', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45500', '40308', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('45501', '107', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45501', '151', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45501', '20289', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45501', '40074', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45501', '40093', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45501', '40094', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45501', '40211', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45501', '40216', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45501', '40308', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('45501', '40524', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45502', '20289', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45502', '40093', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45502', '40094', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45502', '40211', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45502', '40216', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45502', '40240', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45502', '40308', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('45502', '40330', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45502', '40524', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45503', '40014', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45503', '40015', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45503', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45503', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45503', '40111', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45503', '40119', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45503', '40165', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45503', '40308', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('45503', '40899', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45504', '40571', '1', '1', '10000000');
INSERT INTO `droplist` VALUES ('45505', '17', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45505', '20143', '1', '1', '3500');
INSERT INTO `droplist` VALUES ('45505', '20280', '1', '1', '800');
INSERT INTO `droplist` VALUES ('45505', '40010', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45505', '40011', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45505', '40012', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45505', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45505', '40014', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45505', '40015', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45505', '40016', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45505', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45505', '40018', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45505', '40019', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45505', '40020', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45505', '40021', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45505', '40068', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45505', '40089', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45505', '40090', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45505', '40091', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45505', '40092', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45505', '40093', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45505', '40094', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45505', '40119', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45505', '40126', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45505', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45505', '40308', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('45505', '40317', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45506', '20280', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45506', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45506', '40089', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45506', '40091', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45506', '40092', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45506', '40093', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45506', '40094', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45506', '40109', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45506', '40119', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45506', '40308', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('45507', '40541', '1', '1', '1000000');
INSERT INTO `droplist` VALUES ('45508', '8', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45508', '9', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45508', '20177', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45508', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45508', '40048', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45508', '40049', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45508', '40050', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45508', '40051', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45508', '40216', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45508', '40241', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45508', '40249', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45508', '40252', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45508', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45508', '40308', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('45509', '20143', '1', '1', '3500');
INSERT INTO `droplist` VALUES ('45509', '20303', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45509', '40007', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45509', '40010', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45509', '40011', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45509', '40012', '1', '1', '60000');
INSERT INTO `droplist` VALUES ('45509', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45509', '40014', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45509', '40015', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45509', '40016', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45509', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45509', '40018', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45509', '40019', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45509', '40020', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45509', '40021', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45509', '40068', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45509', '40089', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45509', '40090', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45509', '40091', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45509', '40092', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45509', '40093', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45509', '40094', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45509', '40119', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45509', '40126', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45509', '40305', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45509', '40308', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('45509', '40317', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45510', '8', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45510', '9', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45510', '20189', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45510', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45510', '40048', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45510', '40049', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45510', '40050', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45510', '40051', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45510', '40216', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45510', '40241', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45510', '40264', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45510', '40307', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45510', '40308', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('45511', '8', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45511', '9', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45511', '20181', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45511', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45511', '40048', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45511', '40049', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45511', '40050', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45511', '40051', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45511', '40215', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45511', '40241', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45511', '40259', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45511', '40305', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45511', '40308', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('45513', '2', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45513', '41', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45513', '52', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45513', '57', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45513', '40104', '1', '3', '1000000');
INSERT INTO `droplist` VALUES ('45513', '20110', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45513', '20128', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45513', '20154', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45513', '20187', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45513', '20298', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45513', '20308', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45513', '20319', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45513', '40006', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45513', '40007', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45513', '40008', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45513', '40013', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45513', '40014', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45513', '40016', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45513', '40018', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45513', '40025', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45513', '40074', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45513', '40087', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45513', '40089', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45513', '40093', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45513', '40094', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45513', '40174', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45513', '40185', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45513', '40192', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45513', '40221', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45513', '40277', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45513', '40280', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45513', '40308', '10000', '15000', '1000000');
INSERT INTO `droplist` VALUES ('45513', '100052', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45513', '120154', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45513', '140074', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45513', '140087', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45513', '200052', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45514', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45514', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45514', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45514', '40020', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45514', '40108', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45514', '40308', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('45514', '140074', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45514', '140100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45515', '40015', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45515', '40093', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45515', '40094', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45515', '40106', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45515', '40170', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45515', '40171', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45515', '40187', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45515', '40189', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45515', '40191', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45515', '40215', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45515', '40244', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45515', '40256', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45515', '40257', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45515', '40258', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45515', '40275', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45515', '40305', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45515', '40308', '348', '558', '1000000');
INSERT INTO `droplist` VALUES ('45516', '41', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45516', '20110', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45516', '20154', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45516', '40006', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45516', '40008', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45516', '40015', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45516', '40048', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45516', '40049', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45516', '40050', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45516', '40051', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45516', '40052', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45516', '40053', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45516', '40054', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45516', '40055', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45516', '40074', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45516', '40087', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45516', '40089', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45516', '40093', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45516', '40094', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45516', '40170', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45516', '40171', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45516', '40187', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45516', '40189', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45516', '40191', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45516', '40203', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45516', '40215', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45516', '40242', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45516', '40244', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45516', '40256', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45516', '40258', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45516', '40259', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45516', '40271', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45516', '40278', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45516', '40305', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45516', '40308', '348', '558', '1000000');
INSERT INTO `droplist` VALUES ('45516', '40486', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45516', '100041', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45516', '120154', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45516', '140074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45516', '140087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45519', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45519', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45519', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45519', '40020', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45519', '40108', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45519', '40308', '348', '558', '1000000');
INSERT INTO `droplist` VALUES ('45519', '140100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45520', '20154', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45520', '40006', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45520', '40008', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45520', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45520', '40016', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45520', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45520', '40074', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45520', '40087', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45520', '40110', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45520', '40191', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45520', '40221', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45520', '40278', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45520', '40305', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45520', '40308', '348', '558', '1000000');
INSERT INTO `droplist` VALUES ('45520', '120154', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45522', '20284', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45522', '40044', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45522', '40045', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45522', '40046', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45522', '40047', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45522', '40048', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45522', '40049', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45522', '40050', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45522', '40051', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45522', '40052', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45522', '40053', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45522', '40054', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45522', '40055', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45522', '40089', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45522', '40093', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45522', '40094', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45522', '40108', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45522', '40220', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45522', '40241', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45522', '40278', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45522', '40308', '363', '582', '1000000');
INSERT INTO `droplist` VALUES ('45522', '40444', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45522', '140074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45522', '140087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45522', '140088', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45524', '20280', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45524', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45524', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45524', '40089', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45524', '40094', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45524', '40109', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45524', '40119', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45524', '40200', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45524', '40308', '363', '582', '1000000');
INSERT INTO `droplist` VALUES ('45528', '40014', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45528', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45528', '40074', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45528', '40087', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45528', '40110', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45528', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45528', '40308', '378', '605', '1000000');
INSERT INTO `droplist` VALUES ('45529', '40013', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45529', '40014', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45529', '40015', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45529', '40016', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45529', '40018', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45529', '40044', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45529', '40045', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45529', '40046', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45529', '40047', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45529', '40048', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45529', '40049', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45529', '40050', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45529', '40051', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45529', '40052', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45529', '40053', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45529', '40054', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45529', '40055', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45529', '40093', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45529', '40094', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45529', '40170', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45529', '40172', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45529', '40181', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45529', '40187', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45529', '40188', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45529', '40196', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45529', '40199', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45529', '40207', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45529', '40242', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45529', '40244', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45529', '40258', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45529', '40264', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45529', '40307', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45529', '40308', '378', '605', '1000000');
INSERT INTO `droplist` VALUES ('45529', '40622', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45529', '140074', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45529', '140087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45529', '140088', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45529', '240074', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45529', '240087', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45530', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45530', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45530', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45530', '40044', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45530', '40046', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45530', '40047', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45530', '40048', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45530', '40050', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45530', '40051', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45530', '40052', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45530', '40078', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45530', '40308', '378', '605', '1000000');
INSERT INTO `droplist` VALUES ('45530', '40317', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45530', '40422', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45530', '40463', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45531', '18', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45531', '20141', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45531', '20165', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45531', '20280', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45531', '40010', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45531', '40011', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45531', '40012', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45531', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45531', '40014', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45531', '40015', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45531', '40016', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45531', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45531', '40018', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45531', '40019', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45531', '40020', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45531', '40021', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45531', '40068', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45531', '40076', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45531', '40089', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45531', '40090', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45531', '40091', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45531', '40092', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45531', '40093', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45531', '40094', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45531', '40119', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45531', '40126', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45531', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45531', '40308', '378', '605', '1000000');
INSERT INTO `droplist` VALUES ('45532', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45532', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45532', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45532', '40068', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45532', '40074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45532', '40089', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45532', '40111', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45532', '40119', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45532', '40165', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45532', '40240', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45532', '40305', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45532', '40308', '378', '605', '1000000');
INSERT INTO `droplist` VALUES ('45534', '8', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45534', '9', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45534', '20016', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45534', '20112', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45534', '20155', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45534', '20172', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45534', '20177', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45534', '20181', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45534', '20189', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45534', '40013', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45534', '40043', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45534', '40048', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45534', '40049', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45534', '40050', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45534', '40051', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45534', '40052', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45534', '40053', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45534', '40054', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45534', '40055', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45534', '40088', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45534', '40197', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45534', '40240', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45534', '40242', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45534', '40246', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45534', '40252', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45534', '40253', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45534', '40259', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45534', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45534', '40308', '409', '654', '1000000');
INSERT INTO `droplist` VALUES ('45534', '100009', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45534', '120016', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45534', '120112', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45535', '8', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45535', '9', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45535', '20016', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45535', '20112', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45535', '20172', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45535', '20177', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45535', '20181', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45535', '20189', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45535', '40013', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45535', '40043', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45535', '40048', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45535', '40049', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45535', '40050', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45535', '40051', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45535', '40052', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45535', '40053', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45535', '40054', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45535', '40055', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45535', '40197', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45535', '40224', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45535', '40240', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45535', '40242', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45535', '40246', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45535', '40252', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45535', '40253', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45535', '40259', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45535', '40308', '409', '654', '1000000');
INSERT INTO `droplist` VALUES ('45535', '100008', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45535', '100009', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45535', '120016', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45535', '120112', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45536', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45536', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45536', '40308', '233', '436', '1000000');
INSERT INTO `droplist` VALUES ('45536', '40443', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45536', '40444', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45536', '40524', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45536', '40678', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45537', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45537', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45537', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45537', '40044', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45537', '40046', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45537', '40047', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45537', '40048', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45537', '40050', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45537', '40051', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45537', '40052', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45537', '40077', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45537', '40129', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45537', '40130', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45537', '40308', '409', '654', '1000000');
INSERT INTO `droplist` VALUES ('45537', '40317', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45537', '40421', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45537', '40462', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45538', '17', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45538', '20143', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45538', '20280', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45538', '40010', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45538', '40011', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45538', '40012', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45538', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45538', '40014', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45538', '40015', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45538', '40016', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45538', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45538', '40018', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45538', '40019', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45538', '40020', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45538', '40021', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45538', '40068', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45538', '40089', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45538', '40090', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45538', '40091', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45538', '40092', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45538', '40093', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45538', '40094', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45538', '40119', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45538', '40126', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45538', '40307', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45538', '40308', '409', '654', '1000000');
INSERT INTO `droplist` VALUES ('45538', '40317', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45539', '20289', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45539', '40093', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45539', '40094', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45539', '40211', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45539', '40216', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45539', '40241', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45539', '40242', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45539', '40308', '409', '654', '1000000');
INSERT INTO `droplist` VALUES ('45539', '40524', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45539', '120289', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45540', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45540', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45540', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45540', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45540', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45540', '40068', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45540', '40074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45540', '40089', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45540', '40111', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45540', '40119', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45540', '40165', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45540', '40166', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45540', '40305', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45540', '40308', '409', '654', '1000000');
INSERT INTO `droplist` VALUES ('45540', '40317', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45541', '20280', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45541', '40014', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45541', '40015', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45541', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45541', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45541', '40068', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45541', '40089', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45541', '40091', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45541', '40092', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45541', '40093', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45541', '40094', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45541', '40109', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45541', '40119', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45541', '40164', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45541', '40165', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45541', '40166', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45541', '40308', '409', '654', '1000000');
INSERT INTO `droplist` VALUES ('45542', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45542', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45542', '40308', '303', '506', '1000000');
INSERT INTO `droplist` VALUES ('45542', '40443', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45542', '40444', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45542', '40524', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45542', '40678', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45543', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45543', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45543', '40308', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('45543', '40443', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45543', '40444', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45543', '40524', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45543', '40678', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45544', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45544', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45544', '40308', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('45544', '40443', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45544', '40444', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45544', '40524', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45544', '40678', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45545', '20160', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45545', '20218', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45545', '40015', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45545', '140015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45545', '40242', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45545', '40253', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45545', '40308', '409', '654', '1000000');
INSERT INTO `droplist` VALUES ('45545', '120056', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45545', '120182', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45545', '140008', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45545', '140100', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45545', '140119', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45546', '52', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45546', '64', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45546', '20006', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45546', '20056', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45546', '20154', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45546', '20250', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45546', '20277', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45546', '20278', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45546', '40008', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45546', '40010', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45546', '40011', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45546', '40012', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45546', '40013', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45546', '40014', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45546', '40015', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45546', '40016', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45546', '40018', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45546', '40074', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45546', '40087', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45546', '40088', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45546', '40089', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45546', '40165', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45546', '40166', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45546', '40170', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45546', '40172', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45546', '40181', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45546', '40187', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45546', '40196', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45546', '40199', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45546', '40207', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45546', '40242', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45546', '40252', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45546', '40258', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45546', '40263', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45546', '40308', '409', '654', '1000000');
INSERT INTO `droplist` VALUES ('45546', '140074', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45546', '140087', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45547', '2', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45547', '41', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45547', '52', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45547', '57', '1', '1', '5500');
INSERT INTO `droplist` VALUES ('45547', '20077', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45547', '20110', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45547', '20128', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45547', '20154', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45547', '20187', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45547', '20266', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45547', '20308', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45547', '20319', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45547', '40006', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45547', '40007', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45547', '40008', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45547', '40013', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45547', '40014', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45547', '40015', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45547', '40016', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45547', '40018', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45547', '40025', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45547', '40046', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45547', '40074', '1', '1', '700000');
INSERT INTO `droplist` VALUES ('45547', '40087', '1', '1', '500000');
INSERT INTO `droplist` VALUES ('45547', '40089', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45547', '40093', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45547', '40094', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45547', '40173', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45547', '40184', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45547', '40185', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45547', '40192', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45547', '40201', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45547', '40278', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45547', '40281', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45547', '40307', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45547', '40308', '10000', '15000', '1000000');
INSERT INTO `droplist` VALUES ('45547', '100052', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45547', '120154', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45547', '140074', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45547', '140087', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45547', '200052', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45548', '34', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45548', '20293', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45548', '20294', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45548', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45548', '40044', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45548', '40047', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45548', '40048', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45548', '40049', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45548', '40053', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45548', '40199', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45548', '40205', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45548', '40308', '409', '654', '1000000');
INSERT INTO `droplist` VALUES ('45548', '40717', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45549', '40006', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45549', '40007', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45549', '40008', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45549', '40013', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45549', '40014', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45549', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45549', '40016', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45549', '40018', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45549', '40033', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45549', '40034', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45549', '40035', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45549', '40036', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45549', '40037', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45549', '40038', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45549', '40074', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45549', '40087', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45549', '40308', '409', '654', '1000000');
INSERT INTO `droplist` VALUES ('45551', '40006', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45551', '40008', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45551', '40014', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45551', '40016', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45551', '40033', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45551', '40034', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45551', '40035', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45551', '40036', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45551', '40037', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45551', '40038', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45551', '40074', '1', '1', '9000');
INSERT INTO `droplist` VALUES ('45551', '40087', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45551', '40308', '409', '654', '1000000');
INSERT INTO `droplist` VALUES ('45551', '40499', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45552', '40007', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45552', '40013', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45552', '40014', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45552', '40018', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45552', '40033', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45552', '40034', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45552', '40035', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45552', '40036', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45552', '40037', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45552', '40038', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45552', '40074', '1', '1', '9000');
INSERT INTO `droplist` VALUES ('45552', '40087', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45552', '40308', '409', '654', '1000000');
INSERT INTO `droplist` VALUES ('45553', '52', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45553', '140', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45553', '142', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45553', '148', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45161', '40171', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45553', '40006', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45553', '40007', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45553', '40008', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45553', '40011', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45553', '40014', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45553', '40015', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45553', '40016', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45553', '40033', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45553', '40034', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45553', '40035', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45553', '40036', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45553', '40037', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45553', '40038', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45553', '40048', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45553', '40074', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45553', '40087', '1', '1', '4500');
INSERT INTO `droplist` VALUES ('45553', '40308', '409', '654', '1000000');
INSERT INTO `droplist` VALUES ('45554', '52', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45554', '148', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45554', '40006', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45554', '40007', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45554', '40008', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45554', '40013', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45554', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45554', '40015', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45554', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45554', '40018', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45554', '40033', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45554', '40034', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45554', '40035', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45554', '40036', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45554', '40037', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45554', '40038', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45554', '40048', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45554', '40074', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45554', '40087', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45554', '40308', '409', '654', '1000000');
INSERT INTO `droplist` VALUES ('45555', '40006', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45555', '40007', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45555', '40008', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45555', '40013', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45555', '40014', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45555', '40015', '1', '1', '40015');
INSERT INTO `droplist` VALUES ('45555', '40016', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45555', '40018', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45555', '40033', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45555', '40034', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45555', '40035', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45555', '40036', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45555', '40037', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45555', '40038', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45555', '40074', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45555', '40079', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45555', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45555', '40088', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45555', '40119', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45555', '40308', '409', '654', '1000000');
INSERT INTO `droplist` VALUES ('45555', '140074', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45555', '140087', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45555', '140088', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45556', '40006', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45556', '40007', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45556', '40008', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45556', '40010', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45556', '40011', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45556', '40012', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45556', '40013', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45556', '40014', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45556', '40015', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45556', '40016', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45556', '40018', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45556', '40033', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45556', '40034', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45556', '40035', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45556', '40036', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45556', '40037', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45556', '40038', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45556', '40074', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45556', '40087', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45556', '40308', '409', '654', '1000000');
INSERT INTO `droplist` VALUES ('45556', '140010', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45556', '140011', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45556', '140012', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45557', '40006', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45557', '40007', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45557', '40008', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45557', '40013', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45557', '40014', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45557', '40015', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45557', '40016', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45557', '40018', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45557', '40033', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45557', '40034', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45557', '40035', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45557', '40036', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45557', '40037', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45557', '40038', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45557', '40074', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45557', '40087', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45557', '40308', '409', '654', '1000000');
INSERT INTO `droplist` VALUES ('45558', '40006', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45558', '40007', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45558', '40008', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45558', '40013', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45558', '40014', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45558', '40015', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45558', '40016', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45558', '40018', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45558', '40033', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45558', '40034', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45558', '40035', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45558', '40036', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45558', '40037', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45558', '40038', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45558', '40074', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45558', '40087', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45558', '40308', '409', '654', '1000000');
INSERT INTO `droplist` VALUES ('45559', '40006', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45559', '40007', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45559', '40008', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45559', '40013', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45559', '40014', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45559', '40015', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45559', '40016', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45559', '40018', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45559', '40033', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45559', '40034', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45559', '40035', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45559', '40036', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45559', '40037', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45559', '40038', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45559', '40074', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45559', '40087', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45559', '40308', '409', '654', '1000000');
INSERT INTO `droplist` VALUES ('45560', '40006', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45560', '40007', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45560', '40008', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45560', '40013', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45560', '40014', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45560', '40015', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45560', '40016', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45560', '40018', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45560', '40033', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45560', '40034', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45560', '40035', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45560', '40036', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45560', '40037', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45560', '40038', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45560', '40074', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45560', '40087', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45560', '40308', '409', '654', '1000000');
INSERT INTO `droplist` VALUES ('45561', '40006', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45561', '40007', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45561', '40008', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45561', '40013', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45561', '40014', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45561', '40015', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45561', '40016', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45561', '40018', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45561', '40033', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45561', '40034', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45561', '40035', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45561', '40036', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45561', '40037', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45561', '40038', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45561', '40074', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45561', '40087', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45561', '40308', '409', '654', '1000000');
INSERT INTO `droplist` VALUES ('45562', '52', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45562', '148', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45562', '20149', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45562', '40006', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45562', '40007', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45562', '40008', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45562', '40010', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45562', '40011', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45562', '40012', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45562', '40013', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45562', '40014', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45562', '40015', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45562', '40016', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45562', '40018', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45562', '40033', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45562', '40034', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45562', '40035', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45562', '40036', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45562', '40037', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45562', '40038', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45562', '40048', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45562', '40051', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45562', '40074', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45562', '40087', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45562', '40308', '409', '654', '1000000');
INSERT INTO `droplist` VALUES ('45562', '120101', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45569', '109', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45569', '20117', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45569', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45569', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45569', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45569', '40044', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45569', '40047', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45569', '40048', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45569', '40050', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45569', '40052', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45569', '40308', '426', '680', '1000000');
INSERT INTO `droplist` VALUES ('45569', '40318', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45569', '40443', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45569', '40444', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45569', '40524', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45569', '40718', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45570', '40013', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45570', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45570', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45570', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45570', '40089', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45570', '40216', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45570', '40225', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45570', '40251', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45570', '40255', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45570', '40308', '426', '680', '1000000');
INSERT INTO `droplist` VALUES ('45570', '40443', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45570', '40444', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45570', '40479', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45570', '40481', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45570', '40524', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45570', '40619', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45570', '40678', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45570', '140100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45571', '40013', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45571', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45571', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45571', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45571', '40089', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45571', '40100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45571', '40216', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45571', '40225', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45571', '40251', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45571', '40255', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45571', '40308', '426', '680', '1000000');
INSERT INTO `droplist` VALUES ('45571', '40443', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45571', '40444', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45571', '40477', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45571', '40478', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45571', '40479', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45571', '40480', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45571', '40524', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45571', '40678', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45571', '140100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45572', '52', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45572', '20244', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45572', '20254', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45572', '40014', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45572', '40015', '1', '1', '60000');
INSERT INTO `droplist` VALUES ('45572', '40018', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45572', '40074', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45572', '40087', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45572', '40110', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45572', '40190', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45572', '40196', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45572', '40207', '1', '1', '13000');
INSERT INTO `droplist` VALUES ('45572', '40308', '426', '680', '1000000');
INSERT INTO `droplist` VALUES ('45573', '41', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45573', '52', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45573', '109', '1', '1', '50');
INSERT INTO `droplist` VALUES ('45164', '40031', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45573', '20117', '1', '1', '50');
INSERT INTO `droplist` VALUES ('45573', '20154', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45573', '20182', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45573', '20244', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45573', '20254', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45573', '20284', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45573', '20285', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45573', '20288', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45573', '20306', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45573', '20307', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45573', '20308', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45573', '20312', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45573', '20316', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45573', '20319', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45573', '40013', '2', '5', '150000');
INSERT INTO `droplist` VALUES ('45573', '40014', '2', '5', '150000');
INSERT INTO `droplist` VALUES ('45573', '40015', '2', '5', '150000');
INSERT INTO `droplist` VALUES ('45573', '40016', '2', '5', '150000');
INSERT INTO `droplist` VALUES ('45573', '40018', '2', '5', '150000');
INSERT INTO `droplist` VALUES ('45573', '40044', '1', '2', '150000');
INSERT INTO `droplist` VALUES ('45573', '40046', '1', '2', '150000');
INSERT INTO `droplist` VALUES ('45573', '40047', '1', '2', '150000');
INSERT INTO `droplist` VALUES ('45573', '40048', '1', '2', '150000');
INSERT INTO `droplist` VALUES ('45573', '40050', '1', '2', '150000');
INSERT INTO `droplist` VALUES ('45573', '40051', '1', '2', '150000');
INSERT INTO `droplist` VALUES ('45573', '40052', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45573', '40054', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45573', '40055', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45573', '40074', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45573', '40087', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45573', '40089', '1', '5', '150000');
INSERT INTO `droplist` VALUES ('45573', '40093', '1', '2', '150000');
INSERT INTO `droplist` VALUES ('45573', '40094', '1', '2', '150000');
INSERT INTO `droplist` VALUES ('45573', '40163', '1', '1', '50');
INSERT INTO `droplist` VALUES ('45573', '40181', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45573', '40193', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45573', '40186', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45573', '40203', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45573', '40242', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45573', '40246', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45573', '40256', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45573', '40257', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45573', '40258', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45573', '40263', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45573', '40308', '1000', '5000', '1000000');
INSERT INTO `droplist` VALUES ('45573', '100041', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45573', '100052', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45573', '120182', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45573', '140074', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45573', '140087', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45573', '200052', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45573', '220154', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45575', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45575', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45575', '40308', '343', '546', '1000000');
INSERT INTO `droplist` VALUES ('45575', '40443', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45575', '40444', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45575', '40524', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45575', '40678', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45576', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45576', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45576', '40308', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('45576', '40443', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45576', '40444', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45576', '40524', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45576', '40678', '1', '1', '70000');
INSERT INTO `droplist` VALUES ('45578', '167', '1', '1', '3500');
INSERT INTO `droplist` VALUES ('45578', '20023', '1', '1', '3500');
INSERT INTO `droplist` VALUES ('45578', '20140', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45578', '20165', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45578', '20166', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45578', '20280', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45578', '20303', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45578', '40007', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45578', '40010', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45578', '40011', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45578', '40012', '1', '1', '60000');
INSERT INTO `droplist` VALUES ('45578', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45578', '40014', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45578', '40015', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45578', '40016', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45578', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45578', '40018', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45578', '40019', '1', '1', '60000');
INSERT INTO `droplist` VALUES ('45578', '40020', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45578', '40021', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45578', '40068', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45578', '40076', '1', '1', '1200');
INSERT INTO `droplist` VALUES ('45578', '40089', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45578', '40090', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45578', '40091', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45578', '40092', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45578', '40093', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45578', '40094', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45578', '40119', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45578', '40126', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45578', '40307', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45578', '40308', '459', '732', '1000000');
INSERT INTO `droplist` VALUES ('45579', '110', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45579', '20204', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45579', '40044', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45579', '40047', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45579', '40048', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45579', '40050', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45579', '40052', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45579', '40308', '459', '732', '1000000');
INSERT INTO `droplist` VALUES ('45579', '40318', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45579', '40443', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45579', '40444', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45579', '40524', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45579', '40718', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45580', '20284', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45580', '20306', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45580', '20307', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45580', '20312', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45580', '20316', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45580', '40053', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45580', '40111', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45580', '40241', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45580', '40261', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45580', '40262', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45580', '40263', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45580', '40308', '459', '732', '1000000');
INSERT INTO `droplist` VALUES ('45581', '20298', '1', '1', '250');
INSERT INTO `droplist` VALUES ('45581', '40112', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45581', '40221', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45581', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45581', '40308', '459', '732', '1000000');
INSERT INTO `droplist` VALUES ('45581', '140074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45581', '140087', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45581', '240074', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45581', '240087', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45582', '40013', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45582', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45582', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45582', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45582', '40089', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45582', '40216', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45582', '40225', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45582', '40251', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45582', '40255', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45582', '40308', '459', '732', '1000000');
INSERT INTO `droplist` VALUES ('45582', '40443', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45582', '40444', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45582', '40476', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45582', '40480', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45582', '40524', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45582', '40619', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45582', '40649', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45582', '40650', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45582', '40678', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45582', '140100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45583', '41', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45583', '52', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45583', '110', '1', '1', '150');
INSERT INTO `droplist` VALUES ('45583', '20154', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45583', '20182', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45583', '20204', '1', '1', '150');
INSERT INTO `droplist` VALUES ('45583', '20248', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45583', '20267', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45583', '20288', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45583', '20302', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45583', '20306', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45583', '20307', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45583', '20308', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45583', '20312', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45583', '20316', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45583', '20319', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45583', '40013', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45583', '40014', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45583', '40015', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45583', '40016', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45583', '40018', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45583', '40044', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45583', '40045', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45583', '40048', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45583', '40049', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45583', '40052', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45583', '40053', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45583', '40074', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45583', '40087', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45583', '40089', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45583', '40093', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45583', '40094', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45583', '40175', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45583', '40180', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45583', '40186', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45583', '40191', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45583', '40201', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45583', '40202', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45583', '40215', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45583', '40241', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45583', '40261', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45583', '40262', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45583', '40263', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45583', '40308', '459', '732', '1000000');
INSERT INTO `droplist` VALUES ('45583', '100041', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45583', '100052', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45583', '120182', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45583', '140074', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45583', '140087', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45583', '200052', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45583', '220154', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45584', '41', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45584', '64', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45584', '87', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45584', '149', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45584', '20154', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45584', '20182', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45584', '20246', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45584', '20264', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45584', '20306', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45584', '20312', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45584', '40010', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45584', '40013', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45584', '40014', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45584', '40015', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45584', '40016', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45584', '40018', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45584', '40045', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45584', '40049', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45584', '40053', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45584', '40074', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45584', '40087', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45584', '40089', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45584', '40093', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45584', '40094', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45584', '40193', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45584', '40200', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45584', '40202', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45584', '40258', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45584', '40263', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45584', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45584', '40308', '459', '732', '1000000');
INSERT INTO `droplist` VALUES ('45584', '100041', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45584', '120154', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45584', '140074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45584', '140087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45586', '40074', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45586', '40087', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45586', '40112', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45586', '40223', '1', '1', '150');
INSERT INTO `droplist` VALUES ('45586', '40307', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45586', '40308', '476', '758', '1000000');
INSERT INTO `droplist` VALUES ('45586', '140074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45586', '140087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45586', '240074', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45586', '240087', '1', '1', '7000');
INSERT INTO `droplist` VALUES ('45587', '40013', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45587', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45587', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45587', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45587', '40089', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45587', '40216', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45587', '40225', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45587', '40251', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45587', '40255', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45587', '40308', '476', '758', '1000000');
INSERT INTO `droplist` VALUES ('45587', '40443', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45587', '40444', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45587', '40474', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45587', '40478', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45587', '40524', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45587', '40649', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45587', '40678', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45587', '140100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45589', '20187', '1', '1', '5500');
INSERT INTO `droplist` VALUES ('45589', '40087', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45589', '40112', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45589', '40186', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45589', '40308', '493', '786', '1000000');
INSERT INTO `droplist` VALUES ('45589', '40444', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45590', '40018', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45590', '40113', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45590', '40308', '493', '786', '1000000');
INSERT INTO `droplist` VALUES ('45590', '140087', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45591', '8', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45591', '9', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45591', '107', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45591', '151', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45591', '20172', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45591', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45591', '40048', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45591', '40049', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45591', '40050', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45591', '40051', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45591', '40246', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45591', '40253', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45591', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45591', '40308', '493', '786', '1000000');
INSERT INTO `droplist` VALUES ('45592', '8', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45592', '9', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45592', '107', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45592', '151', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45592', '20177', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45592', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45592', '40048', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45592', '40049', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45592', '40050', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45592', '40051', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45592', '40216', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45592', '40246', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45592', '40252', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45592', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45592', '40308', '493', '786', '1000000');
INSERT INTO `droplist` VALUES ('45593', '8', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45593', '9', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45593', '107', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45593', '151', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45593', '20189', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45593', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45593', '40048', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45593', '40049', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45593', '40050', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45593', '40051', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45593', '40216', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45593', '40246', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45593', '40264', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45593', '40307', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45593', '40308', '493', '786', '1000000');
INSERT INTO `droplist` VALUES ('45594', '8', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45594', '9', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45594', '107', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45594', '151', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45594', '20181', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45594', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45594', '40048', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45594', '40049', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45594', '40050', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45594', '40051', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45594', '40216', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45594', '40246', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45594', '40259', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45594', '40305', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45594', '40308', '493', '786', '1000000');
INSERT INTO `droplist` VALUES ('45595', '20187', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45595', '20246', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45595', '20264', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45595', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45595', '40308', '493', '786', '1000000');
INSERT INTO `droplist` VALUES ('45596', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45596', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45596', '40308', '353', '556', '1000000');
INSERT INTO `droplist` VALUES ('45596', '40443', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45596', '40444', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45596', '40524', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45596', '40678', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45597', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45597', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45597', '40308', '353', '556', '1000000');
INSERT INTO `droplist` VALUES ('45597', '40443', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45597', '40444', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45597', '40524', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45597', '40678', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45598', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45598', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45598', '40308', '353', '556', '1000000');
INSERT INTO `droplist` VALUES ('45598', '40443', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45598', '40444', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45598', '40524', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45598', '40678', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45599', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45599', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45599', '40308', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('45599', '40443', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45599', '40444', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45599', '40524', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45599', '40678', '1', '1', '70000');
INSERT INTO `droplist` VALUES ('45600', '54', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45600', '31', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45600', '41', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45600', '52', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45600', '20041', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45600', '20063', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45600', '20085', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45600', '20149', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45600', '20150', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45600', '20182', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45600', '20184', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45600', '20205', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45600', '20214', '1', '1', '80000');
INSERT INTO `droplist` VALUES ('45600', '20229', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45600', '20231', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45600', '40014', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45600', '40015', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45600', '40052', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45600', '40053', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45600', '40074', '1', '1', '700000');
INSERT INTO `droplist` VALUES ('45600', '40087', '1', '1', '350000');
INSERT INTO `droplist` VALUES ('45600', '40089', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45600', '40100', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45600', '40164', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45600', '40165', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45600', '40196', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45600', '40200', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45600', '40215', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45600', '40308', '5000', '15000', '1000000');
INSERT INTO `droplist` VALUES ('45600', '100041', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45600', '120149', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45601', '2', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45601', '41', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45601', '52', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45601', '58', '1', '1', '150');
INSERT INTO `droplist` VALUES ('45601', '76', '1', '1', '150');
INSERT INTO `droplist` VALUES ('45601', '20010', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45601', '20077', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45601', '20100', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45601', '20110', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45601', '20154', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45601', '20182', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45601', '20264', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45601', '20281', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45601', '20284', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45601', '20302', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45601', '20307', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45601', '20308', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45601', '20316', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45601', '20319', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45601', '40013', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45601', '40014', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45601', '40015', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45601', '40016', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45601', '40018', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45601', '40025', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45601', '40044', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45601', '40048', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45601', '40052', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45601', '40074', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45601', '40087', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45601', '40089', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45601', '40093', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45601', '40094', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45601', '40164', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45601', '40165', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45601', '40166', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45601', '40173', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45601', '40181', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45601', '40187', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45601', '40191', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45601', '40198', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45601', '40201', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45601', '40206', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45601', '40213', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45601', '40215', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45601', '40216', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45601', '40246', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45601', '40248', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45601', '40258', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45601', '40308', '493', '786', '1000000');
INSERT INTO `droplist` VALUES ('45601', '100041', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45601', '100052', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45601', '120154', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45601', '120182', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45601', '140074', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45601', '140087', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45601', '200052', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45603', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45603', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45603', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45603', '40044', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45603', '40046', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45603', '40047', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45603', '40048', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45603', '40050', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45603', '40051', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45603', '40052', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45603', '40054', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45603', '40055', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45603', '40129', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45603', '40130', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45603', '40308', '511', '813', '1000000');
INSERT INTO `droplist` VALUES ('45603', '40317', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45603', '40420', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45603', '40461', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45604', '40087', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45604', '40112', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45604', '40173', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45604', '40224', '1', '1', '350');
INSERT INTO `droplist` VALUES ('45604', '40308', '511', '813', '1000000');
INSERT INTO `droplist` VALUES ('45604', '140074', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45605', '40013', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45605', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45605', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45605', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45605', '40089', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45605', '40216', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45605', '40225', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45605', '40251', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45605', '40255', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45605', '40308', '511', '813', '1000000');
INSERT INTO `droplist` VALUES ('45605', '40443', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45605', '40444', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45605', '40477', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45605', '40482', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45605', '40524', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45605', '40650', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45605', '40678', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45605', '140100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45606', '41', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45606', '57', '1', '1', '5500');
INSERT INTO `droplist` VALUES ('45606', '131', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45606', '20063', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45606', '20074', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45606', '20077', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45606', '20110', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45606', '20128', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45606', '20266', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45606', '20281', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45606', '20284', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45606', '20285', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45606', '20300', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45606', '20302', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45606', '20304', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45606', '20308', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45606', '20319', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45606', '40006', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45606', '40007', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45606', '40008', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45606', '40013', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45606', '40014', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45606', '40015', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45606', '40016', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45606', '40018', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45606', '40025', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45606', '40044', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45606', '40046', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45606', '40048', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45606', '40050', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45606', '40052', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45606', '40054', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45606', '40074', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45606', '40087', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45606', '40088', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45606', '40089', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45606', '40093', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45606', '40094', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45606', '40173', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45606', '40175', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45606', '40184', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45606', '40185', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45606', '40186', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45606', '40192', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45606', '40196', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45606', '40201', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45606', '40206', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45606', '40241', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45606', '40278', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45606', '40282', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45606', '40308', '511', '813', '1000000');
INSERT INTO `droplist` VALUES ('45606', '140074', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45606', '140087', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45606', '140088', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45606', '140089', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45609', '111', '1', '1', '250');
INSERT INTO `droplist` VALUES ('45609', '189', '1', '1', '150');
INSERT INTO `droplist` VALUES ('45654', '57', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45609', '20110', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45609', '20134', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45609', '20197', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45609', '20211', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45609', '20266', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45609', '20267', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45609', '20285', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45609', '20288', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45609', '20307', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45609', '20308', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45609', '20316', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45609', '20319', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45609', '40013', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45609', '40015', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45609', '40016', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45609', '40018', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45609', '40044', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45609', '40048', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45609', '40074', '1', '1', '700000');
INSERT INTO `droplist` VALUES ('45609', '40087', '1', '1', '350000');
INSERT INTO `droplist` VALUES ('45609', '40089', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45609', '40093', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45609', '40094', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45609', '40213', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45609', '40196', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45609', '40205', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45609', '40209', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45609', '40214', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45609', '40215', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45609', '40216', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45609', '40225', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45609', '40251', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45609', '40253', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45609', '40254', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45609', '40255', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45609', '40260', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45609', '40261', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45609', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45609', '40308', '10000', '15000', '1000000');
INSERT INTO `droplist` VALUES ('45609', '120154', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45609', '140074', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45609', '140087', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45609', '140100', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45610', '41', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45610', '64', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45610', '135', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45610', '20154', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45610', '20182', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45610', '20248', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45610', '20267', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45610', '20307', '1', '1', '60000');
INSERT INTO `droplist` VALUES ('45610', '20314', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45610', '20316', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45610', '20320', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45610', '40013', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45610', '40014', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45610', '40015', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45610', '40016', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45610', '40018', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45610', '40019', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45610', '40044', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45610', '40048', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45610', '40052', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45610', '40074', '1', '1', '750000');
INSERT INTO `droplist` VALUES ('45610', '40087', '1', '1', '750000');
INSERT INTO `droplist` VALUES ('45610', '40089', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45610', '40093', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45610', '40094', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45610', '40165', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45610', '40166', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45610', '40175', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45610', '40176', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45610', '40184', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45610', '40199', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45610', '40209', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45610', '40247', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45610', '40248', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45610', '40250', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45610', '40251', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45610', '40259', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45610', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45610', '40308', '5000', '15000', '1000000');
INSERT INTO `droplist` VALUES ('45610', '100041', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45610', '100064', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45610', '120154', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45610', '140074', '1', '1', '750000');
INSERT INTO `droplist` VALUES ('45610', '140087', '1', '1', '500000');
INSERT INTO `droplist` VALUES ('45611', '40308', '529', '842', '1000000');
INSERT INTO `droplist` VALUES ('45611', '40549', '1', '1', '1000000');
INSERT INTO `droplist` VALUES ('45611', '40550', '1', '1', '1000000');
INSERT INTO `droplist` VALUES ('45611', '40551', '1', '1', '1000000');
INSERT INTO `droplist` VALUES ('45611', '40552', '1', '1', '1000000');
INSERT INTO `droplist` VALUES ('45614', '41', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45614', '44', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45614', '164', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45614', '179', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45614', '20015', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45614', '20049', '1', '1', '250');
INSERT INTO `droplist` VALUES ('45614', '20050', '1', '1', '250');
INSERT INTO `droplist` VALUES ('45614', '20110', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45614', '20154', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45614', '20198', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45614', '20268', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45614', '20300', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45614', '20306', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45614', '20312', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45614', '40013', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45614', '40014', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45614', '40016', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45614', '40018', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45614', '40045', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45614', '40047', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45614', '40049', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45614', '40051', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45614', '40053', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45614', '40055', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45614', '40074', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45614', '40087', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45614', '40093', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45614', '40094', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45614', '40177', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45614', '40180', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45614', '40181', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45614', '40185', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45614', '40190', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45614', '40194', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45614', '40199', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45614', '40216', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45614', '40242', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45614', '40248', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45614', '40250', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45614', '40251', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45614', '40252', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45614', '40261', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45614', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45614', '40308', '529', '842', '1000000');
INSERT INTO `droplist` VALUES ('45614', '100041', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45614', '120154', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45614', '140074', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45614', '140087', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45616', '20285', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45616', '20300', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45616', '20302', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45616', '20304', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45616', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45616', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45616', '40211', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45616', '40246', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45616', '40308', '548', '870', '1000000');
INSERT INTO `droplist` VALUES ('45616', '240074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45616', '240087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45617', '41', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45223', '40031', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45617', '20110', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45617', '20154', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45617', '20256', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45617', '20281', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45617', '20304', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45617', '20306', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45617', '20307', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45617', '20308', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45617', '20312', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45617', '20316', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45617', '20319', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45617', '40013', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45617', '40014', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45617', '40015', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45617', '40016', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45617', '40018', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45617', '40048', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45617', '40049', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45617', '40050', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45617', '40051', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45617', '40052', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45617', '40053', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45617', '40054', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45617', '40055', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45617', '40074', '1', '1', '750000');
INSERT INTO `droplist` VALUES ('45617', '40087', '1', '1', '500000');
INSERT INTO `droplist` VALUES ('45617', '40089', '1', '2', '750000');
INSERT INTO `droplist` VALUES ('45617', '40093', '1', '2', '500000');
INSERT INTO `droplist` VALUES ('45617', '40094', '1', '2', '500000');
INSERT INTO `droplist` VALUES ('45617', '40191', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45617', '40203', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45617', '40206', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45617', '40215', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45617', '40219', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45617', '40241', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45617', '40257', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45617', '40258', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45617', '40259', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45617', '40305', '1', '3', '50000');
INSERT INTO `droplist` VALUES ('45617', '40308', '5000', '10000', '1000000');
INSERT INTO `droplist` VALUES ('45617', '100041', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45617', '120154', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45617', '140074', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45617', '140087', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45618', '57', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45618', '59', '1', '1', '800');
INSERT INTO `droplist` VALUES ('45618', '20187', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45618', '20284', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45618', '40013', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45618', '40018', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45618', '40074', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45618', '40087', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45618', '40164', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45618', '40165', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45618', '40213', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45618', '40287', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45618', '40308', '685', '1086', '1000000');
INSERT INTO `droplist` VALUES ('45618', '40899', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45618', '140074', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45618', '140087', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45619', '20300', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45619', '20319', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45619', '40025', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45619', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45619', '40093', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45619', '40094', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45619', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45619', '40308', '585', '929', '1000000');
INSERT INTO `droplist` VALUES ('45620', '20110', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45620', '20285', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45620', '20319', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45620', '40006', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45620', '40007', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45620', '40008', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45620', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45620', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45620', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45620', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45620', '40025', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45620', '40074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45620', '40093', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45620', '40094', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45620', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45620', '40308', '585', '929', '1000000');
INSERT INTO `droplist` VALUES ('45620', '140089', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45621', '20110', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45621', '20302', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45621', '20319', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45621', '40006', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45621', '40007', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45621', '40008', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45621', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45621', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45621', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45621', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45621', '40025', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45621', '40074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45621', '40093', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45621', '40094', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45621', '40307', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45621', '40308', '585', '929', '1000000');
INSERT INTO `droplist` VALUES ('45621', '140089', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45622', '20304', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45622', '20319', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45622', '40025', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45622', '40074', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45622', '40087', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45622', '40305', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45622', '40308', '585', '929', '1000000');
INSERT INTO `droplist` VALUES ('45623', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45623', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45623', '40308', '353', '556', '1000000');
INSERT INTO `droplist` VALUES ('45623', '40443', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45623', '40444', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45623', '40524', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45623', '40678', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45624', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45624', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45624', '40308', '353', '556', '1000000');
INSERT INTO `droplist` VALUES ('45624', '40443', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45624', '40444', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45624', '40524', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45624', '40678', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45625', '14', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45625', '20048', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45625', '20078', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45625', '20158', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45625', '20190', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45625', '40014', '5', '15', '300000');
INSERT INTO `droplist` VALUES ('45625', '40015', '5', '15', '300000');
INSERT INTO `droplist` VALUES ('45625', '40308', '7490', '11850', '1000000');
INSERT INTO `droplist` VALUES ('45625', '40443', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45625', '40444', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45625', '40524', '5', '15', '500000');
INSERT INTO `droplist` VALUES ('45625', '40678', '20', '121', '1000000');
INSERT INTO `droplist` VALUES ('45625', '40719', '1', '1', '1000000');
INSERT INTO `droplist` VALUES ('45626', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45626', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45626', '40308', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('45626', '40443', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45626', '40444', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45626', '40524', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45626', '40678', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45628', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45628', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45628', '40308', '353', '556', '1000000');
INSERT INTO `droplist` VALUES ('45628', '40443', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45628', '40444', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45628', '40524', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45628', '40678', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45629', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45629', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45629', '40308', '353', '556', '1000000');
INSERT INTO `droplist` VALUES ('45629', '40443', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45629', '40444', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45629', '40524', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45629', '40678', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45630', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45630', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45630', '40308', '353', '556', '1000000');
INSERT INTO `droplist` VALUES ('45630', '40443', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45630', '40444', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45630', '40524', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45630', '40678', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45631', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45631', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45631', '40308', '353', '556', '1000000');
INSERT INTO `droplist` VALUES ('45631', '40443', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45631', '40444', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45631', '40524', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45631', '40678', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45632', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45632', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45632', '40308', '353', '556', '1000000');
INSERT INTO `droplist` VALUES ('45632', '40443', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45632', '40444', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45632', '40524', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45632', '40678', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45640', '41', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45640', '20077', '1', '1', '200');
INSERT INTO `droplist` VALUES ('45640', '20110', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45640', '20266', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45640', '20281', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45640', '20284', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45640', '20319', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45640', '40006', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45640', '40007', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45640', '40008', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45640', '40013', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45640', '40014', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45640', '40015', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45640', '40016', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45640', '40018', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45640', '40025', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45640', '40033', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45640', '40034', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45640', '40035', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45640', '40036', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45640', '40037', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45640', '40038', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45640', '40046', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45640', '40050', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45640', '40074', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45640', '40087', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45640', '40089', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45640', '40093', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45640', '40094', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45640', '40308', '409', '654', '1000000');
INSERT INTO `droplist` VALUES ('45640', '140074', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45640', '140087', '1', '1', '9000');
INSERT INTO `droplist` VALUES ('45640', '140089', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45640', '200041', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45640', '200052', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45642', '20110', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45642', '20300', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45642', '20319', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45642', '40006', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45642', '40007', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45642', '40008', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45642', '40013', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45642', '40014', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45642', '40015', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45642', '40016', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45642', '40018', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45642', '40025', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45642', '40033', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45642', '40034', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45642', '40035', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45642', '40036', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45642', '40037', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45642', '40038', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45642', '40074', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45642', '40087', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45642', '40089', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45642', '40093', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45642', '40094', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45642', '40308', '585', '929', '1000000');
INSERT INTO `droplist` VALUES ('45642', '140074', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45642', '140087', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45642', '140089', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45643', '20110', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45643', '20285', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45643', '20319', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45643', '40006', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45643', '40007', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45643', '40008', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45643', '40013', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45643', '40014', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45643', '40015', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45643', '40016', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45643', '40018', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45643', '40025', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45643', '40033', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45643', '40034', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45643', '40035', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45643', '40036', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45643', '40037', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45643', '40038', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45643', '40074', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45643', '40087', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45643', '40089', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45643', '40093', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45643', '40094', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45643', '40308', '585', '929', '1000000');
INSERT INTO `droplist` VALUES ('45643', '140074', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45643', '140087', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45643', '140089', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45644', '20110', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45644', '20302', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45644', '20319', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45644', '40006', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45644', '40007', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45644', '40008', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45644', '40013', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45644', '40014', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45644', '40015', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45644', '40016', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45644', '40018', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45644', '40025', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45644', '40033', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45644', '40034', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45644', '40035', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45644', '40036', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45644', '40037', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45644', '40038', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45644', '40074', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45644', '40087', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45644', '40089', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45644', '40093', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45644', '40094', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45644', '40308', '585', '929', '1000000');
INSERT INTO `droplist` VALUES ('45644', '140074', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45644', '140087', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45644', '140089', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45645', '20110', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45645', '20304', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45645', '20319', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45645', '40006', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45645', '40007', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45645', '40008', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45645', '40013', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45645', '40014', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45645', '40015', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45645', '40016', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45645', '40018', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45645', '40025', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45645', '40033', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45645', '40034', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45645', '40035', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45645', '40036', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45645', '40037', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45645', '40038', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45645', '40074', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45645', '40087', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45645', '40089', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45645', '40093', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45645', '40094', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45645', '40308', '585', '929', '1000000');
INSERT INTO `droplist` VALUES ('45645', '140074', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45645', '140087', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45645', '140089', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45646', '107', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45646', '151', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45646', '20289', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45646', '40013', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45646', '40048', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45646', '40049', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45646', '40050', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45646', '40051', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45646', '40052', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45646', '40053', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45646', '40054', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45646', '40055', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45646', '40164', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45646', '40209', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45646', '40216', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45646', '40219', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45646', '40308', '585', '929', '1000000');
INSERT INTO `droplist` VALUES ('45646', '40524', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45646', '100008', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45646', '100009', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45646', '100107', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45646', '100151', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45646', '120289', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45647', '16', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45647', '108', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45647', '166', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45647', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45647', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45647', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45647', '40052', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45647', '40308', '605', '960', '1000000');
INSERT INTO `droplist` VALUES ('45647', '40318', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45647', '40443', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45647', '40444', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45647', '40524', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45647', '40718', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45647', '140074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45647', '140087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45649', '2', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45649', '16', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45649', '41', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45649', '52', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45649', '57', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45649', '84', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45649', '108', '1', '1', '150');
INSERT INTO `droplist` VALUES ('45649', '166', '1', '1', '300');
INSERT INTO `droplist` VALUES ('45649', '20009', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45649', '20077', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45649', '20099', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45649', '20125', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45649', '20128', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45649', '20154', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45649', '20187', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45649', '20264', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45649', '20266', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45649', '20304', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45649', '20307', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45649', '20308', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45649', '20316', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45649', '20319', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45649', '40006', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45649', '40008', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45649', '40013', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45649', '40014', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45649', '40015', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45649', '40016', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45649', '40025', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45649', '40048', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45649', '40052', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45649', '40053', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45649', '40074', '1', '1', '750000');
INSERT INTO `droplist` VALUES ('45649', '40087', '1', '1', '375000');
INSERT INTO `droplist` VALUES ('45649', '40094', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45649', '40164', '1', '1', '70000');
INSERT INTO `droplist` VALUES ('45649', '40200', '1', '1', '70000');
INSERT INTO `droplist` VALUES ('45649', '40215', '1', '1', '70000');
INSERT INTO `droplist` VALUES ('45649', '40219', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45649', '40308', '15000', '25000', '1000000');
INSERT INTO `droplist` VALUES ('45649', '40444', '1', '3', '50000');
INSERT INTO `droplist` VALUES ('45649', '120154', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45649', '140074', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45649', '140087', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45680', '40074', '1', '1', '750000');
INSERT INTO `droplist` VALUES ('45650', '52', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45650', '57', '1', '1', '6500');
INSERT INTO `droplist` VALUES ('45650', '84', '1', '1', '1200');
INSERT INTO `droplist` VALUES ('45650', '20110', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45650', '20128', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45650', '20154', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45650', '20284', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45650', '20285', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45650', '20300', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45650', '20302', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45650', '20304', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45650', '20308', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45650', '20319', '1', '1', '250000');
INSERT INTO `droplist` VALUES ('45650', '40006', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45650', '40007', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45650', '40008', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45650', '40013', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45650', '40014', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45650', '40016', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45650', '40018', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45650', '40025', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45650', '40074', '1', '1', '600000');
INSERT INTO `droplist` VALUES ('45650', '40087', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45650', '40089', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45650', '40093', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45650', '40094', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45650', '40185', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45650', '40186', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45650', '40192', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45650', '40201', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45650', '40206', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45650', '40209', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45650', '40277', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45650', '40283', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45650', '40308', '10000', '18000', '1000000');
INSERT INTO `droplist` VALUES ('45650', '100052', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45650', '120154', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45650', '140074', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45650', '140087', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45650', '140089', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45650', '200052', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45651', '155', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45651', '163', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45651', '20020', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45651', '20022', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45651', '20113', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45651', '20116', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45651', '20168', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45651', '20169', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45651', '20200', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45651', '20201', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45651', '20202', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45651', '20313', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45651', '40013', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45651', '40308', '645', '1022', '1000000');
INSERT INTO `droplist` VALUES ('45651', '40429', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45651', '40638', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45651', '40675', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45652', '20246', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45652', '20264', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45652', '20308', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45652', '20312', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45652', '40013', '1', '6', '300000');
INSERT INTO `droplist` VALUES ('45652', '40018', '1', '6', '300000');
INSERT INTO `droplist` VALUES ('45652', '40074', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45652', '40087', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45652', '40284', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45652', '40307', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45652', '40308', '10000', '25000', '1000000');
INSERT INTO `droplist` VALUES ('45652', '140074', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45652', '140087', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45653', '20017', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45653', '20285', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45653', '20300', '1', '1', '4500');
INSERT INTO `droplist` VALUES ('45653', '20302', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45653', '20304', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45653', '40013', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45653', '40018', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45653', '40074', '1', '1', '700000');
INSERT INTO `droplist` VALUES ('45653', '40087', '1', '1', '350000');
INSERT INTO `droplist` VALUES ('45653', '40093', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45653', '40094', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45653', '40211', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45653', '40216', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45653', '40285', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45653', '40308', '10000', '25000', '1000000');
INSERT INTO `droplist` VALUES ('45653', '140074', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45653', '140087', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45653', '240074', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45653', '240087', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45654', '20187', '1', '1', '16000');
INSERT INTO `droplist` VALUES ('45654', '20246', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45654', '20260', '1', '1', '800');
INSERT INTO `droplist` VALUES ('45654', '20264', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45654', '20308', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45654', '20319', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45654', '40013', '2', '5', '500000');
INSERT INTO `droplist` VALUES ('45654', '40014', '2', '5', '400000');
INSERT INTO `droplist` VALUES ('45654', '40015', '2', '5', '400000');
INSERT INTO `droplist` VALUES ('45654', '40016', '2', '5', '400000');
INSERT INTO `droplist` VALUES ('45654', '40018', '2', '5', '400000');
INSERT INTO `droplist` VALUES ('45654', '40045', '1', '1', '400000');
INSERT INTO `droplist` VALUES ('45654', '40049', '1', '1', '400000');
INSERT INTO `droplist` VALUES ('45654', '40053', '1', '1', '400000');
INSERT INTO `droplist` VALUES ('45654', '40074', '1', '1', '700000');
INSERT INTO `droplist` VALUES ('45654', '40087', '1', '1', '350000');
INSERT INTO `droplist` VALUES ('45654', '40089', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45654', '40093', '2', '5', '400000');
INSERT INTO `droplist` VALUES ('45654', '40094', '2', '5', '400000');
INSERT INTO `droplist` VALUES ('45654', '40202', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45654', '40210', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45654', '40225', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45654', '40286', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45654', '40308', '10000', '20000', '1000000');
INSERT INTO `droplist` VALUES ('45654', '140074', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45654', '140087', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45664', '57', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45664', '20187', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45664', '20284', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45664', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45664', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45664', '40164', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45664', '40206', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45664', '40308', '585', '929', '1000000');
INSERT INTO `droplist` VALUES ('45664', '40899', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45669', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45669', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45669', '40074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45669', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45669', '40119', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45669', '40219', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45669', '40267', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45669', '40271', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45669', '40273', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45669', '40274', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45669', '40275', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45669', '40277', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45669', '40308', '685', '1086', '1000000');
INSERT INTO `droplist` VALUES ('45669', '40427', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45670', '40308', '685', '1086', '1000000');
INSERT INTO `droplist` VALUES ('45671', '40074', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45671', '40087', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45671', '40167', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45671', '40168', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45671', '40308', '685', '1086', '1000000');
INSERT INTO `droplist` VALUES ('45671', '40415', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45671', '140074', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45671', '140087', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45671', '140089', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45672', '41', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45672', '52', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45672', '57', '1', '1', '7000');
INSERT INTO `droplist` VALUES ('45672', '20074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45672', '20077', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45672', '20107', '1', '1', '800');
INSERT INTO `droplist` VALUES ('45672', '20110', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45672', '20128', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45672', '20149', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45672', '20154', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45672', '20187', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45672', '20266', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45672', '20281', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45672', '20284', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45672', '20285', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45672', '20300', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45672', '20302', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45672', '20304', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45672', '20308', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45672', '20319', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45672', '40006', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45672', '40007', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45672', '40008', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45672', '40013', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45672', '40014', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45672', '40015', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45672', '40016', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45672', '40018', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45672', '40025', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45672', '40074', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45672', '40087', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45672', '40089', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45672', '40093', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45672', '40094', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45672', '40185', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45672', '40192', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45672', '40201', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45672', '40206', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45672', '40209', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45672', '40217', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45672', '40220', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45672', '40246', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45672', '40288', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45672', '40308', '706', '1118', '1000000');
INSERT INTO `droplist` VALUES ('45672', '40444', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45672', '120154', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45672', '140074', '1', '1', '500000');
INSERT INTO `droplist` VALUES ('45672', '140087', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45672', '140089', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45673', '41', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45673', '57', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45673', '20074', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45673', '20077', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45673', '20128', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45673', '20187', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45673', '20281', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45673', '20284', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45673', '20285', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45673', '20300', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45673', '20302', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45673', '20304', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45673', '20308', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45673', '20319', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45673', '40006', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45673', '40007', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45673', '40008', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45673', '40013', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45673', '40014', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45673', '40016', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45673', '40018', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45673', '40025', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45673', '40074', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45673', '40087', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45673', '40089', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45673', '40093', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45673', '40094', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45673', '40196', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45673', '40206', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45673', '40222', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45673', '40308', '749', '1185', '1000000');
INSERT INTO `droplist` VALUES ('45673', '140074', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45673', '140087', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45673', '140089', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45674', '20075', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45674', '20144', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45674', '20183', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45674', '20240', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45674', '40014', '5', '15', '300000');
INSERT INTO `droplist` VALUES ('45674', '40015', '5', '15', '300000');
INSERT INTO `droplist` VALUES ('45674', '40308', '7490', '11850', '1000000');
INSERT INTO `droplist` VALUES ('45674', '40443', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45674', '40444', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45674', '40524', '5', '15', '500000');
INSERT INTO `droplist` VALUES ('45674', '40678', '10', '20', '1000000');
INSERT INTO `droplist` VALUES ('45674', '40704', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45674', '40705', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45674', '40706', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45674', '40707', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45674', '40708', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45674', '40709', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45674', '40780', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45674', '40781', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45677', '117', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45677', '132', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45677', '20030', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45677', '20106', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45677', '20109', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45677', '20176', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45677', '20208', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45677', '20233', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45677', '20252', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45677', '20253', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45677', '20279', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45677', '20313', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45677', '40013', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45677', '40308', '793', '1254', '1000000');
INSERT INTO `droplist` VALUES ('45677', '40429', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45677', '40635', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45677', '40675', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45678', '20012', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45678', '20042', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45678', '20056', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45678', '20074', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45678', '20111', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45678', '20151', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45678', '20215', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45678', '20185', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45678', '20266', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45678', '20267', '1', '1', '60000');
INSERT INTO `droplist` VALUES ('45678', '20285', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45678', '20300', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45678', '20302', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45678', '20304', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45678', '20319', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45678', '40224', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45678', '40255', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45678', '40308', '10000', '20000', '1000000');
INSERT INTO `droplist` VALUES ('45678', '120074', '1', '1', '700');
INSERT INTO `droplist` VALUES ('45680', '57', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45680', '20013', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45680', '20014', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45680', '20015', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45680', '20024', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45680', '20170', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45680', '20085', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45680', '20118', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45680', '20128', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45680', '20182', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45680', '20203', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45680', '20205', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45680', '20215', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45680', '20231', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45680', '20264', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45680', '20268', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45680', '20312', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45680', '40166', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45680', '40211', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45680', '40308', '15000', '25000', '1000000');
INSERT INTO `droplist` VALUES ('45681', '20281', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', '20288', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', '40044', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', '40047', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', '40048', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', '40051', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', '40052', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', '40055', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', '40172', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', '40174', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', '40181', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', '40187', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', '40190', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', '40194', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', '40196', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', '40206', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', '40214', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', '40260', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', '40262', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', '40263', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', '40308', '1221', '1922', '1000000');
INSERT INTO `droplist` VALUES ('45681', '40366', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45681', '40367', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45681', '40368', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45681', '40369', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45681', '40370', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45681', '40371', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45681', '40372', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45681', '40394', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', '100041', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', '100057', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', '100189', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', '120077', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', '120128', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', '120154', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', '120182', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', '120267', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', '120268', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', '120302', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', '120306', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', '120307', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', '120308', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', '120312', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', '120316', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', '120319', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', '140013', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', '140014', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', '140016', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', '140018', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', '140074', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', '140087', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45682', '20281', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', '20288', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', '40044', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', '40047', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', '40048', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', '40051', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', '40052', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', '40055', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', '40172', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', '40174', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', '40181', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', '40187', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', '40190', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', '40194', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', '40196', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', '40206', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', '40214', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', '40247', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', '40248', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', '40250', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', '40251', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', '40308', '1305', '2054', '1000000');
INSERT INTO `droplist` VALUES ('45682', '40342', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45682', '40343', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45682', '40344', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45682', '40345', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45682', '40346', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45682', '40347', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45682', '40348', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45682', '40396', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', '100041', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', '100057', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', '100164', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', '120077', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', '120128', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', '120154', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', '120182', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', '120248', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', '120249', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', '120267', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', '120268', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', '120300', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', '120306', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', '120307', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', '120308', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', '120312', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', '120316', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', '120319', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', '140013', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', '140014', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', '140016', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', '140018', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', '140074', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', '140087', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45683', '20281', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', '20288', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', '40044', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', '40046', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', '40048', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', '40050', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', '40052', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', '40054', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', '40174', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', '40182', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', '40194', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', '40195', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', '40196', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', '40202', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', '40204', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', '40206', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', '40236', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', '40254', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', '40255', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', '40308', '1393', '2192', '1000000');
INSERT INTO `droplist` VALUES ('45683', '40358', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45683', '40359', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45683', '40360', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45683', '40361', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45683', '40362', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45683', '40363', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45683', '40364', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45683', '40395', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', '100041', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', '100057', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', '120077', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', '120128', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', '120154', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', '120182', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', '120244', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', '120245', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', '120254', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', '120256', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', '120285', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', '120306', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', '120307', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', '120308', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', '120312', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', '120316', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', '120319', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', '140006', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', '140008', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', '140013', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', '140014', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', '140016', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', '140018', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', '140074', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', '140087', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45684', '20281', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', '20288', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', '40044', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', '40045', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', '40048', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', '40049', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', '40052', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', '40053', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', '40170', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', '40171', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', '40174', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', '40181', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', '40188', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', '40191', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', '40194', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', '40196', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', '40199', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', '40205', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', '40206', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', '40215', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', '40219', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', '40222', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', '40256', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', '40257', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', '40258', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', '40308', '1453', '2286', '1000000');
INSERT INTO `droplist` VALUES ('45684', '40350', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45684', '40351', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45684', '40352', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45684', '40353', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45684', '40354', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45684', '40355', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45684', '40356', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45684', '40393', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', '100041', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', '100057', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', '100084', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', '120077', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', '120128', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', '120154', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', '120182', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', '120246', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', '120247', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', '120264', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', '120266', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', '120304', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', '120306', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', '120307', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', '120308', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', '120312', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', '120316', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', '120319', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', '140006', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', '140008', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', '140013', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', '140014', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', '140016', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', '140018', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', '140074', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', '140087', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45685', '20076', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45685', '20152', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45685', '20186', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45685', '20216', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45685', '40014', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45685', '40015', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45685', '40016', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45685', '40018', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45685', '40089', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45685', '40129', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45685', '40130', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45685', '40308', '749', '1185', '1000000');
INSERT INTO `droplist` VALUES ('45685', '40443', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45685', '40444', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45685', '40473', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45685', '40475', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45685', '40524', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45685', '40619', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45685', '40649', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45685', '40650', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45685', '40678', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45685', '140100', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45698', '40742', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45699', '40742', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45700', '40742', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45701', '40742', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45702', '40742', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45703', '40742', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45704', '40742', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45705', '40532', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45706', '40530', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45707', '40535', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45708', '40531', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45709', '40589', '1', '1', '10000000');
INSERT INTO `droplist` VALUES ('81042', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81042', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('81042', '40308', '109', '186', '1000000');
INSERT INTO `droplist` VALUES ('81043', '40584', '1', '1', '10000000');
INSERT INTO `droplist` VALUES ('81048', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81048', '40074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81048', '40079', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81048', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('81048', '40088', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81048', '40119', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81048', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('81048', '40308', '144', '240', '1000000');
INSERT INTO `droplist` VALUES ('81048', '140074', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('81048', '140087', '1', '1', '500');
INSERT INTO `droplist` VALUES ('81054', '40008', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81054', '40088', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81054', '40308', '10', '30', '1000000');
INSERT INTO `droplist` VALUES ('81054', '40405', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81054', '40899', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81055', '40308', '10', '30', '1000000');
INSERT INTO `droplist` VALUES ('81056', '40308', '10', '30', '1000000');
INSERT INTO `droplist` VALUES ('81057', '40029', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81057', '40056', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81057', '40060', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81057', '40061', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81057', '40062', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81057', '40082', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81057', '40308', '11', '32', '1000000');
INSERT INTO `droplist` VALUES ('81058', '40029', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81058', '40056', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81058', '40082', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81058', '40098', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81058', '40308', '11', '32', '1000000');
INSERT INTO `droplist` VALUES ('81059', '40308', '12', '33', '1000000');
INSERT INTO `droplist` VALUES ('81060', '26', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('81060', '40029', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81060', '40056', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81060', '40082', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81060', '40098', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81060', '40308', '13', '36', '1000000');
INSERT INTO `droplist` VALUES ('81061', '40001', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81061', '40029', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81061', '40308', '20', '45', '1000000');
INSERT INTO `droplist` VALUES ('81062', '158', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81062', '20032', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('81062', '20070', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('81062', '20110', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81062', '40001', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81062', '40267', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81062', '40308', '20', '45', '1000000');
INSERT INTO `droplist` VALUES ('81062', '40408', '1', '3', '50000');
INSERT INTO `droplist` VALUES ('81063', '40002', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('81063', '40029', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81063', '40044', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81063', '40045', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81063', '40046', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81063', '40047', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81063', '40056', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81063', '40307', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('81063', '40308', '20', '45', '1000000');
INSERT INTO `droplist` VALUES ('81063', '40496', '1', '3', '50000');
INSERT INTO `droplist` VALUES ('81064', '96', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81064', '40013', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81064', '40018', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81064', '40029', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81064', '40082', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81064', '40098', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81064', '40308', '37', '72', '1000000');
INSERT INTO `droplist` VALUES ('81064', '40407', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81065', '40007', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81065', '40308', '37', '72', '1000000');
INSERT INTO `droplist` VALUES ('81065', '40653', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81066', '52', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81066', '93', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81066', '94', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81066', '103', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81066', '20063', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('81066', '20085', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('81066', '20149', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('81066', '20154', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81066', '20162', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81066', '20205', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81066', '20213', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81066', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81066', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81066', '40044', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81066', '40045', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81066', '40046', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81066', '40047', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81066', '40308', '50', '93', '1000000');
INSERT INTO `droplist` VALUES ('81066', '40565', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81066', '100095', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81066', '100103', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81067', '40308', '217', '353', '1000000');
INSERT INTO `droplist` VALUES ('81068', '143', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('81068', '40308', '56', '102', '1000000');
INSERT INTO `droplist` VALUES ('81068', '40613', '1', '1', '5000000');
INSERT INTO `droplist` VALUES ('81070', '40308', '205', '336', '1000000');
INSERT INTO `droplist` VALUES ('81071', '40308', '205', '336', '1000000');
INSERT INTO `droplist` VALUES ('81072', '40308', '265', '429', '1000000');
INSERT INTO `droplist` VALUES ('81073', '40308', '229', '372', '1000000');
INSERT INTO `droplist` VALUES ('81074', '40308', '292', '470', '1000000');
INSERT INTO `droplist` VALUES ('81075', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81075', '40017', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81075', '40074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81075', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('81075', '40172', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81075', '40232', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81075', '40253', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('81075', '40255', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('81075', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('81075', '40308', '87', '150', '1000000');
INSERT INTO `droplist` VALUES ('81075', '40458', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('81075', '140100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81076', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81076', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81076', '40017', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81076', '40074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81076', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('81076', '40172', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81076', '40232', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81076', '40253', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('81076', '40255', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('81076', '40306', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('81076', '40308', '80', '140', '1000000');
INSERT INTO `droplist` VALUES ('81076', '40458', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('81076', '140100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81077', '20013', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81077', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81077', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81077', '40091', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81077', '40092', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81077', '40308', '87', '150', '1000000');
INSERT INTO `droplist` VALUES ('81077', '140100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81078', '40010', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81078', '40011', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81078', '40012', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81078', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81078', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81078', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81078', '40048', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81078', '40049', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81078', '40050', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81078', '40051', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81078', '40308', '102', '173', '1000000');
INSERT INTO `droplist` VALUES ('81078', '40524', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81079', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81079', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81079', '40045', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81079', '40049', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('81079', '40308', '118', '198', '1000000');
INSERT INTO `droplist` VALUES ('81079', '40524', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81079', '140100', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81080', '145', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('81080', '40010', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81080', '40011', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81080', '40012', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81080', '40308', '163', '270', '1000000');
INSERT INTO `droplist` VALUES ('81081', '20267', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('81081', '20284', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81081', '20288', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('81081', '40006', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81081', '40008', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81081', '40013', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81081', '40018', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81081', '40046', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81081', '40050', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('81081', '40054', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('81081', '40074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81081', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('81081', '40093', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81081', '40119', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81081', '40173', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81081', '40180', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81081', '40183', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81081', '40185', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81081', '40186', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81081', '40214', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81081', '40238', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('81081', '40253', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81081', '40254', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81081', '40308', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('81081', '140074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81081', '140087', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('81081', '140100', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81082', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81082', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81082', '40308', '3030', '4560', '1000000');
INSERT INTO `droplist` VALUES ('81082', '40443', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81082', '40444', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81082', '40524', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('81082', '40669', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('81082', '40670', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('81082', '40671', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('81082', '40672', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('81082', '40673', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('81082', '40674', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('81082', '40678', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81107', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81107', '40544', '1', '1', '1000000');
INSERT INTO `droplist` VALUES ('81108', '40594', '1', '1', '10000000');
INSERT INTO `droplist` VALUES ('81109', '40604', '1', '1', '10000000');
INSERT INTO `droplist` VALUES ('81164', '450003', '1', '1', '120');
INSERT INTO `droplist` VALUES ('81164', '450002', '1', '1', '500');
INSERT INTO `droplist` VALUES ('81164', '450001', '1', '1', '500');
INSERT INTO `droplist` VALUES ('81164', '450000', '1', '1', '150');
INSERT INTO `droplist` VALUES ('81164', '40308', '100000', '300000', '1000000');
INSERT INTO `droplist` VALUES ('45351', '450000', '1', '1', '60');
INSERT INTO `droplist` VALUES ('45279', '36', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45127', '450003', '1', '1', '40');
INSERT INTO `droplist` VALUES ('45171', '450003', '1', '1', '40');
INSERT INTO `droplist` VALUES ('45487', '36', '1', '1', '150');
INSERT INTO `droplist` VALUES ('45121', '126', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45121', '115', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45298', '40031', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45297', '40031', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45009', '40031', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45024', '40031', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45173', '40031', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45479', '40468', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45479', '40489', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45479', '40441', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45649', '20197', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45649', '40093', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45680', '40087', '1', '1', '375000');
INSERT INTO `droplist` VALUES ('45680', '140074', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45678', '40074', '1', '1', '750000');
INSERT INTO `droplist` VALUES ('45678', '140074', '1', '1', '250000');
INSERT INTO `droplist` VALUES ('45678', '40087', '1', '1', '375000');
INSERT INTO `droplist` VALUES ('45678', '140087', '1', '1', '125000');
INSERT INTO `droplist` VALUES ('45600', '140074', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45600', '140087', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45547', '40105', '1', '3', '1000000');
INSERT INTO `droplist` VALUES ('45606', '40106', '1', '3', '1000000');
INSERT INTO `droplist` VALUES ('45650', '40107', '1', '3', '1000000');
INSERT INTO `droplist` VALUES ('45652', '40108', '1', '3', '1000000');
INSERT INTO `droplist` VALUES ('45653', '40109', '1', '3', '1000000');
INSERT INTO `droplist` VALUES ('45654', '40110', '1', '3', '700000');
INSERT INTO `droplist` VALUES ('45262', '40601', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45496', '140074', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45496', '140087', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45295', '20238', '1', '1', '750');
INSERT INTO `droplist` VALUES ('45337', '20238', '1', '1', '750');
INSERT INTO `droplist` VALUES ('45351', '20238', '1', '1', '750');
INSERT INTO `droplist` VALUES ('45295', '40014', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45337', '40014', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45351', '40014', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45295', '40011', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45337', '40011', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45351', '40011', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45640', '20070', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45346', '40196', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45161', '40187', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45349', '240074', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45349', '40213', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45349', '40044', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45738', '143', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45738', '145', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45738', '148', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45738', '20115', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45738', '40031', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45738', '40074', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45738', '40087', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45738', '40170', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45738', '40172', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45738', '40191', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45738', '40271', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45738', '40305', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45738', '40308', '141', '223', '1000000');
INSERT INTO `droplist` VALUES ('45738', '40555', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45738', '140100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45189', '40212', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45445', '40076', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45479', '20003', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45479', '20091', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45479', '40087', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45519', '140074', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45364', '20280', '1', '1', '400');
INSERT INTO `droplist` VALUES ('45364', '40076', '1', '1', '100');
INSERT INTO `droplist` VALUES ('81081', '40250', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45337', '450000', '1', '1', '40');
INSERT INTO `droplist` VALUES ('45295', '450000', '1', '1', '50');
INSERT INTO `droplist` VALUES ('45468', '40014', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45468', '40074', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45541', '40317', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45019', '20072', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45009', '20072', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45675', '40308', '32000', '64000', '1000000');
INSERT INTO `droplist` VALUES ('45675', '20031', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45675', '20069', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45675', '20131', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45675', '20179', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45675', '20209', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45675', '20261', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45675', '20290', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45394', '40016', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45098', '40045', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45098', '40059', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45098', '32', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45098', '20110', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45098', '40013', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45098', '20154', '1', '1', '200');
INSERT INTO `droplist` VALUES ('45127', '40003', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45149', '40060', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45149', '40059', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45149', '32', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45149', '20154', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45149', '40010', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45149', '52', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45143', '40060', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45143', '40059', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45143', '40010', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45143', '40018', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45143', '40013', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45143', '32', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45143', '20154', '1', '1', '300');
INSERT INTO `droplist` VALUES ('45143', '52', '1', '1', '300');
INSERT INTO `droplist` VALUES ('45143', '40194', '1', '1', '800');
INSERT INTO `droplist` VALUES ('45143', '450003', '1', '1', '30');
INSERT INTO `droplist` VALUES ('45171', '40060', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45171', '40059', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45171', '40010', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45171', '32', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45171', '20154', '1', '1', '400');
INSERT INTO `droplist` VALUES ('45133', '40012', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45133', '40060', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45182', '40011', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45182', '40014', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45182', '40016', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45182', '40119', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45182', '40126', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45182', '40100', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45182', '40007', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45182', '40046', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45182', '40236', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45221', '40185', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45221', '40184', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45221', '40192', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45221', '40238', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45221', '40278', '1', '1', '800');
INSERT INTO `droplist` VALUES ('45198', '40016', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45198', '40176', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45529', '40197', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45162', '40176', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45322', '40185', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45141', '40011', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45141', '40044', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45141', '40015', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45141', '40047', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45141', '40046', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45269', '20043', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45269', '120056', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45269', '20242', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45270', '20242', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45270', '120056', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45278', '40031', '1', '1', '8500');
INSERT INTO `droplist` VALUES ('45286', '20043', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45286', '120043', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45545', '40264', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45545', '40183', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45545', '40016', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45545', '20182', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45545', '40238', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45545', '40119', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45545', '40181', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45545', '40179', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45545', '40180', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45545', '40096', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45545', '40089', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45545', '40008', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45184', '40175', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45373', '40175', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45393', '20132', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45393', '40031', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45451', '40031', '1', '1', '18000');
INSERT INTO `droplist` VALUES ('45451', '40237', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45451', '40252', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45451', '40275', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45394', '20132', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45394', '40031', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45009', '40494', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45009', '40056', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45019', '40405', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45019', '40260', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45019', '40234', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45019', '40240', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45041', '40090', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45082', '40002', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45082', '21', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45082', '1', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45082', '40265', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45107', '40266', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45107', '40181', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45121', '40223', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45126', '146', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45126', '23', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45155', '40232', '1', '1', '9000');
INSERT INTO `droplist` VALUES ('45155', '40170', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45155', '40172', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45155', '40181', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45155', '40223', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45170', '40232', '1', '1', '9000');
INSERT INTO `droplist` VALUES ('45170', '40170', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45170', '40172', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45170', '40181', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45170', '40223', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45165', '20043', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45165', '40171', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45165', '20242', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45165', '41', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45165', '40031', '1', '1', '4500');
INSERT INTO `droplist` VALUES ('45240', '40179', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45472', '450000', '1', '1', '35');
INSERT INTO `droplist` VALUES ('45206', '40188', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45263', '40173', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45263', '40178', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45257', '40178', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45257', '40191', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45284', '40242', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45284', '40164', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45203', '40254', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45203', '40190', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45359', '40242', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45365', '40119', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45341', '40240', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45516', '40092', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45516', '40275', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45617', '40220', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45617', '40171', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45617', '40170', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45617', '40181', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45617', '40172', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45617', '40180', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45617', '40188', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45617', '40194', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45610', '40177', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45610', '40249', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45610', '40007', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45677', '40224', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45673', '52', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45673', '200002', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45673', '40031', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45673', '20288', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45673', '84', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45673', '100041', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45673', '100084', '1', '1', '250');
INSERT INTO `droplist` VALUES ('45618', '240074', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45618', '240087', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45618', '20288', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45618', '20281', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45618', '40206', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45672', '40173', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45672', '40178', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45672', '40184', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45672', '2', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45672', '40223', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45672', '100041', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45654', '40025', '1', '1', '500000');
INSERT INTO `droplist` VALUES ('45654', '2', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45654', '40008', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45654', '40006', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45654', '40175', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45654', '40187', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45654', '40256', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45654', '41', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45654', '52', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45654', '40207', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45654', '40182', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45654', '40258', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45654', '40172', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45654', '40257', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45654', '20302', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45654', '20300', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45654', '20304', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45654', '20285', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45654', '20281', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45653', '20281', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45653', '57', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45653', '20307', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45653', '20319', '1', '1', '7000');
INSERT INTO `droplist` VALUES ('45653', '52', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45653', '40025', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45653', '40014', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45653', '40016', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45653', '2', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45653', '40008', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45653', '40006', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45653', '40089', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45652', '20284', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45652', '20300', '1', '1', '9500');
INSERT INTO `droplist` VALUES ('45652', '57', '1', '1', '6500');
INSERT INTO `droplist` VALUES ('45652', '40025', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45652', '40014', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45652', '40016', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45652', '2', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45652', '40008', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45652', '40006', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45652', '40089', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45652', '41', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45652', '40093', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45652', '40094', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45650', '2', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45650', '41', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45650', '40275', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45650', '40278', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45650', '20281', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45649', '40089', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45649', '40170', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45649', '40191', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45649', '40173', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45649', '40018', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45649', '40181', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45649', '20281', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45649', '40206', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45649', '100041', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45614', '40015', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45614', '40175', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45606', '200002', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45606', '40176', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45606', '52', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45609', '20128', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45609', '41', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45609', '40176', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45609', '40185', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45609', '40052', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45609', '20175', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45609', '100041', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45601', '40172', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45601', '40207', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45601', '20266', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45601', '20288', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45584', '40172', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45584', '40175', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45583', '40190', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45583', '40170', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45583', '40171', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45583', '40173', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45583', '20284', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45573', '40190', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45573', '40173', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45573', '40175', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45573', '40207', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45547', '40044', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45547', '40048', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45547', '40050', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45547', '40052', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45547', '40054', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45547', '40213', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45649', '100057', '1', '1', '250');
INSERT INTO `droplist` VALUES ('45348', '40273', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45274', '40100', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45380', '40178', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45380', '40185', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45407', '40074', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45407', '20227', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45409', '40056', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45409', '40013', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45409', '40014', '1', '1', '80000');
INSERT INTO `droplist` VALUES ('45409', '20307', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45409', '40188', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45409', '40187', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45386', '40019', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45386', '41', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45386', '40188', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45386', '40171', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45386', '40172', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45386', '40126', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45386', '40193', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45386', '52', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45386', '40218', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45386', '140100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45406', '40223', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45406', '40237', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45384', '40256', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45776', '41069', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45384', '40079', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45384', '40182', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45440', '40021', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45440', '40014', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45440', '40278', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45471', '40045', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45471', '40170', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45471', '40053', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45481', '40170', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45481', '40006', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45481', '40016', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45481', '41', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45481', '52', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45481', '40277', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45481', '20154', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45481', '20110', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45481', '20128', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45481', '20307', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45481', '20308', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45481', '40213', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45481', '20319', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45515', '40049', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45515', '40048', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45515', '41', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45515', '20304', '1', '1', '250');
INSERT INTO `droplist` VALUES ('45515', '40074', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45515', '140074', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45402', '40171', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45455', '40087', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45494', '40016', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45494', '40074', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45493', '40074', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45480', '40045', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45480', '40015', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45480', '40053', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45522', '40015', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45522', '40171', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45522', '40184', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45522', '40192', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45522', '140100', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45506', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45506', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45506', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45541', '40017', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45528', '40008', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45572', '40016', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45540', '40092', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45540', '40093', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45540', '40094', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45589', '40074', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45216', '40012', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45216', '20213', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45216', '20149', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45224', '131', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45224', '40221', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45248', '20213', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45248', '20205', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45248', '96', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45248', '98', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45248', '40240', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45496', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45496', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45496', '40014', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45496', '40016', '1', '3', '75000');
INSERT INTO `droplist` VALUES ('45496', '40015', '1', '3', '75000');
INSERT INTO `droplist` VALUES ('45772', '140074', '1', '1', '130000');
INSERT INTO `droplist` VALUES ('45496', '40181', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45496', '40087', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45496', '40170', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45496', '40188', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45496', '40187', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45496', '40172', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45496', '20284', '1', '1', '300');
INSERT INTO `droplist` VALUES ('45496', '40199', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45496', '40278', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45496', '40220', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45552', '52', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45552', '143', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45552', '40196', '1', '1', '150');
INSERT INTO `droplist` VALUES ('45556', '40090', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45788', '40308', '310', '500', '1000000');
INSERT INTO `droplist` VALUES ('45788', '20285', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45788', '41077', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45791', '40013', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45791', '40308', '265', '429', '1000000');
INSERT INTO `droplist` VALUES ('45791', '41110', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45785', '40013', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45785', '40308', '310', '500', '1000000');
INSERT INTO `droplist` VALUES ('45785', '20300', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45785', '41076', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45784', '40013', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45784', '40308', '265', '429', '1000000');
INSERT INTO `droplist` VALUES ('45784', '41080', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45781', '40013', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45781', '40308', '265', '429', '1000000');
INSERT INTO `droplist` VALUES ('45781', '41075', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45781', '41072', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45781', '41074', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('81072', '40013', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('81072', '41082', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('81072', '41110', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45777', '40013', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45777', '40308', '292', '470', '1000000');
INSERT INTO `droplist` VALUES ('81074', '40013', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('81074', '41085', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('81074', '41110', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45793', '40013', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45793', '40308', '292', '470', '1000000');
INSERT INTO `droplist` VALUES ('45793', '41085', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45793', '41110', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45786', '40013', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45786', '40308', '310', '500', '1000000');
INSERT INTO `droplist` VALUES ('45786', '20304', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45786', '41078', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45787', '40013', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45787', '40308', '310', '500', '1000000');
INSERT INTO `droplist` VALUES ('45787', '20302', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45787', '41079', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45780', '40013', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45780', '40308', '265', '429', '1000000');
INSERT INTO `droplist` VALUES ('45780', '41075', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45780', '41074', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45780', '41071', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45794', '40017', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45794', '40308', '292', '470', '1000000');
INSERT INTO `droplist` VALUES ('45794', '41086', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45794', '41087', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45794', '41088', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45794', '41089', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45790', '40013', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45790', '40308', '265', '429', '1000000');
INSERT INTO `droplist` VALUES ('45790', '41110', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45774', '40017', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45774', '40013', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45774', '40308', '265', '429', '1000000');
INSERT INTO `droplist` VALUES ('45774', '41067', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45774', '40506', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45775', '40013', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45775', '40308', '265', '429', '1000000');
INSERT INTO `droplist` VALUES ('45775', '41066', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45771', '40308', '265', '429', '1000000');
INSERT INTO `droplist` VALUES ('45771', '41070', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45779', '40308', '265', '429', '1000000');
INSERT INTO `droplist` VALUES ('45779', '40013', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45779', '41075', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45779', '41074', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45770', '40308', '229', '310', '1000000');
INSERT INTO `droplist` VALUES ('45770', '131', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45770', '129', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45770', '128', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45722', '40308', '229', '310', '1000000');
INSERT INTO `droplist` VALUES ('45722', '41080', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45778', '40308', '265', '429', '1000000');
INSERT INTO `droplist` VALUES ('45778', '40013', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45778', '41075', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45778', '41074', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45778', '41073', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45773', '40308', '265', '429', '1000000');
INSERT INTO `droplist` VALUES ('45773', '41070', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45773', '20281', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45773', '40013', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('81071', '40013', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('81071', '41081', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('81071', '41110', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45772', '40308', '20000', '50000', '1000000');
INSERT INTO `droplist` VALUES ('45772', '40013', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45772', '41081', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45772', '41110', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45772', '41085', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45772', '41087', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45190', '40031', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45772', '41074', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45618', '40111', '1', '5', '500000');
INSERT INTO `droplist` VALUES ('45772', '20263', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45795', '40308', '32000', '64000', '1000000');
INSERT INTO `droplist` VALUES ('45795', '41085', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45795', '40013', '1', '1', '400000');
INSERT INTO `droplist` VALUES ('45795', '140087', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45795', '41074', '1', '1', '400000');
INSERT INTO `droplist` VALUES ('45795', '140074', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45795', '41086', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45795', '41087', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45795', '41088', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45795', '41089', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45795', '40251', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45795', '40248', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45795', '40252', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45795', '40261', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45795', '40202', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45795', '40205', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45795', '40242', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45795', '40017', '1', '1', '250000');
INSERT INTO `droplist` VALUES ('45237', '40056', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45237', '40119', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45237', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45237', '40524', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45252', '40016', '1', '1', '60000');
INSERT INTO `droplist` VALUES ('45772', '140087', '1', '1', '130000');
INSERT INTO `droplist` VALUES ('45273', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45273', '40100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45273', '40017', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45363', '40429', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45144', '20110', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45144', '40050', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45147', '40060', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45147', '40013', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45265', '40044', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45265', '40031', '1', '1', '8500');
INSERT INTO `droplist` VALUES ('45370', '40054', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45370', '40031', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45321', '40010', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45321', '20101', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45321', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45321', '40054', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45321', '40176', '1', '1', '8500');
INSERT INTO `droplist` VALUES ('45420', '40010', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45420', '40175', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45420', '40201', '1', '1', '4500');
INSERT INTO `droplist` VALUES ('45420', '40074', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45368', '40006', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45256', '40279', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45404', '20104', '1', '1', '4500');
INSERT INTO `droplist` VALUES ('45404', '40266', '1', '1', '3500');
INSERT INTO `droplist` VALUES ('45272', '176', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45272', '6', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45272', '40219', '1', '1', '50');
INSERT INTO `droplist` VALUES ('45356', '40018', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45374', '40054', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45423', '240074', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45423', '240087', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45422', '20172', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45487', '40304', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45330', '20013', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45243', '40012', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45243', '40013', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45243', '40056', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45243', '40018', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45283', '140100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45282', '40015', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45282', '40016', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45282', '40013', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45282', '40018', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45282', '40012', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45282', '140100', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45671', '57', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45671', '140062', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45364', '40007', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45378', '20303', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45390', '40317', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45392', '20280', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45445', '20303', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45449', '40317', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45452', '20303', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45452', '20280', '1', '1', '200');
INSERT INTO `droplist` VALUES ('45452', '20142', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45452', '40076', '1', '1', '250');
INSERT INTO `droplist` VALUES ('45452', '20008', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45477', '20143', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45505', '18', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45509', '20142', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45509', '20280', '1', '1', '200');
INSERT INTO `droplist` VALUES ('45578', '18', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45115', '40045', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45115', '40051', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45115', '40049', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45115', '40055', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45115', '40053', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('90002', '30', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('90002', '140074', '1', '1', '49000');
INSERT INTO `droplist` VALUES ('90002', '40087', '1', '3', '270000');
INSERT INTO `droplist` VALUES ('90002', '140062', '1', '1', '7000');
INSERT INTO `droplist` VALUES ('90002', '40074', '1', '5', '280000');
INSERT INTO `droplist` VALUES ('90002', '20171', '1', '1', '8500');
INSERT INTO `droplist` VALUES ('90002', '40549', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('90002', '40550', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('90002', '40552', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('90002', '20195', '1', '1', '8500');
INSERT INTO `droplist` VALUES ('90002', '240087', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('90002', '140087', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('90002', '240074', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('90002', '40060', '30', '90', '1000000');
INSERT INTO `droplist` VALUES ('90002', '20055', '1', '1', '8500');
INSERT INTO `droplist` VALUES ('90002', '40551', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('90002', '50000', '10', '35', '1000000');
INSERT INTO `droplist` VALUES ('90002', '20164', '1', '1', '22000');
INSERT INTO `droplist` VALUES ('90002', '20084', '1', '1', '18000');
INSERT INTO `droplist` VALUES ('90002', '20065', '1', '1', '9000');
INSERT INTO `droplist` VALUES ('90002', '20230', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('90002', '20226', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('90002', '20051', '1', '1', '9500');
INSERT INTO `droplist` VALUES ('90002', '20027', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('90002', '115', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('90002', '126', '1', '1', '22000');
INSERT INTO `droplist` VALUES ('90001', '20195', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('90002', '40308', '6000', '18000', '1000000');
INSERT INTO `droplist` VALUES ('90001', '240087', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('90001', '140087', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('90001', '240074', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('90001', '40552', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('90001', '40074', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('90001', '40060', '1', '1', '400000');
INSERT INTO `droplist` VALUES ('90001', '140062', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('90001', '40550', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('90002', '20039', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('90002', '20004', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('90002', '20021', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('90001', '140074', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('90001', '40549', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('90001', '50000', '1', '1', '400000');
INSERT INTO `droplist` VALUES ('90001', '40087', '1', '1', '18000');
INSERT INTO `droplist` VALUES ('90001', '126', '1', '1', '7000');
INSERT INTO `droplist` VALUES ('90001', '115', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('90001', '30', '1', '1', '7000');
INSERT INTO `droplist` VALUES ('90001', '20051', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('90001', '20230', '1', '1', '9000');
INSERT INTO `droplist` VALUES ('90001', '40551', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('90001', '20084', '1', '1', '7000');
INSERT INTO `droplist` VALUES ('90001', '20055', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('90001', '20171', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('90001', '20164', '1', '1', '9000');
INSERT INTO `droplist` VALUES ('90001', '20065', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('90001', '20226', '1', '1', '9000');
INSERT INTO `droplist` VALUES ('90001', '20027', '1', '1', '11000');
INSERT INTO `droplist` VALUES ('90000', '30', '1', '1', '5500');
INSERT INTO `droplist` VALUES ('90001', '40308', '200', '300', '1000000');
INSERT INTO `droplist` VALUES ('90000', '40087', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('90000', '140062', '1', '1', '500');
INSERT INTO `droplist` VALUES ('90000', '40074', '1', '1', '34000');
INSERT INTO `droplist` VALUES ('90000', '20171', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('90000', '40549', '1', '1', '1400');
INSERT INTO `droplist` VALUES ('90000', '40550', '1', '1', '1400');
INSERT INTO `droplist` VALUES ('90000', '40552', '1', '1', '1400');
INSERT INTO `droplist` VALUES ('90000', '20195', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('90001', '20039', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('90001', '20004', '1', '1', '9000');
INSERT INTO `droplist` VALUES ('90001', '20021', '1', '1', '9000');
INSERT INTO `droplist` VALUES ('90000', '40060', '1', '1', '350000');
INSERT INTO `droplist` VALUES ('90000', '20055', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('90000', '40551', '1', '1', '1400');
INSERT INTO `droplist` VALUES ('90000', '50000', '1', '1', '350000');
INSERT INTO `droplist` VALUES ('90000', '20164', '1', '1', '5500');
INSERT INTO `droplist` VALUES ('90000', '20084', '1', '1', '5500');
INSERT INTO `droplist` VALUES ('90000', '20065', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('90000', '20230', '1', '1', '6500');
INSERT INTO `droplist` VALUES ('90000', '20226', '1', '1', '6500');
INSERT INTO `droplist` VALUES ('90000', '20051', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('90000', '20027', '1', '1', '9000');
INSERT INTO `droplist` VALUES ('90000', '115', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('90000', '126', '1', '1', '4500');
INSERT INTO `droplist` VALUES ('90000', '20039', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('90000', '20021', '1', '1', '6500');
INSERT INTO `droplist` VALUES ('90000', '20004', '1', '1', '6500');
INSERT INTO `droplist` VALUES ('90000', '40308', '100', '400', '1000000');
INSERT INTO `droplist` VALUES ('90003', '115', '1', '1', '60500');
INSERT INTO `droplist` VALUES ('90003', '57', '1', '1', '72000');
INSERT INTO `droplist` VALUES ('90003', '240087', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('90003', '140087', '1', '2', '400000');
INSERT INTO `droplist` VALUES ('90003', '240074', '1', '2', '150000');
INSERT INTO `droplist` VALUES ('90003', '40551', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('90003', '40074', '1', '12', '500000');
INSERT INTO `droplist` VALUES ('90003', '50000', '10', '45', '1000000');
INSERT INTO `droplist` VALUES ('90003', '40060', '30', '500', '1000000');
INSERT INTO `droplist` VALUES ('90003', '20055', '1', '1', '68500');
INSERT INTO `droplist` VALUES ('90003', '36', '1', '1', '28000');
INSERT INTO `droplist` VALUES ('90003', '20074', '1', '1', '72000');
INSERT INTO `droplist` VALUES ('90003', '20175', '1', '1', '122000');
INSERT INTO `droplist` VALUES ('90003', '140074', '1', '7', '400000');
INSERT INTO `droplist` VALUES ('90003', '40550', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('90003', '40549', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('90003', '40087', '1', '4', '500000');
INSERT INTO `droplist` VALUES ('90003', '20230', '1', '1', '88000');
INSERT INTO `droplist` VALUES ('90003', '30', '1', '1', '88000');
INSERT INTO `droplist` VALUES ('90003', '20084', '1', '1', '83000');
INSERT INTO `droplist` VALUES ('90003', '126', '1', '1', '82000');
INSERT INTO `droplist` VALUES ('90003', '20164', '1', '1', '98000');
INSERT INTO `droplist` VALUES ('90003', '20171', '1', '1', '78500');
INSERT INTO `droplist` VALUES ('90003', '20065', '1', '1', '89000');
INSERT INTO `droplist` VALUES ('90003', '20195', '1', '1', '68500');
INSERT INTO `droplist` VALUES ('90003', '20051', '1', '1', '49500');
INSERT INTO `droplist` VALUES ('90003', '20226', '1', '1', '95000');
INSERT INTO `droplist` VALUES ('90003', '20027', '1', '1', '140000');
INSERT INTO `droplist` VALUES ('90003', '20039', '1', '1', '105000');
INSERT INTO `droplist` VALUES ('90003', '20021', '1', '1', '105000');
INSERT INTO `droplist` VALUES ('90003', '450003', '1', '1', '28000');
INSERT INTO `droplist` VALUES ('90003', '140062', '1', '1', '37000');
INSERT INTO `droplist` VALUES ('90003', '215', '1', '1', '109000');
INSERT INTO `droplist` VALUES ('90003', '40552', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('90003', '40308', '6000', '28000', '1000000');
INSERT INTO `droplist` VALUES ('90003', '20004', '1', '1', '95000');
INSERT INTO `droplist` VALUES ('90003', '450000', '1', '1', '28000');
INSERT INTO `droplist` VALUES ('45875', '40710', '1', '1', '1000000');
INSERT INTO `dungeon` VALUES ('32477', '32851', '0', '32669', '32802', '1', '4', 'Talking Island Caves 1F');
INSERT INTO `dungeon` VALUES ('32510', '32863', '0', '32675', '32814', '3', '8', 'Gunter\'s Cave');
INSERT INTO `dungeon` VALUES ('32669', '32802', '1', '32477', '32853', '0', '4', 'Talking Island');
INSERT INTO `dungeon` VALUES ('32709', '32839', '1', '32743', '32852', '1', '8', 'Talking Island Caves 1F');
INSERT INTO `dungeon` VALUES ('32713', '32851', '1', '32745', '32809', '1', '8', 'Talking Island Caves 1F');
INSERT INTO `dungeon` VALUES ('32742', '32852', '1', '32709', '32838', '1', '8', 'Talking Island Caves 1F');
INSERT INTO `dungeon` VALUES ('32745', '32810', '1', '32713', '32850', '1', '8', 'Talking Island Caves 1F');
INSERT INTO `dungeon` VALUES ('32737', '32877', '1', '32665', '32789', '2', '4', 'Talking Island Caves 2F');
INSERT INTO `dungeon` VALUES ('32665', '32788', '2', '32738', '32877', '1', '2', 'Talking Island Caves 1F');
INSERT INTO `dungeon` VALUES ('32659', '32873', '2', '32665', '32876', '2', '2', 'Talking Island Caves 2F');
INSERT INTO `dungeon` VALUES ('32664', '32876', '2', '32659', '32872', '2', '8', 'Talking Island Caves 2F');
INSERT INTO `dungeon` VALUES ('32668', '32865', '2', '32680', '32859', '2', '2', 'Talking Island Caves 2F');
INSERT INTO `dungeon` VALUES ('32679', '32859', '2', '32668', '32864', '2', '8', 'Talking Island Caves 2F');
INSERT INTO `dungeon` VALUES ('32789', '32821', '2', '32808', '32837', '2', '4', 'Talking Island Caves 2F');
INSERT INTO `dungeon` VALUES ('32808', '32838', '2', '32789', '32822', '2', '8', 'Talking Island Caves 2F');
INSERT INTO `dungeon` VALUES ('32804', '32873', '2', '32533', '32800', '14', '2', 'Underground Passage');
INSERT INTO `dungeon` VALUES ('32675', '32815', '3', '32509', '32865', '0', '4', 'Talking Island');
INSERT INTO `dungeon` VALUES ('32728', '32929', '4', '32812', '32724', '7', '4', 'Main Land Caves 1F');
INSERT INTO `dungeon` VALUES ('33194', '32457', '4', '32744', '32813', '16', '4', 'Hardin\'s lab');
INSERT INTO `dungeon` VALUES ('33053', '32329', '4', '32747', '32809', '17', '6', 'Nerupa\'s Cave');
INSERT INTO `dungeon` VALUES ('33054', '32329', '4', '32747', '32809', '17', '6', 'Nerupa\'s Cave');
INSERT INTO `dungeon` VALUES ('32938', '32284', '4', '32805', '32724', '19', '4', 'Elven Dungeon 1F');
INSERT INTO `dungeon` VALUES ('33138', '33357', '4', '32769', '32767', '22', '5', 'Gerard test dungeon');
INSERT INTO `dungeon` VALUES ('32951', '33502', '4', '32739', '32805', '25', '1', 'Silver Knight Town Caves 1F');
INSERT INTO `dungeon` VALUES ('32970', '33511', '4', '32809', '32810', '25', '6', 'Silver Knight Town Caves 1F');
INSERT INTO `dungeon` VALUES ('32910', '33503', '4', '32733', '32813', '26', '1', 'Silver Knight Town Caves 2F');
INSERT INTO `dungeon` VALUES ('32927', '33515', '4', '32803', '32815', '26', '1', 'Silver Knight Town Caves 2F');
INSERT INTO `dungeon` VALUES ('32880', '33511', '4', '32807', '32813', '27', '1', 'Silver Knight Town Caves 3F');
INSERT INTO `dungeon` VALUES ('33348', '32347', '4', '32727', '32726', '30', '4', 'Dragon Valley Caves 1F');
INSERT INTO `dungeon` VALUES ('33374', '32385', '4', '32742', '32777', '30', '4', 'Dragon Valley Caves 1F');
INSERT INTO `dungeon` VALUES ('33395', '32325', '4', '32809', '32737', '30', '6', 'Dragon Valley Caves 1F');
INSERT INTO `dungeon` VALUES ('33415', '32412', '4', '32810', '32810', '30', '6', 'Dragon Valley Caves 1F');
INSERT INTO `dungeon` VALUES ('32755', '33208', '4', '32783', '32751', '43', '5', 'Ant Caves 1F');
INSERT INTO `dungeon` VALUES ('32914', '33220', '4', '32798', '32754', '44', '5', 'Ant Caves 2F');
INSERT INTO `dungeon` VALUES ('32789', '33255', '4', '32776', '32731', '45', '5', 'Ant Caves 3F');
INSERT INTO `dungeon` VALUES ('32848', '33294', '4', '32787', '32795', '46', '5', 'Ant Caves 4F');
INSERT INTO `dungeon` VALUES ('32839', '33172', '4', '32796', '32745', '47', '5', 'Ant Caves 5F');
INSERT INTO `dungeon` VALUES ('32795', '33189', '4', '32804', '32739', '48', '5', 'Ant Caves 6F');
INSERT INTO `dungeon` VALUES ('32924', '33252', '4', '32799', '32776', '49', '5', 'Ant Caves 7F');
INSERT INTO `dungeon` VALUES ('32788', '33149', '4', '32768', '32805', '50', '5', 'Ant Caves 8F');
INSERT INTO `dungeon` VALUES ('33311', '33061', '4', '32810', '32731', '53', '6', 'Giran Dungeon 1F');
INSERT INTO `dungeon` VALUES ('33627', '33502', '4', '32708', '32789', '59', '4', 'Heine Dungeon 1F');
INSERT INTO `dungeon` VALUES ('33631', '32369', '4', '32738', '32868', '66', '2', 'Iron Gate Guild Inner Castle');
INSERT INTO `dungeon` VALUES ('33675', '32409', '4', '32810', '32934', '66', '2', 'Iron Gate Guild Inner Castle');
INSERT INTO `dungeon` VALUES ('33734', '32216', '4', '32797', '32746', '67', '6', 'Lair of Valakas');
INSERT INTO `dungeon` VALUES ('32178', '32182', '4', '32746', '32787', '72', '4', 'Crystal Cavern 1F');
INSERT INTO `dungeon` VALUES ('34177', '32182', '4', '32746', '32787', '72', '4', 'Crystal Cavern 1F');
INSERT INTO `dungeon` VALUES ('34214', '32248', '4', '32814', '32804', '72', '6', 'Crystal Cavern 1F');
INSERT INTO `dungeon` VALUES ('34214', '32249', '4', '32814', '32804', '72', '6', 'Crystal Cavern 1F');
INSERT INTO `dungeon` VALUES ('33969', '32337', '4', '32726', '32845', '73', '2', 'Crystal Cavern 2F');
INSERT INTO `dungeon` VALUES ('33969', '32338', '4', '32726', '32845', '73', '2', 'Crystal Cavern 2F');
INSERT INTO `dungeon` VALUES ('34041', '32154', '4', '32764', '32902', '75', '8', 'Ivory Tower 1F');
INSERT INTO `dungeon` VALUES ('34042', '32154', '4', '32764', '32902', '75', '8', 'Ivory Tower 1F');
INSERT INTO `dungeon` VALUES ('33423', '33502', '4', '32735', '32794', '83', '4', 'Ship aden world to forgotten island');
INSERT INTO `dungeon` VALUES ('34256', '33450', '4', '32725', '32799', '101', '2', 'Tower of Insolence 1F');
INSERT INTO `dungeon` VALUES ('34256', '33451', '4', '32725', '32799', '101', '2', 'Tower of Insolence 1F');
INSERT INTO `dungeon` VALUES ('34256', '33452', '4', '32725', '32799', '101', '2', 'Tower of Insolence 1F');
INSERT INTO `dungeon` VALUES ('34151', '33382', '4', '32678', '32790', '301', '2', 'Aden Sewer');
INSERT INTO `dungeon` VALUES ('33388', '32272', '4', '32625', '32803', '304', '5', 'Silent Cavern');
INSERT INTO `dungeon` VALUES ('33388', '32273', '4', '32625', '32803', '304', '5', 'Silent Cavern');
INSERT INTO `dungeon` VALUES ('32565', '33460', '4', '32761', '32822', '307', '2', 'Lastabad Dungeon 1F');
INSERT INTO `dungeon` VALUES ('32812', '32723', '7', '32728', '32929', '4', '5', 'Mainland Aden');
INSERT INTO `dungeon` VALUES ('32740', '32807', '7', '32750', '32798', '8', '4', 'Main Land Caves 2F');
INSERT INTO `dungeon` VALUES ('32750', '32797', '8', '32740', '32806', '7', '8', 'Main Land Caves 1F');
INSERT INTO `dungeon` VALUES ('32726', '32744', '8', '32773', '32807', '8', '2', 'Main Land Caves 2F');
INSERT INTO `dungeon` VALUES ('32736', '32772', '8', '32737', '32812', '8', '2', 'Main Land Caves 2F');
INSERT INTO `dungeon` VALUES ('32738', '32813', '8', '32737', '32772', '8', '2', 'Main Land Caves 2F');
INSERT INTO `dungeon` VALUES ('32741', '32745', '8', '32797', '32803', '8', '2', 'Main Land Caves 2F');
INSERT INTO `dungeon` VALUES ('32767', '32734', '8', '32811', '32761', '8', '2', 'Main Land Caves 2F');
INSERT INTO `dungeon` VALUES ('32773', '32808', '8', '32727', '32744', '8', '2', 'Main Land Caves 2F');
INSERT INTO `dungeon` VALUES ('32797', '32745', '8', '32742', '32745', '8', '2', 'Main Land Caves 2F');
INSERT INTO `dungeon` VALUES ('32811', '32762', '8', '32767', '32733', '8', '2', 'Main Land Caves 2F');
INSERT INTO `dungeon` VALUES ('32794', '32728', '8', '32801', '32754', '9', '4', 'Main Land Caves 3F');
INSERT INTO `dungeon` VALUES ('32802', '32754', '9', '32795', '32728', '8', '2', 'Main Land Caves 2F');
INSERT INTO `dungeon` VALUES ('32771', '32765', '9', '32763', '32773', '10', '4', 'Main Land Caves 4F');
INSERT INTO `dungeon` VALUES ('32764', '32772', '10', '32771', '32764', '9', '8', 'Main Land Caves 3F');
INSERT INTO `dungeon` VALUES ('32726', '32737', '10', '32728', '32723', '11', '4', 'Main Land Caves 5F');
INSERT INTO `dungeon` VALUES ('32729', '32722', '11', '32727', '32737', '10', '2', 'Main Land Caves 4F');
INSERT INTO `dungeon` VALUES ('32735', '32739', '11', '32768', '32805', '11', '2', 'Main Land Caves 5F');
INSERT INTO `dungeon` VALUES ('32745', '32805', '11', '32757', '32804', '11', '2', 'Main Land Caves 5F');
INSERT INTO `dungeon` VALUES ('32757', '32805', '11', '32745', '32804', '11', '2', 'Main Land Caves 5F');
INSERT INTO `dungeon` VALUES ('32763', '32738', '11', '32773', '32765', '11', '2', 'Main Land Caves 5F');
INSERT INTO `dungeon` VALUES ('32768', '32806', '11', '32736', '32739', '11', '2', 'Main Land Caves 5F');
INSERT INTO `dungeon` VALUES ('32772', '32765', '11', '32764', '32738', '11', '2', 'Main Land Caves 5F');
INSERT INTO `dungeon` VALUES ('32797', '32810', '11', '32804', '32725', '12', '4', 'Main Land Caves 6F');
INSERT INTO `dungeon` VALUES ('32805', '32724', '12', '32797', '32809', '11', '2', 'Main Land Caves 5F');
INSERT INTO `dungeon` VALUES ('32728', '32768', '12', '32764', '32754', '12', '2', 'Main Land Caves 6F');
INSERT INTO `dungeon` VALUES ('32764', '32755', '12', '32729', '32768', '12', '2', 'Main Land Caves 6F');
INSERT INTO `dungeon` VALUES ('32770', '32811', '12', '32727', '32725', '13', '4', 'Main Land Caves 7F');
INSERT INTO `dungeon` VALUES ('32727', '32724', '13', '32770', '32810', '12', '2', 'Main Land Caves 6F');
INSERT INTO `dungeon` VALUES ('32764', '32766', '13', '32780', '32741', '13', '2', 'Main Land Caves 7F');
INSERT INTO `dungeon` VALUES ('32780', '32742', '13', '32765', '32766', '13', '2', 'Main Land Caves 7F');
INSERT INTO `dungeon` VALUES ('32786', '32795', '13', '32811', '32729', '13', '2', 'Main Land Caves 7F');
INSERT INTO `dungeon` VALUES ('32801', '32803', '13', '32808', '32802', '13', '2', 'Main Land Caves 7F');
INSERT INTO `dungeon` VALUES ('32808', '32802', '13', '32801', '32803', '13', '6', 'Main Land Caves 7F');
INSERT INTO `dungeon` VALUES ('32811', '32730', '13', '32787', '32795', '13', '2', 'Main Land Caves 7F');
INSERT INTO `dungeon` VALUES ('32806', '32724', '13', '33000', '32808', '14', '7', 'Underground Passage');
INSERT INTO `dungeon` VALUES ('32813', '32810', '13', '32736', '32807', '237', '5', 'Jim dungeon');
INSERT INTO `dungeon` VALUES ('32534', '32800', '14', '32803', '32873', '2', '6', 'Talking Island Caves 2F');
INSERT INTO `dungeon` VALUES ('33000', '32808', '14', '32807', '32724', '13', '2', 'Main Land Caves 7F');
INSERT INTO `dungeon` VALUES ('32744', '32815', '16', '33194', '32458', '4', '8', 'Mainland Aden');
INSERT INTO `dungeon` VALUES ('32748', '32808', '17', '33054', '32328', '4', '8', 'Mainland Aden');
INSERT INTO `dungeon` VALUES ('32748', '32809', '17', '33054', '32328', '4', '8', 'Mainland Aden');
INSERT INTO `dungeon` VALUES ('32805', '32723', '19', '32938', '32283', '4', '8', 'Mainland Aden');
INSERT INTO `dungeon` VALUES ('32723', '32725', '19', '32788', '32758', '19', '2', 'Elven Dungeon 1F');
INSERT INTO `dungeon` VALUES ('32727', '32797', '19', '32796', '32795', '19', '8', 'Elven Dungeon 1F');
INSERT INTO `dungeon` VALUES ('32787', '32758', '19', '32724', '32725', '19', '2', 'Elven Dungeon 1F');
INSERT INTO `dungeon` VALUES ('32796', '32796', '19', '32728', '32797', '19', '2', 'Elven Dungeon 1F');
INSERT INTO `dungeon` VALUES ('32772', '32783', '19', '32766', '32796', '20', '4', 'Elven Dungeon 2F');
INSERT INTO `dungeon` VALUES ('32767', '32795', '20', '32772', '32782', '19', '8', 'Elven Dungeon 1F');
INSERT INTO `dungeon` VALUES ('32763', '32754', '20', '32807', '32791', '20', '8', 'Elven Dungeon 2F');
INSERT INTO `dungeon` VALUES ('32807', '32792', '20', '32764', '32754', '20', '2', 'Elven Dungeon 2F');
INSERT INTO `dungeon` VALUES ('32730', '32732', '20', '32731', '32736', '21', '6', 'Elven Dungeon 3F');
INSERT INTO `dungeon` VALUES ('32732', '32736', '21', '32731', '32732', '20', '2', 'Elven Dungeon 2F');
INSERT INTO `dungeon` VALUES ('32736', '32799', '21', '32760', '32763', '21', '8', 'Elven Dungeon 3F');
INSERT INTO `dungeon` VALUES ('32760', '32764', '21', '32737', '32799', '21', '2', 'Elven Dungeon 3F');
INSERT INTO `dungeon` VALUES ('32778', '32738', '21', '32781', '32728', '21', '2', 'Elven Dungeon 3F');
INSERT INTO `dungeon` VALUES ('32781', '32728', '21', '32778', '32738', '21', '6', 'Elven Dungeon 3F');
INSERT INTO `dungeon` VALUES ('32777', '32796', '21', '32657', '32872', '32', '2', 'Dragon Valley Caves 3F');
INSERT INTO `dungeon` VALUES ('32769', '32767', '22', '33138', '33357', '4', '2', 'Mainland Aden');
INSERT INTO `dungeon` VALUES ('32727', '32814', '23', '32808', '32814', '24', '4', 'Windawood Castle Dungeon 2F');
INSERT INTO `dungeon` VALUES ('32808', '32814', '24', '32727', '32814', '23', '4', 'Windawood Castle Dungeon 1F');
INSERT INTO `dungeon` VALUES ('32738', '32806', '25', '32951', '33503', '4', '4', 'Mainland Aden');
INSERT INTO `dungeon` VALUES ('32809', '32811', '25', '32970', '33512', '4', '4', 'Mainland Aden');
INSERT INTO `dungeon` VALUES ('32732', '32814', '26', '32910', '33505', '4', '4', 'Mainland Aden');
INSERT INTO `dungeon` VALUES ('32802', '32816', '26', '32927', '33516', '4', '1', 'Mainland Aden');
INSERT INTO `dungeon` VALUES ('32806', '32814', '27', '32880', '33511', '4', '4', 'Mainland Aden');
INSERT INTO `dungeon` VALUES ('32723', '32742', '27', '32799', '32798', '28', '4', 'Silver Knight Town Caves 4F');
INSERT INTO `dungeon` VALUES ('32799', '32797', '28', '32723', '32741', '27', '8', 'Silver Knight Town Caves 3F');
INSERT INTO `dungeon` VALUES ('32742', '32790', '29', '32811', '32722', '23', '4', 'Windawood Castle Dungeon 1F');
INSERT INTO `dungeon` VALUES ('32811', '32722', '23', '32742', '32790', '29', '4', 'Windawood Inner Castle');
INSERT INTO `dungeon` VALUES ('32727', '32726', '30', '33348', '32348', '4', '4', 'Mainland Aden');
INSERT INTO `dungeon` VALUES ('32742', '32776', '30', '33373', '32385', '4', '6', 'Mainland Aden');
INSERT INTO `dungeon` VALUES ('32810', '32737', '30', '33395', '32326', '4', '4', 'Mainland Aden');
INSERT INTO `dungeon` VALUES ('32811', '32810', '30', '33414', '32412', '4', '6', 'Mainland Aden');
INSERT INTO `dungeon` VALUES ('32732', '32813', '30', '32760', '32781', '31', '4', 'Dragon Valley Caves 2F');
INSERT INTO `dungeon` VALUES ('32733', '32813', '30', '32760', '32781', '31', '4', 'Dragon Valley Caves 2F');
INSERT INTO `dungeon` VALUES ('32740', '32761', '30', '32762', '32749', '31', '4', 'Dragon Valley Caves 2F');
INSERT INTO `dungeon` VALUES ('32741', '32761', '30', '32762', '32749', '31', '4', 'Dragon Valley Caves 2F');
INSERT INTO `dungeon` VALUES ('32767', '32759', '30', '32803', '32760', '31', '6', 'Dragon Valley Caves 2F');
INSERT INTO `dungeon` VALUES ('32767', '32760', '30', '32803', '32760', '31', '6', 'Dragon Valley Caves 2F');
INSERT INTO `dungeon` VALUES ('32772', '32774', '30', '32788', '32782', '31', '6', 'Dragon Valley Caves 2F');
INSERT INTO `dungeon` VALUES ('32772', '32775', '30', '32788', '32782', '31', '6', 'Dragon Valley Caves 2F');
INSERT INTO `dungeon` VALUES ('32760', '32780', '31', '32733', '32812', '30', '8', 'Dragon Valley Caves 1F');
INSERT INTO `dungeon` VALUES ('32762', '32748', '31', '32741', '32760', '30', '8', 'Dragon Valley Caves 1F');
INSERT INTO `dungeon` VALUES ('32789', '32782', '31', '32773', '32774', '30', '2', 'Dragon Valley Caves 1F');
INSERT INTO `dungeon` VALUES ('32804', '32760', '31', '32768', '32759', '30', '2', 'Dragon Valley Caves 1F');
INSERT INTO `dungeon` VALUES ('32772', '32747', '31', '32709', '32818', '32', '4', 'Dragon Valley Caves 3F');
INSERT INTO `dungeon` VALUES ('32657', '32872', '32', '32777', '32796', '21', '0', 'Elven Dungeon 3F');
INSERT INTO `dungeon` VALUES ('32710', '32817', '32', '32773', '32747', '31', '1', 'Dragon Valley Caves 2F');
INSERT INTO `dungeon` VALUES ('32746', '32859', '32', '32670', '32868', '33', '4', 'Dragon Valley Caves 4F');
INSERT INTO `dungeon` VALUES ('32747', '32859', '32', '32670', '32868', '33', '4', 'Dragon Valley Caves 4F');
INSERT INTO `dungeon` VALUES ('32670', '32867', '33', '32746', '32858', '32', '8', 'Dragon Valley Caves 3F');
INSERT INTO `dungeon` VALUES ('32728', '32825', '33', '32746', '32801', '35', '6', 'Dragon Valley Caves 5F');
INSERT INTO `dungeon` VALUES ('32729', '32825', '33', '32746', '32801', '35', '6', 'Dragon Valley Caves 5F');
INSERT INTO `dungeon` VALUES ('32747', '32801', '35', '32728', '32824', '33', '8', 'Dragon Valley Caves 4F');
INSERT INTO `dungeon` VALUES ('32660', '32838', '35', '32664', '32846', '36', '4', 'Dragon Valley Caves 6F');
INSERT INTO `dungeon` VALUES ('32660', '32839', '35', '32664', '32846', '36', '4', 'Dragon Valley Caves 6F');
INSERT INTO `dungeon` VALUES ('32664', '32845', '36', '32661', '32838', '35', '2', 'Dragon Valley Caves 5F');
INSERT INTO `dungeon` VALUES ('32746', '32824', '36', '32667', '32868', '37', '6', 'Dragon Valley Caves 7F');
INSERT INTO `dungeon` VALUES ('32747', '32824', '36', '32667', '32868', '37', '6', 'Dragon Valley Caves 7F');
INSERT INTO `dungeon` VALUES ('32669', '32868', '37', '32746', '32823', '36', '2', 'Dragon Valley Caves 6F');
INSERT INTO `dungeon` VALUES ('32807', '32806', '43', '32779', '32793', '47', '4', 'Ant Caves 5F');
INSERT INTO `dungeon` VALUES ('32737', '32781', '44', '32781', '32732', '49', '6', 'Ant Caves 7F');
INSERT INTO `dungeon` VALUES ('32737', '32782', '44', '32781', '32732', '49', '6', 'Ant Caves 7F');
INSERT INTO `dungeon` VALUES ('32769', '32791', '45', '32745', '32759', '50', '4', 'Ant Caves 8F');
INSERT INTO `dungeon` VALUES ('32770', '32791', '45', '32745', '32759', '50', '4', 'Ant Caves 8F');
INSERT INTO `dungeon` VALUES ('32745', '32741', '46', '32746', '32783', '49', '4', 'Ant Caves 7F');
INSERT INTO `dungeon` VALUES ('32746', '32741', '46', '32746', '32783', '49', '4', 'Ant Caves 7F');
INSERT INTO `dungeon` VALUES ('32779', '32792', '47', '32807', '32805', '43', '8', 'Ant Caves 1F');
INSERT INTO `dungeon` VALUES ('32743', '32779', '47', '32726', '32744', '51', '4', 'Ant Caves 9F');
INSERT INTO `dungeon` VALUES ('32740', '32757', '48', '32807', '32762', '50', '8', 'Ant Caves 8F');
INSERT INTO `dungeon` VALUES ('32778', '32801', '48', '32682', '32849', '51', '4', 'Ant Caves 9F');
INSERT INTO `dungeon` VALUES ('32779', '32801', '48', '32682', '32849', '51', '4', 'Ant Caves 9F');
INSERT INTO `dungeon` VALUES ('32782', '32732', '49', '32738', '32781', '44', '2', 'Ant Caves 2F');
INSERT INTO `dungeon` VALUES ('32746', '32782', '49', '32746', '32740', '46', '8', 'Ant Caves 4F');
INSERT INTO `dungeon` VALUES ('32742', '32740', '49', '32793', '32847', '51', '6', 'Ant Caves 9F');
INSERT INTO `dungeon` VALUES ('32746', '32758', '50', '32770', '32790', '45', '8', 'Ant Caves 3F');
INSERT INTO `dungeon` VALUES ('32806', '32763', '50', '32739', '32757', '48', '6', 'Ant Caves 6F');
INSERT INTO `dungeon` VALUES ('32807', '32763', '50', '32739', '32757', '48', '6', 'Ant Caves 6F');
INSERT INTO `dungeon` VALUES ('32726', '32743', '51', '32743', '32778', '47', '8', 'Ant Caves 5F');
INSERT INTO `dungeon` VALUES ('32682', '32848', '51', '32778', '32800', '48', '8', 'Ant Caves 6F');
INSERT INTO `dungeon` VALUES ('32794', '32847', '51', '32741', '32740', '49', '6', 'Ant Caves 7F');
INSERT INTO `dungeon` VALUES ('32811', '32730', '53', '33312', '33061', '4', '2', 'Mainland Aden');
INSERT INTO `dungeon` VALUES ('32811', '32731', '53', '33312', '33061', '4', '2', 'Mainland Aden');
INSERT INTO `dungeon` VALUES ('32732', '32787', '53', '32810', '32794', '54', '6', 'Giran Dungeon 2F');
INSERT INTO `dungeon` VALUES ('32811', '32793', '54', '32732', '32786', '53', '8', 'Giran Dungeon 1F');
INSERT INTO `dungeon` VALUES ('32811', '32794', '54', '32732', '32786', '53', '8', 'Giran Dungeon 1F');
INSERT INTO `dungeon` VALUES ('32735', '32726', '54', '32750', '32774', '54', '8', 'Giran Dungeon 2F');
INSERT INTO `dungeon` VALUES ('32750', '32775', '54', '32736', '32726', '54', '2', 'Giran Dungeon 2F');
INSERT INTO `dungeon` VALUES ('32728', '32811', '54', '32735', '32728', '55', '4', 'Giran Dungeon 3F');
INSERT INTO `dungeon` VALUES ('32735', '32727', '55', '32728', '32810', '54', '8', 'Giran Dungeon 2F');
INSERT INTO `dungeon` VALUES ('32736', '32727', '55', '32728', '32810', '54', '8', 'Giran Dungeon 2F');
INSERT INTO `dungeon` VALUES ('32736', '32855', '55', '32769', '32730', '56', '4', 'Giran Dungeon 4F');
INSERT INTO `dungeon` VALUES ('32769', '32729', '56', '32736', '32854', '55', '8', 'Giran Dungeon 3F');
INSERT INTO `dungeon` VALUES ('32770', '32729', '56', '32736', '32854', '55', '8', 'Giran Dungeon 3F');
INSERT INTO `dungeon` VALUES ('32709', '32788', '59', '33627', '33503', '4', '4', 'Mainland Aden');
INSERT INTO `dungeon` VALUES ('32663', '32867', '59', '32745', '32858', '60', '6', 'Heine Dungeon 2F');
INSERT INTO `dungeon` VALUES ('32747', '32851', '59', '32744', '32839', '62', '0', 'Sanctuary of Eva');
INSERT INTO `dungeon` VALUES ('32746', '32857', '60', '32664', '32867', '59', '2', 'Heine Dungeon 1F');
INSERT INTO `dungeon` VALUES ('32706', '32809', '60', '32727', '32807', '61', '4', 'Heine Dungeon 3F');
INSERT INTO `dungeon` VALUES ('32728', '32806', '61', '32704', '32809', '60', '6', 'Heine Dungeon 2F');
INSERT INTO `dungeon` VALUES ('32695', '32824', '61', '32806', '32869', '63', '6', 'Kingdom of Eva');
INSERT INTO `dungeon` VALUES ('32744', '32839', '62', '32746', '32852', '59', '6', 'Heine Dungeon 1F');
INSERT INTO `dungeon` VALUES ('32733', '32790', '62', '32572', '32833', '64', '6', 'Heine Inner Castle');
INSERT INTO `dungeon` VALUES ('32733', '32791', '62', '32572', '32833', '64', '6', 'Heine Inner Castle');
INSERT INTO `dungeon` VALUES ('32807', '32868', '63', '32694', '32826', '61', '4', 'Heine Dungeon 3F');
INSERT INTO `dungeon` VALUES ('32738', '32674', '63', '32750', '32870', '65', '1', 'Lair of Fafurion');
INSERT INTO `dungeon` VALUES ('32572', '32833', '64', '32733', '32791', '62', '4', 'Sanctuary of Eva');
INSERT INTO `dungeon` VALUES ('32761', '32870', '65', '32738', '32675', '63', '4', 'Kingdom of Eva');
INSERT INTO `dungeon` VALUES ('32737', '32868', '66', '33630', '32369', '4', '2', 'Mainland Aden');
INSERT INTO `dungeon` VALUES ('32810', '32935', '66', '33675', '32410', '4', '2', 'Mainland Aden');
INSERT INTO `dungeon` VALUES ('32798', '32746', '67', '33734', '32217', '4', '4', 'Mainland Aden');
INSERT INTO `dungeon` VALUES ('32945', '33012', '70', '32826', '32850', '70', '0', 'Forgotten Island');
INSERT INTO `dungeon` VALUES ('32936', '33058', '70', '32732', '32796', '84', '4', 'Ship forgotten island to Aden world');
INSERT INTO `dungeon` VALUES ('32746', '32786', '72', '34177', '32183', '4', '4', 'Mainland Aden');
INSERT INTO `dungeon` VALUES ('32747', '32786', '72', '34177', '32183', '4', '4', 'Mainland Aden');
INSERT INTO `dungeon` VALUES ('32815', '32803', '72', '34213', '32249', '4', '6', 'Mainland Aden');
INSERT INTO `dungeon` VALUES ('32815', '32804', '72', '34213', '32249', '4', '6', 'Mainland Aden');
INSERT INTO `dungeon` VALUES ('32726', '32861', '72', '32755', '32870', '73', '6', 'Crystal Cavern 2F');
INSERT INTO `dungeon` VALUES ('32726', '32862', '72', '32755', '32870', '73', '6', 'Crystal Cavern 2F');
INSERT INTO `dungeon` VALUES ('32725', '32845', '73', '33970', '32338', '4', '2', 'Mainland Aden');
INSERT INTO `dungeon` VALUES ('32725', '32846', '73', '33970', '32338', '4', '2', 'Mainland Aden');
INSERT INTO `dungeon` VALUES ('32756', '32870', '73', '32727', '32861', '72', '2', 'Crystal Cavern 1F');
INSERT INTO `dungeon` VALUES ('32756', '32871', '73', '32727', '32861', '72', '2', 'Crystal Cavern 1F');
INSERT INTO `dungeon` VALUES ('32797', '32808', '73', '32732', '32854', '74', '4', 'Crystal Cavern 3F');
INSERT INTO `dungeon` VALUES ('32797', '32809', '73', '32732', '32854', '74', '4', 'Crystal Cavern 3F');
INSERT INTO `dungeon` VALUES ('32731', '32853', '74', '32798', '32808', '73', '2', 'Crystal Cavern 2F');
INSERT INTO `dungeon` VALUES ('32732', '32853', '74', '32798', '32808', '73', '2', 'Crystal Cavern 2F');
INSERT INTO `dungeon` VALUES ('32763', '32903', '75', '34041', '32155', '4', '4', 'Mainland Aden');
INSERT INTO `dungeon` VALUES ('32764', '32903', '75', '34041', '32155', '4', '4', 'Mainland Aden');
INSERT INTO `dungeon` VALUES ('32773', '32821', '75', '32776', '32820', '76', '6', 'Ivory Tower 2F');
INSERT INTO `dungeon` VALUES ('32773', '32822', '75', '32776', '32820', '76', '6', 'Ivory Tower 2F');
INSERT INTO `dungeon` VALUES ('32777', '32819', '76', '32772', '32822', '75', '6', 'Ivory Tower 1F');
INSERT INTO `dungeon` VALUES ('32777', '32820', '76', '32772', '32822', '75', '6', 'Ivory Tower 1F');
INSERT INTO `dungeon` VALUES ('32777', '32826', '76', '32766', '32835', '77', '6', 'Ivory Tower 3F');
INSERT INTO `dungeon` VALUES ('32777', '32827', '76', '32766', '32835', '77', '6', 'Ivory Tower 3F');
INSERT INTO `dungeon` VALUES ('32767', '32834', '77', '32776', '32827', '76', '6', 'Ivory Tower 2F');
INSERT INTO `dungeon` VALUES ('32767', '32835', '77', '32776', '32827', '76', '6', 'Ivory Tower 2F');
INSERT INTO `dungeon` VALUES ('32767', '32841', '77', '32894', '32771', '78', '6', 'Ivory Tower 4F');
INSERT INTO `dungeon` VALUES ('32767', '32842', '77', '32894', '32771', '78', '6', 'Ivory Tower 4F');
INSERT INTO `dungeon` VALUES ('32895', '32770', '78', '32766', '32842', '77', '6', 'Ivory Tower 3F');
INSERT INTO `dungeon` VALUES ('32895', '32771', '78', '32766', '32842', '77', '6', 'Ivory Tower 3F');
INSERT INTO `dungeon` VALUES ('32923', '32793', '78', '32772', '32804', '79', '5', 'Ivory Tower 5F');
INSERT INTO `dungeon` VALUES ('32923', '32795', '78', '32772', '32804', '79', '5', 'Ivory Tower 5F');
INSERT INTO `dungeon` VALUES ('32924', '32792', '78', '32772', '32804', '79', '5', 'Ivory Tower 5F');
INSERT INTO `dungeon` VALUES ('32924', '32796', '78', '32772', '32804', '79', '5', 'Ivory Tower 5F');
INSERT INTO `dungeon` VALUES ('32926', '32792', '78', '32772', '32804', '79', '5', 'Ivory Tower 5F');
INSERT INTO `dungeon` VALUES ('32926', '32796', '78', '32772', '32804', '79', '5', 'Ivory Tower 5F');
INSERT INTO `dungeon` VALUES ('32927', '32793', '78', '32772', '32804', '79', '5', 'Ivory Tower 5F');
INSERT INTO `dungeon` VALUES ('32927', '32795', '78', '32772', '32804', '79', '5', 'Ivory Tower 5F');
INSERT INTO `dungeon` VALUES ('32772', '32801', '79', '32923', '32792', '78', '7', 'Ivory Tower 4F');
INSERT INTO `dungeon` VALUES ('32772', '32803', '79', '32923', '32792', '78', '7', 'Ivory Tower 4F');
INSERT INTO `dungeon` VALUES ('32773', '32800', '79', '32923', '32792', '78', '7', 'Ivory Tower 4F');
INSERT INTO `dungeon` VALUES ('32773', '32804', '79', '32923', '32792', '78', '7', 'Ivory Tower 4F');
INSERT INTO `dungeon` VALUES ('32775', '32800', '79', '32923', '32792', '78', '7', 'Ivory Tower 4F');
INSERT INTO `dungeon` VALUES ('32775', '32804', '79', '32923', '32792', '78', '7', 'Ivory Tower 4F');
INSERT INTO `dungeon` VALUES ('32776', '32801', '79', '32923', '32792', '78', '7', 'Ivory Tower 4F');
INSERT INTO `dungeon` VALUES ('32776', '32803', '79', '32923', '32792', '78', '7', 'Ivory Tower 4F');
INSERT INTO `dungeon` VALUES ('32803', '32826', '79', '32751', '32800', '80', '3', 'Ivory Tower 6F');
INSERT INTO `dungeon` VALUES ('32803', '32828', '79', '32751', '32800', '80', '3', 'Ivory Tower 6F');
INSERT INTO `dungeon` VALUES ('32804', '32825', '79', '32751', '32800', '80', '3', 'Ivory Tower 6F');
INSERT INTO `dungeon` VALUES ('32804', '32829', '79', '32751', '32800', '80', '3', 'Ivory Tower 6F');
INSERT INTO `dungeon` VALUES ('32806', '32825', '79', '32751', '32800', '80', '3', 'Ivory Tower 6F');
INSERT INTO `dungeon` VALUES ('32806', '32829', '79', '32751', '32800', '80', '3', 'Ivory Tower 6F');
INSERT INTO `dungeon` VALUES ('32807', '32826', '79', '32751', '32800', '80', '3', 'Ivory Tower 6F');
INSERT INTO `dungeon` VALUES ('32807', '32828', '79', '32751', '32800', '80', '3', 'Ivory Tower 6F');
INSERT INTO `dungeon` VALUES ('32747', '32797', '80', '32803', '32825', '79', '7', 'Ivory Tower 5F');
INSERT INTO `dungeon` VALUES ('32747', '32799', '80', '32803', '32825', '79', '7', 'Ivory Tower 5F');
INSERT INTO `dungeon` VALUES ('32748', '32796', '80', '32803', '32825', '79', '7', 'Ivory Tower 5F');
INSERT INTO `dungeon` VALUES ('32748', '32800', '80', '32803', '32825', '79', '7', 'Ivory Tower 5F');
INSERT INTO `dungeon` VALUES ('32750', '32800', '80', '32803', '32825', '79', '7', 'Ivory Tower 5F');
INSERT INTO `dungeon` VALUES ('32751', '32799', '80', '32803', '32825', '79', '7', 'Ivory Tower 5F');
INSERT INTO `dungeon` VALUES ('32771', '32848', '80', '32763', '32848', '81', '7', 'Ivory Tower 7F');
INSERT INTO `dungeon` VALUES ('32771', '32850', '80', '32763', '32848', '81', '7', 'Ivory Tower 7F');
INSERT INTO `dungeon` VALUES ('32772', '32847', '80', '32763', '32848', '81', '7', 'Ivory Tower 7F');
INSERT INTO `dungeon` VALUES ('32772', '32851', '80', '32763', '32848', '81', '7', 'Ivory Tower 7F');
INSERT INTO `dungeon` VALUES ('32774', '32847', '80', '32763', '32848', '81', '7', 'Ivory Tower 7F');
INSERT INTO `dungeon` VALUES ('32774', '32851', '80', '32763', '32848', '81', '7', 'Ivory Tower 7F');
INSERT INTO `dungeon` VALUES ('32775', '32848', '80', '32763', '32848', '81', '7', 'Ivory Tower 7F');
INSERT INTO `dungeon` VALUES ('32775', '32850', '80', '32763', '32848', '81', '7', 'Ivory Tower 7F');
INSERT INTO `dungeon` VALUES ('32763', '32845', '81', '32771', '32847', '80', '7', 'Ivory Tower 6F');
INSERT INTO `dungeon` VALUES ('32763', '32847', '81', '32771', '32847', '80', '7', 'Ivory Tower 6F');
INSERT INTO `dungeon` VALUES ('32764', '32844', '81', '32771', '32847', '80', '7', 'Ivory Tower 6F');
INSERT INTO `dungeon` VALUES ('32764', '32848', '81', '32771', '32847', '80', '7', 'Ivory Tower 6F');
INSERT INTO `dungeon` VALUES ('32766', '32844', '81', '32771', '32847', '80', '7', 'Ivory Tower 6F');
INSERT INTO `dungeon` VALUES ('32766', '32848', '81', '32771', '32847', '80', '7', 'Ivory Tower 6F');
INSERT INTO `dungeon` VALUES ('32767', '32845', '81', '32771', '32847', '80', '7', 'Ivory Tower 6F');
INSERT INTO `dungeon` VALUES ('32767', '32847', '81', '32771', '32847', '80', '7', 'Ivory Tower 6F');
INSERT INTO `dungeon` VALUES ('32802', '32794', '81', '32738', '32797', '82', '5', 'Ivory Tower 8F');
INSERT INTO `dungeon` VALUES ('32802', '32796', '81', '32738', '32797', '82', '5', 'Ivory Tower 8F');
INSERT INTO `dungeon` VALUES ('32803', '32793', '81', '32738', '32797', '82', '5', 'Ivory Tower 8F');
INSERT INTO `dungeon` VALUES ('32803', '32797', '81', '32738', '32797', '82', '5', 'Ivory Tower 8F');
INSERT INTO `dungeon` VALUES ('32805', '32793', '81', '32738', '32797', '82', '5', 'Ivory Tower 8F');
INSERT INTO `dungeon` VALUES ('32805', '32797', '81', '32738', '32797', '82', '5', 'Ivory Tower 8F');
INSERT INTO `dungeon` VALUES ('32806', '32794', '81', '32738', '32797', '82', '5', 'Ivory Tower 8F');
INSERT INTO `dungeon` VALUES ('32806', '32796', '81', '32738', '32797', '82', '5', 'Ivory Tower 8F');
INSERT INTO `dungeon` VALUES ('32738', '32794', '82', '32802', '32797', '81', '5', 'Ivory Tower 7F');
INSERT INTO `dungeon` VALUES ('32738', '32796', '82', '32802', '32797', '81', '5', 'Ivory Tower 7F');
INSERT INTO `dungeon` VALUES ('32739', '32793', '82', '32802', '32797', '81', '5', 'Ivory Tower 7F');
INSERT INTO `dungeon` VALUES ('32739', '32797', '82', '32802', '32797', '81', '5', 'Ivory Tower 7F');
INSERT INTO `dungeon` VALUES ('32741', '32793', '82', '32802', '32797', '81', '5', 'Ivory Tower 7F');
INSERT INTO `dungeon` VALUES ('32741', '32797', '82', '32802', '32797', '81', '5', 'Ivory Tower 7F');
INSERT INTO `dungeon` VALUES ('32742', '32794', '82', '32802', '32797', '81', '5', 'Ivory Tower 7F');
INSERT INTO `dungeon` VALUES ('32742', '32796', '82', '32802', '32797', '81', '5', 'Ivory Tower 7F');
INSERT INTO `dungeon` VALUES ('32735', '32794', '83', '33423', '33502', '4', '0', 'Mainland Aden');
INSERT INTO `dungeon` VALUES ('32732', '32796', '84', '32936', '33058', '70', '4', 'Forgotten Island');
INSERT INTO `dungeon` VALUES ('32736', '32873', '85', '32725', '32789', '87', '4', 'Pago\'s Room');
INSERT INTO `dungeon` VALUES ('32741', '32872', '85', '32730', '32789', '87', '3', 'Pago\'s Room');
INSERT INTO `dungeon` VALUES ('32793', '32872', '86', '32746', '32810', '87', '6', 'Pago\'s Room');
INSERT INTO `dungeon` VALUES ('32794', '32867', '86', '32746', '32805', '87', '6', 'Pago\'s Room');
INSERT INTO `dungeon` VALUES ('32725', '32788', '87', '32737', '32871', '85', '1', 'Singing Island Dungeon');
INSERT INTO `dungeon` VALUES ('32730', '32788', '87', '32741', '32871', '85', '1', 'Singing Island Dungeon');
INSERT INTO `dungeon` VALUES ('32747', '32805', '87', '32795', '32867', '86', '2', 'Hidden Valley Dungeon');
INSERT INTO `dungeon` VALUES ('32747', '32810', '87', '32795', '32872', '86', '2', 'Hidden Valley Dungeon');
INSERT INTO `dungeon` VALUES ('32724', '32798', '101', '34255', '33452', '4', '6', 'Mainland Aden');
INSERT INTO `dungeon` VALUES ('32724', '32799', '101', '34255', '33452', '4', '6', 'Mainland Aden');
INSERT INTO `dungeon` VALUES ('32724', '32800', '101', '34255', '33452', '4', '6', 'Mainland Aden');
INSERT INTO `dungeon` VALUES ('32799', '32797', '101', '32798', '32802', '101', '6', 'Tower of Insolence 1F');
INSERT INTO `dungeon` VALUES ('32799', '32801', '101', '32798', '32798', '102', '6', 'Tower of Insolence 2F');
INSERT INTO `dungeon` VALUES ('32799', '32802', '101', '32798', '32798', '102', '6', 'Tower of Insolence 2F');
INSERT INTO `dungeon` VALUES ('32871', '32870', '101', '32660', '32933', '301', '6', 'Aden Sewer');
INSERT INTO `dungeon` VALUES ('32799', '32797', '102', '32798', '32802', '101', '6', 'Tower of Insolence 1F');
INSERT INTO `dungeon` VALUES ('32799', '32798', '102', '32798', '32802', '101', '6', 'Tower of Insolence 1F');
INSERT INTO `dungeon` VALUES ('32743', '32731', '102', '32749', '32747', '103', '8', 'Tower of Insolence 3F');
INSERT INTO `dungeon` VALUES ('32853', '32855', '102', '32851', '32843', '103', '2', 'Tower of Insolence 3F');
INSERT INTO `dungeon` VALUES ('32748', '32748', '103', '32743', '32732', '102', '4', 'Tower of Insolence 2F');
INSERT INTO `dungeon` VALUES ('32749', '32748', '103', '32743', '32732', '102', '4', 'Tower of Insolence 2F');
INSERT INTO `dungeon` VALUES ('32850', '32843', '103', '32852', '32855', '102', '6', 'Tower of Insolence 2F');
INSERT INTO `dungeon` VALUES ('32850', '32844', '103', '32852', '32855', '102', '6', 'Tower of Insolence 2F');
INSERT INTO `dungeon` VALUES ('32744', '32731', '103', '32749', '32747', '103', '8', 'Tower of Insolence 3F');
INSERT INTO `dungeon` VALUES ('32799', '32801', '103', '32671', '32860', '104', '6', 'Tower of Insolence 4F');
INSERT INTO `dungeon` VALUES ('32799', '32802', '103', '32671', '32860', '104', '6', 'Tower of Insolence 4F');
INSERT INTO `dungeon` VALUES ('32672', '32859', '104', '32798', '32802', '103', '6', 'Tower of Insolence 3F');
INSERT INTO `dungeon` VALUES ('32672', '32860', '104', '32798', '32802', '103', '6', 'Tower of Insolence 3F');
INSERT INTO `dungeon` VALUES ('32732', '32924', '104', '32742', '32928', '105', '8', 'Tower of Insolence 5F');
INSERT INTO `dungeon` VALUES ('32733', '32924', '104', '32742', '32928', '105', '8', 'Tower of Insolence 5F');
INSERT INTO `dungeon` VALUES ('32741', '32929', '105', '32732', '32926', '104', '4', 'Tower of Insolence 4F');
INSERT INTO `dungeon` VALUES ('32742', '32929', '105', '32732', '32926', '104', '4', 'Tower of Insolence 4F');
INSERT INTO `dungeon` VALUES ('32672', '32864', '105', '33766', '32865', '106', '6', 'Tower of Insolence 6F');
INSERT INTO `dungeon` VALUES ('32672', '32865', '105', '33766', '32865', '106', '6', 'Tower of Insolence 6F');
INSERT INTO `dungeon` VALUES ('32740', '32903', '106', '32671', '32865', '105', '6', 'Tower of Insolence 5F');
INSERT INTO `dungeon` VALUES ('33808', '32866', '106', '32671', '32860', '107', '6', 'Tower of Insolence 7F');
INSERT INTO `dungeon` VALUES ('33808', '32867', '106', '32671', '32860', '107', '6', 'Tower of Insolence 7F');
INSERT INTO `dungeon` VALUES ('32672', '32859', '107', '33807', '32866', '106', '6', 'Tower of Insolence 6F');
INSERT INTO `dungeon` VALUES ('32672', '32860', '107', '33807', '32866', '106', '6', 'Tower of Insolence 6F');
INSERT INTO `dungeon` VALUES ('32666', '32934', '107', '32670', '32932', '108', '2', 'Tower of Insolence 8F');
INSERT INTO `dungeon` VALUES ('32666', '32935', '107', '32670', '32932', '108', '2', 'Tower of Insolence 8F');
INSERT INTO `dungeon` VALUES ('32669', '32932', '108', '32665', '32935', '107', '6', 'Tower of Insolence 7F');
INSERT INTO `dungeon` VALUES ('32669', '32933', '108', '32665', '32935', '107', '6', 'Tower of Insolence 7F');
INSERT INTO `dungeon` VALUES ('32731', '32806', '108', '32732', '32810', '109', '2', 'Tower of Insolence 9F');
INSERT INTO `dungeon` VALUES ('32731', '32807', '108', '32732', '32810', '109', '2', 'Tower of Insolence 9F');
INSERT INTO `dungeon` VALUES ('32731', '32810', '109', '32730', '32807', '108', '6', 'Tower of Insolence 8F');
INSERT INTO `dungeon` VALUES ('32731', '32811', '109', '32730', '32807', '108', '6', 'Tower of Insolence 8F');
INSERT INTO `dungeon` VALUES ('32621', '32812', '109', '32754', '32739', '110', '8', 'Tower of Insolence 10F');
INSERT INTO `dungeon` VALUES ('32622', '32812', '109', '32754', '32739', '110', '8', 'Tower of Insolence 10F');
INSERT INTO `dungeon` VALUES ('32753', '32740', '110', '32621', '32813', '109', '4', 'Tower of Insolence 9F');
INSERT INTO `dungeon` VALUES ('32754', '32740', '110', '32621', '32813', '109', '4', 'Tower of Insolence 9F');
INSERT INTO `dungeon` VALUES ('32672', '32864', '111', '32798', '32798', '112', '6', 'Tower of Insolence 12F');
INSERT INTO `dungeon` VALUES ('32672', '32865', '111', '32798', '32798', '112', '6', 'Tower of Insolence 12F');
INSERT INTO `dungeon` VALUES ('32799', '32797', '112', '32671', '32865', '111', '6', 'Tower of Insolence 11F');
INSERT INTO `dungeon` VALUES ('32799', '32798', '112', '32671', '32865', '111', '6', 'Tower of Insolence 11F');
INSERT INTO `dungeon` VALUES ('32743', '32731', '112', '32749', '32746', '113', '8', 'Tower of Insolence 13F');
INSERT INTO `dungeon` VALUES ('32744', '32731', '112', '32749', '32747', '113', '8', 'Tower of Insolence 13F');
INSERT INTO `dungeon` VALUES ('32852', '32855', '112', '32851', '32843', '113', '2', 'Tower of Insolence 13F');
INSERT INTO `dungeon` VALUES ('32748', '32747', '113', '32743', '32732', '112', '4', 'Tower of Insolence 12F');
INSERT INTO `dungeon` VALUES ('32749', '32747', '113', '32743', '32732', '112', '4', 'Tower of Insolence 12F');
INSERT INTO `dungeon` VALUES ('32851', '32843', '113', '32851', '32855', '112', '6', 'Tower of Insolence 12F');
INSERT INTO `dungeon` VALUES ('32851', '32844', '113', '32851', '32855', '112', '6', 'Tower of Insolence 12F');
INSERT INTO `dungeon` VALUES ('32799', '32801', '113', '32671', '32860', '114', '6', 'Tower of Insolence 14F');
INSERT INTO `dungeon` VALUES ('32799', '32802', '113', '32671', '32860', '114', '6', 'Tower of Insolence 14F');
INSERT INTO `dungeon` VALUES ('32672', '32859', '114', '32798', '32802', '113', '6', 'Tower of Insolence 13F');
INSERT INTO `dungeon` VALUES ('32672', '32860', '114', '32798', '32802', '113', '6', 'Tower of Insolence 13F');
INSERT INTO `dungeon` VALUES ('32732', '32924', '114', '32671', '32861', '115', '6', 'Tower of Insolence 15F');
INSERT INTO `dungeon` VALUES ('32733', '32924', '114', '32671', '32861', '115', '6', 'Tower of Insolence 15F');
INSERT INTO `dungeon` VALUES ('32672', '32860', '115', '32732', '32926', '114', '4', 'Tower of Insolence 14F');
INSERT INTO `dungeon` VALUES ('32672', '32861', '115', '32732', '32926', '114', '4', 'Tower of Insolence 14F');
INSERT INTO `dungeon` VALUES ('32694', '32786', '115', '32743', '32865', '116', '8', 'Tower of Insolence 16F');
INSERT INTO `dungeon` VALUES ('32742', '32866', '116', '32693', '32786', '115', '6', 'Tower of Insolence 15F');
INSERT INTO `dungeon` VALUES ('32743', '32866', '116', '32693', '32786', '115', '6', 'Tower of Insolence 15F');
INSERT INTO `dungeon` VALUES ('32784', '32866', '116', '32671', '32860', '117', '6', 'Tower of Insolence 17F');
INSERT INTO `dungeon` VALUES ('32784', '32867', '116', '32671', '32860', '117', '6', 'Tower of Insolence 17F');
INSERT INTO `dungeon` VALUES ('32672', '32859', '117', '32783', '32867', '116', '6', 'Tower of Insolence 16F');
INSERT INTO `dungeon` VALUES ('32672', '32860', '117', '32783', '32867', '116', '6', 'Tower of Insolence 16F');
INSERT INTO `dungeon` VALUES ('32666', '32935', '117', '32670', '32932', '118', '2', 'Tower of Insolence 18F');
INSERT INTO `dungeon` VALUES ('32669', '32932', '118', '32665', '32935', '117', '6', 'Tower of Insolence 17F');
INSERT INTO `dungeon` VALUES ('32669', '32933', '118', '32665', '32935', '117', '6', 'Tower of Insolence 17F');
INSERT INTO `dungeon` VALUES ('32731', '32806', '118', '32732', '32810', '119', '2', 'Tower of Insolence 19F');
INSERT INTO `dungeon` VALUES ('32731', '32807', '118', '32732', '32810', '119', '2', 'Tower of Insolence 19F');
INSERT INTO `dungeon` VALUES ('32731', '32810', '119', '32730', '32807', '118', '6', 'Tower of Insolence 18F');
INSERT INTO `dungeon` VALUES ('32731', '32811', '119', '32730', '32807', '118', '6', 'Tower of Insolence 18F');
INSERT INTO `dungeon` VALUES ('32621', '32812', '119', '32754', '32739', '120', '8', 'Tower of Insolence 20F');
INSERT INTO `dungeon` VALUES ('32622', '32812', '119', '32754', '32739', '120', '8', 'Tower of Insolence 20F');
INSERT INTO `dungeon` VALUES ('32753', '32740', '120', '32621', '32813', '119', '4', 'Tower of Insolence 19F');
INSERT INTO `dungeon` VALUES ('32754', '32740', '120', '32621', '32813', '119', '4', 'Tower of Insolence 19F');
INSERT INTO `dungeon` VALUES ('32672', '32864', '121', '32798', '32798', '122', '6', 'Tower of Insolence 22F');
INSERT INTO `dungeon` VALUES ('32672', '32865', '121', '32798', '32798', '122', '6', 'Tower of Insolence 22F');
INSERT INTO `dungeon` VALUES ('32799', '32797', '122', '32671', '32865', '121', '6', 'Tower of Insolence 21F');
INSERT INTO `dungeon` VALUES ('32799', '32798', '122', '32671', '32865', '121', '6', 'Tower of Insolence 21F');
INSERT INTO `dungeon` VALUES ('32748', '32872', '122', '32787', '32870', '123', '8', 'Tower of Insolence 23F');
INSERT INTO `dungeon` VALUES ('32748', '32873', '122', '32787', '32870', '123', '8', 'Tower of Insolence 23F');
INSERT INTO `dungeon` VALUES ('32872', '32723', '122', '32875', '32750', '123', '2', 'Tower of Insolence 23F');
INSERT INTO `dungeon` VALUES ('32786', '32871', '123', '32747', '32873', '122', '6', 'Tower of Insolence 22F');
INSERT INTO `dungeon` VALUES ('32787', '32871', '123', '32747', '32873', '122', '6', 'Tower of Insolence 22F');
INSERT INTO `dungeon` VALUES ('32874', '32750', '123', '32871', '32723', '122', '6', 'Tower of Insolence 22F');
INSERT INTO `dungeon` VALUES ('32874', '32751', '123', '32871', '32723', '122', '6', 'Tower of Insolence 22F');
INSERT INTO `dungeon` VALUES ('32799', '32801', '123', '32671', '32860', '124', '6', 'Tower of Insolence 24F');
INSERT INTO `dungeon` VALUES ('32799', '32802', '123', '32671', '32860', '124', '6', 'Tower of Insolence 24F');
INSERT INTO `dungeon` VALUES ('32672', '32859', '124', '32798', '32802', '123', '6', 'Tower of Insolence 23F');
INSERT INTO `dungeon` VALUES ('32672', '32860', '124', '32798', '32802', '123', '6', 'Tower of Insolence 23F');
INSERT INTO `dungeon` VALUES ('32732', '32924', '124', '32742', '32928', '125', '8', 'Tower of Insolence 25F');
INSERT INTO `dungeon` VALUES ('32733', '32924', '124', '32742', '32928', '125', '8', 'Tower of Insolence 25F');
INSERT INTO `dungeon` VALUES ('32741', '32929', '125', '32732', '32926', '124', '4', 'Tower of Insolence 24F');
INSERT INTO `dungeon` VALUES ('32742', '32929', '125', '32732', '32926', '124', '4', 'Tower of Insolence 24F');
INSERT INTO `dungeon` VALUES ('32672', '32864', '125', '32737', '32853', '126', '6', 'Tower of Insolence 26F');
INSERT INTO `dungeon` VALUES ('32672', '32865', '125', '32737', '32853', '126', '6', 'Tower of Insolence 26F');
INSERT INTO `dungeon` VALUES ('32736', '32854', '126', '32671', '32865', '125', '6', 'Tower of Insolence 25F');
INSERT INTO `dungeon` VALUES ('32737', '32854', '126', '32671', '32865', '125', '6', 'Tower of Insolence 25F');
INSERT INTO `dungeon` VALUES ('32781', '32866', '126', '32799', '32866', '126', '8', 'Tower of Insolence 26F');
INSERT INTO `dungeon` VALUES ('32781', '32867', '126', '32799', '32866', '126', '8', 'Tower of Insolence 26F');
INSERT INTO `dungeon` VALUES ('32798', '32867', '126', '32781', '32866', '126', '2', 'Tower of Insolence 26F');
INSERT INTO `dungeon` VALUES ('32799', '32867', '126', '32781', '32866', '126', '2', 'Tower of Insolence 26F');
INSERT INTO `dungeon` VALUES ('32784', '32866', '126', '32671', '32860', '127', '6', 'Tower of Insolence 27F');
INSERT INTO `dungeon` VALUES ('32784', '32867', '126', '32671', '32860', '127', '6', 'Tower of Insolence 27F');
INSERT INTO `dungeon` VALUES ('32672', '32859', '127', '32783', '32867', '126', '6', 'Tower of Insolence 26F');
INSERT INTO `dungeon` VALUES ('32672', '32860', '127', '32783', '32867', '126', '6', 'Tower of Insolence 26F');
INSERT INTO `dungeon` VALUES ('32666', '32934', '127', '32670', '32932', '128', '2', 'Tower of Insolence 28F');
INSERT INTO `dungeon` VALUES ('32666', '32935', '127', '32670', '32932', '128', '2', 'Tower of Insolence 28F');
INSERT INTO `dungeon` VALUES ('32669', '32932', '128', '32665', '32935', '127', '6', 'Tower of Insolence 27F');
INSERT INTO `dungeon` VALUES ('32669', '32933', '128', '32665', '32935', '127', '6', 'Tower of Insolence 27F');
INSERT INTO `dungeon` VALUES ('32615', '32805', '128', '32723', '32860', '129', '2', 'Tower of Insolence 29F');
INSERT INTO `dungeon` VALUES ('32616', '32805', '128', '32723', '32860', '129', '2', 'Tower of Insolence 29F');
INSERT INTO `dungeon` VALUES ('32722', '32860', '129', '32615', '32806', '128', '4', 'Tower of Insolence 28F');
INSERT INTO `dungeon` VALUES ('32722', '32861', '129', '32615', '32806', '128', '4', 'Tower of Insolence 28F');
INSERT INTO `dungeon` VALUES ('32621', '32812', '129', '32754', '32739', '130', '8', 'Tower of Insolence 30F');
INSERT INTO `dungeon` VALUES ('32622', '32812', '129', '32754', '32739', '130', '8', 'Tower of Insolence 30F');
INSERT INTO `dungeon` VALUES ('32753', '32740', '130', '32621', '32813', '129', '4', 'Tower of Insolence 29F');
INSERT INTO `dungeon` VALUES ('32754', '32740', '130', '32621', '32813', '129', '4', 'Tower of Insolence 29F');
INSERT INTO `dungeon` VALUES ('32672', '32864', '131', '32798', '32798', '132', '6', 'Tower of Insolence 32F');
INSERT INTO `dungeon` VALUES ('32672', '32865', '131', '32798', '32798', '132', '6', 'Tower of Insolence 32F');
INSERT INTO `dungeon` VALUES ('32799', '32797', '132', '32671', '32865', '131', '6', 'Tower of Insolence 31F');
INSERT INTO `dungeon` VALUES ('32799', '32798', '132', '32671', '32865', '131', '6', 'Tower of Insolence 31F');
INSERT INTO `dungeon` VALUES ('32743', '32731', '132', '32749', '32747', '133', '8', 'Tower of Insolence 33F');
INSERT INTO `dungeon` VALUES ('32744', '32731', '132', '32749', '32747', '133', '8', 'Tower of Insolence 33F');
INSERT INTO `dungeon` VALUES ('32853', '32854', '132', '32851', '32843', '133', '2', 'Tower of Insolence 33F');
INSERT INTO `dungeon` VALUES ('32853', '32855', '132', '32851', '32843', '133', '2', 'Tower of Insolence 33F');
INSERT INTO `dungeon` VALUES ('32748', '32748', '133', '32743', '32732', '132', '4', 'Tower of Insolence 32F');
INSERT INTO `dungeon` VALUES ('32749', '32748', '133', '32743', '32732', '132', '4', 'Tower of Insolence 32F');
INSERT INTO `dungeon` VALUES ('32850', '32843', '133', '32852', '32855', '132', '6', 'Tower of Insolence 32F');
INSERT INTO `dungeon` VALUES ('32850', '32844', '133', '32852', '32855', '132', '6', 'Tower of Insolence 32F');
INSERT INTO `dungeon` VALUES ('32799', '32801', '133', '32671', '32860', '134', '6', 'Tower of Insolence 34F');
INSERT INTO `dungeon` VALUES ('32799', '32802', '133', '32671', '32860', '134', '6', 'Tower of Insolence 34F');
INSERT INTO `dungeon` VALUES ('32672', '32859', '134', '32798', '32802', '133', '6', 'Tower of Insolence 33F');
INSERT INTO `dungeon` VALUES ('32672', '32860', '134', '32798', '32802', '133', '6', 'Tower of Insolence 33F');
INSERT INTO `dungeon` VALUES ('32732', '32924', '134', '32742', '32928', '135', '8', 'Tower of Insolence 35F');
INSERT INTO `dungeon` VALUES ('32733', '32924', '134', '32742', '32928', '135', '8', 'Tower of Insolence 35F');
INSERT INTO `dungeon` VALUES ('32741', '32929', '135', '32732', '32926', '134', '4', 'Tower of Insolence 34F');
INSERT INTO `dungeon` VALUES ('32742', '32929', '135', '32732', '32926', '134', '4', 'Tower of Insolence 34F');
INSERT INTO `dungeon` VALUES ('32672', '32864', '135', '32739', '32864', '136', '8', 'Tower of Insolence 36F');
INSERT INTO `dungeon` VALUES ('32672', '32865', '135', '32739', '32864', '136', '8', 'Tower of Insolence 36F');
INSERT INTO `dungeon` VALUES ('32738', '32865', '136', '32671', '32865', '135', '6', 'Tower of Insolence 35F');
INSERT INTO `dungeon` VALUES ('32739', '32865', '136', '32671', '32865', '135', '6', 'Tower of Insolence 35F');
INSERT INTO `dungeon` VALUES ('32786', '32864', '136', '32671', '32860', '137', '6', 'Tower of Insolence 37F');
INSERT INTO `dungeon` VALUES ('32786', '32865', '136', '32671', '32860', '137', '6', 'Tower of Insolence 37F');
INSERT INTO `dungeon` VALUES ('32672', '32859', '137', '32785', '32865', '136', '6', 'Tower of Insolence 36F');
INSERT INTO `dungeon` VALUES ('32672', '32860', '137', '32785', '32865', '136', '6', 'Tower of Insolence 36F');
INSERT INTO `dungeon` VALUES ('32666', '32934', '137', '32670', '32932', '138', '2', 'Tower of Insolence 38F');
INSERT INTO `dungeon` VALUES ('32666', '32935', '137', '32670', '32932', '138', '2', 'Tower of Insolence 38F');
INSERT INTO `dungeon` VALUES ('32669', '32932', '138', '32665', '32935', '137', '6', 'Tower of Insolence 37F');
INSERT INTO `dungeon` VALUES ('32669', '32933', '138', '32665', '32935', '137', '6', 'Tower of Insolence 37F');
INSERT INTO `dungeon` VALUES ('32731', '32806', '138', '32732', '32810', '139', '2', 'Tower of Insolence 39F');
INSERT INTO `dungeon` VALUES ('32731', '32807', '138', '32732', '32810', '139', '2', 'Tower of Insolence 39F');
INSERT INTO `dungeon` VALUES ('32731', '32810', '139', '32730', '32807', '138', '6', 'Tower of Insolence 38F');
INSERT INTO `dungeon` VALUES ('32731', '32811', '139', '32730', '32807', '138', '6', 'Tower of Insolence 38F');
INSERT INTO `dungeon` VALUES ('32621', '32812', '139', '32754', '32739', '140', '8', 'Tower of Insolence 40F');
INSERT INTO `dungeon` VALUES ('32622', '32812', '139', '32754', '32739', '140', '8', 'Tower of Insolence 40F');
INSERT INTO `dungeon` VALUES ('32753', '32740', '140', '32621', '32813', '139', '4', 'Tower of Insolence 39F');
INSERT INTO `dungeon` VALUES ('32754', '32740', '140', '32621', '32813', '139', '4', 'Tower of Insolence 39F');
INSERT INTO `dungeon` VALUES ('32672', '32865', '141', '32798', '32798', '142', '6', 'Tower of Insolence 42F');
INSERT INTO `dungeon` VALUES ('32740', '32903', '141', '32798', '32798', '142', '6', 'Tower of Insolence 42F');
INSERT INTO `dungeon` VALUES ('32799', '32797', '142', '32671', '32865', '141', '6', 'Tower of Insolence 41F');
INSERT INTO `dungeon` VALUES ('32799', '32798', '142', '32671', '32865', '141', '6', 'Tower of Insolence 41F');
INSERT INTO `dungeon` VALUES ('32793', '32864', '142', '32813', '32870', '143', '2', 'Tower of Insolence 43F');
INSERT INTO `dungeon` VALUES ('32793', '32865', '142', '32813', '32870', '143', '2', 'Tower of Insolence 43F');
INSERT INTO `dungeon` VALUES ('32851', '32746', '142', '32843', '32734', '143', '8', 'Tower of Insolence 43F');
INSERT INTO `dungeon` VALUES ('32852', '32746', '142', '32843', '32734', '143', '8', 'Tower of Insolence 43F');
INSERT INTO `dungeon` VALUES ('32812', '32870', '143', '32792', '32865', '142', '6', 'Tower of Insolence 42F');
INSERT INTO `dungeon` VALUES ('32812', '32871', '143', '32792', '32865', '142', '6', 'Tower of Insolence 42F');
INSERT INTO `dungeon` VALUES ('32842', '32735', '143', '32851', '32747', '142', '4', 'Tower of Insolence 42F');
INSERT INTO `dungeon` VALUES ('32843', '32735', '143', '32851', '32747', '142', '4', 'Tower of Insolence 42F');
INSERT INTO `dungeon` VALUES ('32799', '32801', '143', '32671', '32860', '144', '6', 'Tower of Insolence 44F');
INSERT INTO `dungeon` VALUES ('32799', '32802', '143', '32671', '32860', '144', '6', 'Tower of Insolence 44F');
INSERT INTO `dungeon` VALUES ('32672', '32859', '144', '32798', '32802', '143', '6', 'Tower of Insolence 43F');
INSERT INTO `dungeon` VALUES ('32672', '32860', '144', '32798', '32802', '143', '6', 'Tower of Insolence 43F');
INSERT INTO `dungeon` VALUES ('32732', '32924', '144', '32742', '32928', '145', '8', 'Tower of Insolence 45F');
INSERT INTO `dungeon` VALUES ('32733', '32924', '144', '32742', '32928', '145', '8', 'Tower of Insolence 45F');
INSERT INTO `dungeon` VALUES ('32741', '32929', '145', '32732', '32926', '144', '4', 'Tower of Insolence 44F');
INSERT INTO `dungeon` VALUES ('32742', '32929', '145', '32732', '32926', '144', '4', 'Tower of Insolence 44F');
INSERT INTO `dungeon` VALUES ('32672', '32864', '145', '32735', '32869', '146', '8', 'Tower of Insolence 46F');
INSERT INTO `dungeon` VALUES ('32672', '32865', '145', '32735', '32869', '146', '8', 'Tower of Insolence 46F');
INSERT INTO `dungeon` VALUES ('32734', '32870', '146', '32671', '32865', '145', '6', 'Tower of Insolence 45F');
INSERT INTO `dungeon` VALUES ('32735', '32870', '146', '32671', '32865', '145', '6', 'Tower of Insolence 45F');
INSERT INTO `dungeon` VALUES ('32790', '32867', '146', '32671', '32860', '147', '6', 'Tower of Insolence 47F');
INSERT INTO `dungeon` VALUES ('32790', '32868', '146', '32671', '32860', '147', '6', 'Tower of Insolence 47F');
INSERT INTO `dungeon` VALUES ('32672', '32859', '147', '32789', '32868', '146', '6', 'Tower of Insolence 46F');
INSERT INTO `dungeon` VALUES ('32672', '32860', '147', '32789', '32868', '146', '6', 'Tower of Insolence 46F');
INSERT INTO `dungeon` VALUES ('32666', '32934', '147', '32670', '32932', '148', '2', 'Tower of Insolence 48F');
INSERT INTO `dungeon` VALUES ('32666', '32935', '147', '32670', '32932', '148', '2', 'Tower of Insolence 48F');
INSERT INTO `dungeon` VALUES ('32669', '32932', '148', '32665', '32935', '147', '6', 'Tower of Insolence 47F');
INSERT INTO `dungeon` VALUES ('32669', '32933', '148', '32665', '32935', '147', '6', 'Tower of Insolence 47F');
INSERT INTO `dungeon` VALUES ('32731', '32806', '148', '32732', '32810', '149', '2', 'Tower of Insolence 49F');
INSERT INTO `dungeon` VALUES ('32731', '32807', '148', '32732', '32810', '149', '2', 'Tower of Insolence 49F');
INSERT INTO `dungeon` VALUES ('32731', '32810', '149', '32730', '32807', '148', '6', 'Tower of Insolence 48F');
INSERT INTO `dungeon` VALUES ('32731', '32811', '149', '32730', '32807', '148', '6', 'Tower of Insolence 48F');
INSERT INTO `dungeon` VALUES ('32621', '32812', '149', '32754', '32739', '150', '8', 'Tower of Insolence 50F');
INSERT INTO `dungeon` VALUES ('32622', '32812', '149', '32754', '32739', '150', '8', 'Tower of Insolence 50F');
INSERT INTO `dungeon` VALUES ('32753', '32740', '150', '32621', '32813', '149', '4', 'Tower of Insolence 49F');
INSERT INTO `dungeon` VALUES ('32754', '32740', '150', '32621', '32813', '149', '4', 'Tower of Insolence 49F');
INSERT INTO `dungeon` VALUES ('32672', '32864', '151', '32671', '32860', '152', '6', 'Tower of Insolence 52F');
INSERT INTO `dungeon` VALUES ('32672', '32865', '151', '32671', '32860', '152', '6', 'Tower of Insolence 52F');
INSERT INTO `dungeon` VALUES ('32740', '32902', '151', '32732', '32924', '152', '8', 'Tower of Insolence 52F');
INSERT INTO `dungeon` VALUES ('32740', '32903', '151', '32732', '32925', '152', '8', 'Tower of Insolence 52F');
INSERT INTO `dungeon` VALUES ('32672', '32859', '152', '32671', '32865', '151', '6', 'Tower of Insolence 51F');
INSERT INTO `dungeon` VALUES ('32672', '32860', '152', '32671', '32865', '151', '6', 'Tower of Insolence 51F');
INSERT INTO `dungeon` VALUES ('32732', '32925', '152', '32739', '32903', '151', '6', 'Tower of Insolence 51F');
INSERT INTO `dungeon` VALUES ('32731', '32806', '152', '32732', '32807', '153', '8', 'Tower of Insolence 53F');
INSERT INTO `dungeon` VALUES ('32731', '32807', '152', '32732', '32807', '153', '8', 'Tower of Insolence 53F');
INSERT INTO `dungeon` VALUES ('32742', '32838', '152', '32732', '32907', '153', '2', 'Tower of Insolence 53F');
INSERT INTO `dungeon` VALUES ('32742', '32839', '152', '32732', '32907', '153', '2', 'Tower of Insolence 53F');
INSERT INTO `dungeon` VALUES ('32731', '32808', '153', '32730', '32807', '152', '6', 'Tower of Insolence 52F');
INSERT INTO `dungeon` VALUES ('32731', '32908', '153', '32741', '32839', '152', '6', 'Tower of Insolence 52F');
INSERT INTO `dungeon` VALUES ('32732', '32808', '153', '32730', '32807', '152', '6', 'Tower of Insolence 52F');
INSERT INTO `dungeon` VALUES ('32732', '32908', '153', '32741', '32839', '152', '6', 'Tower of Insolence 52F');
INSERT INTO `dungeon` VALUES ('32671', '32864', '153', '32798', '32797', '154', '6', 'Tower of Insolence 54F');
INSERT INTO `dungeon` VALUES ('32671', '32865', '153', '32798', '32797', '154', '6', 'Tower of Insolence 54F');
INSERT INTO `dungeon` VALUES ('32722', '32803', '153', '32846', '32747', '154', '2', 'Tower of Insolence 54F');
INSERT INTO `dungeon` VALUES ('32645', '32747', '154', '32722', '32803', '153', '6', 'Tower of Insolence 53F');
INSERT INTO `dungeon` VALUES ('32799', '32796', '154', '32670', '32865', '153', '6', 'Tower of Insolence 53F');
INSERT INTO `dungeon` VALUES ('32799', '32797', '154', '32670', '32865', '153', '6', 'Tower of Insolence 53F');
INSERT INTO `dungeon` VALUES ('32845', '32748', '154', '32722', '32803', '153', '6', 'Tower of Insolence 53F');
INSERT INTO `dungeon` VALUES ('32745', '32846', '154', '32734', '32848', '155', '8', 'Tower of Insolence 55F');
INSERT INTO `dungeon` VALUES ('32745', '32847', '154', '32734', '32848', '155', '8', 'Tower of Insolence 55F');
INSERT INTO `dungeon` VALUES ('32752', '32742', '154', '32742', '32734', '155', '2', 'Tower of Insolence 55F');
INSERT INTO `dungeon` VALUES ('32753', '32742', '154', '32742', '32734', '155', '2', 'Tower of Insolence 55F');
INSERT INTO `dungeon` VALUES ('32733', '32849', '155', '32744', '32847', '154', '6', 'Tower of Insolence 54F');
INSERT INTO `dungeon` VALUES ('32734', '32849', '155', '32744', '32847', '154', '6', 'Tower of Insolence 54F');
INSERT INTO `dungeon` VALUES ('32741', '32734', '155', '32752', '32743', '154', '4', 'Tower of Insolence 54F');
INSERT INTO `dungeon` VALUES ('32741', '32735', '155', '32752', '32743', '154', '4', 'Tower of Insolence 54F');
INSERT INTO `dungeon` VALUES ('32834', '32819', '155', '32807', '32805', '156', '2', 'Tower of Insolence 56F');
INSERT INTO `dungeon` VALUES ('32834', '32820', '155', '32807', '32805', '156', '2', 'Tower of Insolence 56F');
INSERT INTO `dungeon` VALUES ('32806', '32805', '156', '32833', '32820', '155', '6', 'Tower of Insolence 55F');
INSERT INTO `dungeon` VALUES ('32806', '32806', '156', '32833', '32820', '155', '6', 'Tower of Insolence 55F');
INSERT INTO `dungeon` VALUES ('32727', '32801', '156', '32747', '32898', '157', '8', 'Tower of Insolence 57F');
INSERT INTO `dungeon` VALUES ('32727', '32802', '156', '32747', '32898', '157', '8', 'Tower of Insolence 57F');
INSERT INTO `dungeon` VALUES ('32746', '32899', '157', '32726', '32802', '156', '6', 'Tower of Insolence 56F');
INSERT INTO `dungeon` VALUES ('32747', '32899', '157', '32726', '32802', '156', '6', 'Tower of Insolence 56F');
INSERT INTO `dungeon` VALUES ('32672', '32864', '157', '32671', '32860', '158', '6', 'Tower of Insolence 58F');
INSERT INTO `dungeon` VALUES ('32672', '32865', '157', '32671', '32860', '158', '6', 'Tower of Insolence 58F');
INSERT INTO `dungeon` VALUES ('32745', '32932', '157', '32735', '32921', '158', '2', 'Tower of Insolence 58F');
INSERT INTO `dungeon` VALUES ('32745', '32933', '157', '32735', '32921', '158', '2', 'Tower of Insolence 58F');
INSERT INTO `dungeon` VALUES ('32672', '32859', '158', '32671', '32865', '157', '6', 'Tower of Insolence 57F');
INSERT INTO `dungeon` VALUES ('32672', '32860', '158', '32671', '32865', '157', '6', 'Tower of Insolence 57F');
INSERT INTO `dungeon` VALUES ('32734', '32921', '158', '32744', '32933', '157', '6', 'Tower of Insolence 57F');
INSERT INTO `dungeon` VALUES ('32734', '32922', '158', '32744', '32933', '157', '6', 'Tower of Insolence 57F');
INSERT INTO `dungeon` VALUES ('32614', '32918', '158', '32617', '32916', '159', '2', 'Tower of Insolence 59F');
INSERT INTO `dungeon` VALUES ('32615', '32918', '158', '32617', '32916', '159', '2', 'Tower of Insolence 59F');
INSERT INTO `dungeon` VALUES ('32662', '32798', '158', '32657', '32791', '159', '2', 'Tower of Insolence 59F');
INSERT INTO `dungeon` VALUES ('32662', '32799', '158', '32657', '32791', '159', '2', 'Tower of Insolence 59F');
INSERT INTO `dungeon` VALUES ('32616', '32916', '159', '32614', '32919', '158', '4', 'Tower of Insolence 58F');
INSERT INTO `dungeon` VALUES ('32616', '32917', '159', '32614', '32919', '158', '4', 'Tower of Insolence 58F');
INSERT INTO `dungeon` VALUES ('32656', '32791', '159', '32661', '32799', '158', '6', 'Tower of Insolence 58F');
INSERT INTO `dungeon` VALUES ('32656', '32792', '159', '32661', '32799', '158', '6', 'Tower of Insolence 58F');
INSERT INTO `dungeon` VALUES ('32711', '32806', '159', '32681', '32814', '160', '2', 'Tower of Insolence 60F');
INSERT INTO `dungeon` VALUES ('32711', '32807', '159', '32681', '32814', '160', '2', 'Tower of Insolence 60F');
INSERT INTO `dungeon` VALUES ('32745', '32840', '159', '32749', '32814', '160', '8', 'Tower of Insolence 60F');
INSERT INTO `dungeon` VALUES ('32745', '32841', '159', '32749', '32814', '160', '8', 'Tower of Insolence 60F');
INSERT INTO `dungeon` VALUES ('32680', '32814', '160', '32710', '32807', '159', '6', 'Tower of Insolence 59F');
INSERT INTO `dungeon` VALUES ('32680', '32815', '160', '32710', '32807', '159', '6', 'Tower of Insolence 59F');
INSERT INTO `dungeon` VALUES ('32748', '32815', '160', '32744', '32841', '159', '6', 'Tower of Insolence 59F');
INSERT INTO `dungeon` VALUES ('32749', '32815', '160', '32744', '32841', '159', '6', 'Tower of Insolence 59F');
INSERT INTO `dungeon` VALUES ('32731', '32799', '161', '32695', '32788', '162', '8', 'Tower of Insolence 62F');
INSERT INTO `dungeon` VALUES ('32732', '32799', '161', '32695', '32788', '162', '8', 'Tower of Insolence 62F');
INSERT INTO `dungeon` VALUES ('32740', '32902', '161', '32740', '32915', '162', '2', 'Tower of Insolence 62F');
INSERT INTO `dungeon` VALUES ('32740', '32903', '161', '32740', '32915', '162', '2', 'Tower of Insolence 62F');
INSERT INTO `dungeon` VALUES ('32694', '32789', '162', '32731', '32800', '161', '4', 'Tower of Insolence 61F');
INSERT INTO `dungeon` VALUES ('32695', '32789', '162', '32731', '32800', '161', '4', 'Tower of Insolence 61F');
INSERT INTO `dungeon` VALUES ('32739', '32915', '162', '32739', '32903', '161', '6', 'Tower of Insolence 61F');
INSERT INTO `dungeon` VALUES ('32739', '32916', '162', '32739', '32903', '161', '6', 'Tower of Insolence 61F');
INSERT INTO `dungeon` VALUES ('32742', '32838', '162', '32731', '32847', '163', '2', 'Tower of Insolence 63F');
INSERT INTO `dungeon` VALUES ('32742', '32839', '162', '32731', '32847', '163', '2', 'Tower of Insolence 63F');
INSERT INTO `dungeon` VALUES ('32745', '32878', '162', '32732', '32907', '163', '8', 'Tower of Insolence 63F');
INSERT INTO `dungeon` VALUES ('32745', '32879', '162', '32732', '32907', '163', '8', 'Tower of Insolence 63F');
INSERT INTO `dungeon` VALUES ('32730', '32847', '163', '32741', '32839', '162', '6', 'Tower of Insolence 62F');
INSERT INTO `dungeon` VALUES ('32730', '32848', '163', '32741', '32839', '162', '6', 'Tower of Insolence 62F');
INSERT INTO `dungeon` VALUES ('32731', '32908', '163', '32744', '32879', '162', '6', 'Tower of Insolence 62F');
INSERT INTO `dungeon` VALUES ('32732', '32908', '163', '32744', '32879', '162', '6', 'Tower of Insolence 62F');
INSERT INTO `dungeon` VALUES ('32671', '32864', '163', '32798', '32797', '164', '6', 'Tower of Insolence 64F');
INSERT INTO `dungeon` VALUES ('32671', '32865', '163', '32798', '32797', '164', '6', 'Tower of Insolence 64F');
INSERT INTO `dungeon` VALUES ('32732', '32812', '163', '32873', '32753', '164', '2', 'Tower of Insolence 64F');
INSERT INTO `dungeon` VALUES ('32733', '32812', '163', '32873', '32753', '164', '2', 'Tower of Insolence 64F');
INSERT INTO `dungeon` VALUES ('32799', '32796', '164', '32670', '32865', '163', '6', 'Tower of Insolence 63F');
INSERT INTO `dungeon` VALUES ('32799', '32797', '164', '32670', '32865', '163', '6', 'Tower of Insolence 63F');
INSERT INTO `dungeon` VALUES ('32872', '32753', '164', '32732', '32813', '163', '4', 'Tower of Insolence 63F');
INSERT INTO `dungeon` VALUES ('32872', '32754', '164', '32732', '32813', '163', '4', 'Tower of Insolence 63F');
INSERT INTO `dungeon` VALUES ('32756', '32850', '164', '32734', '32848', '165', '8', 'Tower of Insolence 65F');
INSERT INTO `dungeon` VALUES ('32757', '32850', '164', '32734', '32848', '165', '8', 'Tower of Insolence 65F');
INSERT INTO `dungeon` VALUES ('32870', '32843', '164', '32874', '32858', '165', '2', 'Tower of Insolence 65F');
INSERT INTO `dungeon` VALUES ('32870', '32844', '164', '32874', '32858', '165', '2', 'Tower of Insolence 65F');
INSERT INTO `dungeon` VALUES ('32733', '32849', '165', '32756', '32850', '164', '4', 'Tower of Insolence 64F');
INSERT INTO `dungeon` VALUES ('32734', '32849', '165', '32756', '32850', '164', '4', 'Tower of Insolence 64F');
INSERT INTO `dungeon` VALUES ('32873', '32858', '165', '32869', '32844', '164', '6', 'Tower of Insolence 64F');
INSERT INTO `dungeon` VALUES ('32873', '32859', '165', '32869', '32844', '164', '6', 'Tower of Insolence 64F');
INSERT INTO `dungeon` VALUES ('32871', '32726', '165', '32736', '32802', '166', '2', 'Tower of Insolence 66F');
INSERT INTO `dungeon` VALUES ('32871', '32727', '165', '32736', '32802', '166', '2', 'Tower of Insolence 66F');
INSERT INTO `dungeon` VALUES ('32735', '32802', '166', '32870', '32727', '165', '6', 'Tower of Insolence 65F');
INSERT INTO `dungeon` VALUES ('32735', '32803', '166', '32870', '32727', '165', '6', 'Tower of Insolence 65F');
INSERT INTO `dungeon` VALUES ('32796', '32801', '166', '32747', '32898', '167', '8', 'Tower of Insolence 67F');
INSERT INTO `dungeon` VALUES ('32796', '32802', '166', '32747', '32898', '167', '8', 'Tower of Insolence 67F');
INSERT INTO `dungeon` VALUES ('32746', '32899', '167', '32795', '32802', '166', '6', 'Tower of Insolence 66F');
INSERT INTO `dungeon` VALUES ('32747', '32899', '167', '32795', '32802', '166', '6', 'Tower of Insolence 66F');
INSERT INTO `dungeon` VALUES ('32602', '32790', '167', '32609', '32807', '168', '8', 'Tower of Insolence 68F');
INSERT INTO `dungeon` VALUES ('32603', '32790', '167', '32609', '32807', '168', '8', 'Tower of Insolence 68F');
INSERT INTO `dungeon` VALUES ('32745', '32932', '167', '32735', '32921', '168', '2', 'Tower of Insolence 68F');
INSERT INTO `dungeon` VALUES ('32745', '32933', '167', '32735', '32921', '168', '2', 'Tower of Insolence 68F');
INSERT INTO `dungeon` VALUES ('32608', '32808', '168', '32602', '32791', '167', '4', 'Tower of Insolence 67F');
INSERT INTO `dungeon` VALUES ('32609', '32808', '168', '32602', '32791', '167', '4', 'Tower of Insolence 67F');
INSERT INTO `dungeon` VALUES ('32734', '32921', '168', '32744', '32933', '167', '6', 'Tower of Insolence 67F');
INSERT INTO `dungeon` VALUES ('32734', '32922', '168', '32744', '32933', '167', '6', 'Tower of Insolence 67F');
INSERT INTO `dungeon` VALUES ('32614', '32918', '168', '32637', '32928', '169', '8', 'Tower of Insolence 69F');
INSERT INTO `dungeon` VALUES ('32615', '32918', '168', '32637', '32928', '169', '8', 'Tower of Insolence 69F');
INSERT INTO `dungeon` VALUES ('32746', '32858', '168', '32744', '32844', '169', '2', 'Tower of Insolence 69F');
INSERT INTO `dungeon` VALUES ('32746', '32859', '168', '32744', '32844', '169', '2', 'Tower of Insolence 69F');
INSERT INTO `dungeon` VALUES ('32636', '32929', '169', '32614', '32919', '168', '4', 'Tower of Insolence 68F');
INSERT INTO `dungeon` VALUES ('32637', '32929', '169', '32614', '32919', '168', '4', 'Tower of Insolence 68F');
INSERT INTO `dungeon` VALUES ('32743', '32844', '169', '32745', '32859', '168', '6', 'Tower of Insolence 68F');
INSERT INTO `dungeon` VALUES ('32743', '32845', '169', '32745', '32859', '168', '6', 'Tower of Insolence 68F');
INSERT INTO `dungeon` VALUES ('32656', '32790', '169', '32634', '32788', '170', '8', 'Tower of Insolence 70F');
INSERT INTO `dungeon` VALUES ('32657', '32790', '169', '32634', '32788', '170', '8', 'Tower of Insolence 70F');
INSERT INTO `dungeon` VALUES ('32710', '32935', '169', '32710', '32925', '170', '2', 'Tower of Insolence 70F');
INSERT INTO `dungeon` VALUES ('32710', '32936', '169', '32710', '32925', '170', '2', 'Tower of Insolence 70F');
INSERT INTO `dungeon` VALUES ('32633', '32789', '170', '32656', '32791', '169', '4', 'Tower of Insolence 69F');
INSERT INTO `dungeon` VALUES ('32634', '32789', '170', '32656', '32791', '169', '4', 'Tower of Insolence 69F');
INSERT INTO `dungeon` VALUES ('32709', '32925', '170', '32709', '32936', '169', '6', 'Tower of Insolence 69F');
INSERT INTO `dungeon` VALUES ('32709', '32926', '170', '32709', '32936', '169', '6', 'Tower of Insolence 69F');
INSERT INTO `dungeon` VALUES ('32604', '32828', '171', '32601', '32844', '172', '8', 'Tower of Insolence 72F');
INSERT INTO `dungeon` VALUES ('32605', '32828', '171', '32601', '32844', '172', '8', 'Tower of Insolence 72F');
INSERT INTO `dungeon` VALUES ('32740', '32902', '171', '32747', '32879', '172', '2', 'Tower of Insolence 72F');
INSERT INTO `dungeon` VALUES ('32740', '32903', '171', '32747', '32879', '172', '2', 'Tower of Insolence 72F');
INSERT INTO `dungeon` VALUES ('32600', '32845', '172', '32604', '32829', '171', '4', 'Tower of Insolence 71F');
INSERT INTO `dungeon` VALUES ('32601', '32845', '172', '32604', '32829', '171', '4', 'Tower of Insolence 71F');
INSERT INTO `dungeon` VALUES ('32746', '32879', '172', '32739', '32903', '171', '6', 'Tower of Insolence 71F');
INSERT INTO `dungeon` VALUES ('32746', '32880', '172', '32739', '32903', '171', '6', 'Tower of Insolence 71F');
INSERT INTO `dungeon` VALUES ('32657', '32790', '172', '32676', '32798', '173', '8', 'Tower of Insolence 73F');
INSERT INTO `dungeon` VALUES ('32658', '32790', '172', '32676', '32798', '173', '8', 'Tower of Insolence 73F');
INSERT INTO `dungeon` VALUES ('32742', '32838', '172', '32732', '32907', '173', '8', 'Tower of Insolence 73F');
INSERT INTO `dungeon` VALUES ('32742', '32839', '172', '32732', '32907', '173', '8', 'Tower of Insolence 73F');
INSERT INTO `dungeon` VALUES ('32675', '32799', '173', '32657', '32791', '172', '4', 'Tower of Insolence 72F');
INSERT INTO `dungeon` VALUES ('32676', '32799', '173', '32657', '32791', '172', '4', 'Tower of Insolence 72F');
INSERT INTO `dungeon` VALUES ('32731', '32908', '173', '32741', '32839', '172', '6', 'Tower of Insolence 72F');
INSERT INTO `dungeon` VALUES ('32732', '32908', '173', '32741', '32839', '172', '6', 'Tower of Insolence 72F');
INSERT INTO `dungeon` VALUES ('32671', '32864', '173', '32798', '32797', '174', '6', 'Tower of Insolence 74F');
INSERT INTO `dungeon` VALUES ('32671', '32865', '173', '32798', '32797', '174', '6', 'Tower of Insolence 74F');
INSERT INTO `dungeon` VALUES ('32693', '32920', '173', '32826', '32836', '174', '8', 'Tower of Insolence 74F');
INSERT INTO `dungeon` VALUES ('32694', '32920', '173', '32826', '32836', '174', '8', 'Tower of Insolence 74F');
INSERT INTO `dungeon` VALUES ('32799', '32796', '174', '32670', '32865', '173', '6', 'Tower of Insolence 73F');
INSERT INTO `dungeon` VALUES ('32799', '32797', '174', '32670', '32865', '173', '6', 'Tower of Insolence 73F');
INSERT INTO `dungeon` VALUES ('32825', '32837', '174', '32693', '32921', '173', '4', 'Tower of Insolence 73F');
INSERT INTO `dungeon` VALUES ('32826', '32837', '174', '32693', '32921', '173', '4', 'Tower of Insolence 73F');
INSERT INTO `dungeon` VALUES ('32752', '32742', '174', '32791', '32727', '175', '8', 'Tower of Insolence 75F');
INSERT INTO `dungeon` VALUES ('32753', '32742', '174', '32791', '32727', '175', '8', 'Tower of Insolence 75F');
INSERT INTO `dungeon` VALUES ('32870', '32763', '174', '32874', '32858', '175', '2', 'Tower of Insolence 75F');
INSERT INTO `dungeon` VALUES ('32871', '32763', '174', '32874', '32858', '175', '2', 'Tower of Insolence 75F');
INSERT INTO `dungeon` VALUES ('32790', '32728', '175', '32752', '32743', '174', '4', 'Tower of Insolence 74F');
INSERT INTO `dungeon` VALUES ('32791', '32728', '175', '32752', '32743', '174', '4', 'Tower of Insolence 74F');
INSERT INTO `dungeon` VALUES ('32873', '32858', '175', '32870', '32764', '174', '4', 'Tower of Insolence 74F');
INSERT INTO `dungeon` VALUES ('32873', '32859', '175', '32870', '32764', '174', '4', 'Tower of Insolence 74F');
INSERT INTO `dungeon` VALUES ('32871', '32726', '175', '32727', '32789', '176', '8', 'Tower of Insolence 76F');
INSERT INTO `dungeon` VALUES ('32871', '32727', '175', '32727', '32789', '176', '8', 'Tower of Insolence 76F');
INSERT INTO `dungeon` VALUES ('32726', '32790', '176', '32870', '32727', '175', '6', 'Tower of Insolence 75F');
INSERT INTO `dungeon` VALUES ('32727', '32790', '176', '32870', '32727', '175', '6', 'Tower of Insolence 75F');
INSERT INTO `dungeon` VALUES ('32797', '32801', '176', '32671', '32861', '177', '6', 'Tower of Insolence 77F');
INSERT INTO `dungeon` VALUES ('32797', '32802', '176', '32671', '32861', '177', '6', 'Tower of Insolence 77F');
INSERT INTO `dungeon` VALUES ('32672', '32860', '177', '32796', '32802', '176', '6', 'Tower of Insolence 76F');
INSERT INTO `dungeon` VALUES ('32672', '32861', '177', '32796', '32802', '176', '6', 'Tower of Insolence 76F');
INSERT INTO `dungeon` VALUES ('32602', '32790', '177', '32620', '32797', '178', '8', 'Tower of Insolence 78F');
INSERT INTO `dungeon` VALUES ('32603', '32790', '177', '32620', '32797', '178', '8', 'Tower of Insolence 78F');
INSERT INTO `dungeon` VALUES ('32745', '32932', '177', '32735', '32921', '178', '2', 'Tower of Insolence 78F');
INSERT INTO `dungeon` VALUES ('32745', '32933', '177', '32735', '32921', '178', '2', 'Tower of Insolence 78F');
INSERT INTO `dungeon` VALUES ('32619', '32798', '178', '32602', '32791', '177', '4', 'Tower of Insolence 77F');
INSERT INTO `dungeon` VALUES ('32620', '32798', '178', '32602', '32791', '177', '4', 'Tower of Insolence 77F');
INSERT INTO `dungeon` VALUES ('32734', '32921', '178', '32744', '32933', '177', '6', 'Tower of Insolence 77F');
INSERT INTO `dungeon` VALUES ('32734', '32922', '178', '32744', '32933', '177', '6', 'Tower of Insolence 77F');
INSERT INTO `dungeon` VALUES ('32614', '32918', '178', '32614', '32914', '179', '8', 'Tower of Insolence 79F');
INSERT INTO `dungeon` VALUES ('32615', '32918', '178', '32614', '32914', '179', '8', 'Tower of Insolence 79F');
INSERT INTO `dungeon` VALUES ('32677', '32790', '178', '32693', '32790', '179', '8', 'Tower of Insolence 79F');
INSERT INTO `dungeon` VALUES ('32678', '32790', '178', '32693', '32790', '179', '8', 'Tower of Insolence 79F');
INSERT INTO `dungeon` VALUES ('32613', '32915', '179', '32614', '32919', '178', '4', 'Tower of Insolence 78F');
INSERT INTO `dungeon` VALUES ('32614', '32915', '179', '32614', '32919', '178', '4', 'Tower of Insolence 78F');
INSERT INTO `dungeon` VALUES ('32692', '32791', '179', '32677', '32791', '178', '4', 'Tower of Insolence 78F');
INSERT INTO `dungeon` VALUES ('32693', '32791', '179', '32677', '32791', '178', '4', 'Tower of Insolence 78F');
INSERT INTO `dungeon` VALUES ('32633', '32790', '179', '32634', '32789', '180', '8', 'Tower of Insolence 80F');
INSERT INTO `dungeon` VALUES ('32634', '32790', '179', '32634', '32789', '180', '8', 'Tower of Insolence 80F');
INSERT INTO `dungeon` VALUES ('32745', '32841', '179', '32749', '32876', '180', '2', 'Tower of Insolence 80F');
INSERT INTO `dungeon` VALUES ('32745', '32842', '179', '32749', '32876', '180', '2', 'Tower of Insolence 80F');
INSERT INTO `dungeon` VALUES ('32633', '32790', '180', '32633', '32791', '179', '4', 'Tower of Insolence 79F');
INSERT INTO `dungeon` VALUES ('32634', '32790', '180', '32633', '32791', '179', '4', 'Tower of Insolence 79F');
INSERT INTO `dungeon` VALUES ('32748', '32876', '180', '32744', '32842', '179', '6', 'Tower of Insolence 79F');
INSERT INTO `dungeon` VALUES ('32748', '32877', '180', '32744', '32842', '179', '6', 'Tower of Insolence 79F');
INSERT INTO `dungeon` VALUES ('32672', '32864', '181', '32671', '32860', '182', '6', 'Tower of Insolence 82F');
INSERT INTO `dungeon` VALUES ('32672', '32865', '181', '32671', '32860', '182', '6', 'Tower of Insolence 82F');
INSERT INTO `dungeon` VALUES ('32740', '32902', '181', '32747', '32879', '182', '2', 'Tower of Insolence 82F');
INSERT INTO `dungeon` VALUES ('32740', '32903', '181', '32747', '32879', '182', '2', 'Tower of Insolence 82F');
INSERT INTO `dungeon` VALUES ('32672', '32859', '182', '32671', '32865', '181', '6', 'Tower of Insolence 81F');
INSERT INTO `dungeon` VALUES ('32672', '32860', '182', '32671', '32865', '181', '6', 'Tower of Insolence 81F');
INSERT INTO `dungeon` VALUES ('32746', '32879', '182', '32739', '32903', '181', '6', 'Tower of Insolence 81F');
INSERT INTO `dungeon` VALUES ('32746', '32880', '182', '32739', '32903', '181', '6', 'Tower of Insolence 81F');
INSERT INTO `dungeon` VALUES ('32681', '32790', '182', '32675', '32799', '183', '8', 'Tower of Insolence 83F');
INSERT INTO `dungeon` VALUES ('32682', '32790', '182', '32675', '32799', '183', '8', 'Tower of Insolence 83F');
INSERT INTO `dungeon` VALUES ('32742', '32838', '182', '32732', '32907', '183', '8', 'Tower of Insolence 83F');
INSERT INTO `dungeon` VALUES ('32742', '32839', '182', '32732', '32907', '183', '8', 'Tower of Insolence 83F');
INSERT INTO `dungeon` VALUES ('32674', '32800', '183', '32681', '32791', '182', '4', 'Tower of Insolence 82F');
INSERT INTO `dungeon` VALUES ('32675', '32800', '183', '32681', '32791', '182', '4', 'Tower of Insolence 82F');
INSERT INTO `dungeon` VALUES ('32731', '32908', '183', '32741', '32839', '182', '6', 'Tower of Insolence 82F');
INSERT INTO `dungeon` VALUES ('32732', '32908', '183', '32741', '32839', '182', '6', 'Tower of Insolence 82F');
INSERT INTO `dungeon` VALUES ('32691', '32927', '183', '32846', '32862', '184', '2', 'Tower of Insolence 84F');
INSERT INTO `dungeon` VALUES ('32691', '32928', '183', '32846', '32862', '184', '2', 'Tower of Insolence 84F');
INSERT INTO `dungeon` VALUES ('32722', '32802', '183', '32873', '32753', '184', '2', 'Tower of Insolence 84F');
INSERT INTO `dungeon` VALUES ('32722', '32803', '183', '32873', '32753', '184', '2', 'Tower of Insolence 84F');
INSERT INTO `dungeon` VALUES ('32845', '32862', '184', '32690', '32928', '183', '6', 'Tower of Insolence 83F');
INSERT INTO `dungeon` VALUES ('32845', '32863', '184', '32690', '32928', '183', '6', 'Tower of Insolence 83F');
INSERT INTO `dungeon` VALUES ('32872', '32753', '184', '32721', '32803', '183', '6', 'Tower of Insolence 83F');
INSERT INTO `dungeon` VALUES ('32872', '32754', '184', '32721', '32803', '183', '6', 'Tower of Insolence 83F');
INSERT INTO `dungeon` VALUES ('32747', '32850', '184', '32734', '32848', '185', '8', 'Tower of Insolence 85F');
INSERT INTO `dungeon` VALUES ('32748', '32850', '184', '32734', '32848', '185', '8', 'Tower of Insolence 85F');
INSERT INTO `dungeon` VALUES ('32870', '32843', '184', '32874', '32858', '185', '2', 'Tower of Insolence 85F');
INSERT INTO `dungeon` VALUES ('32870', '32844', '184', '32874', '32858', '185', '2', 'Tower of Insolence 85F');
INSERT INTO `dungeon` VALUES ('32733', '32849', '185', '32747', '32851', '184', '4', 'Tower of Insolence 84F');
INSERT INTO `dungeon` VALUES ('32734', '32849', '185', '32747', '32851', '184', '4', 'Tower of Insolence 84F');
INSERT INTO `dungeon` VALUES ('32873', '32858', '185', '32869', '32844', '184', '6', 'Tower of Insolence 84F');
INSERT INTO `dungeon` VALUES ('32873', '32859', '185', '32869', '32844', '184', '6', 'Tower of Insolence 84F');
INSERT INTO `dungeon` VALUES ('32871', '32726', '185', '32724', '32797', '186', '8', 'Tower of Insolence 86F');
INSERT INTO `dungeon` VALUES ('32871', '32727', '185', '32724', '32797', '186', '8', 'Tower of Insolence 86F');
INSERT INTO `dungeon` VALUES ('32723', '32798', '186', '32870', '32727', '185', '6', 'Tower of Insolence 85F');
INSERT INTO `dungeon` VALUES ('32724', '32798', '186', '32870', '32727', '185', '6', 'Tower of Insolence 85F');
INSERT INTO `dungeon` VALUES ('32797', '32800', '186', '32671', '32861', '187', '6', 'Tower of Insolence 87F');
INSERT INTO `dungeon` VALUES ('32797', '32801', '186', '32671', '32861', '187', '6', 'Tower of Insolence 87F');
INSERT INTO `dungeon` VALUES ('32672', '32860', '187', '32796', '32801', '186', '6', 'Tower of Insolence 86F');
INSERT INTO `dungeon` VALUES ('32672', '32861', '187', '32796', '32801', '186', '6', 'Tower of Insolence 86F');
INSERT INTO `dungeon` VALUES ('32602', '32790', '187', '32663', '32798', '188', '8', 'Tower of Insolence 88F');
INSERT INTO `dungeon` VALUES ('32603', '32790', '187', '32663', '32798', '188', '8', 'Tower of Insolence 88F');
INSERT INTO `dungeon` VALUES ('32745', '32932', '187', '32735', '32921', '188', '2', 'Tower of Insolence 88F');
INSERT INTO `dungeon` VALUES ('32745', '32933', '187', '32735', '32921', '188', '2', 'Tower of Insolence 88F');
INSERT INTO `dungeon` VALUES ('32662', '32799', '188', '32602', '32791', '187', '4', 'Tower of Insolence 87F');
INSERT INTO `dungeon` VALUES ('32663', '32799', '188', '32602', '32791', '187', '4', 'Tower of Insolence 87F');
INSERT INTO `dungeon` VALUES ('32734', '32921', '188', '32744', '32933', '187', '6', 'Tower of Insolence 87F');
INSERT INTO `dungeon` VALUES ('32734', '32922', '188', '32744', '32933', '187', '6', 'Tower of Insolence 87F');
INSERT INTO `dungeon` VALUES ('32614', '32918', '188', '32637', '32928', '189', '8', 'Tower of Insolence 89F');
INSERT INTO `dungeon` VALUES ('32615', '32918', '188', '32637', '32928', '189', '8', 'Tower of Insolence 89F');
INSERT INTO `dungeon` VALUES ('32745', '32858', '188', '32747', '32877', '189', '2', 'Tower of Insolence 89F');
INSERT INTO `dungeon` VALUES ('32745', '32859', '188', '32747', '32877', '189', '2', 'Tower of Insolence 89F');
INSERT INTO `dungeon` VALUES ('32636', '32929', '189', '32614', '32919', '188', '4', 'Tower of Insolence 88F');
INSERT INTO `dungeon` VALUES ('32637', '32929', '189', '32614', '32919', '188', '4', 'Tower of Insolence 88F');
INSERT INTO `dungeon` VALUES ('32746', '32877', '189', '32744', '32859', '188', '6', 'Tower of Insolence 88F');
INSERT INTO `dungeon` VALUES ('32746', '32878', '189', '32744', '32859', '188', '6', 'Tower of Insolence 88F');
INSERT INTO `dungeon` VALUES ('32656', '32790', '189', '32633', '32789', '190', '8', 'Tower of Insolence 90F');
INSERT INTO `dungeon` VALUES ('32657', '32790', '189', '32633', '32789', '190', '8', 'Tower of Insolence 90F');
INSERT INTO `dungeon` VALUES ('32745', '32841', '189', '32748', '32877', '190', '2', 'Tower of Insolence 90F');
INSERT INTO `dungeon` VALUES ('32745', '32842', '189', '32748', '32877', '190', '2', 'Tower of Insolence 90F');
INSERT INTO `dungeon` VALUES ('32632', '32790', '190', '32656', '32791', '189', '4', 'Tower of Insolence 89F');
INSERT INTO `dungeon` VALUES ('32633', '32790', '190', '32656', '32791', '189', '4', 'Tower of Insolence 89F');
INSERT INTO `dungeon` VALUES ('32747', '32877', '190', '32744', '32842', '189', '6', 'Tower of Insolence 89F');
INSERT INTO `dungeon` VALUES ('32747', '32878', '190', '32744', '32842', '189', '6', 'Tower of Insolence 89F');
INSERT INTO `dungeon` VALUES ('32672', '32864', '191', '32671', '32860', '192', '6', 'Tower of Insolence 92F');
INSERT INTO `dungeon` VALUES ('32672', '32865', '191', '32671', '32860', '192', '6', 'Tower of Insolence 92F');
INSERT INTO `dungeon` VALUES ('32740', '32902', '191', '32747', '32879', '192', '2', 'Tower of Insolence 92F');
INSERT INTO `dungeon` VALUES ('32740', '32903', '191', '32747', '32879', '192', '2', 'Tower of Insolence 92F');
INSERT INTO `dungeon` VALUES ('32672', '32859', '192', '32671', '32865', '191', '6', 'Tower of Insolence 91F');
INSERT INTO `dungeon` VALUES ('32672', '32860', '192', '32671', '32865', '191', '6', 'Tower of Insolence 91F');
INSERT INTO `dungeon` VALUES ('32746', '32879', '192', '32739', '32903', '191', '6', 'Tower of Insolence 91F');
INSERT INTO `dungeon` VALUES ('32746', '32880', '192', '32739', '32903', '191', '6', 'Tower of Insolence 91F');
INSERT INTO `dungeon` VALUES ('32731', '32806', '192', '32730', '32804', '193', '2', 'Tower of Insolence 93F');
INSERT INTO `dungeon` VALUES ('32731', '32807', '192', '32730', '32804', '193', '2', 'Tower of Insolence 93F');
INSERT INTO `dungeon` VALUES ('32736', '32913', '192', '32732', '32907', '193', '8', 'Tower of Insolence 93F');
INSERT INTO `dungeon` VALUES ('32736', '32914', '192', '32732', '32907', '193', '8', 'Tower of Insolence 93F');
INSERT INTO `dungeon` VALUES ('32729', '32804', '193', '32730', '32807', '192', '6', 'Tower of Insolence 92F');
INSERT INTO `dungeon` VALUES ('32729', '32805', '193', '32730', '32807', '192', '6', 'Tower of Insolence 92F');
INSERT INTO `dungeon` VALUES ('32731', '32908', '193', '32735', '32914', '192', '6', 'Tower of Insolence 92F');
INSERT INTO `dungeon` VALUES ('32732', '32908', '193', '32735', '32914', '192', '6', 'Tower of Insolence 92F');
INSERT INTO `dungeon` VALUES ('32662', '32820', '193', '32845', '32748', '194', '2', 'Tower of Insolence 94F');
INSERT INTO `dungeon` VALUES ('32663', '32820', '193', '32845', '32748', '194', '2', 'Tower of Insolence 94F');
INSERT INTO `dungeon` VALUES ('32736', '32858', '193', '32869', '32834', '194', '2', 'Tower of Insolence 94F');
INSERT INTO `dungeon` VALUES ('32736', '32859', '193', '32869', '32834', '194', '2', 'Tower of Insolence 94F');
INSERT INTO `dungeon` VALUES ('32844', '32748', '194', '32662', '32821', '193', '4', 'Tower of Insolence 93F');
INSERT INTO `dungeon` VALUES ('32844', '32749', '194', '32662', '32821', '193', '4', 'Tower of Insolence 93F');
INSERT INTO `dungeon` VALUES ('32868', '32834', '194', '32735', '32859', '193', '6', 'Tower of Insolence 93F');
INSERT INTO `dungeon` VALUES ('32868', '32835', '194', '32735', '32859', '193', '6', 'Tower of Insolence 93F');
INSERT INTO `dungeon` VALUES ('32756', '32824', '194', '32734', '32848', '195', '8', 'Tower of Insolence 95F');
INSERT INTO `dungeon` VALUES ('32757', '32824', '194', '32734', '32848', '195', '8', 'Tower of Insolence 95F');
INSERT INTO `dungeon` VALUES ('32799', '32800', '194', '32798', '32798', '195', '6', 'Tower of Insolence 95F');
INSERT INTO `dungeon` VALUES ('32799', '32801', '194', '32798', '32798', '195', '6', 'Tower of Insolence 95F');
INSERT INTO `dungeon` VALUES ('32733', '32849', '195', '32756', '32825', '194', '4', 'Tower of Insolence 94F');
INSERT INTO `dungeon` VALUES ('32734', '32849', '195', '32756', '32825', '194', '4', 'Tower of Insolence 94F');
INSERT INTO `dungeon` VALUES ('32799', '32797', '195', '32798', '32801', '194', '6', 'Tower of Insolence 94F');
INSERT INTO `dungeon` VALUES ('32799', '32798', '195', '32798', '32801', '194', '6', 'Tower of Insolence 94F');
INSERT INTO `dungeon` VALUES ('32743', '32731', '195', '32733', '32787', '196', '8', 'Tower of Insolence 96F');
INSERT INTO `dungeon` VALUES ('32744', '32731', '195', '32733', '32787', '196', '8', 'Tower of Insolence 96F');
INSERT INTO `dungeon` VALUES ('32732', '32788', '196', '32743', '32732', '195', '4', 'Tower of Insolence 95F');
INSERT INTO `dungeon` VALUES ('32733', '32788', '196', '32743', '32732', '195', '4', 'Tower of Insolence 95F');
INSERT INTO `dungeon` VALUES ('32803', '32806', '196', '32671', '32861', '197', '6', 'Tower of Insolence 97F');
INSERT INTO `dungeon` VALUES ('32803', '32807', '196', '32671', '32861', '197', '6', 'Tower of Insolence 97F');
INSERT INTO `dungeon` VALUES ('32672', '32860', '197', '32802', '32807', '196', '6', 'Tower of Insolence 96F');
INSERT INTO `dungeon` VALUES ('32672', '32861', '197', '32802', '32807', '196', '6', 'Tower of Insolence 96F');
INSERT INTO `dungeon` VALUES ('32602', '32790', '197', '32620', '32797', '198', '8', 'Tower of Insolence 98F');
INSERT INTO `dungeon` VALUES ('32603', '32790', '197', '32620', '32797', '198', '8', 'Tower of Insolence 98F');
INSERT INTO `dungeon` VALUES ('32745', '32932', '197', '32735', '32921', '198', '2', 'Tower of Insolence 98F');
INSERT INTO `dungeon` VALUES ('32745', '32933', '197', '32735', '32921', '198', '2', 'Tower of Insolence 98F');
INSERT INTO `dungeon` VALUES ('32619', '32798', '198', '32602', '32791', '197', '4', 'Tower of Insolence 97F');
INSERT INTO `dungeon` VALUES ('32620', '32798', '198', '32602', '32791', '197', '4', 'Tower of Insolence 97F');
INSERT INTO `dungeon` VALUES ('32734', '32921', '198', '32744', '32933', '197', '6', 'Tower of Insolence 97F');
INSERT INTO `dungeon` VALUES ('32734', '32922', '198', '32744', '32933', '197', '6', 'Tower of Insolence 97F');
INSERT INTO `dungeon` VALUES ('32614', '32918', '198', '32637', '32928', '199', '8', 'Tower of Insolence 99F');
INSERT INTO `dungeon` VALUES ('32615', '32918', '198', '32637', '32928', '199', '8', 'Tower of Insolence 99F');
INSERT INTO `dungeon` VALUES ('32670', '32936', '198', '32711', '32928', '199', '2', 'Tower of Insolence 99F');
INSERT INTO `dungeon` VALUES ('32670', '32937', '198', '32711', '32928', '199', '2', 'Tower of Insolence 99F');
INSERT INTO `dungeon` VALUES ('32636', '32929', '199', '32614', '32919', '198', '4', 'Tower of Insolence 98F');
INSERT INTO `dungeon` VALUES ('32637', '32929', '199', '32614', '32919', '198', '4', 'Tower of Insolence 98F');
INSERT INTO `dungeon` VALUES ('32710', '32928', '199', '32669', '32937', '198', '6', 'Tower of Insolence 98F');
INSERT INTO `dungeon` VALUES ('32710', '32929', '199', '32669', '32937', '198', '6', 'Tower of Insolence 98F');
INSERT INTO `dungeon` VALUES ('32623', '32916', '199', '32632', '32974', '200', '4', 'Tower of Insolence 100F');
INSERT INTO `dungeon` VALUES ('32720', '32872', '199', '32731', '32856', '200', '2', 'Tower of Insolence 100F');
INSERT INTO `dungeon` VALUES ('32720', '32873', '199', '32731', '32856', '200', '2', 'Tower of Insolence 100F');
INSERT INTO `dungeon` VALUES ('32632', '32974', '200', '32623', '32916', '199', '4', 'Tower of Insolence 99F');
INSERT INTO `dungeon` VALUES ('32730', '32856', '200', '32719', '32873', '199', '6', 'Tower of Insolence 99F');
INSERT INTO `dungeon` VALUES ('32730', '32857', '200', '32719', '32873', '199', '6', 'Tower of Insolence 99F');
INSERT INTO `dungeon` VALUES ('32868', '32919', '201', '32929', '32798', '201', '5', 'Mage quest dungeon');
INSERT INTO `dungeon` VALUES ('32736', '32807', '237', '32813', '32810', '13', '2', 'Main Land Caves 7F');
INSERT INTO `dungeon` VALUES ('32670', '33122', '240', '32760', '32882', '241', '4', 'Kent Castle Dungeon 2F');
INSERT INTO `dungeon` VALUES ('32760', '32882', '241', '32670', '33122', '240', '0', 'Kent Castle Dungeon 1F');
INSERT INTO `dungeon` VALUES ('32732', '32928', '241', '32808', '32917', '242', '4', 'Kent Castle Dungeon 3F');
INSERT INTO `dungeon` VALUES ('32808', '32917', '242', '32732', '32928', '241', '0', 'Kent Castle Dungeon 2F');
INSERT INTO `dungeon` VALUES ('32740', '33007', '242', '32745', '32852', '243', '4', 'Kent Castle Dungeon 4F');
INSERT INTO `dungeon` VALUES ('32745', '32852', '243', '32740', '33007', '242', '0', 'Kent Castle Dungeon 3F');
INSERT INTO `dungeon` VALUES ('32752', '32812', '244', '32842', '32917', '244', '0', 'Blessed land of tainted');
INSERT INTO `dungeon` VALUES ('32752', '32813', '244', '32842', '32917', '244', '0', 'Blessed land of tainted');
INSERT INTO `dungeon` VALUES ('32880', '32907', '244', '32982', '32808', '244', '0', 'Blessed land of tainted');
INSERT INTO `dungeon` VALUES ('32880', '32908', '244', '32982', '32808', '244', '0', 'Blessed land of tainted');
INSERT INTO `dungeon` VALUES ('32747', '32860', '252', '32575', '32814', '64', '0', 'Heine Inner Castle');
INSERT INTO `dungeon` VALUES ('32747', '32861', '252', '32575', '32814', '64', '0', 'Heine Inner Castle');
INSERT INTO `dungeon` VALUES ('32599', '32873', '252', '32756', '32859', '253', '0', 'Unknown 2F');
INSERT INTO `dungeon` VALUES ('32599', '32874', '252', '32757', '32859', '253', '0', 'Unknown 2F');
INSERT INTO `dungeon` VALUES ('32756', '32858', '253', '32600', '32873', '252', '0', 'Unknown 1F');
INSERT INTO `dungeon` VALUES ('32757', '32858', '253', '32600', '32874', '252', '0', 'Unknown 1F');
INSERT INTO `dungeon` VALUES ('32808', '32984', '253', '32615', '32793', '254', '0', 'Unknown 3F');
INSERT INTO `dungeon` VALUES ('32808', '32985', '253', '32616', '32793', '254', '0', 'Unknown 3F');
INSERT INTO `dungeon` VALUES ('32616', '32792', '254', '32807', '32984', '253', '0', 'Unknown 2F');
INSERT INTO `dungeon` VALUES ('32812', '32813', '255', '32696', '32793', '256', '0', 'Unknown 2F');
INSERT INTO `dungeon` VALUES ('32812', '32814', '255', '32697', '32793', '256', '0', 'Unknown 2F');
INSERT INTO `dungeon` VALUES ('32696', '32792', '256', '32811', '32813', '255', '0', 'Unknown 1F');
INSERT INTO `dungeon` VALUES ('32697', '32792', '256', '32811', '32814', '255', '0', 'Unknown 1F');
INSERT INTO `dungeon` VALUES ('32678', '32789', '301', '34150', '33382', '4', '6', 'Mainland Aden');
INSERT INTO `dungeon` VALUES ('32661', '32933', '301', '32872', '32870', '101', '2', 'Tower of Insolence 1F');
INSERT INTO `dungeon` VALUES ('32624', '32802', '304', '33389', '32273', '4', '2', 'Mainland Aden');
INSERT INTO `dungeon` VALUES ('32625', '32802', '304', '33389', '32273', '4', '1', 'Mainland Aden');
INSERT INTO `dungeon` VALUES ('32803', '32823', '304', '32731', '32786', '305', '2', 'Elder cave');
INSERT INTO `dungeon` VALUES ('32731', '32785', '305', '32802', '32823', '304', '2', 'Silent Cavern');
INSERT INTO `dungeon` VALUES ('32762', '32822', '307', '32564', '33460', '4', '2', 'Mainland Aden');
INSERT INTO `dungeon` VALUES ('32931', '32875', '307', '32751', '32823', '308', '2', 'Lastabad Dungeon 2F');
INSERT INTO `dungeon` VALUES ('32752', '32823', '308', '32929', '32875', '307', '2', 'Lastabad Dungeon 1F');
INSERT INTO `dungeon` VALUES ('32993', '32914', '308', '32757', '32836', '309', '2', 'Lastabad Dungeon 3F');
INSERT INTO `dungeon` VALUES ('32758', '32836', '309', '32992', '32914', '308', '2', 'Lastabad Dungeon 2F');
INSERT INTO `dungeon` VALUES ('33060', '32882', '309', '32722', '32850', '320', '2', 'Diad Fortress');
INSERT INTO `dungeon` VALUES ('32783', '32839', '310', '32863', '32942', '310', '0', 'Oum Dungeon');
INSERT INTO `dungeon` VALUES ('32863', '32942', '310', '32783', '32839', '310', '0', 'Oum Dungeon');
INSERT INTO `dungeon` VALUES ('32785', '32939', '310', '32811', '32788', '320', '2', 'Diad Fortress');
INSERT INTO `dungeon` VALUES ('32721', '32849', '320', '33059', '32882', '309', '2', 'Lastabad Dungeon 3F');
INSERT INTO `dungeon` VALUES ('32811', '32787', '320', '32785', '32938', '310', '2', 'Oum Dungeon');
INSERT INTO `dungeon` VALUES ('33008', '32835', '320', '32729', '33000', '330', '2', 'Mineral Dungeon');
INSERT INTO `dungeon` VALUES ('32729', '33001', '330', '33008', '32836', '320', '2', 'Diad Fortress');
INSERT INTO `dungeon` VALUES ('32795', '32833', '400', '32821', '32843', '400', '2', 'Great Cavern');
INSERT INTO `dungeon` VALUES ('32799', '33005', '400', '32857', '32945', '400', '2', 'Great Cavern');
INSERT INTO `dungeon` VALUES ('32820', '32843', '400', '32794', '32833', '400', '2', 'Great Cavern');
INSERT INTO `dungeon` VALUES ('32858', '32945', '400', '32799', '33004', '400', '2', 'Great Cavern');
INSERT INTO `dungeon` VALUES ('32826', '33001', '400', '32929', '32995', '410', '2', 'Sanctuary of Evil');
INSERT INTO `dungeon` VALUES ('32930', '32971', '400', '32777', '32854', '420', '2', 'Abyss Lake');
INSERT INTO `dungeon` VALUES ('33003', '32762', '400', '32655', '32853', '450', '2', 'Front Gate of Lastavard');
INSERT INTO `dungeon` VALUES ('32930', '32995', '410', '32825', '33001', '400', '2', 'Great Cavern');
INSERT INTO `dungeon` VALUES ('32777', '32853', '420', '32930', '32972', '400', '2', 'Great Cavern');
INSERT INTO `dungeon` VALUES ('32807', '33047', '420', '32934', '32786', '430', '2', 'Elemental Grave');
INSERT INTO `dungeon` VALUES ('32524', '33135', '440', '32738', '32738', '441', '2', 'Pirate Island Dungeon 1F');
INSERT INTO `dungeon` VALUES ('32537', '32888', '440', '32679', '32862', '441', '2', 'Pirate Island Dungeon 1F');
INSERT INTO `dungeon` VALUES ('32297', '33087', '440', '32735', '32794', '446', '4', 'Ship Pirate island to Hidden dock');
INSERT INTO `dungeon` VALUES ('32725', '33040', '440', '32658', '32944', '480', '2', 'Pirate\'s Isle');
INSERT INTO `dungeon` VALUES ('32725', '33041', '440', '32658', '32945', '480', '2', 'Pirate\'s Isle');
INSERT INTO `dungeon` VALUES ('32725', '33042', '440', '32658', '32946', '480', '2', 'Pirate\'s Isle');
INSERT INTO `dungeon` VALUES ('32733', '32921', '440', '32657', '32863', '480', '2', 'Pirate\'s Isle');
INSERT INTO `dungeon` VALUES ('32733', '32922', '440', '32657', '32864', '480', '2', 'Pirate\'s Isle');
INSERT INTO `dungeon` VALUES ('32733', '32923', '440', '32657', '32865', '480', '2', 'Pirate\'s Isle');
INSERT INTO `dungeon` VALUES ('32679', '32861', '441', '32537', '32890', '440', '2', 'Pirate Island First Part');
INSERT INTO `dungeon` VALUES ('32737', '32737', '441', '32522', '33135', '440', '2', 'Pirate Island First Part');
INSERT INTO `dungeon` VALUES ('32805', '32802', '441', '32862', '32730', '442', '2', 'Pirate Island Dungeon 2F');
INSERT INTO `dungeon` VALUES ('32862', '32729', '442', '32806', '32802', '441', '2', 'Pirate Island Dungeon 1F');
INSERT INTO `dungeon` VALUES ('32860', '32799', '442', '32864', '32781', '443', '2', 'Pirate Island Dungeon 3F');
INSERT INTO `dungeon` VALUES ('32864', '32780', '443', '32860', '32798', '442', '2', 'Pirate Island Dungeon 2F');
INSERT INTO `dungeon` VALUES ('32752', '32745', '443', '32745', '32809', '444', '2', 'Pirate Island Dungeon 4F');
INSERT INTO `dungeon` VALUES ('32730', '32804', '444', '32934', '32786', '430', '2', 'Elemental Grave');
INSERT INTO `dungeon` VALUES ('32745', '32809', '444', '32752', '32745', '443', '2', 'Pirate Island Dungeon 3F');
INSERT INTO `dungeon` VALUES ('32738', '32852', '445', '32715', '32448', '4', '5', 'Mainland Aden');
INSERT INTO `dungeon` VALUES ('32750', '32874', '445', '32732', '32796', '447', '4', 'Ship Hidden dock to Pirate island');
INSERT INTO `dungeon` VALUES ('32735', '32794', '446', '32297', '33087', '440', '0', 'Pirate Island First Part');
INSERT INTO `dungeon` VALUES ('32732', '32796', '447', '32750', '32874', '445', '0', 'Hidden dock to Pirate island');
INSERT INTO `dungeon` VALUES ('32656', '32853', '450', '33002', '32762', '400', '2', 'Great Cavern');
INSERT INTO `dungeon` VALUES ('32656', '32863', '480', '32732', '32921', '440', '6', 'Pirate Island First Part');
INSERT INTO `dungeon` VALUES ('32656', '32864', '480', '32732', '32922', '440', '6', 'Pirate Island First Part');
INSERT INTO `dungeon` VALUES ('32656', '32865', '480', '32732', '32923', '440', '6', 'Pirate Island First Part');
INSERT INTO `dungeon` VALUES ('32657', '32944', '480', '32724', '33040', '440', '6', 'Pirate Island First Part');
INSERT INTO `dungeon` VALUES ('32657', '32945', '480', '32724', '33041', '440', '6', 'Pirate Island First Part');
INSERT INTO `dungeon` VALUES ('32657', '32946', '480', '32724', '33042', '440', '6', 'Pirate Island First Part');
INSERT INTO `dungeon` VALUES ('32837', '32839', '480', '32735', '32846', '481', '0', 'Kamyla\'s Room');
INSERT INTO `dungeon` VALUES ('32837', '32840', '480', '32735', '32846', '481', '0', 'Kamyla\'s Room');
INSERT INTO `dungeon` VALUES ('32837', '32841', '480', '32735', '32846', '481', '0', 'Kamyla\'s Room');
INSERT INTO `dungeon` VALUES ('32735', '32847', '481', '32836', '32840', '480', '6', 'Pirate\'s Isle');
INSERT INTO `dungeon` VALUES ('32748', '32955', '521', '32657', '32896', '522', '2', '1st Floor of Temple of Shadows');
INSERT INTO `dungeon` VALUES ('32748', '32956', '521', '32657', '32896', '522', '2', '1st Floor of Temple of Shadows');
INSERT INTO `dungeon` VALUES ('32748', '32957', '521', '32657', '32896', '522', '2', '1st Floor of Temple of Shadows');
INSERT INTO `dungeon` VALUES ('33170', '32759', '4', '32735', '32812', '15', '0', 'Kent Castle');
INSERT INTO `dungeon` VALUES ('32735', '32812', '15', '33170', '32759', '4', '4', 'Mainland Aden');
INSERT INTO `dungeon` VALUES ('33171', '32759', '4', '32736', '32812', '15', '0', 'Kent Castle');
INSERT INTO `dungeon` VALUES ('32736', '32812', '15', '33171', '32759', '4', '4', 'Mainland Aden');
INSERT INTO `dungeon` VALUES ('32677', '33392', '4', '32734', '32816', '29', '0', 'Windawood Inner Castle');
INSERT INTO `dungeon` VALUES ('32734', '32816', '29', '32677', '33392', '4', '4', 'Mainland Aden');
INSERT INTO `dungeon` VALUES ('32678', '33392', '4', '32735', '32816', '29', '0', 'Windawood Inner Castle');
INSERT INTO `dungeon` VALUES ('32735', '32816', '29', '32678', '33392', '4', '4', 'Mainland Aden');
INSERT INTO `dungeon` VALUES ('33631', '32660', '4', '32728', '32828', '52', '0', 'Giran Castle');
INSERT INTO `dungeon` VALUES ('32728', '32828', '52', '33631', '32660', '4', '4', 'Mainland Aden');
INSERT INTO `dungeon` VALUES ('33632', '32660', '4', '32729', '32828', '52', '0', 'Giran Castle');
INSERT INTO `dungeon` VALUES ('32729', '32828', '52', '33632', '32660', '4', '4', 'Mainland Aden');
INSERT INTO `dungeon` VALUES ('33522', '33385', '4', '32571', '32862', '64', '0', 'Heine Inner Castle');
INSERT INTO `dungeon` VALUES ('32571', '32862', '64', '33522', '33385', '4', '4', 'Mainland Aden');
INSERT INTO `dungeon` VALUES ('33523', '33385', '4', '32572', '32862', '64', '0', 'Heine Inner Castle');
INSERT INTO `dungeon` VALUES ('32572', '32862', '64', '33523', '33385', '4', '4', 'Mainland Aden');
INSERT INTO `dungeon` VALUES ('34090', '33203', '4', '32891', '32580', '300', '0', 'Aden Castle');
INSERT INTO `dungeon` VALUES ('32891', '32580', '300', '34090', '33203', '4', '4', 'Mainland Aden');
INSERT INTO `dungeon` VALUES ('34091', '33203', '4', '32892', '32580', '300', '0', 'Aden Castle');
INSERT INTO `dungeon` VALUES ('32892', '32580', '300', '34091', '33203', '4', '4', 'Mainland Aden');
INSERT INTO `dungeon` VALUES ('32735', '32991', '2000', '32735', '32800', '2001', '5', 'Ancient Space 2F');
INSERT INTO `dungeon` VALUES ('32812', '32872', '2002', '32736', '32811', '2003', '5', 'Ancient Space 4F');
INSERT INTO `dungeon` VALUES ('32814', '32796', '600', '32724', '32830', '601', '2', 'Cave of Desire lobby');
INSERT INTO `dungeon` VALUES ('32814', '32797', '600', '32724', '32831', '601', '2', 'Cave of Desire lobby');
INSERT INTO `dungeon` VALUES ('32814', '32798', '600', '32724', '32832', '601', '2', 'Cave of Desire lobby');
INSERT INTO `dungeon` VALUES ('32722', '32830', '601', '32812', '32796', '600', '6', 'Cave of Desire Outland');
INSERT INTO `dungeon` VALUES ('32722', '32831', '601', '32812', '32797', '600', '6', 'Cave of Desire Outland');
INSERT INTO `dungeon` VALUES ('32722', '32832', '601', '32812', '32798', '600', '6', 'Cave of Desire Outland');
INSERT INTO `dungeon` VALUES ('32917', '32794', '778', '32891', '32727', '779', '4', 'fallen cave underwater');
INSERT INTO `dungeon` VALUES ('32918', '32794', '778', '32892', '32727', '779', '4', 'fallen cave underwater');
INSERT INTO `dungeon` VALUES ('32771', '32933', '778', '32937', '32798', '779', '6', 'fallen cave underwater');
INSERT INTO `dungeon` VALUES ('32771', '32934', '778', '32937', '32799', '779', '6', 'fallen cave underwater');
INSERT INTO `dungeon` VALUES ('32891', '32725', '779', '32918', '32792', '778', '0', 'fallen cave');
INSERT INTO `dungeon` VALUES ('32892', '32725', '779', '32917', '32792', '778', '0', 'fallen cave');
INSERT INTO `dungeon` VALUES ('32939', '32798', '779', '32769', '32933', '778', '2', 'fallen cave');
INSERT INTO `dungeon` VALUES ('32939', '32799', '779', '32769', '32934', '778', '2', 'fallen cave');
INSERT INTO `dungeon` VALUES ('32771', '32848', '450', '32724', '32847', '451', '2', '1st Floor Meeting Area');
INSERT INTO `dungeon` VALUES ('32771', '32849', '450', '32724', '32847', '451', '2', '1st Floor Meeting Area');
INSERT INTO `dungeon` VALUES ('32724', '32848', '451', '32770', '32849', '450', '6', 'Front Gate of Lastavard');
INSERT INTO `dungeon` VALUES ('32786', '32792', '451', '32682', '32742', '491', '4', 'Underground Passageway');
INSERT INTO `dungeon` VALUES ('32733', '32859', '491', '32721', '32861', '495', '2', 'Underground Duel Area');
INSERT INTO `dungeon` VALUES ('32733', '32860', '491', '32721', '32861', '495', '2', 'Underground Duel Area');
INSERT INTO `dungeon` VALUES ('32733', '32861', '491', '32721', '32861', '495', '2', 'Underground Duel Area');
INSERT INTO `dungeon` VALUES ('32733', '32862', '491', '32721', '32861', '495', '2', 'Underground Duel Area');
INSERT INTO `dungeon` VALUES ('32815', '32816', '495', '32791', '32815', '496', '2', 'Underground Jail');
INSERT INTO `dungeon` VALUES ('32815', '32817', '495', '32791', '32815', '496', '2', 'Underground Jail');
INSERT INTO `dungeon` VALUES ('32815', '32818', '495', '32791', '32815', '496', '2', 'Underground Jail');
INSERT INTO `dungeon` VALUES ('32815', '32819', '495', '32791', '32815', '496', '2', 'Underground Jail');
INSERT INTO `dungeon` VALUES ('32771', '32785', '495', '32797', '32813', '493', '0', 'Underground Control Room');
INSERT INTO `dungeon` VALUES ('32772', '32785', '495', '32797', '32813', '493', '0', 'Underground Control Room');
INSERT INTO `dungeon` VALUES ('32773', '32785', '495', '32797', '32813', '493', '0', 'Underground Control Room');
INSERT INTO `dungeon` VALUES ('32774', '32785', '495', '32797', '32813', '493', '0', 'Underground Control Room');
INSERT INTO `dungeon` VALUES ('32806', '32769', '493', '32790', '32761', '494', '2', 'Underground Punishment Area');
INSERT INTO `dungeon` VALUES ('32806', '32770', '493', '32790', '32761', '494', '2', 'Underground Punishment Area');
INSERT INTO `dungeon` VALUES ('32806', '32771', '493', '32790', '32761', '494', '2', 'Underground Punishment Area');
INSERT INTO `dungeon` VALUES ('32806', '32772', '493', '32790', '32761', '494', '2', 'Underground Punishment Area');
INSERT INTO `dungeon` VALUES ('32744', '32723', '493', '32727', '32858', '490', '0', 'Underground Training Area');
INSERT INTO `dungeon` VALUES ('32745', '32723', '493', '32727', '32858', '490', '0', 'Underground Training Area');
INSERT INTO `dungeon` VALUES ('32746', '32723', '493', '32727', '32858', '490', '0', 'Underground Training Area');
INSERT INTO `dungeon` VALUES ('32747', '32723', '493', '32727', '32858', '490', '0', 'Underground Training Area');
INSERT INTO `dungeon` VALUES ('32731', '32809', '490', '32785', '32813', '492', '0', 'Assassin King\'s Power Room');
INSERT INTO `dungeon` VALUES ('32731', '32810', '490', '32785', '32813', '492', '0', 'Assassin King\'s Power Room');
INSERT INTO `dungeon` VALUES ('32731', '32811', '490', '32785', '32813', '492', '0', 'Assassin King\'s Power Room');
INSERT INTO `dungeon` VALUES ('32731', '32812', '490', '32785', '32813', '492', '0', 'Assassin King\'s Power Room');
INSERT INTO `dungeon` VALUES ('32813', '32832', '451', '32723', '32825', '452', '2', '1st Floor Shock Squad Training Area');
INSERT INTO `dungeon` VALUES ('32813', '32833', '451', '32723', '32825', '452', '2', '1st Floor Shock Squad Training Area');
INSERT INTO `dungeon` VALUES ('32813', '32834', '451', '32723', '32825', '452', '2', '1st Floor Shock Squad Training Area');
INSERT INTO `dungeon` VALUES ('32813', '32835', '451', '32723', '32825', '452', '2', '1st Floor Shock Squad Training Area');
INSERT INTO `dungeon` VALUES ('32722', '32824', '452', '32813', '32834', '451', '6', '1st Floor Meeting Area');
INSERT INTO `dungeon` VALUES ('32722', '32826', '452', '32813', '32834', '451', '6', '1st Floor Meeting Area');
INSERT INTO `dungeon` VALUES ('32811', '32835', '452', '32723', '32851', '453', '2', '1st Floor Evil Power King\'s Power Room');
INSERT INTO `dungeon` VALUES ('32811', '32836', '452', '32723', '32851', '453', '2', '1st Floor Evil Power King\'s Power Room');
INSERT INTO `dungeon` VALUES ('32811', '32837', '452', '32723', '32851', '453', '2', '1st Floor Evil Power King\'s Power Room');
INSERT INTO `dungeon` VALUES ('32811', '32838', '452', '32723', '32851', '453', '2', '1st Floor Evil Power King\'s Power Room');
INSERT INTO `dungeon` VALUES ('32722', '32850', '453', '32811', '32837', '452', '6', '1st Floor Shock Squad Training Area');
INSERT INTO `dungeon` VALUES ('32722', '32851', '453', '32811', '32837', '452', '6', '1st Floor Shock Squad Training Area');
INSERT INTO `dungeon` VALUES ('32722', '32852', '453', '32811', '32837', '452', '6', '1st Floor Shock Squad Training Area');
INSERT INTO `dungeon` VALUES ('32722', '32853', '453', '32811', '32837', '452', '6', '1st Floor Shock Squad Training Area');
INSERT INTO `dungeon` VALUES ('32766', '32830', '453', '32729', '32876', '454', '0', '1st Floor Dark Warrens');
INSERT INTO `dungeon` VALUES ('32767', '32830', '453', '32729', '32876', '454', '0', '1st Floor Dark Warrens');
INSERT INTO `dungeon` VALUES ('32768', '32830', '453', '32729', '32876', '454', '0', '1st Floor Dark Warrens');
INSERT INTO `dungeon` VALUES ('32769', '32830', '453', '32729', '32876', '454', '0', '1st Floor Dark Warrens');
INSERT INTO `dungeon` VALUES ('32793', '32851', '453', '32751', '32871', '456', '2', '1st Floor Evil Power Summoning Room');
INSERT INTO `dungeon` VALUES ('32793', '32852', '453', '32751', '32871', '456', '2', '1st Floor Evil Power Summoning Room');
INSERT INTO `dungeon` VALUES ('32793', '32853', '453', '32751', '32871', '456', '2', '1st Floor Evil Power Summoning Room');
INSERT INTO `dungeon` VALUES ('32793', '32854', '453', '32751', '32871', '456', '2', '1st Floor Evil Power Summoning Room');
INSERT INTO `dungeon` VALUES ('32723', '32727', '453', '32665', '32852', '457', '4', '1st Floor Off-Limits Area of Darkness');
INSERT INTO `dungeon` VALUES ('32723', '32728', '453', '32665', '32852', '457', '4', '1st Floor Off-Limits Area of Darkness');
INSERT INTO `dungeon` VALUES ('32727', '32876', '454', '32768', '32830', '453', '4', '1st Floor Evil Power King\'s Power Room');
INSERT INTO `dungeon` VALUES ('32728', '32876', '454', '32768', '32830', '453', '4', '1st Floor Evil Power King\'s Power Room');
INSERT INTO `dungeon` VALUES ('32729', '32876', '454', '32768', '32830', '453', '4', '1st Floor Evil Power King\'s Power Room');
INSERT INTO `dungeon` VALUES ('32730', '32876', '454', '32768', '32830', '453', '4', '1st Floor Evil Power King\'s Power Room');
INSERT INTO `dungeon` VALUES ('32813', '32821', '454', '32723', '32853', '455', '2', '1st Floor Dark Warrens');
INSERT INTO `dungeon` VALUES ('32813', '32822', '454', '32723', '32853', '455', '2', '1st Floor Dark Warrens');
INSERT INTO `dungeon` VALUES ('32813', '32823', '454', '32723', '32853', '455', '2', '1st Floor Dark Warrens');
INSERT INTO `dungeon` VALUES ('32813', '32824', '454', '32723', '32853', '455', '2', '1st Floor Dark Warrens');
INSERT INTO `dungeon` VALUES ('32723', '32851', '455', '32813', '32823', '454', '6', '1st Floor Dark Warrens');
INSERT INTO `dungeon` VALUES ('32723', '32852', '455', '32813', '32823', '454', '6', '1st Floor Dark Warrens');
INSERT INTO `dungeon` VALUES ('32723', '32853', '455', '32813', '32823', '454', '6', '1st Floor Dark Warrens');
INSERT INTO `dungeon` VALUES ('32723', '32854', '455', '32813', '32823', '454', '6', '1st Floor Dark Warrens');
INSERT INTO `dungeon` VALUES ('32809', '32872', '455', '32665', '32852', '457', '4', '1st Floor Off-Limits Area of Darkness');
INSERT INTO `dungeon` VALUES ('32810', '32872', '455', '32665', '32852', '457', '4', '1st Floor Off-Limits Area of Darkness');
INSERT INTO `dungeon` VALUES ('32751', '32869', '456', '32793', '32853', '453', '6', '1st Floor Evil Power King\'s Power Room');
INSERT INTO `dungeon` VALUES ('32751', '32870', '456', '32793', '32853', '453', '6', '1st Floor Evil Power King\'s Power Room');
INSERT INTO `dungeon` VALUES ('32751', '32871', '456', '32793', '32853', '453', '6', '1st Floor Evil Power King\'s Power Room');
INSERT INTO `dungeon` VALUES ('32751', '32872', '456', '32793', '32853', '453', '6', '1st Floor Evil Power King\'s Power Room');
INSERT INTO `dungeon` VALUES ('32808', '32793', '456', '32665', '32852', '457', '4', '1st Floor Off-Limits Area of Darkness');
INSERT INTO `dungeon` VALUES ('32808', '32794', '456', '32665', '32852', '457', '4', '1st Floor Off-Limits Area of Darkness');
INSERT INTO `dungeon` VALUES ('32829', '33096', '550', '32855', '32802', '480', '5', 'Pirate\'s Isle');
INSERT INTO `dungeon` VALUES ('32829', '33097', '550', '32855', '32802', '480', '5', 'Pirate\'s Isle');
INSERT INTO `dungeon` VALUES ('32782', '32780', '550', '32727', '32824', '557', '6', 'Unknown');
INSERT INTO `dungeon` VALUES ('32727', '32824', '557', '32784', '32779', '550', '2', 'Unknown');
INSERT INTO `dungeon` VALUES ('32729', '32829', '557', '32781', '32799', '558', '4', 'Unknown');
INSERT INTO `dungeon` VALUES ('32730', '32829', '557', '32782', '32799', '558', '4', 'Unknown');
INSERT INTO `dungeon` VALUES ('32781', '32798', '558', '32729', '32828', '557', '0', 'Unknown');
INSERT INTO `dungeon` VALUES ('32782', '32798', '558', '32730', '32828', '557', '0', 'Unknown');
INSERT INTO `dungeon` VALUES ('32687', '32776', '550', '32736', '32873', '557', '6', 'Unknown');
INSERT INTO `dungeon` VALUES ('32736', '32873', '557', '32689', '32775', '550', '2', 'Unknown');
INSERT INTO `dungeon` VALUES ('32729', '32877', '557', '32943', '32804', '558', '4', 'Unknown');
INSERT INTO `dungeon` VALUES ('32730', '32877', '557', '32944', '32804', '558', '4', 'Unknown');
INSERT INTO `dungeon` VALUES ('32943', '32803', '558', '32729', '32876', '557', '0', 'Unknown');
INSERT INTO `dungeon` VALUES ('32944', '32803', '558', '32730', '32876', '557', '0', 'Unknown');
INSERT INTO `dungeon` VALUES ('32607', '32727', '550', '32757', '32794', '557', '6', 'Unknown');
INSERT INTO `dungeon` VALUES ('32757', '32794', '557', '32609', '32726', '550', '2', 'Unknown');
INSERT INTO `dungeon` VALUES ('32750', '32798', '557', '33027', '32953', '558', '4', 'Unknown');
INSERT INTO `dungeon` VALUES ('32751', '32798', '557', '33027', '32953', '558', '4', 'Unknown');
INSERT INTO `dungeon` VALUES ('33027', '32952', '558', '32750', '32797', '557', '0', 'Unknown');
INSERT INTO `dungeon` VALUES ('33028', '32952', '558', '32751', '32797', '557', '0', 'Unknown');
INSERT INTO `dungeon` VALUES ('32422', '32831', '550', '32759', '32845', '557', '6', 'Unknown');
INSERT INTO `dungeon` VALUES ('32759', '32845', '557', '32424', '32830', '550', '2', 'Unknown');
INSERT INTO `dungeon` VALUES ('32752', '32849', '557', '33172', '32977', '558', '4', 'Unknown');
INSERT INTO `dungeon` VALUES ('32753', '32849', '557', '33173', '32977', '558', '4', 'Unknown');
INSERT INTO `dungeon` VALUES ('33172', '32976', '558', '32752', '32848', '557', '0', 'Unknown');
INSERT INTO `dungeon` VALUES ('33173', '32976', '558', '32753', '32848', '557', '0', 'Unknown');
INSERT INTO `dungeon` VALUES ('32533', '32902', '550', '32782', '32820', '557', '6', 'Unknown');
INSERT INTO `dungeon` VALUES ('32782', '32820', '557', '32535', '32901', '550', '2', 'Unknown');
INSERT INTO `dungeon` VALUES ('32781', '32825', '557', '32865', '33045', '558', '4', 'Unknown');
INSERT INTO `dungeon` VALUES ('32782', '32825', '557', '32866', '33045', '558', '4', 'Unknown');
INSERT INTO `dungeon` VALUES ('32865', '33044', '558', '32781', '32824', '557', '0', 'Unknown');
INSERT INTO `dungeon` VALUES ('32866', '33044', '558', '32782', '32824', '557', '0', 'Unknown');
INSERT INTO `dungeon` VALUES ('32457', '33054', '550', '32785', '32873', '557', '6', 'Unknown');
INSERT INTO `dungeon` VALUES ('32785', '32873', '557', '32459', '33053', '550', '2', 'Unknown');
INSERT INTO `dungeon` VALUES ('32778', '32877', '557', '32816', '33181', '558', '4', 'Unknown');
INSERT INTO `dungeon` VALUES ('32779', '32877', '557', '32817', '33181', '558', '4', 'Unknown');
INSERT INTO `dungeon` VALUES ('32816', '33180', '558', '32778', '32876', '557', '0', 'Unknown');
INSERT INTO `dungeon` VALUES ('32817', '33180', '558', '32779', '32876', '557', '0', 'Unknown');
INSERT INTO `dungeon` VALUES ('32617', '33002', '550', '32808', '32791', '557', '6', 'Unknown');
INSERT INTO `dungeon` VALUES ('32808', '32791', '557', '32619', '33002', '550', '2', 'Unknown');
INSERT INTO `dungeon` VALUES ('32801', '32795', '557', '32958', '33184', '558', '4', 'Unknown');
INSERT INTO `dungeon` VALUES ('32802', '32795', '557', '32959', '33184', '558', '4', 'Unknown');
INSERT INTO `dungeon` VALUES ('32958', '33183', '558', '32801', '32794', '557', '0', 'Unknown');
INSERT INTO `dungeon` VALUES ('32959', '33183', '558', '32802', '32794', '557', '0', 'Unknown');
INSERT INTO `dungeon` VALUES ('32795', '33061', '550', '32807', '32843', '557', '6', 'Unknown');
INSERT INTO `dungeon` VALUES ('32807', '32843', '557', '32797', '33060', '550', '2', 'Unknown');
INSERT INTO `dungeon` VALUES ('32800', '32847', '557', '33120', '33203', '558', '4', 'Unknown');
INSERT INTO `dungeon` VALUES ('32801', '32847', '557', '33121', '33203', '558', '4', 'Unknown');
INSERT INTO `dungeon` VALUES ('33120', '33202', '558', '32800', '32846', '557', '0', 'Unknown');
INSERT INTO `dungeon` VALUES ('33121', '33202', '558', '32801', '32846', '557', '0', 'Unknown');
INSERT INTO `dungeon` VALUES ('32823', '32854', '400', '32681', '32971', '400', '2', 'Great Cavern');
INSERT INTO `dungeon` VALUES ('32681', '32971', '400', '32823', '32854', '400', '2', 'Great Cavern');
INSERT INTO `etcitem` VALUES ('40001', 'Lamp', '$2', 'light', 'normal', 'copper', '20000', '3', '4', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40002', 'Lantern', '$326', 'light', 'normal', 'copper', '30000', '140', '181', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40003', 'Lantern Oil', '$327', 'light', 'normal', 'glass', '1000', '142', '239', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40004', 'Magic Lantern', '$3426', 'light', 'normal', 'copper', '30000', '140', '181', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40005', 'Candle', '$67', 'light', 'normal', 'web', '2000', '24', '6', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40006', 'Pine Wand', '$28', 'wand', 'normal', 'wood', '70', '117', '28', '19', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '6', '1000', '0', '0');
INSERT INTO `etcitem` VALUES ('40007', 'Ebony Wand', '$262', 'wand', 'spell_long', 'wood', '70', '118', '28', '21', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '6', '1000', '0', '0');
INSERT INTO `etcitem` VALUES ('40008', 'Maple Wand', '$27', 'wand', 'spell_long', 'wood', '70', '116', '28', '20', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '6', '1000', '0', '0');
INSERT INTO `etcitem` VALUES ('40009', 'Wand of Blink', '$975', 'wand', 'spell_long', 'wood', '70', '118', '28', '301', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '6', '1000', '0', '0');
INSERT INTO `etcitem` VALUES ('40010', 'Lesser Healing Potion', '$26', 'potion', 'normal', 'glass', '7800', '80', '45', '1342', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '2', '500', '0', '0');
INSERT INTO `etcitem` VALUES ('40011', 'Healing Potion', '$235', 'potion', 'normal', 'glass', '9800', '78', '43', '15', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '2', '1000', '0', '0');
INSERT INTO `etcitem` VALUES ('40012', 'Greater Healing Potion', '$238', 'potion', 'normal', 'glass', '11700', '81', '46', '130', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '2', '1000', '0', '0');
INSERT INTO `etcitem` VALUES ('40013', 'Haste Potion', '$234', 'potion', 'normal', 'glass', '7800', '77', '42', '1343', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40014', 'Potion of Bravery', '$943', 'potion', 'normal', 'glass', '9000', '79', '44', '296', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40015', 'Potion of Mana', '$232', 'potion', 'normal', 'glass', '7800', '75', '20', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40016', 'Potion of Wisdom', '$944', 'potion', 'normal', 'glass', '9000', '1529', '3836', '297', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40017', 'Cure Poison Potion', '$233', 'potion', 'normal', 'glass', '7800', '76', '41', '126', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40018', 'Greater Haste Potion', '$1652 $234', 'potion', 'normal', 'glass', '14100', '621', '42', '1343', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40019', 'Condensed Lesser Healing Potion', '$1251', 'potion', 'normal', 'glass', '3900', '535', '3041', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '2', '500', '0', '0');
INSERT INTO `etcitem` VALUES ('40020', 'Condensed Healing Potion', '$1252', 'potion', 'normal', 'glass', '4900', '532', '3042', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '2', '1000', '0', '0');
INSERT INTO `etcitem` VALUES ('40021', 'Condensed Greater Healing Potion', '$1253', 'potion', 'normal', 'glass', '5900', '536', '3043', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '2', '1000', '0', '0');
INSERT INTO `etcitem` VALUES ('40022', 'Ancient Lesser Healing Potion', '$2575', 'potion', 'normal', 'glass', '7800', '1161', '3041', '915', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '2', '500', '0', '0');
INSERT INTO `etcitem` VALUES ('40023', 'Ancient Healing Potion', '$2576', 'potion', 'normal', 'glass', '9800', '1162', '3042', '916', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '2', '500', '0', '0');
INSERT INTO `etcitem` VALUES ('40024', 'Ancient Greater Healing Potion', '$2577', 'potion', 'normal', 'glass', '11700', '1163', '3043', '917', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '2', '500', '0', '0');
INSERT INTO `etcitem` VALUES ('40025', 'Blinding Potion', '$239', 'potion', 'normal', 'glass', '15600', '82', '47', '16', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40026', 'Banana Juice', '$107 $2372', 'potion', 'normal', 'glass', '5860', '1033', '47', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '2', '1000', '0', '0');
INSERT INTO `etcitem` VALUES ('40027', 'Orange Juice', '$85 $2372', 'potion', 'normal', 'glass', '5860', '1034', '47', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '2', '1000', '0', '0');
INSERT INTO `etcitem` VALUES ('40028', 'Apple Juice', '$106 $2372', 'potion', 'normal', 'glass', '5860', '1032', '47', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '2', '1000', '0', '0');
INSERT INTO `etcitem` VALUES ('40029', 'Ivory Tower Healing Potion', '$3301', 'potion', 'normal', 'glass', '7800', '80', '45', '1342', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '2', '500', '0', '0');
INSERT INTO `etcitem` VALUES ('40030', 'Ivory Tower Haste Potion', '$3302', 'potion', 'normal', 'glass', '7800', '77', '42', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40031', 'Devil\'s Blood', '$3372', 'potion', 'normal', 'glass', '0', '1761', '4338', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40032', 'Bless of Eva', '$1507', 'potion', 'normal', 'glass', '2000', '557', '1733', '411', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40033', 'Elixer (STR)', '$2530', 'potion', 'normal', 'glass', '20000', '1143', '2983', '0', '1', '0', '0', '5', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40034', 'Elixer (CON)', '$2531', 'potion', 'normal', 'glass', '20000', '1140', '2987', '0', '1', '0', '0', '5', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40035', 'Elixer (DEX)', '$2532', 'potion', 'normal', 'glass', '20000', '1141', '2984', '0', '1', '0', '0', '5', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40036', 'Elixer (INT)', '$2533', 'potion', 'normal', 'glass', '20000', '1142', '2985', '0', '1', '0', '0', '5', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40037', 'Elixer (WIS)', '$2534', 'potion', 'normal', 'glass', '20000', '1144', '2986', '0', '1', '0', '0', '5', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40038', 'Elixer (CHA)', '$2535', 'potion', 'normal', 'glass', '20000', '1139', '2988', '0', '1', '0', '0', '5', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40039', 'Wine', '$3405', 'potion', 'normal', 'glass', '160', '1646', '4249', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40040', 'Whiskey', '$3406', 'potion', 'normal', 'glass', '160', '1647', '4250', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40041', 'Scale of Mermaid', '$1508', 'potion', 'normal', 'bone', '3900', '556', '1732', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40042', 'Potion of Mental Acuity', '$3370', 'potion', 'normal', 'glass', '31000', '1730', '20', '1406', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40043', 'Rabbit Liver', '$1943', 'potion', 'normal', 'glass', '78000', '904', '3041', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '2', '1000', '0', '0');
INSERT INTO `etcitem` VALUES ('40044', 'Diamond', '$512', 'gem', 'none', 'gemstone', '40', '236', '771', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40045', 'Ruby', '$513', 'gem', 'none', 'gemstone', '40', '242', '774', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40046', 'Sapphire', '$514', 'gem', 'none', 'gemstone', '40', '245', '775', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40047', 'Emerald', '$515', 'gem', 'none', 'gemstone', '40', '239', '772', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40048', 'High Quality Diamond', '$799 $512', 'gem', 'none', 'gemstone', '40', '237', '771', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40049', 'High Quality Ruby', '$799 $513', 'gem', 'none', 'gemstone', '40', '243', '774', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40050', 'High Quality Sapphire', '$799 $514', 'gem', 'none', 'gemstone', '40', '246', '775', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40051', 'High Quality Emerald', '$799 $515', 'gem', 'none', 'gemstone', '40', '240', '772', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40052', 'Highest Quality Diamond', '$800 $512', 'gem', 'none', 'gemstone', '40', '238', '771', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40053', 'Highest Quality Ruby', '$800 $513', 'gem', 'none', 'gemstone', '40', '244', '774', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40054', 'Highest Quality Sapphire', '$800 $514', 'gem', 'none', 'gemstone', '40', '247', '775', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40055', 'Highest Quality Emerald', '$800 $515', 'gem', 'none', 'gemstone', '40', '241', '772', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40056', 'Meat', '$23', 'food', 'normal', 'animalmatter', '10000', '124', '36', '10', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '100');
INSERT INTO `etcitem` VALUES ('40057', 'Floating Eye Meat', '$6 $23', 'food', 'normal', 'animalmatter', '10000', '1205', '36', '9', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40058', 'Brown Piece of Bread', '$3403', 'potion', 'normal', 'vegetation', '4000', '1648', '4251', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '2', '1000', '0', '0');
INSERT INTO `etcitem` VALUES ('40059', 'Egg', '$72', 'food', 'normal', 'animalmatter', '1000', '40', '69', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '80');
INSERT INTO `etcitem` VALUES ('40060', 'Carrot', '$68', 'food', 'normal', 'vegetation', '2000', '25', '67', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '50');
INSERT INTO `etcitem` VALUES ('40061', 'Lemon', '$82', 'food', 'normal', 'vegetation', '2000', '63', '72', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '50');
INSERT INTO `etcitem` VALUES ('40062', 'Banana', '$107', 'food', 'normal', 'vegetation', '2000', '127', '80', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '80');
INSERT INTO `etcitem` VALUES ('40063', 'Valentines Day chocolate', '$1619 $1622', 'food', 'normal', 'vegetation', '1000', '608', '74', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40064', 'Apple', '$106', 'food', 'normal', 'vegetation', '2000', '995', '2723', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '50');
INSERT INTO `etcitem` VALUES ('40065', 'Candy', '$1179', 'food', 'normal', 'vegetation', '1000', '936', '73', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '30');
INSERT INTO `etcitem` VALUES ('40066', 'Rice-cake', '$2578', 'potion', 'normal', 'vegetation', '6000', '1157', '3037', '918', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40067', 'Mugwort rice-cake', '$2579', 'potion', 'normal', 'vegetation', '12000', '1158', '3038', '919', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40068', 'Elven Wafer', '$110', 'potion', 'normal', 'vegetation', '5000', '130', '81', '86', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40069', 'Orange', '$85', 'food', 'normal', 'vegetation', '2000', '71', '73', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '80');
INSERT INTO `etcitem` VALUES ('40070', 'Fruit of Evolution', '$2810', 'food', 'none', 'vegetation', '10000', '1316', '2723', '969', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40071', 'Burnt Piece of Bread', '$3404', 'potion', 'normal', 'vegetation', '5000', '1649', '4251', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '2', '1000', '0', '0');
INSERT INTO `etcitem` VALUES ('40072', 'Pizza', '$86', 'food', 'normal', 'vegetation', '2000', '125', '74', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '200');
INSERT INTO `etcitem` VALUES ('40073', 'Easter Basket', 'Easter Basket', 'food', 'normal', 'vegetation', '1000', '614', '73', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40074', 'Scroll of Enchant Armor', '$249', 'scroll', 'zel', 'paper', '630', '467', '22', '26', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40075', 'Scroll of Destroy Armor', '$254', 'scroll', 'zel', 'paper', '630', '476', '22', '27', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40076', 'Ancient Scroll', '$1957', 'scroll', 'normal', 'paper', '5000', '911', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40077', 'Ancients\' Alchemy Scroll', '$3363', 'scroll', 'dai', 'paper', '630', '1690', '4286', '1396', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40078', 'Ancients\' Magic Scroll', '$3366', 'scroll', 'zel', 'paper', '630', '1693', '4286', '1395', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40079', 'Scroll of Escape', '$505', 'scroll', 'normal', 'paper', '630', '474', '22', '1338', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40080', 'Scroll of Return - Gludin Town', '$3304', 'scroll', 'normal', 'paper', '630', '474', '22', '1345', '1', '0', '0', '0', '0', '32612', '32734', '4', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40081', 'Scroll of Escape to Giran', '$1410', 'scroll', 'normal', 'paper', '630', '474', '22', '1351', '1', '0', '0', '0', '0', '33442', '32797', '4', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40082', 'Scroll of Return - Singing Island', '$1411', 'scroll', 'normal', 'paper', '630', '474', '22', '0', '1', '0', '0', '0', '13', '32831', '32838', '8011', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40083', 'Scroll of Teleportation - Lastabad', '$230 - Lastabad', 'scroll', 'normal', 'paper', '630', '1813', '22', '0', '1', '0', '0', '0', '0', '32549', '32801', '400', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40084', 'Scroll of Teleportation - Diad Fortress', '$3554', 'scroll', 'normal', 'paper', '630', '474', '22', '0', '1', '0', '0', '0', '0', '32723', '32851', '320', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40085', 'Scroll of Return - Talking Island', '$3303', 'scroll', 'normal', 'paper', '630', '474', '22', '0', '1', '0', '0', '0', '0', '32580', '32931', '0', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40086', 'Scroll of Mass Teleport', '$618', 'scroll', 'ntele', 'paper', '630', '469', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40087', 'Scroll of Enchant Weapon', '$244', 'scroll', 'dai', 'paper', '630', '468', '22', '25', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40088', 'Scroll of Polymorph', '$971', 'scroll', 'sosc', 'paper', '630', '472', '22', '1341', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40089', 'Scroll of Resurrection', '$257', 'scroll', 'res', 'paper', '630', '471', '22', '28', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40090', 'Blank Scroll (Level 1)', '$1486', 'scroll', 'blank', 'paper', '630', '859', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40091', 'Blank Scroll (Level 2)', '$1892', 'scroll', 'blank', 'paper', '630', '860', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40092', 'Blank Scroll (Level 3)', '$1893', 'scroll', 'blank', 'paper', '630', '858', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40093', 'Blank Scroll (Level 4)', '$1894', 'scroll', 'blank', 'paper', '630', '862', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40094', 'Blank Scroll (Level 5)', '$1895', 'scroll', 'blank', 'paper', '630', '864', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40095', 'Ivory Tower Scroll of Return', '$3297', 'scroll', 'normal', 'paper', '630', '474', '22', '1353', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40096', 'Ivory Tower Scroll of Polymorph', '$3300', 'scroll', 'sosc', 'paper', '630', '472', '22', '1341', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40097', 'Ivory Tower Scroll of Curse Removal', '$3299', 'scroll', 'normal', 'paper', '630', '470', '22', '1340', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40098', 'Ivory Tower Scroll of Identify', '$3298', 'scroll', 'identify', 'paper', '630', '475', '22', '1339', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40099', 'Ivory Tower Teleport Scroll', '$3296', 'scroll', 'ntele', 'paper', '630', '473', '22', '1337', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40100', 'Scroll of Teleportation', '$230', 'scroll', 'ntele', 'paper', '630', '473', '22', '1337', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40101', 'Scroll of Return - Hidden Valley', '$1424', 'scroll', 'normal', 'paper', '630', '474', '22', '0', '1', '0', '0', '0', '13', '32671', '32836', '69', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40102', 'Scroll of Return - Aden City', '$3314', 'scroll', 'normal', 'paper', '630', '474', '22', '1355', '1', '0', '0', '0', '0', '33966', '33253', '4', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40103', 'Scroll of Return - Ivory Tower Town', '$3312', 'scroll', 'normal', 'paper', '630', '474', '22', '0', '1', '0', '0', '0', '0', '34061', '32276', '4', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40104', 'TOI Teleport Scroll, 11F', '$2169', 'scroll', 'normal', 'paper', '630', '1035', '22', '0', '1', '0', '0', '0', '0', '32631', '32935', '111', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40105', 'TOI Teleport Scroll, 21F', '$2168', 'scroll', 'normal', 'paper', '630', '1035', '22', '0', '1', '0', '0', '0', '0', '32631', '32935', '121', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40106', 'TOI Teleport Scroll, 31F', '$2404', 'scroll', 'normal', 'paper', '630', '1035', '22', '0', '1', '0', '0', '0', '0', '32631', '32935', '131', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40107', 'TOI Teleport Scroll, 41F', '$2405', 'scroll', 'normal', 'paper', '630', '1035', '22', '0', '1', '0', '0', '0', '0', '32631', '32935', '141', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40108', 'TOI Teleport Scroll, 51F', '$2673', 'scroll', 'normal', 'paper', '630', '1035', '22', '0', '1', '0', '0', '0', '0', '32669', '32814', '151', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40109', 'TOI Teleport Scroll, 61F', '$2674', 'scroll', 'normal', 'paper', '630', '1035', '22', '0', '1', '0', '0', '0', '0', '32669', '32814', '161', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40110', 'TOI Teleport Scroll, 71F', '$2675', 'scroll', 'normal', 'paper', '630', '1035', '22', '0', '1', '0', '0', '0', '0', '32669', '32814', '171', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40111', 'TOI Teleport Scroll, 81F', '$2676', 'scroll', 'normal', 'paper', '630', '1035', '22', '0', '1', '0', '0', '0', '0', '32669', '32814', '181', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40112', 'TOI Teleport Scroll, 91F', '$2677', 'scroll', 'normal', 'paper', '630', '1035', '22', '0', '1', '0', '0', '0', '0', '32669', '32814', '191', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40113', 'TOI Teleport Scroll, 100F', '$2862', 'scroll', 'normal', 'paper', '630', '1035', '22', '0', '1', '0', '0', '0', '0', '32731', '32856', '200', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40114', 'Scroll of Return - Elven Forest', '$3308', 'scroll', 'normal', 'paper', '630', '474', '22', '1349', '1', '0', '0', '0', '0', '33054', '32323', '4', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40115', 'Scroll of Return - Woodbec Village', '$3306', 'scroll', 'normal', 'paper', '630', '474', '22', '1347', '1', '0', '0', '0', '0', '32621', '33169', '4', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40116', 'Scroll of Return - Werldern Town', '$3313', 'scroll', 'normal', 'paper', '630', '474', '22', '1354', '1', '0', '0', '0', '0', '33705', '32504', '4', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40117', 'Scroll of Return - Silver Knight Town', '$3309', 'scroll', 'normal', 'paper', '630', '474', '22', '1350', '1', '0', '0', '0', '0', '33080', '33392', '4', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40118', 'Scroll of Return - Recluse Village', '$3547', 'scroll', 'normal', 'paper', '630', '1815', '22', '0', '1', '0', '0', '0', '0', '32601', '32908', '400', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40119', 'Scroll of Curse Removal', '$243', 'scroll', 'normal', 'paper', '630', '470', '22', '1340', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40120', 'Scroll of Return - Resistance Village', '$3546', 'scroll', 'normal', 'paper', '630', '1814', '22', '0', '1', '0', '0', '0', '0', '32571', '32673', '400', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40121', 'Scroll of Teleportation - Diad Fortress', '$230 - Diad Fortress', 'scroll', 'normal', 'paper', '630', '474', '22', '0', '1', '0', '0', '0', '0', '32733', '32985', '330', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40122', 'Scroll of Return - Kent Village', '$3305', 'scroll', 'normal', 'paper', '630', '474', '22', '1346', '1', '0', '0', '0', '0', '33050', '32780', '4', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40123', 'Scroll of Return - Heine City', '$3311', 'scroll', 'normal', 'paper', '630', '474', '22', '1352', '1', '0', '0', '0', '0', '33612', '33268', '4', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40124', 'Scroll of Return - Pledge House', '$2380', 'scroll', 'normal', 'paper', '630', '474', '22', '806', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40125', 'Scroll of Return - Orctown', '$3307', 'scroll', 'normal', 'paper', '630', '474', '22', '1348', '1', '0', '0', '0', '0', '32715', '32448', '4', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40126', 'Scroll of Identify', '$55', 'scroll', 'identify', 'paper', '630', '475', '22', '1339', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40127', 'Scroll of Enchant Armor Illusion', '$2001', 'scroll', 'zel', 'paper', '18000', '928', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40128', 'Scroll of Enchant Weapon Illusion', '$2000', 'scroll', 'dai', 'paper', '13000', '929', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40129', 'Gian\'s Scroll', '$3359', 'scroll', 'zel', 'paper', '630', '1686', '22', '1395', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40130', 'Kalba\'s Scroll', '$3360', 'scroll', 'dai', 'paper', '630', '1687', '22', '1396', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40131', 'Totem of Gandi', '$501', 'totem', 'none', 'bone', '1000', '261', '732', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40132', 'Totem of Neruga', '$500', 'totem', 'none', 'bone', '1000', '259', '730', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40133', 'Totem of Duda-Mara', '$503', 'totem', 'none', 'bone', '1000', '260', '731', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40134', 'Totem of Rova', '$502', 'totem', 'none', 'bone', '1000', '262', '733', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40135', 'Totem of Atuba', '$499', 'totem', 'none', 'bone', '1000', '258', '729', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40136', 'Shot Firework', '$1654 $1616', 'firecracker', 'normal', 'wood', '0', '596', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40137', 'Shot Mega Bam Firework', '$1655 $1616', 'firecracker', 'normal', 'wood', '0', '598', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40138', 'High Quality Shot Mega Bam Firework', '$799 $1655 $1616', 'firecracker', 'normal', 'wood', '0', '597', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40139', 'Deep Blue Level 2 Firework', '$1627 $1630 $1616', 'firecracker', 'normal', 'wood', '0', '595', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40140', 'Deep Blue Sparkler', '$1627 $1656', 'firecracker', 'normal', 'wood', '0', '599', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40141', 'Deep Blue Firework', '$1627 $1616', 'firecracker', 'normal', 'wood', '0', '593', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40142', 'Deep Blue Heart Firework', '$1627 $1631 $1616', 'firecracker', 'normal', 'wood', '0', '594', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40143', 'Red Level 2 Firework', '$1625 $1630 $1616', 'firecracker', 'normal', 'wood', '0', '595', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40144', 'Red Sparkler', '$1625 $1656', 'firecracker', 'normal', 'wood', '0', '599', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40145', 'Red Firework', '$1625 $1616', 'firecracker', 'normal', 'wood', '0', '593', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40146', 'Red Heart Firework', '$1625 $1631 $1616', 'firecracker', 'normal', 'wood', '0', '594', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40147', 'Blue Level 2 Circle Firework', '$1626 $1630 $1629 $1616', 'firecracker', 'normal', 'wood', '0', '595', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40148', 'Blue Level 2 Firework', '$1626 $1630 $1616', 'firecracker', 'normal', 'wood', '0', '595', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40149', 'Blue Snow Flower Firework', '$1626 $1632 $1616', 'firecracker', 'normal', 'wood', '0', '594', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40150', 'Blue Sparkler', '$1626 $1656', 'firecracker', 'normal', 'wood', '0', '599', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40151', 'Blue Circle Firework', '$1626 $1629 $1616', 'firecracker', 'normal', 'wood', '0', '593', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40152', 'Blue Firework', '$1626 $1616', 'firecracker', 'normal', 'wood', '0', '593', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40153', 'Blue Heart Firework', '$1626 $1631 $1616', 'firecracker', 'normal', 'wood', '0', '594', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40154', 'Christmas Firecracker', '$2683', 'firecracker', 'normal', 'wood', '0', '1207', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40155', 'Yellow Level 2 Circle Firework', '$1628 $1630 $1629 $1616', 'firecracker', 'normal', 'wood', '0', '595', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40156', 'Yellow Level 2 Firework', '$1628 $1630 $1616', 'firecracker', 'normal', 'wood', '0', '595', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40157', 'Yellow Snow Flower Firework', '$1628 $1632 $1616', 'firecracker', 'normal', 'wood', '0', '594', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40158', 'Yellow Sparkler', '$1628 $1656', 'firecracker', 'normal', 'wood', '0', '599', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40159', 'Yellow Circle Firework', '$1628 $1629 $1616', 'firecracker', 'normal', 'wood', '0', '593', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40160', 'Yellow Firework', '$1628 $1616', 'firecracker', 'normal', 'wood', '0', '593', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40161', 'Yellow Heart Firework', '$1628 $1631 $1616', 'firecracker', 'normal', 'wood', '0', '594', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40162', 'Heart of Golem', '$3060', 'material', 'none', 'gemstone', '1000', '1467', '4303', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40163', 'Golden Key', '$307', 'other', 'none', 'iron', '3000', '59', '19', '52', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40164', 'TechnicalDocument(ShockStun)', '$3259', 'spellbook', 'normal', 'paper', '7000', '252', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40165', 'TechnicalDocument(ReductionArmor)', '$4007', 'spellbook', 'normal', 'paper', '7000', '252', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40166', 'TechnicalDocument(BounceAttack)', '$4008', 'spellbook', 'normal', 'paper', '7000', '252', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40167', 'Old Leather Pouch', '$3390', 'other', 'normal', 'leather', '2000', '1643', '4246', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40168', 'Old Silk Pouch', '$3391', 'other', 'normal', 'cloth', '5000', '1645', '4248', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40169', 'Heart of Drake', '$3063', 'other', 'none', 'gemstone', '10', '1462', '4301', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40170', 'Spellbook(Fireball)', '$532', 'spellbook', 'normal', 'paper', '7000', '249', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40171', 'Spellbook(EnchantDex)', '$533', 'spellbook', 'normal', 'paper', '7000', '249', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40172', 'Spellbook(WeaponBreak)', '$534', 'spellbook', 'normal', 'paper', '7000', '254', '777', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40173', 'Spellbook(VampiricTouch)', '$535', 'spellbook', 'normal', 'paper', '7000', '254', '777', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40174', 'Spellbook(Slow)', '$536', 'spellbook', 'normal', 'paper', '7000', '249', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40175', 'Spellbook(EarthJail)', '$1586', 'spellbook', 'normal', 'paper', '7000', '249', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40176', 'Spellbook(CounterMagic)', '$1860', 'spellbook', 'normal', 'paper', '7000', '249', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40177', 'Spellbook(Meditate)', '$1861', 'spellbook', 'normal', 'paper', '7000', '249', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40178', 'Spellbook(Paralyze)', '$537', 'spellbook', 'normal', 'paper', '7000', '255', '777', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40179', 'Spellbook(CallLightning)', '$538', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40180', 'Spellbook(GreaterHeal)', '$539', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40181', 'Spellbook(TameMonster)', '$540', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40182', 'Spellbook(RemoveCurse)', '$541', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40183', 'Spellbook(ConeOfCold)', '$1587', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40184', 'Spellbook(ManaDrain)', '$1862', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40185', 'Spellbook(Darkness)', '$1863', 'spellbook', 'normal', 'paper', '7000', '255', '777', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40186', 'Spellbook(CreateZombie)', '$542', 'spellbook', 'normal', 'paper', '7000', '255', '777', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40187', 'Spellbook(EnchantStr)', '$543', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40188', 'Spellbook(Haste)', '$544', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40189', 'Spellbook(Cancel)', '$545', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40190', 'Spellbook(Eruption)', '$546', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40191', 'Spellbook(SunBurst)', '$1588', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40192', 'Spellbook(Weakness)', '$1864', 'spellbook', 'normal', 'paper', '7000', '255', '777', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40193', 'Spellbook(BlessWeapon)', '$1865', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40194', 'Spellbook(HealPledge)', '$547', 'spellbook', 'normal', 'paper', '7000', '251', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40195', 'Spellbook(IceLance)', '$548', 'spellbook', 'normal', 'paper', '7000', '251', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40196', 'Spellbook(Summon)', '$549', 'spellbook', 'normal', 'paper', '7000', '256', '777', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40197', 'Spellbook(HolyWalk)', '$550', 'spellbook', 'normal', 'paper', '7000', '251', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40198', 'Spellbook(Tornado)', '$551', 'spellbook', 'normal', 'paper', '7000', '251', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40199', 'Spellbook(GreaterHaste)', '$1651', 'spellbook', 'normal', 'paper', '7000', '251', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40200', 'Spellbook(Berzerkers)', '$1866', 'spellbook', 'normal', 'paper', '7000', '251', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40201', 'Spellbook(Disease)', '$1867', 'spellbook', 'normal', 'paper', '7000', '256', '777', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40202', 'Spellbook(FullHeal)', '$552', 'spellbook', 'normal', 'paper', '7000', '251', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40203', 'Spellbook(Firewall)', '$553', 'spellbook', 'normal', 'paper', '7000', '251', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40204', 'Spellbook(Blizzard)', '$554', 'spellbook', 'normal', 'paper', '7000', '256', '777', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40205', 'Spellbook(Invisibility)', '$555', 'spellbook', 'normal', 'paper', '7000', '251', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40206', 'Spellbook(Resurrection)', '$556', 'spellbook', 'normal', 'paper', '7000', '251', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40207', 'Spellbook(Earthquake)', '$1589', 'spellbook', 'normal', 'paper', '7000', '251', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40208', 'Spellbook(LifeStream)', '$1868', 'spellbook', 'normal', 'paper', '7000', '251', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40209', 'Spellbook(Silence)', '$1869', 'spellbook', 'normal', 'paper', '7000', '251', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40210', 'Spellbook(LightningStorm)', '$557', 'spellbook', 'normal', 'paper', '7000', '252', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40211', 'Spellbook(FogOfSleeping)', '$558', 'spellbook', 'normal', 'paper', '7000', '257', '777', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40212', 'Spellbook(Polymorph)', '$559', 'spellbook', 'normal', 'paper', '7000', '252', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40213', 'Spellbook(ImmuneToHarm)', '$560', 'spellbook', 'normal', 'paper', '7000', '252', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40214', 'Spellbook(MassTeleport)', '$561', 'spellbook', 'normal', 'paper', '7000', '252', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40215', 'Spellbook(FireStorm)', '$1590', 'spellbook', 'normal', 'paper', '7000', '252', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40216', 'Spellbook(DecayPotion)', '$1870', 'spellbook', 'normal', 'paper', '7000', '257', '777', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40217', 'Spellbook(CounterDetection)', '$1871', 'spellbook', 'normal', 'paper', '7000', '252', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40218', 'Spellbook(CreateMagicalWeapon)', '$562', 'spellbook', 'normal', 'paper', '7000', '252', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40219', 'Spellbook(MeteorStrike)', '$563', 'spellbook', 'normal', 'paper', '7000', '252', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40220', 'Spellbook(GreaterResurrection)', '$564', 'spellbook', 'normal', 'paper', '7000', '252', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40221', 'Spellbook(MassSlow)', '$565', 'spellbook', 'normal', 'paper', '7000', '257', '777', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40222', 'Spellbook(Destroy)', '$566', 'spellbook', 'normal', 'paper', '7000', '252', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40223', 'Spellbook(AbsoluteBarrier)', '$1872', 'spellbook', 'normal', 'paper', '7000', '252', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40224', 'Spellbook(AdvanceSpirit)', '$1873', 'spellbook', 'normal', 'paper', '7000', '252', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40225', 'Spellbook(FreezingBlizzard)', '$1874', 'spellbook', 'normal', 'paper', '7000', '257', '777', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40226', 'Spellbook(TrueTarget)', '$1959', 'spellbook', 'normal', 'paper', '7000', '252', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40227', 'Spellbook(Glowing Aura)', '$1960', 'spellbook', 'normal', 'paper', '7000', '252', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40228', 'Spellbook(CallPledgeMember)', '$2089', 'spellbook', 'normal', 'paper', '7000', '252', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40229', 'Spellbook(Shining Aura)', '$3175', 'spellbook', 'normal', 'paper', '7000', '252', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40230', 'Spellbook(Brave Aura)', '$3176', 'spellbook', 'normal', 'paper', '7000', '252', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40231', 'Spellbook(Teleport to Pledge Member)', '$3260', 'spellbook', 'normal', 'paper', '7000', '252', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40232', 'Spirit Crystal(ResistMagic)', '$1829', 'spellbook', 'normal', 'gemstone', '7000', '673', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40233', 'Spirit Crystal(BodytoMind)', '$1830', 'spellbook', 'normal', 'gemstone', '7000', '673', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40234', 'Spirit Crystal(TeleportToMotherTree)', '$1831', 'spellbook', 'normal', 'gemstone', '7000', '673', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40235', 'Spirit Crystal(ClearMind)', '$1832', 'spellbook', 'normal', 'gemstone', '7000', '674', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40236', 'Spirit Crystal(ResistElemental)', '$1833', 'spellbook', 'normal', 'gemstone', '7000', '674', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40237', 'Spirit Crystal(ReturnToNature)', '$1834', 'spellbook', 'normal', 'gemstone', '7000', '677', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40238', 'Spirit Crystal(BloodtoSoul)', '$1835', 'spellbook', 'normal', 'gemstone', '7000', '677', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40239', 'Spirit Crystal(ProtectionFromElemental)', '$1836', 'spellbook', 'normal', 'gemstone', '7000', '677', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40240', 'Spirit Crystal(TripleShot)', '$3261', 'spellbook', 'normal', 'gemstone', '7000', '677', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40241', 'Spirit Crystal(ElementalFallDown)', '$3262', 'spellbook', 'normal', 'gemstone', '7000', '682', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40242', 'Spirit Crystal(EraseMagic)', '$1842', 'spellbook', 'normal', 'gemstone', '7000', '682', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40243', 'Spirit Crystal(SummonLesserElement)', '$1843', 'spellbook', 'normal', 'gemstone', '7000', '682', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40244', 'Spirit Crystal(AreaOfSilence)', '$1849', 'spellbook', 'normal', 'gemstone', '7000', '687', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40245', 'Spirit Crystal(SummonGreaterElement)', '$1850', 'spellbook', 'normal', 'gemstone', '7000', '687', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40246', 'Spirit Crystal(CounterMirror)', '$3263', 'spellbook', 'normal', 'gemstone', '7000', '687', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40247', 'Spirit Crystal(EarthSkin)', '$1840', 'spellbook', 'normal', 'gemstone', '7000', '676', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40248', 'Spirit Crystal(Entangle)', '$1841', 'spellbook', 'normal', 'gemstone', '7000', '676', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40249', 'Spirit Crystal(EarthBind)', '$1846', 'spellbook', 'normal', 'gemstone', '7000', '676', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40250', 'Spirit Crystal(BlessOfEarth)', '$1848', 'spellbook', 'normal', 'gemstone', '7000', '681', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40251', 'Spirit Crystal(IronSkin)', '$1856', 'spellbook', 'normal', 'gemstone', '7000', '686', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40252', 'Spirit Crystal(ExoticVitalize)', '$3265', 'spellbook', 'normal', 'gemstone', '7000', '686', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40253', 'Spirit Crystal(WaterLife)', '$3266', 'spellbook', 'normal', 'gemstone', '7000', '678', '2958', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40254', 'Spirit Crystal(NaturesTouch)', '$1847', 'spellbook', 'normal', 'gemstone', '7000', '683', '2958', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40255', 'Spirit Crystal(NaturesBlessing)', '$1852', 'spellbook', 'normal', 'gemstone', '7000', '688', '2958', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40256', 'Spirit Crystal(FireWeapon)', '$1837', 'spellbook', 'normal', 'gemstone', '7000', '675', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40257', 'Spirit Crystal(BlessOfFire)', '$1844', 'spellbook', 'normal', 'gemstone', '7000', '680', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40258', 'Spirit Crystal(BurningWeapon)', '$1851', 'spellbook', 'normal', 'gemstone', '7000', '685', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40259', 'Spirit Crystal(ElementalFire)', '$3267', 'spellbook', 'normal', 'gemstone', '7000', '685', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40260', 'Spirit Crystal(WindShot)', '$1838', 'spellbook', 'normal', 'gemstone', '7000', '679', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40261', 'Spirit Crystal(WindWalk)', '$1839', 'spellbook', 'normal', 'gemstone', '7000', '679', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40262', 'Spirit Crystal(EyeofStorm)', '$1845', 'spellbook', 'normal', 'gemstone', '7000', '684', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40263', 'Spirit Crystal(StormShot)', '$1854', 'spellbook', 'normal', 'gemstone', '7000', '689', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40264', 'Spirit Crystal(WindShackle)', '$1855', 'spellbook', 'normal', 'gemstone', '7000', '689', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40265', 'Dark Spirit Crystal(BlindHiding)', '$2518', 'spellbook', 'normal', 'gemstone', '7000', '1135', '2956', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40266', 'Dark Spirit Crystal(EnchantVenom)', '$2519', 'spellbook', 'normal', 'gemstone', '7000', '1135', '2956', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40267', 'Dark Spirit Crystal(ShadowArmor)', '$2520', 'spellbook', 'normal', 'gemstone', '7000', '1135', '2956', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40268', 'Dark Spirit Crystal(PurifyStone)', '$2521', 'spellbook', 'normal', 'gemstone', '7000', '1135', '2956', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40269', 'Dark Spirit Crystal(DressMighty)', '$3172', 'spellbook', 'normal', 'gemstone', '7000', '1135', '2956', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40270', 'Dark Spirit Crystal(MovingAcceleration)', '$2522', 'spellbook', 'normal', 'gemstone', '7000', '1136', '2957', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40271', 'Dark Spirit Crystal(BurningSpirit)', '$2523', 'spellbook', 'normal', 'gemstone', '7000', '1136', '2957', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40272', 'Dark Spirit Crystal(DarkBlind)', '$2524', 'spellbook', 'normal', 'gemstone', '7000', '1136', '2957', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40273', 'Dark Spirit Crystal(VenomResist)', '$2525', 'spellbook', 'normal', 'gemstone', '7000', '1136', '2957', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40274', 'Dark Spirit Crystal(DressDex)', '$3173', 'spellbook', 'normal', 'gemstone', '7000', '1136', '2957', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40275', 'Dark Spirit Crystal(DoubleBreak)', '$2526', 'spellbook', 'normal', 'gemstone', '7000', '1137', '2958', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40276', 'Dark Spirit Crystal(UncannyDodge)', '$2527', 'spellbook', 'normal', 'gemstone', '7000', '1137', '2958', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40277', 'Dark Spirit Crystal(ShadowFang)', '$2528', 'spellbook', 'normal', 'gemstone', '7000', '1137', '2958', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40278', 'Dark Spirit Crystal(FinalBurn)', '$2529', 'spellbook', 'normal', 'gemstone', '7000', '1137', '2958', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40279', 'Dark Spirit Crystal(DressEvasion)', '$3174', 'spellbook', 'normal', 'gemstone', '7000', '1137', '2958', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('40280', 'Sealed TOI Teleport Charm, 11F', '$2582', 'other', 'normal', 'none', '10000', '1164', '2879', '808', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40281', 'Sealed TOI Teleport Charm, 21F', '$2583', 'other', 'normal', 'none', '10000', '1164', '2879', '809', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40282', 'Sealed TOI Teleport Charm, 31F', '$2584', 'other', 'normal', 'none', '10000', '1164', '2879', '810', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40283', 'Sealed TOI Teleport Charm, 41F', '$2585', 'other', 'normal', 'none', '10000', '1164', '2879', '811', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40284', 'Sealed TOI Teleport Charm, 51F', '$2668', 'other', 'normal', 'none', '10000', '1164', '2879', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40285', 'Sealed TOI Teleport Charm, 61F', '$2669', 'other', 'normal', 'none', '10000', '1164', '2879', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40286', 'Sealed TOI Teleport Charm, 71F', '$2670', 'other', 'normal', 'none', '10000', '1164', '2879', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40287', 'Sealed TOI Teleport Charm, 81F', '$2671', 'other', 'normal', 'none', '10000', '1164', '2879', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40288', 'Sealed TOI Teleport Charm, 91F', '$2672', 'other', 'normal', 'none', '10000', '1164', '2879', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40289', 'TOI Teleport Charm, 11F', '$2400', 'other', 'normal', 'paper', '10000', '1036', '2878', '922', '0', '0', '0', '0', '0', '32631', '32935', '111', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40290', 'TOI Teleport Charm, 21F', '$2401', 'other', 'normal', 'paper', '10000', '1036', '2878', '923', '0', '0', '0', '0', '0', '32631', '32935', '121', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40291', 'TOI Teleport Charm, 31F', '$2402', 'other', 'normal', 'paper', '10000', '1036', '2878', '924', '0', '0', '0', '0', '0', '32631', '32935', '131', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40292', 'TOI Teleport Charm, 41F', '$2403', 'other', 'normal', 'paper', '10000', '1036', '2878', '925', '0', '0', '0', '0', '0', '32631', '32935', '141', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40293', 'TOI Teleport Charm, 51F', '$2678', 'other', 'normal', 'paper', '10000', '1036', '2878', '0', '0', '0', '0', '0', '0', '32669', '32814', '151', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40294', 'TOI Teleport Charm, 61F', '$2679', 'other', 'normal', 'paper', '10000', '1036', '2878', '0', '0', '0', '0', '0', '0', '32669', '32814', '161', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40295', 'TOI Teleport Charm, 71F', '$2680', 'other', 'normal', 'paper', '10000', '1036', '2878', '0', '0', '0', '0', '0', '0', '32669', '32814', '171', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40296', 'TOI Teleport Charm, 81F', '$2681', 'other', 'normal', 'paper', '10000', '1036', '2878', '0', '0', '0', '0', '0', '0', '32669', '32814', '181', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40297', 'TOI Teleport Charm, 91F', '$2682', 'other', 'normal', 'paper', '10000', '1036', '2878', '0', '0', '0', '0', '0', '0', '32669', '32814', '191', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40298', 'Boat Ticket to Island', '$315', 'other', 'none', 'paper', '1000', '138', '151', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40299', 'Ticket to Gludio Estate', '$314', 'other', 'none', 'paper', '1000', '138', '151', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40300', 'Forgotten Island Boat Ticket', '$1930', 'other', 'none', 'paper', '1000', '138', '151', '0', '1', '0', '0', '45', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40301', 'Heine Boat Ticket', '$1945', 'other', 'none', 'paper', '1000', '138', '151', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40302', 'Boat Ticket to Pirate\'s Island', '$3439', 'other', 'none', 'paper', '1000', '138', '151', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40303', 'Boat Ticket to Hidden Dock', '$3440', 'other', 'none', 'paper', '1000', '138', '151', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40304', 'Relic of Maphr', '$3064', 'other', 'none', 'gemstone', '10', '544', '1561', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40305', 'Relic of Paagrio', '$3065', 'other', 'none', 'gemstone', '10', '545', '1563', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40306', 'Relic of Eva', '$3066', 'other', 'none', 'gemstone', '10', '543', '1562', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40307', 'Relic of Sayha', '$3067', 'other', 'none', 'gemstone', '10', '546', '1564', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40308', 'Adena', '$4', 'other', 'none', 'gold', '0', '5', '7', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40309', 'Race Ticket', '$1247', 'other', 'none', 'paper', '1000', '143', '151', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40310', 'Stationary', '$1075', 'other', 'letter', 'paper', '0', '464', '1215', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40311', 'Blood Pledge Letter', '$1146', 'other', 'letter', 'paper', '0', '464', '1215', '357', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40312', 'Inn Room Key', '$954', 'other', 'none', 'iron', '1000', '59', '151', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40313', 'Pale Silver Key', '$308', 'other', 'none', 'iron', '3000', '59', '19', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40314', 'Pet Collar', '$1173', 'other', 'normal', 'iron', '5000', '487', '1317', '361', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40315', 'Pet Whistle', '$1086', 'other', 'instrument', 'wood', '8000', '477', '1218', '343', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40316', 'Pet Collar', '$1173', 'other', 'normal', 'iron', '5000', '1617', '1317', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40317', 'Whetstone', '$1100', 'other', 'choice', 'mineral', '4000', '478', '1252', '348', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40318', 'Magic Gem', '$508', 'material', 'none', 'gemstone', '2000', '235', '773', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40319', 'Spirit Gem', '$1822', 'material', 'none', 'gemstone', '1000', '706', '773', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40320', 'Bring Stone', '$2474', 'material', 'none', 'mineral', '300', '1061', '2897', '836', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40321', 'Dark Stone', '$2475', 'material', 'none', 'mineral', '600', '1054', '2898', '837', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40322', 'Brave Stone', '$2476', 'material', 'none', 'mineral', '900', '1055', '2899', '838', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40323', 'Wise Stone', '$2477', 'material', 'none', 'mineral', '1200', '1056', '2900', '839', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40324', 'Kaiser Stone', '$2478', 'material', 'none', 'mineral', '1500', '1057', '2901', '840', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40325', 'Two-Sided Magic Dice', '$2719', 'other', 'normal', 'gemstone', '5000', '1210', '3274', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40326', 'Three-Sided Magic Dice', '$2720', 'other', 'normal', 'gemstone', '5000', '1212', '3275', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40327', 'Four-Sided Magic Dice', '$2721', 'other', 'normal', 'gemstone', '5000', '1214', '3276', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40328', 'Six-Sided Magic Dice', '$2722', 'other', 'normal', 'gemstone', '5000', '1216', '3252', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40329', 'Native\'s Totem', '$3494', 'other', 'normal', 'bone', '1000', '1763', '4341', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40330', 'Unlimited Quiver', '$3493', 'other', 'normal', 'leather', '60000', '1762', '4340', '1498', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '86400', '0');
INSERT INTO `etcitem` VALUES ('40331', 'Sword of Kent Soldier', '$3393', 'other', 'none', 'iron', '40000', '1650', '4253', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40332', 'Bow of Kent Archer', '$3394', 'other', 'none', 'wood', '30000', '1652', '4254', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40333', 'Staff of Kent Wizard', '$3395', 'other', 'none', 'wood', '20000', '1654', '4255', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40334', 'Axe of Kent Warrior', '$3396', 'other', 'none', 'iron', '20000', '1656', '4256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40335', 'Kent Axe', '$3397', 'other', 'none', 'iron', '60000', '1658', '4257', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40336', 'Kent Emblem Boots', '$3398', 'other', 'none', 'silver', '150000', '1639', '4242', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40337', 'Kent Emblem Armor', '$3399', 'other', 'none', 'silver', '450000', '1642', '4245', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40338', 'Kent Emblem Gloves', '$3400', 'other', 'none', 'silver', '50000', '1640', '4243', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40339', 'Kent Emblem Shield', '$3401', 'other', 'none', 'silver', '300000', '1660', '4264', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40340', 'Kent Emblem Helm', '$3402', 'other', 'none', 'silver', '100000', '1641', '4244', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40341', 'Scale of Antharas', '$2778', 'material', 'none', 'dragonscale', '1000', '1284', '3334', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40342', 'Crushed Claw of Antharas', '$2779', 'material', 'none', 'bone', '1000', '1264', '3335', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40343', 'Eye of Antharas', '$2780', 'material', 'none', 'animalmatter', '1000', '1276', '3336', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40344', 'Blood of Antharas', '$2781', 'material', 'none', 'animalmatter', '1000', '1268', '3337', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40345', 'Antharas Flesh', '$2782', 'material', 'none', 'animalmatter', '1000', '1280', '3338', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40346', 'Heart of Antharas', '$2783', 'material', 'none', 'animalmatter', '1000', '1292', '3339', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40347', 'Bone of Antharas', '$2784', 'material', 'none', 'bone', '1000', '1272', '3348', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40348', 'Tooth of Antharas', '$2785', 'material', 'none', 'bone', '1000', '1288', '3341', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40349', 'Scale of Valakas', '$2786', 'material', 'none', 'dragonscale', '1000', '1283', '3326', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40350', 'Crushed Claw of Valakas', '$2787', 'material', 'none', 'bone', '1000', '1263', '3327', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40351', 'Eye of Valakas', '$2788', 'material', 'none', 'animalmatter', '1000', '1275', '3328', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40352', 'Blood of Valakas', '$2789', 'material', 'none', 'animalmatter', '1000', '1267', '3329', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40353', 'Valakas Flesh', '$2790', 'material', 'none', 'animalmatter', '1000', '1279', '3330', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40354', 'Heart of Valakas', '$2791', 'material', 'none', 'animalmatter', '1000', '1291', '3331', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40355', 'Bone of Valakas', '$2792', 'material', 'none', 'bone', '1000', '1271', '3332', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40356', 'Tooth of Valakas', '$2793', 'material', 'none', 'bone', '1000', '1287', '3333', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40357', 'Scale of Fafurion', '$2794', 'material', 'none', 'dragonscale', '1000', '1281', '3342', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40358', 'Crushed Claw of Fafurion', '$2795', 'material', 'none', 'bone', '1000', '1261', '3343', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40359', 'Eye of Fafurion', '$2796', 'material', 'none', 'animalmatter', '1000', '1273', '3344', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40360', 'Blood of Fafurion', '$2797', 'material', 'none', 'animalmatter', '1000', '1265', '3345', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40361', 'Fafurion Flesh', '$2798', 'material', 'none', 'animalmatter', '1000', '1277', '3346', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40362', 'Heart of Fafurion', '$2799', 'material', 'none', 'animalmatter', '1000', '1289', '3347', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40363', 'Bone of Fafurion', '$2800', 'material', 'none', 'bone', '1000', '1269', '3348', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40364', 'Tooth of Fafurion', '$2801', 'material', 'none', 'bone', '1000', '1285', '3349', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40365', 'Scale of Lindvior', '$2802', 'material', 'none', 'dragonscale', '1000', '1282', '3318', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40366', 'Crushed Claw of Lindvior', '$2803', 'material', 'none', 'bone', '1000', '1262', '3319', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40367', 'Eye of Lindvior', '$2804', 'material', 'none', 'animalmatter', '1000', '1274', '3320', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40368', 'Blood of Lindvior', '$2805', 'material', 'none', 'animalmatter', '1000', '1266', '3321', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40369', 'Lindvior Flesh', '$2806', 'material', 'none', 'animalmatter', '1000', '1278', '3322', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40370', 'Heart of Lindvior', '$2807', 'material', 'none', 'animalmatter', '1000', '1290', '3323', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40371', 'Bone of Lindvior', '$2808', 'material', 'none', 'bone', '1000', '1270', '3324', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40372', 'Tooth of Lindvior', '$2809', 'material', 'none', 'bone', '1000', '1286', '3325', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40373', 'Map:All of Aden', '$1101', 'other', 'normal', 'paper', '1000', '1138', '2982', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40374', 'Map:Talking Island', '$1102', 'other', 'normal', 'paper', '1000', '479', '1275', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40375', 'Map:Gludio', '$1103', 'other', 'normal', 'paper', '1000', '479', '1275', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40376', 'Map:Kent Castle', '$1104', 'other', 'normal', 'paper', '1000', '479', '1275', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40377', 'Map:Orcish Fortress', '$1105', 'other', 'normal', 'paper', '1000', '479', '1275', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40378', 'Map:Elven Forest', '$1106', 'other', 'normal', 'paper', '1000', '479', '1275', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40379', 'Map:Windawood', '$1107', 'other', 'normal', 'paper', '1000', '479', '1275', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40380', 'Map:Silver Knight Town', '$1108', 'other', 'normal', 'paper', '1000', '479', '1275', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40381', 'Map:Dragon Valley', '$1109', 'other', 'normal', 'paper', '1000', '479', '1275', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40382', 'Map:Giran', '$1188', 'other', 'normal', 'paper', '1000', '479', '1275', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40383', 'Map:Singing Island', '$1533', 'other', 'normal', 'paper', '1000', '479', '1275', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40384', 'Map:Hidden Valley', '$1534', 'other', 'normal', 'paper', '1000', '479', '1275', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40385', 'Map:Heine', '$1535', 'other', 'normal', 'paper', '1000', '479', '1275', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40386', 'Map:Lair of Valakas', '$1607', 'other', 'normal', 'paper', '1000', '479', '1275', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40387', 'Map:Oren', '$1889', 'other', 'normal', 'paper', '1000', '479', '1275', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40388', 'Map: Aden', '$2203', 'other', 'normal', 'paper', '1000', '479', '1275', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40389', 'Map: Silent Cavern', '$2543', 'other', 'normal', 'paper', '1000', '479', '1275', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40390', 'Map: Pirate island', '$3616', 'other', 'normal', 'paper', '1000', '479', '1275', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40391', 'Calculator', '$3235', 'other', 'normal', 'steel', '1000', '1606', '3953', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40392', 'Christmas Tree', '$2687', 'other', 'none', 'wood', '0', '143', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40393', 'Red Dragon Scales', '$145', 'material', 'none', 'dragonscale', '8000', '549', '3326', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40394', 'White Dragon Scales', '$146', 'material', 'none', 'dragonscale', '8000', '550', '3318', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40395', 'Blue Dragon Scales', '$149', 'material', 'none', 'dragonscale', '8000', '547', '3342', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40396', 'Green Dragon Scales', '$150', 'material', 'none', 'dragonscale', '8000', '548', '3334', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40397', 'Cimaera Skin (Dragon)', '$2195', 'material', 'none', 'leather', '0', '965', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40398', 'Cimaera Skin (Goat)', '$2196', 'material', 'none', 'leather', '0', '966', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40399', 'Cimaera Skin (Lion)', '$2197', 'material', 'none', 'leather', '0', '967', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40400', 'Cimaera Skin (Snake)', '$2198', 'material', 'none', 'leather', '0', '968', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40401', 'Cursed Leather (Fire)', '$2593', 'material', 'none', 'leather', '1000', '1177', '3111', '928', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40402', 'Cursed Leather (Water)', '$2594', 'material', 'none', 'leather', '1000', '1167', '3112', '929', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40403', 'Cursed Leather (Wind)', '$2595', 'material', 'none', 'leather', '1000', '1175', '3114', '930', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40404', 'Cursed Leather (Earth)', '$2596', 'material', 'none', 'leather', '1000', '1186', '3113', '931', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40405', 'Fur', '$1036', 'material', 'none', 'leather', '80', '446', '1164', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40406', 'Hard Leather', '$1039', 'material', 'none', 'leather', '250', '455', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40407', 'Bone Piece', '$1040', 'material', 'none', 'bone', '160', '444', '1166', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40408', 'Lump of Iron', '$1037', 'material', 'none', 'iron', '780', '454', '1167', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40409', 'Heart of Firebird', '$3061', 'material', 'none', 'gemstone', '1000', '1468', '4297', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40410', 'Bark of Black Ent', '$3095', 'material', 'spell_long', 'wood', '1000', '1494', '3716', '1183', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40411', 'Fruit of Black Ent', '$3096', 'material', 'none', 'vegetation', '2300', '1495', '3717', '1184', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1000', '0', '0');
INSERT INTO `etcitem` VALUES ('40412', 'Twig of Black Ent', '$3094', 'material', 'none', 'wood', '7000', '1493', '3715', '1182', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40413', 'Heart of Ice Queen', '$3062', 'material', 'none', 'gemstone', '10', '1469', '4299', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40414', 'Alchemist\'s Stone', '$3369', 'material', 'normal', 'gemstone', '0', '1717', '4305', '1405', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '86400', '0');
INSERT INTO `etcitem` VALUES ('40415', 'Relic Pouch', '$3392', 'material', 'normal', 'cloth', '8000', '1644', '4247', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40416', 'Cursed Blood', '$3371', 'material', 'normal', 'glass', '0', '1716', '4304', '1407', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '86400', '0');
INSERT INTO `etcitem` VALUES ('40417', 'Special Spirit Crystal', '$3521', 'material', 'normal', 'gemstone', '1000', '244', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40418', 'Tarak\'s Valuables', '$3348', 'material', 'none', 'iron', '4000', '1759', '427', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40419', 'Web of Muryan', '$3538', 'material', 'none', 'cloth', '0', '1807', '4442', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40420', 'Ancients\' Book of Magic, Volume 1', '$3357', 'material', 'none', 'paper', '0', '1684', '4280', '1397', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40421', 'Ancients\' Book of Magic, Volume 2', '$3361', 'material', 'none', 'paper', '0', '1688', '4284', '1397', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40422', 'Ancients\' Book of Magic, Volume 3', '$3364', 'material', 'none', 'paper', '0', '1691', '4287', '1397', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40423', 'Ancients\' Book of Magic, Volume 4', '$3367', 'material', 'none', 'paper', '0', '1694', '4290', '1397', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40424', 'Wolf Pelt', '$3533', 'material', 'none', 'leather', '0', '1802', '3127', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40425', 'Potion of Dark Forest', '$3093', 'material', 'none', 'glass', '10', '1492', '3714', '1181', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40426', 'Ring of Dark Forester', '$3090', 'material', 'none', 'gold', '10', '1488', '3963', '1178', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40427', 'Dark Elven Pouch', '$3536', 'material', 'normal', 'leather', '1000', '1805', '4440', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40428', 'Tear of Moonlight', '$2864', 'material', 'none', 'gemstone', '0', '1323', '3368', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40429', 'Piece of Large Cave Scroll', '$3544', 'material', 'none', 'paper', '0', '1800', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40430', 'Large Cave Crystal', '$3542', 'material', 'none', 'gemstone', '2000', '1811', '4446', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40431', 'Leather of Mole', '$3106', 'material', 'none', 'leather', '80', '1505', '3727', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40432', 'Diad Scroll Piece', '$3553', 'material', 'none', 'paper', '0', '1800', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40433', 'Dillo Claw', '$3540', 'material', 'none', 'bone', '0', '1809', '3129', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40434', 'Tail of Dillo', '$3107', 'material', 'none', 'leather', '80', '1506', '3728', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40435', 'Bud of Deep Flower', '$3102', 'material', 'none', 'none', '390', '1501', '1164', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40436', 'Root of Deep Flower', '$3101', 'material', 'none', 'none', '780', '1500', '3722', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40437', 'Deep Flower Twig', '$3534', 'material', 'none', 'wood', '0', '1803', '1803', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40438', 'Bat Fang', '$3532', 'material', 'none', 'bone', '0', '1801', '3128', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40439', 'Platinum Plate', '$3035', 'material', 'none', 'platinum', '13000', '1426', '3527', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40440', 'Lump of Platinum', '$3033', 'material', 'none', 'platinum', '6000', '1424', '3525', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40441', 'Rough Platinum Piece', '$3034', 'material', 'none', 'platinum', '780', '1425', '3526', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40442', 'Blob Glastic Juice', '$3115', 'material', 'none', 'glass', '14100', '1530', '47', '1203', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40443', 'Black Lump of Pure Mithral', '$3020', 'material', 'none', 'blackmithril', '80', '1415', '3487', '1121', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40444', 'Black Lump of Rough Mihral', '$3019', 'material', 'none', 'blackmithril', '230', '1416', '3486', '1120', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40445', 'Black Mithril Plate', '$3021', 'material', 'none', 'blackmithril', '160', '1414', '3488', '1122', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40446', 'Ring of Black Wizard', '$3086', 'material', 'none', 'gemstone', '10', '1484', '3706', '1174', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40447', 'Leather of Black Tiger', '$3098', 'material', 'none', 'leather', '160', '1497', '3719', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40448', 'Claw of Black Tiger', '$3100', 'material', 'none', 'bone', '80', '1499', '3721', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40449', 'Fang of Black Tiger', '$3099', 'material', 'none', 'bone', '80', '1498', '3725', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40450', 'Twig of Black Ent', '$3094', 'material', 'normal', 'wood', '1000', '1808', '3715', '1182', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40451', 'Black Tiger Heart', '$3535', 'material', 'none', 'gemstone', '0', '1804', '3719', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40452', 'Ring of Beast Summoner', '$3082', 'material', 'none', 'gemstone', '10', '1520', '3963', '1170', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40453', 'Whip of Beast Summoner', '$3085', 'material', 'none', 'leather', '80', '1523', '3798', '1173', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40454', 'Beast Tamer Ring', '$2917', 'material', 'none', 'bone', '18000', '1338', '3438', '1092', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40455', 'Blue Cloth', '$1197', 'material', 'none', 'cloth', '0', '517', '1493', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40456', 'Red Cloth', '$1199', 'material', 'none', 'cloth', '0', '519', '1495', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40457', 'White Cloth', '$1200', 'material', 'none', 'cloth', '0', '520', '1496', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40458', 'Shining Scale', '$2600', 'material', 'none', 'none', '0', '1171', '3118', '935', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40459', 'Scorpion Shell', '$3537', 'material', 'none', 'leather', '0', '1806', '4441', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40460', 'Ash of Astagio', '$1608', 'material', 'none', 'bone', '390', '591', '1988', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40461', 'Devil\'s Black Shackles', '$3358', 'material', 'none', 'iron', '0', '1685', '4281', '1394', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40462', 'Devil\'s Red Shackles', '$3362', 'material', 'none', 'iron', '0', '1689', '4285', '1398', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40463', 'Devil\'s Blue Shackles', '$3365', 'material', 'none', 'iron', '0', '1692', '4288', '1401', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40464', 'Devil\'s White Shackles', '$3368', 'material', 'none', 'iron', '0', '1695', '4291', '1404', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40465', 'Elementalist Ring', '$2919', 'material', 'none', 'wood', '18000', '1340', '3440', '1093', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40466', 'Heart of Dragon', '$2200', 'material', 'none', 'none', '5000', '1032', '3339', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40467', 'Lump of Silver', 'Lump of Silver', 'material', 'none', 'silver', '6000', '1427', '3528', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40468', 'Rough Silver Piece', '$3031', 'material', 'none', 'silver', '780', '1428', '3529', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40469', 'Silver Plate', '$3032', 'material', 'none', 'silver', '13000', '1429', '3530', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40470', 'Piece of Soul', '$3543', 'material', 'none', 'gemstone', '1000', '1812', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40471', 'Fragment of Spirit', '$3522', 'material', 'none', 'gemstone', '0', '242', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40472', 'Cerberus Fur', '$3541', 'material', 'none', 'leather', '1000', '1810', '4445', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40473', 'Tarak\'s Sickle', '$3347', 'material', 'none', 'iron', '0', '1671', '4271', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40474', 'Corruption\'s Poison', '$3352', 'material', 'none', 'animalmatter', '0', '1677', '4275', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40475', 'Tarak\'s Head', '$3342', 'material', 'none', 'bone', '0', '1661', '4266', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40476', 'Corruption\'s Hand', '$3356', 'material', 'none', 'animalmatter', '0', '1682', '4279', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40477', 'Tarak\'s Devil Book, Volume 1', '$3349', 'material', 'none', 'paper', '0', '1673', '4272', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40478', 'Tarak\'s Devil Book, Volume 2', '$3351', 'material', 'none', 'paper', '0', '1676', '4274', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40479', 'Tarak\'s Devil Book, Volume 3', '$3353', 'material', 'none', 'paper', '0', '1678', '4276', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40480', 'Tarak\'s Devil Book, Volume 4', '$3355', 'material', 'none', 'paper', '0', '1681', '4278', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40481', 'Corruption\'s Tooth', '$3354', 'material', 'none', 'bone', '0', '1679', '4277', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40482', 'Corruption\'s Tongue', '$3350', 'material', 'none', 'animalmatter', '0', '1674', '4273', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40483', 'Rind of Plate Worm', '$3105', 'material', 'none', 'leather', '40', '1504', '3726', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40484', 'Venom of Plate Worm', '$3103', 'material', 'none', 'none', '2000', '1502', '47', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40485', 'Fang of Plate Worm', '$3104', 'material', 'none', 'bone', '80', '1503', '3720', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40486', 'Volcanic Ash', '$3116', 'material', 'none', 'none', '10', '1524', '3802', '1204', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40487', 'Gold Plate', '$3029', 'material', 'none', 'gold', '13000', '1423', '3524', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40488', 'Lump of Gold', '$3027', 'material', 'none', 'gold', '6000', '1421', '3522', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40489', 'Rough Gold Piece', '$3028', 'material', 'none', 'gold', '780', '1422', '3523', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40490', 'Black Spirit Stone', '$3117', 'material', 'none', 'gemstone', '40', '1532', '3826', '1205', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40491', 'Griffon Feather', '$1890', 'material', 'none', 'leather', '0', '861', '3965', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40492', 'Green Crystal', '$3970', 'material', 'none', 'gemstone', '0', '1463', '2906', '1830', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40493', 'Magic Flute', '$777', 'material', 'instrument', 'silver', '8000', '43', '906', '262', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40494', 'Pure Mithril', '$767', 'material', 'none', 'mithril', '500', '318', '888', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40495', 'Mithril Thread', '$772', 'material', 'none', 'mithril', '1000', '307', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40496', 'Rough Mithril', '$761', 'material', 'none', 'mithril', '1000', '320', '888', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40497', 'Mithril Plate', '$779', 'material', 'none', 'mithril', '31000', '329', '907', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40498', 'Wind Tear', '$1891', 'material', 'none', 'gemstone', '0', '942', '3966', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40499', 'Fungus Juice', '$764', 'material', 'none', 'glass', '14000', '82', '47', '249', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40500', 'Purple Crystal', '$3973', 'material', 'none', 'gemstone', '0', '942', '3963', '1833', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40501', 'Red Crystal', '$3972', 'material', 'none', 'gemstone', '0', '1464', '2904', '1832', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40502', 'Bag of Endia', '$766', 'material', 'none', 'cloth', '1000', '326', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40503', 'Letter of Endia', '$769', 'material', 'none', 'web', '1000', '308', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40504', 'Ecdysis of Arachne', '$774', 'material', 'none', 'web', '8000', '306', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40505', 'Bark of Ent', '$770', 'material', 'none', 'wood', '4000', '311', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40506', 'Fruit of Ent', '$794', 'material', 'normal', 'vegetation', '8000', '126', '79', '279', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '2', '1000', '0', '0');
INSERT INTO `etcitem` VALUES ('40507', 'Twig of Ent', '$763', 'material', 'normal', 'wood', '1000', '309', '881', '248', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40508', 'Oriharukon', '$771', 'material', 'none', 'oriharukon', '2000', '319', '3963', '256', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40509', 'Oriharukon Plate', '$780', 'material', 'none', 'oriharukon', '14000', '330', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40510', 'Bark of Contaminated Ent', '$3985', 'material', 'none', 'wood', '4000', '2050', '5240', '1828', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40511', 'Fruit of Contaminated Ent', '$3987', 'material', 'none', 'vegetation', '8000', '2049', '5209', '1827', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40512', 'Root of Contaminated Ent', '$3986', 'material', 'none', 'wood', '0', '2063', '5211', '1826', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40513', 'Blood of Ogre', '$765', 'material', 'none', 'glass', '0', '531', '47', '250', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40514', 'Tear of Spirit', '$3977', 'material', 'none', 'gemstone', '0', '865', '3963', '1837', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40515', 'Elemental Stone', '$762', 'material', 'none', 'gemstone', '1000', '1206', '3177', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40516', 'Large Green Crystal', '$3975', 'material', 'none', 'gemstone', '0', '330', '3963', '1835', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40517', 'Large Red Crystal', '$3976', 'material', 'none', 'gemstone', '0', '1135', '3963', '1836', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40518', 'Large Blue Crystal', '$3974', 'material', 'none', 'gemstone', '0', '330', '3963', '1834', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40519', 'Fairydust', '$760', 'material', 'none', 'cloth', '2000', '314', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40520', 'Fairydust', '$768', 'material', 'none', 'platinum', '1000', '312', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40521', 'Ala of Fairy', '$776', 'material', 'none', 'web', '8000', '313', '3963', '261', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40522', 'Blue Crystal', '$3969', 'material', 'none', 'gemstone', '0', '1465', '3963', '1829', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40523', 'White Crystal', '$3971', 'material', 'none', 'gemstone', '0', '330', '3963', '1831', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40524', 'Black Blood Stone', '$2592', 'material', 'none', 'glass', '10', '1166', '3110', '927', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40525', 'Tear of Gran Kain', '$2591', 'material', 'none', 'gemstone', '10', '1183', '3963', '926', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40526', 'Thin Plate', '$3236', 'material', 'none', 'gold', '0', '329', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40527', 'Pickaxe', '$3150', 'material', 'none', 'iron', '3000', '1535', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40528', 'Guardian\'s Bag', '$2264', 'questitem', 'normal', 'none', '10000', '957', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40529', 'Letter of Gratitude', '$2026', 'questitem', 'normal', 'paper', '1000', '917', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40530', 'Key of Ancient Prince', '$2363', 'questitem', 'normal', 'iron', '3000', '1021', '3963', '792', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40531', 'Key of Ancient Knight', '$2364', 'questitem', 'normal', 'iron', '3000', '1022', '3963', '793', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40532', 'Key of Ancient Wizard', '$2366', 'questitem', 'normal', 'iron', '3000', '1024', '3963', '795', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40533', 'Body of Ancient Key', '$2378', 'questitem', 'normal', 'iron', '3000', '1004', '3373', '796', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40534', 'Head of Ancient Key', '$2240', 'questitem', 'normal', 'iron', '3000', '1005', '3373', '796', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40535', 'Key of Ancient Elf', '$2365', 'questitem', 'normal', 'iron', '3000', '1023', '3373', '794', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40536', 'Record of the Ancient Devil', '$2242', 'questitem', 'normal', 'paper', '5000', '1002', '22', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40537', 'Ancient Inheritance', '$2246', 'questitem', 'normal', 'wood', '1000', '998', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40538', 'Ghoul Nail', '$1920', 'questitem', 'normal', 'bone', '1000', '918', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40539', 'Ghoul Tooth', '$1921', 'questitem', 'normal', 'bone', '1000', '926', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40540', 'Old Trading Document', '$1905', 'questitem', 'normal', 'paper', '1000', '919', '22', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40541', 'Dark Star', '$2649', 'questitem', 'normal', 'gemstone', '1000', '1318', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40542', 'Doppelganger Regurgitation', '$2239', 'questitem', 'normal', 'glass', '1000', '1006', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40543', 'Key to Ramia\'s Room', '$2088', 'questitem', 'normal', 'iron', '3000', '59', '19', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40544', 'Ramia\'s Scale', '$2024', 'questitem', 'normal', 'bone', '1000', '953', '1732', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40545', 'Ronde\'s Pouch', '$2541', 'questitem', 'normal', 'paper', '40000', '958', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40546', 'Marshall\'s Reward', '$2265', 'questitem', 'normal', 'none', '10000', '957', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40547', 'Relic of the People', '$2027', 'questitem', 'normal', 'bone', '1000', '952', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40548', 'Apparition\'s Bag', '$2270', 'questitem', 'normal', 'none', '10000', '957', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40549', 'Sword of Varlok', '$2346', 'questitem', 'normal', 'iron', '10000', '1012', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40550', 'Eye of Varlok', '$2347', 'questitem', 'normal', 'gemstone', '10000', '1013', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40551', 'Claw of Varlok', '$2348', 'questitem', 'normal', 'bone', '10000', '1014', '3721', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40552', 'Heart of Varlok', '$2349', 'questitem', 'normal', 'bone', '10000', '1015', '3122', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40553', 'Bludika\'s Pouch', '$2542', 'questitem', 'normal', 'paper', '40000', '958', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40554', 'Secret List', '$2413', 'questitem', 'normal', 'paper', '1000', '1041', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40555', 'Secret Room Key', '$2022', 'questitem', 'normal', 'iron', '3000', '59', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40556', 'Hit List Bag', '$2421', 'questitem', 'normal', 'paper', '40000', '958', '3963', '827', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40557', 'Hit List (Gludin)', '$2414', 'questitem', 'normal', 'paper', '1000', '1042', '3963', '820', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40558', 'Hit List (Giran)', '$2420', 'questitem', 'normal', 'paper', '1000', '1042', '3963', '826', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40559', 'Hit List (Aden City)', '$2419', 'questitem', 'normal', 'paper', '1000', '1042', '3963', '825', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40560', 'Hit List (Woodbec)', '$2417', 'questitem', 'normal', 'paper', '1000', '1042', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40561', 'Hit List (Kent)', '$2416', 'questitem', 'normal', 'paper', '1000', '1042', '3963', '822', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40562', 'Hit List (Heine)', '$2418', 'questitem', 'normal', 'paper', '1000', '1042', '3963', '824', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40563', 'Hit List (Fire-Field Farmers Town)', '$2415', 'questitem', 'normal', 'paper', '1000', '1042', '3963', '821', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40564', 'Secret of Life', '$1961', 'questitem', 'normal', 'paper', '1000', '912', '22', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40565', 'Search Document', '$1908', 'questitem', 'normal', 'paper', '1000', '914', '22', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40566', 'Mysterious Shell', '$2244', 'questitem', 'normal', 'bone', '8000', '999', '1166', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40567', 'Mystery Crystal Ball', '$2078', 'questitem', 'normal', 'glass', '11000', '938', '3966', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40568', 'Mysterious Bag', '$2224', 'questitem', 'normal', 'none', '10000', '958', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40569', 'Mystery Staff', '$2079', 'questitem', 'normal', 'wood', '11000', '946', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40570', 'Aria\'s Reward', '$2090', 'questitem', 'normal', 'none', '10000', '973', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40571', 'Assassin Master\'s Box', '$2429', 'questitem', 'normal', 'wood', '40000', '998', '3963', '835', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40572', 'Assassin\'s Token', '$2426', 'questitem', 'normal', 'iron', '1000', '1047', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40573', 'Letter of Soul', '$2222', 'questitem', 'normal', 'paper', '1000', '987', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40574', 'Letter of Soul', '$2222', 'questitem', 'normal', 'paper', '1000', '988', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40575', 'Letter of Soul', '$2222', 'questitem', 'normal', 'paper', '1000', '989', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40576', 'Crystal Piece of Soul', '$2221', 'questitem', 'normal', 'gemstone', '1000', '991', '3963', '0', '0', '0', '0', '45', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40577', 'Crystal Piece of Soul', '$2221', 'questitem', 'normal', 'gemstone', '1000', '985', '3963', '0', '0', '0', '0', '45', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40578', 'Crystal Piece of Soul', '$2221', 'questitem', 'normal', 'gemstone', '1000', '990', '3963', '0', '0', '0', '0', '45', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40579', 'Bone of Undead', '$2033', 'questitem', 'normal', 'bone', '9000', '934', '1166', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40580', 'Bone Piece of Undead', '$2034', 'questitem', 'normal', 'bone', '9000', '935', '1166', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40581', 'Undead Key', '$2030', 'questitem', 'normal', 'iron', '3000', '59', '19', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40582', 'Endia\'s Bag', '$2653', 'questitem', 'normal', 'leather', '1000', '1321', '3374', '1534', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40583', 'Endia\'s Letter', '$2654', 'questitem', 'normal', 'paper', '1000', '1322', '3375', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40584', 'Head of Yeti', '$2424', 'questitem', 'normal', 'animalmatter', '1000', '1045', '2877', '830', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40585', 'Head of Orc Elder', '$2411', 'questitem', 'normal', 'animalmatter', '1000', '1039', '1166', '817', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40586', 'Emblem Piece of the Royal Family', '$2223', 'questitem', 'normal', 'mineral', '1000', '992', '2871', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40587', 'Emblem Piece of the Royal Family', '$2223', 'questitem', 'normal', 'mineral', '1000', '993', '2871', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40588', 'Elven Treasure', '$2091', 'questitem', 'normal', 'none', '10000', '957', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40589', 'Key of Fate', '$2367', 'questitem', 'normal', 'iron', '3000', '1025', '3373', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40590', 'Arachnevil Elder\'s Claw', '$2023', 'questitem', 'normal', 'bone', '1000', '139', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40591', 'Cursed Spellbook', '$1916', 'questitem', 'normal', 'paper', '20000', '909', '777', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40592', 'Cursed Elven Spellbook', '$2029', 'questitem', 'normal', 'paper', '20000', '940', '777', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40593', 'Piece of Scout\'s Report', '$2248', 'questitem', 'normal', 'paper', '1000', '1800', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40594', 'Zombie Key', '$2031', 'questitem', 'normal', 'iron', '3000', '945', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40595', 'Overseer\'s Document', '$2428', 'questitem', 'normal', 'leather', '1000', '1049', '3963', '834', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40596', 'Death Covenant', '$2422', 'questitem', 'normal', 'paper', '1000', '1043', '3963', '828', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40597', 'Torn Scout\'s Report', '$2247', 'questitem', 'normal', 'paper', '1000', '997', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40598', 'Kan\'s Pouch', '$2540', 'questitem', 'normal', 'paper', '40000', '958', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40599', 'Magic Bag of Talass', '$2292', 'questitem', 'normal', 'none', '10000', '957', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40600', 'Key of Depravity', '$2652', 'questitem', 'normal', 'wood', '1000', '1320', '3963', '1052', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40601', 'Turtle Dragon Shell', '$1922', 'questitem', 'normal', 'leather', '23', '920', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40602', 'Blue Flute ', '$2243', 'questitem', 'instrument', 'silver', '8000', '1000', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40603', 'Fungus Juice', '$2425', 'questitem', 'normal', 'glass', '1000', '1046', '3963', '831', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40604', 'Skeleton Key', '$2032', 'questitem', 'normal', 'iron', '3000', '944', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40605', 'Skeleton Skull', '$1919', 'questitem', 'normal', 'bone', '3000', '921', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40606', 'Key of Chaos', '$2884', 'questitem', 'normal', 'wood', '1000', '1320', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40607', 'Potion of Revival', '$2025', 'questitem', 'normal', 'glass', '1000', '947', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40608', 'Black Knight\'s Pledge Document', '$1911', 'questitem', 'normal', 'paper', '1000', '927', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40609', 'Gandi Spellbook', '$1914', 'questitem', 'normal', 'paper', '1000', '924', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40610', 'Neruga Spellbook', '$1913', 'questitem', 'normal', 'paper', '1000', '925', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40611', 'Duda-Mara Spellbook', '$1912', 'questitem', 'normal', 'paper', '1000', '923', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40612', 'Atuba Spellbook', '$1915', 'questitem', 'normal', 'paper', '1000', '922', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40613', 'Black Key', '$1756', 'questitem', 'normal', 'iron', '3000', '671', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40614', 'Mineral Removal Document', '$3113', 'questitem', 'normal', 'paper', '10', '1528', '3963', '1201', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40615', 'Key to 2nd Floor of Temple of Shadows', '$3945', 'questitem', 'normal', 'bone', '10000', '1991', '3963', '0', '0', '0', '0', '0', '0', '32700', '32896', '523', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40616', 'Key to 3rd Floor of Temple of Shadows', '$3946', 'questitem', 'normal', 'bone', '10000', '1968', '3963', '0', '0', '0', '0', '0', '0', '32691', '32894', '524', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40617', 'Crystal Ball of Necromancer', '$1014', 'questitem', 'normal', 'glass', '11000', '437', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40618', 'Breath of Earth', '$3871', 'questitem', 'normal', 'gemstone', '3000', '1928', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40619', 'East Jail Key', '$3483', 'questitem', 'normal', 'iron', '0', '1320', '3963', '1432', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40620', 'Second Labyrinth Key', '$4021', 'questitem', 'normal', 'iron', '3000', '59', '3963', '1863', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40621', 'Key of Drake', '$3488', 'questitem', 'normal', 'iron', '3000', '59', '3963', '1446', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40622', 'Drake\'s Claw', '$1012', 'questitem', 'normal', 'bone', '8000', '139', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40623', '1st Generation Heirloom of the Druga Clan', '$3334', 'questitem', 'normal', 'iron', '500000', '1786', '3963', '1357', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40624', '2nd Generation Heirloom of the Druga Clan', '$3335', 'questitem', 'normal', 'iron', '500000', '1787', '3963', '1357', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40625', '3rd Generation Heirloom of the Druga Clan', '$3336', 'questitem', 'normal', 'iron', '500000', '1788', '3963', '1357', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40626', '4th Generation Heirloom of the Druga Clan', '$3337', 'questitem', 'normal', 'iron', '500000', '1789', '3963', '1357', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40627', '5th Generation Heirloom of the Druga Clan', '$3338', 'questitem', 'normal', 'iron', '500000', '1790', '3963', '1357', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40628', '6th Generation Heirloom of the Druga Clan', '$3339', 'questitem', 'normal', 'iron', '500000', '1791', '3963', '1357', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40629', '7th Generation Heirloom of the Druga Clan', '$3340', 'questitem', 'normal', 'iron', '500000', '1792', '3963', '1357', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40630', 'Diego\'s Old Diary', '$3786', 'questitem', 'normal', 'paper', '4000', '1868', '3963', '1803', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40631', 'Money Pouch of Reona', '$3598', 'questitem', 'normal', 'gold', '1000', '1028', '3963', '1536', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40632', '376', '$3158', 'questitem', 'normal', 'none', '80', '958', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40633', 'Report of Lizardman', '$3788', 'questitem', 'normal', 'paper', '4000', '1869', '3963', '1806', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40634', 'Treasure of Lizardman', '$3789', 'questitem', 'normal', 'gold', '0', '1870', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40635', 'Evidence of Dark Spirit Army', '$3882', 'questitem', 'normal', 'silver', '10000', '1938', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40636', 'Unknown 40636', 'Unknown 40636', 'questitem', 'normal', 'steel', '5000', '1939', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40637', 'Letter of Marba', '$4003', 'questitem', 'normal', 'paper', '10000', '917', '3963', '1859', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40638', 'Evidence of Dark Power Army', '$3884', 'questitem', 'normal', 'silver', '5000', '1942', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40639', 'Unknown 40639', 'Unknown 40639', 'questitem', 'normal', 'steel', '10000', '1941', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40640', 'Unknown 40640', 'Unknown 40640', 'questitem', 'normal', 'steel', '10000', '1937', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40641', 'Talking Scroll', '$3278', 'questitem', 'normal', 'paper', '0', '1760', '3963', '1305', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40642', 'Evidence of Arcane Army', '$3880', 'questitem', 'normal', 'silver', '5000', '1938', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40643', 'Breath of Water', '$3869', 'questitem', 'normal', 'gemstone', '3000', '1924', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40644', 'Labyrinth Map', '$4020', 'questitem', 'normal', 'paper', '1000', '1138', '3963', '1870', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40645', 'Breath of Wind', '$3870', 'questitem', 'normal', 'gemstone', '3000', '1926', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40646', 'Basilisk\'s Horn', '$1011', 'questitem', 'normal', 'bone', '6000', '56', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40647', 'Piece of Treasure Map', '$3484', 'questitem', 'normal', 'paper', '1000', '1780', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40648', 'Assassin\'s Rusted Sword', '$2427', 'questitem', 'normal', 'iron', '1000', '1048', '3963', '833', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40649', 'North-East Jail Key', '$3482', 'questitem', 'normal', 'iron', '0', '1320', '3963', '1433', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40650', 'North Jail Key', '$3423', 'questitem', 'normal', 'iron', '0', '1320', '3963', '1434', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40651', 'Breath of Fire', '$3868', 'questitem', 'normal', 'gemstone', '3000', '1922', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40652', 'Burning Leather', '$3873', 'questitem', 'normal', 'leather', '2000', '1931', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40653', 'Red Key', '$1755', 'questitem', 'normal', 'iron', '3000', '672', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40654', 'Third Labyrinth Key', '$4022', 'questitem', 'normal', 'iron', '3000', '59', '3963', '1864', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40655', 'Crystal Fang', '$3875', 'questitem', 'normal', 'glass', '1000', '1933', '3963', '2071', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40656', 'Sword of Ordeal A', '$4023', 'questitem', 'normal', 'iron', '40', '932', '3963', '1866', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40657', 'Sword of Ordeal B', '$4024', 'questitem', 'normal', 'iron', '40', '932', '3963', '1867', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40658', 'Sword of Ordeal C', '$4025', 'questitem', 'normal', 'iron', '40', '932', '3963', '1868', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40659', 'Sword of Ordeal D', '$4026', 'questitem', 'normal', 'iron', '40', '932', '3963', '1869', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40660', 'Spellbook of Ordeal', '$4027', 'questitem', 'normal', 'paper', '80000', '929', '3963', '1865', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40661', 'Remains of Son', '$3486', 'questitem', 'normal', 'bone', '20000', '958', '3963', '1444', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40662', 'Portrait of Son', '$3490', 'questitem', 'normal', 'paper', '10000', '1781', '3963', '1445', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40663', 'Letter of Son', '$3485', 'questitem', 'normal', 'paper', '0', '917', '3963', '1443', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40664', 'Amulet of Aras', '$4004', 'questitem', 'normal', 'paper', '0', '604', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40665', 'Letter of Aras', '$3988', 'questitem', 'normal', 'paper', '1000', '917', '3963', '1858', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40666', 'Unknown Heirloom', '$3341', 'questitem', 'normal', 'gold', '0', '1228', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40667', 'Evidence of Assassin Army', '$3886', 'questitem', 'normal', 'silver', '5000', '1944', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40668', 'Unknown 40668', 'Unknown 40668', 'questitem', 'normal', 'steel', '10000', '1943', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40669', 'Rib of Yahee', '$3771', 'questitem', 'normal', 'bone', '10000', '1998', '5049', '1742', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40670', 'Tail of Yahee', '$3773', 'questitem', 'normal', 'bone', '10000', '1999', '5050', '1744', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40671', 'Wing of Yahee', '$3774', 'questitem', 'normal', 'bone', '10000', '2001', '5052', '1745', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40672', 'Backbone of Yahee', '$3775', 'questitem', 'normal', 'bone', '10000', '1978', '5036', '1746', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40673', 'Head of Yahee', '$3770', 'questitem', 'normal', 'bone', '10000', '1992', '5043', '1741', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40674', 'Claw of Yahee', '$3772', 'questitem', 'normal', 'bone', '10000', '1996', '5047', '1743', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40675', 'Mineral of Darkness', '$3876', 'questitem', 'normal', 'mineral', '5000', '1934', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40676', 'Breath of Darkness', '$3872', 'questitem', 'normal', 'gemstone', '3000', '1930', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40677', 'Ingot of Darkness', '$3877', 'questitem', 'normal', 'mineral', '2000', '1935', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40678', 'Fragment of Soul Stone', '$3776', 'questitem', 'normal', 'glass', '0', '1997', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40679', 'Contaminated Armor', '$3980', 'questitem', 'normal', 'oriharukon', '0', '2061', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40680', 'Contaminated Cloak', '$3984', 'questitem', 'normal', 'cloth', '0', '2055', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40681', 'Contaminated Boots', '$3983', 'questitem', 'normal', 'iron', '0', '2059', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40682', 'Contaminated Gloves', '$3981', 'questitem', 'normal', 'leather', '0', '2053', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40683', 'Contaminated Helm', '$3982', 'questitem', 'normal', 'none', '0', '2057', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40684', 'Contaminated Bow', '$3979', 'questitem', 'normal', 'wood', '0', '2051', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40685', 'Oum Fine Statue', '$3155', 'questitem', 'normal', 'none', '1000', '1539', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40686', 'Oum Completed Statue', '$3157', 'questitem', 'normal', 'none', '1000', '1541', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40687', 'Pouch of Oum', '$3151', 'questitem', 'normal', 'leather', '80', '958', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40688', 'Oum Painted Statue', '$3156', 'questitem', 'normal', 'none', '1000', '1540', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40689', 'Oum Rough Statue', '$3153', 'questitem', 'normal', 'none', '1000', '1537', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40690', 'Oum Refined Statue', '$3154', 'questitem', 'normal', 'none', '1000', '1538', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40691', 'Oum Statue', '$3152', 'questitem', 'normal', 'none', '1000', '1536', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40692', 'Completed Treasure Map', '$3487', 'questitem', 'normal', 'paper', '10000', '479', '3963', '0', '0', '0', '0', '0', '0', '32794', '32839', '443', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40693', 'Armor of Expedition Member', '$3993', 'questitem', 'normal', 'oriharukon', '0', '2062', '3963', '1844', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40694', 'Cloak of Expedition Member', '$3996', 'questitem', 'normal', 'cloth', '0', '2056', '3963', '1845', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40695', 'Boots of Expedition Member', '$3995', 'questitem', 'normal', 'iron', '0', '2060', '3963', '1843', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40696', 'Gloves of Expedition Member', '$3992', 'questitem', 'normal', 'none', '0', '2054', '3963', '1838', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40697', 'Relic of Expedition Member', '$3978', 'questitem', 'normal', 'leather', '0', '957', '3963', '1841', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40698', 'Helm of Expedition Member', '$3994', 'questitem', 'normal', 'leather', '0', '2058', '3963', '1844', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40699', 'Bow of Expedition Member', '$3991', 'questitem', 'normal', 'wood', '0', '2052', '3963', '1840', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40700', 'Silver Flute', '$3588', 'questitem', 'normal', 'silver', '1000', '43', '3963', '1533', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40701', 'Small Treasure Map', '$3491', 'questitem', 'normal', 'paper', '0', '1780', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40702', 'Small Pouch', '$3568', 'questitem', 'normal', 'leather', '0', '958', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40703', 'Book of Mental Control', '$3878', 'questitem', 'normal', 'gemstone', '1000', '1936', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40704', 'Tailbone of Death', '$3769', 'questitem', 'normal', 'bone', '10000', '1974', '5031', '1740', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40705', 'Axe of Death', '$3766', 'questitem', 'normal', 'bone', '10000', '1956', '3963', '1737', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40706', 'Hammer of Death', '$3765', 'questitem', 'normal', 'bone', '10000', '1972', '5029', '1736', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40707', 'Head of Death', '$3764', 'questitem', 'normal', 'bone', '10000', '1968', '3963', '1733', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40708', 'Spear of Death', '$3767', 'questitem', 'normal', 'bone', '10000', '1971', '5028', '1738', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40709', 'Knife of Death', '$3768', 'questitem', 'normal', 'bone', '10000', '1975', '3963', '1739', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40710', 'Friend\'s Bag', '$3589', 'questitem', 'normal', 'leather', '50000', '958', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40711', 'Amulet of Cadmus', '$3492', 'questitem', 'normal', 'iron', '6000', '304', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40712', 'High Quality Pouch of Karif', '$3184', 'questitem', 'normal', 'leather', '10000', '958', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40713', 'Karif Pouch', '$3052', 'questitem', 'normal', 'leather', '10000', '958', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40714', 'Skin of Blue Lizard', '$3489', 'questitem', 'normal', 'leather', '0', '1782', '4356', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40715', 'Gift Bag from Pierce', '$2627', 'questitem', 'normal', 'leather', '80', '958', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40716', 'Grandfather\'s Treasure', '$3569', 'questitem', 'normal', 'gemstone', '1000', '238', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40717', 'Crumpled Up Breaking-Up Letter', '$3787', 'questitem', 'normal', 'paper', '1000', '1867', '3963', '1804', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40718', 'Fragment of Blood Stone', '$3956', 'questitem', 'normal', 'glass', '0', '2071', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40719', 'Black-Light Wing', '$3763', 'questitem', 'normal', 'bone', '10000', '1991', '5042', '1732', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40720', 'Giant Pumpkin Seed', '$3874', 'questitem', 'normal', 'leather', '3000', '1932', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40721', 'Huge Pumpkin Seed', '$2066', 'event', 'normal', 'vegetation', '2000', '933', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40722', 'Golden Pumpkin', '$2069', 'event', 'normal', 'vegetation', '4000', '943', '2474', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40723', 'Silver Pumpkin', '$2070', 'event', 'normal', 'vegetation', '4000', '955', '2474', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40724', 'Bronze Pumpkin', '$2071', 'event', 'normal', 'vegetation', '4000', '937', '2474', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40725', 'Pumpkin Candy', '$2068', 'event', 'normal', 'vegetation', '1000', '936', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40726', 'Pumpkin Seed', '$2065', 'event', 'normal', 'vegetation', '0', '949', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40727', 'Green Stocking', '$2685', 'event', 'normal', 'cloth', '0', '1209', '3938', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40728', 'Red Sock', '$617', 'event', 'normal', 'cloth', '2000', '1208', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40729', 'Golden Socks', '$3205', 'event', 'normal', 'cloth', '2000', '1551', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40730', 'Christmas Card', '$1606', 'event', 'ccard', 'paper', '0', '464', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40731', 'Valentines Day Card', '$1619 $1623', 'event', 'vcard', 'paper', '0', '607', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40732', 'White Day Card', '$1620 $1623', 'event', 'wcard', 'paper', '0', '617', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40733', 'Coin of Reputation', '$3056', 'potion', 'normal', 'mithril', '0', '1480', '3681', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40734', 'Coin of Trust', '$3057', 'potion', 'normal', 'mithril', '0', '1481', '3682', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '2', '1000', '0', '0');
INSERT INTO `etcitem` VALUES ('40735', 'Coin of Bravery', '$3059', 'potion', 'normal', 'mithril', '0', '1483', '3684', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40736', 'Coin of Wisdom', '$3058', 'potion', 'normal', 'mithril', '0', '1482', '3683', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40737', 'Treasure Case', '$2408', 'event', 'normal', 'wood', '0', '998', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40738', 'Silver Throwing Knife', '$2516', 'sting', 'normal', 'silver', '200', '1146', '2980', '867', '1', '8', '8', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40739', 'Throwing Knife', '$2463', 'sting', 'normal', 'iron', '300', '1147', '2979', '867', '1', '10', '10', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40740', 'Heavy Throwing Knife', '$2517', 'sting', 'normal', 'iron', '400', '1145', '2981', '867', '1', '14', '14', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40741', 'Oriharukon-Plated Bone Arrow', '$3784', 'arrow', 'normal', 'oriharukon', '47', '1817', '66', '0', '1', '4', '3', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40742', 'Ancient Arrow', '$2377', 'arrow', 'normal', 'silver', '47', '96', '66', '0', '1', '5', '4', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40743', 'Arrow', '$61', 'arrow', 'normal', 'wood', '30', '7', '66', '0', '1', '6', '5', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40744', 'Silver Arrow', '$93', 'arrow', 'normal', 'silver', '47', '96', '66', '68', '1', '7', '6', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40745', 'Golden Arrow', '$3512', 'arrow', 'normal', 'gold', '47', '1816', '4451', '0', '1', '9', '9', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40746', 'Mithril Arrow', '$773', 'arrow', 'normal', 'mithril', '47', '96', '66', '0', '1', '10', '9', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40747', 'Black Lump of Pure Mithral Arrow', '$3020 $61', 'arrow', 'normal', 'blackmithril', '63', '1818', '4453', '0', '1', '11', '15', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40748', 'Oriharukon Arrow', '$3513', 'arrow', 'normal', 'oriharukon', '47', '1817', '4452', '0', '1', '12', '12', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40749', 'Fang of Hunting Dog', '$2866', 'petitem', 'none', 'none', '0', '1304', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40750', 'Fang of Destruction', '$2868', 'petitem', 'none', 'blackmithril', '150000', '1306', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40751', 'Fang of Fighting Dog', '$2869', 'petitem', 'none', 'iron', '50000', '1307', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40752', 'Fang of Gold', '$2872', 'petitem', 'none', 'gold', '150000', '1312', '3963', '1070', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40753', 'Unknown Fang 1', 'Unknown Fang 1', 'petitem', 'none', 'iron', '60000', '1305', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40754', 'Unknown Fang 2', 'Unknown Fang 2', 'petitem', 'none', 'none', '0', '1308', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40755', 'Unknown Fang 3', 'Unknown Fang 3', 'petitem', 'none', 'none', '0', '1302', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40756', 'Fang of Demon', '$2871', 'petitem', 'none', 'oriharukon', '150000', '1310', '3963', '1069', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40757', 'Fang of Steel', '$2873', 'petitem', 'none', 'iron', '50000', '1314', '3963', '1071', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40758', 'Fang of Victory', '$2874', 'petitem', 'none', 'bone', '100000', '1315', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40759', 'Unknown Pet Armor 1', 'Unknown Pet Armor 1', 'petitem', 'none', 'none', '0', '1293', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40760', 'Unknown Pet Armor 2', 'Unknown Pet Armor 2', 'petitem', 'none', 'none', '0', '1298', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40761', 'Leather Pet Armor', '$2878', 'petitem', 'none', 'iron', '30000', '1296', '3963', '1058', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40762', 'Skeleton Pet Armor', '$2881', 'petitem', 'none', 'bone', '30000', '1300', '3963', '1061', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40763', 'Steel Pet Armor', '$2882', 'petitem', 'none', 'iron', '250000', '1301', '3963', '1062', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40764', 'Mithral Pet Armor', '$2879', 'petitem', 'none', 'mithril', '200000', '1297', '3963', '1059', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40765', 'Cloth Pet Armor', '$2877', 'petitem', 'none', 'iron', '180000', '1295', '3963', '1055', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40766', 'Chain Pet Armor', '$2876', 'petitem', 'none', 'steel', '450000', '1294', '3963', '1056', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40778', 'Belt', '$1038', 'material', 'none', 'leather', '20', '264', '1165', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40779', 'Lump of Steel', '$1201', 'material', 'none', 'steel', '1', '516', '1167', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40780', 'Head of Death', '$3764', 'questitem', 'normal', 'bone', '10000', '1969', '3963', '1734', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40781', 'Head of Death', '$3764', 'questitem', 'normal', 'bone', '10000', '1970', '3963', '1735', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40782', 'Key to 3rd Floor of Temple of Shadows', '$3946', 'questitem', 'normal', 'bone', '10000', '1969', '3963', '0', '0', '0', '0', '0', '0', '32691', '32894', '524', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40783', 'Key to 3rd Floor of Temple of Shadows', '$3946', 'questitem', 'normal', 'bone', '10000', '1970', '3963', '0', '0', '0', '0', '0', '0', '32691', '32894', '524', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40801', 'Scroll of Teleportation - Giant Bridge', '$230 - Giant Bridge', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '34270', '33094', '4', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40802', 'Scroll of Teleportation - Aden Castle', '$230 - Aden Castle', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '34090', '33294', '4', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40803', 'Scroll of Teleportation - Mirror Forest', '$230 - Mirror Forest', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '33709', '33307', '4', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40804', 'Scroll of Teleportation - Valakas', '$230 - Valakas', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32723', '32796', '67', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40805', 'Scroll of Teleportation - Fafurion', '$230 - Fafurion', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32769', '32833', '65', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40806', 'Scroll of Teleportation - Lindvior', '$230 - Lindvior', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '34035', '33011', '4', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40807', 'Scroll of Teleportation - Heine Dungeon 3F', '$230 - Heine Dungeon 3F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32727', '32808', '61', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40808', 'Scroll of Teleportation - Heine Dungeon 4F', '$230 - Heine Dungeon 4F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32804', '32869', '63', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40809', 'Scroll of Teleportation - Fire Valley Bridge', '$230 - Fire Valley Bridge', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '33660', '32465', '4', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40810', 'Scroll of Teleportation - Dragon Valley', '$230 - Dragon Valley', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '33432', '32522', '4', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40811', 'Scroll of Teleportation - Oasis', '$230 - Oasis', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32861', '33255', '4', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40812', 'Scroll of Teleportation - Oren Wasteland', '$230 - Oren Wasteland', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '34039', '32476', '4', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40813', 'Scroll of Teleportation - Wasteland', '$230 - Wasteland', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32736', '32708', '4', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40814', 'Scroll of Teleportation - Small Wasteland', '$230 - Small Wasteland', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32842', '32945', '4', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40815', 'Scroll of Teleportation - Woodbec Castle', '$230 - Woodbec Castle', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32810', '32723', '23', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40816', 'Scroll of Teleportation - Beleth', '$230 - Beleth', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32809', '32812', '24', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40817', 'Scroll of Teleportation - Ant Cave 1F', '$230 - Ant Cave 1F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32738', '32799', '49', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40818', 'Scroll of Teleportation - Ant Cave 2F', '$230 - Ant Cave 2F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32740', '32802', '50', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40819', 'Scroll of Teleportation - Ant Cave 3F', '$230 - Ant Cave 3F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32764', '32828', '51', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40820', 'Scroll of Teleportation - Ivory Tower 5F', '$230 - Ivory Tower 5F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32772', '32805', '79', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40821', 'Scroll of Teleportation - Ivory Tower 6F', '$230 - Ivory Tower 6F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32748', '32802', '80', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40822', 'Scroll of Teleportation - Ivory Tower 7F', '$230 - Ivory Tower 7F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32766', '32849', '81', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40823', 'Scroll of Teleportation - Ivory Tower 8F', '$230 - Ivory Tower 8F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32742', '32798', '82', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40824', 'Scroll of Teleportation - SKT Caves 2F', '$230 - SKT Caves 2F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32802', '32815', '26', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40825', 'Scroll of Teleportation - SKT Caves 3F', '$230 - SKT Caves 3F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32807', '32812', '27', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40826', 'Scroll of Teleportation - SKT Caves 4F', '$230 - SKT Caves 4F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32799', '32798', '28', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40827', 'Scroll of Teleportation - Giran Dungeon 2F', '$230 - Giran Dungeon 2F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32809', '32793', '54', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40828', 'Scroll of Teleportation - Giran Dungeon 3F', '$230 - Giran Dungeon 3F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32734', '32728', '55', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40829', 'Scroll of Teleportation - Giran Dungeon 4F', '$230 - Giran Dungeon 4F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32770', '32730', '56', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40830', 'Scroll of Teleportation - MLC 3F', '$230 - MLC 3F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32798', '32754', '9', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40831', 'Scroll of Teleportation - MLC 4F', '$230 - MLC 4F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32764', '32773', '10', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40832', 'Scroll of Teleportation - MLC 5F', '$230 - MLC 5F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32729', '32724', '11', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40833', 'Scroll of Teleportation - MLC 6F', '$230 - MLC 6F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32805', '32725', '12', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40834', 'Scroll of Teleportation - MLC 7F', '$230 - MLC 7F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32730', '32726', '13', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40835', 'Scroll of Teleportation - DVC 1F', '$230 - DVC 1F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32740', '32777', '30', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40836', 'Scroll of Teleportation - DVC 2F', '$230 - DVC 2F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32760', '32781', '31', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40837', 'Scroll of Teleportation - DVC 3F', '$230 - DVC 3F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32709', '32818', '32', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40838', 'Scroll of Teleportation - DVC 4F', '$230 - DVC 4F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32669', '32869', '33', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40839', 'Scroll of Teleportation - DVC 5F', '$230 - DVC 5F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32746', '32802', '35', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40840', 'Scroll of Teleportation - DVC 6F', '$230 - DVC 6F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32663', '32846', '36', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40841', 'Scroll of Teleportation - Antharas', '$230 - Antharas', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32668', '32867', '37', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40842', 'Scroll of Teleportation - Windawood Castle', '$230 - Windawood Castle', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32585', '33409', '4', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40843', 'Scroll of Teleportation - Desert', '$230 - Desert', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32763', '33349', '4', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40844', 'Scroll of Teleportation - Elder Room', '$230 - Elder Room', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32739', '32801', '305', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40845', 'Scroll of Teleportation - Silent Cavern', '$230 - Silent Cavern', 'scroll', 'normal', 'paper', '630', '551', '22', '1356', '1', '0', '0', '0', '0', '32738', '32800', '304', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40846', 'Scroll of Teleportation - Diad 1F', '$230 - Diad 1F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32761', '32822', '307', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40847', 'Scroll of Teleportation - Diad 2F', '$230 - Diad 2F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32750', '32824', '308', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40848', 'Scroll of Teleportation - Diad 3F', '$230 - Diad 3F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32757', '32836', '309', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40849', 'Scroll of Teleportation - Trails 1F', '$230 - Trails 1F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32730', '32860', '2000', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40850', 'Scroll of Teleportation - Trails 2F', '$230 - Trails 2F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32731', '32800', '2001', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40851', 'Scroll of Teleportation - Trails 4F', '$230 - Trails 4F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32736', '32811', '2003', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40852', 'Scroll of Teleportation - Lastabad 1F', '$230 - Lastabad 1F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32737', '32900', '310', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40853', 'Scroll of Teleportation - Resistance Village', '$230 - Resistance Village', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32572', '32663', '400', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40854', 'Scroll of Teleportation - SoE 1F', '$230 - SoE 1F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32929', '32995', '410', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40855', 'Scroll of Teleportation - Abyss Lake', '$230 - Abyss Lake', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32922', '32812', '430', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40856', 'Scroll of Teleportation - Pirate Island', '$230 - Pirate Island', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32422', '33074', '440', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40857', 'Scroll of Teleportation - Diad Fortress', '$230 - Diad Fortress', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32658', '32853', '450', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40858', 'Liquor', 'Liquor', 'potion', 'normal', 'glass', '8000', '82', '47', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40859', 'Spell Scroll (Lesser Heal)', '$1487 $1436', 'scroll', 'spell_buff', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '5', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40860', 'Spell Scroll (Light)', '$1487 $1437', 'scroll', 'normal', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '5', '3600', '0', '0');
INSERT INTO `etcitem` VALUES ('40861', 'Spell Scroll (Shield)', '$1487 $1438', 'scroll', 'normal', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '5', '1800', '0', '0');
INSERT INTO `etcitem` VALUES ('40862', 'Spell Scroll (Energy Bolt)', '$1487 $1439', 'scroll', 'spell_long', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '5', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40863', 'Spell Scroll (Teleport)', '$1487 $1440', 'scroll', 'ntele', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('40864', 'Spell Scroll (Ice Dagger)', '$1487 $1966', 'scroll', 'spell_long', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '5', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40865', 'Spell Scroll (Wind Shuriken)', '$1487 $1967', 'scroll', 'spell_long', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '5', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40866', 'Spell Scroll (Holy Weapon)', '$1487 $1977', 'scroll', 'spell_buff', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '5', '1200', '0', '0');
INSERT INTO `etcitem` VALUES ('40867', 'Spell Scroll (Cure Poison)', '$1487 $1441', 'scroll', 'spell_buff', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '5', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40868', 'Spell Scroll (Chill Touch)', '$1487 $1442', 'scroll', 'spell_short', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '5', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40869', 'Spell Scroll (Curse: Poison)', '$1487 $1443', 'scroll', 'spell_long', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '5', '30', '0', '0');
INSERT INTO `etcitem` VALUES ('40870', 'Spell Scroll (Enchant Weapon)', '$1487 $1444', 'scroll', 'dai', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '5', '1800', '0', '0');
INSERT INTO `etcitem` VALUES ('40871', 'Spell Scroll (Detection)', '$1487 $1445', 'scroll', 'normal', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '5', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40872', 'Spell Scroll (Decrease Weight)', '$1487 $1978', 'scroll', 'normal', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '5', '1800', '0', '0');
INSERT INTO `etcitem` VALUES ('40873', 'Spell Scroll (Fire Arrow)', '$1487 $1968', 'scroll', 'spell_long', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '5', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40874', 'Spell Scroll (Stalac)', '$1487 $1969', 'scroll', 'spell_long', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '5', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40875', 'Spell Scroll (Lightning)', '$1487 $1446', 'scroll', 'spell_long', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '5', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40876', 'Spell Scroll (Turn Undead)', '$1487 $1447', 'scroll', 'spell_long', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '5', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40877', 'Spell Scroll (Heal)', '$1487 $1448', 'scroll', 'spell_buff', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '5', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40878', 'Spell Scroll (Curse: Blind)', '$1487 $1449', 'scroll', 'spell_long', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '5', '16', '0', '0');
INSERT INTO `etcitem` VALUES ('40879', 'Spell Scroll (Blessed Armor)', '$1487 $1450', 'scroll', 'zel', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '5', '1800', '0', '0');
INSERT INTO `etcitem` VALUES ('40880', 'Spell Scroll (Frozen Cloud)', '$1487 $1970', 'scroll', 'spell_long', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '5', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40881', 'Spell Scroll (Reveal Weakness)', '$1487 $1979', 'scroll', 'spell_long', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '5', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40883', 'Spell Scroll (Fireball)', '$1487 $1451', 'scroll', 'spell_long', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '5', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40884', 'Spell Scroll (Enchant Dexterity)', '$1487 $1452', 'scroll', 'spell_buff', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '5', '1200', '0', '0');
INSERT INTO `etcitem` VALUES ('40885', 'Spell Scroll (Weapon Break)', '$1487 $1453', 'scroll', 'spell_long', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '5', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40886', 'Spell Scroll (Vampiric Touch)', '$1487 $1454', 'scroll', 'spell_short', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '5', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40887', 'Spell Scroll (Slow)', '$1487 $1455', 'scroll', 'spell_long', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '5', '64', '0', '0');
INSERT INTO `etcitem` VALUES ('40888', 'Spell Scroll (Earth Jail)', '$1487 $1971', 'scroll', 'spell_long', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '5', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40889', 'Spell Scroll (Counter Magic)', '$1487 $1980', 'scroll', 'normal', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '5', '16', '0', '0');
INSERT INTO `etcitem` VALUES ('40890', 'Spell Scroll (Meditation)', '$1487 $1981', 'scroll', 'normal', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '5', '640', '0', '0');
INSERT INTO `etcitem` VALUES ('40891', 'Spell Scroll (Curse: Paralyze)', '$1487 $1456', 'scroll', 'spell_long', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '5', '10', '0', '0');
INSERT INTO `etcitem` VALUES ('40892', 'Spell Scroll (Call Lightning)', '$1487 $1457', 'scroll', 'spell_long', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '5', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40893', 'Spell Scroll (Greater Heal)', '$1487 $1458', 'scroll', 'spell_buff', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '5', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40894', 'Spell Scroll (Tame Monster)', '$1487 $1459', 'scroll', 'spell_long', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '5', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40895', 'Spell Scroll (Remove Curse)', '$1487 $1460', 'scroll', 'spell_buff', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '5', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40896', 'Spell Scroll (Cone of Cold)', '$1487 $1972', 'scroll', 'spell_long', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '5', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40897', 'Spell Scroll (Mana Drain)', '$1487 $1982', 'scroll', 'spell_short', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '5', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40898', 'Spell Scroll (Darkness)', '$1487 $1983', 'scroll', 'spell_long', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '5', '32', '0', '0');
INSERT INTO `etcitem` VALUES ('40899', 'Lump of Rough Iron', '$1203', 'material', 'none', 'steel', '8000', '523', '3545', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40901', 'Wedding Ring (Silver)', '$2376', 'other', 'normal', 'silver', '1000', '1029', '21', '775', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40902', 'Wedding Ring (Gold)', '$2375', 'other', 'normal', 'gold', '1000', '1028', '21', '775', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40903', 'Wedding Ring (Sapphire)', '$2268', 'other', 'normal', 'gemstone', '1000', '994', '21', '775', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40904', 'Wedding Ring (Emerald)', '$2373', 'other', 'normal', 'gemstone', '1000', '1026', '21', '775', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40905', 'Wedding Ring (Ruby)', '$2374', 'other', 'normal', 'gemstone', '1000', '1027', '21', '775', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40906', 'Wedding Ring (Diamond)', '$2269', 'other', 'normal', 'gemstone', '1000', '986', '21', '775', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40907', 'Ring of Sema', '$2751', 'other', 'normal', 'silver', '1000', '1236', '3300', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40908', 'Ring of Orim', '$2750', 'other', 'normal', 'silver', '1000', '1235', '3299', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40909', 'Unknown 40909', '$4635', 'material', 'none', 'gemstone', '0', '681', '2225', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40910', 'Unknown 40910', '$4632', 'material', 'none', 'gemstone', '0', '683', '2225', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40911', 'Unknown 40911', '$4633', 'material', 'none', 'gemstone', '0', '680', '2225', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40912', 'Unknown 40912', '$4634', 'material', 'none', 'gemstone', '0', '684', '2225', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40913', 'Unknown 40913', '$4631', 'material', 'none', 'gemstone', '0', '676', '2225', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40914', 'Unknown 40914', '$4628', 'material', 'none', 'gemstone', '0', '678', '2225', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40915', 'Unknown 40915', '$4629', 'material', 'none', 'gemstone', '0', '675', '2225', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40916', 'Unknown 40916', '$4630', 'material', 'none', 'gemstone', '0', '679', '2225', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40917', 'Unknown 40917', '$4639', 'material', 'none', 'gemstone', '0', '686', '2225', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40918', 'Unknown 40918', '$4636', 'material', 'none', 'gemstone', '0', '688', '2225', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40919', 'Unknown 40919', '$4637', 'material', 'none', 'gemstone', '0', '685', '2225', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40920', 'Unknown 40920', '$4638', 'material', 'none', 'gemstone', '0', '689', '2225', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40921', 'Unknown 40921', '$4640', 'material', 'none', 'gemstone', '0', '1464', '3538', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40922', 'Unknown 40922', '$4949', 'potion', 'normal', 'glass', '0', '2368', '5842', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40923', 'Unknown 40923', '$4950', 'potion', 'normal', 'glass', '0', '2369', '5843', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40924', 'Unknown 40924', '$4951', 'potion', 'normal', 'glass', '0', '2370', '5844', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40925', 'Unknown 40925', '$4478', 'potion', 'normal', 'glass', '0', '2321', '42', '2260', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40926', 'Unknown 40926', '$4482', 'potion', 'none', 'glass', '0', '2310', '44', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40927', 'Unknown 40927', '$4483', 'potion', 'none', 'glass', '0', '2311', '44', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40928', 'Unknown 40928', '$4484', 'potion', 'none', 'glass', '0', '2313', '44', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40929', 'Unknown 40929', '$4485', 'potion', 'none', 'glass', '0', '2315', '44', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40930', 'Barbeque', '$4363', 'potion', 'normal', 'animalmatter', '2000', '124', '36', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40931', 'Unknown 40931', '$4527', 'gem', 'none', 'gemstone', '0', '2293', '775', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40932', 'Unknown 40932', '$4528', 'gem', 'none', 'gemstone', '0', '2293', '775', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40933', 'Unknown 40933', '$4529', 'gem', 'none', 'gemstone', '0', '2293', '775', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40934', 'Unknown 40934', '$4530', 'gem', 'none', 'gemstone', '0', '2293', '775', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40935', 'Unknown 40935', '$4531', 'gem', 'none', 'gemstone', '0', '2295', '772', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40936', 'Unknown 40936', '$4532', 'gem', 'none', 'gemstone', '0', '2295', '772', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40937', 'Unknown 40937', '$4533', 'gem', 'none', 'gemstone', '0', '2295', '772', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40938', 'Unknown 40938', '$4534', 'gem', 'none', 'gemstone', '0', '2295', '772', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40939', 'Unknown 40939', '$4523', 'gem', 'none', 'gemstone', '0', '2291', '774', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40940', 'Unknown 40940', '$4524', 'gem', 'none', 'gemstone', '0', '2291', '774', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40941', 'Unknown 40941', '$4525', 'gem', 'none', 'gemstone', '0', '2291', '774', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40942', 'Unknown 40942', '$4526', 'gem', 'none', 'gemstone', '0', '2291', '774', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40943', 'Unknown 40943', '$4583', 'gem', 'none', 'gemstone', '0', '2283', '771', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40944', 'Unknown 40944', '$4584', 'gem', 'none', 'gemstone', '0', '2283', '771', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40945', 'Unknown 40945', '$4585', 'gem', 'none', 'gemstone', '0', '2283', '771', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40946', 'Unknown 40946', '$4586', 'gem', 'none', 'gemstone', '0', '2283', '771', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40947', 'Unknown 40947', '$4579', 'gem', 'none', 'gemstone', '0', '2285', '771', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40948', 'Unknown 40948', '$4580', 'gem', 'none', 'gemstone', '0', '2285', '771', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40949', 'Unknown 40949', '$4581', 'gem', 'none', 'gemstone', '0', '2285', '771', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40950', 'Unknown 40950', '$4582', 'gem', 'none', 'gemstone', '0', '2285', '771', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40951', 'Unknown 40951', '$4535', 'gem', 'none', 'gemstone', '0', '2289', '771', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40952', 'Unknown 40952', '$4536', 'gem', 'none', 'gemstone', '0', '2289', '771', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40953', 'Unknown 40953', '$4537', 'gem', 'none', 'gemstone', '0', '2289', '771', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40954', 'Unknown 40954', '$4538', 'gem', 'none', 'gemstone', '0', '2289', '771', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40955', 'Unknown 40955', '$4587', 'gem', 'none', 'gemstone', '0', '2287', '771', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40956', 'Unknown 40956', '$4588', 'gem', 'none', 'gemstone', '0', '2287', '771', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40957', 'Unknown 40957', '$4589', 'gem', 'none', 'gemstone', '0', '2287', '771', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40958', 'Unknown 40958', '$4590', 'gem', 'none', 'gemstone', '0', '2287', '771', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40959', 'Seal of Arcane King', '$4061', 'material', 'none', 'gold', '0', '2067', '5117', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40960', 'Seal of Dread Queen', '$4059', 'material', 'none', 'gold', '0', '2068', '5118', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40961', 'Seal of Dread King', '$4058', 'material', 'none', 'silver', '0', '2069', '5119', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40962', 'Seal of Assassin King', '$4060', 'material', 'none', 'silver', '0', '2070', '5120', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40964', 'Black Magic Powder', '$4009', 'material', 'none', 'glass', '0', '2015', '5071', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40965', 'Unknown 40965', '$4613', 'material', 'none', 'paper', '0', '1347', '3465', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40966', 'Unknown 40966', '$4627', 'material', 'none', 'paper', '0', '2429', '3465', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40967', 'Unknown 40967', '$4643', 'material', 'none', 'gold', '0', '2167', '2900', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40968', 'Unknown 40968', '$4644', 'material', 'none', 'paper', '0', '2428', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40969', 'Crystal of Dark Elf Soul', '$4344', 'material', 'none', 'gemstone', '0', '2183', '5399', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40970', 'Tail of Angus', '$4440', 'material', 'none', 'leather', '0', '2211', '5492', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40971', 'Tooth of Angus', '$4441', 'material', 'none', 'bone', '0', '2212', '5536', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40972', 'Resiliant Muscles of Pasaj', '$4439', 'material', 'none', 'bone', '0', '2210', '5506', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40973', 'Wings of Pasaj', '$4438', 'material', 'none', 'leather', '0', '2209', '5505', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40974', 'Blood of Dego', '$4443', 'material', 'none', 'glass', '0', '2215', '5491', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40975', 'Fin of Digo', '$4444', 'material', 'none', 'leather', '0', '2216', '5534', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40976', 'Sand', '$4436', 'material', 'none', 'none', '0', '2207', '5419', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40977', 'Bloodied Sand', '$4437', 'material', 'none', 'none', '0', '2208', '5419', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40978', 'Tail of Sheba Human: Earth', '$4428', 'material', 'none', 'leather', '0', '2199', '5501', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40979', 'Tail of Sheba Human: Water', '$4426', 'material', 'none', 'leather', '0', '2197', '5499', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40980', 'Tail of Sheba Human: Fire', '$4427', 'material', 'none', 'leather', '0', '2198', '5500', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40981', 'Tail of Sheba Human: Air', '$4425', 'material', 'none', 'leather', '0', '2196', '5498', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40982', 'Leather of Sheba Human: Earth', '$4435', 'material', 'none', 'leather', '0', '2206', '5497', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40983', 'Leather of Sheba Human: Water', '$4433', 'material', 'none', 'leather', '0', '2204', '5495', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40984', 'Leather of Sheba Human: Fire', '$4434', 'material', 'none', 'leather', '0', '2205', '5496', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40985', 'Leather of Sheba Human: Air', '$4432', 'material', 'none', 'leather', '0', '2203', '5494', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40986', 'Fang of Sheba Human', '$4431', 'material', 'none', 'bone', '0', '2202', '5503', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40987', 'Unknown 40987', '$4354', 'material', 'none', 'bone', '0', '2319', '5785', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40988', 'Unknown 40988', '$4354', 'material', 'none', 'bone', '0', '2319', '5785', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40989', 'Unknown 40989', '$4354', 'material', 'none', 'bone', '0', '2319', '5785', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40990', 'Wings of Varlok', '$4417', 'material', 'none', 'leather', '0', '2186', '5420', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40991', 'Two-Handed Sword of Varlok', '$4423', 'material', 'none', 'blackmithril', '0', '2193', '5426', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40992', 'Head of Varlok', '$4416', 'material', 'none', 'animalmatter', '0', '2185', '5421', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40993', 'Horns of Varlok', '$4424', 'material', 'none', 'bone', '0', '2195', '5422', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40994', 'Cut of Varlok Meat', '$4419', 'material', 'none', 'animalmatter', '0', '2188', '5423', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40995', 'Claws of Varlok', '$4418', 'material', 'none', 'bone', '0', '2187', '5424', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40996', 'Heart of Varlok', '$4420', 'material', 'none', 'animalmatter', '0', '2189', '5425', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40997', 'Fangs of Varlok', '$4422', 'material', 'none', 'bone', '0', '2192', '5427', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40998', 'Lungs of Varlok', '$4421', 'material', 'none', 'animalmatter', '0', '2190', '5428', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40999', 'Dark Elven Soldier Badge', '$3006', 'questitem', 'normal', 'silver', '10', '1342', '3458', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41000', 'Dark Elven General Badge', '$3007', 'questitem', 'normal', 'gold', '10', '1343', '3459', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41001', 'Compensation', '$3018', 'questitem', 'normal', 'wood', '0', '998', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41002', 'Mineral Pouch', '$3114', 'questitem', 'normal', 'cloth', '50000', '1531', '3963', '1202', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41003', 'Roy\'s Pouch', '$3422', 'questitem', 'normal', 'cloth', '4000', '1645', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41004', 'Rabla\'s Pouch', '$3199', 'questitem', 'normal', 'cloth', '0', '958', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41005', 'Contract of Resurrection and Eternal Life', '$3185', 'questitem', 'normal', 'paper', '1000', '471', '22', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41006', 'Rabor\'s Pouch', '$3186', 'questitem', 'normal', 'cloth', '0', '958', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41007', 'Directive of Eris 1', '$4353', 'questitem', 'normal', 'paper', '0', '1760', '22', '2051', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41008', 'Bag of Eris', '$4343', 'questitem', 'normal', 'cloth', '0', '1645', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41009', 'Directive of Eris 2', '$4470', 'questitem', 'normal', 'paper', '0', '1760', '22', '2075', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41010', 'Document Letter of Eris', '$4469', 'questitem', 'normal', 'paper', '0', '2018', '22', '2231', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41011', 'Unknown 41011', '$4600', 'questitem', 'normal', 'paper', '0', '2420', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41012', 'Unknown 41012', '$4601', 'questitem', 'normal', 'paper', '0', '2421', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41013', 'Unknown 41013', '$4602', 'questitem', 'normal', 'paper', '0', '2422', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41014', 'Unknown 41014', '$4603', 'questitem', 'normal', 'paper', '0', '2423', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41015', 'Unknown 41015', '$4604', 'questitem', 'normal', 'paper', '0', '2424', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41016', 'Unknown 41016', '$4605', 'questitem', 'normal', 'paper', '0', '2425', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41017', 'Unknown 41017', '$4606', 'questitem', 'normal', 'paper', '0', '2426', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41018', 'Unknown 41018', '$4607', 'questitem', 'normal', 'paper', '0', '2427', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41019', 'Unknown 41019', '$4611', 'questitem', 'normal', 'paper', '0', '2411', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41020', 'Unknown 41020', '$4612', 'questitem', 'normal', 'paper', '0', '2412', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41021', 'Unknown 41021', '$4695', 'questitem', 'normal', 'paper', '0', '2413', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41022', 'Unknown 41022', '$4696', 'questitem', 'normal', 'paper', '0', '2414', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41023', 'Unknown 41023', '$4697', 'questitem', 'normal', 'paper', '0', '2415', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41024', 'Unknown 41024', '$4698', 'questitem', 'normal', 'paper', '0', '2416', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41025', 'Unknown 41025', '$4699', 'questitem', 'normal', 'paper', '0', '2417', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41026', 'Unknown 41026', '$4700', 'questitem', 'normal', 'paper', '0', '2418', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41027', 'Unknown 41027', '$4576', 'questitem', 'normal', 'paper', '0', '2419', '5864', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41028', 'Unknown 41028', '$5076', 'questitem', 'normal', 'paper', '0', '912', '22', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41029', 'Unknown 41029', '$4617', 'questitem', 'normal', 'gemstone', '0', '2327', '5828', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41030', 'Unknown 41030', '$4616', 'questitem', 'normal', 'gemstone', '0', '2326', '5827', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41031', 'Unknown 41031', '$4618', 'questitem', 'normal', 'gemstone', '0', '2329', '5828', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41032', 'Unknown 41032', '$4619', 'questitem', 'normal', 'gemstone', '0', '2324', '5828', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41033', 'Unknown 41033', '$4620', 'questitem', 'normal', 'gemstone', '0', '2325', '5828', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41034', 'Unknown 41034', '$4621', 'questitem', 'normal', 'gemstone', '0', '2323', '5828', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41035', 'Unknown 41035', '$4622', 'questitem', 'normal', 'gemstone', '0', '2328', '5828', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41036', 'Glue', '$4405', 'questitem', 'choice', 'glass', '0', '2258', '5613', '2120', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41037', 'Incomplete Logbook', '$4403', 'questitem', 'normal', 'paper', '0', '2256', '5614', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41038', 'Logbook Page 1', '$4393', 'questitem', 'normal', 'paper', '0', '2246', '22', '2109', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41039', 'Logbook Page 2', '$4394', 'questitem', 'normal', 'paper', '0', '2247', '22', '2110', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41040', 'Logbook Page 3', '$4395', 'questitem', 'normal', 'paper', '0', '2248', '22', '2111', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41041', 'Logbook Page 4', '$4396', 'questitem', 'normal', 'paper', '0', '2249', '22', '2112', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41042', 'Logbook Page 5', '$4397', 'questitem', 'normal', 'paper', '0', '2250', '22', '2113', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41043', 'Logbook Page 6', '$4398', 'questitem', 'normal', 'paper', '0', '2251', '22', '2114', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41044', 'Logbook Page 7', '$4399', 'questitem', 'normal', 'paper', '0', '2252', '22', '2115', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41045', 'Logbook Page 8', '$4400', 'questitem', 'normal', 'paper', '0', '2253', '22', '2116', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41046', 'Logbook Page 9', '$4401', 'questitem', 'normal', 'paper', '0', '2254', '22', '2117', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41047', 'Logbook Page 10', '$4402', 'questitem', 'normal', 'paper', '0', '2255', '22', '2118', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41048', 'Unknown 41048', '$4406', 'questitem', 'normal', 'paper', '0', '2372', '22', '2121', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41049', 'Unknown 41049', '$4407', 'questitem', 'normal', 'paper', '0', '2373', '22', '2122', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41050', 'Unknown 41050', '$4408', 'questitem', 'normal', 'paper', '0', '2374', '22', '2123', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41051', 'Unknown 41051', '$4409', 'questitem', 'normal', 'paper', '0', '2375', '22', '2124', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41052', 'Unknown 41052', '$4410', 'questitem', 'normal', 'paper', '0', '2376', '22', '2125', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41053', 'Unknown 41053', '$4411', 'questitem', 'normal', 'paper', '0', '2377', '22', '2126', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41054', 'Unknown 41054', '$4412', 'questitem', 'normal', 'paper', '0', '2378', '22', '2127', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41055', 'Unknown 41055', '$4413', 'questitem', 'normal', 'paper', '0', '2379', '22', '2128', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41056', 'Unknown 41056', '$4414', 'questitem', 'normal', 'paper', '0', '2380', '22', '2129', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41057', 'Unknown 41057', '$4415', 'questitem', 'normal', 'paper', '0', '2381', '22', '2130', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41058', 'Complete Logbook', '$4404', 'questitem', 'normal', 'paper', '0', '2257', '5614', '2119', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41059', 'Pouch of Voyager', '$4455', 'questitem', 'normal', 'leather', '117000', '1644', '3963', '2230', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41060', 'Unknown 41060', '$4657', 'questitem', 'normal', 'paper', '0', '2018', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41061', 'Unknown 41061', '$4659', 'questitem', 'normal', 'paper', '0', '1760', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41062', 'Unknown 41062', '$4660', 'questitem', 'normal', 'paper', '0', '1760', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41063', 'Unknown 41063', '$4661', 'questitem', 'normal', 'paper', '0', '1760', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41064', 'Unknown 41064', '$4662', 'questitem', 'normal', 'paper', '0', '1760', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41065', 'Unknown 41065', '$4658', 'questitem', 'normal', 'paper', '0', '1760', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41066', '????', '$4670', 'questitem', 'normal', 'wood', '0', '2120', '5238', '1977', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41067', 'Unknown 41067', '$4665', 'questitem', 'normal', 'wood', '1000', '2108', '5211', '1978', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41068', 'Unknown 41068', '$4667', 'questitem', 'normal', 'web', '1000', '2122', '5240', '1979', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41069', 'Polluted Mane', '$4669', 'questitem', 'normal', 'cloth', '1000', '2119', '5237', '1980', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41070', 'Polluted Fairy Wings', '$4684', 'questitem', 'normal', 'leather', '1000', '2107', '5210', '1981', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41071', 'Silver Tray', '$4176', 'questitem', 'normal', 'silver', '0', '2078', '5122', '1982', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41072', 'Silver Candle', '$4177', 'questitem', 'normal', 'silver', '0', '2079', '5123', '1983', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41073', 'Key of Bandit', '$4181', 'questitem', 'normal', 'iron', '0', '2105', '5208', '1984', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41074', 'Bandit Pouch', '$4182', 'questitem', 'normal', 'cloth', '0', '2092', '5173', '1985', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41075', 'Polluted Hair', '$4685', 'questitem', 'normal', 'none', '0', '2112', '5221', '1986', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41076', 'Polluted Earth', '$4678', 'questitem', 'normal', 'gemstone', '1000', '2084', '5165', '1987', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41077', 'Polluted Water', '$4674', 'questitem', 'normal', 'gemstone', '1000', '2086', '5167', '1988', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41078', 'Polluted Fire', '$4676', 'questitem', 'normal', 'gemstone', '1000', '2091', '5172', '1989', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41079', 'Polluted Air', '$4672', 'questitem', 'normal', 'gemstone', '1000', '2088', '5169', '1990', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41080', 'Polluted Spirit', '$4680', 'questitem', 'normal', 'gemstone', '1000', '2102', '5183', '1991', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41081', 'Orc Fang', '$4187', 'questitem', 'normal', 'bone', '1000', '2123', '5241', '1992', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41082', 'Orc Fang Amulet', '$4188', 'questitem', 'normal', 'bone', '2000', '2124', '5242', '1993', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41083', 'Enchanted Powder', '$4189', 'questitem', 'normal', 'none', '1000', '2125', '5243', '1994', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41084', 'Pure Powder', '$4198', 'questitem', 'normal', 'none', '2000', '2117', '5235', '1995', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41085', 'Pearl of Prophet', '$4178', 'questitem', 'normal', 'none', '1000', '2126', '5248', '1996', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41086', 'Roots', '$4687', 'questitem', 'normal', 'wood', '2000', '2118', '5236', '2018', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41087', 'Bark', '$4688', 'questitem', 'none', 'wood', '2000', '2109', '5218', '2019', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41088', 'Leaves', '$4689', 'questitem', 'normal', 'wood', '2000', '2111', '5220', '2020', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41089', 'Branch', '$4690', 'questitem', 'normal', 'wood', '2000', '2110', '5219', '2021', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41090', 'Totem of Neruga', '$500', 'totem', 'none', 'bone', '1000', '2261', '730', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41091', 'Totem of Duda-Mara', '$503', 'totem', 'none', 'bone', '1000', '2263', '731', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41092', 'Totem of Atuba', '$499', 'totem', 'none', 'bone', '1000', '2265', '729', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41093', 'Unknown 41093', '$4826', 'questitem', 'normal', 'none', '0', '2435', '3963', '2480', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41094', 'Unknown 41094', '$4827', 'questitem', 'normal', 'glass', '0', '2436', '3963', '2481', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41095', 'Unknown 41095', '$4828', 'questitem', 'normal', 'cloth', '0', '2437', '3963', '2482', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41096', 'Unknown 41096', '$4829', 'questitem', 'normal', 'gemstone', '0', '2438', '3963', '2483', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41097', 'Unknown 41097', '$4830', 'questitem', 'normal', 'none', '0', '2439', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41098', 'Unknown 41098', '$4842', 'questitem', 'normal', 'paper', '0', '17', '3963', '2488', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41099', 'Unknown 41099', '$4843', 'questitem', 'normal', 'cloth', '0', '2441', '3963', '2499', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41100', 'Unknown 41100', '$4844', 'questitem', 'normal', 'glass', '0', '1646', '4249', '2500', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41101', 'Unknown 41101', '$4845', 'questitem', 'normal', 'gold', '0', '2442', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41102', 'Unknown 41102', '$4846', 'questitem', 'normal', 'none', '0', '2439', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41103', 'Unknown 41103', '$4876', 'questitem', 'normal', 'none', '0', '2459', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41104', 'Unknown 41104', '$4879', 'questitem', 'normal', 'none', '0', '2461', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41105', 'Unknown 41105', '$4878', 'questitem', 'normal', 'none', '0', '2045', '5419', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41106', 'Unknown 41106', '$4875', 'questitem', 'normal', 'leather', '0', '2458', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41107', 'Unknown 41107', '$4880', 'questitem', 'normal', 'steel', '0', '2462', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41108', 'Unknown 41108', '$4877', 'questitem', 'normal', 'gemstone', '0', '2460', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41109', 'Unknown 41109', '$4874', 'questitem', 'normal', 'leather', '0', '2457', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41110', 'Orc Bag', '$4852', 'questitem', 'normal', 'cloth', '0', '1644', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41111', 'Unknown 41111', '$4853', 'questitem', 'normal', 'cloth', '0', '2089', '5170', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41112', 'Unknown 41112', '$4854', 'questitem', 'normal', 'cloth', '0', '1643', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41113', 'Unknown 41113', '$4855', 'questitem', 'normal', 'gemstone', '0', '669', '21', '1535', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41114', 'Unknown 41114', '$4856', 'questitem', 'normal', 'cloth', '0', '2463', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41115', 'Unknown 41115', '$4857', 'questitem', 'normal', 'paper', '0', '1042', '22', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41116', 'Unknown 41116', '$4858', 'questitem', 'normal', 'gemstone', '0', '1485', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41117', 'Unknown 41117', '$4859', 'questitem', 'normal', 'cloth', '0', '973', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41118', 'Unknown 41118', '$4860', 'questitem', 'normal', 'steel', '0', '1872', '4760', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41119', 'Unknown 41119', '$4861', 'questitem', 'normal', 'steel', '0', '671', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41120', 'Unknown 41120', '$4862', 'questitem', 'normal', 'bone', '0', '1255', '3264', '2517', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41121', 'Unknown 41121', '$5188', 'questitem', 'normal', 'paper', '0', '1164', '2879', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41122', 'Unknown 41122', '$5160', 'questitem', 'normal', 'paper', '0', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41123', 'Unknown 41123', '$5145', 'questitem', 'normal', 'none', '0', '990', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41124', 'Unknown 41124', '$5146', 'questitem', 'normal', 'none', '0', '990', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41125', 'Unknown 41125', '$5147', 'questitem', 'normal', 'none', '0', '990', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41126', 'Unknown 41126', '$5148', 'questitem', 'normal', 'none', '0', '991', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41127', 'Unknown 41127', '$5149', 'questitem', 'normal', 'none', '0', '991', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41128', 'Unknown 41128', '$5150', 'questitem', 'normal', 'none', '0', '991', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41129', 'Unknown 41129', '$5158', 'questitem', 'normal', 'none', '0', '938', '3966', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41130', 'Unknown 41130', '$5189', 'questitem', 'normal', 'paper', '0', '1164', '2879', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41131', 'Unknown 41131', '$5161', 'questitem', 'normal', 'paper', '0', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41132', 'Unknown 41132', '$5151', 'questitem', 'normal', 'none', '0', '991', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41133', 'Unknown 41133', '$5152', 'questitem', 'normal', 'none', '0', '991', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41134', 'Unknown 41134', '$5153', 'questitem', 'normal', 'none', '0', '991', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41135', 'Unknown 41135', '$5154', 'questitem', 'normal', 'none', '0', '990', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41136', 'Unknown 41136', '$5155', 'questitem', 'normal', 'none', '0', '990', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41137', 'Unknown 41137', '$5156', 'questitem', 'normal', 'none', '0', '990', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41138', 'Unknown 41138', '$5157', 'questitem', 'normal', 'none', '0', '938', '3966', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41139', 'Unknown 41139', '$4836', 'questitem', 'normal', 'gemstone', '0', '2444', '3963', '2493', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41140', 'Unknown 41140', '$4837', 'questitem', 'normal', 'gemstone', '0', '2445', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41141', 'Unknown 41141', '$5127', 'potion', 'normal', 'glass', '7000', '2521', '45', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '2', '500', '0', '0');
INSERT INTO `etcitem` VALUES ('41142', 'Unknown 41142', '$5128', 'potion', 'normal', 'glass', '7800', '2520', '20', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41143', 'Unknown 41143', '$5129', 'potion', 'normal', 'glass', '7800', '2516', '47', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41144', 'Unknown 41144', '$5133', 'potion', 'normal', 'glass', '7800', '2516', '47', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41145', 'Unknown 41145', '$5134', 'potion', 'normal', 'glass', '7800', '2516', '47', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41146', 'Unknown 41146', '$10001', 'questitem', 'normal', 'paper', '5000', '91', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41147', 'TechnicalDocument(CounterBarrier)', '$4712', 'spellbook', 'normal', 'paper', '7000', '252', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41148', 'TechnicalDocument(SolidCariage)', '$4713', 'spellbook', 'normal', 'paper', '7000', '252', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41149', 'Spirit Crystal(what1)', '$4714', 'spellbook', 'normal', 'gemstone', '7000', '685', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41150', 'Spirit Crystal(what2)', '$4715', 'spellbook', 'normal', 'gemstone', '7000', '685', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41151', 'Spirit Crystal(what3)', '$4716', 'spellbook', 'normal', 'gemstone', '7000', '683', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41152', 'Spirit Crystal(what4)', '$4717', 'spellbook', 'normal', 'gemstone', '7000', '688', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41153', 'Spirit Crystal(what5)', '$4718', 'spellbook', 'normal', 'gemstone', '7000', '689', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41154', 'Scale of Darkness', '$4474', 'material', 'normal', 'animalmatter', '1000', '2244', '5612', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41155', 'Scale of Flames', '$4475', 'material', 'normal', 'animalmatter', '1000', '2244', '5612', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41156', 'Scale of Immortality', '$4476', 'material', 'normal', 'animalmatter', '1000', '2244', '5612', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41157', 'Scale of Hatred', '$4392', 'material', 'normal', 'animalmatter', '1000', '2244', '5612', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41158', 'Unknown 41158', '$4864', 'questitem', 'normal', 'glass', '10000', '938', '3966', '2518', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41159', 'Unknown 41159', '$5116', 'questitem', 'normal', 'bone', '0', '2518', '3965', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41160', 'Calling Flute', '$4288', 'other', 'instrument', 'wood', '0', '477', '1218', '2045', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41161', 'Unknown 41161', '$4479', 'other', 'earring', 'bone', '0', '2297', '5785', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41162', 'Unknown 41162', '$4479', 'other', 'earring', 'bone', '0', '2297', '5785', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41163', 'Unknown 41163', '$4479', 'other', 'earring', 'bone', '0', '2297', '5785', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41164', 'Unknown 41164', '$4502', 'other', 'earring', 'bone', '0', '2308', '5785', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41165', 'Unknown 41165', '$4502', 'other', 'earring', 'bone', '0', '2308', '5785', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41166', 'Unknown 41166', '$4502', 'other', 'earring', 'bone', '0', '2308', '5785', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41167', 'Unknown 41167', '$4517', 'other', 'earring', 'bone', '0', '2306', '5785', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41168', 'Unknown 41168', '$4507', 'other', 'earring', 'bone', '0', '2308', '5785', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41169', 'Unknown 41169', '$4518', 'other', 'earring', 'bone', '0', '2306', '5785', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41170', 'Unknown 41170', '$4508', 'other', 'earring', 'bone', '0', '2308', '5785', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41171', 'Unknown 41171', '$4519', 'other', 'earring', 'bone', '0', '2306', '5785', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41172', 'Unknown 41172', '$4509', 'other', 'earring', 'bone', '0', '2308', '5785', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41173', 'Unknown 41173', '$4520', 'other', 'earring', 'bone', '0', '2306', '5785', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41174', 'Unknown 41174', '$4511', 'other', 'earring', 'bone', '0', '2308', '5785', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41175', 'Unknown 41175', '$4521', 'other', 'earring', 'bone', '0', '2306', '5785', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41176', 'Unknown 41176', '$4512', 'other', 'earring', 'bone', '0', '2308', '5785', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41177', 'Unknown 41177', '$4522', 'other', 'earring', 'bone', '0', '2306', '5785', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41178', 'Unknown 41178', '$4513', 'other', 'earring', 'bone', '0', '2308', '5785', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41179', 'Unknown 41179', '$4514', 'other', 'earring', 'bone', '0', '2306', '5785', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41180', 'Unknown 41180', '$4503', 'other', 'earring', 'bone', '0', '2308', '5785', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41181', 'Unknown 41181', '$4515', 'other', 'earring', 'bone', '0', '2308', '5785', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41182', 'Unknown 41182', '$4504', 'other', 'earring', 'bone', '0', '2306', '5785', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41183', 'Unknown 41183', '$4516', 'other', 'earring', 'bone', '0', '2306', '5785', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41184', 'Unknown 41184', '$4505', 'other', 'earring', 'bone', '0', '2308', '5785', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41185', 'Unknown 41185', '$4568', 'other', 'ring', 'gold', '0', '2307', '5315', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41186', 'Unknown 41186', '$4570', 'other', 'ring', 'gold', '0', '2307', '5315', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41187', 'Unknown 41187', '$4569', 'other', 'ring', 'gold', '0', '2307', '5315', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41188', 'Unknown 41188', '$4567', 'other', 'ring', 'gold', '0', '2307', '5315', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41189', 'Unknown 41189', '$4560', 'other', 'ring', 'gold', '0', '2307', '5315', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41190', 'Unknown 41190', '$4562', 'other', 'ring', 'gold', '0', '2307', '5315', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41191', 'Unknown 41191', '$4561', 'other', 'ring', 'gold', '0', '2307', '5315', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41192', 'Unknown 41192', '$4559', 'other', 'ring', 'gold', '0', '2307', '5315', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41193', 'Unknown 41193', '$4544', 'other', 'ring', 'gold', '0', '2307', '5315', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41194', 'Unknown 41194', '$4546', 'other', 'ring', 'gold', '0', '2307', '5315', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41195', 'Unknown 41195', '$4545', 'other', 'ring', 'gold', '0', '2307', '5315', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41196', 'Unknown 41196', '$4543', 'other', 'ring', 'gold', '0', '2307', '5315', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41197', 'Unknown 41197', '$4552', 'other', 'ring', 'gold', '0', '2307', '5315', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41198', 'Unknown 41198', '$4554', 'other', 'ring', 'gold', '0', '2307', '5315', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41199', 'Unknown 41199', '$4553', 'other', 'ring', 'gold', '0', '2307', '5315', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41200', 'Unknown 41200', '$4551', 'other', 'ring', 'gold', '0', '2307', '5315', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41201', 'Unknown 41201', '$4980', 'other', 'none', 'gemstone', '1000', '2511', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41202', 'Unknown 41202', '$4981', 'other', 'none', 'gemstone', '1000', '2512', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41203', 'Unknown 41203', '$4982', 'other', 'none', 'gemstone', '1000', '2513', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41204', 'Unknown 41204', '$4983', 'other', 'none', 'gemstone', '1000', '2514', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41205', 'Unknown 41205', '$4984', 'other', 'none', 'gemstone', '1000', '2515', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41206', 'Unknown 41206', '$4985', 'other', 'none', 'iron', '180000', '1542', '3925', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41207', 'Unknown 41207', '$4941', 'material', 'none', 'bone', '0', '444', '1166', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41208', 'Unknown 41208', '$4940', 'material', 'none', 'gemstone', '0', '2183', '5399', '0', '1', '0', '0', '0', '0', '32828', '33093', '550', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41209', 'Unknown 41209', '$10002', 'questitem', 'normal', 'none', '0', '2018', '5070', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41210', 'Unknown 41210', '$10003', 'questitem', 'normal', 'none', '0', '973', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41211', 'Herb', '$1191', 'questitem', 'normal', 'none', '0', '512', '1489', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41212', 'Unknown 41212', '$10005', 'questitem', 'normal', 'none', '0', '936', '2475', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41213', 'Unknown 41213', '$10006', 'questitem', 'normal', 'none', '0', '614', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41214', 'Unknown 41214', '$10012', 'questitem', 'normal', 'none', '0', '1135', '2956', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41215', 'Unknown 41215', '$10010', 'questitem', 'normal', 'none', '0', '314', '886', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41216', 'Unknown 41216', '$10011', 'questitem', 'normal', 'none', '0', '56', '150', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41217', 'Unknown 41217', '$10028', 'questitem', 'normal', 'none', '0', '973', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41218', 'Unknown 41218', '$10029', 'questitem', 'normal', 'none', '0', '973', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41219', 'Unknown 41219', '$10030', 'questitem', 'normal', 'none', '0', '973', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41220', 'Unknown 41220', '$10031', 'questitem', 'normal', 'none', '0', '973', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41221', 'Dark Elven Pouch', '$3536', 'questitem', 'normal', 'none', '0', '973', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41222', 'Unknown 41222', '$10008', 'questitem', 'normal', 'none', '0', '82', '47', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41223', 'Unknown 41223', '$10007', 'questitem', 'normal', 'none', '0', '1425', '3526', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41224', 'Unknown 41224', '$10009', 'questitem', 'normal', 'none', '0', '1342', '3458', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41225', 'Unknown 41225', '$10013', 'questitem', 'normal', 'none', '0', '917', '1215', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41226', 'Unknown 41226', '$10014', 'questitem', 'normal', 'none', '0', '1176', '3129', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41227', 'Unknown 41227', '$10033', 'questitem', 'normal', 'none', '0', '91', '22', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41228', 'Unknown 41228', '$10034', 'questitem', 'normal', 'none', '0', '1029', '21', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41229', 'Unknown 41229', '$10025', 'questitem', 'normal', 'none', '0', '921', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41230', 'Unknown 41230', '$10020', 'questitem', 'normal', 'none', '0', '919', '22', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41231', 'Unknown 41231', '$10021', 'questitem', 'normal', 'none', '0', '919', '22', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41232', 'Unknown 41232', '$10016', 'questitem', 'normal', 'none', '0', '973', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41233', 'Unknown 41233', '$10019', 'questitem', 'normal', 'none', '0', '912', '22', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41234', 'Unknown 41234', '$10023', 'questitem', 'normal', 'none', '0', '973', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41235', 'Unknown 41235', '$10024', 'questitem', 'normal', 'none', '0', '914', '5070', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41236', 'Unknown 41236', '$10026', 'questitem', 'normal', 'none', '5000', '444', '1166', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41237', 'Unknown 41237', '$10027', 'questitem', 'normal', 'none', '5000', '444', '1166', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41238', 'Unknown 41238', '$10017', 'questitem', 'normal', 'none', '5000', '973', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41239', 'Unknown 41239', '$10018', 'questitem', 'normal', 'none', '5000', '912', '22', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41240', 'Unknown 41240', '$10022', 'questitem', 'normal', 'none', '5000', '912', '22', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41241', 'Unknown 41241', '$10015', 'questitem', 'normal', 'none', '5000', '973', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41242', 'Orc Treasure Bag', '$4362', 'questitem', 'normal', 'none', '0', '973', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42001', 'Scroll of Teleportation - GM', '$230 - GM', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32735', '32801', '17100', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('42002', 'Scroll of Teleportation - Crystal Cave 1F', '$230 - Crystal Cave 1F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32746', '32787', '72', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('42003', 'Scroll of Teleportation - Crystal Cave 2F', '$230 - Crystal Cave 2F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32755', '32871', '73', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('42004', 'Scroll of Teleportation - Crystal Cave 3F', '$230 - Crystal Cave 3F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32731', '32854', '74', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('42005', 'Scroll of Teleportation - Ivory Tower 1F', '$230 - Ivory Tower 1F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32771', '32822', '75', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('42006', 'Scroll of Teleportation - Kent Dungeon 1F', '$230 - Kent Dungeon 1F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32720', '33088', '240', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('42007', 'Scroll of Teleportation - Forgotten Island', '$230 - Forgotten Island', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32828', '32848', '70', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('42008', 'Scroll of Teleportation - Kent Dungeon 2F', '$230 - Kent Dungeon 2F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32759', '32884', '241', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('42009', 'Scroll of Teleportation - Kent Dungeon 3F', '$230 - Kent Dungeon 3F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32808', '32918', '242', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('42010', 'Scroll of Teleportation - Kent Dungeon 4F', '$230 - Kent Dungeon 4F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32742', '32857', '243', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('42011', 'Scroll of Teleportation - 1F Meeting Area', '$230 - 1F Meeting Area', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32726', '32847', '451', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('42012', 'Scroll of Teleportation - 1F Squad Training', '$230 - 1F Squad Training', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32726', '32824', '452', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('42013', 'Scroll of Teleportation - 1F Power King', '$230 - 1F Power King', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32725', '32851', '453', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('42014', 'Scroll of Teleportation - 1F Dark Warrens', '$230 - 1F Dark Warrens', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32726', '32872', '454', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('42016', 'Scroll of Teleportation - 1F Dark Warrens', '$230 - 1F Dark Warrens', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32726', '32852', '455', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('42017', 'Scroll of Teleportation - Dream Island', '$230 - Dream Island', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32633', '32817', '303', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('42018', 'Scroll of Teleportation - 1F Summoning', '$230 - 1F Summoning', 'scroll', 'normal', 'paper', '630', '474', '22', '0', '1', '0', '0', '0', '0', '32756', '32869', '456', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('42019', 'Scroll of Teleportation - 1F Dark Barrier', '$230 - 1F Dark Barrier', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32664', '32853', '457', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('42020', 'Scroll of Teleportation - 2F Magic Training', '$230 - 1F Magic Training', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32811', '32819', '460', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('42021', 'Scroll of Teleportation - Giant\'s Grave', '$230 - Giant\'s Grave', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32771', '32870', '400', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('42022', 'Scroll of Teleportation - Aden Castle', '$230 - Aden Castle', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32894', '32535', '300', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('42023', 'Scroll of Teleportation - GM Room', '$230 - GM Room', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32737', '32796', '99', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('42024', 'Scroll of Teleportation - Lawful Temple', '$230 - Lawful Temple', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '33119', '32933', '4', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('42025', 'Scroll of Teleportation - Chaotic Temple', '$230 - Chaotic Temple', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32887', '32652', '4', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('42026', 'Scroll of Teleportation - Aden Tower', '$230 - Aden Tower', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '34090', '33261', '4', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('42027', 'Scroll of Escape - Silver Knight Town', '$505 - Silver Knight Town', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '33079', '33402', '4', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('42028', 'Scroll of Teleportation - MLC7', '$230 - MLC7', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32727', '32745', '13', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('42029', 'Scroll of Teleportation - TOI 100F', '$230 - TOI 100F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32731', '32856', '200', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('42030', 'Scroll of Teleportation - TOI 90F', '$230 - TOI 90F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32722', '32827', '190', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('42031', 'Scroll of Teleportation - TOI 80F', '$230 - TOI 80F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32724', '32822', '180', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('42032', 'Scroll of Teleportation - TOI 70F', '$230 - TOI 70F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32720', '32821', '170', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('42033', 'Scroll of Teleportation - TOI 60F', '$230 - TOI 60F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32720', '32821', '160', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('42035', 'Scroll of Teleportation - TOI 50F', '$230 - TOI 50F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32796', '32796', '150', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('42036', 'Scroll of Teleportation - TOI 40F', '$230 - TOI 40F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32800', '32800', '140', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('42037', 'Scroll of Teleportation - TOI 30F', '$230 - TOI 30F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32800', '32800', '130', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('42038', 'Scroll of Teleportation - TOI 20F', '$230 - TOI 20F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32800', '32800', '120', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('42039', 'Scroll of Teleportation - TOI 10F', '$230 - TOI 10F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32800', '32800', '110', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('42040', 'Scroll of Teleportation - PI Dugeon 1F', '$230 - PI Dugeon 1F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32738', '32740', '441', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('42041', 'Scroll of Teleportation - PI Dugeon 2F', '$230 - PI Dugeon 2F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32861', '32732', '442', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('42042', 'Scroll of Teleportation - PI Dugeon 3F', '$230 - PI Dugeon 3F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32864', '32782', '443', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('42043', 'Scroll of Teleportation - Abyss Lake', '$230 - Abyss Lake', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32803', '33049', '420', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('42044', 'Scroll of Teleportation - TI Training', '$230 - TI Training', 'scroll', 'normal', 'paper', '630', '474', '22', '1344', '1', '0', '0', '0', '0', '32563', '32898', '0', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('42045', 'Scroll of Teleportation - Pledge House', '$230 - Pledge House', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '33426', '32689', '4', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('42046', 'Scroll of Teleportation - Pledge House', '$230 - Pledge House', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '33377', '32696', '4', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('42047', 'Scroll of Teleportation - Ancient Space 3F', '$230 - Ancient Space 3F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32812', '32872', '2002', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('42048', 'Scroll of Teleportation - Oum Dungeon', '$230 - Oum Dungeon', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32806', '32814', '310', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('42049', 'Scroll of Teleportation - Forgotten Island', '$230 - Forgotten Island', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32828', '32848', '70', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('42050', 'Ticket to Hell', '????????', 'other', 'normal', 'paper', '1000', '143', '151', '0', '1', '0', '0', '0', '0', '32701', '32777', '666', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('42051', 'Scroll of Teleportation - Temple of Shadows', '$230 - Temple of Shadows', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32676', '32960', '521', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('42052', 'Scroll of Teleportation - ToS 1F', '$230 - ToS 1F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32657', '32896', '522', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('42053', 'Scroll of Teleportation - ToS 2F', '$230 - ToS 2F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32700', '32896', '523', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('42054', 'Scroll of Teleportation - ToS 3F', '$230 - ToS 3F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '32691', '32894', '524', '1', '0', '4', '1500', '0', '0');
INSERT INTO `etcitem` VALUES ('43000', 'Potion of Revival', '$2025', 'scroll', 'normal', 'paper', '1000', '1143', '2983', '0', '1', '0', '0', '99', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('45000', 'Spellbook(LesserHeal)', '$517', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('45001', 'Spellbook(Light)', '$518', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('45002', 'Spellbook(Shield)', '$519', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('45003', 'Spellbook(EBolt)', '$520', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('45004', 'Spellbook(Teleport)', '$521', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('45005', 'Spellbook(IceDagger)', '$1581', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('45006', 'Spellbook(WindShuriken)', '$1582', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('45007', 'Spellbook(HolyWeapon)', '$1857', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('45008', 'Spellbook(CurePoison)', '$522', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('45009', 'Spellbook(ChillTouch)', '$523', 'spellbook', 'normal', 'paper', '7000', '255', '777', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('45010', 'Spellbook(Poison)', '$524', 'spellbook', 'normal', 'paper', '7000', '255', '777', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('45011', 'Spellbook(EnchantWeapon)', '$525', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('45012', 'Spellbook(Detection)', '$526', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('45013', 'Spellbook(DecreaseWeight)', '$1858', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('45014', 'Spellbook(FireArrow)', '$1584', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('45015', 'Spellbook(Stalac)', '$1583', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('45016', 'Spellbook(Lightning)', '$527', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('45017', 'Spellbook(TurnUndead)', '$1585', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('45018', 'Spellbook(Heal)', '$529', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('45019', 'Spellbook(Blind)', '$530', 'spellbook', 'normal', 'paper', '7000', '255', '777', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('45020', 'Spellbook(EnchantArmor)', '$531', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('45021', 'Spellbook(FrostCloud)', '$528', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('45022', 'Spellbook(WeakElemental)', '$1859', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `etcitem` VALUES ('49005', 'Karif Pouch', '$3052', 'questitem', 'normal', 'leather', '1000', '958', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('49006', 'Karif Pouch', '$3052', 'questitem', 'normal', 'leather', '1000', '958', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('49007', 'Karif Pouch', '$3052', 'questitem', 'normal', 'leather', '1000', '958', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('49008', 'Karif Pouch', '$3052', 'questitem', 'normal', 'leather', '1000', '958', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('49009', 'High Quality Pouch of Karif', '$3184', 'questitem', 'normal', 'leather', '1000', '958', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('49010', 'High Quality Pouch of Karif', '$3184', 'questitem', 'normal', 'leather', '1000', '958', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('49011', 'High Quality Pouch of Karif', '$3184', 'questitem', 'normal', 'leather', '1000', '958', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('49012', 'High Quality Pouch of Karif', '$3184', 'questitem', 'normal', 'leather', '1000', '958', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('49013', 'Scroll of Soul', '$2988', 'questitem', 'normal', 'paper', '1000', '989', '3963', '1099', '0', '0', '0', '48', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('49014', 'Dark Crystal of Soul', '$2989', 'questitem', 'none', 'gemstone', '1000', '991', '3963', '1100', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('49015', 'Black Mithril Liquid', '$4624', 'questitem', 'normal', 'glass', '1000', '1161', '3041', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('49016', 'Stationary', '$1075', 'other', 'letter_w', 'paper', '0', '465', '1215', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('49017', 'Stationary', '$1075', 'other', 'letter_w', 'paper', '0', '466', '1215', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('49018', 'Blood Pledge Letter', '$1146', 'other', 'letter_w', 'paper', '0', '465', '1215', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('49019', 'Blood Pledge Letter', '$1146', 'other', 'letter_w', 'paper', '0', '466', '1215', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('49020', 'Cristmas Card', '$1606', 'event', 'ccard_w', 'paper', '0', '465', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('49021', 'Cristmas Card', '$1606', 'event', 'ccard_w', 'paper', '0', '466', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('49022', 'Valentines Day Card', '$1619 $1623', 'event', 'vcard_w', 'paper', '0', '606', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('49023', 'Valentines Day Card', '$1619 $1623', 'event', 'vcard_w', 'paper', '0', '605', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('49024', 'White Day Card', '$1620 $1623', 'event', 'wcard_w', 'paper', '0', '616', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('49025', 'White Day Card', '$1620 $1623', 'event', 'wcard_w', 'paper', '0', '615', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('140006', 'Pine Wand', '$28', 'wand', 'normal', 'wood', '7000', '117', '28', '19', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '6', '1000', '0', '0');
INSERT INTO `etcitem` VALUES ('140008', 'Maple Wand', '$27', 'wand', 'spell_long', 'wood', '7000', '116', '28', '20', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '6', '1000', '0', '0');
INSERT INTO `etcitem` VALUES ('140010', 'Lesser Healing Potion', '$26', 'potion', 'normal', 'glass', '7800', '80', '45', '1342', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '500', '0', '0');
INSERT INTO `etcitem` VALUES ('140011', 'Healing Potion', '$235', 'potion', 'normal', 'glass', '9800', '78', '43', '15', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '1000', '0', '0');
INSERT INTO `etcitem` VALUES ('140012', 'Greater Healing Potion', '$238', 'potion', 'normal', 'glass', '11700', '81', '46', '130', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '1000', '0', '0');
INSERT INTO `etcitem` VALUES ('140013', 'Haste Potion', '$234', 'potion', 'normal', 'glass', '7800', '77', '42', '1343', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('140014', 'Potion of Bravery', '$943', 'potion', 'normal', 'glass', '9000', '79', '44', '296', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('140015', 'Potion of Mana', '$232', 'potion', 'normal', 'glass', '7800', '75', '20', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('140016', 'Potion of Wisdom', '$944', 'potion', 'normal', 'glass', '9000', '1529', '3836', '297', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('140018', 'Greater Haste Potion', '$1652 $234', 'potion', 'normal', 'glass', '14100', '621', '42', '1343', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('140061', 'Lemon', '$82', 'food', 'normal', 'vegetation', '2000', '63', '72', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '50');
INSERT INTO `etcitem` VALUES ('140062', 'Banana', '$107', 'food', 'normal', 'vegetation', '2000', '127', '80', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '80');
INSERT INTO `etcitem` VALUES ('140065', 'Candy', '$1179', 'food', 'normal', 'vegetation', '1000', '936', '73', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '30');
INSERT INTO `etcitem` VALUES ('140068', 'Elven Wafer', '$110', 'potion', 'normal', 'vegetation', '5000', '130', '81', '86', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('140069', 'Orange', '$85', 'food', 'normal', 'vegetation', '2000', '71', '73', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '80');
INSERT INTO `etcitem` VALUES ('140072', 'Pizza', '$86', 'food', 'normal', 'vegetation', '2000', '125', '74', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '200');
INSERT INTO `etcitem` VALUES ('140074', 'Scroll of Enchant Armor', '$249', 'scroll', 'zel', 'paper', '630', '467', '22', '26', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('140087', 'Scroll of Enchant Weapon', '$244', 'scroll', 'dai', 'paper', '630', '468', '22', '25', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('140088', 'Scroll of Polymorph', '$971', 'scroll', 'sosc', 'paper', '630', '472', '22', '299', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('140089', 'Scroll of Resurrection', '$257', 'scroll', 'res', 'paper', '630', '471', '22', '28', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('140100', 'Scroll of Teleportation', '$230', 'scroll', 'btele', 'paper', '630', '473', '22', '23', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('140119', 'Scroll of Curse Removal', '$243', 'scroll', 'normal', 'paper', '630', '470', '22', '1340', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('140129', 'Gian\'s Scroll', '$3359', 'scroll', 'zel', 'paper', '630', '1686', '22', '1395', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('140130', 'Kalba\'s Scroll', '$3360', 'scroll', 'dai', 'paper', '630', '1687', '22', '1396', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('140329', 'Native\'s Totem', '$3494', 'other', 'normal', 'bone', '1000', '1763', '4341', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('140506', 'Fruit of Ent', '$794', 'material', 'normal', 'vegetation', '8000', '126', '79', '279', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '1000', '0', '0');
INSERT INTO `etcitem` VALUES ('240010', 'Lesser Healing Potion', '$26', 'potion', 'normal', 'glass', '7800', '80', '45', '1342', '1', '0', '0', '0', '0', '0', '0', '0', '2', '0', '2', '500', '0', '0');
INSERT INTO `etcitem` VALUES ('240074', 'Scroll of Enchant Armor', '$249', 'scroll', 'zel', 'paper', '630', '467', '22', '26', '1', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('240087', 'Scroll of Enchant Weapon', '$244', 'scroll', 'dai', 'paper', '630', '468', '22', '25', '1', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('50000', 'Personal Lubricant', 'Personal Lubricant', 'event', 'none', 'none', '1000', '1176', '3129', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41243', 'Spirit Crystal(NaturesMiracle)', '$1853', 'spellbook', 'normal', 'gemstone', '7000', '688', '2958', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '3', '3000', '0', '0');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '0', '32574', '32941', '32574', '32941', '32574', '32941', '0', '1', '0', '0', '1', 'Talking Island');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '1', '32574', '32941', '32574', '32941', '32574', '32941', '0', '1', '0', '0', '1', 'Talking Island Caves 1F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '2', '32574', '32941', '32574', '32941', '32574', '32941', '0', '1', '0', '0', '1', 'Talking Island Caves 2F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '3', '32574', '32941', '32574', '32941', '32574', '32941', '0', '1', '0', '0', '1', 'Gunter\'s Cave');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '5', '32624', '32813', '32624', '32813', '32624', '32813', '4', '1', '0', '0', '1', 'Ship talking island to aden world');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '6', '32574', '32941', '32574', '32941', '32574', '32941', '0', '3', '0', '0', '1', 'Ship aden world to talking island');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '7', '32624', '32813', '32624', '32813', '32624', '32813', '4', '3', '0', '0', '1', 'Main Land Caves 1F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '8', '32624', '32813', '32624', '32813', '32624', '32813', '4', '3', '0', '0', '1', 'Main Land Caves 2F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '9', '32624', '32813', '32624', '32813', '32624', '32813', '4', '3', '0', '0', '1', 'Main Land Caves 3F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '10', '32624', '32813', '32624', '32813', '32624', '32813', '4', '3', '0', '0', '1', 'Main Land Caves 4F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '11', '32624', '32813', '32624', '32813', '32624', '32813', '4', '3', '0', '0', '1', 'Main Land Caves 5F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '12', '32624', '32813', '32624', '32813', '32624', '32813', '4', '3', '0', '0', '1', 'Main Land Caves 6F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '13', '32624', '32813', '32624', '32813', '32624', '32813', '4', '3', '0', '0', '1', 'Main Land Caves 7F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '14', '32574', '32941', '32574', '32941', '32574', '32941', '0', '0', '0', '0', '1', 'Underground Passage');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '15', '33049', '32780', '33049', '32780', '33049', '32780', '4', '6', '0', '0', '1', 'Kent Castle');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '16', '33051', '32343', '33051', '32343', '33051', '32343', '4', '0', '0', '0', '1', 'Hardin\'s lab');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '17', '33051', '32343', '33051', '32343', '33051', '32343', '4', '4', '11', '0', '1', 'Nerupa\'s Cave');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '18', '33051', '32343', '33051', '32343', '33051', '32343', '4', '4', '11', '0', '1', 'Dupelgenon dungeon');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '19', '32745', '32445', '32745', '32445', '32745', '32445', '4', '4', '11', '0', '1', 'Elven Dungeon 1F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '20', '32745', '32445', '32745', '32445', '32745', '32445', '4', '4', '11', '0', '1', 'Elven Dungeon 2F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '21', '32745', '32445', '32745', '32445', '32745', '32445', '4', '4', '11', '0', '1', 'Elven Dungeon 3F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '22', '33089', '33397', '33089', '33397', '33089', '33397', '4', '0', '0', '0', '1', 'Gerard test dungeon');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '23', '32612', '33188', '32612', '33188', '32612', '33188', '4', '5', '0', '0', '1', 'Windawood Castle Dungeon 1F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '24', '32612', '33188', '32612', '33188', '32612', '33188', '4', '5', '0', '0', '1', 'Windawood Castle Dungeon 2F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '25', '33089', '33397', '33089', '33397', '33089', '33397', '4', '2', '0', '0', '1', 'Silver Knight Town Caves 1F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '26', '33089', '33397', '33089', '33397', '33089', '33397', '4', '2', '0', '0', '1', 'Silver Knight Town Caves 2F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '27', '33089', '33397', '33089', '33397', '33089', '33397', '4', '2', '0', '0', '1', 'Silver Knight Town Caves 3F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '28', '33089', '33397', '33089', '33397', '33089', '33397', '4', '2', '0', '0', '1', 'Silver Knight Town Caves 4F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '29', '32612', '33188', '32612', '33188', '32612', '33188', '4', '5', '0', '0', '1', 'Windawood Inner Castle');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '30', '33429', '32814', '33429', '32814', '33429', '32814', '4', '7', '0', '0', '1', 'Dragon Valley Caves 1F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '31', '33429', '32814', '33429', '32814', '33429', '32814', '4', '7', '0', '0', '1', 'Dragon Valley Caves 2F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '32', '33429', '32814', '33429', '32814', '33429', '32814', '4', '7', '0', '0', '1', 'Dragon Valley Caves 3F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '33', '33429', '32814', '33429', '32814', '33429', '32814', '4', '7', '0', '0', '1', 'Dragon Valley Caves 4F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '34', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', 'Hall of Honor');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '35', '33429', '32814', '33429', '32814', '33429', '32814', '4', '7', '0', '0', '1', 'Dragon Valley Caves 5F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '36', '33429', '32814', '33429', '32814', '33429', '32814', '4', '7', '0', '0', '1', 'Dragon Valley Caves 6F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '37', '33429', '32814', '33429', '32814', '33429', '32814', '4', '7', '0', '0', '1', 'Dragon Valley Caves 7F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '38', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', 'Hall of Honor');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '39', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', 'Hall of Honor');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '40', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', 'Hall of Honor');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '41', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', 'Hall of Honor');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '42', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '43', '32612', '33188', '32612', '33188', '32612', '33188', '4', '2', '0', '0', '1', 'Ant Caves 1F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '44', '32612', '33188', '32612', '33188', '32612', '33188', '4', '2', '0', '0', '1', 'Ant Caves 2F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '45', '32612', '33188', '32612', '33188', '32612', '33188', '4', '2', '0', '0', '1', 'Ant Caves 3F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '46', '32612', '33188', '32612', '33188', '32612', '33188', '4', '2', '0', '0', '1', 'Ant Caves 4F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '47', '32612', '33188', '32612', '33188', '32612', '33188', '4', '2', '0', '0', '1', 'Ant Caves 5F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '48', '32612', '33188', '32612', '33188', '32612', '33188', '4', '2', '0', '0', '1', 'Ant Caves 6F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '49', '32612', '33188', '32612', '33188', '32612', '33188', '4', '2', '0', '0', '1', 'Ant Caves 7F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '50', '32612', '33188', '32612', '33188', '32612', '33188', '4', '2', '0', '0', '1', 'Ant Caves 8F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '51', '32612', '33188', '32612', '33188', '32612', '33188', '4', '2', '0', '0', '1', 'Ant Caves 9F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '52', '33429', '32814', '33429', '32814', '33429', '32814', '4', '7', '0', '0', '1', 'Giran Castle');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '53', '33429', '32814', '33429', '32814', '33429', '32814', '4', '7', '0', '0', '1', 'Giran Dungeon 1F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '54', '33429', '32814', '33429', '32814', '33429', '32814', '4', '7', '0', '0', '1', 'Giran Dungeon 2F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '55', '33429', '32814', '33429', '32814', '33429', '32814', '4', '7', '0', '0', '1', 'Giran Dungeon 3F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '56', '33429', '32814', '33429', '32814', '33429', '32814', '4', '7', '0', '0', '1', 'Giran Dungeon 4F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '57', '32574', '32941', '32574', '32941', '32574', '32941', '4', '0', '0', '0', '1', 'Singing Island');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '58', '33082', '33389', '33082', '33389', '33082', '33389', '4', '0', '0', '0', '1', 'Hidden Valley');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '59', '33614', '33243', '33614', '33243', '33614', '33243', '4', '8', '0', '0', '1', 'Heine Dungeon 1F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '60', '33614', '33243', '33614', '33243', '33614', '33243', '4', '8', '0', '0', '1', 'Heine Dungeon 2F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '61', '33614', '33243', '33614', '33243', '33614', '33243', '4', '8', '0', '0', '1', 'Heine Dungeon 3F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '62', '33604', '33237', '33604', '33237', '33604', '33237', '4', '8', '0', '0', '1', 'Sanctuary of Eva');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '63', '33604', '33237', '33604', '33237', '33604', '33237', '4', '8', '0', '0', '1', 'Kingdom of Eva');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '64', '33604', '33237', '33604', '33237', '33604', '33237', '4', '8', '0', '0', '1', 'Heine Inner Castle');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '65', '33604', '33237', '33604', '33237', '33604', '33237', '4', '8', '0', '0', '1', 'Lair of Fafurion');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '66', '33722', '32496', '33722', '32496', '33722', '32496', '4', '9', '0', '0', '1', 'Iron Gate Guild Inner Castle');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '67', '33719', '32491', '33719', '32491', '33719', '32491', '4', '9', '0', '0', '1', 'Lair of Valakas');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '68', '32778', '32779', '32778', '32779', '32778', '32779', '68', '0', '0', '0', '1', 'Singing Island');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '69', '32714', '32877', '32714', '32877', '32714', '32877', '69', '0', '0', '0', '1', 'Hidden Valley');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '70', '32828', '32848', '32828', '32848', '32828', '32848', '70', '0', '0', '0', '1', 'Forgotten Island');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '71', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '72', '34053', '32284', '34053', '32284', '34053', '32284', '4', '10', '0', '0', '1', 'Crystal Cavern 1F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '73', '34053', '32284', '34053', '32284', '34053', '32284', '4', '10', '0', '0', '1', 'Crystal Cavern 2F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '74', '34053', '32284', '34053', '32284', '34053', '32284', '4', '10', '0', '0', '1', 'Crystal Cavern 3F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '75', '34053', '32284', '34053', '32284', '34053', '32284', '4', '10', '0', '0', '1', 'Ivory Tower 1F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '76', '34053', '32284', '34053', '32284', '34053', '32284', '4', '10', '0', '0', '1', 'Ivory Tower 2F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '77', '34053', '32284', '34053', '32284', '34053', '32284', '4', '10', '0', '0', '1', 'Ivory Tower 3F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '78', '34053', '32284', '34053', '32284', '34053', '32284', '4', '10', '0', '0', '1', 'Ivory Tower 4F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '79', '34053', '32284', '34053', '32284', '34053', '32284', '4', '10', '0', '0', '1', 'Ivory Tower 5F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '80', '34053', '32284', '34053', '32284', '34053', '32284', '4', '10', '0', '0', '1', 'Ivory Tower 6F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '81', '34053', '32284', '34053', '32284', '34053', '32284', '4', '10', '0', '0', '1', 'Ivory Tower 7F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '82', '34053', '32284', '34053', '32284', '34053', '32284', '4', '10', '0', '0', '1', 'Ivory Tower 8F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '83', '33604', '33237', '33604', '33237', '33604', '33237', '4', '8', '0', '0', '1', 'Ship aden world to forgotten island');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '84', '33604', '33237', '33604', '33237', '33604', '33237', '4', '0', '0', '0', '1', 'Ship forgotten island to Aden world');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '85', '32831', '32838', '32831', '32838', '32831', '32838', '8011', '0', '0', '0', '1', 'Singing Island Dungeon');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '86', '32831', '32838', '32831', '32838', '32831', '32838', '8011', '0', '0', '0', '1', 'Hidden Valley Dungeon');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '87', '32831', '32838', '32831', '32838', '32831', '32838', '8011', '0', '0', '0', '1', 'Pago\'s Room');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '88', '0', '0', '0', '0', '0', '0', '0', '7', '0', '0', '1', 'Giran Colosseum');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '89', '0', '0', '0', '0', '0', '0', '0', '7', '0', '0', '1', 'Giran Colosseum');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '90', '0', '0', '0', '0', '0', '0', '0', '7', '0', '0', '1', 'Giran Colosseum');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '91', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', 'Talking island Colosseum');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '92', '0', '0', '0', '0', '0', '0', '0', '3', '0', '0', '1', 'Gludio Colosseum');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '93', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', 'Kent Colosseum');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '94', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', 'Windawood Colosseum');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '95', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '1', 'Silver knight Colosseum');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '96', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', 'Lair of Valakas Colosseum');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '97', '0', '0', '0', '0', '0', '0', '0', '8', '0', '0', '1', 'Heine Colosseum');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '98', '0', '0', '0', '0', '0', '0', '0', '9', '0', '0', '1', 'Welldone Colosseum');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '99', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '1', 'Healper\'s room');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '100', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '101', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 1F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '102', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 2F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '103', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 3F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '104', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 4F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '105', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 5F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '106', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 6F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '107', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 7F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '108', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 8F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '109', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 9F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '110', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 10F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '111', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 11F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '112', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 12F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '113', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 13F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '114', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 14F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '115', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 15F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '116', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 16F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '117', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 17F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '118', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 18F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '119', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 19F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '120', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 20F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '121', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 21F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '122', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 22F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '123', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 23F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '124', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 24F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '125', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 25F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '126', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 26F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '127', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 27F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '128', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 28F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '129', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 29F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '130', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 30F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '131', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 31F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '132', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 32F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '133', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 33F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '134', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 34F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '135', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 35F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '136', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 36F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '137', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 37F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '138', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 38F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '139', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 39F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '140', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 40F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '141', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 41F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '142', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 42F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '143', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 43F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '144', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 44F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '145', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 45F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '146', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 46F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '147', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 47F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '148', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 48F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '149', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 49F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '150', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 50F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '151', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 51F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '152', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 52F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '153', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 53F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '154', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 54F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '155', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 55F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '156', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 56F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '157', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 57F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '158', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 58F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '159', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 59F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '160', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 60F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '161', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 61F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '162', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 62F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '163', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 63F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '164', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 64F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '165', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 65F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '166', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 66F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '167', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 67F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '168', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 68F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '169', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 69F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '170', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 70F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '171', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 71F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '172', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 72F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '173', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 73F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '174', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 74F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '175', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 75F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '176', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 76F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '177', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 77F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '178', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 78F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '179', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 79F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '180', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 80F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '181', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 81F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '182', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 82F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '183', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 83F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '184', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 84F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '185', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 85F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '186', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 86F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '187', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 87F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '188', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 88F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '189', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 89F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '190', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 90F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '191', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 91F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '192', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 92F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '193', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 93F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '194', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 94F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '195', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 95F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '196', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 96F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '197', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 97F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '198', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 98F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '199', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 99F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '200', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 100F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '201', '32574', '32941', '32574', '32941', '32574', '32941', '0', '1', '0', '0', '1', 'Mage quest dungeon');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '202', '32574', '32941', '32574', '32941', '32574', '32941', '0', '1', '0', '0', '1', 'Unknown');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '203', '32574', '32941', '32574', '32941', '32574', '32941', '0', '1', '0', '0', '1', 'Unknown');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '204', '32574', '32941', '32574', '32941', '32574', '32941', '0', '1', '0', '0', '1', 'Unknown');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '205', '32574', '32941', '32574', '32941', '32574', '32941', '0', '1', '0', '0', '1', 'Unknown');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '206', '32574', '32941', '32574', '32941', '32574', '32941', '0', '1', '0', '0', '1', 'Unknown');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '207', '32574', '32941', '32574', '32941', '32574', '32941', '0', '1', '0', '0', '1', 'Unknown');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '208', '32574', '32941', '32574', '32941', '32574', '32941', '0', '1', '0', '0', '1', 'Unknown');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '209', '0', '0', '0', '0', '0', '0', '0', '4', '11', '0', '1', 'Darkelf dungeon');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '210', '0', '0', '0', '0', '0', '0', '0', '4', '11', '0', '1', 'Darkelf dungeon');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '211', '0', '0', '0', '0', '0', '0', '0', '4', '11', '0', '1', 'Darkelf dungeon');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '212', '0', '0', '0', '0', '0', '0', '0', '4', '11', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '213', '0', '0', '0', '0', '0', '0', '0', '4', '11', '0', '1', 'Darkelf dungeon');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '214', '0', '0', '0', '0', '0', '0', '0', '4', '11', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '215', '0', '0', '0', '0', '0', '0', '0', '4', '11', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '216', '0', '0', '0', '0', '0', '0', '0', '4', '11', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '217', '32612', '33188', '32612', '33188', '32612', '33188', '4', '2', '0', '0', '1', 'Mutant ant dungeon');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '218', '32612', '33188', '32612', '33188', '32612', '33188', '4', '2', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '219', '32612', '33188', '32612', '33188', '32612', '33188', '4', '2', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '220', '32612', '33188', '32612', '33188', '32612', '33188', '4', '2', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '221', '33082', '33389', '33082', '33389', '33082', '33389', '4', '2', '0', '0', '1', 'Gerard test dungeon');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '222', '33082', '33389', '33082', '33389', '33082', '33389', '4', '2', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '223', '33082', '33389', '33082', '33389', '33082', '33389', '4', '2', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '224', '33082', '33389', '33082', '33389', '33082', '33389', '4', '2', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '225', '33082', '33389', '33082', '33389', '33082', '33389', '4', '2', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '226', '33082', '33389', '33082', '33389', '33082', '33389', '4', '2', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '227', '33082', '33389', '33082', '33389', '33082', '33389', '4', '2', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '228', '33082', '33389', '33082', '33389', '33082', '33389', '4', '2', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '229', '33082', '33389', '33082', '33389', '33082', '33389', '4', '2', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '230', '33082', '33389', '33082', '33389', '33082', '33389', '4', '2', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '231', '33082', '33389', '33082', '33389', '33082', '33389', '4', '2', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '232', '33082', '33389', '33082', '33389', '33082', '33389', '4', '2', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '233', '33082', '33389', '33082', '33389', '33082', '33389', '4', '2', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '234', '33082', '33389', '33082', '33389', '33082', '33389', '4', '2', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '235', '33082', '33389', '33082', '33389', '33082', '33389', '4', '2', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '236', '33082', '33389', '33082', '33389', '33082', '33389', '4', '2', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '237', '32628', '32807', '32628', '32807', '32628', '32807', '4', '3', '0', '0', '1', 'Jim dungeon');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '238', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '239', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '240', '33049', '32780', '33049', '32780', '33049', '32780', '4', '6', '0', '0', '1', 'Kent Castle Dungeon 1F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '241', '33049', '32780', '33049', '32780', '33049', '32780', '4', '6', '0', '0', '1', 'Kent Castle Dungeon 2F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '242', '33049', '32780', '33049', '32780', '33049', '32780', '4', '6', '0', '0', '1', 'Kent Castle Dungeon 3F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '243', '33049', '32780', '33049', '32780', '33049', '32780', '4', '6', '0', '0', '1', 'Kent Castle Dungeon 4F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '244', '32750', '32435', '32745', '32447', '32738', '32452', '4', '0', '0', '0', '1', 'Blessed land of tainted');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '255', '33722', '32496', '33722', '32496', '33722', '32496', '4', '0', '0', '0', '1', 'Unknown 1F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '256', '33722', '32496', '33722', '32496', '33722', '32496', '4', '0', '0', '0', '1', 'Unknown 2F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '310', '0', '0', '0', '0', '0', '0', '0', '14', '0', '0', '1', 'Oum Dungeon');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '320', '0', '0', '0', '0', '0', '0', '0', '14', '0', '0', '1', 'Diad Fortress');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '330', '0', '0', '0', '0', '0', '0', '0', '14', '0', '0', '1', 'Mineral Dungeon');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '340', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '1', 'Unknown');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '350', '0', '0', '0', '0', '0', '0', '0', '7', '0', '0', '1', 'Giran Traders Village');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '360', '0', '0', '0', '0', '0', '0', '0', '10', '0', '0', '1', 'Oren Traders Village');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '370', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '1', 'Silver Knight Traders Village');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '420', '32422', '33074', '32422', '33074', '32422', '33074', '440', '17', '0', '0', '1', 'Abyss Lake');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '430', '32422', '33074', '32422', '33074', '32422', '33074', '440', '16', '0', '0', '1', 'Elemental Grave');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '440', '32422', '33074', '32422', '33074', '32422', '33074', '440', '16', '0', '0', '1', 'Pirate Island First Part');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '441', '32422', '33074', '32422', '33074', '32422', '33074', '440', '16', '0', '0', '1', 'Pirate Island Dungeon 1F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '442', '32422', '33074', '32422', '33074', '32422', '33074', '440', '16', '0', '0', '1', 'Pirate Island Dungeon 2F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '443', '32422', '33074', '32422', '33074', '32422', '33074', '440', '16', '0', '0', '1', 'Pirate Island Dungeon 3F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '444', '32422', '33074', '32422', '33074', '32422', '33074', '440', '16', '0', '0', '1', 'Pirate Island Dungeon 4F');
INSERT INTO `getback` VALUES ('32515', '32192', '32959', '32536', '4', '32745', '32445', '32745', '32445', '32745', '32445', '4', '4', '0', '0', '1', 'Mainland Aden');
INSERT INTO `getback` VALUES ('32515', '32537', '32959', '33022', '4', '32628', '32807', '32628', '32807', '32628', '32807', '4', '3', '0', '0', '1', 'Mainland Aden');
INSERT INTO `getback` VALUES ('32515', '33023', '32959', '33532', '4', '32612', '33188', '32612', '33188', '32612', '33188', '4', '5', '0', '0', '1', 'Mainland Aden');
INSERT INTO `getback` VALUES ('32960', '32192', '33215', '32510', '4', '33051', '32343', '33051', '32343', '33051', '32343', '4', '4', '11', '0', '1', 'Mainland Aden');
INSERT INTO `getback` VALUES ('32960', '32511', '33280', '33022', '4', '33049', '32780', '33049', '32780', '33049', '32780', '4', '6', '0', '0', '1', 'Mainland Aden');
INSERT INTO `getback` VALUES ('32960', '33023', '33279', '33532', '4', '33082', '33389', '33082', '33389', '33082', '33389', '4', '2', '0', '0', '1', 'Mainland Aden');
INSERT INTO `getback` VALUES ('33216', '32192', '33471', '32510', '4', '33429', '32814', '33429', '32814', '33429', '32814', '4', '7', '11', '0', '1', 'Mainland Aden');
INSERT INTO `getback` VALUES ('33280', '32511', '33535', '33022', '4', '33429', '32814', '33429', '32814', '33429', '32814', '4', '7', '0', '0', '1', 'Mainland Aden');
INSERT INTO `getback` VALUES ('33280', '33023', '33791', '33532', '4', '33604', '33237', '33604', '33237', '33604', '33237', '4', '8', '0', '0', '1', 'Mainland Aden');
INSERT INTO `getback` VALUES ('33472', '32192', '33855', '32574', '4', '33722', '32496', '33722', '32496', '33722', '32496', '4', '9', '0', '0', '1', 'Mainland Aden');
INSERT INTO `getback` VALUES ('33536', '32574', '33919', '33022', '4', '33429', '32814', '33429', '32814', '33429', '32814', '4', '7', '0', '0', '1', 'Mainland Aden');
INSERT INTO `getback` VALUES ('33792', '33023', '34303', '33532', '4', '33962', '33254', '33962', '33254', '33962', '33254', '4', '12', '0', '0', '1', 'Mainland Aden');
INSERT INTO `getback` VALUES ('33856', '32192', '33920', '32738', '4', '34053', '32284', '34053', '32284', '34053', '32284', '4', '10', '0', '0', '1', 'Mainland Aden');
INSERT INTO `getback` VALUES ('33920', '32128', '34303', '32738', '4', '34053', '32284', '34053', '32284', '34053', '32284', '4', '10', '0', '0', '1', 'Mainland Aden');
INSERT INTO `getback` VALUES ('33920', '32739', '34303', '33532', '4', '33962', '33254', '33962', '33254', '33962', '33254', '4', '12', '0', '0', '1', 'Mainland Aden');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '521', '34017', '32188', '34023', '32160', '34041', '32164', '4', '0', '0', '0', '1', 'Outer Area of Temple of Shadows');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '522', '34017', '32188', '34023', '32160', '34041', '32164', '4', '0', '0', '0', '1', '1st Floor of Temple of Shadows');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '523', '34017', '32188', '34023', '32160', '34041', '32164', '4', '0', '0', '0', '1', '2nd Floor of Temple of Shadows');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '524', '34017', '32188', '34023', '32160', '34041', '32164', '4', '0', '0', '0', '1', '3rd Floor of Temple of Shadows');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '480', '0', '0', '0', '0', '0', '0', '0', '16', '0', '0', '1', 'Pirate\'s Isle');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '481', '0', '0', '0', '0', '0', '0', '0', '16', '0', '0', '1', 'Kamyla\'s Room');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '550', '32844', '32694', '32844', '32694', '32844', '32694', '550', '0', '0', '0', '1', 'Unknown');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '551', '32844', '32694', '32844', '32694', '32844', '32694', '550', '0', '0', '0', '1', 'Unknown');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '552', '32844', '32694', '32844', '32694', '32844', '32694', '550', '0', '0', '0', '1', 'Unknown');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '553', '32844', '32694', '32844', '32694', '32844', '32694', '550', '0', '0', '0', '1', 'Unknown');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '554', '32844', '32694', '32844', '32694', '32844', '32694', '550', '0', '0', '0', '1', 'Unknown');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '555', '32844', '32694', '32844', '32694', '32844', '32694', '550', '0', '0', '0', '1', 'Unknown');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '556', '32844', '32694', '32844', '32694', '32844', '32694', '550', '0', '0', '0', '1', 'Unknown');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '557', '32844', '32694', '32844', '32694', '32844', '32694', '550', '0', '0', '0', '1', 'Unknown');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '558', '32844', '32694', '32844', '32694', '32844', '32694', '550', '0', '0', '0', '1', 'Unknown');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '600', '32608', '33178', '32626', '33185', '32630', '33179', '4', '5', '0', '0', '1', 'Cave of Desire Outland');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '601', '32608', '33178', '32626', '33185', '32630', '33179', '4', '5', '0', '0', '1', 'Cave of Desire lobby');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '608', '34053', '32284', '34053', '32284', '34053', '32284', '4', '10', '0', '0', '1', 'Yahee LAB');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '778', '32608', '33178', '32626', '33185', '32630', '33179', '4', '5', '0', '0', '1', 'fallen cave');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '8011', '32831', '32838', '32831', '32838', '32831', '32838', '8011', '0', '0', '0', '1', 'Unknown');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '8012', '32831', '32838', '32831', '32838', '32831', '32838', '8011', '0', '0', '0', '1', 'Unknown');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '8013', '32734', '32798', '32734', '32798', '32734', '32798', '8013', '0', '0', '0', '0', 'Unknown');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '8014', '32745', '32722', '32745', '32722', '32745', '32722', '8014', '0', '0', '0', '0', 'Unknown');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '8015', '32831', '32838', '32831', '32838', '32831', '32838', '8011', '0', '0', '0', '1', 'Unknown');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '304', '32857', '32898', '32857', '32898', '32857', '32898', '304', '0', '0', '0', '1', 'Silent Cavern');
INSERT INTO `getback_restart` VALUES ('1', '70', 'Forgotten Island', '32828', '32848', '70');
INSERT INTO `getback_restart` VALUES ('2', '101', 'Tower of Insolence 1F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('3', '102', 'Tower of Insolence 2F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('4', '103', 'Tower of Insolence 3F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('5', '104', 'Tower of Insolence 4F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('6', '105', 'Tower of Insolence 5F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('7', '106', 'Tower of Insolence 6F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('8', '107', 'Tower of Insolence 7F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('9', '108', 'Tower of Insolence 8F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('10', '109', 'Tower of Insolence 9F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('11', '110', 'Tower of Insolence 10F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('12', '111', 'Tower of Insolence 11F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('13', '112', 'Tower of Insolence 12F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('14', '113', 'Tower of Insolence 13F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('15', '114', 'Tower of Insolence 14F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('16', '115', 'Tower of Insolence 15F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('17', '116', 'Tower of Insolence 16F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('18', '117', 'Tower of Insolence 17F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('19', '118', 'Tower of Insolence 18F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('20', '119', 'Tower of Insolence 19F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('21', '120', 'Tower of Insolence 20F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('22', '121', 'Tower of Insolence 21F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('23', '122', 'Tower of Insolence 22F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('24', '123', 'Tower of Insolence 23F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('25', '124', 'Tower of Insolence 24F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('26', '125', 'Tower of Insolence 25F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('27', '126', 'Tower of Insolence 26F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('28', '127', 'Tower of Insolence 27F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('29', '128', 'Tower of Insolence 28F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('30', '129', 'Tower of Insolence 29F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('31', '130', 'Tower of Insolence 30F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('32', '131', 'Tower of Insolence 31F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('33', '132', 'Tower of Insolence 32F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('34', '133', 'Tower of Insolence 33F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('35', '134', 'Tower of Insolence 34F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('36', '135', 'Tower of Insolence 35F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('37', '136', 'Tower of Insolence 36F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('38', '137', 'Tower of Insolence 37F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('39', '138', 'Tower of Insolence 38F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('40', '139', 'Tower of Insolence 39F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('41', '140', 'Tower of Insolence 40F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('42', '141', 'Tower of Insolence 41F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('43', '142', 'Tower of Insolence 42F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('44', '143', 'Tower of Insolence 43F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('45', '144', 'Tower of Insolence 44F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('46', '145', 'Tower of Insolence 45F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('47', '146', 'Tower of Insolence 46F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('48', '147', 'Tower of Insolence 47F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('49', '148', 'Tower of Insolence 48F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('50', '149', 'Tower of Insolence 49F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('51', '150', 'Tower of Insolence 50F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('52', '151', 'Tower of Insolence 51F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('53', '152', 'Tower of Insolence 52F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('54', '153', 'Tower of Insolence 53F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('55', '154', 'Tower of Insolence 54F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('56', '155', 'Tower of Insolence 55F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('57', '156', 'Tower of Insolence 56F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('58', '157', 'Tower of Insolence 57F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('59', '158', 'Tower of Insolence 58F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('60', '159', 'Tower of Insolence 59F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('61', '160', 'Tower of Insolence 60F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('62', '161', 'Tower of Insolence 61F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('63', '162', 'Tower of Insolence 62F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('64', '163', 'Tower of Insolence 63F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('65', '164', 'Tower of Insolence 64F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('66', '165', 'Tower of Insolence 65F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('67', '166', 'Tower of Insolence 66F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('68', '167', 'Tower of Insolence 67F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('69', '168', 'Tower of Insolence 68F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('70', '169', 'Tower of Insolence 69F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('71', '170', 'Tower of Insolence 70F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('72', '171', 'Tower of Insolence 71F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('73', '172', 'Tower of Insolence 72F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('74', '173', 'Tower of Insolence 73F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('75', '174', 'Tower of Insolence 74F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('76', '175', 'Tower of Insolence 75F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('77', '176', 'Tower of Insolence 76F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('78', '177', 'Tower of Insolence 77F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('79', '178', 'Tower of Insolence 78F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('80', '179', 'Tower of Insolence 79F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('81', '180', 'Tower of Insolence 80F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('82', '181', 'Tower of Insolence 81F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('83', '182', 'Tower of Insolence 82F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('84', '183', 'Tower of Insolence 83F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('85', '184', 'Tower of Insolence 84F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('86', '185', 'Tower of Insolence 85F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('87', '186', 'Tower of Insolence 86F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('88', '187', 'Tower of Insolence 87F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('89', '188', 'Tower of Insolence 88F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('90', '189', 'Tower of Insolence 89F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('91', '190', 'Tower of Insolence 90F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('92', '191', 'Tower of Insolence 91F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('93', '192', 'Tower of Insolence 92F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('94', '193', 'Tower of Insolence 93F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('95', '194', 'Tower of Insolence 94F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('96', '195', 'Tower of Insolence 95F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('97', '196', 'Tower of Insolence 96F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('98', '197', 'Tower of Insolence 97F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('99', '198', 'Tower of Insolence 98F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('100', '199', 'Tower of Insolence 99F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('101', '200', 'Tower of Insolence 100F', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('102', '303', 'Dream Island', '33976', '32936', '4');
INSERT INTO `getback_restart` VALUES ('103', '320', 'Diad Fortress', '32806', '32814', '310');
INSERT INTO `getback_restart` VALUES ('104', '550', 'Unknown', '32844', '32694', '550');
INSERT INTO `getback_restart` VALUES ('105', '551', 'Unknown', '32844', '32694', '550');
INSERT INTO `getback_restart` VALUES ('106', '552', 'Unknown', '32844', '32694', '550');
INSERT INTO `getback_restart` VALUES ('107', '553', 'Unknown', '32844', '32694', '550');
INSERT INTO `getback_restart` VALUES ('108', '554', 'Unknown', '32844', '32694', '550');
INSERT INTO `getback_restart` VALUES ('109', '555', 'Unknown', '32844', '32694', '550');
INSERT INTO `getback_restart` VALUES ('110', '556', 'Unknown', '32844', '32694', '550');
INSERT INTO `getback_restart` VALUES ('111', '557', 'Unknown', '32844', '32694', '550');
INSERT INTO `getback_restart` VALUES ('112', '558', 'Unknown', '32844', '32694', '550');
INSERT INTO `getback_restart` VALUES ('113', '600', 'Cave of Desire Outland', '32608', '33178', '4');
INSERT INTO `getback_restart` VALUES ('114', '601', 'Cave of Desire lobby', '32608', '33178', '4');
INSERT INTO `getback_restart` VALUES ('115', '608', 'Yahee LAB', '34053', '32284', '4');
INSERT INTO `getback_restart` VALUES ('116', '778', 'fallen cave', '32608', '33178', '4');
INSERT INTO `house` VALUES ('262145', 'Giran House 1', '78', 'Giran', '50527', '1');
INSERT INTO `house` VALUES ('262146', 'Giran House 2', '45', 'Giran', '50505', '1');
INSERT INTO `house` VALUES ('262147', 'Giran House 3', '120', 'Giran', '50519', '1');
INSERT INTO `house` VALUES ('262148', 'Giran House 4', '45', 'Giran', '50545', '1');
INSERT INTO `house` VALUES ('262149', 'Giran House 5', '78', 'Giran', '50531', '1');
INSERT INTO `house` VALUES ('262150', 'Giran House 6', '120', 'Giran', '50529', '1');
INSERT INTO `house` VALUES ('262151', 'Giran House 7', '45', 'Giran', '50516', '1');
INSERT INTO `house` VALUES ('262152', 'Giran House 8', '78', 'Giran', '50538', '1');
INSERT INTO `house` VALUES ('262153', 'Giran House 9', '78', 'Giran', '50518', '1');
INSERT INTO `house` VALUES ('262154', 'Giran House 10', '120', 'Giran', '50509', '1');
INSERT INTO `house` VALUES ('262155', 'Giran House 11', '78', 'Giran', '50536', '1');
INSERT INTO `house` VALUES ('262156', 'Giran House 12', '78', 'Giran', '50520', '1');
INSERT INTO `house` VALUES ('262157', 'Giran House 13', '120', 'Giran', '50543', '1');
INSERT INTO `house` VALUES ('262158', 'Giran House 14', '78', 'Giran', '50526', '1');
INSERT INTO `house` VALUES ('262159', 'Giran House 15', '45', 'Giran', '50512', '1');
INSERT INTO `house` VALUES ('262160', 'Giran House 16', '78', 'Giran', '50510', '1');
INSERT INTO `house` VALUES ('262161', 'Giran House 17', '45', 'Giran', '50504', '1');
INSERT INTO `house` VALUES ('262162', 'Giran House 18', '120', 'Giran', '50525', '1');
INSERT INTO `house` VALUES ('262163', 'Giran House 19', '78', 'Giran', '50534', '1');
INSERT INTO `house` VALUES ('262164', 'Giran House 20', '78', 'Giran', '50540', '1');
INSERT INTO `house` VALUES ('262165', 'Giran House 21', '45', 'Giran', '50515', '1');
INSERT INTO `house` VALUES ('262166', 'Giran House 22', '120', 'Giran', '50513', '1');
INSERT INTO `house` VALUES ('262167', 'Giran House 23', '78', 'Giran', '50528', '1');
INSERT INTO `house` VALUES ('262168', 'Giran House 24', '45', 'Giran', '50533', '1');
INSERT INTO `house` VALUES ('262169', 'Giran House 25', '45', 'Giran', '50542', '1');
INSERT INTO `house` VALUES ('262170', 'Giran House 26', '120', 'Giran', '50511', '1');
INSERT INTO `house` VALUES ('262171', 'Giran House 27', '78', 'Giran', '50501', '1');
INSERT INTO `house` VALUES ('262172', 'Giran House 28', '45', 'Giran', '50503', '1');
INSERT INTO `house` VALUES ('262173', 'Giran House 29', '78', 'Giran', '50508', '1');
INSERT INTO `house` VALUES ('262174', 'Giran House 30', '45', 'Giran', '50514', '1');
INSERT INTO `house` VALUES ('262175', 'Giran House 31', '78', 'Giran', '50532', '1');
INSERT INTO `house` VALUES ('262176', 'Giran House 32', '78', 'Giran', '50544', '1');
INSERT INTO `house` VALUES ('262177', 'Giran House 33', '45', 'Giran', '50524', '1');
INSERT INTO `house` VALUES ('262178', 'Giran House 34', '45', 'Giran', '50535', '1');
INSERT INTO `house` VALUES ('262179', 'Giran House 35', '120', 'Giran', '50521', '1');
INSERT INTO `house` VALUES ('262180', 'Giran House 36', '45', 'Giran', '50517', '1');
INSERT INTO `house` VALUES ('262181', 'Giran House 37', '78', 'Giran', '50537', '1');
INSERT INTO `house` VALUES ('262182', 'Giran House 38', '78', 'Giran', '50539', '1');
INSERT INTO `house` VALUES ('262183', 'Giran House 39', '45', 'Giran', '50507', '1');
INSERT INTO `house` VALUES ('262184', 'Giran House 40', '78', 'Giran', '50530', '1');
INSERT INTO `house` VALUES ('262185', 'Giran House 41', '78', 'Giran', '50502', '1');
INSERT INTO `house` VALUES ('262186', 'Giran House 42', '45', 'Giran', '50506', '1');
INSERT INTO `house` VALUES ('262187', 'Giran House 43', '120', 'Giran', '50522', '1');
INSERT INTO `house` VALUES ('262188', 'Giran House 44', '120', 'Giran', '50541', '1');
INSERT INTO `house` VALUES ('262189', 'Giran House 45', '78', 'Giran', '50523', '1');
INSERT INTO `house` VALUES ('327681', 'Heine House 1', '0', 'Heine', '50620', '1');
INSERT INTO `house` VALUES ('327682', 'Heine House 2', '0', 'Heine', '50623', '1');
INSERT INTO `house` VALUES ('327683', 'Heine House 3', '0', 'Heine', '50619', '1');
INSERT INTO `house` VALUES ('327684', 'Heine House 4', '0', 'Heine', '50621', '1');
INSERT INTO `house` VALUES ('327685', 'Heine House 5', '0', 'Heine', '50622', '1');
INSERT INTO `house` VALUES ('327686', 'Heine House 6', '0', 'Heine', '50624', '1');
INSERT INTO `house` VALUES ('327687', 'Heine House 7', '0', 'Heine', '50617', '1');
INSERT INTO `house` VALUES ('327688', 'Heine House 8', '0', 'Heine', '50614', '1');
INSERT INTO `house` VALUES ('327689', 'Heine House 9', '0', 'Heine', '50618', '1');
INSERT INTO `house` VALUES ('327690', 'Heine House 10', '0', 'Heine', '50616', '1');
INSERT INTO `house` VALUES ('327691', 'Heine House 11', '0', 'Heine', '50615', '1');
INSERT INTO `house` VALUES ('458753', 'Aden House 1', '51', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458754', 'Aden House 2', '24', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458755', 'Aden House 3', '24', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458756', 'Aden House 4', '56', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458757', 'Aden House 5', '24', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458758', 'Aden House 6', '63', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458759', 'Aden House 7', '24', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458760', 'Aden House 8', '63', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458761', 'Aden House 9', '24', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458762', 'Aden House 10', '24', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458763', 'Aden House 11', '24', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458764', 'Aden House 12', '24', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458765', 'Aden House 13', '24', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458766', 'Aden House 14', '63', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458767', 'Aden House 15', '24', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458768', 'Aden House 16', '56', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458769', 'Aden House 17', '63', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458770', 'Aden House 18', '24', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458771', 'Aden House 19', '32', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458772', 'Aden House 20', '64', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458773', 'Aden House 21', '24', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458774', 'Aden House 22', '20', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458775', 'Aden House 23', '24', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458776', 'Aden House 24', '56', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458777', 'Aden House 25', '24', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458778', 'Aden House 26', '20', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458779', 'Aden House 27', '42', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458780', 'Aden House 28', '15', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458781', 'Aden House 29', '24', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458782', 'Aden House 30', '24', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458783', 'Aden House 31', '42', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458784', 'Aden House 32', '48', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458785', 'Aden House 33', '24', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458786', 'Aden House 34', '15', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458787', 'Aden House 35', '24', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458788', 'Aden House 36', '24', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458789', 'Aden House 37', '64', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458790', 'Aden House 38', '15', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458791', 'Aden House 39', '15', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458792', 'Aden House 40', '24', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458793', 'Aden House 41', '24', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458794', 'Aden House 42', '29', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458795', 'Aden House 43', '24', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458796', 'Aden House 44', '15', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458797', 'Aden House 45', '56', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458798', 'Aden House 46', '15', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458799', 'Aden House 47', '24', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458800', 'Aden House 48', '24', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458801', 'Aden House 49', '24', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458802', 'Aden House 50', '48', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458803', 'Aden House 51', '24', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458804', 'Aden House 52', '24', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458805', 'Aden House 53', '54', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458806', 'Aden House 54', '24', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458807', 'Aden House 55', '63', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458808', 'Aden House 56', '63', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458809', 'Aden House 57', '42', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458810', 'Aden House 58', '24', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458811', 'Aden House 59', '24', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458812', 'Aden House 60', '63', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458813', 'Aden House 61', '24', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458814', 'Aden House 62', '21', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458815', 'Aden House 63', '63', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458816', 'Aden House 64', '24', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458817', 'Aden House 65', '24', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458818', 'Aden House 66', '48', 'Aden', '0', '1');
INSERT INTO `house` VALUES ('458819', 'Aden House 67', '24', 'Aden', '0', '1');
INSERT INTO `mapids` VALUES ('0', 'Talking Island', '32256', '32767', '32768', '33279', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('1', 'Talking Island Caves 1F', '32640', '32767', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('2', 'Talking Island Caves 2F', '32640', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('3', 'Gunter\'s Cave', '32640', '32767', '32768', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('4', 'Mainland Aden', '32384', '34303', '32000', '33535', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5', 'Ship talking island to aden world', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1');
INSERT INTO `mapids` VALUES ('6', 'Ship aden world to talking island', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1');
INSERT INTO `mapids` VALUES ('7', 'Main Land Caves 1F', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('8', 'Main Land Caves 2F', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('9', 'Main Land Caves 3F', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('10', 'Main Land Caves 4F', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('11', 'Main Land Caves 5F', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('12', 'Main Land Caves 6F', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('13', 'Main Land Caves 7F', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('14', 'Underground Passage', '32512', '33023', '32768', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('15', 'Kent Castle', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('16', 'Hardin\'s lab', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('17', 'Nerupa\'s Cave', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('18', 'Dupelgenon dungeon', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('19', 'Elven Dungeon 1F', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('20', 'Elven Dungeon 2F', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('21', 'Elven Dungeon 3F', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('22', 'Gerard test dungeon', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('23', 'Windawood Castle Dungeon 1F', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('24', 'Windawood Castle Dungeon 2F', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('25', 'Silver Knight Town Caves 1F', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('26', 'Silver Knight Town Caves 2F', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('27', 'Silver Knight Town Caves 3F', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('28', 'Silver Knight Town Caves 4F', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('29', 'Windawood Inner Castle', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('30', 'Dragon Valley Caves 1F', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('31', 'Dragon Valley Caves 2F', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('32', 'Dragon Valley Caves 3F', '32640', '32767', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('33', 'Dragon Valley Caves 4F', '32640', '32767', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('34', 'Hall of Honor', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '1', '0', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('35', 'Dragon Valley Caves 5F', '32640', '32767', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('36', 'Dragon Valley Caves 6F', '32640', '32767', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('37', 'Dragon Valley Caves 7F', '32640', '32767', '32768', '32895', '1', '1', '0', '0', '0', '0', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('38', 'Hall of Honor', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '0', '1', '0', '1', '1', '1');
INSERT INTO `mapids` VALUES ('39', 'Hall of Honor', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '0', '1', '0', '1', '1', '1');
INSERT INTO `mapids` VALUES ('40', 'Hall of Honor', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '0', '1', '0', '1', '1', '1');
INSERT INTO `mapids` VALUES ('41', 'Hall of Honor', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '0', '1', '0', '1', '1', '1');
INSERT INTO `mapids` VALUES ('43', 'Ant Caves 1F', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('44', 'Ant Caves 2F', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('45', 'Ant Caves 3F', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('46', 'Ant Caves 4F', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('47', 'Ant Caves 5F', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('48', 'Ant Caves 6F', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('49', 'Ant Caves 7F', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('50', 'Ant Caves 8F', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('51', 'Ant Caves 9F', '32640', '32831', '32704', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('52', 'Giran Castle', '32640', '32767', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('53', 'Giran Dungeon 1F', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('54', 'Giran Dungeon 2F', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('55', 'Giran Dungeon 3F', '32704', '32767', '32704', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('56', 'Giran Dungeon 4F', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('57', 'Singing Island', '32576', '33023', '32512', '32959', '1', '1', '0', '0', '1', '1', '1', '0', '1', '0', '0');
INSERT INTO `mapids` VALUES ('58', 'Hidden Valley', '32512', '32831', '32704', '33023', '1', '1', '0', '0', '1', '1', '1', '0', '1', '0', '0');
INSERT INTO `mapids` VALUES ('59', 'Heine Dungeon 1F', '32640', '32767', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('60', 'Heine Dungeon 2F', '32640', '32767', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('61', 'Heine Dungeon 3F', '32640', '32767', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('62', 'Sanctuary of Eva', '32640', '32767', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('63', 'Kingdom of Eva', '32576', '32895', '32640', '32959', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('64', 'Heine Inner Castle', '32512', '32639', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('65', 'Lair of Fafurion', '32704', '32831', '32768', '32895', '1', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('66', 'Iron Gate Guild Inner Castle', '32704', '32895', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('67', 'Lair of Valakas', '32640', '32831', '32704', '32895', '1', '1', '0', '0', '0', '0', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('68', 'Singing Island', '32576', '33023', '32512', '32959', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('69', 'Hidden Valley', '32512', '32831', '32704', '33023', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('70', 'Forgotten Island', '32576', '33023', '32640', '33087', '1', '1', '0', '0', '0', '0', '0', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('72', 'Crystal Cavern 1F', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('73', 'Crystal Cavern 2F', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('74', 'Crystal Cavern 3F', '32704', '32831', '32832', '32959', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('75', 'Ivory Tower 1F', '32704', '32831', '32768', '32959', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('76', 'Ivory Tower 2F', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('77', 'Ivory Tower 3F', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('78', 'Ivory Tower 4F', '32832', '32959', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('79', 'Ivory Tower 5F', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('80', 'Ivory Tower 6F', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('81', 'Ivory Tower 7F', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('82', 'Ivory Tower 8F', '32640', '32767', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('83', 'Ship aden world to forgotten island', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1');
INSERT INTO `mapids` VALUES ('84', 'Ship forgotten island to Aden world', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1');
INSERT INTO `mapids` VALUES ('85', 'Singing Island Dungeon', '32576', '32767', '32704', '32895', '1', '1', '0', '0', '1', '1', '1', '0', '1', '1', '1');
INSERT INTO `mapids` VALUES ('86', 'Hidden Valley Dungeon', '32768', '32959', '32704', '32895', '1', '1', '0', '0', '1', '1', '1', '0', '1', '1', '1');
INSERT INTO `mapids` VALUES ('87', 'Pago\'s Room', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('88', 'Giran Colosseum', '33472', '33535', '32704', '32767', '1', '1', '0', '0', '0', '1', '0', '1', '1', '1', '0');
INSERT INTO `mapids` VALUES ('89', 'Giran Colosseum', '32640', '32767', '32832', '32959', '1', '1', '0', '0', '0', '1', '0', '1', '1', '1', '0');
INSERT INTO `mapids` VALUES ('90', 'Giran Colosseum', '32640', '32767', '32832', '32959', '1', '1', '0', '0', '0', '1', '0', '1', '1', '1', '0');
INSERT INTO `mapids` VALUES ('91', 'Talking island Colosseum', '32640', '32767', '32832', '32959', '1', '1', '0', '0', '0', '1', '0', '1', '1', '0', '0');
INSERT INTO `mapids` VALUES ('92', 'Gludio Colosseum', '32640', '32767', '32832', '32959', '1', '1', '0', '0', '0', '1', '0', '1', '1', '0', '0');
INSERT INTO `mapids` VALUES ('93', 'Kent Colosseum', '32640', '32767', '32832', '32959', '1', '1', '0', '0', '0', '1', '0', '1', '1', '1', '0');
INSERT INTO `mapids` VALUES ('94', 'Windawood Colosseum', '32640', '32767', '32832', '32959', '1', '1', '0', '0', '0', '1', '0', '1', '1', '1', '0');
INSERT INTO `mapids` VALUES ('95', 'Silver knight Colosseum', '32640', '32767', '32832', '32959', '1', '1', '0', '0', '0', '1', '0', '1', '1', '0', '0');
INSERT INTO `mapids` VALUES ('96', 'Lair of Valakas Colosseum', '32640', '32767', '32832', '32959', '1', '1', '0', '0', '0', '1', '0', '1', '1', '1', '0');
INSERT INTO `mapids` VALUES ('97', 'Heine Colosseum', '32640', '32767', '32832', '32959', '1', '1', '0', '0', '0', '1', '0', '1', '1', '1', '0');
INSERT INTO `mapids` VALUES ('98', 'Welldone Colosseum', '32640', '32767', '32832', '32959', '1', '1', '0', '0', '0', '1', '0', '1', '1', '0', '0');
INSERT INTO `mapids` VALUES ('99', 'Healper\'s room', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '0', '1', '0', '1', '0', '0');
INSERT INTO `mapids` VALUES ('101', 'Tower of Insolence 1F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('102', 'Tower of Insolence 2F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('103', 'Tower of Insolence 3F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('104', 'Tower of Insolence 4F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('105', 'Tower of Insolence 5F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('106', 'Tower of Insolence 6F', '33728', '33855', '32832', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('107', 'Tower of Insolence 7F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('108', 'Tower of Insolence 8F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('109', 'Tower of Insolence 9F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('110', 'Tower of Insolence 10F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('111', 'Tower of Insolence 11F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('112', 'Tower of Insolence 12F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('113', 'Tower of Insolence 13F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('114', 'Tower of Insolence 14F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('115', 'Tower of Insolence 15F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('116', 'Tower of Insolence 16F', '32704', '32831', '32832', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('117', 'Tower of Insolence 17F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('118', 'Tower of Insolence 18F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('119', 'Tower of Insolence 19F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('120', 'Tower of Insolence 20F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('121', 'Tower of Insolence 21F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('122', 'Tower of Insolence 22F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('123', 'Tower of Insolence 23F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('124', 'Tower of Insolence 24F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('125', 'Tower of Insolence 25F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('126', 'Tower of Insolence 26F', '32704', '32831', '32832', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('127', 'Tower of Insolence 27F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('128', 'Tower of Insolence 28F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('129', 'Tower of Insolence 29F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('130', 'Tower of Insolence 30F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('131', 'Tower of Insolence 31F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('132', 'Tower of Insolence 32F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('133', 'Tower of Insolence 33F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('134', 'Tower of Insolence 34F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('135', 'Tower of Insolence 35F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('136', 'Tower of Insolence 36F', '32704', '32831', '32832', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('137', 'Tower of Insolence 37F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('138', 'Tower of Insolence 38F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('139', 'Tower of Insolence 39F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('140', 'Tower of Insolence 40F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('141', 'Tower of Insolence 41F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('142', 'Tower of Insolence 42F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('143', 'Tower of Insolence 43F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('144', 'Tower of Insolence 44F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('145', 'Tower of Insolence 45F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('146', 'Tower of Insolence 46F', '32704', '32831', '32832', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('147', 'Tower of Insolence 47F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('148', 'Tower of Insolence 48F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('149', 'Tower of Insolence 49F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('150', 'Tower of Insolence 50F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('151', 'Tower of Insolence 51F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('152', 'Tower of Insolence 52F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('153', 'Tower of Insolence 53F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('154', 'Tower of Insolence 54F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('155', 'Tower of Insolence 55F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('156', 'Tower of Insolence 56F', '32704', '32831', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('157', 'Tower of Insolence 57F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('158', 'Tower of Insolence 58F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('159', 'Tower of Insolence 59F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('160', 'Tower of Insolence 60F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('161', 'Tower of Insolence 61F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('162', 'Tower of Insolence 62F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('163', 'Tower of Insolence 63F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('164', 'Tower of Insolence 64F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('165', 'Tower of Insolence 65F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('166', 'Tower of Insolence 66F', '32704', '32831', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('167', 'Tower of Insolence 67F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('168', 'Tower of Insolence 68F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('169', 'Tower of Insolence 69F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('170', 'Tower of Insolence 70F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('171', 'Tower of Insolence 71F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('172', 'Tower of Insolence 72F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('173', 'Tower of Insolence 73F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('174', 'Tower of Insolence 74F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('175', 'Tower of Insolence 75F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('176', 'Tower of Insolence 76F', '32704', '32831', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('177', 'Tower of Insolence 77F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('178', 'Tower of Insolence 78F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('179', 'Tower of Insolence 79F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('180', 'Tower of Insolence 80F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('181', 'Tower of Insolence 81F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('182', 'Tower of Insolence 82F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('183', 'Tower of Insolence 83F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('184', 'Tower of Insolence 84F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('185', 'Tower of Insolence 85F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('186', 'Tower of Insolence 86F', '32704', '32831', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('187', 'Tower of Insolence 87F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('188', 'Tower of Insolence 88F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('189', 'Tower of Insolence 89F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('190', 'Tower of Insolence 90F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('191', 'Tower of Insolence 91F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('192', 'Tower of Insolence 92F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('193', 'Tower of Insolence 93F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('194', 'Tower of Insolence 94F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('195', 'Tower of Insolence 95F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('196', 'Tower of Insolence 96F', '32704', '32831', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('197', 'Tower of Insolence 97F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('198', 'Tower of Insolence 98F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('199', 'Tower of Insolence 99F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('200', 'Tower of Insolence 100F', '32576', '32831', '32768', '33023', '1', '1', '0', '0', '0', '0', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('201', 'Mage quest dungeon', '32768', '32959', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('202', 'Unknown', '32640', '32767', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('203', 'Unknown', '32640', '32767', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('204', 'Unknown', '32640', '32767', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('205', 'Unknown', '32640', '32767', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '0', '1', '1', '1');
INSERT INTO `mapids` VALUES ('206', 'Unknown', '32640', '32767', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '0', '1', '1', '1');
INSERT INTO `mapids` VALUES ('207', 'Unknown', '32640', '32767', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '0', '1', '1', '1');
INSERT INTO `mapids` VALUES ('208', 'Unknown', '32640', '32767', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '0', '1', '1', '1');
INSERT INTO `mapids` VALUES ('209', 'Darkelf dungeon', '32640', '33535', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('210', 'Darkelf dungeon', '32640', '33535', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('211', 'Darkelf dungeon', '32640', '33535', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('213', 'Darkelf dungeon', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('217', 'Mutant ant dungeon', '32640', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('221', 'Gerard test dungeon', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('237', 'Jim dungeon', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('240', 'Kent Castle Dungeon 1F', '32640', '32767', '33024', '33151', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('241', 'Kent Castle Dungeon 2F', '32704', '32831', '32832', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('242', 'Kent Castle Dungeon 3F', '32704', '32831', '32896', '33023', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('243', 'Kent Castle Dungeon 4F', '32640', '32767', '32832', '33023', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('244', 'Blessed land of tainted', '32704', '33023', '32768', '33087', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('248', 'Unknown Castle 1F', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('249', 'Unknown Castle 2F', '32704', '32831', '32831', '32894', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('250', 'Unknown Castle 3F', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('251', 'Unknown', '32704', '32767', '32831', '32894', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('252', 'Unknown 1F', '32576', '32767', '32895', '32958', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('253', 'Unknown 2F', '32704', '32831', '32768', '32959', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('254', 'Unknown 3F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('255', 'Unknown 1F', '32640', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('256', 'Unknown 2F', '32640', '32895', '32768', '33023', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('257', 'Unknown 1F', '32640', '32831', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('258', 'Unknown 2F', '32640', '32831', '32768', '33151', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('259', 'Unknown 3F', '32704', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('300', 'Aden Castle', '32832', '32959', '32448', '32639', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('301', 'Aden Sewer', '32640', '32767', '32768', '32959', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('302', 'Sepia Dungeon', '32704', '32767', '32832', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('303', 'Dream Island', '32576', '32895', '32576', '32895', '1', '1', '0', '0', '0', '0', '0', '1', '0', '1', '1');
INSERT INTO `mapids` VALUES ('304', 'Silent Cavern', '32576', '32959', '32768', '33023', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('305', 'Elder cave', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('306', 'Dungeon of evil thoughts', '32512', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('307', 'Lastabad Dungeon 1F', '32704', '32959', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('308', 'Lastabad Dungeon 2F', '32704', '33023', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('309', 'Lastabad Dungeon 3F', '32704', '33087', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('310', 'Oum Dungeon', '32704', '32895', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('320', 'Diad Fortress', '32704', '33087', '32768', '33023', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('330', 'Mineral Dungeon', '32704', '32767', '32832', '33023', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('340', 'Unknown', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '0', '1', '0', '0');
INSERT INTO `mapids` VALUES ('350', 'Giran Traders Village', '32640', '32767', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '0', '1', '0', '0');
INSERT INTO `mapids` VALUES ('360', 'Oren Traders Village', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '0', '0');
INSERT INTO `mapids` VALUES ('370', 'Silver Knight Traders Village', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '0', '0');
INSERT INTO `mapids` VALUES ('400', 'Great Cavern', '32512', '33023', '32576', '33023', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('401', 'Large Cavern route', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('410', 'Sanctuary of Evil', '32704', '32959', '32768', '33023', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('420', 'Abyss Lake', '32704', '32831', '32832', '33087', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('430', 'Elemental Grave', '32704', '32959', '32768', '33023', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('440', 'Pirate Island First Part', '32256', '32767', '32768', '33279', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('441', 'Pirate Island Dungeon 1F', '32640', '32831', '32704', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('442', 'Pirate Island Dungeon 2F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('443', 'Pirate Island Dungeon 3F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('444', 'Pirate Island Dungeon 4F', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('445', 'Hidden dock to Pirate island', '32704', '32831', '32832', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('446', 'Ship Pirate island to Hidden dock', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1');
INSERT INTO `mapids` VALUES ('447', 'Ship Hidden dock to Pirate island', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1');
INSERT INTO `mapids` VALUES ('450', 'Front Gate of Lastavard', '32640', '32831', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('451', '1st Floor Meeting Area', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('452', '1st Floor Shock Squad Training Area', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('453', '1st Floor Evil Power King\'s Power Room', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('454', '1st Floor Dark Warrens', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('455', '1st Floor Dark Warrens', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('456', '1st Floor Evil Power Summoning Room', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('457', '1st Floor Off-Limits Area of Darkness', '32640', '32703', '32832', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('460', '2nd Floor Dark Magic Training Area', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('461', '2nd Floor Dark Magic Laboratory', '32640', '32895', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('462', '2nd Floor Evil Spirit King\'s Power Room', '32640', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('463', '2nd Floor Evil Spirit King\'s Library', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('464', '2nd Floor Spirit Summoning Room', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('465', '2nd Floor Spirit Abode', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('466', '2nd Floor Dark Spirit Laboratory', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('467', '2nd Floor Closed Place of Darkness', '32640', '32703', '32832', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('468', '2nd Floor Closed Place of Darkness', '32640', '32703', '32832', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('470', '3rd Floor Evil Spirit Altar', '32704', '32895', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('471', '3rd Floor Devil Road Altar', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('472', '3rd Floor Mercenary Training Area', '32704', '32831', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('473', '3rd Floor Arcane Army Training Area', '32704', '32959', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('474', '3rd Floor Oum Experiment Room', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('475', '3rd Floor Arcane King\'s Power Room', '32640', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('476', '3rd Floor Central Control Room', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('477', '3rd Floor Devil Road Mercenary Room', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('478', '3rd Floor Control Area', '32704', '32767', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('480', 'Pirate\'s Isle', '32640', '32895', '32768', '33023', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('481', 'Kamyla\'s Room', '32704', '32767', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('482', 'Franco\'s Labyrinth', '32640', '32831', '32704', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('483', 'Closed Jail of Diego', '32704', '32831', '32768', '32959', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('484', 'Underground Jail of Jose', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('490', 'Underground Training Area', '32640', '32767', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('491', 'Underground Passageway', '32640', '32767', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('492', 'Assassin King\'s Power Room', '32768', '32895', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('493', 'Underground Control Room', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('494', 'Underground Punishment Area', '32768', '32895', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('495', 'Underground Duel Area', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('496', 'Underground Jail', '32768', '32895', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('500', 'KR_Event', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('501', 'KR_Event', '32832', '32895', '32576', '32703', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('502', 'KR_Event', '32832', '32895', '32576', '32703', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('503', 'KR_Event', '32832', '32895', '32576', '32703', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('504', 'KR_Event', '32832', '32895', '32576', '32703', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('505', 'KR_Event', '32832', '32895', '32576', '32703', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('506', 'KR_Event', '32832', '32895', '32576', '32703', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('507', 'KR_Event', '32704', '33023', '32768', '32959', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('508', 'KR_Event', '32768', '32895', '33088', '33215', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('509', 'Chaos Battle Collosseum', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('511', 'KR_Event', '32832', '32895', '32576', '32703', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('512', 'KR_Event', '32832', '32895', '32576', '32703', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('513', 'KR_Event', '32832', '32895', '32576', '32703', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('514', 'KR_Event', '32832', '32895', '32576', '32703', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('515', 'KR_Event', '32832', '32895', '32576', '32703', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('516', 'KR_Event', '32832', '32895', '32576', '32703', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('521', 'Outer Area of Temple of Shadows', '32640', '32767', '32896', '33023', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('522', '1st Floor of Temple of Shadows', '32640', '32767', '32832', '32959', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('523', '2nd Floor of Temple of Shadows', '32640', '32767', '32832', '32959', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('524', '3rd Floor of Temple of Shadows', '32640', '32767', '32832', '32959', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('530', '4th Floor1', '32704', '32895', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('531', '4th Floor2', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('532', '4th Floor3', '32704', '32895', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('533', '4th Floor4', '32704', '32895', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('534', '4th Floor5', '32704', '32959', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('535', 'Unknown', '32576', '32895', '32704', '33023', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('536', '3rd Floor Closed Place of Darkness', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('550', 'Unknown', '32384', '32895', '32640', '33151', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('551', 'Unknown', '32640', '32767', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('552', 'Unknown', '32704', '32767', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('553', 'Unknown', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('554', 'Unknown', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('555', 'Unknown', '32704', '32767', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('556', 'Unknown', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('557', 'Unknown', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('558', 'Unknown', '32704', '33215', '32768', '33279', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('600', 'Cave of Desire Outland', '32704', '32831', '32768', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('601', 'Cave of Desire lobby', '32704', '32895', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('602', 'Barlog room', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('603', 'Barlog lair', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('604', 'Water area', '32767', '32894', '32768', '32895', '1', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('605', 'Fire area', '32767', '32894', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('606', 'Air area', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('607', 'Earth area', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('608', 'Yahee LAB', '32640', '32767', '32832', '32959', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('610', 'Sakura Forest JP Event', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('611', 'Cantonment JP Event', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('612', 'Fruit Forest JP Event', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('666', 'Hell', '32640', '32831', '32704', '32895', '1', '1', '0', '0', '1', '0', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('701', 'memory land', '32640', '32959', '32576', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('777', 'fallen temple', '32512', '32767', '32895', '33150', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('778', 'fallen cave', '32704', '32959', '32640', '32959', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('779', 'fallen cave underwater', '32831', '32958', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('997', 'Unknown', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1');
INSERT INTO `mapids` VALUES ('998', 'Hall of Honor', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1');
INSERT INTO `mapids` VALUES ('2000', 'Ancient Space 1F', '32704', '32895', '32832', '33023', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('2001', 'Ancient Space 2F', '32640', '32831', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('2002', 'Ancient Space 3F', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('2003', 'Ancient Space 4F', '32704', '32895', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('4941', 'KR_EVENT', '32768', '32895', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5001', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5002', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5003', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5004', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5005', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5006', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5007', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5008', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5009', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5010', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5011', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5012', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5013', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5014', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5015', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5016', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5017', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5018', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5019', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5020', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5021', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5022', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5023', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5024', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5025', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5026', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5027', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5028', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5029', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5030', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5031', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5032', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5033', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5034', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5035', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5036', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5037', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5038', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5039', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5040', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5041', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5042', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5043', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5044', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5045', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5046', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5047', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5048', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5049', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5050', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5051', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5052', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5053', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5054', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5055', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5056', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5057', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5058', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5059', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5060', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5061', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5062', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5063', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5064', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5065', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5066', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5067', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5068', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5069', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5070', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5071', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5072', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5073', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5074', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5075', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5076', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5077', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5078', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5079', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5080', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5081', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5082', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5083', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5084', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5085', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5086', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5087', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5088', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5089', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5090', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5091', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5092', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5093', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5094', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5095', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5096', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5097', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5098', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5099', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5100', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5101', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5102', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5103', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5104', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5105', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5106', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5107', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5108', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5109', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5110', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5111', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5112', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5113', 'Heine Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5114', 'Heine Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5115', 'Heine Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5116', 'Heine Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5117', 'Heine Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5118', 'Heine Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5119', 'Heine Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5120', 'Heine Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5121', 'Heine Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5122', 'Heine Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5123', 'Heine Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5124', 'Fishing place', '32768', '32831', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5125', 'petmatch place', '32768', '32831', '32832', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5131', 'petmatch place', '32768', '32831', '32832', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5132', 'petmatch place', '32768', '32831', '32832', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5133', 'petmatch place', '32768', '32831', '32832', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5134', 'petmatch place', '32768', '32831', '32832', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5140', 'Ghost house', '32704', '32895', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5701', 'Singing island TW Event', '32576', '33023', '32512', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5801', 'Hidden valley TW Event', '32512', '32831', '32704', '33023', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5802', 'Hidden valley TW Event', '32512', '32831', '32704', '33023', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5803', 'Hidden valley TW Event', '32512', '32831', '32704', '33023', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5804', 'Hidden valley TW Event', '32512', '32831', '32704', '33023', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5805', 'Hidden valley TW Event', '32512', '32831', '32704', '33023', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('7000', 'EventForest JP Event', '32640', '32959', '32576', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('7001', 'The hell JP Event', '32640', '32831', '32704', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('7002', 'Sin Temple JP Event', '32512', '32767', '32512', '32767', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('7003', 'Sin Temple JP Event', '32512', '32767', '32512', '32767', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('7004', 'Sin Temple JP Event', '32512', '32767', '32512', '32767', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('7005', 'Sin Temple JP Event', '32512', '32767', '32512', '32767', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('7006', 'Sin Temple JP Event', '32512', '32767', '32512', '32767', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('7007', 'Sin Tomb JP Event', '32704', '32895', '32768', '32959', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('7008', 'Sin Tomb JP Event', '32704', '32895', '32768', '32959', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('7009', 'Sin Tomb JP Event', '32704', '32895', '32768', '32959', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('7010', 'Sin Tomb JP Event', '32704', '32895', '32768', '32959', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('7011', 'Sin Tomb JP Event', '32704', '32895', '32768', '32959', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('7051', 'EventForest JP Event', '32640', '32959', '32576', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('7052', 'EventForest JP Event', '32640', '32959', '32576', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('7053', 'EventForest JP Event', '32640', '32959', '32576', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('7054', 'EventForest JP Event', '32640', '32959', '32576', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('7055', 'EventForest JP Event', '32640', '32959', '32576', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('8011', 'Unknown', '32767', '32894', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '0', '1', '0', '0');
INSERT INTO `mapids` VALUES ('8012', 'Unknown', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '0', '1', '0', '0');
INSERT INTO `mapids` VALUES ('8013', 'Unknown', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '0', '0');
INSERT INTO `mapids` VALUES ('8014', 'Unknown', '32704', '32767', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '0', '0');
INSERT INTO `mapids` VALUES ('8015', 'Unknown', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '0', '0');
INSERT INTO `mapids` VALUES ('16384', 'InnRoom', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '0', '1');
INSERT INTO `mapids` VALUES ('16896', 'InnRoom', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '0', '1');
INSERT INTO `mapids` VALUES ('17408', 'InnRoom', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '0', '1');
INSERT INTO `mapids` VALUES ('17492', 'InnRoom', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '1', '0', '1', '1', '1');
INSERT INTO `mapids` VALUES ('17820', 'InnRoom', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '1', '0', '1', '0', '0');
INSERT INTO `mapids` VALUES ('17920', 'InnRoom', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '0', '0', '0', '1', '0', '0');
INSERT INTO `mapids` VALUES ('18432', 'InnRoom', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '0', '0');
INSERT INTO `mapids` VALUES ('18944', 'InnRoom', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '0', '0');
INSERT INTO `mapids` VALUES ('19456', 'InnRoom', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '0', '0');
INSERT INTO `mapids` VALUES ('19968', 'InnRoom', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '0', '0');
INSERT INTO `mapids` VALUES ('20480', 'InnRoom', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '0', '0');
INSERT INTO `mapids` VALUES ('20992', 'InnRoom', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '0', '0');
INSERT INTO `mapids` VALUES ('21504', 'InnRoom', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '0', '0');
INSERT INTO `mapids` VALUES ('22016', 'InnRoom', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '0', '0');
INSERT INTO `mapids` VALUES ('22528', 'InnRoom', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '0', '0');
INSERT INTO `mapids` VALUES ('23040', 'InnRoom', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '0', '0');
INSERT INTO `mapids` VALUES ('23552', 'InnRoom', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '0', '0');
INSERT INTO `mapids` VALUES ('24064', 'InnRoom', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '0', '0');
INSERT INTO `mapids` VALUES ('24576', 'InnRoom', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '0', '0');
INSERT INTO `mapids` VALUES ('25088', 'InnRoom', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '0', '0');
INSERT INTO `mobgroup` VALUES ('1', '', '81066', '81066', '7', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('2', '', '45248', '45216', '2', '45224', '2', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('3', '', '45248', '45216', '1', '45224', '2', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('4', '', '45248', '45216', '2', '45224', '1', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('5', '', '45008', '45008', '2', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('6', '', '45140', '45008', '3', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('7', '', '45215', '45068', '2', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('8', '', '45082', '45017', '2', '45019', '2', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('9', '', '45206', '45206', '3', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('10', '', '45346', '45213', '3', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('11', '', '45065', '45065', '15', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('12', '', '45154', '45159', '3', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('13', '', '45600', '45165', '8', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('14', '', '45488', '45497', '1', '45473', '1', '45464', '1', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('15', '', '45456', '45157', '4', '45068', '2', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('16', '', '45545', '45161', '2', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('17', '', '45529', '45529', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('18', '', '45680', '45678', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('19', '', '45651', '45677', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('20', '', '45534', '45366', '3', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('21', '', '45535', '45366', '3', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('22', '', '45646', '45416', '1', '45419', '1', '45424', '1', '45418', '1', '0', '0');
INSERT INTO `mobgroup` VALUES ('23', '', '45348', '45348', '2', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('24', '', '45380', '45380', '2', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('25', '', '45407', '45407', '2', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('26', '', '45361', '45361', '2', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('27', '', '45394', '45394', '2', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('28', '', '45409', '45409', '2', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('29', '', '45406', '45406', '2', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('30', '', '45386', '45386', '2', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('31', '', '45440', '45440', '2', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('32', '', '45384', '45384', '2', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('33', '', '45471', '45471', '2', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('34', '', '45481', '45481', '2', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('35', '', '45515', '45515', '2', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('36', '', '45403', '45403', '2', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('37', '', '45454', '45454', '2', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('38', '', '45455', '45455', '2', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('39', '', '45494', '45494', '2', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('40', '', '45541', '45541', '2', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('41', '', '45520', '45520', '2', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('42', '', '45572', '45572', '2', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('43', '', '45532', '45532', '2', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('44', '', '45581', '45581', '2', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('45', '', '45604', '45604', '2', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('46', '', '45589', '45589', '2', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('47', '', '45622', '45622', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('48', '', '45620', '45620', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45049', '0', 'Killer Rabbit', '2', '100', '0', '0', '-6', '0', '0', '0', '0', '0', '5', '38', '1809', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45167', '0', 'Jack-O-Lantern', '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '45', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45224', '0', 'Undead Elmore Wizard', '2', '100', '0', '0', '-6', '0', '0', '0', '0', '0', '0', '38', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45228', '0', 'Sea Dancer', '2', '20', '0', '0', '-6', '0', '0', '0', '0', '0', '20', '10035', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45241', '0', 'Cerberus', '1', '100', '0', '0', '2', '2', '0', '2', '0', '0', '0', '0', '954', '3', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45278', '0', 'Ogre', '1', '30', '0', '0', '-2', '0', '0', '2', '1', '2', '20', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45283', '0', 'Giran Cerberus', '1', '100', '0', '0', '2', '2', '0', '2', '0', '0', '0', '0', '954', '3', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45284', '0', 'Fire Warrior', '1', '100', '0', '0', '2', '0', '0', '2', '0', '0', '15', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45291', '0', 'Fire Archer', '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '15', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45315', '0', 'Incarnation of Varlok', '2', '50', '0', '0', '-6', '0', '0', '0', '0', '0', '25', '10056', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45316', '0', 'Giran Ancient Giant', '2', '30', '0', '0', '5', '0', '0', '0', '0', '0', '0', '10057', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45316', '1', 'Giran Ancient Giant', '2', '5', '0', '0', '-6', '0', '3', '0', '0', '0', '0', '44', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45316', '2', 'Giran Ancient Giant', '2', '30', '0', '0', '-10', '0', '0', '0', '0', '0', '3', '10010', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45316', '3', 'Giran Ancient Giant', '3', '5', '25', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45351', '3', '3', '0');
INSERT INTO `mobskill` VALUES ('45316', '4', 'Giran Ancient Giant', '1', '100', '0', '0', '-2', '0', '3', '2', '1', '2', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45326', '0', 'Dark Forester', '2', '40', '0', '0', '-4', '0', '0', '0', '0', '0', '0', '10043', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45341', '0', 'Taurverus', '1', '100', '0', '0', '2', '2', '0', '2', '0', '0', '0', '0', '954', '3', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45341', '1', 'Taurverus', '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45347', '0', 'Dark Forester', '2', '40', '0', '0', '-4', '0', '0', '0', '0', '0', '0', '10043', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45368', '0', 'Beast Summoner', '1', '40', '0', '0', '-6', '0', '0', '6', '0', '0', '12', '0', '3696', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45373', '0', 'Ettin', '2', '20', '0', '0', '-10', '1', '2', '0', '0', '0', '0', '43', '0', '7', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45391', '0', 'Succubus of Varlok', '2', '100', '0', '0', '-6', '5', '0', '0', '0', '0', '0', '10030', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45391', '1', 'Succubus of Varlok', '2', '20', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '28', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45393', '0', 'Succubus', '2', '100', '0', '0', '-6', '5', '0', '0', '0', '0', '6', '10030', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45393', '1', 'Succubus', '2', '20', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '28', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45394', '0', 'Succubus', '2', '100', '0', '0', '-6', '5', '0', '0', '0', '0', '6', '10030', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45394', '1', 'Succubus', '2', '20', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '28', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45400', '0', 'Succubus', '2', '100', '0', '0', '-6', '5', '0', '0', '0', '0', '6', '10030', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45400', '1', 'Succubus', '2', '20', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '28', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45405', '0', 'Black Wizard', '2', '40', '0', '0', '-6', '0', '0', '0', '0', '0', '7', '10044', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45408', '0', 'Taurverus', '1', '100', '0', '0', '2', '2', '0', '2', '0', '0', '0', '0', '954', '3', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45408', '1', 'Taurverus', '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45416', '0', 'Fang of Earth', '2', '10', '0', '0', '-2', '0', '0', '0', '0', '0', '0', '10071', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45416', '1', 'Fang of Earth', '2', '10', '0', '0', '-2', '0', '0', '0', '0', '0', '0', '47', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45416', '2', 'Fang of Earth', '2', '45', '0', '0', '-8', '0', '0', '0', '0', '0', '0', '16', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45418', '0', 'Fang of Wind', '2', '10', '0', '0', '-2', '0', '0', '0', '0', '0', '0', '47', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45418', '1', 'Fang of Wind', '2', '10', '0', '0', '-2', '0', '0', '0', '0', '0', '0', '29', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45418', '2', 'Fang of Wind', '2', '45', '0', '0', '-8', '0', '0', '0', '0', '0', '0', '7', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45419', '0', 'Fang of Glacier', '2', '10', '0', '0', '-2', '0', '0', '0', '0', '0', '0', '47', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45419', '1', 'Fang of Glacier', '2', '45', '0', '0', '-8', '0', '0', '0', '0', '0', '5', '38', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45422', '0', 'Subterranean Great King Turtle', '2', '30', '0', '0', '-6', '0', '0', '0', '0', '0', '40', '22', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45422', '1', 'Subterranean Great King Turtle', '2', '20', '0', '0', '-6', '0', '0', '0', '0', '0', '0', '29', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45422', '2', 'Subterranean Great King Turtle', '2', '10', '0', '0', '-6', '0', '0', '0', '0', '0', '0', '47', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45422', '3', 'Subterranean Great King Turtle', '1', '100', '0', '0', '-1', '0', '0', '2', '0', '0', '50', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45424', '0', 'Fang of Flame', '2', '10', '0', '0', '-2', '0', '0', '0', '0', '0', '0', '47', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45424', '1', 'Fang of Flame', '2', '45', '0', '0', '-8', '0', '0', '0', '0', '0', '0', '15', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45425', '0', 'Black Wizard', '2', '40', '0', '0', '-6', '0', '0', '0', '0', '0', '5', '10044', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45450', '0', 'Succubus Queen of Varlok', '2', '100', '0', '0', '-6', '5', '0', '0', '0', '0', '6', '10031', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45450', '1', 'Succubus Queen of Varlok', '2', '20', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '28', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45451', '0', 'Succubus Queen', '2', '100', '0', '0', '-6', '5', '0', '0', '0', '0', '6', '10031', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45451', '1', 'Succubus Queen', '2', '20', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '28', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45456', '0', 'Necromancer', '2', '40', '0', '0', '-5', '0', '0', '0', '0', '0', '40', '17', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45458', '0', 'Spirit of Drake', '1', '30', '0', '0', '-6', '0', '0', '6', '6', '6', '40', '0', '0', '19', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45458', '1', 'Spirit of Drake', '1', '30', '0', '0', '-1', '0', '0', '1', '0', '0', '80', '0', '4222', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45458', '2', 'Spirit of Drake', '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '20', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45464', '0', 'Sema', '2', '40', '0', '0', '-5', '0', '0', '0', '0', '0', '35', '17', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45471', '0', 'Horrific Cerberus', '1', '100', '0', '0', '2', '2', '0', '2', '0', '0', '20', '0', '954', '3', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45473', '0', 'Baltuzar', '2', '20', '0', '0', '-6', '0', '0', '0', '0', '0', '14', '45', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45476', '0', 'Cerberus', '1', '100', '0', '0', '2', '2', '0', '2', '0', '0', '0', '0', '954', '3', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45480', '0', 'Fire Necromancer', '2', '30', '0', '0', '-6', '0', '0', '0', '0', '0', '20', '25', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45480', '1', 'Fire Necromancer', '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '100', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45481', '0', 'Lesser Demon', '2', '50', '0', '0', '-2', '0', '0', '0', '0', '0', '0', '10042', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45481', '1', 'Lesser Demon', '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '20', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45482', '0', 'Lesser Demon of Varlok', '2', '50', '0', '0', '-2', '0', '0', '0', '0', '0', '0', '10042', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45482', '1', 'Lesser Demon of Varlok', '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '20', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45485', '0', 'Dark Lycanthrope', '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45488', '0', 'Caspa', '2', '40', '0', '0', '-6', '0', '0', '0', '0', '0', '40', '25', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45492', '0', 'Kuman', '1', '100', '0', '0', '-6', '0', '0', '6', '0', '0', '20', '0', '0', '18', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45496', '0', 'Lesser Dragon', '2', '100', '0', '0', '-2', '0', '0', '2', '1', '2', '0', '10008', '2380', '16', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45497', '0', 'Merkyor', '2', '40', '0', '0', '-6', '0', '0', '0', '0', '0', '50', '4', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45500', '0', 'Water Spirit Master', '2', '30', '0', '0', '-2', '0', '0', '0', '0', '0', '0', '28', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45500', '1', 'Water Spirit Master', '2', '100', '0', '0', '-8', '0', '0', '0', '0', '0', '0', '38', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45500', '2', 'Water Spirit Master', '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '18', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45503', '0', 'Black Knight of Darkness', '1', '100', '0', '0', '-2', '0', '0', '2', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45505', '0', 'Ettin', '2', '20', '0', '0', '-10', '1', '2', '0', '0', '0', '0', '43', '0', '7', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45506', '0', 'Cursed Elmore Wizard', '2', '100', '0', '0', '-6', '0', '0', '0', '0', '0', '0', '38', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45508', '0', 'Earth Spirit Master', '2', '15', '0', '0', '-2', '0', '0', '0', '0', '0', '20', '10071', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45508', '1', 'Earth Spirit Master', '2', '100', '0', '0', '-8', '0', '0', '0', '0', '0', '0', '45', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45510', '0', 'Wind Spirit Master', '2', '10', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '29', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45510', '1', 'Wind Spirit Master', '2', '100', '0', '0', '-8', '0', '0', '0', '0', '0', '0', '34', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45511', '0', 'Fire Spirit Master', '2', '15', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '39', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45511', '1', 'Fire Spirit Master', '2', '100', '0', '0', '-6', '0', '0', '0', '0', '0', '0', '25', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45513', '0', 'Zenith Queen', '2', '40', '0', '0', '-6', '0', '0', '0', '0', '0', '10', '10004', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45515', '0', 'Ifrit', '2', '80', '0', '0', '-6', '0', '0', '0', '0', '0', '5', '10014', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45516', '0', 'Ifrit', '2', '80', '0', '0', '-6', '0', '0', '0', '0', '0', '5', '10014', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45520', '0', 'Spirit Taurverus of Fire', '1', '100', '0', '0', '2', '2', '0', '2', '0', '0', '30', '0', '954', '3', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45520', '1', 'Spirit Taurverus of Fire', '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '40', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45522', '0', 'Bone Dragon', '2', '100', '0', '0', '-2', '0', '0', '2', '1', '2', '3', '10009', '2411', '16', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45528', '0', 'Cruel Snow Tiger', '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45529', '0', 'Drake', '1', '20', '0', '0', '-2', '0', '0', '2', '1', '0', '25', '0', '1064', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45532', '0', 'Fire Archer of Darkness', '1', '100', '0', '0', '2', '0', '0', '10', '0', '0', '15', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45532', '1', 'Fire Archer of Darkness', '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '30', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45534', '0', 'Mambo Rabbit', '2', '20', '0', '0', '-4', '0', '0', '0', '0', '0', '30', '53', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45534', '1', 'Mambo Rabbit', '2', '20', '0', '0', '-4', '0', '0', '0', '0', '0', '10', '10036', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45535', '0', 'Mambo Rabbit', '2', '20', '0', '0', '-6', '0', '0', '0', '0', '0', '30', '10035', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45535', '1', 'Mambo Rabbit', '2', '20', '0', '0', '-4', '0', '0', '0', '0', '0', '10', '10037', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45540', '0', 'Fire Warrior of Darkness', '1', '100', '0', '0', '2', '0', '0', '2', '0', '0', '15', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45540', '1', 'Fire Warrior of Darkness', '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45542', '0', 'Priest of Death', '2', '100', '0', '0', '2', '0', '0', '0', '0', '0', '0', '10060', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45542', '1', 'Priest of Death', '2', '50', '0', '0', '-1', '0', '0', '0', '0', '0', '0', '10060', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45545', '0', 'Dark Elder', '2', '20', '0', '0', '-4', '0', '0', '0', '0', '0', '20', '53', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45545', '1', 'Dark Elder', '2', '50', '0', '0', '-8', '0', '0', '0', '0', '0', '0', '10061', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45546', '0', 'Doppelganger', '2', '20', '0', '0', '-15', '0', '0', '0', '0', '0', '15', '59', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45546', '1', 'Doppelganger', '2', '20', '0', '0', '-3', '0', '0', '0', '0', '0', '30', '70', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45546', '2', 'Doppelganger', '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45547', '0', 'Seer', '2', '40', '0', '0', '-6', '0', '0', '0', '0', '0', '15', '10001', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45547', '1', 'Seer', '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45550', '0', 'Dark Elder', '2', '20', '0', '0', '-4', '0', '0', '0', '0', '0', '20', '53', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45550', '1', 'Dark Elder', '2', '60', '0', '0', '-10', '0', '0', '0', '0', '0', '20', '34', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45569', '0', 'Baphomet of Varlok', '2', '20', '0', '0', '-6', '0', '0', '0', '0', '0', '30', '45', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45569', '1', 'Baphomet of Varlok', '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45570', '0', 'Priest of Corruption', '2', '20', '0', '0', '-6', '0', '0', '0', '0', '0', '50', '46', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45572', '0', 'Astagio of Fire', '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45573', '0', 'Baphomet', '2', '20', '0', '0', '-6', '0', '0', '0', '0', '0', '20', '45', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45575', '0', 'Disciple of Death', '2', '20', '0', '0', '5', '0', '0', '0', '0', '0', '0', '10057', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45575', '1', 'Disciple of Death', '2', '100', '0', '0', '2', '0', '0', '0', '0', '0', '0', '10058', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45575', '2', 'Disciple of Death', '2', '50', '0', '0', '-1', '0', '0', '0', '0', '0', '0', '10058', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45579', '0', 'Beleth of Varlok', '2', '20', '0', '0', '-6', '0', '0', '0', '0', '0', '70', '25', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45579', '1', 'Beleth of Varlok', '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45580', '0', 'Succubus Queen of Darkness', '2', '100', '0', '0', '-6', '5', '0', '0', '0', '0', '20', '10031', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45580', '1', 'Succubus Queen of Darkness', '2', '20', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '28', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45581', '0', 'Insolent Zenith Queen', '2', '40', '0', '0', '-6', '0', '0', '0', '0', '0', '10', '10004', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45581', '1', 'Insolent Zenith Queen', '1', '100', '0', '0', '-2', '0', '0', '2', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45582', '0', 'Priest of Corruption', '2', '20', '0', '0', '-6', '0', '0', '0', '0', '0', '20', '10047', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45583', '0', 'Beleth', '2', '20', '0', '0', '-6', '0', '0', '0', '0', '0', '60', '25', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45584', '0', 'Greater Minotaur', '2', '20', '0', '0', '-3', '0', '0', '0', '0', '0', '40', '62', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45584', '1', 'Greater Minotaur', '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45586', '0', 'Lesser Seer', '2', '40', '0', '0', '-6', '0', '0', '0', '0', '0', '15', '10001', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45586', '1', 'Lesser Seer', '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '40', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45589', '0', 'Zombie Lord of Fear', '2', '30', '0', '0', '-6', '0', '0', '0', '0', '0', '20', '10000', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45589', '1', 'Zombie Lord of Fear', '1', '100', '0', '0', '-2', '0', '0', '2', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45591', '0', 'Abyss Water Spirit', '2', '30', '0', '0', '-2', '0', '0', '0', '0', '0', '15', '28', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45591', '1', 'Abyss Water Spirit', '2', '100', '0', '0', '-8', '0', '0', '0', '0', '0', '0', '38', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45591', '2', 'Abyss Water Spirit', '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '18', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45592', '0', 'Abyss Earth Spirit', '2', '10', '0', '0', '-2', '0', '0', '0', '0', '0', '25', '10071', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45592', '1', 'Abyss Earth Spirit', '2', '100', '0', '0', '-8', '0', '0', '0', '0', '0', '0', '45', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45593', '0', 'Abyss Wind Spirit', '2', '10', '0', '0', '-3', '0', '0', '0', '0', '0', '15', '29', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45593', '1', 'Abyss Wind Spirit', '2', '100', '0', '0', '-8', '0', '0', '0', '0', '0', '0', '34', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45594', '0', 'Abyss Fire Spirit', '2', '20', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '39', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45594', '1', 'Abyss Fire Spirit', '2', '100', '0', '0', '-6', '0', '0', '0', '0', '0', '0', '46', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45594', '2', 'Abyss Fire Spirit', '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '18', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45595', '0', 'Iris', '2', '30', '0', '0', '-4', '0', '0', '0', '0', '0', '80', '53', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45595', '1', 'Iris', '1', '100', '0', '0', '-3', '0', '0', '3', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45597', '0', 'Disciple of Death', '2', '100', '0', '0', '3', '0', '0', '0', '0', '0', '30', '45', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45597', '1', 'Disciple of Death', '2', '50', '0', '0', '-2', '0', '0', '0', '0', '0', '30', '45', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45598', '0', 'Disciple of Death', '2', '100', '0', '0', '3', '0', '0', '0', '0', '0', '0', '10059', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45598', '1', 'Disciple of Death', '2', '50', '0', '0', '-2', '0', '0', '0', '0', '0', '0', '10059', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45599', '0', 'Priest of Chaos', '2', '10', '0', '0', '-1', '0', '0', '0', '0', '0', '0', '87', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45600', '0', 'Kurtz', '2', '20', '0', '0', '-3', '0', '0', '0', '0', '0', '30', '62', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45600', '1', 'Kurtz', '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '20', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45601', '0', 'Death Knight', '2', '20', '0', '0', '-3', '0', '0', '0', '0', '0', '35', '28', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45601', '1', 'Death Knight', '2', '45', '0', '0', '-6', '0', '0', '0', '0', '0', '15', '10056', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45601', '2', 'Death Knight', '3', '5', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45161', '1', '3', '0');
INSERT INTO `mobskill` VALUES ('45601', '3', 'Death Knight', '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '20', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45604', '0', 'Marquise Vampire', '2', '40', '0', '0', '-6', '0', '0', '0', '0', '0', '10', '10006', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45604', '1', 'Marquise Vampire', '2', '40', '0', '0', '-3', '0', '0', '0', '0', '0', '60', '28', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45604', '2', 'Marquise Vampire', '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45606', '0', 'Vampire', '3', '2', '0', '0', '9', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45494', '1', '2', '0');
INSERT INTO `mobskill` VALUES ('45606', '1', 'Vampire', '3', '2', '0', '0', '9', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45493', '1', '2', '0');
INSERT INTO `mobskill` VALUES ('45606', '2', 'Vampire', '3', '2', '0', '0', '9', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45455', '1', '2', '0');
INSERT INTO `mobskill` VALUES ('45606', '3', 'Vampire', '2', '40', '0', '0', '-6', '0', '0', '0', '0', '0', '10', '10006', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45606', '4', 'Vampire', '2', '40', '0', '0', '-3', '0', '0', '0', '0', '0', '60', '28', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45606', '5', 'Vampire', '3', '2', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45290', '1', '3', '0');
INSERT INTO `mobskill` VALUES ('45609', '0', 'Ice Queen', '2', '50', '0', '0', '-15', '0', '0', '0', '0', '0', '40', '10002', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45609', '1', 'Ice Queen', '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45610', '0', 'Ancient Giant', '2', '20', '0', '0', '-10', '0', '0', '0', '0', '0', '30', '10019', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45610', '1', 'Ancient Giant', '1', '100', '0', '0', '-6', '0', '0', '2', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45614', '0', 'Giant Ant Queen', '2', '15', '0', '0', '5', '0', '0', '0', '0', '0', '0', '10057', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45614', '1', 'Giant Ant Queen', '2', '10', '0', '0', '-5', '0', '0', '0', '0', '0', '30', '10071', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45614', '2', 'Giant Ant Queen', '2', '10', '0', '0', '-6', '0', '0', '0', '0', '0', '0', '44', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45614', '3', 'Giant Ant Queen', '2', '50', '0', '0', '-6', '0', '0', '0', '0', '0', '30', '10056', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45614', '4', 'Giant Ant Queen', '2', '50', '0', '0', '-15', '0', '0', '0', '0', '0', '30', '10019', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45614', '5', 'Giant Ant Queen', '1', '100', '0', '0', '-3', '0', '0', '3', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45616', '0', 'Mummy Lord', '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '40', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45617', '0', 'Phoenix', '2', '30', '0', '0', '-8', '0', '0', '0', '0', '0', '12', '10018', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45617', '1', 'Phoenix', '1', '100', '0', '0', '-2', '0', '0', '2', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45618', '0', 'Knight Vald', '2', '30', '0', '0', '-3', '0', '0', '0', '0', '0', '40', '62', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45618', '1', 'Knight Vald', '2', '30', '0', '0', '-15', '0', '0', '0', '0', '0', '30', '74', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45618', '2', 'Knight Vald', '3', '5', '80', '0', '-3', '5', '0', '0', '0', '0', '0', '0', '0', '0', '45503', '1', '2', '0');
INSERT INTO `mobskill` VALUES ('45618', '3', 'Knight Vald', '1', '100', '0', '0', '-2', '0', '0', '2', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45619', '0', 'Great Spirit of Earth', '2', '30', '0', '0', '-8', '0', '0', '0', '0', '0', '20', '10020', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45619', '1', 'Great Spirit of Earth', '1', '100', '0', '0', '-2', '0', '0', '2', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45620', '0', 'Great Spirit of Water', '2', '30', '0', '0', '-8', '0', '0', '0', '0', '0', '20', '10022', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45620', '1', 'Great Spirit of Water', '1', '100', '0', '0', '-2', '0', '0', '2', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45621', '0', 'Great Spirit of Wind', '2', '30', '0', '0', '-4', '0', '0', '0', '0', '0', '50', '53', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45621', '1', 'Great Spirit of Wind', '1', '100', '0', '0', '-2', '0', '0', '2', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45622', '0', 'Great Spirit of Fire', '2', '30', '0', '0', '-8', '0', '0', '0', '0', '0', '20', '10021', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45622', '1', 'Great Spirit of Fire', '1', '100', '0', '0', '-2', '0', '0', '2', '0', '0', '30', '0', '0', '18', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45624', '0', 'Guardsman of Yahee', '2', '100', '0', '0', '2', '0', '0', '0', '0', '0', '15', '10060', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45624', '1', 'Guardsman of Yahee', '2', '50', '0', '0', '-1', '0', '0', '0', '0', '0', '15', '10060', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45625', '0', 'Chaos', '2', '70', '0', '0', '5', '0', '0', '0', '0', '0', '0', '10057', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45625', '1', 'Chaos', '2', '15', '0', '0', '-6', '0', '0', '0', '0', '0', '0', '44', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45625', '2', 'Chaos', '2', '40', '0', '0', '-1', '0', '0', '1', '0', '0', '0', '87', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45625', '3', 'Chaos', '2', '15', '0', '0', '-6', '0', '0', '0', '0', '0', '30', '45', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45625', '4', 'Chaos', '3', '5', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45227', '2', '2', '0');
INSERT INTO `mobskill` VALUES ('45625', '5', 'Chaos', '3', '5', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45576', '2', '2', '0');
INSERT INTO `mobskill` VALUES ('45625', '6', 'Chaos', '3', '5', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45627', '2', '2', '0');
INSERT INTO `mobskill` VALUES ('45625', '7', 'Chaos', '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45627', '0', 'Priest of Chaos', '2', '10', '0', '0', '-1', '0', '0', '0', '0', '0', '0', '87', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45628', '0', 'Guardsman of Yahee', '2', '20', '0', '0', '5', '0', '0', '0', '0', '0', '0', '10057', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45628', '1', 'Guardsman of Yahee', '2', '100', '0', '0', '2', '0', '0', '0', '0', '0', '20', '10058', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45628', '2', 'Guardsman of Yahee', '2', '50', '0', '0', '-1', '0', '0', '0', '0', '0', '20', '10058', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45629', '0', 'Guardsman of Yahee', '2', '100', '0', '0', '3', '0', '0', '0', '0', '0', '30', '45', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45629', '1', 'Guardsman of Yahee', '2', '50', '0', '0', '-2', '0', '0', '0', '0', '0', '30', '45', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45630', '0', 'Guardsman of Yahee', '2', '100', '0', '0', '3', '0', '0', '0', '0', '0', '15', '10059', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45630', '1', 'Guardsman of Yahee', '2', '50', '0', '0', '-2', '0', '0', '0', '0', '0', '15', '10059', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45631', '0', 'Guardsman of Yahee', '2', '15', '0', '0', '-1', '0', '0', '0', '0', '0', '0', '87', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45642', '0', 'Great Spirit of Earth', '2', '30', '0', '0', '-8', '0', '0', '0', '0', '0', '20', '10020', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45642', '1', 'Great Spirit of Earth', '1', '100', '0', '0', '-2', '0', '0', '2', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45643', '0', 'Great Spirit of Water', '2', '30', '0', '0', '-8', '0', '0', '0', '0', '0', '20', '10022', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45643', '1', 'Great Spirit of Water', '1', '100', '0', '0', '-2', '0', '0', '2', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45644', '0', 'Great Spirit of Wind', '2', '30', '0', '0', '-4', '0', '0', '0', '0', '0', '50', '53', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45644', '1', 'Great Spirit of Wind', '1', '100', '0', '0', '-2', '0', '0', '2', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45645', '0', 'Great Spirit of Fire', '2', '30', '0', '0', '-8', '0', '0', '0', '0', '0', '20', '10021', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45645', '1', 'Great Spirit of Fire', '1', '100', '0', '0', '-2', '0', '0', '2', '0', '0', '30', '0', '0', '18', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45646', '0', 'Abyss Master', '2', '30', '0', '0', '-6', '0', '0', '0', '0', '0', '20', '10038', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45646', '1', 'Abyss Master', '2', '10', '0', '0', '-6', '0', '0', '0', '0', '0', '0', '44', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45646', '2', 'Abyss Master', '2', '30', '0', '0', '-6', '0', '0', '0', '0', '0', '100', '25', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45646', '3', 'Abyss Master', '1', '100', '0', '0', '-3', '0', '0', '3', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45647', '0', 'Demon of Varlok', '2', '20', '0', '0', '-6', '0', '0', '0', '0', '0', '30', '10024', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45647', '1', 'Demon of Varlok', '2', '20', '0', '0', '-6', '0', '0', '0', '0', '0', '100', '25', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45647', '2', 'Demon of Varlok', '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45649', '0', 'Demon', '2', '30', '0', '0', '-6', '0', '0', '0', '0', '0', '20', '10024', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45649', '1', 'Demon', '2', '30', '0', '0', '-6', '0', '0', '0', '0', '0', '100', '25', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45649', '2', 'Demon', '3', '2', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45174', '1', '2', '0');
INSERT INTO `mobskill` VALUES ('45649', '3', 'Demon', '3', '2', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45270', '1', '2', '0');
INSERT INTO `mobskill` VALUES ('45649', '4', 'Demon', '3', '2', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45365', '1', '2', '0');
INSERT INTO `mobskill` VALUES ('45649', '5', 'Demon', '3', '2', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45372', '1', '2', '0');
INSERT INTO `mobskill` VALUES ('45649', '6', 'Demon', '3', '2', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45341', '1', '2', '0');
INSERT INTO `mobskill` VALUES ('45649', '7', 'Demon', '3', '2', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45373', '1', '2', '0');
INSERT INTO `mobskill` VALUES ('45649', '8', 'Demon', '3', '2', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45420', '1', '2', '0');
INSERT INTO `mobskill` VALUES ('45649', '9', 'Demon', '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45650', '0', 'Zombie Lord', '2', '30', '0', '0', '-6', '0', '0', '0', '0', '0', '20', '10000', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45650', '1', 'Zombie Lord', '1', '100', '0', '0', '-2', '0', '0', '2', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45651', '0', 'Dread King Baranka', '1', '30', '0', '0', '-6', '0', '0', '6', '6', '6', '50', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45651', '1', 'Dread King Baranka', '3', '5', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45483', '1', '2', '0');
INSERT INTO `mobskill` VALUES ('45651', '2', 'Dread King Baranka', '1', '100', '0', '0', '-2', '0', '0', '2', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45653', '0', 'Mummy Lord', '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '40', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45654', '0', 'Iris', '2', '30', '0', '0', '-4', '0', '0', '0', '0', '0', '80', '53', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45654', '1', 'Iris', '1', '100', '0', '0', '-3', '0', '0', '3', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45664', '0', 'Knight Vald', '1', '100', '0', '0', '-2', '0', '0', '2', '0', '0', '45', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45671', '0', 'Aaarrrggg...', '2', '50', '0', '0', '-4', '0', '0', '0', '0', '0', '25', '10039', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45671', '1', 'Aaarrrggg...', '1', '100', '0', '0', '-6', '0', '0', '6', '6', '6', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45672', '0', 'Lich', '2', '50', '0', '0', '-15', '0', '0', '0', '0', '0', '30', '10010', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45672', '1', 'Lich', '2', '50', '0', '0', '-8', '0', '0', '0', '0', '0', '30', '10061', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45672', '2', 'Lich', '1', '100', '0', '0', '-2', '0', '0', '2', '0', '0', '50', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45673', '0', 'Grim Reaper', '2', '60', '0', '0', '-8', '0', '0', '0', '0', '0', '45', '10062', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45673', '1', 'Grim Reaper', '2', '60', '0', '0', '-15', '0', '0', '0', '0', '0', '40', '10012', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45673', '2', 'Grim Reaper', '1', '100', '0', '0', '-2', '0', '0', '2', '2', '1', '80', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45674', '0', 'Death', '2', '80', '0', '0', '5', '0', '0', '0', '0', '0', '0', '10057', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45674', '1', 'Death', '2', '50', '0', '0', '-1', '0', '0', '0', '0', '0', '0', '87', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45674', '2', 'Death', '2', '20', '0', '0', '-4', '0', '0', '0', '0', '0', '0', '44', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45674', '3', 'Death', '3', '7', '0', '0', '-4', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45536', '1', '1', '0');
INSERT INTO `mobskill` VALUES ('45674', '4', 'Death', '3', '7', '0', '0', '-4', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45542', '1', '1', '0');
INSERT INTO `mobskill` VALUES ('45674', '5', 'Death', '3', '7', '0', '0', '-4', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45575', '1', '1', '0');
INSERT INTO `mobskill` VALUES ('45674', '6', 'Death', '3', '7', '0', '0', '-4', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45597', '1', '1', '0');
INSERT INTO `mobskill` VALUES ('45674', '7', 'Death', '3', '7', '0', '0', '-4', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45598', '1', '1', '0');
INSERT INTO `mobskill` VALUES ('45674', '8', 'Death', '2', '100', '0', '0', '-1', '0', '0', '0', '0', '0', '80', '4', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45674', '9', 'Death', '1', '100', '0', '0', '-5', '0', '0', '5', '0', '0', '50', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45675', '0', 'Yahee', '1', '30', '0', '0', '-3', '0', '0', '3', '2', '2', '40', '0', '0', '19', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45675', '1', 'Yahee', '1', '50', '0', '0', '-2', '0', '0', '2', '0', '0', '50', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45675', '2', 'Yahee', '1', '50', '0', '0', '-2', '0', '0', '2', '1', '0', '30', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45677', '0', 'Laia', '2', '30', '0', '0', '-9', '0', '0', '0', '0', '0', '30', '10035', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45677', '1', 'Laia', '4', '5', '0', '0', '-9', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '3906');
INSERT INTO `mobskill` VALUES ('45677', '2', 'Laia', '3', '5', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45310', '1', '2', '0');
INSERT INTO `mobskill` VALUES ('45678', '0', 'Cerenis', '2', '80', '0', '90', '-15', '0', '0', '0', '0', '0', '50', '57', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45678', '1', 'Cerenis', '2', '30', '0', '0', '-15', '0', '0', '0', '0', '0', '40', '59', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45678', '2', 'Cerenis', '2', '30', '0', '0', '-15', '0', '0', '0', '0', '0', '30', '74', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45680', '0', 'Ken Rauhel', '1', '30', '0', '0', '-6', '0', '0', '6', '6', '6', '60', '0', '4223', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45680', '1', 'Ken Rauhel', '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45681', '0', 'Lindvior', '2', '100', '25', '0', '-15', '3', '0', '0', '0', '0', '1000', '10053', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45681', '1', 'Lindvior', '2', '2', '0', '0', '-9', '0', '0', '0', '0', '0', '0', '10026', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45681', '2', 'Lindvior', '2', '50', '0', '0', '5', '0', '0', '0', '0', '0', '50', '10053', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45681', '3', 'Lindvior', '2', '50', '0', '0', '-4', '0', '0', '0', '0', '0', '50', '10053', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45681', '4', 'Lindvior', '1', '10', '0', '0', '-3', '0', '0', '3', '3', '4', '200', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45681', '5', 'Lindvior', '1', '10', '0', '0', '-2', '0', '0', '2', '0', '0', '150', '0', '0', '5', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45681', '6', 'Lindvior', '1', '10', '0', '0', '-2', '0', '0', '2', '0', '0', '150', '0', '0', '12', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45682', '0', 'Antharas', '2', '100', '25', '0', '-15', '3', '0', '0', '0', '0', '1000', '10054', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45682', '1', 'Antharas', '2', '2', '0', '0', '-9', '0', '0', '0', '0', '0', '0', '10027', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45682', '2', 'Antharas', '2', '20', '0', '0', '3', '0', '0', '0', '0', '0', '200', '45', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45682', '3', 'Antharas', '2', '50', '0', '0', '5', '0', '0', '0', '0', '0', '50', '10054', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45682', '4', 'Antharas', '2', '50', '0', '0', '-4', '0', '0', '0', '0', '0', '50', '10054', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45682', '5', 'Antharas', '1', '10', '0', '0', '-3', '0', '0', '3', '3', '4', '200', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45682', '6', 'Antharas', '1', '10', '0', '0', '-2', '0', '0', '2', '0', '0', '150', '0', '0', '5', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45682', '7', 'Antharas', '1', '10', '0', '0', '-2', '0', '0', '2', '0', '0', '150', '0', '0', '12', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45683', '0', 'Fafurion', '2', '100', '25', '0', '-15', '3', '0', '0', '0', '0', '1000', '10051', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45683', '1', 'Fafurion', '2', '50', '0', '0', '5', '0', '0', '0', '0', '0', '50', '10051', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45683', '2', 'Fafurion', '2', '50', '0', '0', '0', '0', '0', '0', '0', '0', '50', '10051', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45683', '3', 'Fafurion', '2', '10', '0', '0', '-4', '0', '0', '0', '0', '0', '100', '10050', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45683', '4', 'Fafurion', '1', '10', '0', '0', '-3', '0', '0', '3', '3', '4', '200', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45683', '5', 'Fafurion', '1', '10', '0', '0', '-2', '0', '0', '2', '0', '0', '150', '0', '0', '5', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45683', '6', 'Fafurion', '1', '10', '0', '0', '-2', '0', '0', '2', '0', '0', '150', '0', '0', '12', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45683', '7', 'Fafurion', '1', '10', '0', '0', '-3', '0', '0', '3', '3', '4', '200', '0', '0', '25', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45683', '8', 'Fafurion', '2', '2', '0', '0', '-9', '0', '0', '0', '0', '0', '0', '10029', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45684', '0', 'Valakas', '2', '100', '25', '0', '-15', '3', '0', '0', '0', '0', '1000', '10052', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45684', '1', 'Valakas', '2', '50', '0', '0', '5', '0', '0', '0', '0', '0', '50', '10052', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45684', '2', 'Valakas', '2', '50', '0', '0', '0', '0', '0', '0', '0', '0', '50', '10052', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45684', '3', 'Valakas', '2', '2', '0', '0', '-9', '0', '0', '0', '0', '0', '0', '10028', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45684', '4', 'Valakas', '1', '10', '0', '0', '-3', '0', '0', '3', '3', '4', '200', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45684', '5', 'Valakas', '1', '10', '0', '0', '-2', '0', '0', '2', '0', '0', '150', '0', '0', '5', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45685', '0', 'Tarak', '4', '5', '0', '0', '-9', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '3872');
INSERT INTO `mobskill` VALUES ('45685', '1', 'Tarak', '2', '30', '0', '0', '-4', '0', '0', '0', '0', '0', '30', '10025', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45685', '2', 'Tarak', '3', '5', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45570', '1', '3', '0');
INSERT INTO `mobskill` VALUES ('45685', '3', 'Tarak', '3', '5', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45571', '1', '3', '0');
INSERT INTO `mobskill` VALUES ('45685', '4', 'Tarak', '3', '5', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45582', '1', '3', '0');
INSERT INTO `mobskill` VALUES ('45685', '5', 'Tarak', '3', '5', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45587', '1', '3', '0');
INSERT INTO `mobskill` VALUES ('45685', '6', 'Tarak', '3', '5', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45605', '1', '3', '0');
INSERT INTO `mobskill` VALUES ('45046', '0', 'Beagle', '2', '50', '0', '0', '-6', '0', '0', '0', '0', '0', '5', '16', '1583', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45693', '0', 'High St. Bernard', '2', '50', '0', '0', '-6', '0', '0', '0', '0', '0', '0', '7', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45048', '0', 'Fox', '2', '50', '0', '0', '-6', '0', '0', '0', '0', '0', '0', '15', '1801', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45695', '0', 'High Rabbit', '2', '50', '0', '0', '-6', '0', '0', '0', '0', '0', '0', '38', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45696', '0', 'High Cat', '2', '50', '0', '0', '-3', '0', '0', '0', '0', '0', '5', '10', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45701', '0', 'Spirit of Enraged Ancient Person', '2', '40', '0', '0', '-5', '0', '0', '0', '0', '0', '40', '17', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45702', '0', 'Spirit of Enraged Ancient Person', '2', '20', '0', '0', '-6', '0', '0', '0', '0', '0', '14', '45', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45703', '0', 'Spirit of Enraged Ancient Person', '2', '40', '0', '0', '-6', '0', '0', '0', '0', '0', '40', '25', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45704', '0', 'Spirit of Enraged Ancient Person', '2', '40', '0', '0', '-6', '0', '0', '0', '0', '0', '50', '4', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45708', '0', 'Creation of Varlok', '2', '50', '0', '0', '-2', '0', '0', '0', '0', '0', '0', '10042', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45709', '0', 'Varlok\'s Servant', '2', '20', '0', '0', '-6', '0', '0', '0', '0', '0', '30', '10024', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45709', '1', 'Varlok\'s Servant', '2', '20', '0', '0', '-6', '0', '0', '0', '0', '0', '100', '25', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45709', '2', 'Varlok\'s Servant', '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45710', '0', 'Battle Tiger', '2', '100', '0', '0', '-6', '0', '0', '1', '0', '0', '0', '10076', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45712', '0', 'Jindo Dog', '2', '100', '0', '0', '-6', '0', '0', '1', '0', '0', '0', '10077', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45720', '0', 'Drowned Male', '2', '100', '0', '0', '-2', '0', '0', '0', '0', '0', '0', '10072', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45721', '0', 'Drowned Female', '2', '30', '0', '0', '6', '0', '0', '0', '0', '0', '0', '10073', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45721', '1', 'Drowned Female', '2', '30', '0', '0', '3', '0', '0', '0', '0', '0', '20', '10071', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45723', '0', 'Dark Elemental', '3', '5', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45722', '1', '2', '0');
INSERT INTO `mobskill` VALUES ('45727', '0', 'Grave Sea Dancer', '2', '20', '0', '0', '-6', '0', '0', '0', '0', '0', '20', '10035', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45734', '0', 'Great King Squid', '2', '30', '0', '0', '-7', '0', '0', '0', '0', '0', '30', '10075', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45736', '0', 'Lesser Demon', '2', '50', '0', '0', '-2', '0', '0', '0', '0', '0', '0', '10042', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45739', '0', 'Shiboin of Earth', '2', '15', '0', '0', '-1', '0', '0', '0', '0', '0', '0', '87', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45740', '0', 'Shiboin of Waves', '2', '15', '0', '0', '-1', '0', '0', '0', '0', '0', '0', '87', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45741', '0', 'Shiboin of Fire', '2', '15', '0', '0', '-1', '0', '0', '0', '0', '0', '0', '87', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45742', '0', 'Shiboin of Wind', '2', '15', '0', '0', '-1', '0', '0', '0', '0', '0', '0', '87', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45746', '0', 'Deangus', '2', '20', '0', '0', '-5', '0', '0', '5', '1', '5', '0', '10067', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45747', '0', 'Angus', '2', '20', '0', '0', '-5', '0', '0', '5', '1', '5', '0', '10068', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45748', '0', 'Paj', '2', '20', '0', '0', '-4', '0', '0', '0', '0', '0', '10', '53', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45749', '0', 'Paj', '2', '100', '0', '0', '-8', '0', '0', '0', '0', '0', '5', '10065', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45750', '0', 'Pasaj', '2', '20', '0', '0', '-4', '0', '0', '0', '0', '0', '10', '53', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45751', '0', 'Pasaj', '2', '100', '0', '0', '-8', '0', '0', '0', '0', '0', '5', '10066', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45752', '0', 'Varlok', '2', '10', '0', '0', '-4', '0', '0', '0', '0', '0', '20', '10069', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45752', '1', 'Varlok', '2', '10', '0', '0', '-15', '0', '0', '0', '0', '0', '20', '10070', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45752', '2', 'Varlok', '2', '15', '0', '0', '-1', '0', '0', '0', '0', '0', '0', '87', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45753', '0', 'Varlok', '2', '30', '0', '0', '-4', '0', '0', '0', '0', '0', '20', '10069', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45753', '1', 'Varlok', '2', '30', '0', '0', '-15', '0', '0', '0', '0', '0', '20', '10070', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45753', '2', 'Varlok', '2', '15', '0', '0', '-1', '0', '0', '0', '0', '0', '0', '87', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45770', '0', 'Polluted Orc Wizard', '2', '30', '0', '0', '-6', '0', '0', '0', '0', '0', '20', '25', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45771', '0', 'Contaminated Fairy', '2', '90', '0', '0', '-8', '0', '0', '0', '0', '0', '0', '34', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45772', '0', 'Polluted Unkown', '3', '5', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45770', '1', '3', '0');
INSERT INTO `mobskill` VALUES ('45783', '0', 'Polluted Great Spirit of Darkness', '2', '20', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '28', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45783', '1', 'Polluted Great Spirit of Darkness', '3', '5', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45782', '1', '3', '0');
INSERT INTO `mobskill` VALUES ('45784', '0', 'Polluted Great Spirit of Light', '2', '30', '0', '0', '-8', '0', '0', '0', '0', '0', '20', '34', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45785', '0', 'Polluted Great Spirit of Earth', '2', '30', '0', '0', '-8', '0', '0', '0', '0', '0', '20', '10020', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45785', '1', 'Polluted Great Spirit of Earth', '1', '100', '0', '0', '-2', '0', '0', '2', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45786', '0', 'Polluted Great Spirit of Fire', '2', '30', '0', '0', '-8', '0', '0', '0', '0', '0', '20', '10021', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45786', '1', 'Polluted Great Spirit of Fire', '1', '100', '0', '0', '-2', '0', '0', '2', '0', '0', '30', '0', '0', '18', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45787', '0', 'Polluted Great Spirit of Wind', '2', '30', '0', '0', '-4', '0', '0', '0', '0', '0', '50', '53', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45787', '1', 'Polluted Great Spirit of Wind', '1', '100', '0', '0', '-2', '0', '0', '2', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45788', '0', 'Polluted Great Spirit of Water', '2', '30', '0', '0', '-8', '0', '0', '0', '0', '0', '20', '10022', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45788', '1', 'Polluted Great Spirit of Water', '1', '100', '0', '0', '-2', '0', '0', '2', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45794', '0', 'Servant of Spirit', '2', '30', '0', '0', '-6', '0', '0', '0', '0', '0', '0', '10078', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45795', '0', 'Spirit', '2', '30', '0', '0', '-6', '0', '0', '0', '0', '0', '0', '10079', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45795', '1', 'Spirit', '3', '5', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45794', '1', '3', '0');
INSERT INTO `mobskill` VALUES ('45801', '0', 'Unknown 45801', '2', '30', '0', '0', '-10', '0', '0', '0', '0', '0', '30', '77', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45802', '0', 'Unknown 45802', '2', '30', '0', '0', '-10', '0', '0', '0', '0', '0', '100', '34', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45802', '1', 'Unknown 45802', '2', '30', '0', '0', '-10', '0', '0', '0', '0', '0', '100', '65', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45806', '0', 'Crabman', '2', '30', '0', '0', '-10', '0', '0', '0', '0', '0', '0', '6', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45812', '0', 'Sea Dancer', '2', '100', '0', '0', '-8', '0', '0', '0', '0', '0', '0', '38', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45823', '0', 'Crustacean', '2', '30', '0', '0', '-8', '0', '0', '0', '0', '0', '0', '38', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45828', '0', 'Unknown Doppelganger', '2', '20', '0', '0', '-15', '0', '0', '0', '0', '0', '0', '59', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45828', '1', 'Unknown Doppelganger', '2', '20', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '70', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45828', '2', 'Unknown Doppelganger', '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45829', '0', 'Unknown 45829', '2', '30', '0', '0', '-6', '0', '0', '0', '0', '0', '100', '25', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45874', '0', 'Unknown Lizardman', '2', '30', '0', '50', '-15', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45874', '1', 'Unknown Lizardman', '2', '30', '0', '0', '6', '0', '0', '0', '0', '0', '0', '10080', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('81081', '0', 'Elindaire', '2', '20', '0', '0', '-6', '0', '0', '0', '0', '0', '40', '4', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('81082', '0', 'Yahee', '1', '100', '0', '0', '-15', '1', '0', '15', '0', '0', '20', '0', '0', '4', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('81082', '1', 'Yahee', '4', '15', '0', '0', '-10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '3872');
INSERT INTO `mobskill` VALUES ('81082', '2', 'Yahee', '2', '30', '0', '0', '-10', '0', '0', '0', '0', '0', '35', '10063', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('81082', '3', 'Yahee', '2', '100', '0', '0', '-10', '0', '0', '0', '0', '0', '35', '10064', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('81103', '0', 'Doppelganger', '2', '30', '0', '0', '-6', '0', '0', '0', '0', '0', '0', '10035', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('81103', '1', 'Doppelganger', '2', '30', '0', '0', '-6', '0', '0', '0', '0', '0', '30', '16', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('81103', '2', 'Doppelganger', '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45039', '0', 'Cat', '2', '50', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '10', '252', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45047', '0', 'Saint Bernard', '2', '50', '0', '0', '-6', '0', '0', '0', '0', '0', '0', '7', '1799', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45692', '0', 'High Beagle', '2', '50', '0', '0', '-6', '0', '0', '0', '0', '0', '5', '16', '1583', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45694', '0', 'High Fox', '2', '50', '0', '0', '-6', '0', '0', '0', '0', '0', '0', '15', '1801', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45044', '0', 'Raccoon', '2', '10', '0', '0', '-1', '0', '0', '0', '0', '0', '5', '29', '752', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45697', '0', 'High Raccoon', '2', '10', '0', '0', '-1', '0', '0', '0', '0', '0', '5', '29', '752', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45121', '0', 'Orc Wizard', '2', '30', '0', '0', '-6', '0', '0', '0', '0', '0', '0', '25', '171', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45265', '0', 'Dark Elf', '2', '30', '0', '0', '-4', '0', '0', '0', '0', '0', '10', '53', '758', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45364', '0', 'Dark Elf', '2', '40', '0', '0', '-4', '0', '0', '0', '0', '0', '15', '53', '758', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45447', '0', 'Dark Elf Wizard', '2', '40', '0', '0', '-6', '0', '0', '0', '0', '0', '4', '38', '1809', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45447', '1', 'Dark Elf Wizard', '2', '30', '0', '0', '-4', '0', '0', '0', '0', '0', '9', '53', '758', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45215', '0', 'Elder', '2', '35', '0', '0', '-4', '0', '0', '0', '0', '0', '5', '34', '10', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('90002', '0', 'Lube Golem', '2', '20', '0', '0', '-6', '0', '0', '0', '0', '0', '12', '46', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('90003', '0', 'Lubricated Dominatrix', '2', '20', '0', '0', '-4', '0', '0', '0', '0', '0', '40', '53', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('90003', '1', 'Lubricated Dominatrix', '2', '7', '0', '0', '-6', '0', '3', '0', '0', '0', '0', '44', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('90003', '2', 'Lubricated Dominatrix', '3', '2', '0', '0', '-3', '0', '3', '0', '0', '0', '0', '0', '0', '0', '90002', '1', '2', '0');
INSERT INTO `mobskill` VALUES ('90003', '3', 'Lubricated Dominatrix', '1', '100', '0', '0', '-3', '0', '0', '3', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45279', '0', 'Elekkadom', '2', '25', '0', '0', '-1', '0', '0', '0', '0', '0', '8', '11000', '1714', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45819', '0', 'Elekkadom', '2', '25', '0', '0', '-1', '0', '0', '0', '0', '0', '8', '11000', '1714', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45487', '0', 'Subterranean Elekkadom', '2', '30', '0', '0', '-1', '0', '0', '0', '0', '0', '16', '11000', '1714', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45732', '0', 'Grave Elekkadom', '2', '30', '0', '0', '-1', '0', '0', '0', '0', '0', '16', '11000', '1714', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('81050', '0', 'Summoned Spirit of Fire', '2', '100', '0', '0', '-6', '0', '0', '0', '0', '0', '3', '15', '1801', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('81051', '0', 'Summoned Spirit of Water', '2', '100', '0', '0', '-6', '0', '0', '0', '0', '0', '3', '6', '1797', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('81052', '0', 'Summoned Spirit of Wind', '2', '100', '0', '0', '-6', '0', '0', '0', '0', '0', '3', '7', '1799', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('81053', '0', 'Summoned Spirit of Earth', '2', '100', '0', '0', '-6', '0', '0', '0', '0', '0', '3', '16', '1583', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45001', ' ', '', 'L1Scarecrow', '114', '1', '1', '0', '0', '0', '0', '0', '0', '99', '0', '2', '0', 'small', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45002', ' ', '', 'L1Scarecrow', '116', '1', '1', '0', '0', '0', '0', '0', '0', '99', '0', '2', '0', 'small', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45003', ' ', '', 'L1Scarecrow', '2084', '1', '1', '0', '0', '0', '0', '0', '0', '99', '0', '2', '0', 'small', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45004', ' ', '', 'L1Scarecrow', '2992', '1', '1', '0', '0', '0', '0', '0', '0', '99', '0', '2', '0', 'small', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45005', 'Frog', '$256', 'L1Monster', '55', '1', '1', '0', '10', '0', '0', '0', '0', '0', '0', '2', '0', 'small', '0', '0', '0', '0', '1', '0', '1440', '1000', '1000', '1000', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45006', 'Sea Anemone', '$1425', 'L1Monster', '1586', '1', '20', '0', '3', '7', '10', '7', '1', '1', '0', '2', '0', 'small', '0', '0', '0', '0', '1', '0', '0', '1000', '1000', '1000', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45008', 'Goblin', '$958', 'L1Monster', '1022', '2', '3', '10', '10', '10', '12', '10', '7', '7', '2', '5', '-3', 'small', '0', '0', '1', '0', '1', '1', '760', '920', '920', '920', '0', '0', '0', '0', '0', '0', 'goblin', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45009', 'Orc', '$59', 'L1Monster', '56', '2', '6', '4', '10', '6', '12', '10', '6', '10', '0', '5', '-2', 'small', '1', '0', '0', '0', '1', '1', '800', '1320', '1320', '1320', '0', '0', '0', '0', '0', '0', 'orc', '1', '-1', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45010', 'Rabbit', '$936', 'L1Monster', '998', '2', '7', '0', '10', '12', '11', '12', '8', '7', '0', '5', '0', 'small', '0', '0', '0', '0', '1', '0', '800', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45011', 'Rabbit', '$936', 'L1Monster', '1002', '2', '7', '0', '10', '0', '0', '0', '0', '99', '0', '5', '0', 'small', '0', '0', '0', '0', '1', '0', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45012', 'Rabbit', '$936', 'L1Monster', '999', '2', '7', '0', '10', '12', '11', '12', '8', '7', '0', '5', '0', 'small', '0', '0', '0', '0', '1', '0', '800', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45013', 'Rabbit', '$936', 'L1Monster', '1003', '2', '7', '0', '10', '0', '0', '0', '0', '99', '0', '5', '0', 'small', '0', '0', '0', '0', '1', '0', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45015', 'Duck', '$952', 'L1Monster', '1014', '2', '10', '0', '10', '5', '12', '15', '1', '0', '0', '5', '25', 'small', '0', '0', '0', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45016', 'Kobold', '$970', 'L1Monster', '1059', '3', '7', '15', '10', '12', '11', '12', '7', '8', '2', '10', '-3', 'small', '0', '0', '1', '0', '1', '1', '1280', '1080', '1080', '1080', '0', '0', '0', '0', '0', '0', 'kobold', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45017', 'Orc', '$59', 'L1Monster', '56', '2', '6', '4', '10', '6', '12', '10', '6', '10', '0', '10', '-2', 'small', '0', '1', '0', '0', '1', '1', '800', '1320', '1320', '1320', '0', '0', '0', '0', '0', '0', 'orc', '1', '-1', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45019', 'Orc Archer', '$267', 'L1Monster', '3860', '3', '12', '4', '10', '12', '11', '12', '7', '8', '2', '10', '-3', 'small', '1', '0', '0', '0', '10', '1', '800', '1880', '1880', '1880', '0', '0', '0', '0', '0', '0', 'orc', '1', '-1', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45020', 'Monster Mushroom', '$1750', 'L1Monster', '852', '3', '20', '10', '10', '6', '10', '12', '6', '6', '0', '10', '-5', 'small', '0', '0', '1', '0', '1', '1', '1040', '1480', '1480', '1480', '0', '4', '0', '0', '0', '0', 'fungus', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45021', 'Deer', '$930', 'L1Monster', '947', '3', '25', '0', '9', '5', '12', '15', '1', '0', '0', '10', '0', 'small', '0', '0', '0', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45022', 'Deer', '$930', 'L1Monster', '1236', '3', '25', '0', '9', '5', '12', '15', '1', '0', '0', '10', '0', 'small', '0', '0', '0', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45023', 'Wild Boar', '$931', 'L1Monster', '979', '6', '20', '5', '7', '11', '12', '10', '5', '6', '1', '37', '0', 'small', '0', '0', '1', '0', '1', '1', '640', '800', '800', '800', '0', '0', '0', '0', '0', '0', 'animal', '1', '-1', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45024', 'Werewolf', '$18', 'L1Monster', '1110', '9', '50', '20', '4', '15', '15', '12', '10', '10', '10', '82', '-9', 'small', '0', '0', '0', '1', '1', '1', '640', '840', '840', '840', '0', '0', '0', '0', '0', '0', 'wolf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45025', 'Gremlin', '$1046', 'L1Monster', '1154', '4', '50', '20', '10', '11', '12', '18', '7', '8', '1', '17', '-3', 'small', '0', '0', '1', '0', '1', '1', '320', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45026', 'Mutated Alligator', '$1702', 'L1Monster', '1574', '4', '25', '10', '8', '15', '13', '13', '6', '5', '60', '17', '-4', 'small', '0', '1', '0', '0', '1', '1', '640', '1480', '1480', '1480', '0', '0', '0', '0', '0', '0', 'alligator', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45027', 'Eidlon', '$1043', 'L1Monster', '1150', '4', '20', '5', '10', '11', '10', '11', '7', '8', '1', '17', '-3', 'small', '0', '0', '1', '0', '1', '1', '320', '960', '960', '960', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45028', 'Polluted Orc Zombie', '$1744', 'L1Monster', '1121', '4', '45', '25', '8', '10', '10', '10', '7', '8', '0', '17', '-7', 'small', '0', '0', '0', '0', '1', '0', '1440', '1800', '1800', '1800', '1', '1', '0', '1', '0', '0', 'zombie', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45029', 'Fungus', '$757', 'L1Monster', '852', '4', '20', '10', '5', '6', '10', '12', '6', '6', '0', '17', '-5', 'small', '0', '0', '1', '0', '1', '1', '1040', '1480', '1480', '1480', '0', '1', '0', '1', '0', '0', 'fungus', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45030', 'Fungus', '$757', 'L1Monster', '852', '4', '40', '10', '5', '6', '10', '12', '6', '6', '1', '17', '-5', 'small', '0', '0', '1', '0', '1', '1', '1040', '1480', '1480', '1480', '0', '1', '0', '1', '0', '0', 'fungus', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45032', 'Blob', '$758', 'L1Monster', '31', '5', '20', '10', '7', '15', '17', '8', '4', '7', '0', '26', '-5', 'small', '0', '1', '0', '0', '1', '1', '840', '640', '640', '640', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '1', '30', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45033', 'Imp', '$1044', 'L1Monster', '1152', '5', '20', '40', '6', '9', '10', '14', '7', '8', '1', '26', '-3', 'small', '0', '0', '0', '1', '10', '1', '480', '1520', '1520', '1520', '0', '0', '0', '1', '0', '0', 'imp', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45034', 'Shepherd', '$907', 'L1Monster', '936', '5', '30', '5', '9', '15', '12', '15', '7', '7', '1', '26', '0', 'small', '0', '0', '0', '0', '1', '1', '560', '960', '960', '960', '0', '0', '0', '0', '0', '0', 'dog', '1', '-1', '-1', '0', '0', '0', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45035', 'Escaped Black Knight', '$1715', 'L1Monster', '4003', '5', '25', '10', '8', '16', '16', '15', '12', '12', '0', '26', '-5', 'small', '0', '0', '0', '0', '2', '0', '480', '1120', '1120', '1120', '0', '0', '0', '0', '0', '0', 'antiking', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('45036', 'Valley Bear', '$1700', 'L1Monster', '1642', '5', '50', '0', '10', '0', '0', '0', '0', '99', '0', '26', '0', 'small', '0', '0', '0', '0', '1', '1', '1120', '2000', '2000', '2000', '0', '0', '0', '0', '0', '0', 'bear', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45037', 'Valley Lycanthrope', '$1711', 'L1Monster', '1108', '5', '35', '10', '6', '16', '16', '13', '10', '10', '7', '26', '-6', 'small', '0', '0', '1', '0', '1', '1', '640', '800', '800', '800', '0', '0', '0', '0', '0', '0', 'wolf', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45038', 'Valley Arachnevil', '$1699', 'L1Monster', '95', '5', '30', '15', '8', '15', '13', '17', '6', '5', '12', '26', '-5', 'large', '0', '0', '1', '0', '2', '1', '480', '880', '880', '880', '0', '0', '0', '0', '0', '0', 'spider', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45039', 'Cat', '$2701', 'L1Monster', '3134', '5', '20', '30', '20', '9', '8', '13', '15', '15', '15', '26', '0', 'small', '0', '0', '0', '0', '1', '1', '640', '1040', '1040', '1040', '0', '0', '0', '0', '0', '0', 'animal', '1', '-1', '-1', '0', '0', '0', '5000', '2', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45040', 'Bear', '$1495', 'L1Monster', '1642', '5', '50', '0', '28', '16', '16', '8', '8', '8', '0', '26', '0', 'small', '0', '0', '1', '0', '2', '1', '1120', '2000', '2000', '2000', '0', '0', '0', '0', '0', '0', 'bear', '1', '-1', '-1', '0', '0', '0', '5000', '8', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45041', 'Dwarf', '$58', 'L1Monster', '54', '5', '30', '5', '10', '10', '12', '10', '7', '10', '2', '26', '0', 'small', '0', '0', '1', '0', '1', '1', '600', '1480', '1480', '1480', '0', '0', '0', '0', '0', '0', 'dwarf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '6', '0');
INSERT INTO `npc` VALUES ('45042', 'Doberman', '$905', 'L1Monster', '931', '5', '20', '5', '25', '16', '10', '16', '6', '8', '1', '37', '0', 'small', '1', '0', '0', '0', '1', '1', '560', '960', '960', '960', '0', '0', '0', '0', '0', '0', 'dog', '1', '-1', '-1', '0', '0', '0', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45043', 'Wolf', '$268', 'L1Monster', '96', '5', '30', '5', '18', '13', '13', '16', '7', '8', '1', '37', '0', 'small', '0', '0', '0', '1', '1', '1', '480', '1000', '1000', '1000', '0', '0', '0', '0', '0', '0', 'wolf', '1', '-1', '-1', '0', '0', '0', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45044', 'Raccoon', '$3508', 'L1Monster', '4038', '5', '30', '20', '20', '15', '10', '12', '12', '14', '15', '26', '0', 'small', '0', '0', '0', '0', '1', '1', '720', '960', '960', '960', '0', '0', '0', '0', '0', '0', 'animal', '0', '-1', '-1', '0', '0', '0', '5000', '2', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45045', 'Rock Golem', '$1698', 'L1Monster', '49', '5', '45', '20', '8', '58', '16', '10', '6', '5', '0', '26', '-1', 'large', '0', '0', '1', '0', '1', '0', '1280', '1840', '1840', '1840', '0', '0', '0', '0', '0', '0', 'golem', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45046', 'Beagle', '$908', 'L1Monster', '938', '5', '20', '30', '25', '11', '10', '10', '13', '14', '15', '26', '0', 'small', '0', '0', '0', '0', '1', '1', '720', '960', '960', '960', '0', '0', '0', '0', '0', '0', 'dog', '1', '-1', '-1', '0', '0', '0', '5000', '2', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45047', 'Saint Bernard', '$904', 'L1Monster', '929', '5', '30', '30', '23', '10', '13', '10', '14', '13', '15', '26', '0', 'small', '0', '0', '0', '0', '1', '1', '640', '1440', '1440', '1440', '0', '0', '0', '0', '0', '0', 'dog', '1', '-1', '-1', '0', '0', '0', '5000', '2', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45048', 'Fox', '$1397', 'L1Monster', '1540', '5', '15', '30', '25', '10', '10', '15', '10', '15', '15', '26', '0', 'small', '0', '0', '1', '0', '1', '1', '640', '1200', '1200', '1200', '0', '0', '0', '0', '0', '0', 'animal', '1', '-1', '-1', '0', '0', '0', '5000', '2', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45049', 'Killer Rabbit', '$2563', 'L1Monster', '3783', '5', '20', '30', '20', '9', '10', '9', '16', '16', '15', '26', '0', 'small', '0', '0', '0', '0', '1', '1', '960', '1040', '1040', '1040', '0', '0', '0', '0', '0', '0', 'manborabbit', '1', '-1', '-1', '0', '0', '0', '5000', '2', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45050', 'Orc Archer', '$267', 'L1Monster', '3860', '3', '12', '4', '10', '12', '11', '12', '7', '8', '2', '10', '-3', 'small', '1', '0', '0', '0', '10', '1', '800', '1880', '1880', '1880', '0', '0', '0', '0', '0', '0', 'orc', '1', '-1', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45051', 'Imp', '$1044', 'L1Monster', '1152', '5', '20', '40', '6', '9', '10', '14', '7', '8', '1', '26', '-3', 'small', '0', '0', '0', '1', '6', '1', '480', '1520', '1520', '1520', '0', '0', '0', '1', '0', '0', 'imp', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1156', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45052', 'Fatigued Ratman', '$1713', 'L1Monster', '1612', '5', '30', '10', '6', '12', '16', '12', '11', '6', '10', '26', '-6', 'small', '0', '0', '1', '0', '2', '1', '480', '1520', '1520', '1520', '0', '0', '0', '0', '0', '0', 'ratman', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45053', 'Husky', '$1788', 'L1Monster', '2145', '5', '50', '5', '20', '10', '17', '15', '7', '7', '0', '37', '0', 'small', '0', '0', '0', '0', '1', '1', '720', '1040', '1040', '1040', '0', '0', '0', '0', '0', '0', 'dog', '1', '-1', '-1', '0', '0', '0', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45054', 'Collie', '$906', 'L1Monster', '934', '5', '40', '5', '25', '10', '16', '14', '10', '6', '1', '26', '0', 'small', '0', '0', '0', '0', '1', '1', '640', '960', '960', '960', '0', '0', '0', '0', '0', '0', 'dog', '1', '-1', '-1', '0', '0', '0', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45055', 'Seahorse', '$1412', 'L1Monster', '1584', '5', '30', '0', '9', '7', '12', '15', '3', '0', '0', '26', '20', 'small', '0', '0', '0', '0', '1', '0', '1000', '1000', '1000', '1000', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45056', 'Valley Owlbear', '$1695', 'L1Monster', '1162', '6', '40', '10', '7', '18', '13', '14', '8', '7', '0', '37', '-6', 'small', '0', '0', '1', '1', '1', '0', '960', '1080', '1080', '1080', '0', '0', '0', '0', '0', '0', 'bear', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45057', 'Mutated Lizard', '$1703', 'L1Monster', '1173', '6', '35', '10', '7', '15', '13', '10', '5', '5', '0', '37', '-7', 'small', '0', '1', '0', '0', '1', '0', '640', '920', '920', '920', '0', '0', '0', '0', '0', '0', 'lizardman', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45058', 'Wild Boar', '$931', 'L1Monster', '979', '6', '20', '5', '7', '11', '12', '10', '5', '6', '1', '37', '0', 'small', '0', '0', '1', '0', '1', '1', '640', '800', '800', '800', '0', '0', '0', '0', '0', '0', 'animal', '1', '-1', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45059', 'Giant Spider', '$1748', 'L1Monster', '146', '6', '55', '30', '6', '18', '16', '14', '6', '5', '0', '37', '-8', 'large', '0', '0', '1', '0', '2', '0', '480', '840', '840', '840', '0', '1', '0', '0', '0', '0', 'spider', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45060', 'Slime', '$8', 'L1Monster', '31', '6', '60', '10', '-10', '10', '16', '10', '7', '7', '10', '37', '-6', 'small', '0', '1', '0', '0', '1', '1', '840', '640', '640', '640', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '1', '30', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45061', 'Rotting Skeleton', '$1749', 'L1Monster', '145', '6', '45', '10', '7', '16', '14', '15', '14', '6', '0', '37', '-8', 'small', '0', '0', '0', '0', '1', '0', '800', '920', '920', '920', '1', '0', '0', '0', '0', '0', 'skeleton', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45062', 'Rotting Skeleton Guard', '$1708', 'L1Monster', '1134', '6', '40', '10', '7', '16', '14', '16', '16', '6', '25', '37', '-8', 'small', '0', '0', '0', '0', '2', '0', '640', '880', '880', '880', '1', '0', '0', '0', '0', '0', 'skeleton', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45063', 'Rotting Skeleton Marksman', '$1706', 'L1Monster', '1130', '6', '40', '10', '7', '9', '11', '14', '7', '7', '25', '37', '-8', 'small', '0', '0', '0', '0', '10', '0', '800', '920', '920', '920', '1', '0', '0', '0', '0', '0', 'skeleton', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '66', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45064', 'Imp Elder', '$1045', 'L1Monster', '1158', '6', '100', '50', '10', '9', '11', '14', '12', '12', '30', '37', '-10', 'small', '0', '0', '0', '1', '1', '1', '960', '960', '960', '960', '0', '0', '0', '0', '1', '0', 'imp', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45065', 'Zombie', '$57', 'L1Monster', '52', '6', '45', '12', '8', '14', '16', '6', '5', '2', '5', '37', '-8', 'small', '0', '0', '1', '0', '1', '1', '2000', '1040', '1040', '1040', '1', '0', '0', '1', '0', '1', 'zombie', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45066', 'Zombie', '$57', 'L1Monster', '52', '6', '45', '12', '8', '16', '16', '6', '5', '2', '5', '37', '-8', 'small', '0', '0', '1', '0', '1', '1', '2000', '1040', '1040', '1040', '1', '0', '0', '0', '0', '1', 'zombie', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45067', 'Valley Harpy', '$1704', 'L1Monster', '1024', '7', '40', '15', '6', '18', '16', '16', '8', '8', '0', '50', '-8', 'small', '0', '0', '1', '1', '1', '0', '840', '1240', '1240', '1240', '0', '0', '0', '0', '0', '0', 'harpy', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45068', 'Floating Eye', '$6', 'L1Monster', '29', '7', '40', '30', '5', '10', '13', '12', '7', '9', '20', '50', '-8', 'small', '0', '0', '0', '0', '1', '1', '960', '1680', '1680', '1680', '0', '0', '1', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45069', 'Starved Troll', '$1716', 'L1Monster', '1098', '7', '50', '30', '6', '17', '18', '16', '8', '8', '0', '50', '-8', 'large', '0', '0', '1', '0', '1', '0', '960', '1200', '1200', '1200', '0', '0', '0', '0', '0', '0', 'troll', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45070', 'Giant Tarantula', '$1747', 'L1Monster', '1082', '7', '60', '20', '4', '17', '16', '15', '2', '2', '0', '50', '-8', 'small', '0', '1', '0', '0', '1', '0', '640', '720', '720', '720', '0', '0', '0', '1', '0', '0', 'murrian', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45071', 'Island Ghast', '$1696', 'L1Monster', '255', '7', '40', '15', '6', '18', '14', '14', '14', '6', '0', '50', '-9', 'small', '0', '1', '0', '0', '1', '0', '1000', '640', '640', '640', '0', '2', '0', '0', '0', '0', 'ghast', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45072', 'Sewer Vakuuk', '$1743', 'L1Monster', '1595', '7', '65', '0', '5', '15', '15', '12', '12', '10', '0', '50', '-9', 'small', '0', '0', '1', '1', '1', '0', '480', '1160', '1160', '1160', '0', '1', '0', '1', '0', '0', 'cockroach', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45073', 'Rotting Skeleton Fighter', '$1707', 'L1Monster', '1132', '7', '50', '10', '3', '18', '15', '12', '6', '5', '0', '50', '-9', 'small', '0', '0', '0', '0', '1', '0', '480', '840', '840', '840', '1', '0', '0', '0', '0', '0', 'skeleton', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45074', 'Underground Ramia', '$1742', 'L1Monster', '1597', '7', '65', '30', '5', '15', '15', '12', '12', '10', '0', '50', '-9', 'large', '0', '1', '0', '0', '1', '0', '960', '1880', '1880', '1880', '0', '1', '0', '0', '0', '0', 'lahmia', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45075', 'Underground Crabman', '$1741', 'L1Monster', '1610', '7', '65', '0', '3', '18', '15', '12', '6', '5', '0', '50', '-10', 'small', '0', '1', '0', '1', '2', '0', '960', '1000', '1000', '1000', '0', '0', '0', '0', '0', '0', 'crab', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45076', 'Underground Ramia', '$1742', 'L1Monster', '1600', '7', '65', '30', '5', '15', '15', '12', '12', '10', '0', '50', '-9', 'large', '0', '1', '0', '0', '1', '0', '960', '1880', '1880', '1880', '0', '1', '0', '0', '0', '0', 'lahmia', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45077', 'Stingray', '$1489', 'L1Monster', '1623', '8', '40', '5', '8', '12', '11', '15', '7', '8', '2', '65', '-4', 'small', '0', '0', '0', '0', '1', '0', '1920', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45078', 'Valley Ogre', '$1714', 'L1Monster', '1020', '8', '65', '20', '6', '20', '18', '12', '12', '4', '0', '65', '-8', 'large', '0', '0', '1', '0', '2', '0', '960', '1200', '1200', '1200', '0', '0', '0', '0', '0', '0', 'ogre', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45079', 'Gnoll', '$1391', 'L1Monster', '1477', '8', '60', '5', '4', '18', '15', '10', '6', '8', '1', '65', '-6', 'small', '0', '0', '0', '1', '1', '1', '640', '880', '880', '880', '0', '0', '0', '0', '0', '0', 'nord', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45080', 'Lesser Succubus', '$1746', 'L1Monster', '1112', '8', '70', '50', '2', '15', '15', '18', '25', '18', '0', '65', '-10', 'small', '0', '1', '0', '0', '1', '0', '640', '800', '1500', '800', '2', '0', '0', '0', '0', '0', 'succubus', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45081', 'Island Ghast Lord', '$1697', 'L1Monster', '257', '8', '55', '25', '4', '18', '16', '16', '12', '6', '0', '65', '-10', 'small', '0', '0', '1', '0', '1', '0', '1080', '680', '680', '680', '0', '2', '0', '0', '0', '0', 'ghast', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45082', 'Orc Fighter', '$266', 'L1Monster', '3864', '8', '50', '8', '5', '14', '14', '14', '8', '10', '5', '65', '-8', 'small', '1', '0', '0', '0', '1', '1', '640', '880', '880', '880', '0', '0', '0', '0', '0', '0', 'orc', '1', '-1', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45083', 'Crawling Claw', '$405', 'L1Monster', '246', '8', '30', '15', '0', '12', '11', '17', '5', '9', '5', '65', '-10', 'small', '0', '0', '0', '1', '1', '1', '640', '1240', '1240', '1240', '0', '0', '0', '1', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45084', 'Crawling Claw', '$405', 'L1Monster', '246', '8', '30', '15', '0', '12', '11', '17', '5', '9', '5', '65', '-10', 'small', '0', '0', '0', '1', '1', '0', '640', '1240', '1240', '1240', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45085', 'Cursed Bugbear', '$1740', 'L1Monster', '152', '8', '80', '30', '2', '19', '18', '12', '12', '10', '0', '65', '-10', 'large', '1', '0', '0', '0', '1', '0', '640', '840', '840', '840', '0', '0', '0', '0', '0', '0', 'bugbear', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45086', 'Degenerated Beholder', '$1710', 'L1Monster', '1123', '8', '45', '20', '6', '10', '13', '12', '18', '18', '0', '65', '-10', 'large', '0', '0', '0', '0', '1', '0', '960', '1120', '1120', '1120', '0', '0', '1', '0', '0', '0', 'gazer', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45088', 'Paper Man', '$1396', 'L1Monster', '1538', '8', '40', '5', '-10', '11', '16', '10', '8', '10', '5', '65', '-8', 'small', '0', '0', '1', '0', '1', '1', '960', '960', '960', '960', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45089', 'Coelacanth', '$1491', 'L1Monster', '1628', '8', '35', '10', '2', '12', '10', '15', '9', '15', '10', '65', '-10', 'small', '0', '1', '0', '0', '1', '0', '1440', '1120', '1120', '1120', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45090', 'Valley Griffon', '$1718', 'L1Monster', '1204', '9', '70', '30', '4', '30', '18', '17', '12', '5', '0', '82', '-10', 'large', '0', '0', '1', '1', '1', '0', '640', '1280', '1280', '1280', '0', '0', '0', '0', '0', '0', 'griffon', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45091', 'Valley Basilisk', '$1723', 'L1Monster', '1041', '9', '80', '30', '4', '30', '18', '17', '12', '5', '0', '82', '-12', 'large', '0', '0', '1', '0', '1', '0', '800', '1240', '1240', '1240', '0', '0', '0', '0', '0', '0', 'basilisk', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45092', 'Dwarf Warrior', '$1112', 'L1Monster', '1184', '9', '70', '5', '5', '15', '13', '15', '9', '9', '1', '82', '-9', 'small', '0', '0', '1', '0', '1', '1', '640', '1160', '1160', '1160', '0', '0', '0', '0', '0', '0', 'dwarf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45093', 'Werewolf', '$18', 'L1Monster', '1110', '9', '40', '20', '4', '15', '15', '12', '10', '10', '10', '82', '-9', 'small', '0', '0', '0', '1', '1', '1', '640', '840', '840', '840', '0', '0', '0', '0', '0', '0', 'wolf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45094', 'Werewolf', '$18', 'L1Monster', '1110', '9', '50', '20', '4', '15', '15', '12', '10', '10', '10', '82', '-9', 'small', '0', '0', '0', '1', '1', '1', '640', '840', '840', '840', '0', '0', '0', '0', '0', '0', 'wolf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45095', 'Island Cockatrice', '$1709', 'L1Monster', '1052', '9', '80', '40', '5', '25', '18', '18', '12', '8', '0', '82', '-11', 'large', '0', '0', '1', '0', '1', '0', '520', '1040', '1040', '1040', '0', '0', '2', '0', '0', '0', 'cockatrice', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45096', 'Island Crocodile', '$1701', 'L1Monster', '1572', '9', '90', '20', '6', '15', '13', '13', '6', '5', '0', '82', '-7', 'large', '0', '1', '0', '0', '2', '0', '960', '1600', '1600', '1600', '0', '0', '0', '0', '0', '0', 'alligator', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45097', 'Acaleph', '$1494', 'L1Monster', '1636', '25', '120', '5', '-14', '9', '15', '12', '6', '5', '2', '626', '-8', 'small', '0', '1', '0', '0', '1', '0', '2400', '1560', '1560', '1560', '0', '4', '0', '1', '0', '0', 'jellyfish', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45098', 'Gandi Orc', '$496', 'L1Monster', '784', '10', '80', '25', '0', '10', '17', '10', '17', '10', '15', '101', '-2', 'small', '1', '0', '0', '0', '1', '1', '640', '1040', '1040', '1040', '0', '0', '0', '1', '1', '0', 'orc', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45099', 'Imp Elder', '$1045', 'L1Monster', '1158', '6', '100', '50', '10', '9', '11', '14', '12', '12', '30', '37', '-10', 'small', '0', '0', '0', '1', '1', '1', '960', '960', '960', '960', '0', '0', '0', '0', '1', '1', 'imp', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45100', 'Betrayer\'s Skeleton Guardsman', '$2081', 'L1Monster', '1134', '10', '100', '60', '-1', '16', '14', '15', '14', '14', '5', '101', '-30', 'small', '0', '0', '1', '0', '2', '0', '640', '880', '880', '880', '1', '0', '0', '1', '1', '1', 'skeleton', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45101', 'Alligator', '$1407', 'L1Monster', '1574', '10', '90', '20', '1', '15', '13', '13', '6', '5', '60', '101', '-15', 'small', '0', '1', '0', '0', '1', '1', '640', '1480', '1480', '1480', '0', '0', '0', '1', '0', '0', 'alligator', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45102', 'Maid of the Ice Queen', '$2218', 'L1Monster', '2118', '10', '1000', '400', '-35', '30', '18', '20', '18', '18', '60', '0', '-120', 'small', '0', '1', '0', '0', '1', '0', '960', '1320', '1320', '1320', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45103', 'Contaminated Fungus', '$4005', 'L1Monster', '5685', '12', '80', '10', '5', '6', '10', '12', '6', '6', '0', '145', '-5', 'small', '0', '1', '0', '0', '1', '0', '1040', '1480', '1480', '1480', '0', '1', '0', '1', '0', '0', 'fungus', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45104', 'Orc Zombie', '$1041', 'L1Monster', '1121', '10', '100', '25', '0', '10', '10', '10', '7', '8', '1', '101', '-10', 'small', '0', '0', '1', '0', '1', '0', '1440', '1800', '1800', '1800', '1', '1', '0', '1', '0', '1', 'zombie', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45105', 'Zombie', '$57', 'L1Monster', '52', '6', '40', '4', '8', '14', '16', '6', '5', '2', '5', '37', '-8', 'small', '0', '0', '1', '0', '1', '1', '2000', '1040', '1040', '1040', '1', '0', '0', '0', '0', '1', 'zombie', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45107', 'Skeleton', '$7', 'L1Monster', '30', '10', '80', '30', '3', '16', '14', '16', '12', '10', '10', '101', '-12', 'small', '0', '0', '1', '0', '1', '1', '640', '920', '920', '920', '1', '0', '0', '1', '1', '0', 'skeleton', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45108', 'Skeleton', '$7', 'L1Monster', '30', '10', '50', '30', '3', '16', '14', '16', '12', '10', '10', '101', '-12', 'small', '0', '0', '1', '0', '1', '1', '640', '920', '920', '920', '1', '0', '0', '1', '1', '0', 'skeleton', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45109', 'Orc Zombie', '$1041', 'L1Monster', '1121', '10', '100', '25', '0', '10', '10', '10', '7', '8', '1', '101', '-10', 'small', '0', '0', '1', '0', '1', '1', '1440', '1800', '1800', '1800', '1', '1', '0', '1', '0', '0', 'zombie', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45110', 'Lesser Succubus Queen', '$1745', 'L1Monster', '1116', '11', '110', '120', '-1', '15', '15', '18', '25', '18', '0', '122', '-15', 'small', '0', '1', '0', '0', '1', '0', '640', '800', '1100', '800', '2', '0', '0', '1', '1', '0', 'succubus', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45111', 'Island Drake', '$1705', 'L1Monster', '1062', '11', '100', '50', '3', '32', '18', '18', '15', '15', '0', '122', '-15', 'large', '0', '0', '1', '1', '1', '0', '320', '960', '960', '960', '0', '0', '0', '1', '1', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45112', 'Cursed Ettin', '$1739', 'L1Monster', '1128', '12', '80', '10', '5', '6', '10', '12', '6', '8', '0', '145', '-5', 'small', '0', '0', '1', '0', '1', '0', '640', '1160', '1160', '1160', '0', '0', '0', '1', '1', '0', 'brute', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45113', 'Kyucas', '$1722', 'L1Monster', '1202', '11', '110', '50', '2', '20', '18', '7', '5', '5', '0', '122', '-15', 'large', '0', '0', '0', '0', '1', '0', '960', '1160', '1160', '1160', '0', '0', '0', '1', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45114', 'Skeleton', '$7', 'L1Monster', '30', '10', '80', '30', '3', '16', '14', '16', '12', '10', '10', '101', '-12', 'small', '0', '0', '1', '0', '1', '1', '640', '920', '920', '920', '1', '0', '0', '1', '1', '0', 'skeleton', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45115', 'Giant Ant', '$960', 'L1Monster', '1037', '12', '90', '20', '-4', '15', '13', '13', '6', '5', '60', '145', '-15', 'small', '0', '0', '1', '0', '1', '1', '640', '880', '880', '880', '0', '0', '0', '1', '0', '1', 'ant', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45116', 'Vakuuk', '$1427', 'L1Monster', '1595', '12', '100', '0', '-1', '17', '15', '16', '2', '2', '0', '145', '-12', 'small', '0', '0', '1', '0', '2', '1', '480', '1160', '1160', '1160', '0', '1', '0', '1', '0', '0', 'cockroach', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45117', 'Contaminated Orc', '$3957', 'L1Monster', '4457', '12', '70', '8', '10', '14', '14', '12', '7', '10', '0', '145', '-8', 'small', '1', '0', '0', '0', '1', '0', '800', '1320', '1320', '1320', '0', '0', '0', '0', '0', '0', 'orc', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45118', 'Contaminated Orc Archer', '$3958', 'L1Monster', '3860', '12', '70', '8', '10', '8', '14', '16', '12', '10', '0', '145', '-4', 'small', '1', '0', '0', '0', '10', '0', '800', '1880', '1880', '1880', '0', '0', '0', '0', '0', '0', 'orc', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45119', 'Orc Elder', '$2431', 'L1Monster', '1211', '12', '80', '50', '0', '6', '12', '10', '13', '10', '30', '145', '-15', 'small', '1', '0', '0', '0', '1', '0', '960', '1240', '1240', '1240', '0', '0', '0', '0', '0', '0', 'orc', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45121', 'Orc Wizard', '$1110', 'L1Monster', '1211', '12', '80', '50', '0', '6', '12', '10', '13', '10', '30', '145', '-15', 'small', '1', '0', '0', '0', '1', '0', '960', '1240', '1240', '1240', '0', '0', '0', '0', '0', '0', 'orc', '1', '-1', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45122', 'Skeleton Archer', '$986', 'L1Monster', '1096', '12', '80', '25', '0', '16', '14', '16', '12', '10', '10', '145', '-12', 'small', '0', '0', '1', '0', '10', '1', '800', '1120', '1120', '1120', '1', '0', '0', '1', '1', '0', 'skeleton', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '66', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45123', 'Skeleton Archer', '$986', 'L1Monster', '1096', '12', '80', '25', '0', '16', '14', '16', '12', '10', '10', '145', '-12', 'small', '0', '0', '1', '0', '10', '1', '800', '1120', '1120', '1120', '1', '0', '0', '1', '1', '1', 'skeleton', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '66', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45124', 'Skeleton Archer', '$986', 'L1Monster', '1096', '12', '60', '25', '0', '16', '14', '16', '12', '10', '10', '145', '-12', 'small', '0', '0', '1', '0', '10', '1', '800', '1120', '1120', '1120', '1', '0', '0', '0', '0', '0', 'skeleton', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '66', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45125', 'Giran Imp', '$1242 $1044', 'L1Monster', '3912', '12', '70', '40', '2', '9', '10', '14', '7', '8', '1', '145', '-8', 'small', '0', '0', '0', '0', '6', '1', '480', '1520', '1520', '1520', '0', '0', '0', '1', '0', '0', 'imp', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1156', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45126', 'Stone Golem', '$56', 'L1Monster', '49', '13', '150', '50', '-1', '58', '16', '10', '6', '10', '5', '170', '-12', 'large', '0', '0', '1', '0', '1', '1', '1280', '1840', '1840', '1840', '0', '0', '0', '0', '0', '0', 'golem', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45127', 'Rova Orc', '$497', 'L1Monster', '784', '13', '80', '20', '-2', '12', '12', '12', '8', '14', '5', '170', '-12', 'small', '1', '0', '0', '0', '1', '1', '640', '1040', '1040', '1040', '0', '0', '0', '1', '1', '0', 'orc', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45128', 'Contaminated Orc Warrior', '$3959', 'L1Monster', '5691', '13', '75', '8', '8', '14', '14', '14', '8', '10', '10', '170', '-8', 'small', '1', '0', '0', '0', '1', '0', '640', '880', '880', '880', '0', '0', '0', '0', '0', '0', 'orc', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45129', 'Skeleton Archer', '$986', 'L1Monster', '1096', '12', '80', '25', '5', '16', '14', '16', '12', '10', '10', '145', '-12', 'small', '0', '0', '1', '0', '10', '1', '800', '1120', '1120', '1120', '1', '0', '0', '1', '1', '0', 'skeleton', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '66', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45130', 'Skeleton Axeman', '$987', 'L1Monster', '1104', '13', '90', '20', '0', '18', '14', '14', '12', '10', '10', '170', '-13', 'small', '0', '0', '1', '0', '1', '1', '480', '840', '840', '840', '1', '0', '0', '1', '1', '0', 'skeleton', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45131', 'Skeleton Soldier', '$988', 'L1Monster', '1106', '13', '90', '15', '8', '16', '14', '15', '12', '10', '10', '170', '-13', 'small', '0', '0', '1', '0', '2', '1', '640', '880', '880', '880', '1', '0', '0', '1', '1', '0', 'skeleton', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45133', 'Snowman', '$1783', 'L1Monster', '2064', '14', '80', '0', '-10', '14', '16', '10', '6', '8', '0', '197', '-10', 'small', '0', '1', '0', '0', '1', '1', '1280', '1080', '1080', '1080', '0', '0', '0', '0', '0', '0', 'snowman', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45134', 'Stone Golem', '$56', 'L1Monster', '49', '13', '150', '50', '-1', '18', '16', '10', '6', '10', '5', '170', '-12', 'large', '0', '0', '1', '0', '1', '1', '1280', '1840', '1840', '1840', '0', '0', '0', '0', '0', '0', 'golem', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45135', 'Betrayed Orc Archer', '$2220', 'L1Monster', '790', '14', '90', '15', '-3', '14', '14', '14', '8', '10', '5', '197', '-12', 'small', '0', '0', '0', '0', '10', '0', '640', '1520', '1520', '1520', '0', '0', '0', '0', '0', '0', 'orc', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45136', 'Arachnevil', '$265', 'L1Monster', '95', '14', '100', '15', '0', '15', '13', '17', '6', '5', '12', '197', '-17', 'large', '0', '0', '1', '0', '2', '1', '480', '880', '880', '880', '0', '0', '0', '1', '0', '0', 'spider', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45137', 'Contaminated Cyclops', '$3960', 'L1Monster', '5683', '18', '165', '35', '-5', '20', '18', '8', '9', '15', '25', '325', '-20', 'large', '0', '0', '0', '0', '1', '0', '960', '1160', '1160', '1160', '0', '0', '0', '1', '1', '0', 'cyclops', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45138', 'Orc Scout', '$511', 'L1Monster', '790', '14', '90', '15', '-3', '14', '14', '14', '8', '10', '5', '197', '-12', 'small', '1', '0', '0', '0', '10', '1', '640', '1520', '1520', '1520', '0', '0', '0', '1', '1', '0', 'orc', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45139', 'Wild Venom', '$3378', 'L1Monster', '4205', '18', '180', '10', '0', '16', '16', '14', '6', '8', '5', '325', '-17', 'small', '0', '0', '1', '0', '1', '1', '640', '680', '680', '680', '0', '1', '0', '1', '1', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45140', 'Hobgoblin', '$1111', 'L1Monster', '1206', '14', '90', '30', '1', '13', '13', '13', '9', '9', '1', '197', '-7', 'small', '0', '0', '1', '0', '1', '1', '640', '960', '960', '960', '0', '0', '0', '0', '0', '0', 'goblin', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45141', 'Mimic', '$1392', 'L1Monster', '1479', '15', '120', '20', '-2', '16', '12', '14', '10', '11', '20', '226', '-20', 'small', '0', '0', '1', '0', '1', '1', '1280', '1120', '1120', '1120', '0', '0', '0', '1', '0', '0', '', '0', '-1', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45142', 'Giran Ghast', '$1242 $504', 'L1Monster', '3928', '14', '110', '30', '0', '17', '18', '16', '8', '8', '10', '197', '-12', 'small', '0', '0', '1', '0', '1', '1', '1000', '640', '640', '640', '0', '2', '0', '1', '0', '0', 'ghast', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45143', 'Duda-Mara Orc', '$498', 'L1Monster', '788', '15', '100', '50', '-5', '12', '14', '14', '15', '16', '20', '226', '-8', 'small', '1', '0', '0', '0', '2', '1', '640', '1160', '1160', '1160', '0', '0', '0', '1', '1', '0', 'orc', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45144', 'Lizardman', '$1174', 'L1Monster', '1173', '15', '90', '10', '-2', '15', '13', '10', '5', '5', '5', '226', '-14', 'small', '0', '1', '0', '0', '1', '1', '640', '920', '920', '920', '0', '0', '0', '1', '0', '0', 'lizardman', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45145', 'Lizardman', '$1174', 'L1Monster', '1173', '15', '90', '10', '-2', '15', '13', '10', '5', '5', '5', '226', '-14', 'small', '0', '1', '0', '0', '1', '1', '640', '920', '920', '920', '0', '0', '0', '1', '0', '0', 'lizardman', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45147', 'Owlbear', '$1047', 'L1Monster', '1162', '15', '250', '10', '-6', '18', '13', '14', '7', '8', '10', '226', '-15', 'large', '0', '0', '1', '0', '1', '1', '960', '1080', '1080', '1080', '0', '0', '0', '1', '0', '0', 'bear', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45148', 'Owlbear', '$1047', 'L1Monster', '1162', '15', '250', '10', '-6', '18', '13', '14', '7', '8', '10', '226', '-15', 'large', '0', '0', '1', '0', '1', '1', '960', '1080', '1080', '1080', '0', '0', '0', '0', '0', '0', 'bear', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45149', 'Atuba Orc', '$494', 'L1Monster', '786', '15', '120', '15', '-5', '14', '14', '14', '12', '10', '10', '226', '-8', 'small', '1', '0', '0', '0', '1', '1', '640', '1040', '1040', '1040', '0', '0', '0', '1', '1', '0', 'orc', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45150', 'Contaminated Gandhi Orc', '$3961', 'L1Monster', '5689', '15', '90', '25', '-1', '12', '17', '12', '17', '14', '5', '226', '-12', 'small', '0', '0', '0', '0', '2', '0', '640', '1040', '1040', '1040', '0', '0', '0', '1', '0', '0', 'orc', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45151', 'Contaminated Duda-Mara Orc', '$3962', 'L1Monster', '5690', '15', '100', '50', '-5', '12', '14', '14', '15', '16', '20', '226', '-8', 'small', '0', '0', '0', '0', '2', '0', '640', '1160', '1160', '1160', '0', '0', '0', '1', '0', '0', 'orc', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45152', 'Contaminated Ent', '$3963', 'L1Monster', '851', '15', '100', '10', '-5', '12', '12', '12', '6', '6', '0', '226', '-5', 'small', '0', '0', '0', '0', '1', '0', '1280', '1280', '1280', '1280', '0', '1', '0', '0', '0', '0', 'ent', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45153', 'Contaminated Fairy', '$3964', 'L1Monster', '5684', '15', '100', '100', '-10', '6', '15', '18', '14', '17', '50', '226', '-5', 'small', '0', '0', '0', '0', '1', '0', '480', '1360', '1360', '1360', '0', '0', '0', '1', '1', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45154', 'Mermaid', '$1405', 'L1Monster', '1580', '15', '60', '20', '-10', '15', '15', '12', '8', '8', '5', '226', '12', 'small', '0', '1', '0', '0', '1', '0', '960', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'merman', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45155', 'Troglodyte', '$1432', 'L1Monster', '1614', '15', '60', '30', '-4', '16', '18', '17', '12', '12', '10', '226', '-10', 'small', '0', '1', '0', '0', '2', '1', '640', '1080', '1080', '1080', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45156', 'Giran Lizardman', '$1242 $1174', 'L1Monster', '1173', '15', '160', '10', '0', '15', '13', '10', '5', '5', '5', '226', '-15', 'small', '0', '1', '0', '0', '1', '0', '640', '920', '920', '920', '0', '0', '0', '0', '0', '0', 'lizardman', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45157', 'Ghoul', '$317', 'L1Monster', '144', '16', '110', '30', '-4', '16', '17', '16', '11', '4', '13', '257', '-19', 'small', '0', '0', '1', '0', '1', '1', '1280', '720', '720', '720', '1', '4', '0', '1', '0', '1', 'ghoul', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45158', 'Mad Lizardman', '$3381', 'L1Monster', '4149', '20', '200', '10', '-4', '14', '16', '16', '10', '10', '10', '401', '-18', 'small', '0', '0', '0', '1', '1', '1', '640', '960', '960', '960', '0', '0', '0', '1', '0', '0', 'lizardman', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45159', 'Merman', '$1490', 'L1Monster', '1626', '16', '85', '20', '-2', '15', '15', '12', '8', '8', '5', '257', '5', 'small', '0', '1', '0', '0', '1', '0', '960', '1360', '1360', '1360', '0', '0', '0', '1', '0', '0', 'merman', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45160', 'Shark', '$1496', 'L1Monster', '1644', '27', '190', '5', '-15', '18', '16', '18', '5', '20', '100', '730', '-20', 'large', '0', '1', '0', '0', '1', '0', '640', '1760', '1760', '1760', '0', '0', '0', '1', '0', '0', 'shark', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45161', 'Spartoi', '$318', 'L1Monster', '145', '16', '120', '30', '-3', '17', '15', '16', '14', '14', '18', '257', '-18', 'small', '0', '0', '1', '0', '1', '1', '800', '920', '920', '920', '1', '0', '0', '1', '1', '0', 'spartoi', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45162', 'Silhouette', '$1404', 'L1Monster', '1571', '16', '110', '15', '-18', '14', '8', '16', '12', '14', '30', '257', '-14', 'small', '0', '0', '1', '0', '1', '1', '640', '1920', '1920', '1920', '1', '0', '0', '1', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45163', 'Wild Fang', '$3379', 'L1Monster', '4207', '18', '180', '10', '-6', '17', '16', '13', '6', '8', '10', '325', '-20', 'small', '0', '0', '1', '0', '1', '1', '640', '920', '920', '920', '0', '0', '0', '1', '1', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45164', 'Crabman', '$1430', 'L1Monster', '1610', '18', '200', '0', '-10', '18', '15', '12', '6', '5', '1', '325', '-20', 'small', '0', '1', '0', '0', '2', '0', '960', '1000', '1000', '1000', '0', '0', '0', '1', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45165', 'Black Knight', '$272', 'L1Monster', '4003', '16', '100', '10', '-10', '16', '16', '15', '12', '12', '10', '257', '-15', 'small', '0', '0', '0', '0', '2', '1', '480', '1120', '1120', '1120', '0', '0', '0', '0', '1', '0', 'antiking', '1', '0', '4', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('45166', 'Jack-0-Lantern', '$2063', 'L1Monster', '2501', '30', '350', '5', '-5', '18', '17', '20', '5', '6', '10', '901', '0', 'small', '0', '0', '0', '0', '1', '0', '480', '1160', '1160', '1160', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45167', 'Jack-O-Lantern', '$2064', 'L1Monster', '2501', '45', '450', '5', '-33', '18', '17', '20', '5', '6', '10', '2026', '0', 'small', '0', '0', '0', '0', '1', '0', '480', '1160', '1160', '1160', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45168', 'Giran Imp Elder', '$1242 $1045', 'L1Monster', '3926', '16', '100', '50', '-2', '9', '11', '14', '12', '12', '10', '257', '-10', 'small', '0', '0', '0', '0', '1', '0', '960', '920', '920', '920', '0', '0', '0', '1', '0', '0', 'imp', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45169', 'Giran Crabman', '$1242 $1430', 'L1Monster', '1610', '17', '150', '0', '-12', '18', '15', '12', '6', '5', '1', '290', '-20', 'small', '0', '0', '0', '0', '2', '0', '960', '1000', '1000', '1000', '0', '0', '0', '1', '0', '0', 'crab', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45170', 'Giran Troglodyte', '$1242 $1432', 'L1Monster', '1614', '17', '160', '30', '-4', '16', '18', '17', '12', '12', '10', '290', '-10', 'small', '0', '0', '0', '0', '2', '0', '640', '1080', '1080', '1080', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45171', 'Neruga Orc', '$495', 'L1Monster', '788', '17', '150', '15', '-8', '17', '14', '13', '8', '10', '7', '290', '-16', 'small', '1', '0', '0', '0', '2', '1', '640', '1160', '1160', '1160', '0', '0', '0', '1', '1', '0', 'orc', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45172', 'Dire Bat', '$2892', 'L1Monster', '3415', '17', '180', '200', '-10', '14', '16', '14', '6', '5', '10', '290', '-18', 'small', '0', '0', '0', '0', '1', '0', '853', '1560', '1560', '1560', '0', '0', '0', '1', '1', '1', 'bat', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45173', 'Lycanthrope', '$990', 'L1Monster', '1108', '17', '120', '60', '-4', '16', '16', '13', '10', '10', '7', '290', '-18', 'small', '0', '0', '0', '1', '1', '1', '640', '800', '800', '800', '0', '0', '0', '1', '0', '0', 'wolf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45174', 'Ghost', '$1563', 'L1Monster', '1321', '20', '120', '10', '-45', '11', '11', '11', '9', '13', '5', '401', '-10', 'small', '0', '0', '1', '0', '1', '1', '960', '1000', '1000', '1000', '1', '0', '0', '0', '0', '0', 'ghost', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45175', 'Dark Elf Guard', '$2890', 'L1Monster', '3402', '40', '500', '50', '-27', '14', '14', '18', '5', '5', '30', '1601', '-37', 'small', '0', '0', '1', '0', '10', '0', '1280', '1360', '1360', '1360', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45179', 'Betrayed Orc Chief', '$2219', 'L1Monster', '3867', '18', '250', '0', '-15', '17', '14', '13', '8', '10', '15', '325', '-16', 'small', '0', '0', '0', '0', '1', '0', '640', '1040', '1040', '1040', '0', '0', '0', '1', '0', '0', 'orc', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45181', 'Spartoi', '$318', 'L1Monster', '145', '16', '120', '30', '-3', '17', '16', '16', '14', '14', '18', '257', '-18', 'small', '0', '0', '1', '0', '1', '1', '800', '920', '920', '920', '1', '0', '0', '1', '1', '0', 'spartoi', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45182', 'Ice Golem', '$1395', 'L1Monster', '1525', '18', '220', '0', '-8', '46', '16', '10', '5', '6', '7', '325', '-14', 'large', '0', '1', '0', '0', '1', '1', '1920', '1480', '1480', '1480', '0', '0', '0', '0', '0', '0', 'golem', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45183', 'Contaminated Ogre', '$3966', 'L1Monster', '5687', '22', '200', '20', '-10', '20', '18', '12', '12', '12', '20', '485', '-34', 'large', '0', '0', '0', '0', '1', '0', '960', '1200', '1200', '1200', '0', '0', '0', '1', '0', '0', 'ogre', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45184', 'Arachnevil Elder', '$319', 'L1Monster', '146', '18', '200', '30', '-5', '18', '16', '14', '6', '5', '10', '325', '-23', 'large', '0', '0', '1', '0', '2', '1', '480', '840', '840', '840', '0', '1', '0', '1', '0', '0', 'spider', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45185', 'Orcish Court Guard', '$607', 'L1Monster', '824', '18', '500', '0', '-3', '17', '14', '20', '8', '10', '15', '325', '-16', 'small', '1', '0', '0', '0', '1', '0', '640', '1040', '1040', '1040', '0', '0', '0', '1', '0', '0', 'orc', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45186', 'Contaminated Troll', '$3967', 'L1Monster', '5688', '24', '250', '30', '-11', '18', '16', '16', '8', '12', '20', '577', '-20', 'large', '0', '0', '0', '0', '1', '0', '960', '1200', '1200', '1200', '0', '0', '0', '1', '0', '0', 'troll', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45187', 'Giran Vakuuk', '$1242 $1427', 'L1Monster', '3920', '19', '180', '0', '-3', '17', '15', '16', '2', '2', '0', '362', '-20', 'small', '0', '0', '1', '0', '1', '0', '480', '1160', '1160', '1160', '0', '1', '0', '1', '1', '0', 'cockroach', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45188', 'Giran Ghast Lord', '$1242 $619', 'L1Monster', '3930', '19', '140', '50', '-10', '18', '18', '16', '12', '11', '20', '362', '-15', 'small', '0', '0', '1', '0', '1', '0', '1000', '720', '720', '720', '0', '2', '0', '1', '1', '1', 'ghast', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45189', 'Doppelganger', '$1554', 'L1Monster', '31', '19', '280', '30', '-6', '19', '18', '12', '12', '10', '10', '362', '-25', 'small', '0', '0', '1', '0', '1', '0', '800', '1000', '1000', '1000', '0', '0', '0', '1', '1', '0', 'doppel', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45190', 'Giant Soldier Ant', '$961', 'L1Monster', '1039', '20', '150', '100', '-7', '30', '18', '20', '17', '15', '60', '401', '-20', 'large', '0', '0', '1', '0', '2', '1', '640', '760', '760', '760', '0', '0', '0', '1', '1', '1', 'ant', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45191', 'Dark Elf Thief', '$2886', 'L1Monster', '3412', '20', '160', '80', '-40', '20', '18', '12', '12', '8', '40', '401', '-50', 'small', '0', '0', '0', '0', '10', '0', '1280', '1440', '1440', '1440', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45192', 'Ratman', '$1431', 'L1Monster', '1612', '20', '150', '10', '-5', '12', '16', '12', '11', '8', '10', '401', '-14', 'small', '0', '0', '1', '0', '2', '1', '480', '1520', '1520', '1520', '0', '0', '0', '1', '0', '0', 'ratman', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45194', 'Right-Hand Bandit', '$2263', 'L1Monster', '2417', '20', '500', '50', '-25', '20', '20', '18', '12', '13', '50', '401', '-45', 'small', '0', '0', '1', '0', '1', '0', '960', '1160', '1160', '1160', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45195', 'Aste', '$1497', 'L1Monster', '1646', '25', '180', '10', '-10', '14', '18', '14', '8', '8', '5', '626', '-28', 'large', '0', '1', '0', '0', '1', '0', '1920', '1480', '1480', '1480', '0', '4', '0', '1', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45196', 'Alligator', '$1407', 'L1Monster', '1574', '20', '150', '8', '-14', '15', '13', '13', '6', '5', '5', '401', '-15', 'small', '0', '1', '0', '0', '1', '0', '640', '1480', '1480', '1480', '0', '0', '0', '1', '1', '0', 'alligator', '1', '-1', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45197', 'Wild Magic', '$3380', 'L1Monster', '4203', '20', '200', '40', '-10', '18', '18', '12', '6', '8', '10', '401', '-20', 'small', '0', '0', '0', '1', '1', '1', '640', '880', '880', '880', '0', '0', '0', '1', '1', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45198', 'Ghost', '$1563', 'L1Monster', '1318', '17', '120', '10', '-40', '11', '11', '11', '9', '13', '15', '290', '-10', 'small', '0', '0', '1', '0', '1', '0', '960', '1000', '1000', '1000', '1', '0', '0', '0', '0', '0', 'ghost', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45199', 'Mutant Giant Soldier Ant', '$2074', 'L1Monster', '2460', '10', '200', '100', '-5', '30', '18', '20', '17', '15', '60', '101', '-10', 'large', '0', '0', '0', '0', '1', '0', '640', '760', '760', '760', '0', '0', '0', '1', '1', '1', 'ant', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45203', 'Salamander', '$1505', 'L1Monster', '1666', '32', '350', '180', '-23', '17', '12', '15', '12', '10', '10', '1025', '-30', 'small', '1', '0', '0', '0', '1', '0', '640', '1080', '1080', '1080', '0', '0', '0', '1', '1', '0', 'salamander', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45206', 'Fire Egg', '$1570', 'L1Monster', '1820', '25', '120', '10', '-14', '16', '18', '16', '12', '16', '35', '626', '-40', 'small', '1', '0', '0', '0', '1', '0', '1440', '880', '880', '880', '0', '0', '0', '1', '0', '0', 'fireegg', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45207', 'Ice Man', '$1791', 'L1Monster', '2158', '26', '200', '20', '-20', '17', '17', '17', '12', '12', '15', '677', '-25', 'large', '0', '1', '0', '0', '1', '1', '960', '1600', '1600', '1600', '0', '0', '0', '1', '0', '0', 'iceman', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45213', 'Ghast', '$504', 'L1Monster', '255', '21', '200', '30', '-10', '17', '18', '16', '8', '8', '10', '442', '-23', 'small', '0', '0', '1', '0', '1', '1', '1000', '640', '640', '640', '0', '2', '0', '1', '0', '0', 'ghast', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45214', 'Mole', '$3149', 'L1Monster', '3582', '21', '200', '30', '-20', '14', '16', '14', '6', '5', '15', '442', '-5', 'small', '0', '0', '0', '0', '2', '0', '480', '1240', '1240', '1240', '0', '0', '0', '1', '1', '1', 'mole', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45215', 'Elder', '$19', 'L1Monster', '32', '21', '250', '60', '-5', '10', '14', '10', '16', '16', '30', '442', '200', 'small', '0', '0', '1', '0', '1', '1', '800', '1800', '1800', '1800', '0', '0', '0', '0', '0', '0', 'elder', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45216', 'Undead Elmore Soldier', '$1790', 'L1Monster', '2150', '21', '150', '0', '-15', '16', '16', '17', '8', '8', '0', '442', '-20', 'small', '0', '0', '1', '0', '2', '0', '480', '1040', '1040', '1040', '1', '0', '0', '1', '0', '0', 'elmore', '0', '-1', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45217', 'High Lizardman', '$3382', 'L1Monster', '4192', '25', '160', '60', '-10', '10', '12', '16', '16', '16', '15', '626', '-25', 'small', '0', '1', '0', '0', '1', '0', '640', '1000', '1000', '1000', '0', '0', '0', '1', '0', '0', 'lizardman', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45219', 'Dire Bat', '$2892', 'L1Monster', '3415', '22', '250', '30', '-6', '19', '18', '12', '12', '10', '10', '485', '-25', 'small', '0', '0', '0', '0', '1', '0', '853', '1560', '1560', '1560', '0', '0', '0', '1', '1', '1', 'bat', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45220', 'Dark Elf Thief', '$2886', 'L1Monster', '3412', '28', '500', '20', '-18', '20', '18', '12', '12', '8', '20', '785', '-34', 'small', '0', '0', '0', '0', '10', '0', '1280', '1440', '1440', '1440', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45221', 'Death', '$1562', 'L1Monster', '1576', '22', '140', '40', '-50', '12', '11', '11', '9', '13', '5', '485', '-28', 'small', '0', '0', '1', '0', '1', '1', '640', '2280', '2280', '2280', '1', '0', '0', '1', '1', '0', 'death', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45222', 'Ramia', '$1428', 'L1Monster', '1600', '22', '200', '30', '-6', '15', '15', '12', '12', '10', '10', '485', '-25', 'large', '0', '1', '0', '0', '1', '0', '960', '1880', '1880', '1880', '0', '1', '0', '1', '0', '0', 'lahmia', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45223', 'Bugbear', '$325', 'L1Monster', '152', '22', '250', '30', '-6', '19', '18', '12', '12', '10', '10', '485', '-25', 'large', '1', '0', '0', '0', '1', '1', '640', '840', '840', '840', '0', '0', '0', '1', '1', '0', 'bugbear', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45224', 'Undead Elmore Wizard', '$1785', 'L1Monster', '2112', '22', '130', '100', '-10', '15', '17', '10', '7', '10', '50', '485', '-20', 'small', '0', '0', '1', '0', '1', '1', '1440', '1920', '1920', '1920', '1', '0', '0', '1', '0', '0', 'elmore', '0', '-1', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45226', 'Priest of Chaos', '$3780', 'L1Monster', '4550', '22', '500', '300', '-36', '25', '25', '25', '25', '25', '100', '485', '-5', 'large', '0', '0', '0', '0', '6', '0', '1000', '750', '750', '750', '3', '0', '0', '0', '0', '0', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '5', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '1', '4552', '2', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45227', 'Priest of Chaos', '$3780', 'L1Monster', '4550', '22', '500', '300', '-36', '25', '25', '25', '18', '18', '100', '485', '-5', 'large', '0', '0', '0', '0', '6', '0', '1000', '750', '750', '750', '3', '0', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '5', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '1', '4552', '2', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45228', 'Sea Dancer', 'Sea Dancer', 'L1Monster', '4017', '50', '1500', '300', '-53', '15', '15', '15', '18', '18', '50', '2501', '-60', 'small', '0', '0', '0', '0', '2', '0', '960', '1440', '1440', '1440', '0', '0', '0', '1', '1', '1', ' ', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1608', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45229', 'Ramia', '$1428', 'L1Monster', '1597', '20', '120', '30', '-6', '15', '15', '12', '12', '10', '100', '401', '-25', 'large', '0', '1', '0', '0', '1', '0', '960', '1880', '1880', '1880', '0', '1', '0', '1', '1', '0', 'lahmia', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45230', 'Giran Ramia', '$1242 $1428', 'L1Monster', '1597', '22', '200', '30', '-6', '15', '15', '12', '12', '10', '10', '485', '-25', 'large', '0', '1', '0', '0', '1', '0', '960', '1880', '1880', '1880', '0', '1', '0', '1', '0', '0', 'lahmia', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45231', 'Priest of Chaos', '$3780', 'L1Monster', '4550', '22', '500', '300', '-65', '25', '25', '25', '25', '25', '0', '485', '-5', 'large', '0', '0', '0', '0', '6', '0', '1000', '750', '750', '750', '3', '0', '0', '1', '0', '0', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '5', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '1', '4552', '2', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45232', 'Follower of Chaos', '$3782', 'L1Monster', '4550', '22', '250', '300', '-65', '25', '25', '25', '25', '25', '0', '485', '-5', 'large', '0', '0', '0', '0', '6', '0', '1000', '750', '750', '750', '3', '0', '0', '1', '0', '0', 'chaos', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '4552', '2', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45233', 'Dark Elf Soldier', '$2887', 'L1Monster', '3044', '23', '200', '50', '-28', '16', '20', '18', '18', '18', '35', '530', '-50', 'small', '0', '0', '0', '0', '1', '0', '640', '960', '960', '960', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45235', 'Large Rat', '$3729', 'L1Monster', '4684', '24', '300', '60', '-5', '18', '14', '16', '6', '5', '10', '577', '-20', 'small', '0', '0', '0', '0', '1', '0', '1040', '880', '880', '880', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45236', 'Dire Bear', '$2893', 'L1Monster', '3357', '26', '300', '30', '-15', '14', '18', '12', '12', '8', '5', '677', '-18', 'large', '0', '0', '1', '0', '2', '1', '426', '840', '840', '840', '0', '0', '0', '1', '1', '1', 'bear', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45237', 'Dire Wolf', '$2105', 'L1Monster', '2392', '24', '120', '60', '-20', '17', '18', '15', '12', '16', '25', '577', '-27', 'large', '0', '0', '0', '1', '2', '1', '480', '1440', '1440', '1440', '0', '0', '0', '1', '1', '1', 'direwolf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45238', 'Dark Elf Hunter', '$3159', 'L1Monster', '2976', '24', '230', '50', '-15', '13', '17', '18', '20', '18', '50', '577', '-25', 'small', '0', '0', '0', '0', '10', '0', '960', '1200', '1200', '1200', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45239', 'Blue Tail', '$3509', 'L1Monster', '4078', '24', '240', '10', '-15', '15', '12', '12', '10', '9', '10', '577', '-30', 'small', '0', '1', '0', '0', '1', '0', '400', '1200', '1200', '1200', '0', '0', '0', '1', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45240', 'Turtle Dragon', '$1498', 'L1Monster', '1649', '24', '280', '10', '-4', '16', '18', '15', '12', '12', '5', '577', '-22', 'large', '0', '1', '0', '0', '2', '0', '1920', '1320', '1320', '1320', '0', '0', '0', '1', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45241', 'Cerberus', '$925', 'L1Monster', '951', '24', '120', '60', '-20', '17', '18', '15', '12', '16', '25', '577', '-27', 'small', '1', '0', '0', '0', '2', '0', '640', '1040', '1040', '1040', '2', '0', '0', '1', '1', '0', 'cerberus', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45243', 'Giran Snow Tiger', '$1242 $1784', 'L1Monster', '3918', '23', '180', '0', '-8', '19', '18', '16', '12', '10', '0', '530', '-20', 'small', '0', '0', '1', '0', '1', '1', '960', '1360', '1360', '1360', '0', '0', '0', '0', '0', '0', 'tiger', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45244', 'Dark Elemental', '$2895', 'L1Monster', '3364', '25', '120', '10', '-14', '16', '18', '16', '12', '16', '35', '626', '-18', 'small', '0', '0', '0', '0', '1', '0', '960', '1240', '1240', '1240', '0', '0', '0', '1', '1', '1', 'elemental', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45245', 'Dark Elementalist', '$2894', 'L1Monster', '3360', '45', '550', '320', '-38', '12', '15', '12', '17', '17', '45', '2026', '-32', 'small', '0', '0', '0', '0', '1', '0', '1280', '1520', '1520', '1520', '0', '0', '0', '1', '1', '1', 'elemental', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45246', 'Dillo', '$3146', 'L1Monster', '3652', '25', '120', '10', '-14', '16', '18', '16', '12', '16', '35', '626', '-18', 'small', '0', '0', '0', '0', '2', '0', '853', '1440', '1440', '1440', '0', '0', '0', '1', '1', '1', 'diro', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45247', 'Skeletal Pirate', '$3387', 'L1Monster', '4186', '25', '220', '10', '-18', '16', '12', '16', '10', '10', '40', '626', '-25', 'small', '0', '0', '1', '0', '2', '1', '640', '1120', '1120', '1120', '1', '0', '0', '1', '1', '1', 'pirate', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45248', 'Undead Elmore General', '$1787', 'L1Monster', '2137', '25', '180', '0', '-18', '17', '18', '15', '12', '10', '10', '626', '-25', 'small', '0', '0', '1', '0', '1', '1', '960', '1200', '1200', '1200', '1', '0', '0', '1', '0', '0', 'elmore', '0', '-1', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45249', 'Kiwi Parrot', '$3511', 'L1Monster', '4147', '25', '300', '10', '-20', '15', '16', '10', '10', '9', '10', '626', '-20', 'small', '0', '0', '0', '1', '1', '0', '960', '1360', '1360', '1360', '0', '0', '0', '1', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45251', 'Heavy Lizardman', '$3383', 'L1Monster', '4151', '24', '250', '10', '-15', '14', '14', '18', '12', '10', '15', '577', '-25', 'small', '0', '0', '1', '0', '2', '0', '640', '1200', '1200', '1200', '0', '0', '0', '1', '0', '0', 'lizardman', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45252', 'Dire Bear', '$2893', 'L1Monster', '3357', '26', '300', '30', '-15', '14', '18', '12', '12', '8', '5', '677', '-18', 'large', '0', '0', '1', '0', '2', '1', '426', '840', '840', '840', '0', '0', '0', '1', '1', '1', 'bear', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45253', 'Dark Elf Guard', '$2890', 'L1Monster', '3404', '40', '800', '50', '-27', '18', '18', '20', '5', '5', '30', '1601', '-37', 'small', '0', '0', '0', '0', '2', '0', '853', '960', '960', '960', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45254', 'Dark Elf Guard', '$2890', 'L1Monster', '3402', '36', '240', '30', '-20', '17', '18', '16', '8', '8', '10', '1297', '-23', 'small', '0', '0', '1', '0', '10', '0', '1280', '1360', '1360', '1360', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45255', 'Dark Elf Ranger', '$2495', 'L1Monster', '3402', '26', '250', '40', '-40', '16', '12', '14', '11', '10', '0', '677', '-37', 'small', '0', '0', '0', '0', '10', '0', '1280', '1360', '1360', '1360', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45256', 'Dark Elf Apprentice', '$3160', 'L1Monster', '3376', '26', '180', '320', '-8', '17', '17', '18', '25', '22', '75', '677', '-25', 'small', '0', '0', '0', '0', '1', '0', '1920', '1560', '1560', '1560', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45257', 'Dragonfly', '$1579', 'L1Monster', '1844', '26', '200', '10', '-20', '16', '15', '20', '8', '8', '70', '677', '-30', 'small', '0', '0', '0', '1', '1', '0', '960', '1200', '1200', '1200', '0', '0', '0', '1', '1', '0', 'dragonfly', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45258', 'Middle Oum', '$3145', 'L1Monster', '3644', '26', '230', '150', '-18', '16', '10', '18', '12', '10', '25', '677', '-27', 'small', '0', '0', '0', '0', '2', '0', '853', '1520', '1520', '1520', '0', '0', '0', '1', '1', '1', 'oum', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45259', 'Scorpion', '$966', 'L1Monster', '1047', '26', '200', '30', '-15', '14', '18', '12', '12', '8', '5', '677', '-18', 'large', '1', '0', '0', '0', '2', '1', '640', '800', '800', '800', '0', '1', '0', '1', '1', '0', 'scorpion', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45260', 'Scorpion', '$966', 'L1Monster', '4060', '26', '200', '30', '-15', '14', '18', '12', '12', '8', '5', '677', '-18', 'small', '1', '0', '0', '0', '2', '0', '640', '800', '800', '800', '0', '1', '0', '1', '1', '0', 'scorpion', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45262', 'Turtle Dragon', '$1498', 'L1Monster', '1649', '26', '280', '10', '-4', '16', '18', '15', '12', '12', '0', '677', '-22', 'large', '0', '1', '0', '0', '2', '0', '1920', '1320', '1320', '1320', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45263', 'Bomb Flower', '$1571', 'L1Monster', '1828', '26', '230', '100', '-10', '12', '18', '18', '12', '10', '25', '677', '-25', 'small', '1', '0', '0', '0', '6', '0', '0', '1000', '1000', '1000', '0', '0', '0', '1', '0', '0', 'bombflower', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1991', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45264', 'Harpy', '$959', 'L1Monster', '1024', '26', '230', '150', '-18', '16', '10', '18', '12', '10', '25', '677', '-27', 'small', '0', '0', '0', '1', '1', '1', '840', '1240', '1240', '1240', '0', '0', '2', '1', '1', '0', 'harpy', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45265', 'Dark Elf', '$1042', 'L1Monster', '1125', '27', '350', '110', '-24', '16', '14', '16', '16', '16', '30', '730', '-35', 'small', '0', '0', '1', '0', '10', '0', '640', '1920', '1920', '1920', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45266', 'Dark Elf Beast Tamer', '$2891', 'L1Monster', '3409', '26', '230', '200', '-15', '22', '17', '18', '15', '16', '10', '677', '-50', 'large', '1', '0', '0', '0', '1', '0', '960', '1120', '1120', '1120', '0', '0', '0', '1', '0', '0', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45267', 'Snow Tiger', '$1784', 'L1Monster', '2086', '27', '270', '0', '-18', '19', '18', '16', '12', '10', '0', '730', '-25', 'large', '0', '1', '0', '0', '1', '1', '960', '1360', '1360', '1360', '0', '0', '0', '1', '0', '0', 'tiger', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45269', 'Skeleton Guard', '$1018', 'L1Monster', '1134', '27', '270', '60', '-15', '16', '14', '15', '14', '14', '25', '730', '-30', 'small', '0', '0', '1', '0', '2', '1', '640', '880', '880', '880', '1', '0', '0', '1', '1', '0', 'skeleton', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45270', 'Skeleton Marksman', '$1016', 'L1Monster', '1130', '27', '250', '60', '-15', '16', '14', '16', '16', '16', '25', '730', '-30', 'small', '0', '0', '1', '0', '10', '1', '800', '920', '920', '920', '1', '0', '0', '1', '1', '0', 'skeleton', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '66', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45271', 'Greater Dark Elemental', '$2896', 'L1Monster', '3365', '28', '270', '30', '-15', '18', '16', '16', '8', '8', '20', '785', '-20', 'large', '0', '0', '1', '0', '1', '0', '960', '1400', '1400', '1400', '0', '0', '0', '1', '1', '1', 'elemental', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45272', 'Dark Elf Thief', '$2886', 'L1Monster', '3412', '42', '450', '80', '-50', '15', '15', '20', '17', '17', '45', '1765', '-50', 'small', '0', '0', '0', '0', '10', '0', '1280', '1440', '1440', '1440', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45273', 'Deep Flower', '$3148', 'L1Monster', '3568', '28', '500', '300', '-15', '14', '16', '14', '5', '5', '30', '785', '-20', 'large', '0', '0', '0', '0', '6', '0', '0', '1280', '1280', '1280', '0', '0', '0', '1', '1', '1', 'bombflower', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '3572', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45274', 'Skeletal Pirate Soldier', '$3388', 'L1Monster', '4190', '28', '260', '20', '-16', '14', '12', '18', '10', '10', '25', '785', '-30', 'small', '0', '1', '1', '0', '10', '0', '960', '1400', '1400', '1400', '1', '0', '0', '1', '1', '1', 'pirate', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '66', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45275', 'Black Ent', '$3143', 'L1Monster', '3678', '28', '500', '20', '-18', '20', '18', '12', '12', '8', '20', '785', '-34', 'large', '0', '0', '0', '0', '2', '0', '960', '1960', '1960', '1960', '0', '0', '0', '1', '1', '1', 'ent', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45276', 'Right-Hand Bandit', '$2099', 'L1Monster', '2533', '30', '300', '15', '-16', '16', '13', '18', '10', '11', '25', '901', '-37', 'small', '0', '0', '1', '0', '1', '0', '800', '1000', '1000', '1000', '0', '0', '0', '1', '1', '1', 'bandit', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45277', 'Scorpion', '$966', 'L1Monster', '4058', '28', '270', '30', '-15', '18', '16', '16', '8', '8', '20', '785', '-20', 'small', '0', '0', '1', '0', '2', '0', '640', '800', '800', '800', '0', '1', '0', '1', '1', '0', 'scorpion', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45278', 'Ogre', '$953', 'L1Monster', '1020', '28', '500', '20', '-18', '20', '18', '12', '12', '8', '20', '785', '-34', 'large', '0', '0', '1', '0', '2', '1', '960', '1200', '1200', '1200', '0', '0', '0', '1', '1', '0', 'ogre', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45279', 'Elekkadom', '$1433', 'L1Monster', '1616', '35', '350', '300', '-15', '20', '15', '17', '18', '15', '15', '1226', '-35', 'large', '0', '1', '0', '0', '2', '0', '960', '1240', '1240', '1240', '0', '0', '0', '0', '0', '0', 'angler', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45280', 'Troll', '$989', 'L1Monster', '1098', '28', '270', '30', '-15', '18', '16', '16', '8', '8', '20', '785', '-20', 'large', '0', '0', '1', '0', '1', '1', '960', '1200', '1200', '1200', '0', '0', '0', '1', '0', '0', 'troll', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45281', 'Giran Stone Golem', '$1242 $56', 'L1Monster', '3914', '28', '440', '300', '-8', '58', '16', '10', '6', '11', '30', '785', '-30', 'large', '0', '1', '1', '0', '1', '0', '1280', '2640', '2640', '2640', '0', '0', '0', '1', '0', '0', 'golem', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45282', 'Giran Dire Wolf', '$1242 $2105', 'L1Monster', '3916', '28', '220', '20', '-12', '22', '17', '18', '15', '11', '35', '785', '-25', 'large', '0', '0', '0', '1', '1', '0', '480', '1440', '1440', '1440', '0', '0', '0', '1', '1', '1', 'direwolf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45283', 'Giran Cerberus', '$1242 $925', 'L1Monster', '951', '27', '160', '60', '-18', '17', '18', '15', '12', '16', '25', '730', '-27', 'small', '1', '0', '0', '0', '2', '0', '640', '1040', '1040', '1040', '2', '0', '0', '1', '1', '0', 'cerberus', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45284', 'Fire Warrior', '$1566', 'L1Monster', '1770', '29', '280', '20', '-11', '15', '10', '11', '9', '9', '20', '842', '-25', 'small', '1', '0', '0', '0', '2', '0', '960', '1520', '1520', '1520', '0', '0', '0', '1', '0', '0', 'burningwarrior', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45285', 'Crustacean', '$1492', 'L1Monster', '1632', '40', '550', '16', '-20', '20', '18', '16', '18', '18', '100', '1601', '-50', 'large', '0', '1', '0', '0', '1', '0', '1440', '1800', '1800', '1800', '0', '0', '0', '1', '0', '0', 'hermitcrab', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45286', 'Skeleton Fighter', '$1017', 'L1Monster', '1132', '29', '280', '60', '-15', '18', '14', '14', '14', '14', '25', '842', '-30', 'small', '0', '0', '1', '0', '1', '1', '480', '840', '840', '840', '1', '0', '0', '1', '1', '0', 'skeleton', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45287', 'Dark Elf Guard', '$2890', 'L1Monster', '3404', '40', '800', '50', '-23', '20', '18', '7', '5', '5', '30', '1601', '-37', 'small', '0', '0', '0', '0', '2', '0', '853', '960', '960', '960', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45288', 'Dark Elf General', '$2885', 'L1Monster', '3366', '30', '400', '40', '-20', '20', '18', '15', '17', '17', '10', '901', '-50', 'small', '0', '0', '0', '0', '2', '0', '360', '1000', '1000', '1000', '0', '0', '0', '1', '0', '0', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45289', 'Muryan', '$991', 'L1Monster', '1082', '30', '350', '50', '-12', '17', '18', '16', '25', '16', '35', '901', '-40', 'small', '0', '0', '1', '0', '1', '1', '640', '720', '720', '720', '0', '0', '0', '1', '1', '0', 'murrian', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45290', 'Bats', '$2409', 'L1Monster', '2885', '30', '150', '0', '-12', '13', '13', '13', '10', '10', '20', '901', '-10', 'small', '0', '0', '0', '0', '1', '0', '960', '1160', '1160', '1160', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '2', '0');
INSERT INTO `npc` VALUES ('45291', 'Fire Archer', '$1572', 'L1Monster', '1832', '30', '230', '20', '-5', '13', '10', '16', '9', '9', '20', '901', '-25', 'small', '1', '0', '0', '0', '10', '0', '960', '2000', '2000', '2000', '0', '0', '0', '1', '0', '0', 'burningarcher', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45292', 'Corrupt Guard', '$2433', 'L1Monster', '2976', '28', '320', '10', '-16', '19', '14', '12', '8', '10', '25', '785', '-35', 'small', '0', '0', '0', '0', '10', '0', '960', '1200', '1200', '1200', '0', '0', '0', '1', '1', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45293', 'Dark Elf Carrier', '$3119', 'L1Monster', '3659', '30', '500', '31', '-13', '21', '18', '18', '12', '10', '20', '901', '-32', 'small', '0', '0', '0', '0', '2', '0', '853', '1520', '1520', '1520', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45294', 'Yeti', '$1786', 'L1Monster', '2134', '30', '400', '10', '-18', '22', '20', '12', '9', '6', '0', '901', '-26', 'large', '0', '1', '0', '0', '1', '1', '960', '1400', '1400', '1400', '0', '0', '0', '1', '0', '0', 'yeti', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45295', 'Giant', '$1398', 'L1Monster', '1555', '32', '380', '10', '-22', '20', '16', '12', '10', '11', '25', '1025', '-10', 'large', '0', '0', '1', '0', '1', '1', '1280', '2000', '2000', '2000', '0', '0', '0', '1', '1', '1', 'giant', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45296', 'Gelatinous Cube', '$2115', 'L1Monster', '2541', '30', '350', '30', '-33', '21', '20', '8', '5', '9', '0', '901', '-25', 'large', '0', '0', '1', '0', '10', '1', '1440', '1280', '1280', '1280', '0', '1', '0', '1', '1', '0', 'gelatine', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '2559', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45297', 'Subterranean Crabman', '$3270', 'L1Monster', '1610', '30', '420', '5', '-30', '18', '16', '15', '10', '12', '10', '901', '-20', 'small', '0', '1', '0', '0', '2', '0', '800', '1000', '1000', '1000', '0', '0', '0', '0', '0', '0', 'crab', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45298', 'King Bugbear', '$937', 'L1Monster', '894', '30', '400', '30', '-13', '21', '18', '12', '12', '10', '20', '901', '-32', 'large', '1', '0', '0', '0', '1', '1', '640', '720', '720', '720', '0', '0', '0', '1', '1', '0', 'bugbear', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45299', 'Plate Worm', '$3147', 'L1Monster', '3654', '30', '400', '30', '-13', '21', '18', '12', '12', '10', '20', '901', '-32', 'large', '0', '0', '0', '0', '2', '0', '960', '1480', '1480', '1480', '0', '0', '0', '1', '1', '1', 'centipede', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45300', 'Ancient Apparition', '$2261', 'L1Monster', '2716', '45', '1000', '400', '-32', '17', '17', '18', '25', '18', '50', '0', '-50', 'small', '0', '0', '0', '0', '8', '0', '960', '1440', '1440', '1440', '1', '0', '0', '1', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '66', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45301', 'Sin of Sepia', '$2260', 'L1Monster', '1116', '20', '600', '250', '-25', '15', '15', '18', '25', '18', '50', '401', '10000', 'small', '0', '0', '0', '0', '1', '0', '640', '800', '800', '800', '0', '0', '0', '1', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45302', 'Giant Guardian', '$2256', 'L1Monster', '2421', '40', '2900', '350', '-30', '75', '21', '11', '21', '20', '100', '1601', '-80', 'large', '0', '0', '0', '0', '1', '0', '960', '1880', '1880', '1880', '0', '0', '0', '1', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45303', 'Spirit of Fire', '$2004', 'L1Monster', '2276', '30', '400', '0', '-11', '16', '18', '16', '16', '17', '35', '31', '10', 'small', '0', '0', '0', '0', '1', '0', '640', '1000', '1000', '1000', '0', '0', '0', '1', '1', '0', '', '0', '-1', '-1', '0', '0', '0', '5000', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45304', 'Spirit of Water', '$2005', 'L1Monster', '2274', '30', '400', '0', '-13', '16', '18', '16', '16', '17', '35', '31', '10', 'small', '0', '0', '0', '0', '1', '0', '640', '1000', '1000', '1000', '0', '0', '0', '1', '1', '0', '', '0', '-1', '-1', '0', '0', '0', '5000', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45305', 'Spirit of Wind', '$2006', 'L1Monster', '2275', '30', '400', '0', '-13', '16', '18', '16', '16', '17', '35', '31', '10', 'small', '0', '0', '0', '0', '1', '0', '640', '1000', '1000', '1000', '0', '0', '0', '1', '1', '0', '', '0', '-1', '-1', '0', '0', '0', '5000', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45306', 'Spirit of Earth', '$2007', 'L1Monster', '2273', '30', '400', '0', '-15', '16', '18', '16', '16', '17', '35', '31', '10', 'small', '0', '0', '0', '0', '1', '0', '640', '1000', '1000', '1000', '0', '0', '0', '1', '1', '0', '', '0', '-1', '-1', '0', '0', '0', '5000', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45307', 'Alligator', '$1407', 'L1Monster', '1574', '16', '80', '5', '-6', '15', '13', '13', '6', '5', '0', '257', '-10', 'small', '0', '1', '0', '0', '1', '1', '640', '1480', '1480', '1480', '0', '0', '0', '1', '0', '0', 'alligator', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45308', 'Muryan', '$991', 'L1Monster', '1082', '32', '380', '10', '-22', '20', '16', '12', '10', '11', '25', '1025', '-10', 'small', '0', '0', '1', '0', '1', '1', '640', '720', '720', '720', '0', '0', '0', '1', '1', '0', 'murrian', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45309', 'Black Tiger', '$3136', 'L1Monster', '3547', '28', '560', '50', '-16', '18', '18', '20', '5', '15', '30', '785', '-37', 'small', '0', '0', '0', '0', '2', '0', '853', '1640', '1640', '1640', '0', '0', '0', '1', '1', '1', 'tiger', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45310', 'Summon Elemental', '$3137', 'L1Monster', '3566', '25', '250', '550', '-32', '17', '17', '18', '25', '22', '75', '626', '-50', 'large', '0', '0', '0', '0', '1', '0', '960', '1400', '1400', '1400', '0', '0', '0', '1', '1', '1', 'elemental', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45311', 'Mole', '$3149', 'L1Monster', '3582', '20', '150', '100', '-7', '30', '18', '20', '17', '15', '60', '401', '-20', 'small', '0', '0', '0', '0', '2', '0', '480', '1240', '1240', '1240', '0', '0', '0', '1', '1', '1', 'mole', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45312', 'Giran Arachnevil Elder', '$1242 $319', 'L1Monster', '146', '20', '180', '30', '-5', '18', '14', '16', '6', '5', '10', '401', '-23', 'large', '0', '0', '1', '0', '2', '1', '480', '840', '840', '840', '0', '1', '0', '1', '0', '0', 'spider', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45313', 'Tiger', '$3041', 'L1Monster', '3918', '5', '40', '5', '10', '16', '15', '13', '9', '7', '0', '26', '0', 'large', '0', '0', '0', '0', '1', '1', '480', '720', '720', '720', '0', '0', '0', '0', '0', '0', 'tiger', '1', '-1', '-1', '0', '0', '0', '2500', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45314', 'Skeletal Pirate Rogue', '$3730', 'L1Monster', '4796', '32', '500', '50', '-25', '18', '14', '16', '6', '15', '60', '1025', '-40', 'small', '0', '0', '0', '0', '6', '0', '640', '1200', '1200', '1200', '1', '0', '0', '1', '1', '1', 'pirate', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '4799', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45315', 'Incarnation of Varlok', '$3414', 'L1Monster', '2538', '57', '8000', '500', '-60', '70', '20', '18', '20', '20', '70', '3250', '-180', 'large', '0', '0', '0', '0', '3', '0', '960', '1520', '1520', '1520', '2', '0', '0', '1', '1', '1', 'daemon', '1', '-1', '-1', '0', '0', '0', '5000', '70', '5000', '300', '0', '0', '0', '0', '0', '0', '0', '8', '0', '0', '0', '0', '0', '-2', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45316', 'Giran Ancient Giant', 'Giran Ancient Giant', 'L1Monster', '2421', '56', '20000', '2000', '-63', '20', '20', '18', '18', '20', '90', '3137', '-80', 'large', '1', '1', '1', '1', '2', '0', '960', '1880', '1880', '1880', '0', '0', '0', '1', '1', '1', 'giant', '1', '-1', '-1', '0', '0', '0', '5000', '1500', '5000', '100', '0', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45317', 'Bandit', '$2099', 'L1Monster', '2443', '28', '500', '10', '-16', '19', '14', '12', '8', '10', '25', '785', '-35', 'small', '0', '0', '1', '0', '1', '0', '480', '1000', '1000', '1000', '0', '0', '0', '1', '1', '1', '', '1', '-1', '-1', '0', '0', '0', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45318', '0', '1');
INSERT INTO `npc` VALUES ('45318', 'Giant', '$1398', 'L1Monster', '1569', '33', '1000', '10', '-25', '22', '19', '15', '13', '14', '40', '1090', '-10', 'large', '0', '0', '1', '0', '2', '1', '1280', '2000', '2000', '2000', '0', '0', '0', '1', '1', '1', '', '1', '-1', '-1', '0', '0', '0', '5000', '100', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45316', '0', '0');
INSERT INTO `npc` VALUES ('45321', 'Griffon', '$1176', 'L1Monster', '1204', '31', '380', '150', '-20', '16', '15', '12', '12', '10', '10', '962', '-30', 'large', '0', '0', '0', '1', '1', '0', '640', '1280', '1280', '1280', '0', '0', '0', '1', '1', '0', 'griffon', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45322', 'Living Armor', '$1408', 'L1Monster', '1578', '31', '300', '50', '-25', '18', '15', '12', '12', '10', '40', '962', '-35', 'small', '0', '0', '1', '0', '1', '1', '1440', '1920', '1920', '1920', '2', '0', '0', '1', '1', '0', 'livingarmour', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45323', 'Beast Summoner', '$3140', 'L1Monster', '3694', '30', '600', '150', '-28', '16', '13', '18', '18', '18', '35', '962', '-50', 'small', '0', '0', '0', '0', '2', '0', '1280', '1560', '1560', '1560', '0', '0', '0', '1', '1', '1', 'beastsummoner', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45324', 'Bandit', '$2099', 'L1Monster', '2489', '32', '330', '15', '-22', '17', '15', '18', '11', '12', '40', '1025', '-39', 'small', '0', '0', '1', '0', '1', '0', '960', '1080', '1080', '1080', '0', '0', '0', '1', '1', '1', 'bandit', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45325', 'Giran Cimaera', '$1242 $2107', 'L1Monster', '3922', '31', '260', '40', '-23', '19', '18', '16', '8', '8', '35', '962', '-30', 'small', '0', '1', '0', '0', '1', '1', '960', '1440', '1440', '1440', '0', '1', '0', '1', '1', '0', 'cimaera', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45326', 'Dark Forester', '$3142', 'L1Monster', '3747', '33', '450', '500', '-10', '10', '13', '12', '18', '18', '50', '1090', '-30', 'small', '0', '0', '0', '0', '2', '0', '853', '1240', '1240', '1240', '0', '0', '0', '1', '1', '1', 'darkforester', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45327', 'Dark Elf Ranger', '$2495', 'L1Monster', '2976', '41', '700', '50', '-32', '13', '17', '18', '20', '18', '80', '1682', '-50', 'small', '0', '0', '0', '0', '10', '0', '1280', '1360', '1360', '1360', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45328', 'Dillo', '$3146', 'L1Monster', '3652', '32', '350', '50', '-33', '14', '14', '18', '5', '5', '50', '1025', '-42', 'small', '0', '0', '0', '0', '2', '0', '853', '1440', '1440', '1440', '0', '0', '0', '1', '1', '1', 'diro', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45329', 'Bandit', '$2099', 'L1Monster', '2443', '28', '320', '10', '-16', '19', '14', '12', '8', '10', '25', '785', '-35', 'small', '0', '0', '1', '0', '1', '0', '480', '1000', '1000', '1000', '0', '0', '0', '1', '1', '1', 'bandit', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45330', 'Skeletal Pirate Head', '$3389', 'L1Monster', '4188', '32', '350', '10', '-23', '18', '14', '16', '10', '12', '50', '1025', '-35', 'small', '0', '0', '1', '0', '2', '0', '640', '1200', '1200', '1200', '1', '0', '0', '1', '1', '1', 'pirate', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45331', 'Middle Oum', '$3145', 'L1Monster', '3644', '32', '450', '50', '-23', '18', '18', '16', '5', '5', '30', '1025', '-35', 'small', '0', '0', '0', '0', '2', '0', '853', '1520', '1520', '1520', '0', '0', '0', '1', '1', '1', 'oum', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45332', 'Mutant Ramia', '$2382', 'L1Monster', '1597', '32', '330', '45', '-10', '15', '15', '12', '12', '10', '15', '1025', '-35', 'large', '0', '1', '0', '0', '1', '0', '960', '1880', '1880', '1880', '0', '1', '0', '1', '1', '1', 'lahmia', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45333', 'Dark Elf Wizard', '$2888', 'L1Monster', '3376', '41', '500', '400', '-32', '17', '17', '18', '25', '22', '75', '1682', '-50', 'small', '0', '0', '0', '0', '1', '0', '1920', '1560', '1560', '1560', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45336', 'Assassin', '$2445', 'L1Monster', '2966', '32', '330', '15', '-22', '17', '15', '18', '11', '12', '40', '0', '-39', 'small', '0', '0', '1', '0', '1', '0', '960', '880', '880', '880', '0', '0', '0', '1', '1', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45337', 'Giant', '$1398', 'L1Monster', '1542', '30', '400', '10', '-20', '19', '18', '12', '10', '10', '30', '901', '-10', 'large', '0', '0', '1', '0', '2', '1', '1280', '2000', '2000', '2000', '0', '0', '0', '1', '1', '1', 'giant', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45338', 'Crocodile', '$1406', 'L1Monster', '1572', '32', '400', '20', '-23', '15', '13', '13', '6', '5', '10', '1025', '-15', 'large', '0', '1', '0', '0', '2', '1', '960', '1600', '1600', '1600', '0', '0', '0', '1', '0', '0', 'alligator', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45339', 'Plate Worm', '$3147', 'L1Monster', '3654', '32', '350', '50', '-33', '14', '14', '18', '5', '5', '25', '1025', '-33', 'large', '0', '0', '0', '0', '2', '0', '960', '1480', '1480', '1480', '0', '0', '0', '1', '1', '1', 'centipede', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45340', 'Heavy Oum', '$3144', 'L1Monster', '3596', '32', '400', '20', '-23', '15', '13', '13', '6', '5', '10', '1025', '-15', 'large', '0', '0', '0', '0', '2', '0', '1600', '1800', '1800', '1800', '0', '0', '0', '1', '1', '1', 'oum', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45341', 'Taurverus', '$1568', 'L1Monster', '1780', '39', '600', '80', '-28', '20', '20', '18', '20', '18', '35', '1522', '-50', 'small', '1', '0', '0', '0', '1', '0', '880', '1000', '1000', '1000', '2', '0', '0', '1', '1', '1', 'cerberus', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45342', 'Mutant Giant Queen Ant', '$2073', 'L1Monster', '2457', '20', '400', '70', '-12', '20', '18', '16', '18', '16', '50', '401', '-10', 'large', '0', '0', '0', '0', '2', '0', '1280', '800', '800', '800', '0', '0', '0', '1', '1', '1', 'ant', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45343', 'Darkmar', '$2017', 'L1Monster', '185', '27', '350', '110', '-24', '16', '14', '16', '16', '16', '30', '730', '-35', 'small', '0', '0', '0', '0', '1', '0', '640', '1480', '1480', '1480', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45344', 'Betrayer of Undead', '$2020', 'L1Monster', '1576', '27', '900', '600', '-15', '16', '14', '16', '16', '16', '25', '0', '-10', 'small', '0', '0', '0', '0', '1', '0', '640', '2280', '2280', '2280', '1', '0', '0', '1', '1', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45345', 'Giran Iron Golem', '$1242 $1789', 'L1Monster', '2147', '32', '580', '10', '-25', '70', '18', '8', '5', '5', '50', '1025', '-34', 'large', '0', '0', '0', '0', '1', '0', '1920', '1760', '1760', '1760', '0', '0', '0', '1', '1', '0', 'golem', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45346', 'Ghast Lord', '$619', 'L1Monster', '257', '33', '300', '50', '-13', '18', '18', '16', '12', '11', '20', '1090', '-30', 'small', '0', '0', '1', '0', '1', '1', '1080', '680', '680', '680', '0', '2', '0', '1', '0', '0', 'ghast', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45347', 'Dark Forester', '$3142', 'L1Monster', '3747', '32', '500', '100', '-32', '17', '17', '18', '25', '22', '75', '1025', '-50', 'small', '0', '0', '0', '0', '2', '0', '853', '1720', '1720', '1720', '0', '0', '0', '1', '1', '1', 'darkforester', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45348', 'Mutant Arachnevil Elder', '$2381', 'L1Monster', '146', '33', '370', '20', '-13', '18', '16', '14', '6', '5', '20', '1090', '-40', 'large', '0', '0', '1', '0', '2', '0', '480', '840', '840', '840', '0', '1', '0', '1', '1', '1', 'spider', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45349', 'Beholder', '$1001', 'L1Monster', '1123', '33', '450', '500', '-10', '10', '13', '12', '18', '18', '50', '1090', '-30', 'large', '0', '0', '0', '1', '1', '1', '960', '1120', '1120', '1120', '0', '0', '1', '1', '1', '1', 'gazer', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45350', 'Dark Elf Carrier', '$3119', 'L1Monster', '3659', '33', '420', '10', '-25', '22', '19', '15', '13', '14', '40', '1090', '-10', 'small', '0', '0', '0', '0', '1', '0', '853', '1520', '1520', '1520', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45351', 'Giant', '$1398', 'L1Monster', '1569', '33', '420', '10', '-25', '22', '19', '15', '13', '14', '40', '1090', '-10', 'large', '0', '0', '1', '0', '2', '1', '1280', '2000', '2000', '2000', '0', '0', '0', '1', '1', '1', 'giant', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45352', 'Doppelganger', '$2101', 'L1Monster', '2340', '33', '320', '30', '-20', '19', '19', '15', '13', '11', '20', '1090', '-28', 'small', '0', '0', '1', '0', '1', '0', '960', '1040', '1040', '1040', '0', '0', '0', '1', '0', '0', 'doppel', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45353', 'Priest of Chaos', '$3780', 'L1Monster', '4550', '33', '500', '300', '-65', '25', '25', '25', '25', '25', '0', '1090', '-5', 'large', '0', '0', '0', '0', '6', '0', '1000', '750', '750', '750', '3', '0', '0', '1', '0', '0', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '5', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '1', '4552', '2', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45354', 'Follower of Chaos', '$3782', 'L1Monster', '4550', '33', '250', '300', '-65', '25', '25', '25', '25', '25', '0', '1090', '-5', 'large', '0', '0', '0', '0', '6', '0', '1000', '750', '750', '750', '3', '0', '0', '1', '0', '0', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '5', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '1', '4552', '2', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45355', 'Werewolf', '$18', 'L1Monster', '33', '34', '180', '20', '-20', '15', '15', '12', '10', '10', '10', '1157', '-9', 'small', '0', '0', '0', '1', '1', '0', '640', '960', '960', '960', '0', '0', '0', '1', '1', '0', 'wolf', '1', '-1', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45356', 'Dark Elf Beast Tamer', '$2891', 'L1Monster', '3409', '44', '550', '250', '-38', '15', '17', '12', '17', '17', '65', '1937', '-44', 'small', '1', '0', '0', '0', '1', '0', '1600', '1400', '1400', '1400', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45357', 'Black Tiger', '$3136', 'L1Monster', '3547', '34', '500', '30', '-18', '22', '18', '22', '11', '10', '30', '1157', '-30', 'small', '0', '0', '0', '0', '2', '0', '853', '1640', '1640', '1640', '0', '0', '0', '1', '1', '1', 'tiger', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45358', 'Arachnevil', '$265', 'L1Monster', '95', '34', '170', '15', '-15', '15', '13', '17', '6', '5', '12', '1157', '-17', 'large', '0', '0', '1', '0', '2', '0', '480', '880', '880', '880', '0', '0', '0', '1', '1', '0', 'spider', '1', '-1', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45359', 'Astagio', '$1580', 'L1Monster', '1841', '34', '500', '30', '-18', '22', '18', '22', '11', '10', '30', '1157', '-30', 'large', '1', '0', '0', '0', '1', '0', '800', '1000', '1000', '1000', '0', '0', '0', '0', '0', '0', 'asitagio', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45360', 'Subterranean Great King Worm', '$3273', 'L1Monster', '3654', '34', '400', '10', '-60', '18', '13', '18', '12', '12', '15', '1157', '-20', 'small', '0', '0', '1', '0', '2', '0', '960', '1480', '1480', '1480', '0', '1', '0', '0', '0', '0', 'centipede', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45361', 'Cockatrice', '$969', 'L1Monster', '1052', '34', '500', '250', '-20', '25', '18', '18', '12', '12', '30', '1157', '-36', 'large', '0', '0', '0', '1', '1', '0', '520', '1040', '1040', '1040', '0', '0', '2', '1', '1', '0', 'cockatrice', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45362', 'Cockatrice', '$969', 'L1Monster', '1052', '47', '600', '250', '-25', '25', '18', '18', '12', '12', '30', '2210', '-36', 'large', '0', '0', '0', '1', '1', '0', '520', '1040', '1040', '1040', '0', '0', '2', '1', '1', '1', 'cockatrice', '1', '-1', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45363', 'Dark Elementalist', '$2894', 'L1Monster', '3360', '35', '450', '500', '-30', '12', '15', '12', '17', '17', '45', '1226', '-50', 'small', '0', '0', '0', '0', '1', '0', '1280', '1520', '1520', '1520', '0', '0', '0', '1', '1', '1', 'elemental', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45364', 'Dark Elf', '$1042', 'L1Monster', '1125', '35', '350', '110', '-29', '16', '14', '16', '16', '16', '30', '1226', '-42', 'small', '0', '0', '0', '1', '10', '0', '640', '1920', '1920', '1920', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45365', 'Lava Golem', '$1565', 'L1Monster', '1762', '35', '600', '10', '-15', '65', '18', '8', '5', '5', '50', '1226', '-40', 'large', '1', '0', '0', '0', '1', '0', '1920', '2160', '2160', '2160', '0', '0', '0', '1', '1', '0', 'golem', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45366', 'Mambo Rabbit Servant', '$3463', 'L1Monster', '3783', '35', '1200', '200', '-40', '18', '18', '18', '18', '24', '50', '1226', '-20', 'small', '0', '0', '0', '0', '1', '0', '960', '1040', '1040', '1040', '0', '0', '0', '0', '0', '0', 'spirit', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45367', 'Black Ent', '$3143', 'L1Monster', '3678', '35', '1000', '50', '-15', '13', '20', '11', '11', '13', '65', '1226', '-50', 'large', '0', '0', '0', '0', '2', '0', '960', '1960', '1960', '1960', '0', '0', '0', '1', '1', '1', 'ent', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45368', 'Beast Summoner', '$3140', 'L1Monster', '3694', '35', '383', '197', '-25', '19', '13', '16', '13', '11', '11', '1226', '-32', 'small', '0', '0', '0', '0', '2', '0', '1280', '1560', '1560', '1560', '0', '0', '0', '1', '1', '1', 'beastsummoner', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45369', 'Salamander', '$1505', 'L1Monster', '4083', '35', '383', '197', '-23', '19', '13', '16', '13', '11', '11', '1103', '-32', 'small', '1', '0', '0', '0', '1', '0', '640', '1080', '1080', '1080', '0', '0', '0', '1', '1', '1', 'salamander', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45370', 'Bandit Leader', '$2100', 'L1Monster', '2417', '35', '500', '50', '-25', '20', '20', '18', '12', '13', '50', '1226', '-45', 'small', '0', '0', '1', '0', '2', '0', '960', '1160', '1160', '1160', '0', '0', '0', '1', '1', '1', 'bandit', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45371', 'Owlbear', '$1047', 'L1Monster', '1162', '35', '250', '10', '-21', '18', '13', '14', '7', '8', '10', '1226', '-15', 'large', '0', '0', '1', '0', '1', '0', '960', '1080', '1080', '1080', '0', '0', '0', '1', '1', '0', 'bear', '1', '-1', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45372', 'Iron Golem', '$1789', 'L1Monster', '2147', '35', '650', '10', '-18', '70', '18', '8', '5', '5', '50', '1226', '-42', 'large', '0', '0', '1', '0', '1', '0', '1920', '1760', '1760', '1760', '0', '0', '0', '1', '1', '0', 'golem', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45373', 'Ettin', '$1010', 'L1Monster', '1128', '35', '500', '70', '-22', '20', '18', '16', '18', '16', '50', '1226', '-40', 'large', '0', '0', '1', '0', '2', '1', '640', '1160', '1160', '1160', '0', '0', '0', '1', '1', '0', 'brute', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45374', 'Subterranean Lizardman', '$3272', 'L1Monster', '4192', '35', '480', '20', '-25', '18', '15', '18', '12', '18', '20', '1226', '-20', 'small', '0', '1', '0', '0', '1', '0', '800', '1000', '1000', '1000', '0', '0', '0', '0', '0', '0', 'lizardman', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45375', 'Gargoyle', '$2102', 'L1Monster', '2308', '35', '550', '0', '-30', '0', '0', '0', '0', '99', '0', '1226', '-30', 'large', '0', '0', '0', '0', '1', '0', '960', '1240', '1240', '1240', '0', '0', '0', '1', '1', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45376', 'Giran Lava Golem', '$1242 $1565', 'L1Monster', '1762', '35', '500', '300', '-15', '65', '18', '8', '5', '5', '50', '1226', '-40', 'large', '1', '0', '0', '0', '1', '0', '1920', '2160', '2160', '2160', '0', '0', '0', '1', '1', '0', 'golem', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45377', 'Lizardman', '$1174', 'L1Monster', '1173', '20', '180', '10', '-17', '15', '13', '10', '5', '5', '5', '401', '-14', 'small', '0', '1', '0', '0', '1', '0', '640', '920', '920', '920', '0', '0', '0', '1', '1', '0', 'lizardman', '1', '-1', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45378', 'Ghast', '$504', 'L1Monster', '255', '36', '240', '30', '-20', '17', '18', '16', '8', '8', '10', '1370', '-23', 'small', '0', '0', '1', '0', '1', '0', '1000', '640', '640', '640', '0', '2', '0', '1', '1', '1', 'ghast', '1', '-1', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45379', 'Dark Elf Wizard', '$2888', 'L1Monster', '3376', '41', '500', '400', '-32', '17', '17', '18', '25', '18', '80', '1682', '-50', 'small', '0', '0', '0', '0', '1', '0', '1920', '1560', '1560', '1560', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45380', 'Medusa', '$2113', 'L1Monster', '2535', '36', '420', '120', '-16', '17', '18', '16', '17', '15', '50', '1297', '-39', 'small', '0', '0', '0', '0', '1', '0', '960', '1200', '1200', '1200', '0', '0', '1', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('45381', 'Basilisk', '$962', 'L1Monster', '1041', '36', '800', '300', '-20', '30', '18', '17', '12', '12', '30', '1297', '-38', 'large', '0', '1', '0', '0', '1', '1', '800', '1240', '1240', '1240', '0', '0', '1', '1', '1', '1', 'basilisk', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45382', 'Subterranean Scormystic', '$3275', 'L1Monster', '4058', '36', '400', '20', '-15', '20', '14', '16', '18', '18', '70', '1297', '-30', 'small', '0', '0', '0', '0', '2', '0', '640', '800', '800', '800', '0', '1', '0', '0', '0', '0', 'scorpion', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45383', 'Subterranean Scorpaitan', '$3276', 'L1Monster', '4060', '36', '400', '30', '-30', '20', '14', '18', '12', '12', '10', '1297', '-30', 'small', '1', '1', '1', '1', '2', '0', '640', '800', '800', '800', '0', '1', '0', '1', '0', '0', 'scorpion', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45384', 'Horrific Fire Egg', '$2386', 'L1Monster', '1820', '37', '500', '15', '-36', '16', '18', '16', '12', '16', '40', '1370', '-35', 'small', '1', '0', '0', '0', '1', '0', '800', '1000', '1000', '1000', '0', '0', '0', '1', '1', '1', 'fireegg', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45385', 'Nightmare', '$2103', 'L1Monster', '4088', '37', '416', '0', '-39', '11', '9', '14', '7', '7', '19', '1233', '-35', 'large', '1', '0', '0', '0', '2', '0', '480', '1600', '1600', '1600', '2', '0', '0', '1', '1', '1', 'nightmare', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '4', '0');
INSERT INTO `npc` VALUES ('45386', 'Dancing Sword', '$2111', 'L1Monster', '2513', '37', '380', '0', '-43', '17', '12', '20', '5', '6', '40', '1370', '-39', 'small', '0', '0', '1', '0', '2', '0', '480', '1120', '1120', '1120', '0', '0', '0', '1', '1', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '4', '0');
INSERT INTO `npc` VALUES ('45387', 'Ramia', '$1428', 'L1Monster', '1597', '37', '240', '30', '-16', '15', '15', '12', '12', '10', '10', '1370', '-25', 'large', '0', '1', '0', '0', '1', '0', '960', '1880', '1880', '1880', '0', '1', '0', '1', '1', '0', 'lahmia', '1', '-1', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45389', 'Lycanthrope', '$990', 'L1Monster', '1108', '37', '220', '60', '-24', '16', '16', '13', '10', '10', '25', '1370', '-18', 'small', '0', '0', '0', '1', '1', '0', '640', '800', '800', '800', '0', '0', '0', '1', '1', '0', 'wolf', '1', '-1', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45390', 'Minotaur', '$1393', 'L1Monster', '1517', '37', '300', '20', '-20', '20', '18', '10', '12', '14', '0', '1370', '-20', 'small', '0', '0', '1', '0', '1', '0', '640', '1160', '1160', '1160', '0', '0', '0', '0', '0', '0', 'minotaur', '1', '-1', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45391', 'Succubus of Varlok', '$3517', 'L1Monster', '1112', '37', '400', '250', '-25', '15', '15', '18', '25', '18', '50', '1370', '-40', 'small', '0', '1', '0', '0', '1', '0', '640', '800', '1500', '800', '2', '0', '0', '1', '1', '1', 'daemon', '1', '-1', '-1', '0', '0', '0', '5000', '20', '5000', '10', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '1', '0', '-2', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45392', 'Bugbear', '$325', 'L1Monster', '152', '37', '300', '30', '-16', '19', '18', '12', '12', '10', '10', '1370', '-25', 'large', '1', '0', '0', '0', '1', '0', '640', '840', '840', '840', '0', '0', '0', '1', '1', '0', 'bugbear', '1', '-1', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45393', 'Succubus', '$1000', 'L1Monster', '1112', '37', '400', '250', '-25', '15', '15', '18', '25', '18', '50', '1370', '-40', 'small', '0', '0', '1', '0', '1', '0', '640', '800', '1500', '800', '2', '0', '0', '1', '1', '1', 'succubus', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45394', 'Succubus', '$1000', 'L1Monster', '1112', '37', '400', '250', '-25', '15', '15', '18', '25', '18', '50', '1370', '-40', 'small', '0', '0', '1', '0', '1', '0', '640', '800', '1500', '800', '2', '0', '0', '1', '1', '1', 'succubus', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45395', 'Dire Bat', '$2892', 'L1Monster', '3415', '38', '350', '200', '-50', '19', '18', '12', '12', '10', '0', '1445', '-23', 'small', '0', '0', '0', '0', '1', '0', '853', '1560', '1560', '1560', '0', '0', '0', '1', '1', '1', 'bat', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45396', 'Dire Wolf', '$2105', 'L1Monster', '2392', '38', '600', '20', '-30', '22', '17', '18', '15', '16', '35', '1445', '-36', 'large', '0', '0', '0', '1', '1', '0', '480', '1440', '1440', '1440', '0', '0', '0', '1', '1', '1', 'direwolf', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45397', 'Dark Elf Ranger', '$2495', 'L1Monster', '2976', '38', '500', '30', '-20', '16', '12', '14', '11', '10', '40', '1445', '-25', 'small', '0', '0', '0', '0', '10', '0', '1280', '1360', '1360', '1360', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45398', 'Dark Elf Soldier', '$2887', 'L1Monster', '3044', '38', '500', '30', '-28', '16', '20', '18', '18', '18', '35', '1445', '-50', 'small', '0', '0', '0', '0', '2', '0', '640', '960', '960', '960', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45399', 'Wicked Mimic', '$2384', 'L1Monster', '1479', '38', '500', '30', '-2', '16', '12', '14', '11', '10', '40', '1445', '-25', 'small', '0', '0', '1', '0', '1', '0', '1280', '1120', '1120', '1120', '0', '0', '0', '1', '1', '0', '', '0', '-1', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45400', 'Succubus', '$1000', 'L1Monster', '4091', '38', '411', '257', '-26', '15', '15', '18', '26', '18', '5', '1301', '-40', 'small', '0', '0', '1', '0', '1', '0', '640', '800', '1500', '800', '2', '0', '0', '1', '1', '1', 'succubus', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45401', 'Arachnevil Elder', '$319', 'L1Monster', '146', '38', '250', '30', '-20', '18', '16', '14', '6', '5', '10', '1445', '-23', 'large', '0', '0', '1', '0', '2', '0', '480', '840', '840', '840', '0', '1', '0', '1', '1', '1', 'spider', '1', '-1', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45402', 'Raging Skeleton Axeman', '$2389', 'L1Monster', '1104', '39', '500', '50', '-30', '18', '14', '14', '12', '10', '25', '1522', '-30', 'small', '0', '0', '0', '0', '1', '0', '480', '840', '840', '840', '1', '0', '0', '1', '1', '1', 'skeleton', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45403', 'Raging Skeleton Pike', '$2391', 'L1Monster', '1106', '39', '450', '45', '-30', '16', '14', '15', '12', '10', '35', '1522', '-30', 'small', '0', '0', '1', '0', '2', '0', '640', '880', '880', '880', '1', '0', '0', '1', '1', '1', 'skeleton', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45404', 'Dark Elf Soldier', '$2887', 'L1Monster', '3044', '39', '600', '80', '-28', '16', '20', '18', '18', '18', '35', '1522', '-50', 'small', '0', '0', '0', '0', '2', '0', '640', '960', '960', '960', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45405', 'Black Wizard', '$3141', 'L1Monster', '3698', '32', '380', '600', '-22', '20', '16', '12', '10', '11', '25', '1025', '-10', 'small', '0', '0', '0', '0', '1', '0', '1280', '1280', '1280', '1280', '0', '0', '0', '1', '1', '1', 'blackwizard', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45406', 'Wicked Beholder', '$2383', 'L1Monster', '1123', '39', '540', '600', '-20', '12', '15', '14', '18', '18', '55', '1522', '-30', 'large', '0', '0', '0', '0', '1', '0', '960', '1120', '1120', '1120', '0', '0', '1', '1', '1', '1', 'gazer', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45407', 'Cimaera', '$2107', 'L1Monster', '2407', '39', '550', '40', '-25', '19', '18', '16', '8', '8', '35', '1522', '-40', 'small', '0', '0', '0', '0', '2', '1', '960', '1440', '1440', '1440', '0', '1', '0', '1', '1', '0', 'cimaera', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45408', 'Taurverus', '$1568', 'L1Monster', '4121', '32', '350', '180', '-23', '17', '12', '15', '12', '10', '10', '1025', '-30', 'small', '1', '0', '0', '0', '1', '0', '880', '1000', '1000', '1000', '2', '0', '0', '1', '1', '1', 'cerberus', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45409', 'Dire Wolf', '$2105', 'L1Monster', '2392', '40', '600', '20', '-30', '22', '17', '18', '15', '16', '35', '1601', '-36', 'large', '0', '0', '0', '0', '2', '0', '480', '1440', '1440', '1440', '0', '0', '0', '1', '1', '1', 'direwolf', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45410', 'Nightmare', '$2103', 'L1Monster', '2332', '40', '450', '0', '-42', '12', '10', '15', '8', '8', '80', '1601', '-38', 'large', '1', '0', '0', '0', '2', '0', '480', '1600', '1600', '1600', '2', '0', '0', '1', '1', '1', 'nightmare', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45411', 'Dark Elf Guard', '$2890', 'L1Monster', '3402', '40', '800', '50', '-23', '18', '18', '20', '5', '5', '30', '1601', '-37', 'small', '0', '0', '0', '0', '10', '0', '853', '960', '960', '960', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45412', 'Dark Elf Guard', '$2890', 'L1Monster', '3404', '40', '800', '50', '-27', '14', '14', '18', '5', '5', '30', '1601', '-37', 'small', '0', '0', '0', '0', '2', '0', '1280', '1360', '1360', '1360', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45413', 'Diego', '$3727', 'L1Monster', '4677', '40', '1500', '500', '-40', '24', '25', '12', '6', '8', '10', '1601', '-100', 'large', '0', '0', '0', '0', '1', '0', '800', '1000', '1000', '1000', '1', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45414', 'Dark Elf Beast Tamer', '$2891', 'L1Monster', '3409', '40', '600', '20', '-30', '22', '17', '18', '15', '16', '35', '1601', '-36', 'small', '1', '0', '0', '0', '2', '0', '1600', '1400', '1400', '1400', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45415', 'Dark Elf General', '$2885', 'L1Monster', '3366', '43', '1150', '50', '-40', '20', '18', '15', '17', '17', '90', '1850', '-50', 'small', '0', '0', '0', '0', '2', '0', '360', '1000', '1000', '1000', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45416', 'Fang of Earth', '$3467', 'L1Monster', '4012', '40', '1200', '200', '-30', '18', '16', '18', '18', '20', '20', '1601', '-20', 'small', '0', '0', '1', '0', '1', '0', '600', '1120', '1120', '1120', '0', '0', '0', '0', '0', '0', 'spiritearth', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45417', 'Death', '$1562', 'L1Monster', '4095', '40', '255', '73', '-60', '22', '20', '20', '16', '24', '9', '1441', '-28', 'small', '0', '0', '1', '0', '1', '0', '960', '2280', '2280', '2280', '1', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45418', 'Fang of Wind', '$3466', 'L1Monster', '4011', '40', '1200', '200', '-30', '18', '16', '18', '18', '20', '20', '1601', '-20', 'small', '0', '0', '0', '1', '1', '0', '600', '1120', '1120', '1120', '0', '0', '0', '0', '0', '0', 'spiritwind', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45419', 'Fang of Glacier', '$3465', 'L1Monster', '4010', '40', '1200', '200', '-30', '18', '16', '18', '18', '20', '20', '1601', '-20', 'small', '0', '1', '0', '0', '1', '0', '600', '1120', '1120', '1120', '0', '0', '0', '0', '0', '0', 'spiritwater', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45420', 'Cyclops', '$1113', 'L1Monster', '1202', '40', '800', '50', '-23', '20', '18', '7', '5', '5', '30', '1601', '-37', 'large', '0', '0', '0', '1', '2', '1', '960', '1160', '1160', '1160', '0', '0', '0', '1', '0', '0', 'cyclops', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45421', 'Goblin of Ordeal', '$4029', 'L1Monster', '1022', '40', '3', '10', '10', '16', '12', '16', '7', '7', '2', '1', '0', 'small', '0', '0', '0', '0', '1', '0', '760', '920', '920', '920', '0', '0', '0', '0', '0', '0', 'goblin', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45422', 'Subterranean Great King Turtle', '$3271', 'L1Monster', '1649', '40', '2400', '40', '-20', '18', '18', '15', '18', '24', '60', '10000', '-22', 'large', '0', '1', '0', '0', '2', '0', '1920', '1320', '1320', '1320', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '5000', '66', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45423', 'Subterranean Beholder', '$3277', 'L1Monster', '1123', '40', '1000', '30', '-38', '16', '16', '16', '18', '20', '70', '5000', '-30', 'large', '0', '0', '0', '0', '1', '0', '960', '1120', '1120', '1120', '0', '0', '1', '0', '0', '0', 'gazer', '1', '-1', '-1', '0', '0', '0', '5000', '29', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45424', 'Fang of Flame', '$3464', 'L1Monster', '4009', '40', '1200', '200', '-30', '18', '16', '18', '18', '20', '20', '1601', '-20', 'small', '1', '0', '0', '0', '1', '0', '600', '1120', '1120', '1120', '0', '0', '0', '0', '0', '0', 'spiritfire', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45425', 'Black Wizard', '$3141', 'L1Monster', '3698', '39', '600', '400', '-28', '16', '20', '18', '18', '18', '35', '1522', '-50', 'small', '0', '0', '0', '0', '1', '0', '1280', '1280', '1280', '1280', '0', '0', '0', '1', '1', '1', 'blackwizard', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45440', 'Nightmare', '$2103', 'L1Monster', '2332', '40', '450', '0', '-42', '12', '10', '15', '8', '8', '80', '1601', '-38', 'large', '1', '0', '0', '0', '2', '0', '480', '1600', '1600', '1600', '2', '0', '0', '1', '1', '1', 'nightmare', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45445', 'Griffon', '$1176', 'L1Monster', '1204', '41', '410', '150', '-25', '16', '15', '12', '12', '10', '10', '1682', '-30', 'large', '0', '0', '0', '1', '1', '0', '640', '1280', '1280', '1280', '0', '0', '0', '1', '1', '1', 'griffon', '1', '-1', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45446', 'Dark Elf Ranger', '$2495', 'L1Monster', '2976', '41', '700', '50', '-50', '13', '17', '18', '20', '18', '50', '1682', '-50', 'small', '0', '0', '0', '0', '10', '0', '1280', '1360', '1360', '1360', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45447', 'Dark Elf Wizard', '$2888', 'L1Monster', '3376', '41', '500', '500', '-32', '17', '17', '18', '25', '22', '75', '1682', '-50', 'small', '0', '0', '0', '0', '1', '0', '1920', '1560', '1560', '1560', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45448', 'Lastabad Tormenter', '$3808', 'L1Monster', '3694', '40', '85', '0', '-36', '16', '13', '14', '14', '15', '55', '1601', '-50', 'small', '1', '0', '0', '0', '2', '0', '1280', '1560', '1560', '1560', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '45840', '0', '0');
INSERT INTO `npc` VALUES ('45449', 'Minotaur', '$1393', 'L1Monster', '1520', '41', '430', '30', '-20', '20', '18', '10', '12', '14', '0', '1682', '-30', 'small', '0', '0', '1', '0', '1', '0', '640', '1160', '1160', '1160', '0', '0', '0', '1', '1', '1', 'minotaur', '1', '-1', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45450', 'Succubus Queen of Varlok', '$3518', 'L1Monster', '1116', '41', '500', '400', '-32', '17', '17', '18', '25', '18', '80', '1682', '-50', 'small', '0', '1', '0', '0', '1', '0', '640', '800', '1100', '800', '2', '0', '0', '1', '1', '1', 'daemon', '1', '-1', '-1', '0', '0', '0', '5000', '50', '5000', '10', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '1', '0', '-2', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45451', 'Succubus Queen', '$1019', 'L1Monster', '1116', '41', '500', '400', '-32', '17', '17', '18', '25', '18', '80', '1682', '-50', 'small', '0', '0', '1', '0', '1', '0', '640', '800', '1100', '800', '2', '0', '0', '1', '1', '1', 'succubus', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45452', 'Harpy', '$959', 'L1Monster', '1024', '41', '250', '150', '-28', '16', '10', '18', '11', '10', '25', '1682', '-27', 'small', '0', '0', '0', '1', '1', '0', '840', '1240', '1240', '1240', '0', '0', '2', '1', '1', '0', 'harpy', '1', '-1', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45453', 'Heavy Oum', '$3144', 'L1Monster', '3596', '41', '950', '50', '-20', '13', '17', '18', '20', '18', '45', '1682', '-50', 'large', '0', '0', '0', '0', '2', '0', '1600', '1800', '1800', '1800', '0', '0', '0', '1', '1', '1', 'oum', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45454', 'Raging Ghoul', '$2392', 'L1Monster', '144', '42', '550', '70', '-35', '16', '17', '16', '11', '12', '45', '1764', '-50', 'small', '0', '1', '1', '0', '1', '0', '1280', '720', '720', '720', '1', '4', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45455', 'Raging Spartoi', '$2387', 'L1Monster', '145', '42', '550', '50', '-38', '17', '15', '16', '14', '14', '40', '1764', '-35', 'small', '0', '0', '0', '0', '1', '0', '800', '920', '920', '920', '1', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45456', 'Necromancer', '$331', 'L1Monster', '183', '42', '800', '250', '-32', '12', '15', '12', '17', '17', '80', '1765', '-50', 'small', '0', '0', '0', '1', '1', '0', '640', '1480', '1480', '1480', '0', '0', '0', '1', '1', '1', 'necromansar', '1', '-1', '-1', '0', '0', '0', '5000', '130', '5000', '160', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '4', '1');
INSERT INTO `npc` VALUES ('45457', 'Doppelganger', '$1554', 'L1Monster', '31', '42', '350', '30', '-21', '19', '18', '12', '12', '10', '60', '1765', '-25', 'small', '0', '0', '1', '0', '1', '0', '960', '1040', '1040', '1040', '0', '0', '0', '1', '1', '0', 'doppel', '1', '-1', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45458', 'Spirit of Drake', '$4028', 'L1Monster', '4218', '42', '1200', '50', '-35', '18', '18', '20', '18', '18', '50', '1765', '-45', 'small', '0', '0', '1', '0', '1', '0', '960', '1280', '1280', '1280', '3', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '20', '5000', '8', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45459', 'Guardian of Earth Spirit', '$3820', 'L1Monster', '4634', '42', '725', '10', '-37', '19', '20', '15', '10', '10', '60', '1765', '-25', 'small', '0', '0', '1', '0', '1', '0', '960', '1280', '1400', '1200', '0', '0', '0', '1', '1', '1', 'spirit', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45460', 'Guardian of Water Spirit', '$3818', 'L1Monster', '4632', '42', '725', '10', '-37', '19', '20', '15', '10', '10', '60', '1765', '-25', 'small', '0', '1', '0', '0', '1', '0', '960', '1280', '1400', '1200', '0', '0', '0', '1', '1', '1', 'spirit', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45461', 'Guardian of Wind Spirit', '$3821', 'L1Monster', '4786', '42', '725', '10', '-37', '19', '20', '15', '10', '10', '60', '1765', '-25', 'small', '0', '0', '0', '1', '1', '0', '960', '1280', '1520', '1200', '0', '0', '0', '1', '1', '1', 'spirit', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45462', 'Guardian of Fire Spirit', '$3819', 'L1Monster', '4633', '42', '725', '10', '-37', '19', '20', '15', '10', '10', '60', '1765', '-25', 'small', '1', '0', '0', '0', '1', '0', '960', '1280', '1400', '1200', '0', '0', '0', '1', '1', '1', 'spirit', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45463', 'Medusa', '$2113', 'L1Monster', '4097', '42', '490', '140', '-19', '20', '21', '19', '20', '18', '58', '1765', '-39', 'small', '0', '0', '0', '0', '1', '0', '960', '1200', '1200', '1200', '0', '0', '1', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('45464', 'Sema', '$338', 'L1Monster', '183', '42', '800', '20', '-32', '12', '15', '12', '17', '17', '80', '1765', '-50', 'small', '0', '1', '0', '1', '1', '0', '640', '900', '800', '800', '0', '0', '0', '1', '1', '1', 'foursage', '1', '-1', '-1', '0', '0', '0', '5000', '125', '5000', '165', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '4', '1');
INSERT INTO `npc` VALUES ('45465', 'Guardian of Darkness Spirit', '$3822', 'L1Monster', '4787', '42', '725', '364', '-37', '19', '20', '15', '10', '15', '60', '1764', '-25', 'small', '0', '0', '1', '0', '1', '0', '960', '1280', '1400', '1200', '0', '0', '0', '1', '1', '1', 'spirit', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45466', 'Oum Warrior', '$3830', 'L1Monster', '4689', '42', '628', '0', '-50', '15', '14', '14', '10', '8', '40', '1764', '-25', 'small', '0', '0', '1', '0', '1', '0', '640', '1280', '1280', '1280', '0', '0', '0', '1', '1', '1', 'oum', '1', '-1', '-1', '0', '0', '0', '5000', '15', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45467', 'Wolf Rider', '$3809', 'L1Monster', '3409', '42', '378', '0', '-37', '15', '17', '12', '17', '17', '65', '1765', '-50', 'small', '1', '0', '0', '0', '2', '0', '960', '1120', '1360', '1360', '0', '0', '0', '1', '1', '1', 'wolfrider', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45468', 'Cursed Orc Zombie', '$2610', 'L1Monster', '1121', '42', '800', '25', '-60', '10', '10', '10', '7', '14', '25', '1765', '-10', 'small', '1', '0', '1', '0', '1', '0', '1440', '1800', '1800', '1800', '1', '1', '0', '1', '1', '1', 'zombie', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45469', 'Crocodile', '$1406', 'L1Monster', '1572', '42', '440', '30', '-28', '15', '13', '13', '6', '5', '10', '1765', '-15', 'large', '0', '1', '0', '0', '2', '0', '960', '1600', '1600', '1600', '0', '0', '0', '1', '1', '1', 'alligator', '1', '-1', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45470', 'Ghast Lord', '$619', 'L1Monster', '257', '42', '360', '50', '-22', '18', '18', '16', '12', '11', '20', '1765', '-30', 'small', '0', '0', '1', '0', '1', '0', '1080', '680', '680', '680', '0', '2', '0', '1', '1', '1', 'ghast', '1', '-1', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45471', 'Horrific Cerberus', '$2385', 'L1Monster', '951', '43', '350', '105', '-35', '17', '18', '15', '12', '16', '25', '1850', '-40', 'small', '1', '0', '0', '0', '1', '0', '640', '1040', '1040', '1040', '2', '0', '0', '1', '1', '1', 'cerberus', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45472', 'Dark Elf General', '$2885', 'L1Monster', '3366', '43', '1150', '50', '-50', '20', '18', '15', '17', '17', '45', '1850', '-50', 'small', '0', '0', '0', '0', '2', '0', '360', '1000', '1000', '1000', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45473', 'Baltuzar', '$335', 'L1Monster', '185', '43', '800', '250', '-32', '12', '15', '12', '17', '17', '80', '1850', '-50', 'small', '0', '0', '1', '0', '1', '0', '640', '1480', '800', '800', '0', '0', '0', '1', '1', '1', 'foursage', '1', '-1', '-1', '0', '0', '0', '5000', '145', '5000', '180', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '4', '1');
INSERT INTO `npc` VALUES ('45474', 'Dark Forester', '$3823', 'L1Monster', '3747', '43', '385', '77', '-35', '14', '15', '14', '10', '18', '75', '1850', '-25', 'small', '0', '0', '0', '1', '2', '0', '853', '1720', '2200', '2200', '0', '0', '0', '1', '1', '1', 'darkforester', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '45849', '0', '0');
INSERT INTO `npc` VALUES ('45475', 'Thief of Darkness', '$3802', 'L1Monster', '3412', '43', '600', '0', '-53', '15', '15', '20', '17', '17', '45', '1850', '-25', 'small', '0', '0', '1', '0', '10', '0', '1280', '1440', '1440', '1440', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '45835', '0', '0');
INSERT INTO `npc` VALUES ('45476', 'Cerberus', '$925', 'L1Monster', '4100', '43', '215', '108', '-36', '17', '18', '15', '12', '16', '25', '1665', '-27', 'small', '1', '0', '0', '0', '2', '0', '640', '1040', '1040', '1040', '2', '0', '0', '1', '1', '1', 'cerberus', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45477', 'Troll', '$989', 'L1Monster', '1098', '43', '330', '30', '-25', '18', '16', '16', '8', '8', '20', '1850', '-20', 'large', '0', '0', '1', '0', '1', '0', '960', '1200', '1200', '1200', '0', '0', '0', '1', '1', '0', 'troll', '1', '-1', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45478', 'Necromancer', '$331', 'L1Monster', '183', '45', '800', '250', '-32', '12', '15', '12', '17', '17', '80', '1765', '-50', 'small', '0', '0', '0', '1', '1', '0', '640', '900', '800', '800', '0', '0', '0', '1', '1', '1', 'necromansar', '1', '-1', '-1', '0', '0', '0', '5000', '160', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '4', '0');
INSERT INTO `npc` VALUES ('45479', 'Horrific Iron Golem', '$2407', 'L1Monster', '2147', '44', '800', '20', '-37', '70', '18', '18', '10', '10', '35', '1937', '-90', 'large', '0', '1', '0', '0', '1', '0', '1920', '1760', '1760', '1760', '0', '0', '0', '1', '1', '1', 'golem', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '4', '0');
INSERT INTO `npc` VALUES ('45480', 'Fire Necromancer', '$2394', 'L1Monster', '173', '44', '450', '250', '-32', '12', '15', '12', '17', '17', '90', '1937', '-50', 'small', '1', '0', '0', '0', '1', '0', '640', '1480', '1480', '1480', '0', '0', '0', '1', '1', '1', 'necromansar', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '4', '0');
INSERT INTO `npc` VALUES ('45481', 'Lesser Demon', '$2112', 'L1Monster', '2524', '44', '420', '100', '-38', '20', '17', '16', '12', '14', '80', '1937', '-60', 'small', '1', '0', '0', '0', '1', '0', '720', '720', '720', '720', '2', '0', '0', '1', '1', '1', 'daemon', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('45482', 'Lesser Demon of Varlok', '$3515', 'L1Monster', '2524', '44', '420', '100', '-38', '20', '17', '16', '12', '14', '80', '1937', '-60', 'small', '1', '0', '0', '0', '1', '0', '720', '720', '720', '720', '2', '0', '0', '1', '1', '1', 'daemon', '1', '-1', '-1', '0', '0', '0', '5000', '40', '5000', '40', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '1', '0', '-2', '-1', '14', '0');
INSERT INTO `npc` VALUES ('45483', 'Black Tiger', '$3136', 'L1Monster', '3547', '40', '600', '0', '-37', '15', '18', '12', '13', '7', '45', '1601', '-50', 'small', '1', '0', '0', '0', '2', '0', '853', '1640', '1640', '1640', '0', '0', '0', '1', '1', '1', 'tiger', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45484', 'Dark Mage', '$3824', 'L1Monster', '3698', '44', '409', '148', '-36', '12', '12', '15', '17', '17', '70', '1937', '-50', 'small', '0', '0', '0', '0', '1', '0', '1280', '1280', '1280', '1280', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45485', 'Dark Lycanthrope', '$2614', 'L1Monster', '1108', '44', '750', '60', '-64', '16', '16', '18', '10', '12', '45', '1937', '-18', 'small', '0', '0', '1', '1', '1', '0', '640', '800', '800', '800', '0', '0', '0', '1', '1', '1', 'wolf', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45486', 'Darkness Avenger', '$3828', 'L1Monster', '4603', '45', '1056', '0', '-52', '17', '18', '15', '13', '16', '55', '2026', '-25', 'small', '0', '0', '1', '0', '1', '0', '960', '1120', '1120', '1120', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '25', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45487', 'Subterranean Elekkadom', '$3274', 'L1Monster', '1616', '44', '1800', '80', '-20', '16', '18', '18', '18', '24', '30', '8000', '-20', 'large', '0', '1', '0', '0', '2', '0', '800', '1240', '1240', '1240', '0', '0', '0', '0', '0', '0', 'angler', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45488', 'Caspa', '$336', 'L1Monster', '173', '44', '450', '250', '-32', '12', '15', '12', '17', '17', '80', '1937', '-50', 'small', '0', '0', '0', '0', '1', '0', '640', '1480', '800', '800', '0', '0', '0', '1', '1', '1', 'foursage', '1', '-1', '-1', '0', '0', '0', '5000', '150', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '4', '1');
INSERT INTO `npc` VALUES ('45489', 'Assassin of Blood', '$3801', 'L1Monster', '5596', '44', '800', '278', '-54', '18', '19', '15', '15', '15', '60', '1937', '-25', 'small', '0', '0', '1', '0', '10', '0', '640', '840', '1080', '1080', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '2989', '0', '45834', '0', '0');
INSERT INTO `npc` VALUES ('45490', 'Priest of Chaos', '$3780', 'L1Monster', '4550', '44', '500', '300', '-54', '22', '22', '22', '22', '22', '0', '1937', '-5', 'large', '0', '0', '0', '0', '6', '0', '1000', '750', '750', '750', '3', '0', '0', '1', '0', '0', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '5', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '1', '4552', '2', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45491', 'Follower of Chaos', '$3782', 'L1Monster', '4521', '44', '250', '300', '-60', '25', '25', '25', '25', '25', '0', '1937', '-5', 'large', '0', '0', '0', '0', '6', '0', '1000', '1172', '1172', '1172', '3', '0', '0', '1', '0', '0', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '5', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '1', '4552', '2', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45492', 'Kuman', '$3726', 'L1Monster', '4746', '44', '2000', '100', '-50', '18', '18', '16', '10', '16', '35', '1937', '-500', 'small', '0', '0', '0', '0', '6', '0', '800', '1000', '1000', '1000', '0', '0', '0', '0', '0', '0', 'pirate', '1', '-1', '-1', '0', '0', '0', '5000', '56', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '4749', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45493', 'Raging Skeleton Fighter', '$2388', 'L1Monster', '1132', '45', '700', '90', '-40', '18', '14', '14', '14', '14', '45', '2026', '-50', 'small', '0', '0', '0', '0', '1', '0', '480', '840', '840', '840', '1', '0', '0', '1', '1', '1', 'skeleton', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45494', 'Raging Skeleton Marksman', '$2390', 'L1Monster', '1130', '45', '650', '100', '-38', '16', '14', '16', '16', '16', '45', '2026', '-48', 'small', '0', '0', '0', '0', '10', '0', '800', '920', '920', '920', '1', '0', '0', '1', '1', '1', 'skeleton', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '66', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45495', 'Lastabad Palace Guard', '$3803', 'L1Monster', '4609', '45', '800', '278', '-55', '19', '18', '18', '12', '14', '50', '2026', '-25', 'small', '0', '0', '1', '0', '1', '0', '640', '1200', '1560', '1560', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '45832', '0', '0');
INSERT INTO `npc` VALUES ('45496', 'Lesser Dragon', '$2104', 'L1Monster', '2379', '45', '800', '120', '-45', '35', '18', '12', '18', '18', '60', '2026', '-45', 'large', '1', '0', '0', '0', '1', '0', '960', '1360', '1950', '1360', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('45497', 'Merkyor', '$337', 'L1Monster', '187', '45', '450', '250', '-32', '12', '15', '12', '17', '17', '80', '2026', '-50', 'small', '0', '0', '0', '0', '1', '0', '640', '1480', '800', '800', '0', '0', '0', '1', '1', '1', 'foursage', '1', '-1', '-1', '0', '0', '0', '5000', '175', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '4', '1');
INSERT INTO `npc` VALUES ('45498', 'Grave Guardian', '$3412', 'L1Monster', '4209', '45', '1000', '1000', '-45', '55', '21', '11', '21', '18', '70', '2026', '-80', 'large', '1', '1', '0', '0', '2', '0', '1280', '1000', '1000', '1000', '0', '0', '0', '1', '1', '1', 'graveguardian', '1', '-1', '-1', '0', '0', '0', '5000', '250', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45499', 'Vampire', '$2399', 'L1Monster', '4104', '45', '1205', '1402', '-53', '10', '10', '15', '16', '16', '68', '1823', '-100', 'small', '0', '0', '1', '0', '1', '0', '960', '1040', '1040', '2320', '2', '0', '0', '1', '1', '1', 'vampire', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45500', 'Water Spirit Master', '$3469', 'L1Monster', '4017', '45', '1400', '200', '-40', '20', '16', '18', '18', '22', '35', '2026', '-20', 'small', '0', '1', '0', '0', '1', '0', '960', '1440', '1600', '1600', '0', '0', '0', '0', '0', '0', 'spiritwater', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1608', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45501', 'Abyss Ghoul', '$3477', 'L1Monster', '4005', '45', '2400', '10', '-10', '22', '20', '8', '16', '14', '68', '2026', '-100', 'small', '1', '1', '0', '1', '3', '0', '2000', '1040', '1040', '1040', '1', '1', '0', '1', '0', '0', '', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45502', 'Abyss Archer', '$3478', 'L1Monster', '4125', '45', '600', '10', '-65', '18', '14', '20', '16', '14', '58', '2026', '-100', 'small', '0', '0', '0', '0', '10', '0', '640', '840', '840', '840', '1', '0', '0', '1', '0', '0', '', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '66', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45503', 'Black Knight of Darkness', '$2618', 'L1Monster', '4003', '45', '900', '10', '-67', '19', '16', '17', '12', '12', '65', '2026', '-15', 'small', '0', '0', '0', '0', '2', '0', '480', '1120', '1120', '1120', '0', '0', '0', '1', '1', '0', 'antiking', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('45504', 'Assassin Master', '$2446', 'L1Monster', '2843', '45', '1000', '400', '-32', '17', '17', '18', '25', '18', '50', '2026', '-50', 'small', '1', '0', '0', '0', '1', '0', '960', '1280', '1280', '1280', '0', '0', '0', '1', '1', '0', '', '0', '-1', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45505', 'Ettin', '$1010', 'L1Monster', '1128', '45', '550', '70', '-27', '20', '18', '16', '18', '16', '0', '2026', '-40', 'large', '0', '0', '1', '0', '2', '0', '640', '1160', '1160', '1160', '0', '0', '0', '1', '1', '0', 'brute', '1', '-1', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45506', 'Cursed Elmore Wizard', '$2612', 'L1Monster', '2112', '45', '300', '100', '-62', '15', '17', '10', '10', '19', '90', '2026', '-20', 'small', '0', '0', '0', '0', '1', '0', '1440', '1920', '1920', '1920', '1', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45507', 'Disciple of Death', '$2657', 'L1Monster', '3083', '57', '2000', '100', '-66', '70', '20', '11', '20', '20', '70', '3250', '-10', 'large', '0', '0', '0', '0', '1', '0', '480', '840', '840', '840', '3', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('45508', 'Earth Spirit Master', '$3471', 'L1Monster', '4041', '45', '1400', '200', '-40', '20', '16', '18', '18', '22', '35', '2026', '-20', 'small', '0', '0', '1', '0', '1', '0', '1920', '1760', '1760', '1760', '0', '0', '0', '0', '0', '0', 'spiritearth', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45509', 'King Bugbear', '$937', 'L1Monster', '894', '45', '480', '30', '-18', '21', '18', '12', '12', '10', '20', '2026', '-32', 'large', '1', '0', '0', '0', '1', '0', '640', '720', '720', '720', '0', '0', '0', '1', '1', '1', 'bugbear', '1', '-1', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45510', 'Wind Spirit Master', '$3470', 'L1Monster', '4024', '45', '1400', '200', '-40', '20', '16', '18', '18', '22', '35', '2026', '-20', 'small', '0', '0', '0', '1', '1', '0', '960', '920', '1240', '1440', '0', '0', '0', '0', '0', '0', 'spirit', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45511', 'Fire Spirit Master', '$3468', 'L1Monster', '4013', '45', '1400', '200', '-40', '20', '16', '18', '18', '22', '35', '2026', '-20', 'small', '1', '0', '0', '0', '1', '0', '640', '1080', '1600', '1240', '0', '0', '0', '0', '0', '0', 'spiritfire', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45512', 'Hell Bound', '$3811', 'L1Monster', '4643', '40', '657', '278', '-40', '16', '18', '15', '12', '15', '0', '1601', '-25', 'small', '0', '0', '1', '0', '1', '0', '640', '1040', '1080', '1080', '0', '0', '0', '1', '1', '1', 'tiger', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45513', 'Zenith Queen', '$2395', 'L1Monster', '2807', '45', '1200', '250', '-50', '55', '18', '45', '18', '18', '70', '2026', '-70', 'large', '1', '0', '1', '0', '1', '0', '480', '1480', '1760', '1960', '0', '1', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '75', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '2', '1');
INSERT INTO `npc` VALUES ('45514', 'Fire Ghost', '$2393', 'L1Monster', '1321', '45', '500', '25', '-45', '18', '14', '14', '14', '14', '45', '2026', '-30', 'small', '1', '1', '1', '1', '1', '0', '960', '1000', '1000', '1000', '1', '0', '0', '1', '1', '1', 'ghost', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45515', 'Ifrit', '$1567', 'L1Monster', '1773', '46', '1100', '300', '-28', '20', '18', '18', '18', '18', '40', '2117', '-55', 'large', '1', '0', '0', '0', '1', '0', '960', '1640', '1640', '1640', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45516', 'Ifrit', '$1567', 'L1Monster', '1773', '46', '1100', '300', '-28', '20', '18', '18', '18', '18', '80', '2117', '-55', 'large', '1', '0', '0', '0', '1', '0', '960', '1640', '1640', '1640', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '75', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45517', 'Spiritologist of Blood', '$3832', 'L1Monster', '4670', '46', '1198', '318', '-54', '15', '15', '14', '15', '19', '70', '2117', '-50', 'small', '0', '0', '1', '0', '1', '0', '640', '1080', '1440', '1440', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '45', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45518', 'Heavy Oum Warrior', '$3831', 'L1Monster', '3596', '46', '898', '0', '-54', '17', '16', '15', '12', '10', '40', '2117', '-25', 'large', '0', '0', '1', '0', '1', '0', '1600', '1800', '1800', '1800', '0', '0', '0', '1', '1', '1', 'oum', '1', '-1', '-1', '0', '0', '0', '5000', '15', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45519', 'Fire Ghost', '$2393', 'L1Monster', '1318', '46', '500', '25', '-48', '18', '14', '14', '14', '14', '45', '2117', '-30', 'small', '1', '1', '1', '1', '1', '0', '960', '1000', '1000', '1000', '1', '0', '0', '1', '1', '1', 'ghost', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45520', 'Spirit Taurverus of Fire', '$2616', 'L1Monster', '1780', '46', '830', '80', '-65', '20', '20', '18', '18', '18', '55', '2117', '-50', 'small', '1', '0', '0', '0', '1', '0', '880', '1000', '1000', '1000', '2', '0', '0', '1', '1', '1', 'cerberus', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45521', 'Hell Creature', '$3812', 'L1Monster', '4622', '43', '962', '0', '-41', '16', '19', '15', '10', '16', '45', '1850', '-25', 'small', '0', '0', '1', '0', '1', '0', '960', '960', '960', '960', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45522', 'Bone Dragon', '$2108', 'L1Monster', '2409', '47', '720', '140', '-48', '32', '16', '11', '18', '18', '90', '2210', '-50', 'large', '1', '0', '0', '0', '1', '0', '960', '1280', '1800', '1280', '3', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('45523', 'Lord of Darkness', '$3833', 'L1Monster', '4657', '47', '1274', '1200', '-55', '16', '17', '14', '14', '18', '75', '2210', '-25', 'small', '0', '0', '1', '0', '1', '0', '640', '1080', '1440', '1440', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '20', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45524', 'Cursed Elmore Soldier', '$2611', 'L1Monster', '2150', '47', '700', '20', '-61', '16', '16', '17', '12', '15', '30', '2210', '-20', 'small', '0', '0', '0', '0', '2', '0', '480', '1040', '1040', '1040', '1', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45526', 'Crimson Drake', '$3813', 'L1Monster', '4649', '43', '1020', '278', '-42', '13', '20', '15', '8', '9', '65', '1850', '-25', 'small', '0', '0', '1', '0', '1', '0', '480', '1160', '920', '920', '0', '0', '0', '1', '1', '1', 'drake', '1', '-1', '-1', '0', '0', '0', '5000', '20', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45527', 'Blood Rain Knight', '$3829', 'L1Monster', '4615', '47', '1274', '318', '-55', '20', '18', '16', '12', '15', '65', '2210', '-25', 'small', '0', '0', '1', '0', '1', '0', '960', '1200', '1200', '1200', '1', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '35', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45528', 'Cruel Snow Tiger', '$2615', 'L1Monster', '2086', '48', '850', '50', '-64', '19', '18', '17', '12', '10', '20', '2305', '-25', 'large', '0', '1', '1', '0', '1', '0', '960', '1360', '1360', '1360', '0', '0', '0', '1', '1', '1', 'tiger', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45529', 'Drake', '$972', 'L1Monster', '1062', '48', '1200', '550', '-48', '32', '18', '18', '15', '15', '70', '2305', '-43', 'large', '0', '0', '0', '1', '1', '0', '320', '960', '960', '960', '0', '0', '0', '1', '1', '1', 'drake', '0', '-1', '-1', '0', '0', '0', '5000', '150', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45530', 'Grave Guardian Mage', '$3411', 'L1Monster', '4051', '48', '1500', '1000', '-50', '55', '21', '11', '21', '18', '70', '2305', '-80', 'large', '1', '1', '0', '0', '2', '0', '1280', '960', '960', '960', '0', '0', '0', '1', '1', '1', 'graveguardian', '1', '-1', '-1', '0', '0', '0', '5000', '250', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45531', 'Basilisk', '$962', 'L1Monster', '1041', '48', '800', '300', '-25', '30', '18', '17', '12', '12', '30', '2305', '-38', 'large', '0', '1', '0', '0', '1', '0', '800', '1240', '1240', '1240', '0', '0', '1', '1', '1', '1', 'basilisk', '1', '-1', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45532', 'Fire Archer of Darkness', '$2620', 'L1Monster', '1832', '48', '800', '20', '-58', '13', '10', '20', '11', '12', '45', '2305', '-25', 'small', '1', '0', '0', '0', '10', '0', '960', '2000', '1000', '1000', '0', '0', '0', '1', '1', '1', 'burningarcher', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45533', 'Phantom Knight', '$3814', 'L1Monster', '4664', '43', '880', '278', '-43', '19', '15', '16', '16', '16', '50', '1850', '-50', 'small', '0', '0', '1', '0', '2', '0', '640', '1160', '1160', '1160', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '25', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45534', 'Mambo Rabbit', '$3462', 'L1Monster', '4168', '50', '3000', '300', '-35', '18', '18', '18', '18', '18', '50', '20000', '-100', 'small', '0', '0', '0', '0', '1', '0', '960', '800', '800', '800', '0', '0', '0', '1', '0', '0', 'pirate', '1', '-1', '-1', '0', '0', '0', '5000', '8', '5000', '20', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45535', 'Mambo Rabbit', '$3462', 'L1Monster', '4171', '50', '4000', '300', '-40', '20', '18', '18', '22', '22', '60', '20000', '-100', 'small', '0', '0', '0', '0', '1', '0', '960', '840', '840', '840', '0', '0', '0', '0', '0', '0', '', '1', '-1', '-1', '0', '0', '0', '5000', '20', '5000', '20', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45536', 'Priest of Death', '$3781', 'L1Monster', '4574', '45', '750', '1200', '-50', '20', '17', '16', '12', '14', '100', '2026', '-5', 'large', '0', '0', '0', '0', '1', '0', '1500', '1172', '1172', '1172', '3', '0', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '5', '5000', '20', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '5', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45537', 'Grave Guardian Knight', '$3410', 'L1Monster', '4212', '50', '2000', '1000', '-55', '55', '21', '11', '21', '18', '70', '2501', '-80', 'large', '1', '1', '0', '0', '2', '0', '1280', '1080', '1080', '1080', '0', '0', '0', '1', '1', '1', 'graveguardian', '1', '-1', '-1', '0', '0', '0', '5000', '250', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45538', 'Cyclops', '$1113', 'L1Monster', '1202', '50', '880', '50', '-28', '20', '18', '7', '5', '5', '30', '2501', '-37', 'large', '0', '0', '0', '1', '2', '0', '960', '1160', '1160', '1160', '0', '0', '0', '1', '1', '1', 'cyclops', '1', '-1', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45539', 'Thing', '$3479', 'L1Monster', '4007', '50', '2400', '200', '-35', '20', '20', '18', '18', '22', '75', '2501', '-100', 'small', '0', '0', '1', '0', '3', '0', '640', '2280', '2280', '2280', '1', '0', '0', '1', '1', '1', 'spirit', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45540', 'Fire Warrior of Darkness', '$2619', 'L1Monster', '1770', '50', '950', '20', '-64', '18', '10', '18', '12', '15', '30', '2501', '-25', 'small', '1', '0', '0', '0', '2', '0', '960', '1520', '1520', '1520', '0', '0', '0', '1', '1', '1', 'burningwarrior', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45541', 'Cursed Elmore General', '$2613', 'L1Monster', '2137', '50', '750', '100', '-63', '17', '18', '15', '12', '15', '40', '2501', '-25', 'small', '0', '0', '0', '0', '1', '0', '960', '1200', '1200', '1200', '1', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45542', 'Priest of Death', '$3781', 'L1Monster', '4576', '50', '1250', '300', '-55', '25', '25', '25', '25', '25', '100', '2501', '-5', 'large', '0', '0', '0', '0', '1', '0', '1336', '1000', '1000', '1000', '3', '0', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '0', '10', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45543', 'Priest of Chaos', '$3780', 'L1Monster', '4550', '50', '500', '300', '-60', '25', '25', '25', '25', '25', '100', '2501', '-5', 'large', '0', '0', '0', '0', '6', '0', '1000', '750', '750', '750', '3', '0', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '5', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '4552', '2', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45544', 'Follower of Chaos', '$3782', 'L1Monster', '4550', '50', '250', '300', '-60', '25', '25', '25', '25', '25', '100', '2501', '-5', 'large', '0', '0', '0', '0', '6', '0', '1000', '750', '750', '750', '3', '0', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '5', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '4552', '2', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45545', 'Dark Elder', '$992', 'L1Monster', '183', '50', '1500', '1000', '-45', '12', '15', '12', '17', '17', '90', '2501', '-50', 'small', '0', '0', '1', '0', '1', '0', '640', '900', '800', '800', '0', '0', '0', '1', '1', '1', 'elder', '1', '-1', '-1', '0', '0', '0', '5000', '180', '5000', '200', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '3', '1');
INSERT INTO `npc` VALUES ('45546', 'Doppelganger', '$1554', 'L1Monster', '2389', '50', '3000', '100', '-63', '20', '19', '18', '15', '17', '80', '2501', '-60', 'small', '0', '0', '0', '1', '1', '0', '1040', '1440', '1440', '1440', '0', '0', '0', '1', '1', '1', 'doppel', '0', '-1', '-1', '0', '0', '0', '5000', '250', '5000', '250', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45547', 'Seer', '$2397', 'L1Monster', '2773', '50', '1500', '300', '-53', '60', '15', '50', '18', '18', '75', '2501', '-60', 'large', '0', '0', '0', '0', '1', '0', '480', '1440', '1400', '1600', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '75', '5000', '75', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45548', 'Jose', '$3728', 'L1Monster', '4698', '50', '800', '500', '-60', '16', '10', '16', '6', '8', '60', '2501', '-1000', 'small', '0', '0', '0', '0', '8', '0', '800', '1000', '1000', '1000', '3', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2989', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45549', 'Ball Lightning', '$2485', 'L1Monster', '2727', '7', '90', '22', '-7', '16', '17', '18', '15', '16', '15', '8', '-10', 'small', '0', '0', '0', '1', '1', '0', '960', '920', '920', '920', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '50', '600', '150', '-45', '1', '-65', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45550', 'Dark Elder', '$992', 'L1Monster', '183', '50', '1500', '1000', '-45', '12', '15', '12', '17', '17', '90', '2501', '-50', 'small', '0', '0', '1', '0', '1', '0', '640', '900', '800', '800', '0', '0', '0', '1', '1', '1', 'elder', '1', '-1', '-1', '0', '0', '0', '5000', '0', '5000', '200', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '3', '0');
INSERT INTO `npc` VALUES ('45551', 'Fungus', '$757', 'L1Monster', '852', '7', '90', '1', '-7', '6', '10', '12', '6', '6', '1', '8', '-10', 'small', '0', '0', '1', '0', '1', '0', '1040', '1480', '1480', '1480', '0', '1', '0', '0', '0', '0', 'fungus', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '50', '600', '10', '-45', '1', '-65', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45552', 'Salamander', '$1505', 'L1Monster', '1666', '7', '90', '37', '-7', '17', '12', '15', '12', '10', '10', '8', '-11', 'small', '1', '0', '0', '0', '1', '0', '640', '1080', '1080', '1080', '0', '0', '0', '0', '0', '0', 'salamander', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '50', '600', '250', '-45', '1', '-70', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45553', 'Ice Golem', '$1395', 'L1Monster', '1525', '7', '90', '0', '-7', '46', '16', '10', '5', '2', '7', '8', '-10', 'large', '0', '0', '1', '0', '1', '0', '1920', '1480', '1480', '1480', '0', '0', '0', '0', '0', '0', 'golem', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '50', '600', '0', '-45', '1', '-65', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45554', 'Killer Bee', '$2484', 'L1Monster', '2788', '8', '90', '1', '-9', '17', '17', '18', '11', '10', '10', '9', '-10', 'small', '0', '0', '0', '1', '1', '0', '480', '960', '960', '960', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '80', '600', '10', '-60', '1', '-65', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45555', 'Fire Egg', '$1570', 'L1Monster', '1820', '7', '90', '1', '-7', '16', '18', '16', '16', '12', '35', '8', '-10', 'small', '1', '0', '0', '0', '1', '0', '800', '1000', '1000', '1000', '0', '0', '0', '0', '0', '0', 'fireegg', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '50', '600', '10', '-45', '1', '-65', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45556', 'Ice Man', '$1791', 'L1Monster', '2158', '7', '90', '5', '-7', '17', '17', '17', '12', '12', '15', '8', '-10', 'large', '0', '0', '1', '0', '1', '0', '960', '1600', '1600', '1600', '0', '0', '0', '0', '0', '0', 'iceman', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '50', '600', '22', '-45', '1', '-65', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45557', 'Will O\' Wisp', '$2489', 'L1Monster', '2975', '6', '90', '37', '-9', '16', '18', '16', '16', '17', '35', '7', '-2', 'small', '0', '0', '0', '0', '1', '0', '960', '1120', '1120', '1120', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '40', '360', '150', '-33', '1', '-6', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45558', 'Will O\' Wisp', '$2489', 'L1Monster', '2972', '24', '360', '150', '-33', '16', '18', '16', '16', '17', '35', '25', '-6', 'small', '0', '0', '0', '0', '1', '0', '960', '1120', '1120', '1120', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '40', '600', '250', '-55', '1', '-10', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45559', 'Will O\' Wisp', '$2489', 'L1Monster', '2973', '24', '360', '150', '-33', '16', '18', '16', '16', '17', '35', '25', '-6', 'small', '0', '0', '0', '0', '1', '0', '960', '1120', '1120', '1120', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '40', '600', '250', '-55', '1', '-10', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45560', 'Will O\' Wisp', '$2489', 'L1Monster', '2974', '6', '90', '37', '-9', '16', '18', '16', '16', '17', '35', '7', '-2', 'small', '0', '0', '0', '0', '1', '0', '960', '1120', '1120', '1120', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '40', '600', '250', '-55', '1', '-10', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45561', 'Will O\' Wisp', '$2489', 'L1Monster', '2752', '6', '90', '37', '-9', '16', '18', '16', '16', '17', '35', '7', '-2', 'small', '0', '0', '0', '0', '1', '0', '960', '1120', '1120', '1120', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '40', '600', '250', '-55', '1', '-10', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45562', 'Guardian Armor', '$2487', 'L1Monster', '2771', '8', '150', '0', '-8', '21', '19', '12', '5', '3', '0', '9', '-11', 'large', '0', '0', '0', '0', '1', '0', '960', '1640', '1640', '1640', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '56', '1000', '0', '-50', '1', '-70', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45564', 'Nightmare', '$2103', 'L1Monster', '2332', '50', '1800', '500', '-50', '4', '17', '29', '16', '18', '45', '638', '-10', 'small', '1', '0', '0', '0', '2', '0', '480', '1600', '1600', '1600', '2', '0', '0', '1', '1', '1', 'nightmare', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45569', 'Baphomet of Varlok', '$3519', 'L1Monster', '53', '51', '3000', '350', '-65', '68', '20', '18', '17', '16', '80', '2602', '-100', 'small', '0', '0', '1', '0', '1', '0', '480', '760', '800', '1050', '2', '0', '0', '1', '1', '1', 'daemon', '1', '-1', '-1', '0', '0', '0', '5000', '150', '5000', '40', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '0', '-2', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45570', 'Priest of Corruption', '$2655', 'L1Monster', '3957', '51', '2500', '250', '-50', '55', '21', '11', '21', '18', '70', '2602', '-100', 'small', '0', '0', '0', '0', '1', '0', '960', '1320', '1320', '1320', '3', '0', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '100', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '0', '30', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45571', 'Priest of Corruption', '$2655', 'L1Monster', '3195', '51', '2800', '100', '-53', '55', '21', '11', '21', '18', '70', '2602', '-100', 'small', '0', '0', '0', '0', '2', '0', '560', '1040', '1040', '1040', '3', '0', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '120', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '0', '30', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45572', 'Astagio of Fire', '$2617', 'L1Monster', '1841', '51', '900', '30', '-65', '22', '18', '22', '11', '10', '50', '2602', '-30', 'large', '1', '0', '0', '0', '1', '0', '800', '1000', '1000', '1000', '0', '0', '0', '1', '1', '1', 'asitagio', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45573', 'Baphomet', '$306', 'L1Monster', '53', '51', '3000', '350', '-65', '68', '20', '18', '17', '16', '80', '2602', '-100', 'small', '0', '0', '1', '0', '1', '0', '480', '760', '800', '1050', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '300', '5000', '300', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45574', 'Palace General Kyte', '$3800', 'L1Monster', '4701', '51', '12544', '732', '-61', '16', '15', '17', '12', '16', '60', '2602', '-25', 'small', '0', '0', '1', '0', '8', '0', '960', '1160', '1800', '1800', '0', '0', '0', '0', '0', '0', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '4673', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45575', 'Disciple of Death', '$2657', 'L1Monster', '4693', '52', '750', '300', '-55', '15', '15', '18', '25', '18', '100', '2705', '-5', 'large', '0', '0', '0', '0', '1', '0', '1000', '1172', '1172', '1172', '3', '0', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '20', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '10', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45576', 'Priest of Chaos', '$3780', 'L1Monster', '4521', '52', '750', '300', '-65', '25', '25', '25', '25', '25', '100', '2705', '-5', 'large', '0', '0', '0', '0', '6', '0', '1000', '1172', '1172', '1172', '3', '0', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '8', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '4552', '2', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45577', 'Brigade Commander Dark Fencer', '$3807', 'L1Monster', '4625', '52', '12028', '300', '-47', '19', '20', '18', '16', '15', '40', '2705', '-25', 'small', '0', '0', '1', '0', '1', '0', '960', '760', '1320', '1320', '0', '0', '0', '0', '0', '0', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '45', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45578', 'Drake', '$972', 'L1Monster', '1062', '53', '1200', '550', '-38', '32', '18', '18', '15', '15', '40', '2810', '-43', 'large', '0', '0', '0', '1', '1', '0', '320', '960', '960', '960', '0', '0', '0', '1', '1', '1', 'drake', '1', '-1', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45579', 'Beleth of Varlok', '$3520', 'L1Monster', '1011', '53', '2100', '350', '-66', '68', '20', '18', '18', '17', '80', '2810', '-100', 'small', '0', '0', '1', '0', '1', '0', '480', '760', '800', '1050', '2', '0', '0', '1', '1', '1', 'daemon', '1', '-1', '-1', '0', '0', '0', '5000', '380', '5000', '380', '0', '0', '0', '0', '0', '0', '0', '4', '1', '0', '0', '0', '0', '-2', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45580', 'Succubus Queen of Darkness', '$2621', 'L1Monster', '1116', '53', '1800', '400', '-70', '17', '17', '18', '25', '18', '80', '2810', '-50', 'small', '0', '1', '0', '0', '1', '0', '640', '800', '1100', '800', '2', '0', '0', '1', '1', '1', 'succubus', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45581', 'Insolent Zenith Queen', '$2622', 'L1Monster', '2807', '53', '1800', '250', '-65', '25', '18', '18', '18', '18', '100', '2810', '-70', 'large', '1', '1', '1', '1', '1', '0', '480', '1480', '1760', '1960', '0', '1', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '5000', '100', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '2', '0');
INSERT INTO `npc` VALUES ('45582', 'Priest of Corruption', '$2655', 'L1Monster', '3989', '53', '3000', '300', '-58', '55', '21', '11', '21', '18', '70', '2810', '-100', 'small', '0', '0', '0', '0', '2', '0', '720', '1040', '1040', '1040', '3', '0', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '150', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '0', '30', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45583', 'Beleth', '$945', 'L1Monster', '1011', '53', '2100', '350', '-66', '68', '20', '18', '20', '20', '80', '2810', '-100', 'small', '0', '0', '1', '0', '1', '0', '480', '760', '800', '1050', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '380', '5000', '380', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45584', 'Greater Minotaur', '$2106', 'L1Monster', '2402', '53', '5000', '200', '-65', '70', '20', '12', '17', '18', '60', '2810', '-110', 'large', '0', '0', '1', '0', '1', '0', '960', '1520', '1520', '1520', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '100', '5000', '200', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45585', 'Assassin Squad Leader Blaze', '$3799', 'L1Monster', '4618', '53', '12873', '630', '-63', '15', '16', '18', '12', '16', '55', '2810', '-25', 'small', '1', '0', '0', '0', '10', '0', '640', '1280', '1160', '1160', '0', '0', '0', '0', '0', '0', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2989', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45586', 'Lesser Seer', '$2623', 'L1Monster', '2773', '54', '1600', '350', '-63', '15', '15', '15', '18', '18', '99', '2917', '-60', 'large', '0', '0', '0', '0', '1', '0', '480', '1440', '1400', '1600', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '5000', '100', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45587', 'Priest of Corruption', '$2655', 'L1Monster', '3984', '54', '4000', '400', '-63', '55', '21', '11', '21', '18', '70', '2917', '-100', 'small', '0', '0', '0', '0', '2', '0', '720', '1120', '1120', '1120', '3', '1', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '150', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '0', '30', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45588', 'Division Commander Sinclair', '$3806', 'L1Monster', '4667', '54', '12262', '1017', '-49', '15', '16', '12', '15', '18', '60', '2917', '-25', 'small', '0', '0', '1', '0', '8', '0', '960', '1080', '1080', '1520', '0', '0', '0', '0', '0', '0', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '45', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '4660', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45589', 'Zombie Lord of Fear', '$2625', 'L1Monster', '2803', '55', '3500', '100', '-68', '22', '25', '18', '10', '15', '40', '3026', '-180', 'large', '0', '0', '1', '0', '2', '0', '1440', '1880', '1240', '1800', '3', '0', '0', '1', '1', '1', 'zombie', '0', '-1', '-1', '0', '0', '0', '0', '0', '5000', '300', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45590', 'Reaper', '$2863', 'L1Monster', '3092', '55', '1800', '400', '-60', '25', '20', '20', '25', '15', '70', '3026', '-250', 'small', '0', '0', '1', '0', '1', '0', '480', '1400', '1400', '1400', '3', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45591', 'Abyss Water Spirit', '$3473', 'L1Monster', '4028', '55', '1800', '200', '-50', '20', '16', '18', '18', '24', '45', '3026', '-20', 'small', '0', '1', '0', '0', '1', '0', '960', '2240', '2240', '2240', '0', '0', '0', '1', '0', '0', 'spiritwater', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45592', 'Abyss Earth Spirit', '$3475', 'L1Monster', '4030', '55', '1800', '200', '-50', '20', '16', '18', '18', '24', '45', '3026', '-20', 'small', '0', '0', '1', '0', '1', '0', '960', '1360', '1360', '1360', '0', '0', '0', '1', '0', '0', 'spiritearth', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45593', 'Abyss Wind Spirit', '$3474', 'L1Monster', '4029', '55', '1800', '200', '-50', '20', '16', '18', '18', '24', '45', '3026', '-20', 'small', '0', '0', '0', '1', '1', '0', '960', '2080', '2080', '2080', '0', '0', '0', '1', '0', '0', 'spiritwind', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45594', 'Abyss Fire Spirit', '$3472', 'L1Monster', '4025', '55', '1800', '200', '-50', '20', '16', '18', '18', '24', '45', '3026', '-20', 'small', '1', '0', '0', '0', '1', '0', '960', '1200', '1200', '1200', '0', '0', '0', '1', '0', '0', 'spiritfire', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45595', 'Iris', '$2609', 'L1Monster', '3180', '55', '2500', '900', '-70', '25', '13', '13', '13', '18', '80', '3026', '-80', 'small', '0', '0', '0', '1', '1', '0', '1040', '1400', '1240', '1240', '3', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '5000', '250', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('45596', 'Guardsman of Yahee', '$3785', 'L1Monster', '4574', '55', '1500', '1200', '-50', '25', '21', '11', '11', '10', '100', '3026', '-5', 'large', '0', '0', '0', '0', '1', '0', '1500', '1172', '1172', '1172', '3', '0', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '20', '5000', '20', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '10', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45597', 'Disciple of Death', '$2657', 'L1Monster', '4563', '55', '1000', '300', '-60', '68', '20', '18', '17', '16', '100', '3026', '-5', 'large', '0', '0', '0', '0', '2', '0', '1500', '1344', '1344', '1344', '3', '0', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '20', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '0', '10', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45598', 'Disciple of Death', '$2657', 'L1Monster', '4652', '55', '1000', '300', '-60', '68', '20', '18', '18', '17', '100', '3026', '-5', 'large', '0', '0', '0', '0', '2', '0', '1500', '1125', '1125', '1125', '3', '0', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '20', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '0', '10', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45599', 'Priest of Chaos', '$3780', 'L1Monster', '4544', '55', '1000', '300', '-70', '25', '25', '25', '18', '18', '100', '3026', '-5', 'large', '0', '0', '0', '0', '6', '0', '1000', '1125', '1125', '1125', '3', '0', '0', '0', '0', '0', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '0', '2', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45600', 'Kurtz', '$274', 'L1Monster', '3101', '55', '2000', '250', '-67', '75', '18', '17', '15', '17', '65', '3026', '-120', 'small', '1', '0', '0', '0', '1', '0', '640', '680', '960', '1050', '0', '0', '0', '0', '1', '0', 'antiking', '1', '0', '4', '0', '0', '0', '5000', '420', '5000', '200', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45601', 'Death Knight', '$371', 'L1Monster', '240', '55', '4000', '250', '-67', '75', '18', '17', '15', '17', '65', '3026', '-120', 'small', '0', '0', '1', '0', '1', '0', '640', '600', '900', '960', '3', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '208', '5000', '200', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '14', '1');
INSERT INTO `npc` VALUES ('45602', 'Evil Magic Squad Leader Carmiel', '$3817', 'L1Monster', '4701', '55', '12269', '1413', '-47', '14', '18', '17', '14', '18', '60', '3026', '-25', 'small', '0', '0', '1', '0', '8', '0', '960', '1160', '1800', '1800', '0', '0', '0', '0', '0', '0', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '45', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '4673', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45603', 'Large Grave Guardian', '$3409', 'L1Monster', '4215', '56', '5000', '1500', '-63', '60', '21', '11', '21', '18', '70', '3137', '-80', 'large', '1', '1', '0', '0', '5', '0', '1280', '1040', '1040', '1040', '0', '0', '0', '1', '1', '1', 'graveguardian', '1', '-1', '-1', '0', '0', '0', '5000', '250', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45604', 'Marquise Vampire', '$2624', 'L1Monster', '2757', '56', '2500', '500', '-63', '13', '13', '13', '20', '20', '65', '3137', '-100', 'small', '1', '0', '0', '0', '1', '0', '960', '1040', '1040', '2320', '2', '0', '0', '1', '1', '1', 'vampire', '1', '-1', '-1', '0', '0', '0', '0', '0', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45605', 'Priest of Corruption', '$2655', 'L1Monster', '3969', '56', '3800', '380', '-60', '55', '21', '11', '21', '18', '70', '3137', '-100', 'small', '0', '0', '0', '0', '3', '0', '720', '960', '960', '960', '3', '0', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '150', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '0', '30', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45606', 'Vampire', '$2399', 'L1Monster', '2757', '56', '3000', '500', '-53', '13', '13', '56', '20', '20', '85', '2501', '-100', 'small', '0', '0', '1', '0', '1', '0', '960', '1040', '1040', '2320', '2', '0', '0', '1', '1', '1', 'vampire', '0', '-1', '-1', '0', '0', '0', '5000', '50', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45607', 'Evil Power Squad Leader Kybar', '$3805', 'L1Monster', '4625', '56', '12520', '1200', '-51', '19', '20', '18', '16', '15', '70', '3137', '-25', 'small', '0', '0', '0', '0', '1', '0', '960', '760', '1320', '1320', '0', '0', '0', '0', '0', '0', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '40', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45608', 'Mercenary Commander Mephaisto', '$3827', 'L1Monster', '4625', '56', '13282', '722', '-64', '18', '19', '19', '16', '17', '70', '3137', '-25', 'small', '0', '0', '1', '0', '1', '0', '960', '760', '1320', '1320', '0', '0', '0', '0', '0', '0', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45609', 'Ice Queen', '$1771', 'L1Monster', '2118', '56', '3000', '400', '-65', '30', '18', '20', '18', '18', '60', '3137', '-120', 'small', '0', '1', '0', '0', '1', '0', '960', '1320', '1320', '1320', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '250', '5000', '250', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45610', 'Ancient Giant', '$2109', 'L1Monster', '2421', '56', '5000', '350', '-63', '20', '20', '18', '18', '20', '70', '3137', '-80', 'large', '0', '0', '1', '0', '1', '0', '960', '1880', '1880', '1880', '0', '0', '0', '1', '1', '1', 'giant', '1', '-1', '-1', '0', '0', '0', '5000', '150', '5000', '225', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45611', 'Incarnation of Varlok', '$3414', 'L1Monster', '2538', '57', '8000', '500', '-60', '70', '20', '18', '20', '20', '70', '3250', '-180', 'large', '0', '0', '0', '0', '3', '0', '960', '1520', '1520', '1520', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '100', '5000', '300', '0', '0', '0', '0', '0', '0', '0', '8', '0', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45612', 'Temple Head Bounty', '$3816', 'L1Monster', '4854', '57', '12521', '1413', '-49', '15', '18', '14', '15', '19', '50', '3250', '-25', 'small', '0', '0', '1', '0', '8', '0', '960', '1080', '1080', '1520', '0', '0', '0', '0', '0', '0', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '45', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '4660', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45613', 'Varlok', '$2114', 'L1Monster', '2538', '57', '3100', '500', '-66', '68', '27', '25', '25', '25', '75', '3250', '-180', 'large', '1', '0', '0', '0', '1', '0', '960', '1520', '1520', '1520', '2', '0', '0', '1', '1', '1', 'daemon', '0', '-1', '-1', '0', '0', '0', '0', '0', '5000', '300', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45614', 'Giant Ant Queen', '$1506', 'L1Monster', '1390', '57', '8000', '100', '-65', '30', '18', '20', '17', '15', '60', '3250', '-120', 'large', '0', '0', '1', '0', '3', '0', '1280', '800', '1240', '1240', '0', '0', '0', '1', '1', '1', 'ant', '0', '-1', '-1', '0', '0', '0', '5000', '500', '5000', '200', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45615', 'Bright Magic Troup Leader Crepus', '$3826', 'L1Monster', '4625', '58', '13692', '722', '-66', '19', '19', '18', '16', '16', '60', '3365', '-25', 'small', '0', '0', '1', '0', '1', '0', '960', '760', '1320', '1320', '0', '0', '0', '0', '0', '0', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '25', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45616', 'Mummy Lord', '$2589', 'L1Monster', '3086', '58', '4000', '750', '-55', '20', '15', '14', '22', '22', '80', '3365', '-250', 'large', '0', '0', '1', '0', '1', '0', '1200', '440', '440', '440', '3', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '5000', '250', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45617', 'Phoenix', '$1569', 'L1Monster', '1791', '59', '6000', '200', '-63', '35', '18', '18', '22', '22', '99', '3482', '-130', 'large', '1', '0', '0', '0', '2', '0', '960', '1600', '1600', '1600', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '320', '5000', '500', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45618', 'Knight Vald', '$2588', 'L1Monster', '3066', '65', '5000', '600', '-70', '75', '65', '25', '18', '22', '80', '4226', '-100', 'large', '1', '0', '0', '0', '2', '0', '1360', '640', '1240', '1240', '3', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '280', '5000', '400', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45619', 'Great Spirit of Earth', '$2551', 'L1Monster', '2749', '60', '2500', '500', '-66', '25', '13', '13', '13', '18', '50', '3601', '-80', 'large', '0', '0', '1', '0', '2', '0', '960', '1360', '1360', '1360', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '100', '5000', '100', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45620', 'Great Spirit of Water', '$2482', 'L1Monster', '2738', '60', '2500', '500', '-66', '25', '13', '13', '13', '18', '50', '3601', '-80', 'large', '0', '1', '0', '0', '2', '0', '960', '2240', '2240', '2240', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '100', '5000', '100', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('45621', 'Great Spirit of Wind', '$2483', 'L1Monster', '2741', '60', '2500', '500', '-66', '25', '13', '13', '13', '18', '50', '3601', '-80', 'large', '0', '0', '0', '1', '2', '0', '960', '2080', '2080', '2080', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '100', '5000', '100', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('45622', 'Great Spirit of Fire', '$2481', 'L1Monster', '2747', '60', '2500', '500', '-66', '25', '13', '13', '13', '18', '50', '3601', '-80', 'large', '1', '0', '0', '0', '2', '0', '960', '1200', '1200', '1200', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '100', '5000', '100', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45623', 'Guardsman of Yahee', '$3785', 'L1Monster', '4521', '62', '1500', '300', '-55', '45', '21', '21', '21', '18', '100', '3845', '-5', 'large', '0', '0', '0', '0', '8', '0', '1000', '1172', '1172', '1172', '3', '0', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '100', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '4552', '20', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45624', 'Guardsman of Yahee', '$3785', 'L1Monster', '4576', '60', '2500', '300', '-60', '45', '21', '21', '21', '18', '100', '3601', '-5', 'large', '0', '0', '0', '0', '1', '0', '1336', '1000', '1000', '1000', '3', '0', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '120', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '0', '20', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45625', 'Chaos', '$3778', 'L1Monster', '4595', '60', '5000', '300', '-60', '45', '21', '21', '21', '18', '100', '3601', '-5', 'large', '0', '0', '0', '0', '1', '0', '1000', '1047', '1047', '1047', '3', '1', '0', '1', '1', '0', 'chaos', '0', '-1', '-1', '0', '0', '0', '5000', '150', '5000', '250', '0', '0', '0', '0', '0', '0', '0', '4', '1', '0', '0', '0', '0', '100', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45626', 'Priest of Chaos', '$3780', 'L1Monster', '4521', '22', '750', '300', '-65', '25', '25', '25', '25', '25', '100', '485', '-5', 'large', '0', '0', '0', '0', '6', '0', '1000', '1172', '1172', '1172', '3', '0', '0', '0', '0', '0', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '8', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '4552', '2', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45627', 'Priest of Chaos', '$3780', 'L1Monster', '4544', '55', '1000', '300', '-70', '25', '25', '25', '18', '18', '100', '3026', '-5', 'large', '0', '0', '0', '0', '6', '0', '1000', '1125', '1125', '1125', '3', '0', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '0', '2', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45628', 'Guardsman of Yahee', '$3785', 'L1Monster', '4693', '62', '1500', '300', '-65', '35', '21', '21', '21', '18', '100', '3845', '-5', 'large', '0', '0', '0', '0', '1', '0', '1000', '1172', '1172', '1172', '3', '0', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '120', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '20', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45629', 'Guardsman of Yahee', '$3785', 'L1Monster', '4563', '65', '2000', '300', '-70', '45', '21', '21', '21', '18', '100', '4226', '-5', 'large', '0', '0', '0', '0', '2', '0', '1500', '1344', '1344', '1344', '3', '0', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '120', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '0', '20', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45630', 'Guardsman of Yahee', '$3785', 'L1Monster', '4652', '65', '2000', '300', '-60', '45', '21', '21', '21', '18', '100', '4226', '-5', 'large', '0', '0', '0', '0', '2', '0', '1500', '1125', '1125', '1125', '3', '0', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '120', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '0', '20', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45631', 'Guardsman of Yahee', '$3785', 'L1Monster', '4544', '65', '2000', '300', '-70', '68', '25', '25', '18', '18', '100', '4226', '-5', 'large', '0', '0', '0', '0', '6', '0', '1000', '1125', '1125', '1125', '3', '0', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '120', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '0', '20', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45632', 'Guardsman of Yahee', '$3785', 'L1Monster', '4550', '60', '1000', '300', '-60', '35', '21', '11', '21', '18', '100', '3601', '-5', 'large', '0', '0', '0', '0', '6', '0', '1000', '750', '750', '750', '3', '0', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '80', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '1', '4552', '20', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45640', 'Unicorn', '$2488', 'L1Monster', '2755', '7', '270', '75', '-8', '19', '18', '17', '17', '16', '45', '7', '-2', 'small', '0', '0', '0', '0', '2', '0', '960', '1680', '1680', '1680', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '5000', '150', '0', '0', '0', '50', '1800', '500', '-50', '1', '-10', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45641', 'Nightmare', '$2103', 'L1Monster', '2332', '60', '2000', '500', '-55', '20', '18', '20', '16', '16', '45', '915', '-10', 'small', '1', '0', '0', '0', '2', '0', '480', '1600', '1600', '1600', '2', '0', '0', '1', '1', '1', 'nightmare', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45642', 'Great Spirit of Earth', '$2551', 'L1Monster', '2749', '60', '1500', '500', '-53', '30', '19', '18', '19', '18', '45', '3601', '-80', 'large', '0', '0', '1', '0', '1', '0', '960', '1360', '1360', '1360', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '5000', '100', '5000', '100', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45643', 'Great Spirit of Water', '$2482', 'L1Monster', '2738', '60', '1500', '500', '-53', '30', '20', '18', '18', '18', '45', '3601', '-80', 'large', '0', '1', '0', '0', '1', '0', '960', '2240', '2240', '2240', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '5000', '100', '5000', '100', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '1');
INSERT INTO `npc` VALUES ('45644', 'Great Spirit of Wind', '$2483', 'L1Monster', '2741', '60', '1500', '500', '-53', '30', '18', '20', '18', '18', '45', '3601', '-80', 'large', '0', '0', '0', '1', '1', '0', '960', '2080', '2080', '2080', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '5000', '100', '5000', '100', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '1');
INSERT INTO `npc` VALUES ('45645', 'Great Spirit of Fire', '$2481', 'L1Monster', '2747', '60', '1500', '500', '-53', '32', '18', '18', '18', '18', '45', '3601', '-80', 'large', '1', '0', '0', '0', '1', '0', '960', '1200', '1200', '1200', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '5000', '100', '5000', '100', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45646', 'Abyss Master', '$3476', 'L1Monster', '4034', '60', '4000', '100', '-60', '20', '20', '20', '18', '20', '60', '3601', '-100', 'small', '0', '0', '0', '0', '3', '0', '640', '720', '720', '720', '2', '0', '0', '0', '0', '0', '', '1', '-1', '-1', '0', '0', '0', '5000', '40', '5000', '100', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45647', 'Demon of Varlok', '$3516', 'L1Monster', '1180', '61', '6000', '250', '-68', '25', '20', '18', '20', '18', '75', '3722', '-150', 'large', '1', '0', '0', '0', '1', '0', '640', '720', '900', '960', '2', '0', '0', '1', '1', '1', 'daemon', '1', '-1', '-1', '0', '0', '0', '5000', '150', '5000', '100', '0', '0', '0', '0', '0', '0', '0', '8', '0', '0', '0', '0', '0', '-2', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45648', 'Slave of Assassin King', '$3798', 'L1Monster', '4527', '61', '16202', '1239', '-71', '16', '18', '20', '10', '17', '75', '3722', '-25', 'large', '0', '0', '0', '0', '10', '0', '640', '800', '1280', '1440', '0', '0', '0', '0', '0', '0', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '120', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '2989', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45649', 'Demon', '$1175', 'L1Monster', '1180', '61', '6000', '250', '-68', '25', '20', '18', '20', '20', '75', '3722', '-150', 'large', '0', '0', '1', '0', '1', '0', '640', '720', '900', '960', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '280', '5000', '350', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45650', 'Zombie Lord', '$2398', 'L1Monster', '2803', '62', '8000', '100', '-58', '65', '25', '62', '10', '15', '50', '3845', '-180', 'large', '0', '0', '1', '0', '2', '0', '1440', '1880', '1240', '1800', '3', '0', '0', '1', '1', '1', 'zombie', '0', '-1', '-1', '0', '0', '0', '5000', '250', '5000', '250', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45651', 'Dread King Baranka', '$3804', 'L1Monster', '3664', '63', '17290', '0', '-58', '22', '25', '20', '18', '18', '65', '3970', '-5', 'large', '0', '0', '0', '0', '2', '0', '480', '1000', '1000', '1000', '0', '0', '0', '0', '0', '0', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '150', '5000', '150', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45652', 'Cougar', '$2587', 'L1Monster', '3049', '63', '2800', '400', '-65', '65', '20', '63', '8', '20', '75', '3970', '-200', 'large', '0', '0', '0', '1', '1', '0', '480', '440', '440', '440', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '200', '5000', '200', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45653', 'Mummy Lord', '$2589', 'L1Monster', '3086', '63', '5000', '750', '-60', '65', '22', '63', '22', '22', '99', '3970', '-250', 'large', '0', '0', '1', '0', '1', '0', '1200', '440', '440', '440', '3', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '250', '5000', '250', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45654', 'Iris', '$2609', 'L1Monster', '3180', '64', '3100', '900', '-75', '70', '13', '64', '13', '18', '99', '4097', '-80', 'large', '0', '0', '0', '1', '1', '0', '1040', '1400', '1240', '1240', '3', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '275', '5000', '275', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '14', '1');
INSERT INTO `npc` VALUES ('45655', 'Guard', '$240', 'L1Monster', '3136', '65', '2000', '300', '-70', '126', '126', '126', '126', '126', '0', '4226', '-5', 'large', '0', '0', '0', '0', '1', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('45656', 'Guard', '$240', 'L1Monster', '3136', '65', '2000', '300', '-70', '126', '126', '126', '126', '126', '0', '4226', '-5', 'large', '0', '0', '0', '0', '1', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('45657', 'Guard', '$240', 'L1Monster', '3136', '65', '2000', '300', '-70', '126', '126', '126', '126', '126', '0', '4226', '-5', 'large', '0', '0', '0', '0', '1', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('45658', 'Guard', '$240', 'L1Monster', '3136', '65', '1500', '300', '-55', '126', '126', '126', '126', '126', '0', '4226', '-5', 'large', '0', '0', '0', '0', '1', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('45659', 'Guard', '$240', 'L1Monster', '3136', '65', '1500', '300', '-55', '126', '126', '126', '126', '126', '0', '4226', '-5', 'large', '0', '0', '0', '0', '1', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('45660', 'Guard', '$240', 'L1Monster', '3136', '65', '2000', '300', '-60', '126', '126', '126', '126', '126', '0', '4226', '0', 'large', '0', '0', '0', '0', '1', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('45661', 'Guard', '$240', 'L1Monster', '3136', '65', '1000', '300', '-50', '126', '126', '126', '126', '126', '0', '4226', '-5', 'large', '0', '0', '0', '0', '1', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('45662', 'Guard', '$2933 ??', 'L1Monster', '3136', '65', '1500', '300', '-55', '126', '126', '126', '126', '126', '0', '4226', '-5', 'large', '0', '0', '0', '0', '1', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('45664', 'Knight Vald', '$2588', 'L1Monster', '3066', '60', '5000', '600', '-65', '25', '25', '25', '8', '15', '55', '3601', '-100', 'small', '1', '0', '0', '0', '1', '0', '1360', '640', '1240', '1240', '3', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '5000', '400', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45665', 'Baras', '$2921', 'L1Monster', '3366', '65', '12000', '150', '-78', '19', '18', '18', '18', '18', '50', '4226', '-5', 'small', '0', '0', '0', '0', '2', '0', '360', '1000', '1000', '1000', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '300', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45666', 'Teranus', '$2923', 'L1Monster', '3366', '65', '12000', '150', '-78', '19', '18', '18', '18', '18', '50', '4226', '-5', 'small', '0', '0', '0', '0', '2', '0', '360', '1000', '1000', '1000', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '300', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45667', 'Kunos', '$2922', 'L1Monster', '3366', '65', '12000', '150', '-78', '19', '18', '18', '18', '18', '50', '4226', '-5', 'small', '0', '0', '0', '0', '2', '0', '360', '1000', '1000', '1000', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '300', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45668', 'Zyrus', '$2924', 'L1Monster', '3366', '65', '12000', '150', '-78', '19', '18', '18', '18', '18', '50', '4226', '-5', 'small', '0', '0', '0', '0', '2', '0', '360', '1000', '1000', '1000', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '300', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45669', 'Dark Elf General', '$2885', 'L1Monster', '3366', '40', '105', '50', '-43', '20', '18', '15', '17', '17', '45', '1601', '-25', 'small', '0', '0', '0', '0', '2', '0', '360', '1000', '1000', '1000', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45839', '0', '0');
INSERT INTO `npc` VALUES ('45670', 'Lastabad Royal Guard', '$4383', 'L1Monster', '3366', '48', '600', '50', '-50', '20', '18', '15', '17', '17', '45', '2305', '-50', 'large', '0', '0', '0', '0', '2', '0', '360', '1000', '1000', '1000', '1', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45671', 'Aaarrrggg...', '$3941', 'L1Monster', '4466', '65', '14500', '2250', '-60', '20', '20', '20', '22', '18', '45', '4226', '-250', 'large', '0', '0', '0', '0', '2', '0', '1920', '1080', '1080', '1080', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '250', '5000', '150', '0', '0', '0', '0', '0', '0', '0', '15', '1', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45672', 'Lich', '$2110', 'L1Monster', '2495', '66', '6000', '1250', '-75', '50', '20', '66', '22', '23', '99', '4357', '-250', 'large', '1', '0', '0', '1', '2', '0', '1920', '1440', '1600', '1240', '3', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '250', '5000', '350', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '14', '1');
INSERT INTO `npc` VALUES ('45673', 'Grim Reaper', '$2590', 'L1Monster', '3387', '68', '8000', '1200', '-80', '20', '20', '20', '20', '20', '80', '4625', '-250', 'large', '0', '0', '0', '0', '2', '0', '960', '1440', '1400', '4000', '3', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '350', '5000', '350', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45674', 'Death', '$3779', 'L1Monster', '4587', '70', '10000', '300', '-65', '45', '21', '21', '21', '18', '100', '4901', '-5', 'large', '0', '0', '0', '0', '2', '0', '1000', '1219', '1219', '1219', '3', '0', '0', '1', '1', '1', 'chaos', '0', '-1', '-1', '0', '0', '0', '5000', '250', '5000', '250', '0', '0', '0', '0', '0', '0', '0', '4', '1', '0', '0', '0', '4592', '100', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45675', 'Yahee', '$3777', 'L1Monster', '4569', '65', '12000', '4000', '-65', '45', '21', '21', '21', '18', '100', '4226', '-5', 'large', '0', '0', '0', '0', '2', '0', '640', '1400', '1920', '2320', '3', '0', '0', '1', '1', '1', 'chaos', '0', '-1', '-1', '0', '0', '0', '5000', '200', '5000', '200', '0', '0', '0', '0', '0', '0', '0', '4', '1', '0', '0', '0', '0', '100', '81082', '0', '1');
INSERT INTO `npc` VALUES ('45676', 'Bright Magic King Hellvine', '$3825', 'L1Monster', '4533', '70', '22672', '3970', '-78', '20', '20', '20', '20', '20', '85', '4901', '-25', 'large', '0', '0', '1', '0', '8', '0', '1040', '1560', '1720', '1880', '0', '0', '0', '0', '0', '0', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '150', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '66', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45677', 'Laia', '$3139', 'L1Monster', '3744', '65', '15070', '4277', '-57', '19', '18', '18', '18', '25', '80', '1937', '-5', 'small', '0', '0', '0', '0', '1', '0', '640', '1880', '1880', '1880', '0', '0', '0', '0', '0', '0', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '80', '5000', '150', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45678', 'Cerenis', '$2118', 'L1Monster', '2468', '72', '8000', '600', '-72', '18', '18', '18', '25', '25', '90', '5185', '-10', 'small', '0', '0', '0', '0', '1', '0', '960', '1080', '1240', '1240', '0', '0', '0', '1', '1', '1', 'antiking', '1', '-1', '-1', '0', '0', '0', '5000', '180', '5000', '180', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45680', 'Ken Rauhel', '$2117', 'L1Monster', '2419', '75', '14000', '150', '-78', '25', '25', '25', '18', '18', '50', '5626', '-5', 'small', '0', '0', '0', '0', '1', '0', '960', '1240', '1240', '1240', '0', '0', '0', '1', '1', '1', 'antiking', '1', '-1', '-1', '0', '0', '0', '5000', '300', '5000', '300', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45681', 'Lindvior', '$2116', 'L1Monster', '2544', '87', '20000', '900', '-99', '66', '21', '18', '20', '18', '99', '7570', '10000', 'large', '0', '0', '0', '1', '2', '0', '480', '1600', '1600', '1600', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '500', '5000', '500', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45682', 'Antharas', '$1116', 'L1Monster', '1245', '90', '22200', '800', '-99', '80', '21', '10', '20', '18', '99', '8101', '10000', 'large', '0', '0', '1', '0', '2', '0', '480', '2240', '2240', '2240', '0', '1', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '500', '5000', '500', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45683', 'Fafurion', '$1426', 'L1Monster', '1590', '93', '21000', '5000', '-99', '78', '20', '8', '22', '18', '99', '8650', '10000', 'large', '0', '1', '0', '0', '2', '0', '480', '1600', '1600', '1600', '0', '0', '1', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '500', '5000', '500', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45684', 'Valakas', '$1605', 'L1Monster', '2001', '95', '26000', '4500', '-99', '78', '20', '8', '22', '18', '99', '9026', '10000', 'large', '1', '0', '0', '0', '2', '0', '480', '1840', '1840', '1840', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '500', '5000', '500', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45685', 'Tarak', '$3407', 'L1Monster', '4068', '68', '6600', '1250', '-75', '66', '20', '66', '22', '20', '99', '4625', '-10', 'large', '0', '1', '0', '0', '3', '0', '720', '960', '960', '960', '3', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '440', '5000', '150', '0', '0', '0', '0', '0', '0', '0', '20', '1', '0', '0', '0', '0', '100', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45686', 'High Wolf', '$2703', 'L1Monster', '3199', '5', '30', '5', '18', '13', '13', '16', '7', '8', '1', '37', '0', 'small', '0', '0', '0', '0', '1', '1', '480', '880', '880', '880', '0', '0', '0', '0', '0', '0', 'wolf', '1', '-1', '-1', '0', '0', '0', '5000', '8', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45687', 'High Shepherd', '$2694', 'L1Monster', '3184', '5', '30', '5', '9', '15', '12', '15', '7', '7', '1', '26', '0', 'small', '0', '0', '0', '0', '1', '1', '560', '1000', '1000', '1000', '0', '0', '0', '0', '0', '0', 'dog', '1', '-1', '-1', '0', '0', '0', '5000', '8', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45688', 'High Doberman', '$2692', 'L1Monster', '3132', '5', '20', '5', '25', '16', '10', '16', '6', '8', '1', '37', '0', 'small', '0', '0', '0', '0', '1', '1', '560', '880', '880', '880', '0', '0', '0', '0', '0', '0', 'dog', '1', '-1', '-1', '0', '0', '0', '5000', '8', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45689', 'High Husky', '$2699', 'L1Monster', '3107', '5', '50', '5', '20', '10', '17', '15', '7', '7', '0', '37', '0', 'small', '0', '0', '0', '0', '1', '1', '560', '1040', '1040', '1040', '0', '0', '0', '0', '0', '0', 'dog', '1', '-1', '-1', '0', '0', '0', '5000', '8', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45690', 'High Bear', '$2693', 'L1Monster', '3188', '5', '50', '0', '28', '16', '16', '8', '8', '8', '0', '26', '0', 'small', '0', '0', '0', '0', '3', '1', '960', '1280', '1280', '1280', '0', '0', '0', '0', '0', '0', 'bear', '1', '-1', '-1', '0', '0', '0', '5000', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45691', 'High Collie', '$2704', 'L1Monster', '3211', '5', '40', '5', '25', '10', '16', '14', '10', '6', '1', '26', '0', 'small', '0', '0', '0', '0', '1', '1', '640', '960', '960', '960', '0', '0', '0', '0', '0', '0', 'dog', '1', '-1', '-1', '0', '0', '0', '5000', '8', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45692', 'High Beagle', '$2698', 'L1Monster', '3143', '5', '20', '30', '25', '11', '10', '10', '13', '14', '15', '26', '0', 'small', '0', '0', '0', '0', '1', '1', '640', '960', '960', '960', '0', '0', '0', '0', '0', '0', 'dog', '1', '-1', '-1', '0', '0', '0', '5000', '2', '5000', '8', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45693', 'High St. Bernard', '$2695', 'L1Monster', '3182', '5', '30', '30', '23', '10', '13', '10', '14', '14', '15', '26', '0', 'small', '0', '0', '0', '0', '1', '1', '720', '1040', '1040', '1040', '0', '0', '0', '0', '0', '0', 'dog', '1', '-1', '-1', '0', '0', '0', '5000', '2', '5000', '8', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45694', 'High Fox', '$2696', 'L1Monster', '3156', '5', '15', '30', '25', '10', '10', '15', '10', '15', '15', '26', '0', 'small', '0', '0', '0', '0', '1', '1', '640', '1160', '1160', '1160', '0', '0', '0', '0', '0', '0', 'animal', '1', '-1', '-1', '0', '0', '0', '5000', '2', '5000', '8', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45695', 'High Rabbit', '$2697', 'L1Monster', '3154', '5', '20', '30', '20', '9', '10', '9', '16', '16', '15', '26', '0', 'small', '0', '0', '0', '0', '1', '1', '960', '1120', '1120', '1120', '0', '0', '0', '0', '0', '0', 'manborabbit', '1', '-1', '-1', '0', '0', '0', '5000', '2', '5000', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45696', 'High Cat', '$2702', 'L1Monster', '3178', '5', '20', '30', '20', '9', '8', '13', '15', '15', '15', '26', '0', 'small', '0', '0', '0', '0', '1', '1', '560', '1000', '1000', '1000', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '5000', '2', '5000', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45697', 'High Raccoon', '$3510', 'L1Monster', '4133', '5', '30', '20', '20', '15', '10', '12', '12', '14', '15', '26', '0', 'small', '0', '0', '0', '0', '1', '1', '480', '1160', '1160', '1160', '0', '0', '0', '1', '0', '0', 'animal', '0', '-1', '-1', '0', '0', '0', '5000', '2', '5000', '8', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45698', 'Spirit of Ancient Person', '$2361', 'L1Monster', '1576', '22', '140', '40', '-50', '12', '11', '11', '9', '13', '5', '485', '-28', 'small', '0', '0', '1', '0', '1', '1', '640', '2280', '2280', '2280', '1', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45699', 'Spirit of Ancient Person', '$2361', 'L1Monster', '1130', '27', '250', '60', '-15', '16', '14', '16', '16', '16', '25', '730', '-30', 'small', '0', '0', '1', '0', '10', '0', '800', '920', '920', '920', '1', '0', '0', '1', '1', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '66', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45700', 'Spirit of Ancient Person', '$2361', 'L1Monster', '1132', '29', '280', '60', '-15', '18', '14', '14', '14', '14', '25', '842', '-30', 'small', '0', '0', '1', '0', '1', '0', '480', '840', '840', '840', '1', '0', '0', '1', '1', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45701', 'Spirit of Enraged Ancient Person', '$2362', 'L1Monster', '183', '42', '800', '20', '-32', '12', '15', '12', '17', '17', '45', '1765', '-50', 'small', '0', '0', '0', '0', '1', '0', '640', '900', '800', '800', '1', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '165', '5000', '165', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45702', 'Spirit of Enraged Ancient Person', '$2362', 'L1Monster', '185', '43', '1000', '250', '-50', '12', '15', '12', '17', '17', '45', '1850', '-50', 'small', '0', '0', '0', '0', '1', '0', '640', '1480', '800', '800', '1', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '180', '5000', '180', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45703', 'Spirit of Enraged Ancient Person', '$2362', 'L1Monster', '173', '44', '450', '250', '-32', '12', '15', '12', '17', '17', '100', '1937', '-50', 'small', '0', '0', '0', '0', '1', '0', '640', '1480', '800', '800', '1', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '200', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45704', 'Spirit of Enraged Ancient Person', '$2362', 'L1Monster', '187', '45', '450', '250', '-100', '12', '15', '12', '17', '17', '0', '2026', '-50', 'small', '0', '0', '0', '0', '1', '0', '640', '1480', '800', '800', '1', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '250', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45705', 'Creation of Varlok', '$2368', 'L1Monster', '2535', '36', '420', '120', '-16', '17', '18', '16', '17', '15', '50', '1297', '-39', 'small', '0', '0', '0', '0', '1', '0', '960', '1200', '1200', '1200', '0', '0', '1', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45706', 'Creation of Varlok', '$2368', 'L1Monster', '2332', '40', '450', '0', '-42', '12', '10', '15', '8', '8', '20', '1601', '-38', 'large', '0', '0', '0', '0', '2', '0', '480', '1600', '1600', '1600', '2', '0', '0', '1', '1', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45707', 'Creation of Varlok', '$2368', 'L1Monster', '2392', '40', '600', '20', '-30', '22', '17', '18', '15', '16', '35', '1601', '-36', 'large', '0', '0', '0', '0', '2', '0', '480', '1440', '1440', '1440', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45708', 'Creation of Varlok', '$2368', 'L1Monster', '2524', '44', '420', '100', '-38', '20', '17', '16', '12', '14', '30', '1937', '-60', 'small', '0', '0', '0', '0', '1', '0', '720', '720', '720', '720', '2', '0', '0', '1', '1', '1', 'daemon', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45709', 'Varlok\'s Servant', '$2360', 'L1Monster', '1180', '50', '1000', '50', '-68', '25', '25', '25', '25', '25', '75', '2501', '-150', 'large', '0', '0', '1', '0', '1', '0', '640', '720', '720', '720', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '40', '5000', '40', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45710', 'Battle Tiger', '$4075', 'L1Monster', '5089', '5', '50', '30', '9', '16', '16', '16', '16', '16', '15', '26', '0', 'small', '0', '0', '0', '0', '1', '1', '480', '880', '1000', '880', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '2500', '5', '2500', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45711', 'Jindo Puppy', '$4072', 'L1Monster', '5065', '5', '30', '30', '10', '10', '10', '12', '15', '14', '15', '26', '0', 'small', '0', '0', '0', '0', '2', '1', '720', '1000', '1000', '1000', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '5000', '5', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45712', 'Jindo Dog', '$4073', 'L1Monster', '4582', '5', '30', '30', '20', '13', '13', '10', '16', '14', '15', '26', '0', 'small', '0', '0', '0', '0', '2', '1', '560', '960', '960', '960', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '5000', '2', '5000', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45713', 'Forgotten Mimic', '$4313', 'L1Monster', '1479', '30', '400', '30', '-15', '16', '12', '14', '11', '10', '40', '901', '-35', 'small', '0', '0', '1', '0', '1', '0', '1280', '1120', '1120', '1120', '0', '0', '0', '1', '1', '1', 'mimic', '1', '-1', '-1', '0', '0', '0', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45714', 'Hidden Sea Depths Mimic', '$4653', 'L1Monster', '1479', '30', '400', '30', '-15', '16', '12', '14', '11', '10', '40', '901', '-35', 'small', '0', '0', '1', '0', '1', '0', '1280', '1120', '1120', '1120', '0', '0', '0', '0', '0', '0', 'mimic', '0', '-1', '-1', '0', '0', '0', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45715', 'Sea Depths Zombie', '$4312', 'L1Monster', '52', '32', '300', '20', '-18', '15', '16', '14', '5', '2', '45', '1025', '-30', 'small', '0', '0', '1', '0', '1', '0', '2000', '1040', '1040', '1040', '1', '0', '0', '1', '1', '1', 'zombie', '1', '-1', '-1', '0', '0', '0', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45716', 'Troglodyte Scout', '$4316', 'L1Monster', '1614', '32', '320', '30', '-24', '16', '18', '17', '12', '12', '40', '1025', '-20', 'small', '1', '0', '0', '0', '2', '0', '640', '1080', '1080', '1080', '0', '0', '0', '1', '1', '1', 'toroggu', '1', '-1', '-1', '0', '0', '0', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45717', 'Hidden Troglodyte Scout', '$4652', 'L1Monster', '1614', '32', '320', '30', '-24', '16', '18', '17', '12', '12', '40', '1025', '-20', 'small', '1', '0', '0', '0', '2', '0', '640', '1080', '1080', '1080', '0', '0', '0', '0', '1', '1', 'toroggu', '0', '-1', '-1', '0', '0', '0', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45718', 'Sea Depths Ghoul', '$4311', 'L1Monster', '144', '36', '400', '70', '-18', '16', '17', '16', '11', '12', '55', '1297', '-30', 'small', '0', '0', '1', '0', '1', '0', '1280', '720', '720', '720', '0', '4', '0', '1', '1', '1', 'ghoul', '1', '-1', '-1', '0', '0', '0', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45719', 'Grave Crocodile', '$4310', 'L1Monster', '1572', '38', '640', '20', '-25', '16', '14', '12', '6', '5', '30', '1445', '-40', 'large', '0', '1', '0', '0', '1', '0', '960', '1600', '1600', '1600', '0', '0', '0', '1', '1', '0', 'alligator', '1', '-1', '-1', '0', '0', '0', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45720', 'Drowned Male', '$4289', 'L1Monster', '5484', '38', '600', '30', '-40', '18', '15', '18', '10', '8', '60', '1445', '-50', 'small', '0', '1', '0', '0', '1', '0', '640', '640', '640', '640', '1', '0', '0', '1', '1', '1', 'drown', '1', '-1', '-1', '0', '0', '0', '5000', '12', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45721', 'Drowned Female', '$4290', 'L1Monster', '5412', '40', '500', '120', '-30', '14', '18', '24', '10', '14', '80', '1601', '-50', 'small', '0', '1', '0', '0', '2', '0', '640', '640', '640', '640', '1', '0', '0', '1', '1', '1', 'drown', '1', '-1', '-1', '0', '0', '0', '5000', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45722', 'Dark Elemental', '$4973', 'L1Monster', '3364', '30', '250', '120', '-10', '15', '13', '14', '14', '14', '30', '901', '-18', 'small', '0', '0', '0', '0', '1', '0', '640', '640', '640', '640', '0', '0', '0', '1', '1', '1', 'elemental', '1', '-1', '-1', '0', '0', '0', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45723', 'Dark Elemental', '$4972', 'L1Monster', '3364', '45', '1000', '200', '-35', '23', '20', '17', '12', '12', '45', '2026', '-38', 'small', '0', '0', '0', '0', '1', '0', '640', '640', '640', '640', '0', '0', '0', '1', '1', '1', 'elemental', '1', '-1', '-1', '0', '0', '0', '5000', '20', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45724', 'Shark', '$4947', 'L1Monster', '1644', '30', '400', '200', '-28', '18', '16', '18', '5', '5', '5', '901', '-20', 'large', '0', '1', '0', '0', '1', '0', '640', '1760', '1760', '1760', '0', '0', '0', '1', '1', '1', 'shark', '1', '-1', '-1', '0', '0', '0', '5000', '8', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45725', 'Grave Crabman', '$4315', 'L1Monster', '1610', '32', '450', '20', '-28', '18', '16', '16', '8', '8', '30', '1025', '-20', 'small', '0', '1', '0', '0', '2', '0', '960', '1000', '1000', '1000', '0', '0', '0', '0', '0', '0', 'crab', '1', '-1', '-1', '0', '0', '0', '5000', '9', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45726', 'Bone Eel', '$4294', 'L1Monster', '5405', '36', '600', '300', '-30', '18', '16', '15', '8', '8', '40', '1297', '-200', 'large', '0', '1', '0', '0', '2', '0', '640', '640', '640', '640', '1', '0', '0', '0', '1', '0', 'skeletoneel', '1', '-1', '-1', '0', '0', '0', '5000', '12', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45727', 'Grave Sea Dancer', '$4314', 'L1Monster', '4017', '45', '540', '800', '-36', '10', '14', '10', '18', '18', '60', '2026', '-30', 'small', '0', '1', '0', '0', '1', '0', '640', '640', '640', '640', '0', '0', '0', '1', '1', '0', 'seadancer', '1', '-1', '-1', '0', '0', '0', '5000', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45728', 'Deep Sea Fish', '$4292', 'L1Monster', '5289', '45', '1000', '0', '-35', '18', '18', '10', '6', '6', '40', '2026', '-100', 'large', '0', '1', '0', '0', '1', '0', '640', '640', '640', '640', '0', '0', '0', '0', '0', '0', 'deepseafish', '1', '-1', '-1', '0', '0', '0', '5000', '20', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45729', 'Hidden Deep Sea Fish', '$4655', 'L1Monster', '5289', '45', '1000', '0', '-35', '18', '18', '10', '6', '6', '40', '2026', '-100', 'large', '0', '1', '0', '0', '1', '0', '640', '640', '640', '640', '0', '0', '0', '0', '0', '0', 'deepseafish', '1', '-1', '-1', '0', '0', '0', '5000', '20', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45730', 'Ugly Mermaid', '$4291', 'L1Monster', '5554', '45', '800', '200', '-35', '18', '18', '15', '12', '14', '70', '2026', '-300', 'large', '0', '1', '0', '0', '2', '0', '640', '640', '640', '640', '0', '1', '0', '0', '1', '1', 'fishman', '1', '-1', '-1', '0', '0', '0', '5000', '16', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45731', 'Hidden Ugly Mermaid', '$4654', 'L1Monster', '5554', '45', '800', '200', '-35', '18', '18', '15', '12', '14', '70', '2026', '-300', 'large', '0', '1', '0', '0', '2', '0', '640', '640', '640', '640', '0', '1', '0', '0', '0', '0', 'fishmaninv', '1', '-1', '-1', '0', '0', '0', '5000', '16', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45732', 'Grave Elekkadom', '$4317', 'L1Monster', '1616', '48', '1500', '300', '-40', '20', '15', '17', '18', '15', '65', '2305', '-60', 'large', '0', '1', '0', '0', '2', '0', '800', '1240', '1240', '1240', '0', '0', '0', '0', '0', '0', 'angler', '1', '-1', '-1', '0', '0', '0', '5000', '30', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45733', 'Grave Crustacean', '$4318', 'L1Monster', '1632', '49', '1200', '30', '-45', '20', '18', '16', '12', '14', '20', '2402', '-60', 'large', '0', '1', '0', '0', '1', '0', '1440', '1800', '1800', '1800', '0', '0', '0', '0', '0', '0', 'hermitcrab', '1', '-1', '-1', '0', '0', '0', '5000', '24', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45734', 'Great King Squid', '$4293', 'L1Monster', '5547', '58', '4000', '500', '-55', '18', '18', '16', '10', '12', '60', '3365', '-200', 'large', '0', '1', '0', '0', '2', '0', '640', '640', '640', '640', '0', '0', '0', '0', '0', '0', 'cuttlefish', '1', '-1', '-1', '0', '0', '0', '5000', '50', '5000', '16', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45735', 'Chief Mermaid', '$4309', 'L1Monster', '5554', '60', '3000', '600', '-50', '18', '18', '23', '12', '12', '80', '3601', '-500', 'large', '0', '1', '0', '0', '2', '0', '640', '640', '640', '640', '0', '1', '0', '0', '0', '0', 'fishman', '1', '-1', '-1', '0', '0', '0', '5000', '81', '5000', '16', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45736', 'Lesser Demon', '$2112', 'L1Monster', '2524', '44', '420', '100', '-38', '20', '17', '16', '12', '14', '80', '1600', '-60', 'small', '0', '0', '0', '0', '1', '0', '720', '720', '720', '720', '2', '0', '0', '1', '1', '1', 'daemon', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '-2', '-1', '14', '0');
INSERT INTO `npc` VALUES ('45737', 'Goblin', '$958', 'L1Monster', '1022', '2', '3', '10', '10', '10', '12', '10', '7', '7', '2', '5', '-3', 'small', '0', '0', '1', '0', '1', '1', '760', '920', '920', '920', '0', '0', '0', '0', '0', '0', 'goblin', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45738', 'Bugbear', '$325', 'L1Monster', '152', '22', '250', '30', '-6', '19', '18', '12', '12', '10', '10', '485', '-25', 'large', '1', '0', '0', '0', '1', '1', '640', '840', '840', '840', '0', '0', '0', '1', '1', '0', 'bugbear', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45739', 'Shiboin of Earth', '$4326 $4330', 'L1Monster', '5338', '50', '500', '300', '-60', '35', '21', '11', '21', '18', '100', '1600', '-5', 'large', '0', '1', '0', '0', '6', '0', '960', '1040', '1040', '1040', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '3', '0', '0', '0', '0', '5341', '-6', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45740', 'Shiboin of Waves', '$4326 $4327', 'L1Monster', '5324', '50', '500', '300', '-60', '35', '21', '11', '21', '18', '100', '1600', '-5', 'large', '0', '0', '1', '0', '6', '0', '960', '1040', '1040', '1040', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '3', '0', '0', '0', '0', '5327', '-6', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45741', 'Shiboin of Fire', '$4326 $4328', 'L1Monster', '5331', '50', '500', '300', '-60', '35', '21', '11', '21', '18', '100', '1600', '-5', 'large', '1', '0', '0', '0', '6', '0', '960', '1040', '1040', '1040', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '3', '0', '0', '0', '0', '5334', '-6', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45742', 'Shiboin of Wind', '$4326 $4329', 'L1Monster', '5317', '50', '500', '300', '-60', '35', '21', '11', '21', '18', '100', '1600', '-5', 'large', '0', '0', '0', '1', '6', '0', '960', '1040', '1040', '1040', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '3', '0', '0', '0', '0', '5320', '-6', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45743', 'Judigo', '$4331', 'L1Monster', '5574', '40', '400', '300', '-80', '35', '21', '11', '21', '18', '100', '1600', '-5', 'small', '0', '0', '0', '0', '1', '0', '1280', '880', '880', '880', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '-6', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45744', 'Judigo', '$4333', 'L1Monster', '5353', '55', '600', '300', '-60', '35', '21', '11', '21', '18', '100', '1600', '-5', 'small', '0', '0', '0', '0', '1', '0', '960', '1120', '1000', '1000', '2', '1', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-6', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45745', 'Dego', '$4332', 'L1Monster', '5351', '60', '1000', '300', '-70', '35', '21', '11', '21', '18', '100', '2000', '-5', 'large', '0', '0', '0', '0', '1', '0', '960', '1120', '1000', '1000', '2', '1', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-6', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45746', 'Deangus', '$4335', 'L1Monster', '5269', '50', '500', '300', '-40', '35', '21', '11', '21', '18', '100', '1600', '-5', 'small', '0', '0', '0', '0', '1', '0', '960', '1200', '1240', '1240', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '-7', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45747', 'Angus', '$4334', 'L1Monster', '5265', '55', '800', '300', '-50', '35', '21', '11', '21', '18', '100', '2000', '-5', 'large', '0', '0', '0', '0', '1', '0', '960', '1200', '1240', '1240', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '-10', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45748', 'Paj', '$4337', 'L1Monster', '5655', '35', '600', '300', '-70', '35', '21', '11', '21', '18', '100', '0', '0', 'small', '0', '0', '0', '0', '1', '0', '800', '960', '1200', '1200', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '-5', '45749', '0', '0');
INSERT INTO `npc` VALUES ('45749', 'Paj', '$4337', 'L1Monster', '5657', '35', '300', '300', '-60', '35', '21', '11', '21', '18', '100', '2500', '-5', 'small', '0', '0', '0', '0', '1', '0', '960', '1120', '1000', '1000', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '-8', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45750', 'Pasaj', '$4336', 'L1Monster', '5461', '40', '800', '300', '-70', '35', '21', '11', '21', '18', '100', '0', '0', 'large', '0', '0', '0', '0', '1', '0', '800', '960', '1200', '1200', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '-8', '45751', '0', '0');
INSERT INTO `npc` VALUES ('45751', 'Pasaj', '$4336', 'L1Monster', '5463', '40', '500', '300', '-60', '35', '21', '11', '21', '18', '100', '3000', '-5', 'large', '0', '0', '0', '0', '1', '0', '960', '1000', '1120', '1120', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '-10', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45752', 'Varlok', '$2114', 'L1Monster', '5507', '40', '10000', '300', '-110', '35', '21', '11', '21', '18', '100', '1601', '-5', 'large', '0', '0', '0', '0', '3', '0', '960', '960', '1000', '1000', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '50', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-120', '45753', '0', '1');
INSERT INTO `npc` VALUES ('45753', 'Varlok', '$2114', 'L1Monster', '5511', '90', '20000', '300', '-60', '35', '21', '11', '21', '18', '100', '8101', '0', 'large', '0', '0', '0', '0', '3', '0', '800', '960', '1280', '1280', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '300', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-120', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45754', 'Kobold', '$970', 'L1Monster', '1059', '3', '7', '0', '10', '12', '11', '12', '7', '8', '2', '10', '-3', 'small', '0', '0', '1', '0', '1', '1', '1280', '1080', '1080', '1080', '0', '0', '0', '0', '0', '0', 'kobold', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45755', 'Goblin', '$958', 'L1Monster', '1022', '2', '3', '10', '10', '10', '12', '10', '7', '7', '2', '5', '-3', 'small', '0', '0', '1', '0', '1', '1', '760', '920', '920', '920', '0', '0', '0', '0', '0', '0', 'goblin', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45756', 'Orc', '$59', 'L1Monster', '56', '2', '6', '4', '10', '6', '12', '10', '6', '10', '0', '5', '-2', 'small', '1', '0', '0', '0', '1', '1', '800', '1320', '1320', '1320', '0', '0', '0', '0', '0', '0', 'orc', '1', '-1', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45757', 'Zombie', '$57', 'L1Monster', '52', '6', '40', '4', '8', '14', '16', '6', '5', '2', '5', '37', '-8', 'small', '0', '0', '1', '0', '1', '1', '2000', '1040', '1040', '1040', '1', '0', '0', '0', '0', '1', 'zombie', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45758', 'Orc Archer', '$267', 'L1Monster', '3860', '3', '12', '4', '10', '12', '11', '12', '7', '8', '2', '10', '-3', 'small', '1', '0', '0', '0', '10', '1', '800', '1880', '1880', '1880', '0', '0', '0', '0', '0', '0', 'orc', '1', '-1', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45759', 'Orc Fighter', '$266', 'L1Monster', '3864', '8', '50', '8', '5', '14', '14', '14', '8', '10', '5', '65', '-8', 'small', '1', '0', '0', '0', '1', '1', '640', '880', '880', '880', '0', '0', '0', '0', '0', '0', 'orc', '1', '-1', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45760', 'Floating Eye', '$6', 'L1Monster', '29', '7', '40', '30', '5', '10', '13', '12', '7', '9', '20', '50', '-8', 'small', '0', '0', '0', '0', '1', '1', '960', '1680', '1680', '1680', '0', '0', '1', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45761', 'Dwarf', '$58', 'L1Monster', '54', '5', '25', '5', '8', '10', '12', '10', '7', '10', '2', '26', '0', 'small', '0', '0', '1', '0', '1', '1', '600', '1480', '1480', '1480', '0', '0', '0', '0', '0', '0', 'dwarf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '6', '0');
INSERT INTO `npc` VALUES ('45762', 'Imp', '$1044', 'L1Monster', '1152', '5', '20', '40', '6', '9', '10', '14', '7', '8', '1', '26', '-3', 'small', '0', '0', '0', '1', '6', '1', '480', '1520', '1520', '1520', '0', '0', '0', '1', '0', '0', 'imp', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1156', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45763', 'Werewolf', '$18', 'L1Monster', '1110', '9', '40', '20', '4', '15', '15', '12', '10', '10', '10', '82', '-9', 'small', '0', '0', '0', '1', '1', '1', '640', '840', '840', '840', '0', '0', '0', '0', '0', '0', 'wolf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45764', 'Skeleton', '$7', 'L1Monster', '30', '10', '80', '30', '3', '16', '14', '16', '12', '10', '10', '101', '-12', 'small', '0', '0', '1', '0', '1', '1', '640', '920', '920', '920', '1', '0', '0', '1', '1', '0', 'skeleton', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45765', 'Skeleton Archer', '$986', 'L1Monster', '1096', '12', '80', '25', '0', '16', '14', '16', '12', '10', '10', '145', '-12', 'small', '0', '0', '1', '0', '10', '1', '800', '1120', '1120', '1120', '1', '0', '0', '1', '1', '0', 'skeleton', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '66', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45766', 'Skeleton Soldier', '$988', 'L1Monster', '1106', '13', '70', '15', '8', '16', '14', '15', '12', '10', '10', '170', '-13', 'small', '0', '0', '1', '0', '2', '1', '640', '880', '880', '880', '1', '0', '0', '1', '1', '0', 'skeleton', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45767', 'Gnoll', '$1391', 'L1Monster', '1477', '8', '35', '5', '4', '18', '15', '10', '6', '8', '1', '65', '-6', 'small', '0', '0', '0', '1', '1', '1', '640', '880', '880', '880', '0', '0', '0', '0', '0', '0', 'nord', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45768', 'Stone Golem', '$56', 'L1Monster', '49', '13', '350', '50', '-1', '58', '16', '10', '6', '10', '5', '170', '-12', 'large', '0', '0', '1', '0', '1', '1', '1280', '1840', '1840', '1840', '0', '0', '0', '0', '0', '0', 'golem', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45769', 'Lycanthrope', '$990', 'L1Monster', '1108', '17', '200', '60', '0', '16', '16', '13', '10', '10', '7', '290', '-18', 'small', '0', '0', '0', '1', '1', '1', '640', '800', '800', '800', '0', '0', '0', '1', '0', '0', 'wolf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45770', 'Polluted Orc Wizard', '$4145 $1110', 'L1Monster', '1211', '25', '230', '200', '-30', '6', '12', '10', '13', '13', '50', '626', '-15', 'small', '1', '0', '0', '0', '1', '0', '960', '1240', '2160', '2160', '0', '0', '0', '1', '1', '1', 'pollution', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45771', 'Contaminated Fairy', '$3964', 'L1Monster', '5684', '35', '330', '100', '-30', '6', '15', '18', '14', '17', '50', '1226', '-5', 'small', '0', '0', '0', '0', '1', '0', '480', '1360', '1360', '1360', '0', '1', '0', '1', '1', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45772', 'Polluted Unkown', '$4145 $4915', 'L1Monster', '5711', '51', '10000', '200', '-65', '20', '18', '18', '10', '18', '60', '2602', '-65', 'large', '0', '0', '0', '0', '2', '0', '1040', '1280', '1280', '1280', '0', '0', '0', '1', '1', '1', 'pollution', '1', '-1', '-1', '0', '0', '0', '5000', '45', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45773', 'Polluted Elf', '$4145 Elf', 'L1Monster', '4429', '35', '380', '20', '-25', '15', '15', '18', '25', '18', '50', '1226', '-35', 'small', '1', '0', '0', '0', '8', '0', '960', '1320', '1320', '1320', '0', '0', '0', '1', '1', '1', 'pollution', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45774', 'Contaminated Ent', '$3963', 'L1Monster', '851', '35', '400', '80', '-25', '14', '16', '14', '8', '8', '30', '1226', '-35', 'large', '1', '0', '0', '0', '2', '0', '640', '1320', '1320', '1320', '0', '1', '0', '1', '1', '1', 'pollution', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45775', 'Polluted Deep Flower', '$4145 $3148', 'L1Monster', '4364', '35', '400', '200', '-25', '14', '16', '14', '5', '5', '35', '1226', '-20', 'large', '0', '0', '0', '0', '4', '0', '0', '1280', '2560', '2560', '0', '0', '0', '1', '1', '1', 'pollution', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '3572', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45776', 'Polluted Pan', '$4145 $753', 'L1Monster', '4516', '37', '400', '20', '-28', '18', '17', '16', '10', '10', '50', '1370', '-35', 'small', '1', '0', '0', '0', '1', '0', '640', '1200', '1200', '1200', '0', '1', '0', '1', '1', '1', 'pollution', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45777', 'Polluted Arachne', '$4145 $752', 'L1Monster', '865', '40', '450', '20', '-30', '17', '14', '16', '8', '10', '50', '1601', '-35', 'small', '1', '0', '0', '0', '1', '0', '640', '1280', '1400', '1280', '0', '1', '0', '1', '1', '1', 'pollution', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45778', 'Polluted Human', '$4145 $4146', 'L1Monster', '4417', '35', '380', '20', '-22', '20', '18', '18', '12', '13', '50', '1226', '-45', 'small', '0', '0', '1', '0', '2', '0', '480', '1000', '1000', '1000', '0', '0', '0', '1', '1', '1', 'pollution', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45779', 'Polluted Human', '$4145 $4146', 'L1Monster', '4426', '37', '400', '20', '-25', '20', '18', '18', '12', '13', '50', '1370', '-45', 'small', '0', '0', '1', '0', '1', '0', '960', '1160', '1160', '1160', '0', '0', '0', '1', '1', '1', 'pollution', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45780', 'Polluted Human', '$4145 $4146', 'L1Monster', '4423', '40', '420', '20', '-28', '16', '18', '18', '12', '13', '50', '1601', '-45', 'small', '0', '0', '1', '0', '8', '0', '960', '1760', '1760', '1760', '0', '0', '0', '1', '1', '1', 'pollution', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45781', 'Polluted Human', '$4145 $4146', 'L1Monster', '4420', '40', '450', '20', '-28', '16', '18', '18', '12', '13', '50', '1601', '-45', 'small', '0', '0', '1', '0', '1', '0', '960', '1360', '1360', '1360', '0', '0', '0', '1', '1', '1', 'pollution', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45782', 'Polluted Great Spirit\'s Dirty Sycophant', '$4145 $4153', 'L1Monster', '3364', '30', '250', '120', '-10', '15', '13', '14', '14', '14', '30', '901', '-18', 'small', '0', '0', '0', '0', '1', '0', '960', '1240', '1240', '1240', '0', '0', '0', '1', '1', '1', 'pollution', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45783', 'Polluted Great Spirit of Darkness', '$4145 $4152', 'L1Monster', '4410', '37', '380', '160', '-25', '18', '16', '16', '18', '18', '45', '1370', '-25', 'small', '0', '0', '0', '0', '1', '0', '320', '1400', '1400', '1400', '0', '0', '0', '1', '1', '1', 'pollution', '1', '-1', '-1', '0', '0', '0', '5000', '15', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45784', 'Polluted Great Spirit of Light', '$4145 $4144', 'L1Monster', '4407', '37', '380', '200', '-25', '18', '16', '16', '18', '20', '45', '1370', '-25', 'large', '0', '0', '0', '0', '1', '0', '480', '920', '920', '920', '0', '0', '0', '1', '1', '1', 'pollution', '1', '-1', '-1', '0', '0', '0', '5000', '8', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45785', 'Polluted Great Spirit of Earth', '$4145 $2551', 'L1Monster', '4408', '37', '380', '200', '-25', '18', '16', '16', '18', '18', '45', '1370', '-25', 'large', '0', '0', '1', '0', '2', '0', '480', '1360', '1240', '1240', '0', '0', '0', '1', '1', '1', 'pollution', '1', '-1', '-1', '0', '0', '0', '5000', '15', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45786', 'Polluted Great Spirit of Fire', '$4145 $2481', 'L1Monster', '4405', '37', '380', '200', '-25', '18', '16', '16', '18', '18', '45', '1370', '-25', 'large', '1', '0', '0', '0', '2', '0', '480', '1360', '1680', '1600', '0', '0', '0', '1', '1', '1', 'pollution', '1', '-1', '-1', '0', '0', '0', '5000', '15', '5000', '20', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45787', 'Polluted Great Spirit of Wind', '$4145 $2483', 'L1Monster', '4403', '37', '380', '300', '-25', '18', '16', '16', '18', '18', '45', '1370', '-25', 'large', '0', '0', '0', '1', '2', '0', '480', '2080', '2040', '2040', '0', '0', '0', '1', '1', '1', 'pollution', '1', '-1', '-1', '0', '0', '0', '5000', '15', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45788', 'Polluted Great Spirit of Water', '$4145 $2482', 'L1Monster', '4404', '37', '380', '300', '-25', '18', '16', '16', '18', '18', '45', '1370', '-25', 'large', '0', '1', '0', '0', '1', '0', '480', '3040', '2240', '2240', '0', '0', '0', '1', '1', '1', 'pollution', '1', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '80', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45789', 'Contaminated Orc', '$3957', 'L1Monster', '4457', '35', '380', '20', '-22', '14', '14', '14', '8', '10', '45', '1226', '-40', 'small', '1', '0', '0', '0', '1', '0', '480', '1040', '1040', '1040', '0', '0', '0', '1', '1', '1', 'pollution', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45790', 'Contaminated Orc Archer', '$3958', 'L1Monster', '4463', '35', '380', '20', '-25', '12', '14', '16', '8', '10', '55', '1226', '-40', 'small', '1', '0', '0', '0', '8', '0', '960', '1640', '1640', '1640', '0', '0', '0', '1', '1', '1', 'pollution', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45791', 'Polluted Orc Axe Fighter', '$4145 $4215', 'L1Monster', '4460', '37', '400', '20', '-22', '14', '17', '18', '12', '10', '48', '1370', '-50', 'small', '1', '0', '0', '0', '1', '0', '640', '1360', '1360', '1360', '0', '0', '0', '1', '1', '1', 'pollution', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45792', 'Contaminated Orc Warrior', '$3959', 'L1Monster', '4472', '40', '420', '20', '-25', '18', '16', '14', '8', '10', '55', '1601', '-50', 'small', '1', '0', '0', '0', '2', '0', '640', '1040', '1040', '1040', '0', '0', '0', '1', '1', '1', 'pollution', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45793', 'Contaminated Orc Spearman', '$3957 $4150', 'L1Monster', '4475', '42', '450', '20', '-25', '18', '16', '14', '8', '10', '60', '1765', '-50', 'small', '1', '0', '0', '0', '2', '0', '640', '1280', '1280', '1280', '0', '0', '0', '1', '1', '1', 'pollution', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45794', 'Servant of Spirit', '$4149', 'L1Monster', '4502', '40', '500', '200', '-25', '14', '14', '14', '18', '12', '45', '1601', '-45', 'small', '0', '0', '1', '0', '1', '0', '640', '1280', '1520', '1600', '0', '0', '0', '1', '1', '1', 'pollution', '1', '-1', '-1', '0', '0', '0', '5000', '20', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45795', 'Spirit', '$4148', 'L1Monster', '4493', '65', '14000', '3000', '-55', '20', '20', '20', '22', '18', '55', '4226', '0', 'large', '0', '0', '1', '0', '1', '0', '960', '1280', '1520', '1600', '0', '1', '0', '1', '1', '1', 'pollution', '1', '-1', '-1', '0', '0', '0', '5000', '400', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45796', 'Unknown 45796', '$4869', 'L1Monster', '49', '32', '380', '20', '-22', '14', '14', '14', '8', '10', '45', '1025', '-40', 'small', '0', '0', '0', '0', '1', '0', '1280', '2640', '2640', '2640', '0', '0', '0', '1', '1', '1', 'golem', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45797', 'Unknown 45797', '$4868', 'L1Monster', '4942', '35', '400', '20', '-28', '18', '17', '16', '10', '10', '50', '1226', '-35', 'small', '1', '0', '0', '0', '1', '0', '1280', '1120', '1120', '1120', '0', '0', '0', '0', '0', '0', 'minotaur', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45798', 'Unknown 45798', '$4872', 'L1Monster', '4867', '37', '380', '200', '-25', '18', '16', '16', '18', '20', '45', '1370', '-20', 'large', '0', '0', '0', '0', '1', '0', '1920', '1280', '1280', '1280', '0', '0', '0', '1', '1', '1', 'golem', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45799', 'Unknown 45799', '$4871', 'L1Monster', '5107', '40', '450', '20', '-30', '17', '14', '16', '8', '10', '50', '1601', '-35', 'small', '1', '0', '0', '0', '1', '0', '1920', '1600', '1600', '1600', '0', '0', '0', '1', '1', '1', 'golem', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45800', 'Unknown 45800', '$4873', 'L1Monster', '1578', '55', '4500', '20', '-30', '17', '14', '16', '8', '10', '50', '3026', '-35', 'small', '1', '0', '0', '0', '1', '0', '1440', '1920', '1920', '1920', '0', '0', '0', '0', '0', '0', 'livingarmour', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45801', 'Unknown 45801', '$4870', 'L1Monster', '4912', '61', '20000', '140', '-70', '20', '20', '19', '22', '22', '99', '3722', '-250', 'large', '0', '0', '1', '0', '1', '0', '1280', '1440', '1120', '1120', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '250', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45802', 'Unknown 45802', '$4867', 'L1Monster', '5072', '65', '10000', '50', '-55', '20', '20', '20', '22', '18', '55', '4226', '0', 'large', '0', '0', '1', '0', '1', '0', '1280', '1440', '1440', '1440', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '500', '5000', '100', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45803', 'Werewolf', '$18', 'L1Monster', '1110', '20', '144', '60', '-10', '16', '16', '13', '10', '10', '28', '401', '-15', 'small', '0', '0', '0', '1', '1', '1', '640', '840', '1760', '1760', '0', '0', '0', '0', '0', '0', 'wolf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45804', 'Vakuuk', '$1427', 'L1Monster', '1595', '20', '144', '0', '-10', '16', '15', '12', '10', '10', '28', '401', '-15', 'small', '0', '0', '1', '0', '2', '1', '480', '1160', '1160', '1160', '0', '1', '0', '1', '0', '0', 'cockroach', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45805', 'Lizardman', '$1174', 'L1Monster', '1173', '23', '166', '10', '-13', '15', '13', '15', '11', '11', '32', '530', '-15', 'small', '0', '1', '0', '0', '1', '1', '640', '920', '920', '920', '0', '0', '0', '1', '0', '0', 'lizardman', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45806', 'Crabman', '$1430', 'L1Monster', '1610', '25', '180', '0', '-15', '17', '14', '12', '12', '11', '35', '626', '-15', 'small', '0', '1', '0', '0', '2', '0', '960', '1000', '1000', '1000', '0', '0', '0', '1', '0', '0', 'crab', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45807', 'Doppelganger', '$1554', 'L1Monster', '31', '25', '180', '30', '-15', '17', '18', '15', '12', '10', '35', '626', '-15', 'small', '0', '0', '1', '0', '1', '0', '800', '1000', '1000', '1000', '0', '0', '0', '1', '1', '0', 'doppel', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45808', 'Lycanthrope', '$990', 'L1Monster', '1108', '25', '180', '60', '-15', '17', '16', '13', '12', '12', '35', '626', '-15', 'small', '0', '0', '0', '1', '1', '1', '640', '800', '1440', '1440', '0', '0', '0', '1', '0', '0', 'wolf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45809', 'Ratman', '$1431', 'L1Monster', '1612', '25', '180', '10', '-15', '17', '16', '16', '12', '12', '35', '626', '-15', 'small', '0', '0', '1', '0', '2', '1', '480', '1520', '1520', '1520', '0', '0', '0', '1', '0', '0', 'ratman', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45810', 'Merman', '$1490', 'L1Monster', '1626', '26', '187', '20', '-16', '17', '15', '12', '12', '10', '36', '677', '5', 'small', '0', '1', '0', '0', '1', '0', '960', '1360', '1360', '1360', '0', '0', '0', '0', '0', '0', 'merman', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45811', 'Unknown Crabman', '$4848 $1430', 'L1Monster', '4738', '27', '194', '0', '-17', '18', '15', '15', '12', '12', '38', '730', '-15', 'small', '0', '1', '0', '0', '2', '0', '640', '920', '920', '920', '0', '0', '0', '1', '0', '0', 'crab', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45812', 'Sea Dancer', '$1429', 'L1Monster', '2716', '27', '210', '500', '-23', '13', '15', '13', '18', '18', '35', '730', '-20', 'small', '0', '1', '0', '0', '1', '0', '960', '1440', '1440', '1440', '0', '0', '0', '1', '1', '1', 'seadancer', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1608', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45813', 'Unknown Merman', '$4848 $1490', 'L1Monster', '4788', '28', '202', '20', '-15', '18', '16', '16', '12', '12', '20', '785', '5', 'small', '0', '1', '0', '0', '2', '0', '1920', '1280', '1120', '1120', '0', '0', '0', '1', '0', '0', 'merman', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45814', 'Mutated Alligator', '$1702', 'L1Monster', '1574', '30', '260', '8', '-20', '17', '16', '16', '13', '13', '42', '901', '-25', 'small', '0', '1', '0', '0', '1', '0', '640', '1480', '1480', '1480', '0', '0', '0', '1', '1', '0', 'alligator', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45815', 'Unknown Ramia', '$4848 $1428', 'L1Monster', '1597', '30', '238', '30', '-20', '18', '16', '16', '12', '13', '42', '901', '-25', 'large', '0', '1', '0', '0', '1', '0', '960', '1880', '1880', '1880', '0', '1', '0', '1', '1', '1', 'lahmia', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45816', 'Shark', '$1496', 'L1Monster', '1644', '30', '300', '0', '-20', '18', '16', '18', '13', '12', '42', '901', '-20', 'large', '0', '1', '0', '0', '1', '0', '640', '1760', '1760', '1760', '0', '0', '0', '1', '0', '0', 'shark', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45817', 'Doppelganger', '$2101', 'L1Monster', '2340', '30', '238', '30', '-20', '18', '18', '15', '13', '11', '42', '901', '-20', 'small', '0', '0', '1', '0', '1', '0', '960', '1040', '1040', '1040', '0', '0', '0', '1', '0', '0', 'doppel', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45818', 'Aste', '$1497', 'L1Monster', '1646', '31', '268', '10', '-21', '17', '18', '16', '12', '13', '5', '962', '-20', 'large', '0', '1', '0', '0', '1', '0', '1920', '1480', '1480', '1480', '0', '4', '0', '1', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45819', 'Elekkadom', '$1433', 'L1Monster', '1616', '32', '350', '150', '-23', '20', '18', '18', '15', '16', '46', '1025', '-20', 'large', '0', '1', '0', '0', '1', '0', '960', '1240', '1240', '1240', '0', '0', '0', '1', '1', '1', 'angler', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45820', 'Unknown Werewolf', '$4848 $18', 'L1Monster', '4822', '32', '323', '20', '-22', '18', '15', '16', '13', '13', '45', '1025', '-25', 'small', '0', '0', '0', '1', '1', '0', '1280', '960', '960', '960', '0', '0', '0', '1', '1', '1', 'wolf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45821', 'Unknown Ramia', '$4848 $1428', 'L1Monster', '1597', '32', '300', '30', '-22', '19', '17', '17', '13', '14', '45', '1025', '-25', 'large', '0', '1', '0', '0', '1', '0', '960', '1880', '1880', '1880', '0', '1', '0', '1', '1', '1', 'lahmia', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45822', 'Turtle Dragon', '$1498', 'L1Monster', '1649', '32', '350', '20', '-22', '18', '18', '15', '12', '13', '45', '1025', '-20', 'large', '0', '1', '0', '0', '2', '0', '1920', '1320', '1320', '1320', '0', '0', '0', '1', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45823', 'Crustacean', '$1492', 'L1Monster', '1632', '33', '450', '30', '-23', '18', '17', '16', '12', '14', '45', '1090', '-20', 'large', '0', '1', '0', '0', '1', '0', '1440', '1800', '1800', '1800', '0', '0', '0', '1', '0', '1', 'hermitcrab', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45824', 'Unknown Lycanthrope', '$4848 $990', 'L1Monster', '4820', '34', '368', '60', '-24', '18', '16', '17', '12', '14', '48', '1157', '-25', 'small', '0', '0', '0', '1', '1', '0', '1280', '1280', '1600', '1600', '0', '0', '0', '1', '1', '1', 'wolf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45825', 'Unknown Lizardman', '$4848 $1174', 'L1Monster', '4771', '35', '454', '20', '-25', '18', '18', '18', '12', '15', '49', '1226', '-25', 'small', '0', '1', '0', '0', '1', '0', '1280', '800', '800', '800', '0', '0', '0', '1', '1', '0', 'lizardman', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45826', 'Doppelganger', '$2101', 'L1Monster', '4753', '35', '403', '30', '-25', '19', '17', '16', '13', '12', '49', '1226', '-25', 'small', '0', '0', '1', '0', '1', '0', '960', '1360', '1360', '1360', '0', '0', '0', '1', '0', '0', 'doppel', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45827', 'Unknown Lizardman', '$4848 $1174', 'L1Monster', '4151', '36', '441', '10', '-26', '18', '17', '17', '12', '15', '50', '1297', '-25', 'small', '0', '1', '0', '0', '1', '0', '640', '1200', '1200', '1200', '0', '0', '0', '1', '1', '0', 'lizardman', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45828', 'Unknown Doppelganger', '$1554', 'L1Monster', '2389', '40', '605', '100', '-35', '20', '19', '18', '15', '17', '56', '1601', '-30', 'small', '0', '0', '0', '1', '1', '0', '693', '720', '1040', '1040', '0', '0', '0', '1', '1', '1', 'doppel', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45829', 'Unknown 45829', '$4849', 'L1Monster', '5008', '70', '15000', '500', '-70', '20', '18', '18', '18', '17', '80', '4901', '-60', 'large', '0', '0', '0', '0', '1', '0', '1920', '1920', '1440', '1280', '0', '0', '0', '1', '1', '1', 'balbados', '1', '-1', '-1', '0', '0', '0', '5000', '200', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45830', 'Dark Elf Sodier', '$2887', 'L1Monster', '3044', '43', '105', '50', '-53', '20', '18', '15', '17', '17', '45', '1850', '-25', 'small', '0', '0', '0', '0', '2', '0', '640', '960', '960', '960', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '45833', '0', '0');
INSERT INTO `npc` VALUES ('45831', 'Cursed Dark Elf Knight', '$4286', 'L1Monster', '5742', '45', '580', '200', '-38', '20', '18', '15', '15', '15', '45', '2026', '-50', 'small', '0', '0', '1', '0', '1', '0', '960', '1200', '1440', '1560', '1', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45832', 'Cursed Dark Elf Knight', '$4286', 'L1Monster', '5724', '45', '620', '200', '-38', '18', '19', '15', '15', '15', '60', '2026', '-50', 'small', '0', '0', '1', '0', '1', '0', '960', '1200', '1440', '1560', '1', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45833', 'Cursed Dark Elf Knight', '$4286', 'L1Monster', '5742', '45', '580', '200', '-42', '18', '19', '15', '15', '15', '60', '2026', '-50', 'small', '0', '0', '1', '0', '1', '0', '960', '1200', '1440', '1560', '1', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45834', 'Cursed Dark Elf Knight', '$4286', 'L1Monster', '5608', '47', '720', '200', '-42', '18', '19', '15', '15', '15', '60', '2210', '-50', 'small', '0', '0', '1', '0', '1', '0', '960', '1200', '1440', '1560', '1', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45835', 'Cursed Dark Elf Warrior', '$4285', 'L1Monster', '5751', '48', '750', '200', '-43', '15', '15', '20', '17', '17', '45', '2305', '-50', 'small', '0', '0', '1', '0', '1', '0', '960', '1040', '1440', '1280', '1', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45836', 'Black Tiger', '$3136', 'L1Monster', '3547', '42', '609', '0', '-37', '15', '18', '12', '13', '7', '45', '1765', '-50', 'small', '1', '0', '0', '0', '2', '0', '853', '1640', '1640', '1640', '0', '0', '0', '1', '1', '1', 'tiger', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45837', 'Lastabad Tormenter', '$3808', 'L1Monster', '3694', '43', '85', '0', '-37', '16', '13', '14', '14', '15', '55', '1850', '-50', 'small', '1', '0', '0', '0', '2', '0', '1280', '1560', '1560', '1560', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '45843', '0', '0');
INSERT INTO `npc` VALUES ('45838', 'Dark Elf General', '$2885', 'L1Monster', '3366', '43', '132', '50', '-45', '20', '18', '15', '17', '17', '45', '1850', '-50', 'small', '0', '0', '0', '0', '2', '0', '360', '1000', '1000', '1000', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45839', '0', '0');
INSERT INTO `npc` VALUES ('45839', 'Cursed Dark Elf Knight', '$4286', 'L1Monster', '5745', '43', '520', '200', '-36', '18', '19', '15', '15', '17', '60', '1850', '-50', 'small', '0', '0', '1', '0', '1', '0', '960', '1200', '1440', '1560', '1', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45840', 'Cursed Dark Elf Warrior', '$4285', 'L1Monster', '5754', '43', '520', '200', '-36', '15', '15', '20', '17', '17', '45', '1850', '-50', 'small', '0', '0', '1', '0', '1', '0', '960', '1040', '1440', '1280', '1', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45841', 'Unknown 45841', '$4642', 'L1Monster', '3409', '43', '728', '0', '-39', '15', '17', '12', '17', '17', '65', '1850', '-50', 'small', '1', '0', '0', '0', '2', '0', '960', '1120', '1360', '1360', '0', '0', '0', '1', '1', '1', 'wolfrider', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45842', 'Cursed Dark Elf Knight', '$4286', 'L1Monster', '5745', '45', '590', '200', '-38', '18', '19', '15', '15', '17', '60', '2026', '-50', 'small', '0', '0', '1', '0', '1', '0', '960', '1200', '1440', '1560', '1', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45843', 'Cursed Dark Elf Warrior', '$4285', 'L1Monster', '5754', '45', '540', '200', '-34', '15', '15', '20', '17', '17', '45', '2026', '-50', 'small', '0', '0', '1', '0', '1', '0', '960', '1040', '1440', '1280', '1', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45844', 'Dread King Baranka', '$3804', 'L1Monster', '3664', '63', '17290', '0', '-58', '22', '25', '20', '18', '18', '65', '3970', '-5', 'large', '0', '0', '1', '0', '2', '0', '480', '1000', '1720', '1720', '0', '0', '0', '0', '0', '0', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '150', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45845', 'Dark Elementalist', '$2894', 'L1Monster', '3360', '42', '85', '148', '-34', '15', '15', '20', '17', '17', '45', '1765', '-25', 'small', '0', '0', '0', '0', '1', '0', '1280', '1520', '2240', '2240', '0', '0', '0', '1', '1', '1', 'elemental', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '45853', '0', '0');
INSERT INTO `npc` VALUES ('45846', 'Dark Elf Wizard', '$2888', 'L1Monster', '3376', '44', '85', '148', '-34', '16', '15', '18', '16', '18', '70', '1937', '-25', 'small', '0', '0', '0', '0', '1', '0', '1920', '1560', '1520', '1440', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '45847', '0', '0');
INSERT INTO `npc` VALUES ('45847', 'Cursed Dark Elf Wizard', '$4287', 'L1Monster', '5516', '44', '420', '300', '-34', '16', '15', '18', '16', '18', '80', '1937', '-50', 'small', '0', '0', '0', '0', '1', '0', '960', '1160', '1200', '1160', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45848', 'Dark Elf Wizard', '$2888', 'L1Monster', '3376', '44', '500', '400', '-35', '16', '15', '18', '16', '18', '70', '1937', '-50', 'small', '0', '0', '0', '0', '1', '0', '1920', '1560', '1520', '1440', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '45860', '0', '0');
INSERT INTO `npc` VALUES ('45849', 'Cursed Dark Elf Warrior', '$4285', 'L1Monster', '5751', '44', '550', '200', '-37', '15', '15', '20', '17', '17', '45', '1937', '-50', 'small', '0', '0', '0', '0', '1', '0', '960', '1040', '1440', '1280', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45850', 'Dark Forester', '$3823', 'L1Monster', '3747', '45', '105', '77', '-35', '14', '15', '14', '10', '18', '75', '2026', '-25', 'small', '0', '0', '0', '1', '2', '0', '853', '1720', '2200', '2200', '0', '0', '0', '1', '1', '1', 'darkforester', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '45862', '0', '0');
INSERT INTO `npc` VALUES ('45851', 'Dark Forester', '$3823', 'L1Monster', '3747', '45', '105', '77', '-35', '14', '15', '14', '10', '18', '75', '2026', '-25', 'small', '0', '0', '0', '1', '2', '0', '853', '1720', '2200', '2200', '0', '0', '0', '1', '1', '1', 'darkforester', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '45861', '0', '0');
INSERT INTO `npc` VALUES ('45852', 'Dark Elementalist', '$2894', 'L1Monster', '3360', '45', '132', '148', '-37', '15', '15', '20', '17', '17', '45', '2026', '-25', 'small', '0', '0', '0', '0', '1', '0', '1280', '1520', '2240', '2240', '0', '0', '0', '1', '1', '1', 'elemental', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '45859', '0', '0');
INSERT INTO `npc` VALUES ('45853', 'Cursed Dark Elf Wizard', '$4287', 'L1Monster', '5739', '45', '440', '300', '-35', '16', '15', '18', '16', '18', '80', '2026', '-50', 'small', '0', '0', '0', '0', '1', '0', '960', '1160', '1200', '1160', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45854', 'Guardian of Earth Spirit', '$3820', 'L1Monster', '4634', '45', '725', '10', '-37', '19', '20', '15', '10', '10', '60', '2026', '-25', 'small', '0', '0', '1', '0', '1', '0', '960', '1280', '1400', '1200', '0', '0', '0', '1', '1', '1', 'spirit', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45855', 'Guardian of Water Spirit', '$3818', 'L1Monster', '4632', '45', '725', '10', '-37', '19', '20', '15', '10', '10', '60', '2026', '-25', 'small', '0', '1', '0', '0', '1', '0', '960', '1280', '1400', '1200', '0', '0', '0', '1', '1', '1', 'spirit', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45856', 'Guardian of Wind Spirit', '$3821', 'L1Monster', '4786', '45', '725', '10', '-37', '19', '20', '15', '10', '10', '60', '2026', '-25', 'small', '0', '0', '0', '1', '1', '0', '960', '1280', '1520', '1200', '0', '0', '0', '1', '1', '1', 'spirit', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45857', 'Guardian of Fire Spirit', '$3819', 'L1Monster', '4633', '45', '725', '10', '-37', '19', '20', '15', '10', '10', '60', '2026', '-25', 'small', '1', '0', '0', '0', '1', '0', '960', '1280', '1400', '1200', '0', '0', '0', '1', '1', '1', 'spirit', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45858', 'Guardian of Darkness Spirit', '$3822', 'L1Monster', '4787', '45', '725', '364', '-37', '19', '20', '15', '10', '15', '60', '2026', '-25', 'small', '0', '0', '1', '0', '1', '0', '960', '1280', '1400', '1200', '0', '0', '0', '1', '1', '1', 'spirit', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45859', 'Cursed Dark Elf Wizard', '$4287', 'L1Monster', '5739', '47', '480', '300', '-36', '16', '15', '18', '16', '18', '80', '2210', '-50', 'small', '0', '0', '0', '0', '1', '0', '960', '1160', '1200', '1160', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45860', 'Cursed Dark Elf Wizard', '$4287', 'L1Monster', '5516', '47', '480', '300', '-36', '16', '15', '18', '16', '18', '80', '2210', '-50', 'small', '0', '0', '0', '0', '1', '0', '960', '1160', '1200', '1160', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45861', 'Cursed Dark Elf Warrior', '$4285', 'L1Monster', '5751', '47', '650', '200', '-38', '15', '15', '20', '17', '17', '45', '2210', '-50', 'small', '0', '0', '0', '0', '1', '0', '960', '1040', '1440', '1280', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45862', 'Cursed Dark Elf Warrior', '$4285', 'L1Monster', '5751', '47', '650', '200', '-38', '15', '15', '20', '17', '17', '45', '2210', '-50', 'small', '0', '0', '0', '0', '1', '0', '960', '1040', '1440', '1280', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45863', 'Dread Queen Laia', '$3815', 'L1Monster', '3744', '65', '15070', '4277', '-57', '19', '18', '18', '18', '25', '80', '4226', '-5', 'small', '0', '0', '1', '0', '1', '0', '640', '1880', '1760', '2560', '0', '0', '0', '0', '0', '0', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '80', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45864', 'Cursed Dark Elf Wizard', '$4287', 'L1Monster', '5693', '45', '550', '300', '-38', '16', '15', '18', '16', '18', '80', '2026', '-50', 'small', '0', '0', '0', '0', '1', '0', '1040', '1160', '1200', '1160', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45865', 'Cursed Dark Elf Knight', '$4286', 'L1Monster', '5695', '45', '620', '200', '-38', '18', '19', '15', '15', '15', '60', '2026', '-50', 'small', '0', '0', '0', '0', '1', '0', '960', '1120', '1280', '1360', '1', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45866', 'Cursed Dark Elf Knight', '$4286', 'L1Monster', '5695', '45', '620', '200', '-38', '15', '15', '20', '17', '17', '45', '2026', '-50', 'small', '0', '0', '0', '0', '1', '0', '960', '1120', '1280', '1360', '1', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45867', 'Cursed Dark Elf Warrior', '$4285', 'L1Monster', '5694', '45', '650', '200', '-38', '15', '15', '20', '17', '17', '45', '2026', '-50', 'small', '0', '0', '0', '0', '1', '0', '960', '880', '1320', '1120', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45868', 'Oum Warrior', '$3830', 'L1Monster', '4689', '45', '828', '0', '-50', '15', '14', '14', '10', '8', '40', '2026', '-25', 'small', '0', '0', '1', '0', '1', '0', '640', '1280', '1280', '1280', '0', '0', '0', '1', '1', '1', 'oum', '1', '-1', '-1', '0', '0', '0', '5000', '15', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45869', 'Cursed Dark Elf Wizard', '$4287', 'L1Monster', '5693', '48', '750', '300', '-38', '16', '15', '18', '16', '18', '80', '2305', '-50', 'small', '0', '0', '0', '0', '1', '0', '1040', '1160', '1200', '1160', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45870', 'Cursed Dark Elf Knight', '$4286', 'L1Monster', '5695', '48', '720', '200', '-42', '18', '19', '15', '15', '15', '45', '2305', '-50', 'small', '0', '0', '0', '0', '1', '0', '960', '1120', '1280', '1360', '1', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45871', 'Cursed Dark Elf Knight', '$4286', 'L1Monster', '5695', '48', '720', '200', '-42', '18', '19', '15', '15', '15', '60', '2305', '-50', 'small', '0', '0', '0', '0', '1', '0', '960', '1120', '1280', '1360', '1', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45872', 'Heavy Oum Warrior', '$3831', 'L1Monster', '3596', '48', '998', '0', '-54', '17', '16', '15', '12', '10', '40', '2305', '-25', 'large', '0', '0', '1', '0', '1', '0', '1600', '1800', '1800', '1800', '0', '0', '0', '1', '1', '1', 'oum', '1', '-1', '-1', '0', '0', '0', '5000', '15', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45873', 'Eidlon', '$1043', 'L1Monster', '1150', '4', '20', '5', '10', '11', '10', '11', '7', '8', '1', '17', '-3', 'small', '0', '0', '1', '0', '1', '1', '320', '960', '960', '960', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45874', 'Unknown Lizardman', '$4848 $1174', 'L1Monster', '4192', '35', '403', '20', '-25', '18', '16', '17', '12', '15', '49', '1226', '-25', 'small', '0', '1', '0', '0', '1', '0', '640', '1000', '1000', '1000', '0', '0', '0', '1', '1', '1', 'lizardman', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45875', 'Skeletal Pirate Head', '$3389', 'L1Monster', '4188', '32', '350', '10', '-23', '18', '14', '16', '10', '12', '50', '1025', '-35', 'small', '0', '0', '0', '0', '2', '0', '640', '1200', '1200', '1200', '1', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('45876', 'Unknown 45876', '', 'L1Monster', '1093', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'small', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45877', 'Treasure Chest', '', 'L1Monster', '3520', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'small', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45878', 'Spirit of Drake', '$4028', 'L1Monster', '4218', '42', '600', '50', '-35', '18', '18', '20', '18', '18', '50', '1765', '-45', 'small', '0', '0', '1', '0', '1', '0', '960', '1280', '1280', '1280', '3', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '20', '5000', '8', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45879', 'Goblin of Ordeal', '$4029', 'L1Monster', '1022', '40', '3', '10', '10', '16', '12', '16', '7', '7', '2', '1', '0', 'small', '0', '0', '0', '0', '1', '0', '760', '920', '920', '920', '0', '0', '0', '0', '0', '0', 'goblin', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45880', 'Goblin of Ordeal', '$4029', 'L1Monster', '1022', '40', '3', '10', '10', '16', '12', '16', '7', '7', '2', '1', '0', 'small', '0', '0', '0', '0', '1', '0', '760', '920', '920', '920', '0', '0', '0', '0', '0', '0', 'goblin', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45881', 'Goblin of Ordeal', '$4029', 'L1Monster', '1022', '40', '3', '10', '10', '16', '12', '16', '7', '7', '2', '1', '0', 'small', '0', '0', '0', '0', '1', '0', '760', '920', '920', '920', '0', '0', '0', '0', '0', '0', 'goblin', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('45882', 'Goblin of Ordeal', '$4029', 'L1Monster', '1022', '40', '3', '10', '10', '16', '12', '16', '7', '7', '2', '1', '0', 'small', '0', '0', '0', '0', '1', '0', '760', '920', '920', '920', '0', '0', '0', '0', '0', '0', 'goblin', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('50001', 'Barnia', '$1897', 'L1Teleporter', '916', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50002', 'Sky', '$1738', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50003', 'Illdrath', '$1422', 'L1Teleporter', '1511', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50004', 'Novice Teleporter', '$2098', 'L1Teleporter', '2141', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50005', 'Karen', '$2496', 'L1Teleporter', '2801', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50006', 'Coco', '$1737', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50007', 'Esmeralda', '$1653', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50008', 'Arena Guide', '$1500', 'L1Teleporter', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50009', 'Ishtar', '$1417', 'L1Teleporter', '703', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50010', 'Novice Teleporter', '$2098', 'L1Teleporter', '2141', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50011', 'Kun', '$1730', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50012', 'Kiyari', '$1731', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50013', 'Arena Guide', '$1500', 'L1Teleporter', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50014', 'Dilong', '$2019', 'L1Teleporter', '834', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50015', 'Lucas', '$829', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50016', 'Zeno', '$1418', 'L1Teleporter', '1510', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50017', 'Keith', '$1068', 'L1Teleporter', '984', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50018', 'Coliseum Manager', '$1609', 'L1Teleporter', '992', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50019', 'Assistant Manager of the Coliseum', '$1902', 'L1Teleporter', '800', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50020', 'Stanley', '$831', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50021', 'Castle Gatekeeper', '$3238', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50022', 'Harrison', '$1069', 'L1Teleporter', '981', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50023', 'Ober', '$3427', 'L1Teleporter', '460', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50024', 'Stevie', '$830', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50025', 'Market Guard', '$3054', 'L1Teleporter', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50026', 'Market Teleporter', '$3053', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50027', 'Market Teleporter', '$3053', 'L1Teleporter', '2141', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50028', 'Coliseum Manager', '$1609', 'L1Teleporter', '992', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50029', 'Assistant Manager of the Coliseum', '$1902', 'L1Teleporter', '800', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50030', 'Hooper', '$1070', 'L1Teleporter', '792', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50031', 'Sepia', '$2259', 'L1Teleporter', '2712', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50032', 'Market Guard', '$3054', 'L1Teleporter', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50033', 'Market Teleporter', '$3053', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50034', 'Market Teleporter', '$3053', 'L1Teleporter', '2141', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50035', 'Castle Gatekeeper', '$3238', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50036', 'Wilma', '$1354', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50037', 'Coliseum Manager', '$1609', 'L1Teleporter', '992', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50038', 'Assistant Manager of the Coliseum', '$1902', 'L1Teleporter', '800', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50039', 'Leslie', '$1596', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50040', 'Castle Gatekeeper', '$3238', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50041', 'Coliseum Manager', '$1609', 'L1Teleporter', '992', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50042', 'Assistant Manager of the Coliseum', '$1902', 'L1Teleporter', '800', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50043', 'Ramuda', '$2356', 'L1Teleporter', '2778', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50044', 'Sirius', '$2126', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50045', 'Eldin', '$2497', 'L1Teleporter', '2781', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50046', 'Elleris', '$2234', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50047', 'Castle Gatekeeper', '$3238', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50048', 'Market Guard', '$3054', 'L1Teleporter', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50049', 'Market Teleporter', '$3053', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50050', 'Market Teleporter', '$3053', 'L1Teleporter', '2141', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50051', 'Kirius', '$1773', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50052', 'Castle Gatekeeper', '$3238', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50053', 'Cobb', '$1071', 'L1Teleporter', '793', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50054', 'Trey', '$946', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50055', 'Drist', '$1423', 'L1Teleporter', '1510', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50056', 'Matt', '$947', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50057', 'Bunch', '$1072', 'L1Teleporter', '794', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50058', 'Market Guard', '$3054', 'L1Teleporter', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50059', 'Market Teleporter', '$3053', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50060', 'Market Teleporter', '$3053', 'L1Teleporter', '2141', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50061', 'Coliseum Manager', '$1609', 'L1Teleporter', '992', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50062', 'Assistant Manager of the Coliseum', '$1902', 'L1Teleporter', '800', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50063', 'Fortress Gatekeeper', '$3239', 'L1Teleporter', '782', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50064', 'Duvall', '$3436', 'L1Teleporter', '1514', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50065', 'Ribian', '$1898', 'L1Teleporter', '914', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50066', 'Riol', '$1517', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50067', 'Castle Gatekeeper', '$3238', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50068', 'Deanos', '$2586', 'L1Teleporter', '2794', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50069', 'Enya', '$2493', 'L1Teleporter', '2779', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50070', 'Lucky', '$1955', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50071', 'Ishiris', '$1932', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50072', 'Teleporter Diarus', '$3127', 'L1Teleporter', '2820', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50073', 'Teleporter Diabes', '$3130', 'L1Teleporter', '2794', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50074', 'Large Cave Teleporter', '$3550', 'L1Teleporter', '2794', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50075', 'Fortress Gatekeeper', '$3239', 'L1Teleporter', '2794', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50076', 'Orb of Spirit', '$3551', 'L1Teleporter', '4047', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50077', 'Orb of Spirit', '$3551', 'L1Teleporter', '4047', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50078', 'Orb of Spirit', '$3551', 'L1Teleporter', '155', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50079', 'Daniel', '$834', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50080', 'Paul', '$833', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50081', 'Explorer\'s Assistant', '$4472', 'L1Merchant', '4141', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50082', 'Unknown 50082', '$10078', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50083', 'Unknown 50083', '$10079', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50084', 'Guard', '$240', 'L1Teleporter', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('50111', 'Liri', '$3318', 'L1Merchant', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50112', 'Serian', '$3317', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50113', 'Lekman', '$3316', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50114', 'Chico', '$3323', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50115', 'Jaruman', '$3330', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50116', 'Gion', '$3319', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50117', 'Syria', '$3320', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50118', 'Niki', '$3428', 'L1Merchant', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50119', 'Oshillia', '$3321', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50120', 'Hob', '$3324', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50121', 'Honin', '$3322', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50122', 'Tuck', '$3325', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50123', 'Galleon', '$3326', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50124', 'Porikan', '$3328', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50125', 'Gilbert', '$3327', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50126', 'Jerik', '$3329', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50127', 'Consul', '$3548', 'L1Merchant', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50501', 'Gleda', '$1330', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50502', 'Ginevra', '$1344', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50503', 'Noela', '$1331', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50504', 'Nicoline', '$1320', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50505', 'Diane', '$1306', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50506', 'Duana', '$1345', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50507', 'Leonora', '$1342', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50508', 'Lucinda', '$1332', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50509', 'Livia', '$1314', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50510', 'Marina', '$888', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50511', 'Margery', '$1329', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50512', 'Mary', '$1319', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50513', 'Mennefer', '$1325', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50514', 'Minerva', '$1333', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50515', 'Miryam', '$1324', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50516', 'Valeska', '$1311', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50517', 'Bernice', '$1339', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50518', 'Vevina', '$1313', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50519', 'Beth', '$1307', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50520', 'Sarah', '$1316', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50521', 'Saloma', '$1338', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50522', 'Sigrid', '$1346', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50523', 'Erma', '$1348', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50524', 'Emilia', '$1336', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50525', 'Eulalia', '$1321', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50526', 'Eleanora', '$1318', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50527', 'Emma', '$889', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50528', 'Osa', '$1326', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50529', 'Even', '$675', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50530', 'Ione', '$1343', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50531', 'Justine', '$1309', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50532', 'Geraldine', '$1334', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50533', 'Joanna', '$1327', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50534', 'Julia', '$1322', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50535', 'Juliana', '$1337', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50536', 'Jilda', '$1315', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50537', 'Karelia', '$1340', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50538', 'Carmel', '$1312', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50539', 'Karine', '$1341', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50540', 'Catriona', '$1323', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50541', 'Tessa', '$1347', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50542', 'Teodora', '$1328', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50543', 'Tekla', '$1317', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50544', 'Paulina', '$1335', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50545', 'Henrietta', '$1308', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50546', 'Nadine', '$2304', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50547', 'Nash', '$2285', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50548', 'Natalia', '$2314', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50549', 'Nona', '$2327', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50550', 'Nita', '$2338', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50551', 'Diana', '$2284', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50552', 'Doria', '$2340', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50553', 'Dina', '$2276', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50554', 'Levins', '$2280', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50555', 'Lucie', '$2301', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50556', 'Rociri', '$2303', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50557', 'Locis', '$2309', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50558', 'Ressie', '$2334', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50559', 'Lucinda', '$2331', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50560', 'Liz', '$2282', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50561', 'Rija', '$2278', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50562', 'Mariel', '$2316', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50563', 'McCauley', '$2339', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50564', 'Meyo', '$2297', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50565', 'May', '$2321', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50566', 'Mella', '$2325', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50567', 'Morin', '$2272', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50568', 'Mitchel', '$2286', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50569', 'Michelli', '$2313', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50570', 'Mindy', '$2288', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50571', 'Beverly', '$2296', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50572', 'Beth', '$1307', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50573', 'Bella', '$2318', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50574', 'Bonie', '$2324', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50575', 'Bobby', '$2279', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50576', 'Brittainy', '$2329', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50577', 'Bianca', '$2317', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50578', 'Violet', '$2315', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50579', 'Sadie', '$2328', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50580', 'Cellay', '$2311', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50581', 'Celina', '$2274', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50582', 'Sophia', '$2306', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50583', 'Sherrie', '$2310', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50584', 'Sibia', '$2305', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50585', 'Cindy', '$2275', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50586', 'Sylvia', '$2336', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50587', 'Arana', '$2295', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50588', 'Amie', '$2281', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50589', 'Aberi', '$2307', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50590', 'Acacia', '$2287', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50591', 'Angelina', '$2312', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50592', 'Angelica', '$2332', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50593', 'Edie', '$2294', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50594', 'Ebony', '$2277', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50595', 'Angeline', '$2289', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50596', 'Odia', '$2271', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50597', 'Ophelia', '$2323', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50598', 'Wanda', '$2320', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50599', 'Isabelle', '$2302', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50600', 'Genesse', '$2299', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50601', 'Zenith', '$2337', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50602', 'Joanne', '$2322', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50603', 'Judith', '$2300', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50604', 'Chellany', '$2333', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50605', 'Karot', '$2308', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50606', 'Karisha', '$2335', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50607', 'Candice', '$2273', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50608', 'Kinin', '$2233', 'L1Teleporter', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50609', 'Tamara', '$2330', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50610', 'Teresa', '$2326', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50611', 'Prolance', '$2298', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50612', 'Florina', '$2319', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50613', 'Helena', '$2341', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50614', 'Novita', '$1547', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50615', 'Dain', '$1550', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50616', 'Delia', '$1549', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50617', 'Lorena', '$1546', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50618', 'Morna', '$1548', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50619', 'Miriam', '$1542', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50620', 'Adina', '$1540', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50621', 'Edry', '$1543', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50622', 'Elsha', '$1544', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50623', 'Zenia', '$1541', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50624', 'Triona', '$1545', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('50625', 'Ancient Person', '$2357', 'L1Teleporter', '266', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60001', 'Dorin', '$309', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('60002', 'Bahof', '$468', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('60003', 'Thram', '$568', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('60004', 'Denitz', '$3223', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('60005', 'Luke', '$844', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('60006', 'Jianku', '$3055', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('60007', 'Karim', '$334', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('60008', 'Nodim', '$1249', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('60009', 'Sauram', '$1248', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('60010', 'Kasham', '$3224', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('60011', 'Kuron', '$3070', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('60012', 'Tofen', '$1380', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('60013', 'Axellon', '$1604', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('60014', 'Kriom', '$1611', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('60015', 'Ogi', '$2125', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('60016', 'Juke', '$2229', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('60017', 'Karudim', '$2228', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('60018', 'Calvas', '$2087', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('60019', 'Timpukin', '$2230', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('60020', 'Tulak', '$3071', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('60021', 'Hirim', '$1878', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('60022', 'Borgin', '$950', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('60023', 'Tarkin', '$948', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('60024', 'Gotham', '$949', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('60025', 'Kusian', '$3072', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('60026', 'Orclon', '$2092', 'L1Dwarf', '118', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('60027', 'Kuhatin', '$1073', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('60028', 'El', '$750', 'L1Dwarf', '918', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('60029', 'Haidrim', '$1551', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('60030', 'Hakim', '$1538', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('60031', 'Rayearth', '$2492', 'L1Dwarf', '2794', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('60032', 'Storage House Keeper Garin', '$3132', 'L1Dwarf', '3636', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('60033', 'Storage House Keeper Gaul', '$3129', 'L1Dwarf', '3636', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('60034', 'Kuud', '$3526', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('60035', 'Zidar', '$3564', 'L1Dwarf', '3636', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('60036', 'Tigus', '$3563', 'L1Dwarf', '3636', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('60037', 'Unknown 60037', '$10076', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('60501', 'Guard', '$240', 'L1Guard', '335', '65', '1500', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '0', '0', '0', '10', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '66', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60502', 'Guard', '$240', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '0', '0', '0', '2', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60503', 'Ranger', '$1177', 'L1Guard', '1222', '70', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '0', '0', '0', '1', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60504', 'Ranger', '$1177', 'L1Guard', '1250', '70', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '0', '0', '0', '1', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60505', 'Guard', '$240', 'L1Guard', '335', '65', '1500', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '0', '0', '0', '10', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '66', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60506', 'Guard', '$240', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '0', '0', '0', '2', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60507', 'Guard', '$240', 'L1Guard', '335', '65', '1500', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '0', '0', '0', '10', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '66', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60508', 'Guard', '$240', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '0', '0', '0', '2', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60509', 'Guard', '$240', 'L1Guard', '335', '65', '1500', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '0', '0', '0', '10', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '66', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60510', 'Guard', '$240', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '0', '0', '0', '2', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60511', 'Court Guard', '$475', 'L1Guard', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60512', 'Court Guard', '$475', 'L1Guard', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60513', 'Guard', '$240', 'L1Guard', '335', '65', '1500', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '0', '0', '0', '10', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '66', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60514', 'Court Guard', '$475', 'L1Guard', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60515', 'Kent Mercenary Squad', '$2932 $2928', 'L1Guard', '335', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60516', 'Kent Mercenary Squad', '$2932 $2928', 'L1Guard', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60517', 'Guard', '$240', 'L1Guard', '335', '65', '1500', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '0', '0', '0', '10', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '66', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60518', 'Guard', '$240', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '0', '0', '0', '2', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60519', 'Blue Sharks', '$460', 'L1Guard', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60520', 'Kent Mercenary Squad', '$2932 $2928?', 'L1Guard', '335', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60521', 'Kent Mercenary Squad', '$2932 $2928?', 'L1Guard', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60522', 'Guard', '$240', 'L1Guard', '335', '65', '1500', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '0', '0', '0', '10', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '66', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60523', 'Guard', '$240', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '0', '0', '0', '2', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60524', 'Court Guard', '$475', 'L1Guard', '335', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60525', 'Court Guard', '$475', 'L1Guard', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60526', 'Giran Mercenary Squad', '$1242 $2928', 'L1Guard', '335', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60527', 'Giran Mercenary Squad', '$1242 $2928', 'L1Guard', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60528', 'Gludin Guard', 'Gludin $240', 'L1Guard', '335', '70', '1500', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '0', '0', '0', '10', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '66', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60529', 'Court Guard', '$475', 'L1Guard', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60530', 'Dwarf Guard', '$1577', 'L1Guard', '1997', '70', '2500', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '0', '0', '0', '1', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60531', 'Dwarf Guard', '$1577', 'L1Guard', '1997', '70', '2500', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '0', '0', '0', '1', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60532', 'Unknown 60532', 'Unknown 60532', 'L1Guard', '1839', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60533', 'Aden Castle Guard', 'Aden Castle $240', 'L1Guard', '2650', '70', '1500', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '0', '0', '0', '10', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '66', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60534', 'Aden Castle Guard', 'Aden Castle $240', 'L1Guard', '2649', '70', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '0', '0', '0', '2', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60535', 'Aden Court Guard', '$2129 $475?', 'L1Guard', '2382', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60536', 'Aden Court Guard', '$2129 $475?', 'L1Guard', '2335', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60537', 'Aden Guard', '$2129 $240', 'L1Guard', '2289', '70', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '0', '0', '0', '2', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60538', 'Aden Guard', '$2129 $240', 'L1Guard', '2295', '70', '1500', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '0', '0', '0', '10', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '66', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60539', 'Aden Mercenary Squad', '$2129 $2928', 'L1Guard', '2382', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60540', 'Aden Mercenary Squad', '$2129 $2928', 'L1Guard', '2335', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60541', 'Guard', '$240', 'L1Guard', '335', '65', '1500', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '0', '0', '0', '10', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '66', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60542', 'Guard', '$240', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '0', '0', '0', '2', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60543', 'Guard', '$240', 'L1Guard', '335', '65', '1500', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '0', '0', '0', '10', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '66', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60544', 'Guard', '$240', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '0', '0', '0', '2', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60545', 'Guard', '$240', 'L1Guard', '335', '65', '1500', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '0', '0', '0', '10', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '66', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60546', 'Guard', '$240', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '0', '0', '0', '2', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60547', 'Guard', '$240', 'L1Guard', '335', '65', '1500', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '0', '0', '0', '10', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '66', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60548', 'Guard', '$240', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '0', '0', '0', '2', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60549', 'Court Guard', '$475', 'L1Guard', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60550', 'Court Guard', '$475', 'L1Guard', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60551', 'Windawood Castle Guard', '$951 $240', 'L1Guard', '335', '70', '1500', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '0', '0', '0', '10', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '66', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60552', 'Court Guard', '$475', 'L1Guard', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60553', 'Windawood Mercenary Squad', '$2933 $2928', 'L1Guard', '335', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60554', 'Windawood Mercenary Squad', '$2933 $2928', 'L1Guard', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60555', 'Unknown 60555', 'Unknown 60555', 'L1Guard', '4003', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60556', 'Guard', '$240', 'L1Guard', '335', '65', '1500', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '0', '0', '0', '10', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '66', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60557', 'Guard', '$240', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '0', '0', '0', '2', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60558', 'Gerard Mercenary Squad', '$914 $2928', 'L1Guard', '335', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60559', 'Gerard Mercenary Squad', '$914 $2928', 'L1Guard', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60560', 'Orcish Court Guard', '$607', 'L1Guard', '824', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60561', 'Court Guard', '$475', 'L1Guard', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60562', 'Court Guard', '$475', 'L1Guard', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60563', 'Heine Guard', '$1513 $240', 'L1Guard', '1659', '85', '3000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '0', '0', '0', '1', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60564', 'Unknown 60564', 'Unknown 60564', 'L1Guard', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60565', 'Unknown 60565', 'Unknown 60565', 'L1Merchant', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60566', 'Dark Elf Ranger', '$2495', 'L1Guard', '2976', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('60567', 'Guard', '$240', 'L1Guard', '2976', '75', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '0', '0', '0', '10', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '66', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70001', 'Rose', '$1643', 'L1Merchant', '1532', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70002', 'Sasha', '$1557', 'L1Merchant', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70003', 'Siriss', '$1416', 'L1Merchant', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70004', 'Unknown 70004', '$10081', 'L1Merchant', '1513', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70005', 'Pago', '$1732', 'L1Merchant', '118', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70006', 'Kiris', '$1726', 'L1Merchant', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70007', 'Tina', '$1644', 'L1Merchant', '1532', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70008', 'Fraoun', '$1420', 'L1Merchant', '1513', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70009', 'Gereng', '$374', 'L1Merchant', '237', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70010', 'Balsim', '$304', 'L1Merchant', '118', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70011', 'Harbor Master', '$320', 'L1Merchant', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70012', 'Selena', '$955', 'L1Merchant', '695', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70013', 'Cole', '$1637', 'L1Merchant', '725', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70014', 'Pandora', '$269', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70015', 'Arieh', '$1638', 'L1Merchant', '1530', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70016', 'Andyn', '$458', 'L1Merchant', '457', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70017', 'Orim', '$406', 'L1Merchant', '266', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70018', 'Ysorya', '$459', 'L1Merchant', '695', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70019', 'Lolia', '$450', 'L1Merchant', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70020', 'Rollko', '$2861', 'L1Merchant', '3235', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70021', 'Luth', '$333', 'L1Merchant', '234', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70022', 'Harbor Master', '$320', 'L1Merchant', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70023', 'Aden Chamber of Commerce', '$3237', 'L1Merchant', '1216', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70024', 'Catty', '$332', 'L1Merchant', '200', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70025', 'Pasim', '$2899', 'L1Merchant', '118', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70026', 'Derek', '$861', 'L1Merchant', '1254', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70027', 'Dio', '$859', 'L1Merchant', '1216', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70028', 'Randal', '$857', 'L1Merchant', '1305', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70029', 'Margaret', '$866', 'L1Merchant', '1298', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70030', 'Mayer', '$1301', 'L1Merchant', '1276', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70031', 'Molly', '$1250', 'L1Merchant', '1507', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70032', 'Vergil', '$1295', 'L1Merchant', '1314', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70033', 'Verita', '$891', 'L1Merchant', '1307', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70034', 'Vincent', '$848', 'L1Merchant', '1314', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70035', 'Izawa', '$858', 'L1Merchant', '990', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70036', 'Stella', '$1624', 'L1Merchant', '200', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70037', 'Aden Chamber of Commerce', '$3237', 'L1Merchant', '1216', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70038', 'Evert', '$849', 'L1Merchant', '1296', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70039', 'Werner', '$1286', 'L1Merchant', '1208', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70040', 'Jason', '$855', 'L1Merchant', '1243', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70041', 'Maeno', '$854', 'L1Merchant', '1515', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70042', 'Tanaka', '$886', 'L1Merchant', '1505', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70043', 'Philip', '$838', 'L1Merchant', '1276', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70044', 'Ralf', '$1595', 'L1Merchant', '697', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70045', 'Berry', '$1594', 'L1Merchant', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70046', 'Jin', '$1642', 'L1Merchant', '1532', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70047', 'Defman', '$2121', 'L1Merchant', '1254', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70048', 'Raon', '$2122', 'L1Merchant', '1271', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70049', 'Rozen', '$2148', 'L1Merchant', '1282', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70050', 'Ruky', '$2167', 'L1Merchant', '991', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70051', 'Magus', '$2235', 'L1Merchant', '697', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70052', 'Melissa', '$2237', 'L1Merchant', '1276', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70053', 'Shara', '$2232', 'L1Merchant', '1298', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70054', 'Sabin', '$2163', 'L1Merchant', '2466', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70055', 'Ashinnue', '$2995', 'L1Merchant', '796', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70056', 'Jode', '$2860', 'L1Merchant', '3232', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70057', 'Catherine', '$2231', 'L1Merchant', '1307', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70058', 'Fega', '$2236', 'L1Merchant', '1314', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70059', 'Dico', '$1877', 'L1Merchant', '457', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70060', 'Linda', '$1875', 'L1Merchant', '991', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70061', 'Mandra', '$1776', 'L1Merchant', '1254', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70062', 'Varyeth', '$1779', 'L1Merchant', '2090', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70063', 'Bius', '$1775', 'L1Merchant', '1271', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70064', 'Aden Chamber of Commerce', '$3237', 'L1Merchant', '1216', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70065', 'Enke', '$1828', 'L1Merchant', '991', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70066', 'Kreister', '$1781', 'L1Merchant', '2143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70067', 'Pagoru', '$1876', 'L1Merchant', '989', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70068', 'Franko', '$2929', 'L1Merchant', '457', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70069', 'Momo', '$1639', 'L1Merchant', '991', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70070', 'Velisa', '$912', 'L1Merchant', '989', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70071', 'Ashur', '$965', 'L1Merchant', '1045', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70072', 'Elmina', '$910', 'L1Merchant', '234', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70073', 'Glen', '$915', 'L1Merchant', '984', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70074', 'Mellin', '$916', 'L1Merchant', '990', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70075', 'Miranda', '$918', 'L1Merchant', '991', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70076', 'Aden Chamber of Commerce', '$3237', 'L1Merchant', '1216', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70077', 'Rodney', '$840', 'L1Merchant', '792', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70078', 'Orcm', '$1640', 'L1Merchant', '118', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70079', 'Jackson', '$964', 'L1Merchant', '457', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70080', 'Horun', '$751', 'L1Merchant', '834', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70081', 'Buakheu', '$1434', 'L1Merchant', '1619', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70082', 'Britt', '$1516', 'L1Merchant', '695', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70083', 'Shivan', '$1515', 'L1Merchant', '695', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70084', 'Elly', '$1539', 'L1Merchant', '989', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70085', 'Old', '$1641', 'L1Merchant', '721', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70086', 'Isvall', '$1931', 'L1Merchant', '1511', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70087', 'Sedia', '$2552', 'L1Merchant', '2820', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70088', 'Squalid', '$2494', 'L1Merchant', '2794', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70089', 'Oblivion', '$1944', 'L1Merchant', '1511', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70090', 'Chicky', '$1954', 'L1Merchant', '118', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70091', 'Tilon', '$1956', 'L1Merchant', '118', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70092', 'Trader Emart', '$3131', 'L1Merchant', '2794', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70093', 'Trader Carupu', '$3128', 'L1Merchant', '1768', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70094', 'Duran', '$3437', 'L1Merchant', '1515', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70095', 'Duron', '$3529', 'L1Merchant', '1045', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70096', 'Millay', '$3525', 'L1Merchant', '2466', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70097', 'Foni', '$3530', 'L1Merchant', '1508', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70098', 'Bobo', '$3424', 'L1Merchant', '4312', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70099', 'Kuper', '$2344', 'L1Merchant', '792', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70100', 'Lengo', '$454', 'L1Merchant', '704', '0', '100', '0', '0', '0', '0', '0', '0', '0', '0', '0', '100', '', '0', '0', '0', '0', '0', '0', '3840', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70101', 'Fiin', '$455', 'L1Merchant', '705', '0', '100', '0', '0', '0', '0', '0', '0', '0', '0', '0', '100', '', '0', '0', '0', '0', '0', '0', '3840', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70102', 'Judice', '$456', 'L1Merchant', '706', '0', '100', '0', '0', '0', '0', '0', '0', '0', '0', '0', '100', '', '0', '0', '0', '0', '0', '0', '3840', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70501', 'Eban', '$839', 'L1Npc', '1511', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70502', 'Arena Guide', '$1500', 'L1Npc', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70503', 'Goodman', '$1501', 'L1Merchant', '1511', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '32767', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70504', 'Neutralman', '$1502', 'L1Merchant', '1512', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70505', 'Unknown 70505', '', 'L1Npc', '1511', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70506', 'Ruba', '$1728', 'L1Merchant', '1301', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70507', 'Rion', '$1724', 'L1Merchant', '985', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70508', 'Weapon Enchanter', '$1686', 'L1Merchant', '1254', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70509', 'Armor Enchanter', '$1685', 'L1Merchant', '1208', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70510', 'Polymorph Magician', '$1684', 'L1Merchant', '1216', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70511', 'Evilman', '$1503', 'L1Merchant', '1513', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-32767', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70512', 'Healer', '$1415', 'L1Merchant', '1512', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70513', 'Peria', '$2573', 'L1Npc', '703', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70514', 'Haste Master', '$2343', 'L1Merchant', '237', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70515', 'Mubo', '$1727', 'L1Npc', '1511', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70516', 'Belgeter', '$1419', 'L1Npc', '1511', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70517', 'Cuse', '$1725', 'L1Merchant', '986', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70518', 'Tio', '$1729', 'L1Merchant', '987', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70519', 'Peria', '$2573', 'L1Merchant', '703', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70520', 'Alchemist', '$3480', 'L1Merchant', '2090', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70521', 'Guard', '$240', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '0', '0', '0', '2', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70522', 'Gunter', '$270', 'L1Merchant', '100', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70523', 'Ladar', '$1053', 'L1Merchant', '988', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70524', 'Lavienue', '$2690', 'L1Merchant', '1307', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70525', 'Lien', '$1055', 'L1Merchant', '981', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70526', 'Raidar', '$2883', 'L1Merchant', '1278', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70527', 'Terry', '$847', 'L1Npc', '1515', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70528', 'Village Manager', '$2171', 'L1Merchant', '971', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70529', 'Mona', '$862', 'L1Merchant', '234', '0', '100', '0', '0', '0', '0', '0', '0', '0', '0', '0', '100', '', '0', '0', '0', '0', '0', '0', '3840', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70530', 'Goddess of Atonement', '$3126', 'L1Merchant', '2141', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70531', 'Jem', '$1928', 'L1Merchant', '1307', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70532', 'Johnson', '$614', 'L1Merchant', '697', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70533', 'Judice', '$456', 'L1Npc', '706', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70534', 'Secratary to the Mayor', '$2170', 'L1Merchant', '460', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70535', 'Unknown 70535', '', 'L1Npc', '792', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70536', 'Touma', '$478', 'L1Merchant', '727', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70537', 'Farlin', '$1054', 'L1Merchant', '983', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70538', 'Blood Pledge Administrator', '$2238', 'L1Merchant', '949', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70539', 'Unknown 70539', '', 'L1Npc', '705', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70541', 'Guard', '$240', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '0', '0', '0', '2', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70542', 'Gayle', '$430', 'L1Npc', '261', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70543', 'Unknown 70543', '', 'L1Npc', '697', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70544', 'Rick', '$615', 'L1Merchant', '1515', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70545', 'Richard', '$2160', 'L1Merchant', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70546', 'Village Manager', '$2171', 'L1Merchant', '971', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70547', 'Weapon Enchanter', '$1686', 'L1Merchant', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70548', 'Unknown 70548', '', 'L1Npc', '794', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70549', 'Gatekeeper', '$474', 'L1Guard', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70550', 'Armor Enchanter', '$1685', 'L1Merchant', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70551', 'Unknown 70551', '', 'L1Npc', '3418', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70552', 'Unknown 70552', '', 'L1Npc', '696', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70553', 'Ishmael', '$432', 'L1Merchant', '460', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70554', 'Zero', '$1927', 'L1Merchant', '971', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70555', 'Jim', '$2013', 'L1Merchant', '2436', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70556', 'Secratary to the Mayor', '$2170', 'L1Merchant', '460', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70557', 'Cana', '$449', 'L1Npc', '699', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70558', 'Kent Mercenary Squad', '$2932 $2928', 'L1Npc', '335', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70559', 'Kent Mercenary Squad', '$2932 $2928', 'L1Npc', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70560', 'Blood Pledge Administrator', '$2238', 'L1Merchant', '949', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70561', 'Unknown 70561', 'Unknown 70561', 'L1Npc', '3406', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70562', 'Mercenary Captain Hunt', '$445', 'L1Merchant', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70564', 'Guard', '$240', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '0', '0', '0', '2', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70566', 'Unknown 70566', '', 'L1Npc', '800', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70567', 'Village Manager', '$2171', 'L1Merchant', '971', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70568', 'Yuno', '$3225', 'L1Merchant', '696', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70569', 'Jaint', '$452', 'L1Npc', '702', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70570', 'Jyta', '$453', 'L1Npc', '1508', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70571', 'Unknown 70571', '', 'L1Npc', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70572', 'Secratary to the Mayor', '$2170', 'L1Merchant', '460', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70573', 'Farbo', '$451', 'L1Npc', '701', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70575', 'Guard', '$240', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '0', '0', '0', '2', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70576', 'Garth', '$1270', 'L1Npc', '721', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70577', 'Auctioneer', '$1233', 'L1Merchant', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70578', 'Unknown 70578', '', 'L1Npc', '335', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70579', 'Unknown 70579', '', 'L1Npc', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70580', 'Unknown 70580', '', 'L1Npc', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70581', 'Gulian', '$1267', 'L1Npc', '1514', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70582', 'Neil', '$841', 'L1Npc', '1513', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70583', 'Nelson', '$853', 'L1Npc', '1512', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70584', 'Daria', '$883', 'L1Npc', '989', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70585', 'Damon', '$1260', 'L1Npc', '697', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70586', 'Daisy', '$880', 'L1Npc', '797', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70587', 'Doris', '$884', 'L1Npc', '991', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70588', 'Unknown 70588', '', 'L1Npc', '702', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70589', 'Laban', '$856', 'L1Npc', '1294', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70590', 'Luke', '$844', 'L1Npc', '1514', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70591', 'Lina', '$878', 'L1Npc', '699', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70592', 'Leal', '$875', 'L1Npc', '1531', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70593', 'Manus', '$1268', 'L1Npc', '794', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70594', 'Village Manager', '$2171', 'L1Merchant', '971', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70595', 'Mandel', '$842', 'L1Npc', '1290', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70596', 'Malcom', '$1259', 'L1Npc', '696', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70597', 'Moran', '$1263', 'L1Npc', '702', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70598', 'Moria', '$865', 'L1Merchant', '1307', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70599', 'Weapon Enchanter', '$1686', 'L1Merchant', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70600', 'Gatekeeper', '$474', 'L1Guard', '826', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70601', 'Armor Enchanter', '$1685', 'L1Merchant', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70602', 'Velma', '$871', 'L1Npc', '1509', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70603', 'Bruno', '$836', 'L1Npc', '1282', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70604', 'Bridget', '$881', 'L1Npc', '798', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70605', 'Blaise', '$3234', 'L1Merchant', '1288', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70606', 'Victor', '$852', 'L1Npc', '988', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70607', 'Sarsha', '$2986', 'L1Merchant', '1307', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70608', 'Shalina', '$867', 'L1Npc', '1506', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70609', 'Sally', '$879', 'L1Npc', '1301', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70610', 'Sherwin', '$1262', 'L1Npc', '701', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70611', 'Goddess of Atonement', '$3126', 'L1Merchant', '2141', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70612', 'Sidney', '$837', 'L1Npc', '1510', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70613', 'Amanda', '$877', 'L1Npc', '1266', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70614', 'Anton', '$860', 'L1Merchant', '1271', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70615', 'Alda', '$876', 'L1Npc', '1532', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70616', 'Aldred', '$1266', 'L1Npc', '792', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70617', 'Almon', '$1299', 'L1Merchant', '704', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70618', 'Andrew', '$835', 'L1Npc', '1288', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70619', 'Alice', '$872', 'L1Npc', '1528', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70620', 'Eban', '$839', 'L1Npc', '1511', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70621', 'Evelyn', '$873', 'L1Npc', '1529', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70622', 'Eliza', '$864', 'L1Npc', '1505', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70623', 'Orville', '$1238', 'L1Merchant', '971', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70624', 'Oliver', '$1271', 'L1Npc', '723', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70625', 'Iola', '$887', 'L1Npc', '234', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70626', 'Jack', '$832', 'L1Npc', '1278', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70627', 'Jenny', '$870', 'L1Npc', '703', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70628', 'Jessy', '$868', 'L1Npc', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70629', 'James', '$843', 'L1Npc', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70630', 'Giles', '$1265', 'L1Npc', '800', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70631', 'Secratary to the Mayor', '$2170', 'L1Merchant', '460', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70632', 'Kevin', '$1298', 'L1Merchant', '792', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70633', 'Colbert', '$850', 'L1Merchant', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70634', 'Tanya', '$882', 'L1Npc', '799', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70635', 'Tyrus', '$1261', 'L1Npc', '698', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70636', 'Terry', '$847', 'L1Npc', '704', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70637', 'Tovia', '$874', 'L1Npc', '1530', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70638', 'Tracey', '$885', 'L1Npc', '992', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70639', 'Ferdinand', '$1264', 'L1Npc', '705', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70640', 'Pierre', '$1269', 'L1Npc', '981', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70641', 'Helen', '$1246', 'L1Merchant', '1312', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70642', 'Hector', '$846', 'L1Merchant', '1208', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70643', '???', '$863', 'L1Npc', '1286', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70644', 'Blood Pledge Administrator', '$2238', 'L1Merchant', '949', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70646', 'Guard', '$240', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '0', '0', '0', '2', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70647', 'Gavin', '$1598', 'L1Npc', '800', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70648', 'Daley', '$1599', 'L1Npc', '695', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70649', 'Lary', '$3331', 'L1Npc', '4258', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70650', 'Horse of Lary', '$3552', 'L1Npc', '4363', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70651', 'Lary\'s Soldier', '$3333', 'L1Npc', '4260', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70652', 'Lary\'s Assistant', '$3332', 'L1Npc', '4259', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70653', 'Marshall', '$2021', 'L1Merchant', '460', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70654', 'Village Manager', '$2171', 'L1Merchant', '971', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70655', 'Weapon Enchanter', '$1686', 'L1Merchant', '1997', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70656', 'Gatekeeper', '$474', 'L1Guard', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70657', 'Armor Enchanter', '$1685', 'L1Merchant', '1997', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70658', 'Goddess of Atonement', '$3126', 'L1Merchant', '2141', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70659', 'Atara', '$1600', 'L1Npc', '696', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70660', 'Unknown 70660', '', 'L1Npc', '1839', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70661', 'Unknown 70661', '', 'L1Npc', '1839', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70662', 'Ivelviin', '$1592', 'L1Merchant', '1768', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70663', 'Secratary to the Mayor', '$2170', 'L1Merchant', '460', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70664', 'Cove', '$1597', 'L1Merchant', '697', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70665', 'Potempin', '$1591', 'L1Merchant', '1766', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70666', 'Freckson', '$1602', 'L1Merchant', '1997', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70667', 'Blood Pledge Administrator', '$2238', 'L1Merchant', '949', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70669', 'Auctioneer', '$1233', 'L1Npc', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70670', 'Cray', '$1015', 'L1Npc', '2429', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70671', 'Nose', '$3042', 'L1Merchant', '1271', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70672', 'Raphael', '$2151', 'L1Npc', '2405', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70673', 'Unknown 70673', '', 'L1Npc', '2405', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70674', 'Reona', '$3135', 'L1Merchant', '1273', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70675', 'Rose', '$2934', 'L1Npc', '2314', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70676', 'Ryumiel', '$2689', 'L1Merchant', '3095', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70677', 'Lilia', '$2141', 'L1Npc', '796', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70678', 'Unknown 70678', '', 'L1Npc', '2314', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70679', 'Marja', '$2132', 'L1Npc', '721', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70680', 'Mikey', '$2135', 'L1Npc', '2398', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70681', 'Matilda', '$2137', 'L1Npc', '2505', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70682', 'Marx', '$2150', 'L1Npc', '2293', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70683', 'Montes', '$2705', 'L1Merchant', '2139', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70684', 'Words of Montes', '$2717', 'L1Npc', '2963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70685', 'Words of Montes', '$2717', 'L1Npc', '2964', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70686', 'Weapon Enchanter', '$1686', 'L1Merchant', '2487', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70687', 'Gatekeeper', '$474', 'L1Guard', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70688', 'Muras', '$2943', 'L1Npc', '1301', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70689', 'Misa', '$2131', 'L1Npc', '725', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70690', 'Bamute', '$2608', 'L1Merchant', '457', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70691', 'Barbara', '$2152', 'L1Npc', '2400', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70692', 'Armor Enchanter', '$1685', 'L1Merchant', '2487', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70693', 'Buckley', '$2144', 'L1Npc', '2511', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70694', 'Brutus', '$2940', 'L1Npc', '2511', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70695', 'Biust', '$2128', 'L1Merchant', '2335', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70696', 'Bindro', '$2134', 'L1Npc', '2398', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70697', 'Seratti', '$2938', 'L1Npc', '2466', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70698', 'Selma', '$2140', 'L1Npc', '2466', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70699', 'Sheryan', '$2143', 'L1Npc', '2314', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70700', 'Sabin', '$2163', 'L1Npc', '2466', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70701', 'Goddess Agata', '$1674', 'L1Merchant', '2141', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70702', 'Goddess Ariel', '$2342', 'L1Merchant', '2141', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70703', 'Aden Court Guard', '$2129 $475', 'L1Npc', '2382', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70704', 'Aden Court Guard', '$2129 $475', 'L1Npc', '2335', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70705', 'Arin', '$2136', 'L1Npc', '703', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70706', 'Aquin', '$2154', 'L1Npc', '2531', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70707', 'Eno', '$3013', 'L1Merchant', '2335', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70708', 'Affleck', '$2165', 'L1Npc', '2143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70709', 'Elleanor', '$2138', 'L1Npc', '1528', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70710', 'Unknown 70710', '', 'L1Npc', '1273', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70711', 'Giant Elder', '$2255', 'L1Merchant', '2711', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70712', 'Jennifer', '$2139', 'L1Npc', '1529', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70713', 'Jessica', '$2130', 'L1Npc', '725', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70714', 'Jaimy', '$2149', 'L1Npc', '1216', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70715', 'Jimu', '$2254', 'L1Merchant', '266', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70716', 'Chobi', '$2133', 'L1Npc', '721', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70717', 'Karas', '$2944', 'L1Npc', '1294', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70718', 'Kenihi', '$2942', 'L1Npc', '1273', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70719', 'Calvin', '$2157', 'L1Npc', '2429', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70720', 'Unknown 70720', '', 'L1Npc', '2493', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70721', 'Timon', '$2127', 'L1Merchant', '460', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70722', 'Paruit', '$2371', 'L1Merchant', '1513', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70723', 'Pau', '$2123', 'L1Merchant', '2255', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70724', 'Heit', '$2258', 'L1Merchant', '2400', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70725', 'Blood Pledge Administrator', '$2238', 'L1Merchant', '949', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70726', 'Unknown 70726', '', 'L1Npc', '2293', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70727', 'Unknown 70727', '', 'L1Npc', '2314', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70728', 'Unknown 70728', '', 'L1Npc', '2398', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70729', 'Unknown 70729', '', 'L1Npc', '2466', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70730', 'Unknown 70730', '', 'L1Npc', '2405', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70731', 'Unknown 70731', '', 'L1Npc', '2508', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70732', 'Unknown 70732', '', 'L1Npc', '2511', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70733', 'Unknown 70733', '', 'L1Npc', '2491', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70735', 'Garuga', '$1797', 'L1Npc', '1288', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70736', 'Derian', '$1777', 'L1Npc', '1528', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70737', 'Dekan', '$1795', 'L1Npc', '1282', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70738', 'Defuri', '$1823', 'L1Npc', '1305', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70739', 'Dicarding', '$2355', 'L1Merchant', '2767', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70740', 'Soldier of Dicarding', '$2267', 'L1Merchant', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70741', 'Dima', '$1793', 'L1Npc', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70742', 'Detector', '$1953', 'L1Merchant', '237', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70743', 'Lazloth', '$1782', 'L1Npc', '2139', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70744', 'Roje', '$2444', 'L1Merchant', '2829', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70745', 'Roku', '$1825', 'L1Npc', '261', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70746', 'Rotus', '$1796', 'L1Npc', '1278', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70747', 'Lulu', '$1362', 'L1Npc', '797', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70748', 'Village Manager', '$2171', 'L1Merchant', '971', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70749', 'Milo', '$1772', 'L1Merchant', '2255', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70750', 'Unknown 70750', '', 'L1Npc', '1533', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70751', 'Brad', '$2166', 'L1Merchant', '2143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70752', 'Biyan', '$1827', 'L1Npc', '991', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70753', 'Bion', '$1792', 'L1Npc', '799', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70754', 'Unknown 70754', '', 'L1Npc', '237', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70755', 'Unknown 70755', '', 'L1Npc', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70756', 'Moria', '$865', 'L1Npc', '1307', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70757', 'Goddess of Atonement', '$3126', 'L1Merchant', '2141', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70758', 'Sabin', '$2163', 'L1Merchant', '1307', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70759', 'Unknown 70759', '', 'L1Npc', '1533', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70760', 'Ellyonne', '$1780', 'L1Merchant', '2115', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70761', 'Secretary to the Mayor', '$2170', 'L1Merchant', '460', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70762', 'Karif', '$2688', 'L1Merchant', '1768', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70763', 'Talass', '$1778', 'L1Merchant', '2060', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70764', 'Taus', '$1826', 'L1Npc', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70765', 'Tifany', '$1824', 'L1Npc', '1307', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70766', 'Paper Man', '$1396', 'L1Npc', '2240', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70767', 'Haro', '$2448', 'L1Npc', '1528', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70769', 'Guard', '$240', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '0', '0', '0', '2', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70770', 'Deker', '$913', 'L1Npc', '983', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70771', 'Randith', '$932', 'L1Merchant', '261', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70772', 'Raidar', '$2883', 'L1Npc', '3698', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70773', 'Marbin', '$911', 'L1Merchant', '697', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70774', 'Village Manager', '$2171', 'L1Merchant', '971', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70775', 'Mark', '$2012', 'L1Merchant', '981', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70776', 'Mack', '$2161', 'L1Merchant', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70777', 'Weapon Enchanter', '$1686', 'L1Merchant', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70778', 'Gatekeeper', '$474', 'L1Guard', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70779', 'Gatekeeper Ant', '$2015', 'L1Teleporter', '2438', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '2', '2', '2', '0', '0', '0', '0', '0', '0', 'ant', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70780', 'Armor Enchanter', '$1685', 'L1Merchant', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70781', 'Goddess of Atonement', '$3126', 'L1Merchant', '2141', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70782', 'Search Ant', '$2014', 'L1Merchant', '2437', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '2', '2', '2', '0', '0', '0', '0', '0', '0', 'ant', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70783', 'Aria', '$2016', 'L1Merchant', '796', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70784', 'Othmond', '$921', 'L1Merchant', '971', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70785', 'Windawood Mercenary Squad', '$2933 $2928', 'L1Npc', '335', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70786', 'Windawood Mercenary Squad', '$2933 $2928', 'L1Npc', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70787', 'Windawood Head of Mercenary Squad', '$2933 $2930', 'L1Npc', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70788', 'Secretary to the Mayor', '$2170', 'L1Merchant', '460', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70789', 'Halt', '$935', 'L1Merchant', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70790', 'Blood Pledge Administrator', '$2238', 'L1Merchant', '949', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70791', 'Unknown 70791', '', 'L1Npc', '2337', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70793', 'Guard', '$240', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '0', '0', '0', '2', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70794', 'Gerard', '$914', 'L1Merchant', '994', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70795', 'Gerard Mercenary Squad', '$914 $2928', 'L1Npc', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70796', 'Dunham', '$2345', 'L1Merchant', '800', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70798', 'Ricky', '$1925', 'L1Merchant', '2337', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70799', 'Village Manager', '$2171', 'L1Merchant', '971', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70800', 'Gatekeeper', '$474', 'L1Guard', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70801', 'Goddess of Atonement', '$3126', 'L1Merchant', '2141', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70802', 'Aanon', '$917', 'L1Merchant', '986', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70803', 'Anotte', '$934', 'L1Npc', '992', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70804', 'Joel', '$1058', 'L1Merchant', '696', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70805', 'Julie', '$1056', 'L1Merchant', '1509', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70806', 'Secretary to the Mayor', '$2170', 'L1Merchant', '460', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70807', 'Pin', '$1057', 'L1Merchant', '723', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70809', 'Guard', '$240', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '0', '0', '0', '2', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70810', 'Nenani Guard', '$491', 'L1Npc', '784', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70811', 'Lyra', '$484', 'L1Merchant', '796', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70812', 'Rohan', '$481', 'L1Npc', '793', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70813', 'Ruu Duda-Mara', '$493', 'L1Npc', '788', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70814', 'Ruka', '$738', 'L1Npc', '725', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70815', 'Village Manager', '$2171', 'L1Merchant', '971', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70816', 'Weapon Enchanter', '$1686', 'L1Merchant', '118', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70817', 'Gatekeeper', '$474', 'L1Guard', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70818', 'Bazure Atuba', '$489', 'L1Npc', '786', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70819', 'Bob', '$737', 'L1Npc', '723', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70820', 'Armor Enchanter', '$1685', 'L1Merchant', '118', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70821', 'Sanita', '$485', 'L1Npc', '989', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70822', 'Saghem Atuba', '$488', 'L1Merchant', '782', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70823', 'Goddess of Atonement', '$3126', 'L1Merchant', '2141', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70824', 'Assassin Master\'s Apprentice', '$2443', 'L1Merchant', '2829', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70825', 'Ellne', '$486', 'L1Npc', '798', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70826', 'Oth', '$1926', 'L1Merchant', '916', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70827', 'Orcish Court Guard', '$607', 'L1Npc', '824', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70828', 'Ofo', '$480', 'L1Npc', '792', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70829', 'Woodford', '$479', 'L1Npc', '800', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70830', 'Secretary to the Mayor', '$2170', 'L1Merchant', '460', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70831', 'Kentu Neruga', '$490', 'L1Merchant', '5815', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70832', 'Taga Rova', '$492', 'L1Npc', '786', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70833', 'Tommy', '$483', 'L1Npc', '721', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70834', 'Torban', '$482', 'L1Npc', '1510', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70835', 'Hanna', '$487', 'L1Npc', '799', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70836', 'Hans', '$963', 'L1Merchant', '982', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70837', 'Narhen', '$811', 'L1Merchant', '914', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70838', 'Nerupa', '$749', 'L1Merchant', '895', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70839', 'Doett', '$812', 'L1Npc', '916', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70840', 'Robiel', '$2574', 'L1Merchant', '916', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70841', 'Luudiel', '$1510', 'L1Merchant', '914', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70842', 'Marba', '$3989', 'L1Npc', '1621', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70843', 'Morien', '$820', 'L1Npc', '918', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70844', 'Unknown 70844', '$748', 'L1Merchant', '869', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70845', 'Aras', '$3990', 'L1Npc', '834', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70846', 'Arachne', '$752', 'L1Guardian', '864', '30', '3000', '300', '0', '30', '30', '30', '30', '30', '70', '0', '0', 'small', '0', '0', '0', '0', '2', '0', '480', '840', '840', '840', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('70847', 'Est', '$1145', 'L1Merchant', '914', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70848', 'Ent', '$755', 'L1Guardian', '847', '30', '3000', '300', '0', '30', '30', '30', '30', '30', '70', '0', '0', 'large', '0', '0', '0', '0', '2', '0', '480', '840', '840', '840', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('70849', 'Theodore', '$821', 'L1Npc', '916', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70850', 'Pan', '$753', 'L1Guardian', '875', '30', '3000', '300', '0', '30', '30', '30', '30', '30', '70', '0', '0', 'large', '0', '0', '0', '0', '2', '0', '480', '840', '840', '840', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('70851', 'Fairy', '$754', 'L1Guardian', '854', '30', '3000', '300', '0', '30', '30', '30', '30', '30', '70', '0', '0', 'small', '0', '0', '0', '0', '1', '0', '480', '840', '840', '840', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '6', '0');
INSERT INTO `npc` VALUES ('70852', 'Fairy Queen', '$805', 'L1Guardian', '896', '30', '3000', '300', '0', '30', '30', '30', '30', '30', '70', '0', '0', 'small', '0', '0', '0', '0', '1', '0', '480', '840', '840', '840', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('70853', 'Fairy Princess', '$2018', 'L1Teleporter', '896', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70854', 'Hurindalien', '$813', 'L1Npc', '918', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70856', 'Gayle', '$430', 'L1Npc', '800', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70857', 'Heine Guard', '$1513 $240', 'L1Guard', '1659', '85', '3000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '0', '0', '0', '1', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70858', 'Derick', '$1518', 'L1Npc', '1512', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70859', 'Velma', '$871', 'L1Npc', '1509', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70860', 'Village Manager', '$2171', 'L1Merchant', '971', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70861', 'Weapon Enchanter', '$1686', 'L1Merchant', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70862', 'Heine Gatekeeper', '$1513 $474', 'L1Guard', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70863', 'Heine Gatekeeper', '$1513 $474', 'L1Guard', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70864', 'Vaiger', '$1512', 'L1Npc', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70865', 'Armor Enchanter', '$1685', 'L1Merchant', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70866', 'Unknown 70866', '', 'L1Npc', '797', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70867', 'Shannon', '$1520', 'L1Npc', '699', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70868', 'Stra', '$1532', 'L1Npc', '696', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70869', 'Unknown 70869', '', 'L1Npc', '697', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70870', 'Arina', '$1524', 'L1Npc', '1508', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70871', 'Annabel', '$1525', 'L1Npc', '234', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70872', 'Eveurol', '$1488', 'L1Merchant', '1621', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70873', 'Ellan', '$1514', 'L1Merchant', '704', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70874', 'Elina', '$1522', 'L1Npc', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70875', 'Oriel', '$1527', 'L1Npc', '983', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70876', 'Secretary to the Mayor', '$2170', 'L1Merchant', '460', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70877', 'Trion', '$1521', 'L1Npc', '794', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70878', 'Felix', '$1526', 'L1Npc', '702', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70879', 'Unknown 70879', '', 'L1Npc', '705', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70880', 'Fisher', '$1511', 'L1Merchant', '460', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70881', 'Heine Mercenary Squad', '$1513 $2928', 'L1Npc', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70882', 'Vaiger', '$1512', 'L1Merchant', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70883', 'Unknown 70883', '??????', 'L1Npc', '1512', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70884', 'Blood Pledge Administrator', '$2238', 'L1Merchant', '949', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70885', 'Head Guardsman Kan', 'Head Guardsman Kan', 'L1Merchant', '2811', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70886', 'Unknown 70886', '$2499', 'L1Npc', '269', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70887', 'Granik', '$2558', 'L1Npc', '2792', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70888', 'Derin', '$2550', 'L1Npc', '2813', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70889', 'Ramune', '$2561', 'L1Npc', '2779', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70890', 'Rabor', '$3188', 'L1Npc', '3376', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70891', 'Rondo', '$2545', 'L1Npc', '3420', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70892', 'Ronde', '$2432', 'L1Merchant', '2792', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70893', 'Ronde\'s Horse', '$2500', 'L1Npc', '2964', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70894', 'Ronde\'s Bodyguard', '$2501', 'L1Npc', '2829', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70895', 'Bludika', '$2441', 'L1Merchant', '2765', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70896', 'Personal Assassin of Bludika', '$2502', 'L1Npc', '2977', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70897', 'Bishop', '$2556', 'L1Npc', '2829', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70898', 'Seria', '$2546', 'L1Npc', '2779', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70899', 'Unknown 70899', '', 'L1Npc', '2994', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70900', 'Ellvienue', '$2560', 'L1Npc', '2801', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70901', 'Jeti', '$2548', 'L1Npc', '2801', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70902', 'Kalynue', '$2562', 'L1Npc', '2779', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70903', 'Kan\'s Guard', '$2708', 'L1Npc', '3420', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70904', 'Koup', '$2442', 'L1Merchant', '1768', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70905', 'Unknown 70905', '', 'L1Npc', '2829', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70906', 'Kima', '$2544', 'L1Merchant', '2977', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70907', 'Personal Assassin of Kima', '$2549', 'L1Npc', '2829', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70908', 'Pierce', '$2557', 'L1Merchant', '2794', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70909', 'Pierot', '$2554', 'L1Npc', '2794', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70910', 'Hadesty', '$2491', 'L1Merchant', '2820', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70911', 'Hamud', '$2559', 'L1Npc', '2779', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70912', 'Miner Oum', '$3118', 'L1Npc', '3636', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70913', 'Miner Oum', '$3118', 'L1Npc', '3644', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70914', 'Unknown 70914', '', 'L1Npc', '1768', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70915', 'Unknown 70915', '', 'L1Npc', '2794', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70916', 'Redin', '$3161', 'L1Npc', '2829', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70917', 'Burns', '$3164', 'L1Npc', '2829', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70918', 'Unknown 70918', '', 'L1Npc', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70919', 'Smiter', '$3169', 'L1Npc', '2801', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70920', 'Aden Reconnaissance Soldier', '$3180', 'L1Npc', '3788', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70921', 'Unknown 70921', '', 'L1Npc', '2801', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70922', 'Oum', '$3124', 'L1Npc', '3787', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70923', 'Olle', '$3181', 'L1Npc', '2811', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70924', 'Unknown Oum', 'Unknown $3124', 'L1Npc', '3788', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70925', 'Elder Oum', '$3125', 'L1Npc', '3661', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70926', 'Unknown 70926', '', 'L1Npc', '2801', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70927', 'Coderage', '$3167', 'L1Npc', '2794', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70928', 'Tristan', '$3162', 'L1Npc', '2794', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70929', 'Unknown 70929', '', 'L1Npc', '1768', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70930', 'Unknown 70930', '', 'L1Npc', '1768', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70931', 'Unknown 70931', '', 'L1Npc', '4359', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70932', 'Doyle', '$3556', 'L1Npc', '2398', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70933', 'Doyle\'s Dog', '$3557', 'L1Npc', '938', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70934', 'Resta', '$3560', 'L1Npc', '4153', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70935', 'Roberto', '$3595', 'L1Npc', '916', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70936', 'Rooney', '$3594', 'L1Npc', '796', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70937', 'Rudien', '$3561', 'L1Npc', '983', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70938', 'Lukein', '$3558', 'L1Npc', '1305', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70939', 'Lupus', '$3596', 'L1Npc', '1278', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70940', 'Lizardman Elder', '$3733', 'L1Npc', '1533', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70941', 'Young Lizardman Warrior', '$3734', 'L1Npc', '4149', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70942', 'Monett', '$3953', 'L1Npc', '2511', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70943', 'Berik', '$3527', 'L1Npc', '704', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70944', 'Shian', '$3954', 'L1Npc', '2529', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70945', 'Simizz', '$3555', 'L1Npc', '4127', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70946', 'Enishia', '$3955', 'L1Npc', '1532', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70947', 'Exhausted Lizardman Warrior', '$3952', 'L1Npc', '4149', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70948', 'Cadmus', '$3559', 'L1Npc', '1243', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70949', 'Karu', '$3597', 'L1Npc', '988', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70950', 'Kamit', '$3531', 'L1Npc', '723', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70951', 'Spirit of Kamyla', '$3732', 'L1Npc', '1533', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70952', 'Franko', '$2929', 'L1Npc', '1533', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70954', 'Unknown 70954', '', 'L1Npc', '3640', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70955', 'Unknown 70955', '', 'L1Npc', '1515', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70956', 'Lesser Demon', '$2112', 'L1Npc', '2524', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70957', 'Roy', '$3420', 'L1Npc', '4310', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70958', 'Unknown 70958', '', 'L1Npc', '2792', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70959', 'Unknown 70959', '', 'L1Npc', '2794', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70960', 'Unknown 70960', '', 'L1Npc', '3418', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70961', 'Unknown 70961', '', 'L1Npc', '2524', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70962', 'Unknown 70962', '', 'L1Npc', '2524', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70963', 'Incarnation of Varlok', '$3414', 'L1Npc', '3103', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70964', 'Basch', '$3419', 'L1Npc', '4308', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70965', 'Shackled Aden Soldier', '$3418', 'L1Npc', '4309', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70966', 'Shackled Aden Soldier', '$3418', 'L1Npc', '4307', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70967', 'Shackled Aden Soldier', '$3418', 'L1Npc', '4306', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70968', 'Unknown 70968', '', 'L1Npc', '61', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70969', 'Unknown 70969', '', 'L1Npc', '704', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70972', 'Priest of Corruption', '$2655', 'L1Npc', '3195', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70973', 'Fesco', '$3591', 'L1Npc', '2811', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70974', 'Unknown 70974', '', 'L1Npc', '1786', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70975', 'Unknown 70975', '', 'L1Npc', '1784', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70976', 'Unknown 70976', '', 'L1Npc', '1788', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70977', 'Unknown 70977', '', 'L1Npc', '3642', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70978', 'Unknown 70978', '', 'L1Npc', '3640', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70979', 'Unknown 70979', '', 'L1Npc', '3638', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70980', 'Liri', '$3318', 'L1Npc', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70981', 'Hen', '$928', 'L1Npc', '943', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70982', 'Duck', '$952', 'L1Npc', '1014', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70983', 'Pig', '$927', 'L1Npc', '941', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70984', 'Milk Cow', '$929', 'L1Monster', '945', '1', '40', '0', '0', '0', '0', '0', '0', '0', '0', '0', '100', 'small', '0', '0', '0', '0', '1', '1', '2000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '1', '15', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('70985', 'Gatekeeper', '$474', 'L1Guard', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70986', 'Gatekeeper', '$474', 'L1Guard', '826', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70987', 'Gatekeeper', '$474', 'L1Guard', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70988', 'Gatekeeper', '$474', 'L1Guard', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70989', 'Gatekeeper', '$474', 'L1Guard', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70990', 'Gatekeeper', '$474', 'L1Guard', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70991', 'Gatekeeper', '$474', 'L1Guard', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70992', 'Gatekeeper', '$474', 'L1Guard', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70993', 'Gatekeeper', '$474', 'L1Guard', '1997', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70994', 'Gatekeeper', '$474', 'L1Guard', '1997', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70995', 'Gatekeeper', '$474', 'L1Guard', '1997', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70996', 'Gatekeeper', '$474', 'L1Guard', '2648', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70997', 'Unknown 70997', '$10051', 'L1Merchant', '2060', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70998', 'Unknown 70998', '$10082', 'L1Merchant', '796', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('70999', 'Unknown 70999', '$10052', 'L1Merchant', '1278', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71000', 'Unknown 71000', '$10053', 'L1Merchant', '1278', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71001', 'Unknown 71001', '$10059', 'L1Merchant', '3095', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71002', 'Unknown 71002', '$10083', 'L1Merchant', '1276', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71003', 'Unknown 71003', '$10060', 'L1Merchant', '727', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71004', 'Unknown 71004', '$10063', 'L1Merchant', '3095', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71005', 'Unknown 71005', '$10054', 'L1Merchant', '1531', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71006', 'Unknown 71006', '$10055', 'L1Merchant', '2398', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71007', 'Unknown 71007', '$10061', 'L1Merchant', '2531', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71008', 'Message Board', '$10077 $1385', 'L1Board', '1544', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('71009', 'Unknown 71009', '$10057', 'L1Merchant', '4145', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71010', 'Unknown 71010', '$10057', 'L1Merchant', '4145', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71011', 'Unknown 71011', '$10056', 'L1Merchant', '4145', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71012', 'Unknown 71012', '$10056', 'L1Merchant', '4145', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71013', 'Karen', '$2496', 'L1Merchant', '2801', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71014', 'Unknown 71014', '$10080', 'L1Merchant', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71015', 'Unknown 71015', '$10080', 'L1Merchant', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71016', 'Unknown 71016', '$10080', 'L1Merchant', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71017', 'Unknown 71017', '$10080', 'L1Merchant', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71018', 'Unknown 71018', '$10070', 'L1Merchant', '1508', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71019', 'Unknown 71019', '$10068', 'L1Merchant', '2293', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71020', 'Unknown 71020', '$10069', 'L1Merchant', '702', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71021', 'Unknown 71021', '$10073', 'L1Merchant', '1276', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71022', 'Unknown 71022', '$10072', 'L1Merchant', '1276', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71023', 'Unknown 71023', '$10071', 'L1Merchant', '1276', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71024', 'Garrett', '$1558', 'L1Merchant', '1511', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71025', 'Unknown 71025', '$10058', 'L1Merchant', '118', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71026', 'Unknown 71026', '$10078', 'L1Merchant', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71027', 'Unknown 71027', '$10078', 'L1Merchant', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71028', 'Unknown 71028', '$10078', 'L1Merchant', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71029', 'Unknown 71029', '$10078', 'L1Merchant', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71030', 'Healer', '$1415', 'L1Merchant', '2820', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71031', 'Unknown 71031', '$10066', 'L1Merchant', '2139', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71032', 'Unknown 71032', '$10067', 'L1Merchant', '994', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71033', 'Unknown 71033', '$10075', 'L1Merchant', '460', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71034', 'Unknown 71034', '$10074', 'L1Merchant', '2400', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71035', 'Unknown 71035', '$10078', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71036', 'Spirit of Kamyla', '$3732', 'L1Merchant', '4691', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71037', 'Healer', '$1415', 'L1Merchant', '1512', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71038', 'Elder Nanome', '$4208', 'L1Merchant', '782', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71039', 'Unknown 71039', '$4656', 'L1Merchant', '5815', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71040', 'Noah', '$4278', 'L1Merchant', '5816', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71041', 'Hoomo', '$4281', 'L1Merchant', '5817', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71042', 'Vakumo', '$4280', 'L1Merchant', '5817', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71043', 'Booka', '$4282', 'L1Merchant', '5815', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71044', 'Camay', '$4279', 'L1Merchant', '5815', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71045', 'Unknown 71045', '$4664', 'L1Merchant', '5815', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71046', 'Roberto', '$3595', 'L1Merchant', '924', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71047', 'Lupus', '$3596', 'L1Merchant', '1278', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71048', 'Karu', '$3597', 'L1Merchant', '984', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71049', 'Rooney', '$3594', 'L1Merchant', '796', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71050', 'Shian', '$3954', 'L1Merchant', '2529', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71051', 'Monett', '$3953', 'L1Merchant', '4141', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71052', 'Enishia', '$3955', 'L1Merchant', '1532', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71053', 'Berik', '$3527', 'L1Merchant', '704', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71054', 'Roxanne', '$3438', 'L1Merchant', '2466', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71055', 'Lukein', '$3558', 'L1Merchant', '1305', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71056', 'Simizz', '$3555', 'L1Merchant', '4127', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71057', 'Doyle', '$3556', 'L1Merchant', '4137', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71058', 'Doyle\'s Dog', '$3557', 'L1Merchant', '4368', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71059', 'Rudian', '$3561', 'L1Merchant', '983', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71060', 'Resta', '$3560', 'L1Merchant', '4153', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71061', 'Cadmus', '$3559', 'L1Merchant', '1243', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71062', 'Kamit', '$3531', 'L1Merchant', '723', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71063', 'Small Box', '$3567', 'L1Merchant', '4366', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71064', 'Small Box', '$3567', 'L1Merchant', '4366', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71065', 'Small Box', '$3567', 'L1Merchant', '4366', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71066', 'Small Box', '$3567', 'L1Merchant', '4366', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71067', 'Small Box', '$3567', 'L1Merchant', '4366', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71068', 'Small Box', '$3567', 'L1Merchant', '4366', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71069', 'Small Box', '$3567', 'L1Merchant', '4366', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71070', 'Small Box', '$3567', 'L1Merchant', '4366', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71071', 'Small Box', '$3567', 'L1Merchant', '4366', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71072', 'Small Box', '$3567', 'L1Merchant', '4366', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71073', 'Small Box', '$3567', 'L1Merchant', '4366', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71074', 'Lizardman Elder', '$3733', 'L1Merchant', '4708', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71075', 'Exhausted Lizardman Warrior', '$3952', 'L1Merchant', '5007', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71076', 'Young Lizardman Warrior', '$3734', 'L1Merchant', '5007', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71077', 'Geographical Explorer', '$4471', 'L1Merchant', '1216', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71078', 'Unknown 71078', '$4881', 'L1Merchant', '1997', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71079', 'Unknown 71079', '$4882', 'L1Merchant', '1997', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71080', 'Unknown 71080', '$4850', 'L1Merchant', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71081', 'Unknown 71081', '', 'L1FieldObject', '136', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('71082', 'Unknown 71082', '', 'L1FieldObject', '136', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('71083', 'Unknown 71083', '', 'L1FieldObject', '136', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('71084', 'Unknown 71084', '', 'L1FieldObject', '136', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('71085', 'One of the Red Key\'s Secrets', '', 'L1FieldObject', '136', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('71086', 'Unknown 71086', '', 'L1FieldObject', '136', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('71087', 'Unknown 71087', '', 'L1FieldObject', '136', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('71088', 'Unknown 71088', '', 'L1FieldObject', '136', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('71089', 'Franco', '$3731', 'L1Merchant', '4680', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71090', 'Crystal of Ordeal', '$4031', 'L1Merchant', '155', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('71091', 'Crystal of Ordeal', '$4031', 'L1Merchant', '155', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80001', 'Oasis Stuff', '', 'L1Npc', '2299', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80002', 'Large Christmas Tree', '$2687', 'L1FieldObject', '1995', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80003', 'Small Christmas Tree', '$2687', 'L1FieldObject', '3191', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80004', 'Large Christmas Tree', '$2687', 'L1FieldObject', '3201', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80005', 'Weather Vane', '', 'L1Npc', '2302', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80006', 'Message Board', '$1385', 'L1Board', '1546', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('80007', 'Flying Bird', '$271', 'L1Npc', '102', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80008', 'Ship', '', 'L1Npc', '104', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80009', 'Treasure Chest', '', 'L1Npc', '122', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80010', 'Unknown 80010', '', 'L1Merchant', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80011', 'Unknown 80011', '', 'L1Npc', '1374', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80012', 'Unknown 80012', '', 'L1Npc', '2092', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80013', 'Unknown 80013', '', 'L1Npc', '2786', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80014', 'Unknown 80014', '', 'L1Npc', '37', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80015', 'Unknown 80015', '', 'L1Npc', '1186', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80016', 'Unknown 80016', '', 'L1Npc', '271', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80017', 'Unknown 80017', '', 'L1Npc', '269', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80018', 'Unknown 80018', '', 'L1Npc', '272', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80019', 'Unknown 80019', '', 'L1Merchant', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80020', 'Unknown 80020', '', 'L1Merchant', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80021', 'Unknown 80021', '', 'L1Merchant', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80022', 'Unknown 80022', '', 'L1Merchant', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80023', 'Unknown 80023', '', 'L1Merchant', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80024', 'Unknown 80024', '', 'L1Merchant', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80025', 'Unknown 80025', '', 'L1Merchant', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80026', 'Unknown 80026', '', 'L1Merchant', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80027', 'Unknown 80027', '', 'L1Merchant', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80028', 'Unknown 80028', '', 'L1Merchant', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80029', 'Unknown 80029', '', 'L1Merchant', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80030', 'Unknown 80030', '', 'L1Merchant', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80031', 'Unknown 80031', '', 'L1Merchant', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80032', 'Unknown 80032', '', 'L1Merchant', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80033', 'Unknown 80033', '', 'L1Merchant', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80034', 'Unknown 80034', '', 'L1Merchant', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80035', 'Unknown 80035', '', 'L1Merchant', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80036', 'Unknown 80036', '', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80037', 'Unknown 80037', '', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80038', 'Ivory Tower Wizard', '$1879', 'L1Merchant', '237', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80039', 'Ivory Tower Wizard', '$1879', 'L1Merchant', '237', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80040', 'Ivory Tower Wizard', '$1879', 'L1Merchant', '237', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80041', 'Ivory Tower Wizard', '$1879', 'L1Merchant', '237', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80042', 'Unknown 80042', '', 'L1Merchant', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80043', 'Unknown 80043', '', 'L1Merchant', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80044', 'Unknown 80044', '', 'L1Merchant', '118', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80045', 'Unknown 80045', '', 'L1Merchant', '725', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80047', 'Chamberlain of Yahee', '$3950', 'L1Merchant', '4873', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80048', 'Twisting of Space', '$3947', 'L1Merchant', '4825', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80049', 'Unknown 80049', '$4646', 'L1Merchant', '4873', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80050', 'Unknown 80050', '$4645', 'L1Merchant', '4873', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80051', 'Yahee', '$3777', 'L1Merchant', '4880', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80052', 'Unknown 80052', '$4942', 'L1Merchant', '4873', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80053', 'Unknown 80053', '$4691', 'L1Merchant', '4873', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80054', 'Unknown 80054', '$4693', 'L1Merchant', '4873', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80055', 'Unknown 80055', '$4692', 'L1Merchant', '4873', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80056', 'Unknown 80056', '$4647', 'L1Merchant', '4873', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80057', 'Alfons', '$851', 'L1Merchant', '1268', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80058', 'Unknown 80058', '$4641', 'L1Merchant', '5460', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80059', 'Unknown 80059', '$4641', 'L1Merchant', '5457', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80060', 'Unknown 80060', '$4641', 'L1Merchant', '5458', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80061', 'Unknown 80061', '$4641', 'L1Merchant', '5459', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80062', 'Unknown 80062', '$4641', 'L1Merchant', '5456', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80063', 'Unknown 80063', '$4641', 'L1Merchant', '5460', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80064', 'Unknown 80064', '$4645', 'L1Merchant', '4261', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80065', 'Agent of Varlok', '$3949', 'L1Merchant', '4261', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80066', 'Unknown 80066', '$4646', 'L1Merchant', '4261', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80067', 'Unknown 80067', '$5144', 'L1Merchant', '4261', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80068', 'Incarnation of Varlok', '$3414', 'L1Merchant', '4262', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80069', 'Lesser Demon', '$2112', 'L1Merchant', '4261', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80070', 'Lesser Demon', '$2112', 'L1Merchant', '4261', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80071', 'Assistant of Varlok', '$3951', 'L1Merchant', '4261', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80072', 'Blacksmith of Varlok', '$3948', 'L1Merchant', '4261', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80073', 'Unknown 80073', '$4943', 'L1Merchant', '4261', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80074', 'Unknown 80074', '$4647', 'L1Merchant', '4261', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80075', 'Beheak', '$4319', 'L1Merchant', '1619', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80076', 'Rotting Voyager', '$4454', 'L1Merchant', '5676', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('80077', 'Unknown 80077', '$4939', 'L1Merchant', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('81000', 'Harbor Master', '$320', 'L1Monster', '148', '99', '9999', '9999', '-99', '100', '100', '100', '100', '100', '100', '10000', '-32767', 'small', '0', '0', '0', '0', '2', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81002', 'Shop (Earrings)', 'Shop (Earrings)', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('81003', 'Shop (Daggers)', 'Shop (Daggers)', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('81004', 'Shop (Swords)', 'Shop (Swords)', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('81005', 'Shop (Swords)', 'Shop (Swords)', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('81006', 'Shop (Polearm)', 'Shop (Polearm)', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('81007', 'Shop (Blunts)', 'Shop (Blunts)', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('81008', 'Shop (Edoryu)', 'Shop (Edoryu)', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('81009', 'Shop (Claws)', 'Shop (Claws)', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('81010', 'Shop (Staves)', 'Shop (Staves)', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('81011', 'Shop (Bows)', 'Shop (Bows)', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('81012', 'Shop (Helmets)', 'Shop (Helmets)', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('81013', 'Shop (Shields)', 'Shop (Shields)', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('81014', 'Shop (Gloves)', 'Shop (Gloves)', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('81015', 'Shop (Boots)', 'Shop (Boots)', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('81016', 'Shop (Shirts)', 'Shop (Shirts)', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('81017', 'Shop (Armor)', 'Shop (Armor)', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('81018', 'Shop (Cloaks)', 'Shop (Cloaks)', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('81019', 'Shop (Amulets)', 'Shop (Amulets)', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('81020', 'Shop (Rings)', 'Shop (Rings)', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('81021', 'Shop (Belt)', 'Shop (Belt)', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('81022', 'Magic Shop (Spellbooks)', 'Magic Shop (Spellbooks)', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('81023', 'Magic Shop (Elf)', 'Magic Shop (Elf)', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('81024', 'Magic Shop (Dark Elf)', 'Magic Shop (Dark Elf)', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('81025', 'Magic Shop (Knights)', 'Magic Shop (Knights)', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('81026', 'Magic Shop (Royals)', 'Magic Shop (Royals)', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('81027', 'Shop (Pots)', 'Shop (Pots)', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('81028', 'Shop (Scrolls)', 'Shop (Scrolls)', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('81029', 'Shop (Tel Scrolls)', 'Shop (Tel Scrolls)', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('81030', 'Black Knight', 'Black Knight', 'L1Monster', '3890', '55', '1000', '50', '70', '21', '18', '12', '9', '8', '30', '1000', '1000', 'small', '0', '0', '0', '0', '1', '0', '640', '560', '560', '560', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81031', 'Black Mage', 'Black Mage', 'L1Monster', '3891', '55', '600', '500', '50', '8', '12', '7', '16', '23', '50', '1000', '1000', 'small', '0', '0', '0', '0', '1', '0', '640', '680', '680', '680', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81032', 'Black Ranger', 'Black Ranger', 'L1Monster', '3892', '55', '800', '300', '60', '11', '12', '24', '12', '12', '60', '1000', '1000', 'small', '0', '0', '0', '0', '1', '0', '640', '760', '760', '760', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81033', 'Silver Knight', 'Silver Knight', 'L1Monster', '3893', '60', '1500', '100', '80', '26', '18', '12', '9', '8', '40', '1500', '1000', 'small', '0', '0', '0', '0', '1', '0', '640', '480', '480', '480', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81034', 'Silver Mage', 'Silver Mage', 'L1Monster', '3894', '60', '900', '550', '60', '8', '12', '7', '16', '28', '60', '1500', '1000', 'small', '0', '0', '0', '0', '1', '0', '640', '600', '600', '600', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81035', 'Silver Ranger', 'Silver Ranger', 'L1Monster', '3895', '60', '1200', '350', '70', '11', '12', '29', '12', '12', '70', '1500', '1000', 'small', '0', '0', '0', '0', '1', '0', '640', '680', '680', '680', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81036', 'Sword Master', 'Sword Master', 'L1Monster', '3896', '65', '2000', '150', '90', '31', '18', '12', '9', '8', '50', '2000', '1000', 'small', '0', '0', '0', '0', '1', '0', '640', '400', '400', '400', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81037', 'Wizardry Master', 'Wizardry Master', 'L1Monster', '3897', '65', '1200', '600', '70', '8', '12', '7', '16', '33', '70', '2000', '1000', 'small', '0', '0', '0', '0', '1', '0', '640', '520', '520', '520', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81038', 'Arrow Master', 'Arrow Master', 'L1Monster', '3898', '65', '1600', '400', '80', '11', '12', '34', '12', '12', '80', '2000', '1000', 'small', '0', '0', '0', '0', '1', '0', '640', '600', '600', '600', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81039', 'Arch Knight', 'Arch Knight', 'L1Monster', '3899', '70', '2500', '200', '100', '36', '18', '12', '9', '8', '60', '2500', '1000', 'small', '0', '0', '0', '0', '1', '0', '640', '320', '320', '320', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81040', 'Arch Mage', 'Arch Mage', 'L1Monster', '3900', '70', '1500', '650', '80', '8', '12', '7', '16', '38', '80', '2500', '1000', 'small', '0', '0', '0', '0', '1', '0', '640', '440', '440', '440', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81041', 'Arch Ranger', 'Arch Ranger', 'L1Monster', '3901', '70', '2000', '450', '90', '11', '12', '39', '12', '12', '90', '2500', '1000', 'small', '0', '0', '0', '0', '1', '0', '640', '520', '520', '520', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81042', 'Acaleph', '$1494', 'L1Monster', '1638', '25', '120', '5', '-14', '9', '15', '12', '6', '5', '2', '626', '-8', 'small', '0', '1', '0', '0', '1', '0', '2400', '1560', '1560', '1560', '0', '4', '0', '1', '1', '0', 'jellyfish', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81043', 'Wicked Yeti', '$2447', 'L1Monster', '2134', '30', '400', '10', '-18', '22', '20', '10', '9', '6', '0', '901', '-26', 'large', '0', '1', '0', '0', '1', '0', '960', '1400', '1400', '1400', '0', '0', '0', '1', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('81044', 'Varlok\'s Servant', '$2360', 'L1Monster', '2763', '6', '100', '50', '10', '9', '11', '14', '12', '12', '30', '37', '-10', 'large', '0', '0', '1', '0', '1', '0', '960', '920', '920', '920', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81046', 'Unknown 81046', '$2656', '', '3089', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '960', '1120', '1120', '1120', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81047', 'Grim Reaper', '$2590', 'L1Monster', '3391', '68', '8000', '1200', '-80', '20', '20', '20', '20', '20', '80', '4625', '-250', 'large', '0', '0', '0', '0', '2', '0', '960', '1440', '1440', '1440', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '350', '5000', '350', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81048', 'Unknown 81048', '$10102', 'L1Monster', '4086', '29', '280', '60', '-15', '18', '14', '14', '14', '14', '25', '842', '-30', 'small', '0', '0', '1', '0', '1', '0', '640', '720', '720', '720', '0', '0', '0', '1', '0', '0', 'murrian', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81049', 'Unknown 81049', '', 'L1Monster', '3478', '20', '500', '20', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'small', '0', '0', '0', '0', '0', '1', '320', '1080', '1080', '1080', '0', '0', '0', '0', '0', '0', 'bugbear', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81050', 'Summoned Spirit of Fire', '$2008', 'L1Monster', '2266', '45', '600', '60', '-18', '20', '18', '16', '16', '17', '35', '31', '10', 'small', '0', '0', '0', '0', '1', '0', '640', '980', '980', '980', '0', '0', '0', '1', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '2500', '5', '2500', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81051', 'Summoned Spirit of Water', '$2009', 'L1Monster', '2268', '45', '600', '60', '-18', '18', '18', '16', '16', '17', '35', '31', '10', 'small', '0', '0', '0', '0', '1', '0', '640', '980', '980', '980', '0', '0', '0', '1', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '2500', '5', '2500', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81052', 'Summoned Spirit of Wind', '$2010', 'L1Monster', '2282', '45', '720', '60', '-18', '17', '18', '16', '16', '17', '35', '31', '10', 'small', '0', '0', '0', '0', '1', '0', '640', '980', '980', '980', '0', '0', '0', '1', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '2500', '5', '2500', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81053', 'Summoned Spirit of Earth', '$2011', 'L1Monster', '2267', '45', '650', '60', '-18', '19', '18', '16', '16', '17', '35', '31', '10', 'small', '0', '0', '0', '0', '1', '0', '640', '980', '980', '980', '0', '0', '0', '1', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '2500', '5', '2500', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81054', 'Orc', '$59', 'L1Monster', '56', '2', '6', '4', '10', '6', '12', '10', '6', '10', '0', '5', '-2', 'small', '1', '0', '0', '0', '1', '1', '800', '1320', '1320', '1320', '0', '0', '0', '0', '0', '0', 'orc', '1', '-1', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81055', 'Goblin', '$958', 'L1Monster', '1022', '1', '20', '10', '10', '10', '12', '10', '7', '7', '2', '1', '-5', 'small', '0', '0', '1', '0', '1', '1', '760', '920', '920', '920', '0', '0', '0', '0', '0', '0', 'goblin', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81056', 'Goblin', '$958', 'L1Monster', '1022', '2', '3', '10', '10', '10', '12', '10', '7', '7', '2', '5', '-3', 'small', '0', '0', '1', '0', '1', '1', '760', '920', '920', '920', '0', '0', '0', '0', '0', '0', 'goblin', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81057', 'Kobold', '$970', 'L1Monster', '1059', '3', '7', '0', '10', '12', '11', '12', '7', '8', '2', '10', '-3', 'small', '0', '0', '1', '0', '1', '1', '1280', '1080', '1080', '1080', '0', '0', '0', '0', '0', '0', 'kobold', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81058', 'Orc Archer', '$267', 'L1Monster', '3860', '3', '12', '4', '10', '12', '11', '12', '7', '8', '2', '10', '-3', 'small', '1', '0', '0', '0', '10', '1', '800', '1880', '1880', '1880', '0', '0', '0', '0', '0', '0', 'orc', '1', '-1', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81059', 'Eidlon', '$1043', 'L1Monster', '1150', '4', '20', '5', '10', '11', '10', '11', '7', '8', '1', '17', '-3', 'small', '0', '0', '1', '0', '1', '1', '320', '960', '960', '960', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81060', 'Dwarf', '$58', 'L1Monster', '54', '5', '25', '5', '8', '10', '12', '10', '7', '10', '2', '26', '0', 'small', '0', '0', '1', '0', '1', '1', '600', '1480', '1480', '1480', '0', '0', '0', '0', '0', '0', 'dwarf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81061', 'Orc Fighter', '$266', 'L1Monster', '3864', '8', '50', '8', '5', '14', '14', '14', '8', '10', '5', '65', '-8', 'small', '1', '0', '0', '0', '1', '1', '640', '880', '880', '880', '0', '0', '0', '0', '0', '0', 'orc', '1', '-1', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81062', 'Orc Fighter', '$266', 'L1Monster', '3864', '8', '50', '8', '5', '14', '14', '14', '8', '10', '5', '65', '-8', 'small', '1', '0', '0', '0', '1', '1', '640', '880', '880', '880', '0', '0', '0', '0', '0', '0', 'orc', '1', '-1', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81063', 'Gnoll', '$1391', 'L1Monster', '1477', '8', '35', '5', '4', '18', '15', '10', '6', '8', '1', '65', '-6', 'small', '0', '0', '0', '1', '1', '1', '640', '880', '880', '880', '0', '0', '0', '0', '0', '0', 'nord', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81064', 'Steleton Soldier', '$988', 'L1Monster', '1106', '13', '70', '15', '8', '16', '14', '15', '12', '10', '10', '170', '-13', 'small', '0', '0', '1', '0', '2', '1', '640', '880', '880', '880', '1', '0', '0', '0', '0', '0', 'skeleton', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81065', 'Stone Golem', '$56', 'L1Monster', '49', '13', '350', '50', '-1', '58', '16', '10', '6', '10', '5', '170', '-12', 'large', '0', '0', '1', '0', '1', '0', '1280', '1840', '1840', '1840', '0', '0', '0', '0', '0', '0', 'golem', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81066', 'Black Knight Search Party', '$1929', 'L1Monster', '4003', '16', '100', '10', '-10', '16', '16', '15', '12', '12', '10', '257', '-15', 'small', '0', '0', '0', '0', '2', '1', '480', '1120', '1120', '1120', '0', '0', '0', '0', '1', '0', 'antiking', '1', '0', '4', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '14', '1');
INSERT INTO `npc` VALUES ('81067', 'Black Knight', '$272', 'L1Monster', '4003', '36', '320', '10', '-38', '16', '16', '15', '12', '12', '10', '1297', '-25', 'small', '0', '0', '0', '0', '2', '0', '480', '1120', '1120', '1120', '0', '0', '0', '1', '1', '1', 'antiking', '1', '0', '4', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('81068', 'Lycanthrope', '$990', 'L1Monster', '1108', '17', '200', '60', '0', '16', '16', '13', '10', '10', '25', '290', '-18', 'small', '0', '0', '0', '1', '1', '0', '640', '800', '800', '800', '0', '0', '0', '1', '0', '0', 'wolf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81069', 'Doppelganger', '$1554', 'L1Monster', '31', '45', '1000', '30', '-20', '19', '19', '15', '13', '11', '20', '1', '-28', 'small', '0', '0', '0', '0', '1', '0', '800', '1000', '1000', '1000', '0', '0', '0', '1', '1', '0', 'doppel', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('81070', 'Contaminated Orc Archer', '$3958', 'L1Monster', '4463', '35', '380', '20', '-25', '0', '0', '0', '0', '0', '0', '1226', '-40', 'small', '1', '0', '0', '0', '8', '0', '640', '880', '880', '880', '0', '0', '0', '1', '1', '1', 'orc', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81071', 'Contaminated Orc', '$3957', 'L1Monster', '4457', '35', '380', '20', '-22', '0', '0', '0', '0', '0', '0', '1226', '-40', 'small', '1', '0', '0', '0', '1', '0', '880', '880', '880', '880', '0', '0', '0', '1', '1', '1', 'orc', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81072', 'Contaminated Orc Warrior', '$3959', 'L1Monster', '4472', '40', '420', '20', '-25', '0', '0', '0', '0', '0', '0', '1601', '-50', 'small', '1', '0', '0', '0', '2', '0', '720', '640', '640', '640', '0', '0', '0', '1', '1', '1', 'orc', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81073', 'Polluted Orc Axe Fighter', '$4145 $4215', 'L1Monster', '4460', '37', '400', '20', '-22', '0', '0', '0', '0', '0', '0', '1370', '-50', 'small', '1', '0', '0', '0', '1', '0', '880', '720', '720', '720', '0', '0', '0', '1', '1', '1', 'orc', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81074', 'Contaminated Orc Spearman', '$3957 $4150', 'L1Monster', '4475', '42', '450', '20', '-25', '0', '0', '0', '0', '0', '0', '1765', '-50', 'small', '1', '0', '0', '0', '2', '0', '720', '640', '640', '640', '0', '0', '0', '1', '1', '1', 'orc', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81075', 'Ramia', '$1428', 'L1Monster', '1597', '22', '200', '30', '-6', '15', '15', '12', '12', '10', '10', '485', '-25', 'large', '0', '1', '0', '0', '1', '0', '960', '1880', '1880', '1880', '0', '1', '0', '1', '0', '0', 'lahmia', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81076', 'Ramia', '$1428', 'L1Monster', '1600', '21', '120', '30', '-6', '15', '15', '12', '12', '10', '100', '442', '-25', 'large', '0', '1', '0', '0', '1', '0', '960', '1880', '1880', '1880', '0', '1', '0', '1', '0', '0', 'lahmia', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81077', 'Scorpion', '$966', 'L1Monster', '4058', '22', '140', '30', '-15', '14', '18', '12', '12', '20', '50', '485', '-18', 'small', '1', '0', '0', '0', '2', '0', '640', '800', '800', '800', '0', '1', '0', '1', '1', '0', 'scorpion', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81078', 'Unknown 81078', '$10101', 'L1Monster', '2460', '24', '150', '40', '-20', '17', '18', '15', '12', '8', '25', '577', '-27', 'large', '1', '0', '0', '0', '1', '0', '640', '760', '760', '760', '0', '0', '0', '1', '1', '1', 'ant', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81079', 'Unknown 81079', '$10103', 'L1Monster', '3654', '26', '200', '40', '-20', '16', '15', '20', '8', '16', '70', '626', '-30', 'large', '0', '0', '0', '1', '1', '0', '960', '1480', '1480', '1480', '0', '4', '0', '1', '0', '0', 'centipede', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81080', 'Bandit', '$2099', 'L1Monster', '2516', '31', '350', '20', '-15', '18', '16', '18', '11', '10', '30', '962', '-38', 'small', '0', '0', '0', '0', '1', '0', '800', '1000', '1000', '1000', '0', '0', '0', '1', '1', '1', 'bandit', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81081', 'Elindaire', 'Elindaire', 'L1Monster', '187', '45', '450', '250', '-32', '12', '15', '12', '17', '17', '80', '2026', '-50', 'small', '0', '0', '0', '0', '1', '0', '640', '1480', '1480', '1480', '0', '0', '0', '1', '1', '0', 'foursage', '1', '-1', '-1', '0', '0', '0', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('81082', 'Yahee', '$3777', 'L1Monster', '4612', '70', '6000', '2000', '-70', '45', '21', '21', '21', '18', '100', '4901', '-5', 'large', '0', '0', '0', '0', '2', '0', '640', '1000', '1400', '1040', '3', '0', '0', '1', '1', '1', 'chaos', '0', '-1', '-1', '0', '0', '0', '5000', '200', '5000', '200', '0', '0', '0', '0', '0', '0', '0', '4', '1', '0', '0', '0', '0', '100', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81083', 'Owlbear', '$1047', 'L1Monster', '1162', '10', '80', '10', '6', '18', '13', '14', '7', '8', '10', '226', '-15', 'large', '0', '0', '0', '0', '1', '1', '960', '1080', '1080', '1080', '0', '0', '0', '1', '0', '0', 'bear', '1', '-1', '-1', '0', '0', '0', '5000', '8', '5000', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81084', 'Vakuuk', '$1427', 'L1Monster', '1595', '12', '110', '0', '0', '17', '15', '16', '2', '2', '0', '145', '-12', 'small', '0', '0', '0', '0', '2', '1', '480', '1160', '1160', '1160', '0', '1', '0', '1', '0', '0', 'cockroach', '1', '-1', '-1', '0', '0', '0', '5000', '11', '5000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81085', 'Giant Solider Ant', '$961', 'L1Monster', '1039', '19', '160', '100', '-6', '30', '18', '20', '17', '15', '60', '401', '-20', 'large', '0', '0', '0', '0', '2', '0', '640', '760', '760', '760', '0', '0', '0', '1', '1', '1', 'ant', '1', '-1', '-1', '0', '0', '0', '5000', '16', '5000', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81086', 'Bugbear', '$325', 'L1Monster', '152', '22', '250', '30', '-6', '19', '18', '12', '12', '10', '10', '485', '-25', 'large', '0', '0', '0', '0', '1', '1', '640', '840', '840', '840', '0', '0', '0', '1', '1', '0', 'bugbear', '1', '-1', '-1', '0', '0', '0', '5000', '25', '5000', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81087', 'King Bugbear ', '$937', 'L1Monster', '894', '30', '400', '30', '-8', '21', '18', '12', '12', '10', '20', '901', '-32', 'large', '0', '0', '0', '0', '1', '1', '640', '720', '720', '720', '0', '0', '0', '1', '1', '0', 'bugbear', '1', '-1', '-1', '0', '0', '0', '5000', '40', '5000', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81088', 'Skeleton Fighter', '$1017', 'L1Monster', '1132', '31', '300', '60', '-15', '18', '14', '14', '14', '14', '25', '842', '-30', 'small', '0', '0', '0', '0', '1', '1', '480', '840', '840', '840', '1', '0', '0', '1', '1', '0', 'skeleton', '1', '-1', '-1', '0', '0', '0', '5000', '30', '5000', '6', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81089', 'Ettin', '$1010', 'L1Monster', '1128', '35', '380', '70', '-15', '20', '18', '16', '18', '16', '50', '1226', '-40', 'large', '0', '0', '0', '0', '2', '0', '640', '1160', '1160', '1160', '0', '0', '0', '1', '1', '0', 'brute', '1', '-1', '-1', '0', '0', '0', '5000', '38', '5000', '7', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81090', 'Skeleton Axeman', '$987', 'L1Monster', '1104', '11', '60', '20', '4', '18', '14', '14', '12', '10', '10', '170', '-13', 'small', '0', '0', '0', '0', '1', '1', '480', '840', '840', '840', '1', '0', '0', '1', '1', '0', 'skeleton', '1', '-1', '-1', '0', '0', '0', '5000', '6', '5000', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81091', 'Lycanthrope', '$990', 'L1Monster', '1108', '16', '110', '60', '-2', '16', '16', '13', '10', '10', '7', '290', '-18', 'small', '0', '0', '0', '0', '1', '1', '640', '800', '800', '800', '0', '0', '0', '1', '0', '0', 'wolf', '1', '-1', '-1', '0', '0', '0', '5000', '11', '5000', '6', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81092', 'Undead Elmore Soldier', '$1790', 'L1Monster', '2150', '18', '180', '0', '-2', '16', '16', '17', '8', '8', '0', '442', '-20', 'small', '0', '0', '0', '0', '2', '0', '480', '1040', '1040', '1040', '1', '0', '0', '1', '0', '0', 'elmore', '1', '-1', '-1', '0', '0', '0', '5000', '18', '5000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81093', 'Minotaur', '$1393', 'L1Monster', '1517', '23', '250', '20', '-8', '20', '18', '10', '12', '14', '10', '1370', '-20', 'small', '0', '0', '0', '0', '1', '0', '640', '1160', '1160', '1160', '0', '0', '0', '1', '0', '0', 'minotaur', '1', '-1', '-1', '0', '0', '0', '5000', '25', '5000', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81094', 'Skeleton Guard', '$1018', 'L1Monster', '1134', '27', '290', '0', '-8', '16', '14', '15', '14', '14', '25', '730', '-30', 'small', '0', '0', '0', '0', '2', '1', '640', '880', '880', '880', '1', '0', '0', '1', '1', '0', 'skeleton', '1', '-1', '-1', '0', '0', '0', '5000', '29', '5000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81095', 'Gargoyle', '$2102', 'L1Monster', '2308', '35', '550', '0', '-30', '0', '0', '0', '0', '99', '25', '1226', '-30', 'large', '0', '0', '0', '0', '2', '0', '960', '1240', '1240', '1240', '0', '0', '0', '1', '1', '0', '', '0', '-1', '-1', '0', '0', '0', '5000', '55', '5000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81096', 'Dire Wolf', '$2105', 'L1Monster', '2392', '40', '600', '20', '-30', '22', '17', '18', '15', '16', '35', '1445', '-36', 'large', '0', '0', '0', '0', '2', '0', '480', '1440', '1440', '1440', '0', '0', '0', '1', '1', '1', 'direwolf', '0', '-1', '-1', '0', '0', '0', '5000', '60', '5000', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81097', 'Lava Golem', '$1565', 'L1Monster', '1762', '44', '700', '80', '-18', '65', '18', '8', '5', '5', '50', '1226', '-40', 'large', '0', '0', '0', '0', '1', '0', '1920', '2160', '2160', '2160', '0', '0', '0', '1', '1', '0', 'golem', '1', '-1', '-1', '0', '0', '0', '5000', '70', '5000', '8', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81098', 'Cyclops', '$1113', 'L1Monster', '1202', '44', '500', '50', '-22', '20', '18', '7', '5', '5', '30', '1601', '-37', 'large', '0', '0', '0', '0', '2', '0', '960', '1160', '1160', '1160', '0', '0', '0', '1', '0', '0', 'cyclops', '0', '-1', '-1', '0', '0', '0', '5000', '50', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81099', 'Medusa', '$2113', 'L1Monster', '2535', '44', '400', '120', '-15', '17', '18', '16', '17', '15', '50', '1297', '-39', 'small', '0', '0', '0', '0', '1', '0', '960', '1200', '1200', '1200', '0', '0', '1', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '40', '5000', '12', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('81100', 'Dire Bear', '$2893', 'L1Monster', '3357', '48', '700', '40', '-25', '14', '18', '12', '12', '8', '5', '677', '-18', 'large', '0', '0', '0', '0', '2', '1', '426', '840', '840', '840', '0', '0', '0', '1', '1', '1', 'bear', '1', '-1', '-1', '0', '0', '0', '5000', '70', '5000', '4', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81101', 'Taurverus', '$1568', 'L1Monster', '1780', '48', '500', '80', '-23', '20', '18', '7', '11', '10', '0', '1522', '-50', 'small', '0', '0', '0', '0', '2', '0', '880', '1000', '1000', '1000', '2', '0', '0', '1', '1', '1', 'cerberus', '0', '-1', '-1', '0', '0', '0', '5000', '50', '5000', '8', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81102', 'Cockatrice', '$969', 'L1Monster', '1052', '48', '400', '250', '-20', '25', '18', '18', '12', '12', '30', '1157', '-36', 'large', '0', '0', '0', '0', '1', '0', '520', '1040', '1040', '1040', '0', '0', '2', '1', '1', '0', 'cockatrice', '1', '-1', '-1', '0', '0', '0', '5000', '40', '5000', '25', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81103', 'Doppelganger', '$1554', 'L1Monster', '2389', '58', '1000', '100', '-30', '20', '19', '18', '15', '17', '80', '2501', '-60', 'small', '0', '0', '0', '0', '1', '0', '1040', '1440', '1440', '1440', '0', '0', '0', '1', '1', '1', 'doppel', '0', '-1', '-1', '0', '0', '0', '5000', '100', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81104', 'Cougar', '$2587', 'L1Monster', '3049', '63', '1000', '400', '-28', '65', '20', '63', '8', '20', '75', '3970', '-200', 'large', '0', '0', '0', '0', '1', '0', '480', '440', '440', '440', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '100', '5000', '40', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81105', 'Mysterious Rock', '$2262', 'L1Merchant', '2725', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('81106', 'Ant Cave Entrance', '', 'L1FieldObject', '1036', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('81107', 'Ramia', '$1428', 'L1Monster', '1600', '22', '200', '30', '-6', '15', '15', '12', '12', '10', '20', '485', '-25', 'large', '0', '1', '0', '0', '1', '0', '960', '1880', '1880', '1880', '0', '1', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('81108', 'Zombie', '$57', 'L1Monster', '52', '45', '800', '800', '-70', '70', '20', '20', '20', '20', '10', '100', '-50', 'small', '0', '0', '1', '0', '1', '0', '2000', '1040', '1040', '1040', '3', '0', '0', '1', '1', '1', 'zombie', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('81109', 'Skeleton', '$7', 'L1Monster', '30', '45', '800', '800', '-70', '80', '20', '20', '20', '20', '20', '100', '-50', 'small', '0', '0', '1', '0', '1', '0', '640', '920', '920', '920', '3', '0', '0', '1', '1', '1', 'skeleton', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('81110', 'Unknown 81110', '', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('81111', 'Guardian Tower', '$1435', 'L1Tower', '1672', '1', '5000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'large', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81112', 'Rader', '$3121', 'L1Merchant', '3757', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('81113', 'Hagutin', '$3122', 'L1Merchant', '1768', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('81114', 'Psuedo Shadow of Flame', 'Psuedo Shadow of Flame', 'L1Merchant', '3406', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-32767', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('81115', 'Black Knight Captainn', '$2987', 'L1Merchant', '2337', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('81118', 'Fettered Soul', '$2985', 'L1Merchant', '3418', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('81119', 'Lary\'s Assistant', '$3332', 'L1Merchant', '460', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('81120', 'Servant of Kalbas', '$3415', 'L1Merchant', '1768', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('81121', 'Ancient Spirit', '$3523', 'L1Merchant', '4359', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('81122', 'Siege Flag', '$5184', 'L1FieldObject', '1284', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81123', 'Jack-O-Latern', '$2063', 'L1Merchant', '2499', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('81124', 'Jack-O-Lantern', '$2063', 'L1Merchant', '2499', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('81125', 'Crown', '$413', 'L1Crown', '1482', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81126', 'Message Board', '$1385', 'L1Board', '1544', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81127', 'Message Board', '$1385', 'L1Board', '1557', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81128', 'Message Board', '$1385', 'L1Board', '1559', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81129', 'Message Board', '$1385', 'L1Board', '2205', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81130', 'Message Board', '$1385', 'L1Board', '2207', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81131', 'Unknown 81131', '', 'L1Monster', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81132', 'Unknown 81132', '', 'L1Monster', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81133', 'Unknown 81133', 'Unknown $1430', 'L1Monster', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81134', 'Unknown 81134', 'Unknown $1497', 'L1Monster', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81135', 'Unknown 81135', 'Unknown $1429', 'L1Monster', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81136', 'Unknown 81136', '$2166$2087', 'L1Monster', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81137', 'Unknown 81137', 'Unknown $1429', 'L1Monster', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81138', 'Unknown 81138', '', 'L1Monster', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81139', 'Unknown 81139', '', 'L1Monster', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81140', 'Unknown 81140', 'Unknown $57', 'L1Monster', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81141', 'Unknown 81141', 'Unknown $7', 'L1Monster', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81142', 'Unknown 81142', 'Unknown $986', 'L1Monster', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81143', 'Unknown 81143', 'Unknown $318', 'L1Monster', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81144', 'Unknown 81144', 'Unknown $1563', 'L1Monster', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81145', 'Unknown 81145', 'Unknown $1563', 'L1Monster', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81146', 'Unknown 81146', 'Unknown $1562', 'L1Monster', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81147', 'Unknown 81147', '', 'L1Monster', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81148', 'Unknown 81148', '', 'L1Monster', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81149', 'Unknown 81149', '', 'L1Monster', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81150', 'Unknown 81150', 'Unknown $1016', 'L1Monster', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81151', 'Unknown 81151', 'Unknown $1018', 'L1Monster', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81152', 'Unknown 81152', 'Unknown $1017', 'L1Monster', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81153', 'Unknown 81153', '', 'L1Monster', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81154', 'Unknown 81154', '', 'L1Monster', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81155', 'Olle', '$3181', 'L1Merchant', '460', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('81156', 'Aden Reconnaissance Soldier', '$3180', 'L1Guard', '3801', '70', '1500', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '0', '0', '0', '10', '0', '480', '840', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '66', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('81157', 'Firewall', '', 'L1Effect', '168', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '10', '0');
INSERT INTO `npc` VALUES ('81158', 'Unknown 81158', '', 'L1Door', '2083', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81159', 'Birds', '', 'L1Monster', '1094', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '100', 'small', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('81160', 'Torch Fire', '', 'L1FieldObject', '1171', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('81161', 'Auction Board', '$1383', 'L1AuctionBoard', '1544', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81162', 'Unknown 81162', '', 'L1Effect', '4183', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81163', 'Girtas', '$4305', 'L1Monster', '5620', '99', '28000', '5000', '-99', '80', '21', '18', '20', '20', '99', '9802', '-10000', 'large', '0', '0', '0', '0', '3', '0', '640', '640', '0', '0', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '500', '5000', '500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '1');
INSERT INTO `npc` VALUES ('81164', 'Fire', '', 'L1FieldObject', '1648', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('81165', 'Fire', '', 'L1FieldObject', '1630', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '10', '0');
INSERT INTO `npc` VALUES ('81166', 'Light Rays', '', 'L1FieldObject', '868', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0');
INSERT INTO `npc` VALUES ('81167', 'Light Rays', '', 'L1FieldObject', '1172', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '8', '0');
INSERT INTO `npc` VALUES ('81168', 'Freeze Effect', '', 'L1Effect', '176', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('81169', 'Life Stream Effect', '', 'L1Effect', '2231', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('90000', 'Gimp', 'Gimp', 'L1Monster', '1152', '20', '125', '60', '-5', '9', '10', '16', '7', '8', '1', '26', '-20', 'small', '0', '0', '0', '1', '10', '1', '480', '1520', '1520', '1520', '0', '0', '0', '0', '0', '0', 'gimp', '1', '-1', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('90001', 'Gimp Elder', 'Gimp Elder', 'L1Monster', '1158', '27', '360', '110', '-11', '14', '11', '14', '12', '12', '30', '37', '-10', 'small', '0', '0', '0', '1', '1', '0', '960', '960', '960', '960', '0', '0', '0', '0', '0', '0', 'gimp', '1', '-1', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('90002', 'Lube Golem', 'Lube Golem', 'L1Monster', '4633', '43', '1885', '450', '-35', '22', '20', '15', '10', '12', '60', '2026', '-25', 'small', '1', '0', '0', '0', '1', '0', '960', '1280', '1400', '1200', '0', '0', '0', '0', '0', '0', 'gimp', '1', '-1', '-1', '0', '0', '1', '500', '10', '500', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0');
INSERT INTO `npc` VALUES ('90003', 'Lubricated Dominatrix', 'Lubricated Dominatrix', 'L1Monster', '3180', '65', '10500', '900', '-75', '28', '16', '14', '16', '18', '80', '3726', '-80', 'small', '0', '0', '0', '0', '1', '0', '1040', '1400', '1240', '1240', '3', '0', '0', '0', '0', '0', 'gimp', '1', '-1', '-1', '0', '0', '1', '500', '75', '500', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '12', '0');
INSERT INTO `npcaction` VALUES ('50001', 'barnia1', 'barnia1', 'barnia4');
INSERT INTO `npcaction` VALUES ('50002', 'sky4', 'sky4', 'sky1');
INSERT INTO `npcaction` VALUES ('50003', 'illdrath1', 'illdrath1', 'illdrath');
INSERT INTO `npcaction` VALUES ('50004', 'htel', 'htel', 'htel1');
INSERT INTO `npcaction` VALUES ('50005', 'karen3', 'karen3', 'karen1');
INSERT INTO `npcaction` VALUES ('50006', 'coco4', 'coco4', 'coco1');
INSERT INTO `npcaction` VALUES ('50007', 'esmereld2', 'esmereld2', 'esmereld');
INSERT INTO `npcaction` VALUES ('50008', 'aghvout', 'aghvout', 'agout');
INSERT INTO `npcaction` VALUES ('50009', 'ishtar1', 'ishtar1', 'ishtar');
INSERT INTO `npcaction` VALUES ('50010', 'stel', 'stel', 'stel1');
INSERT INTO `npcaction` VALUES ('50011', 'kun4', 'kun4', 'kun2');
INSERT INTO `npcaction` VALUES ('50012', 'kiyari4', 'kiyari4', 'kiyari2');
INSERT INTO `npcaction` VALUES ('50013', 'agsiout', 'agsiout', 'agout');
INSERT INTO `npcaction` VALUES ('50014', 'dilong2', 'dilong2', 'dilongs');
INSERT INTO `npcaction` VALUES ('50015', 'teleisland1', 'teleisland1', 'teleisland2');
INSERT INTO `npcaction` VALUES ('50016', 'zeno', 'zeno', 'zeno2');
INSERT INTO `npcaction` VALUES ('50017', 'telefire1', 'telefire2', 'telefire3');
INSERT INTO `npcaction` VALUES ('50018', 'colos', 'colos', 'colos1');
INSERT INTO `npcaction` VALUES ('50019', 'colos', 'colos', 'colos1');
INSERT INTO `npcaction` VALUES ('50020', 'telekent1', 'telekent1', 'telekent2');
INSERT INTO `npcaction` VALUES ('50022', 'telefire1', 'telefire2', 'telefire3');
INSERT INTO `npcaction` VALUES ('50021', 'teleckent1', 'teleckent1', 'teleckent2');
INSERT INTO `npcaction` VALUES ('50023', 'kentober1', 'kentober1', 'kentober2');
INSERT INTO `npcaction` VALUES ('50024', 'telegludin1', 'telegludin1', 'telegludin2');
INSERT INTO `npcaction` VALUES ('50025', 'gltzguard', 'gltzguard', 'gltzguard1');
INSERT INTO `npcaction` VALUES ('50026', 'telegltz1', 'telegltz1', 'telegltz2');
INSERT INTO `npcaction` VALUES ('50027', 'gltztele', 'gltztele', 'gltztele1');
INSERT INTO `npcaction` VALUES ('50028', 'colos', 'colos', 'colos1');
INSERT INTO `npcaction` VALUES ('50029', 'colos', 'colos', 'colos1');
INSERT INTO `npcaction` VALUES ('50030', 'telefire1', 'telefire2', 'telefire3');
INSERT INTO `npcaction` VALUES ('50031', 'sepia2', 'sepia2', '');
INSERT INTO `npcaction` VALUES ('50032', 'grtzguard', 'grtzguard', 'grtzguard1');
INSERT INTO `npcaction` VALUES ('50033', 'telegrtz1', 'telegrtz1', 'telegrtz2');
INSERT INTO `npcaction` VALUES ('50034', 'grtztele', 'grtztele', 'grtztele1');
INSERT INTO `npcaction` VALUES ('50035', 'telecgiran1', 'telecgiran1', 'telecgiran2');
INSERT INTO `npcaction` VALUES ('50036', 'telegiran1', 'telegiran1', 'telegiran2');
INSERT INTO `npcaction` VALUES ('50037', 'colos', 'colos', 'colos1');
INSERT INTO `npcaction` VALUES ('50038', 'colusher', 'colusher', '');
INSERT INTO `npcaction` VALUES ('50039', 'televala1', 'televala1', 'televala2');
INSERT INTO `npcaction` VALUES ('50040', 'telecdwarf1', 'telecdwarf1', 'telecdwarf2');
INSERT INTO `npcaction` VALUES ('50041', 'colos', 'colos', 'colos1');
INSERT INTO `npcaction` VALUES ('50042', 'colos', 'colos', 'colos1');
INSERT INTO `npcaction` VALUES ('50043', 'ramudap2', 'ramudap2', 'ramudap1');
INSERT INTO `npcaction` VALUES ('50044', 'sirius1', 'sirius1', 'sirius2');
INSERT INTO `npcaction` VALUES ('50045', 'telephantasm', 'telephantasm', 'phantasmisle');
INSERT INTO `npcaction` VALUES ('50046', 'elleris2', 'elleris2', '');
INSERT INTO `npcaction` VALUES ('50047', 'telecaden1', 'telecaden1', 'telecaden2');
INSERT INTO `npcaction` VALUES ('50048', 'ortzguard', 'ortzguard', 'ortzguard1');
INSERT INTO `npcaction` VALUES ('50049', 'teleortz1', 'teleortz1', 'teleortz2');
INSERT INTO `npcaction` VALUES ('50050', 'ortztele', 'ortztele', 'ortztele1');
INSERT INTO `npcaction` VALUES ('50051', 'kirius1', 'kirius1', 'kirius2');
INSERT INTO `npcaction` VALUES ('50052', 'telecwoods1', 'telecwoods1', 'telecwoods2');
INSERT INTO `npcaction` VALUES ('50053', 'telefire1', 'telefire2', 'telefire3');
INSERT INTO `npcaction` VALUES ('50054', 'telewoods1', 'telewoods1', 'telewoods2');
INSERT INTO `npcaction` VALUES ('50055', 'drist2', 'drist2', '');
INSERT INTO `npcaction` VALUES ('50056', 'telesilver1', 'telesilver1', 'telesilver2');
INSERT INTO `npcaction` VALUES ('50057', 'telefire1', 'telefire2', 'telefire3');
INSERT INTO `npcaction` VALUES ('50058', 'sktzguard', 'sktzguard', 'sktzguard1');
INSERT INTO `npcaction` VALUES ('50059', 'telesktz1', 'telesktz1', 'telesktz2');
INSERT INTO `npcaction` VALUES ('50060', 'sktztele', 'sktztele', 'sktztele1');
INSERT INTO `npcaction` VALUES ('50061', 'colos', 'colos', 'colos1');
INSERT INTO `npcaction` VALUES ('50062', 'colos', 'colos', 'colos1');
INSERT INTO `npcaction` VALUES ('50063', 'telecorc1', 'telecorc1', 'telecorc2');
INSERT INTO `npcaction` VALUES ('50064', 'duvall1', 'duvall1', 'duvall3');
INSERT INTO `npcaction` VALUES ('50065', 'ribian4', 'ribian4', '');
INSERT INTO `npcaction` VALUES ('50066', 'teleheine1', 'teleheine1', 'teleheine2');
INSERT INTO `npcaction` VALUES ('50067', 'telecheine1', 'telecheine1', 'telecheine2');
INSERT INTO `npcaction` VALUES ('50068', 'telescave1', 'telescave1', 'telescave2');
INSERT INTO `npcaction` VALUES ('50069', 'enya3', 'enya3', 'enya1');
INSERT INTO `npcaction` VALUES ('50070', 'luck1', 'luck1', 'luck2');
INSERT INTO `npcaction` VALUES ('50071', 'escapefi1', 'escapefi1', 'escapefi2');
INSERT INTO `npcaction` VALUES ('50072', 'teleoum1', 'teleoum1', 'teleoum2');
INSERT INTO `npcaction` VALUES ('50073', 'telediad1', 'telediad1', 'telediad2');
INSERT INTO `npcaction` VALUES ('50074', 'telecavern1', 'telecavern1', 'telecavern2');
INSERT INTO `npcaction` VALUES ('50075', 'telecdiad1', 'telecdiad1', 'telecdiad2');
INSERT INTO `npcaction` VALUES ('50076', 'telgrave1', 'telgrave1', 'telgrave2');
INSERT INTO `npcaction` VALUES ('50077', 'telabyss1', 'telabyss1', 'telabyss2');
INSERT INTO `npcaction` VALUES ('50078', 'picrystal', 'picrystal', 'picrystal1');
INSERT INTO `npcaction` VALUES ('50079', 'daniel1', 'daniel1', 'teleorcbdg2');
INSERT INTO `npcaction` VALUES ('50080', 'paul1', 'paul1', 'teleorcbdg1');
INSERT INTO `npcaction` VALUES ('50081', 'subinvest1', 'subinvest1', '');
INSERT INTO `npcaction` VALUES ('50082', 'en0221', 'en0221', '');
INSERT INTO `npcaction` VALUES ('50084', 'exitghost1', 'exitghost1', '');
INSERT INTO `npcaction` VALUES ('50111', 'orenc14', 'orenc14', '');
INSERT INTO `npcaction` VALUES ('50112', 'orenb1', 'orenb1', 'orenb0');
INSERT INTO `npcaction` VALUES ('50113', 'orena1', 'orena1', 'orena0');
INSERT INTO `npcaction` VALUES ('50114', 'orenh1', 'orenh1', 'orenh0');
INSERT INTO `npcaction` VALUES ('50115', 'oreno1', 'oreno1', 'oreno0');
INSERT INTO `npcaction` VALUES ('50116', 'orend1', 'orend1', 'orend0');
INSERT INTO `npcaction` VALUES ('50117', 'orene1', 'orene1', 'orene0');
INSERT INTO `npcaction` VALUES ('50118', 'niki', 'niki', '');
INSERT INTO `npcaction` VALUES ('50119', 'orenf1', 'orenf1', 'orenf0');
INSERT INTO `npcaction` VALUES ('50120', 'oreni1', 'oreni1', 'oreni0');
INSERT INTO `npcaction` VALUES ('50121', 'oreng1', 'oreng1', 'oreng0');
INSERT INTO `npcaction` VALUES ('50122', 'orenj1', 'orenj1', 'orenj0');
INSERT INTO `npcaction` VALUES ('50123', 'orenk1', 'orenk1', 'orenk0');
INSERT INTO `npcaction` VALUES ('50124', 'orenm1', 'orenm1', 'orenm0');
INSERT INTO `npcaction` VALUES ('50125', 'orenl1', 'orenl1', 'orenl0');
INSERT INTO `npcaction` VALUES ('50126', 'orenn1', 'orenn1', 'orenn0');
INSERT INTO `npcaction` VALUES ('50127', 'consul2', 'consul2', 'consul1');
INSERT INTO `npcaction` VALUES ('50501', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50502', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50503', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50504', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50505', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50506', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50507', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50508', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50509', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50510', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50511', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50512', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50513', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50514', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50515', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50516', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50517', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50518', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50519', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50520', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50521', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50522', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50523', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50524', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50525', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50526', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50527', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50528', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50529', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50530', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50531', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50532', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50533', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50534', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50535', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50536', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50537', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50538', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50539', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50540', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50541', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50542', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50543', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50544', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50545', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50546', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50547', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50548', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50549', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50550', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50551', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50552', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50553', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50554', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50555', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50556', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50557', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50558', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50559', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50560', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50561', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50562', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50563', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50564', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50565', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50566', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50567', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50568', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50569', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50570', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50571', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50572', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50573', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50574', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50575', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50576', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50577', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50578', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50579', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50580', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50581', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50582', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50583', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50584', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50585', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50586', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50587', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50588', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50589', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50590', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50591', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50592', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50593', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50594', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50595', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50596', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50597', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50598', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50599', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50600', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50601', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50602', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50603', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50604', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50605', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50606', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50607', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50608', 'kinin2', 'kinin2', '');
INSERT INTO `npcaction` VALUES ('50609', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50610', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50611', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50612', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50613', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50614', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50615', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50616', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50617', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50618', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50619', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50620', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50621', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50622', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50623', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50624', 'agit', 'agit', 'agtel0');
INSERT INTO `npcaction` VALUES ('50625', 'acient1', 'acient1', '');
INSERT INTO `npcaction` VALUES ('60001', 'dorin', 'dorin', 'pdorin');
INSERT INTO `npcaction` VALUES ('60002', 'bahof', 'bahof', 'pbahof');
INSERT INTO `npcaction` VALUES ('60003', 'thram', 'thram', 'pthram');
INSERT INTO `npcaction` VALUES ('60004', 'denitz', 'denitz', 'pdenitz');
INSERT INTO `npcaction` VALUES ('60005', 'luku', 'luku', 'pluku');
INSERT INTO `npcaction` VALUES ('60006', 'jianku', 'jianku', 'pjianku');
INSERT INTO `npcaction` VALUES ('60007', 'karim', 'karim', 'pkarim');
INSERT INTO `npcaction` VALUES ('60008', 'nodim', 'nodim', 'pnodim');
INSERT INTO `npcaction` VALUES ('60009', 'sauram', 'sauram', 'psauram');
INSERT INTO `npcaction` VALUES ('60010', 'kasham', 'kasham', 'pkasham');
INSERT INTO `npcaction` VALUES ('60011', 'kuron', 'kuron', 'pkuron');
INSERT INTO `npcaction` VALUES ('60012', 'tofen', 'tofen', 'ptofen');
INSERT INTO `npcaction` VALUES ('60013', 'axellon', 'axellon', 'paxellon');
INSERT INTO `npcaction` VALUES ('60014', 'kriom', 'kriom', 'pkriom');
INSERT INTO `npcaction` VALUES ('60015', 'ogi', 'ogi', 'pogi');
INSERT INTO `npcaction` VALUES ('60016', 'juke', 'juke', 'pjuke');
INSERT INTO `npcaction` VALUES ('60017', 'karudim', 'karudim', 'pkarudim');
INSERT INTO `npcaction` VALUES ('60018', 'kamu', 'kamu', 'pkamu');
INSERT INTO `npcaction` VALUES ('60019', 'timpukin', 'timpukin', 'ptimpukin');
INSERT INTO `npcaction` VALUES ('60020', 'tulak', 'tulak', 'ptulak');
INSERT INTO `npcaction` VALUES ('60021', 'hirim', 'hirim', 'phirim');
INSERT INTO `npcaction` VALUES ('60022', 'borgin', 'borgin', 'pborgin');
INSERT INTO `npcaction` VALUES ('60023', 'tarkin', 'tarkin', 'ptarkin');
INSERT INTO `npcaction` VALUES ('60024', 'gotham', 'gotham', 'pgotham');
INSERT INTO `npcaction` VALUES ('60025', 'kusian', 'kusian', 'pkusian');
INSERT INTO `npcaction` VALUES ('60026', 'orclon', 'orclon', 'porclon');
INSERT INTO `npcaction` VALUES ('60027', 'kuhatin', 'kuhatin', 'pkuhatin');
INSERT INTO `npcaction` VALUES ('60028', 'elE1', 'elE1', 'elCE1');
INSERT INTO `npcaction` VALUES ('60029', 'haidrim', 'haidrim', 'phaidrim');
INSERT INTO `npcaction` VALUES ('60030', 'hakim', 'hakim', 'phakim');
INSERT INTO `npcaction` VALUES ('60031', 'rayearth1', 'rayearth1', 'pgotham');
INSERT INTO `npcaction` VALUES ('60032', 'garin', 'garin', 'pgarin');
INSERT INTO `npcaction` VALUES ('60033', 'gawl', 'gawl', 'pgawl');
INSERT INTO `npcaction` VALUES ('60034', 'kuud', 'kuud', 'pkuud');
INSERT INTO `npcaction` VALUES ('60035', 'zidar', 'zidar', 'pgawl');
INSERT INTO `npcaction` VALUES ('60036', 'tigus', 'tigus', 'pgawl');
INSERT INTO `npcaction` VALUES ('60037', 'en1011', 'en1011', '');
INSERT INTO `npcaction` VALUES ('60501', 'patguard', 'patguard', '');
INSERT INTO `npcaction` VALUES ('60502', 'patguard', 'patguard', '');
INSERT INTO `npcaction` VALUES ('60506', '', '', '');
INSERT INTO `npcaction` VALUES ('60507', '', '', '');
INSERT INTO `npcaction` VALUES ('60508', '', '', '');
INSERT INTO `npcaction` VALUES ('60509', '', '', '');
INSERT INTO `npcaction` VALUES ('60510', '', '', '');
INSERT INTO `npcaction` VALUES ('60513', '', '', '');
INSERT INTO `npcaction` VALUES ('60514', 'ktguard6', 'ktguard6', 'ktguard6');
INSERT INTO `npcaction` VALUES ('60515', '', '', '');
INSERT INTO `npcaction` VALUES ('60516', '', '', '');
INSERT INTO `npcaction` VALUES ('60517', '', '', '');
INSERT INTO `npcaction` VALUES ('60522', '', '', '');
INSERT INTO `npcaction` VALUES ('60523', '', '', '');
INSERT INTO `npcaction` VALUES ('60524', 'grguard6', 'grguard6', 'grguard6');
INSERT INTO `npcaction` VALUES ('60525', 'grguard6', 'grguard6', 'grguard6');
INSERT INTO `npcaction` VALUES ('60526', '', '', '');
INSERT INTO `npcaction` VALUES ('60527', '', '', '');
INSERT INTO `npcaction` VALUES ('60528', '', '', '');
INSERT INTO `npcaction` VALUES ('60529', 'grguard6', 'grguard6', 'grguard6');
INSERT INTO `npcaction` VALUES ('60530', 'dcguard6', 'dcguard6', 'dcguard6');
INSERT INTO `npcaction` VALUES ('60531', 'dcguard6', 'dcguard6', 'dcguard6');
INSERT INTO `npcaction` VALUES ('60533', 'adguard6', 'adguard6', 'adguard6');
INSERT INTO `npcaction` VALUES ('60534', 'adguard6', 'adguard6', 'adguard6');
INSERT INTO `npcaction` VALUES ('60537', 'adguard6', 'adguard6', 'adguard6');
INSERT INTO `npcaction` VALUES ('60538', 'adguard6', 'adguard6', 'adguard6');
INSERT INTO `npcaction` VALUES ('60539', 'adguard6', 'adguard6', 'adguard6');
INSERT INTO `npcaction` VALUES ('60540', 'adguard6', 'adguard6', 'adguard6');
INSERT INTO `npcaction` VALUES ('60551', '', '', '');
INSERT INTO `npcaction` VALUES ('60552', 'wdguard6', 'wdguard6', 'wdguard6');
INSERT INTO `npcaction` VALUES ('60553', '', '', '');
INSERT INTO `npcaction` VALUES ('60554', '', '', '');
INSERT INTO `npcaction` VALUES ('60558', '', '', '');
INSERT INTO `npcaction` VALUES ('60559', '', '', '');
INSERT INTO `npcaction` VALUES ('60560', 'orcguard6', 'orcguard6', 'orcguard6');
INSERT INTO `npcaction` VALUES ('60563', 'heguard6', 'heguard6', 'heguard6');
INSERT INTO `npcaction` VALUES ('60565', 'wdguard4', 'wdguard4', 'wdguard5');
INSERT INTO `npcaction` VALUES ('70001', 'rose1', 'rose1', 'rose6');
INSERT INTO `npcaction` VALUES ('70002', 'sasha', 'sasha', '');
INSERT INTO `npcaction` VALUES ('70003', 'siriss', 'siriss', 'sirissmg');
INSERT INTO `npcaction` VALUES ('70004', 'johan', 'johan', 'johan1');
INSERT INTO `npcaction` VALUES ('70005', 'en0131', 'en0131', '');
INSERT INTO `npcaction` VALUES ('70006', 'kiris', 'kiris', '');
INSERT INTO `npcaction` VALUES ('70007', 'tina1', 'tina1', 'tina6');
INSERT INTO `npcaction` VALUES ('70008', 'fraoun', 'fraoun', '');
INSERT INTO `npcaction` VALUES ('70009', '', '', '');
INSERT INTO `npcaction` VALUES ('70010', 'balsim', 'balsim', '');
INSERT INTO `npcaction` VALUES ('70011', 'shipEvI3', 'shipEvI1', '');
INSERT INTO `npcaction` VALUES ('70012', 'inn', 'Inn1', '');
INSERT INTO `npcaction` VALUES ('70013', 'cold1', 'cold2', '');
INSERT INTO `npcaction` VALUES ('70014', 'pandora', 'pandora5', '');
INSERT INTO `npcaction` VALUES ('70015', 'arieh1', 'arieh1', 'arieh6');
INSERT INTO `npcaction` VALUES ('70016', 'andyn', 'andyn', 'andyn3');
INSERT INTO `npcaction` VALUES ('70017', 'orim1', 'orim1', 'orim2');
INSERT INTO `npcaction` VALUES ('70018', 'ysorya', 'ysorya', 'ysorya3');
INSERT INTO `npcaction` VALUES ('70019', 'inn', 'Inn1', '');
INSERT INTO `npcaction` VALUES ('70020', 'rollko', 'rollko', 'rollko1');
INSERT INTO `npcaction` VALUES ('70021', 'luth', 'luth', 'luth3');
INSERT INTO `npcaction` VALUES ('70022', 'shipEvM1', 'shipEvM1', 'shipEvM2');
INSERT INTO `npcaction` VALUES ('70023', 'tzmerchant', 'tzmerchant', '');
INSERT INTO `npcaction` VALUES ('70024', 'catty', 'catty', 'catty3');
INSERT INTO `npcaction` VALUES ('70025', 'pasim', 'pasim', 'pasim2');
INSERT INTO `npcaction` VALUES ('70026', 'derek1', 'derek1', 'derek2');
INSERT INTO `npcaction` VALUES ('70027', 'dio1', 'dio1', 'dio2');
INSERT INTO `npcaction` VALUES ('70028', 'randal1', 'randal1', 'randal2');
INSERT INTO `npcaction` VALUES ('70029', 'margaret1', 'margaret1', 'margaret2');
INSERT INTO `npcaction` VALUES ('70030', 'mayer', 'mayer', 'mayer3');
INSERT INTO `npcaction` VALUES ('70031', 'inn', 'Inn1', '');
INSERT INTO `npcaction` VALUES ('70032', 'vergil', 'vergil', 'vergil3');
INSERT INTO `npcaction` VALUES ('70033', 'verita', 'verita', 'verita3');
INSERT INTO `npcaction` VALUES ('70034', 'vincent1', 'vincent1', 'vincent2');
INSERT INTO `npcaction` VALUES ('70035', 'secil', 'secil', '');
INSERT INTO `npcaction` VALUES ('70036', 'stella1', 'stella1', 'stella6');
INSERT INTO `npcaction` VALUES ('70037', 'tzmerchant', 'tzmerchant', '');
INSERT INTO `npcaction` VALUES ('70038', 'evert1', 'evert1', 'evert2');
INSERT INTO `npcaction` VALUES ('70039', 'werner', 'werner', 'werner3');
INSERT INTO `npcaction` VALUES ('70040', 'jason1', 'jason1', 'jason2');
INSERT INTO `npcaction` VALUES ('70041', 'perkin', 'perkin', '');
INSERT INTO `npcaction` VALUES ('70042', 'polee', 'polee', '');
INSERT INTO `npcaction` VALUES ('70043', 'philip1', 'philip1', 'philip2');
INSERT INTO `npcaction` VALUES ('70044', 'ralf1', 'ralf1', 'ralf6');
INSERT INTO `npcaction` VALUES ('70045', 'berry1', 'berry1', 'berry6');
INSERT INTO `npcaction` VALUES ('70046', 'jin1', 'jin1', 'jin6');
INSERT INTO `npcaction` VALUES ('70047', 'defman', 'defman', 'defman3');
INSERT INTO `npcaction` VALUES ('70048', 'raon', 'raon', 'raon3');
INSERT INTO `npcaction` VALUES ('70049', 'rozen1', 'rozen1', 'rozen2');
INSERT INTO `npcaction` VALUES ('70050', 'ruky1', 'ruky1', 'ruky6');
INSERT INTO `npcaction` VALUES ('70051', 'magus', 'magus', 'magus2');
INSERT INTO `npcaction` VALUES ('70052', 'mellisa', 'mellisa', 'mellisa3');
INSERT INTO `npcaction` VALUES ('70053', 'sharu1', 'sharu1', 'sharu2');
INSERT INTO `npcaction` VALUES ('70054', 'inn', 'Inn1', '');
INSERT INTO `npcaction` VALUES ('70055', 'ashinnue', 'ashinnue', '');
INSERT INTO `npcaction` VALUES ('70056', 'jode', 'jode', 'jode1');
INSERT INTO `npcaction` VALUES ('70057', 'catherine', 'catherine', 'catherine3');
INSERT INTO `npcaction` VALUES ('70058', 'fega', 'fega', 'fega3');
INSERT INTO `npcaction` VALUES ('70059', 'dico', 'dico', 'dico3');
INSERT INTO `npcaction` VALUES ('70060', 'rinda', 'rinda', 'rinda3');
INSERT INTO `npcaction` VALUES ('70061', 'mandra', 'mandra', 'mandra3');
INSERT INTO `npcaction` VALUES ('70062', 'varyeth', 'varyeth', 'varyeth3');
INSERT INTO `npcaction` VALUES ('70063', 'bius', 'bius', 'bius3');
INSERT INTO `npcaction` VALUES ('70064', 'tzmerchant', 'tzmerchant', '');
INSERT INTO `npcaction` VALUES ('70065', 'inn', 'Inn1', '');
INSERT INTO `npcaction` VALUES ('70066', 'kreister', 'kreister', 'kreister3');
INSERT INTO `npcaction` VALUES ('70067', 'pagoru', 'pagoru', 'pagoru3');
INSERT INTO `npcaction` VALUES ('70068', 'franko', 'franko', 'franko1');
INSERT INTO `npcaction` VALUES ('70069', 'momo1', 'momo1', 'momo6');
INSERT INTO `npcaction` VALUES ('70070', 'inn', 'Inn1', '');
INSERT INTO `npcaction` VALUES ('70071', 'ashur', 'ashur', 'ashur3');
INSERT INTO `npcaction` VALUES ('70072', 'elmina', 'elmina', 'elmina3');
INSERT INTO `npcaction` VALUES ('70073', 'glen', 'glen1', '');
INSERT INTO `npcaction` VALUES ('70074', 'mellin', 'mellin1', '');
INSERT INTO `npcaction` VALUES ('70075', 'inn', 'Inn1', '');
INSERT INTO `npcaction` VALUES ('70076', 'tzmerchant', 'tzmerchant', '');
INSERT INTO `npcaction` VALUES ('70077', 'dogdealer', 'dogdealer', 'rodney');
INSERT INTO `npcaction` VALUES ('70078', 'orcm1', 'orcm1', 'orcm6');
INSERT INTO `npcaction` VALUES ('70079', 'jackson', 'jackson', 'jackson3');
INSERT INTO `npcaction` VALUES ('70080', 'horunev1', 'horunev1', 'horunev2');
INSERT INTO `npcaction` VALUES ('70081', 'buakheu1', 'buakheu1', 'buakheu2');
INSERT INTO `npcaction` VALUES ('70082', 'britt', 'britt', 'britt3');
INSERT INTO `npcaction` VALUES ('70083', 'shivan', 'shivan', 'shivan3');
INSERT INTO `npcaction` VALUES ('70084', 'inn', 'Inn1', '');
INSERT INTO `npcaction` VALUES ('70085', 'old1', 'old1', 'old6');
INSERT INTO `npcaction` VALUES ('70086', 'isvall4', 'isvall4', 'isvall1');
INSERT INTO `npcaction` VALUES ('70087', 'sedia4', 'sedia4', '');
INSERT INTO `npcaction` VALUES ('70088', 'scwaty1', 'scwaty1', 'scwaty2');
INSERT INTO `npcaction` VALUES ('70089', 'oblivion1', 'oblivion1', 'oblivion2');
INSERT INTO `npcaction` VALUES ('70090', 'chiky1', 'chiky1', 'chiky3');
INSERT INTO `npcaction` VALUES ('70091', 'tilon1', 'tilon1', 'tilon13');
INSERT INTO `npcaction` VALUES ('70092', 'emart', 'emart', '');
INSERT INTO `npcaction` VALUES ('70093', 'karupu', 'karupu', '');
INSERT INTO `npcaction` VALUES ('70094', 'duran', 'duran', 'duran2');
INSERT INTO `npcaction` VALUES ('70095', 'duron1', 'duron1', '');
INSERT INTO `npcaction` VALUES ('70096', 'inn', 'Inn1', '');
INSERT INTO `npcaction` VALUES ('70097', 'foni1', 'foni1', '');
INSERT INTO `npcaction` VALUES ('70098', 'bobo1', 'bobo1', '');
INSERT INTO `npcaction` VALUES ('70099', 'kuper2', 'kuper2', '');
INSERT INTO `npcaction` VALUES ('70100', 'lengo1', 'lengo1', '');
INSERT INTO `npcaction` VALUES ('70101', 'fiin1', 'fiin1', '');
INSERT INTO `npcaction` VALUES ('70102', 'judice1', 'judice1', '');
INSERT INTO `npcaction` VALUES ('70503', 'goodman', 'goodman', '');
INSERT INTO `npcaction` VALUES ('70504', 'neutralman', 'neutralman', '');
INSERT INTO `npcaction` VALUES ('70506', 'en0101', 'en0101', '');
INSERT INTO `npcaction` VALUES ('70507', 'rion1', 'rion1', 'rion2');
INSERT INTO `npcaction` VALUES ('70508', 'enchanterw1', 'enchanterw1', 'encw');
INSERT INTO `npcaction` VALUES ('70509', 'enchantera1', 'enchantera1', 'enca');
INSERT INTO `npcaction` VALUES ('70510', 'newgypsy', 'newgypsy', 'gypsy1');
INSERT INTO `npcaction` VALUES ('70511', 'evilman', 'evilman', '');
INSERT INTO `npcaction` VALUES ('70512', 'noved', 'noved', '');
INSERT INTO `npcaction` VALUES ('70513', 'peria1', 'peria1', 'peria2');
INSERT INTO `npcaction` VALUES ('70514', 'freehaste', 'freehaste', '');
INSERT INTO `npcaction` VALUES ('70517', 'cuse1', 'cuse1', 'cuse3');
INSERT INTO `npcaction` VALUES ('70518', 'tio', 'tio', '');
INSERT INTO `npcaction` VALUES ('70519', 'peria1', 'peria1', 'peria2');
INSERT INTO `npcaction` VALUES ('70520', 'alchemy1', 'alchemy1', 'alchemy4');
INSERT INTO `npcaction` VALUES ('70522', '', '', '');
INSERT INTO `npcaction` VALUES ('70523', 'ladar1', 'ladarC1', '');
INSERT INTO `npcaction` VALUES ('70524', 'lavienue9', 'lavienue9', 'lavienue2');
INSERT INTO `npcaction` VALUES ('70525', 'lien1', 'lienC1', '');
INSERT INTO `npcaction` VALUES ('70526', 'raiders1', 'raiders1', 'raiders3');
INSERT INTO `npcaction` VALUES ('70527', 'lengo1', 'lengo1', '');
INSERT INTO `npcaction` VALUES ('70528', 'othertown', 'othertown', 'othertownh');
INSERT INTO `npcaction` VALUES ('70529', 'mona1', 'mona1', '');
INSERT INTO `npcaction` VALUES ('70530', 'restore1pk', 'restore1pk', 'helppk');
INSERT INTO `npcaction` VALUES ('70531', 'jem2', 'jem2', '');
INSERT INTO `npcaction` VALUES ('70532', 'johnson1', 'johnson1', '');
INSERT INTO `npcaction` VALUES ('70533', 'judice1', 'judice1', '');
INSERT INTO `npcaction` VALUES ('70534', 'secretary1', 'secretary1', 'secretary4');
INSERT INTO `npcaction` VALUES ('70535', 'kuper1', 'kuper1', '');
INSERT INTO `npcaction` VALUES ('70536', 'touma1', 'touma1', 'touma2');
INSERT INTO `npcaction` VALUES ('70537', 'farlin1', 'farlinC1', '');
INSERT INTO `npcaction` VALUES ('70538', 'bpledge2', 'bpledge2', 'bpledge1');
INSERT INTO `npcaction` VALUES ('70539', 'fiin1', 'fiin1', '');
INSERT INTO `npcaction` VALUES ('70540', 'alchemy1', 'alchemy1', 'alchemy4');
INSERT INTO `npcaction` VALUES ('70544', 'dick1', 'dick1', 'dick2');
INSERT INTO `npcaction` VALUES ('70545', 'richard3', 'richard3', '');
INSERT INTO `npcaction` VALUES ('70546', 'othertown', 'othertown', 'othertownh');
INSERT INTO `npcaction` VALUES ('70547', 'encwc', 'encwc', '');
INSERT INTO `npcaction` VALUES ('70549', 'gatekeeperop', 'gatekeeperop', 'gatekeeperop');
INSERT INTO `npcaction` VALUES ('70550', 'encac', 'encac', '');
INSERT INTO `npcaction` VALUES ('70553', 'ishmael1', 'ishmael1', 'ishmael2');
INSERT INTO `npcaction` VALUES ('70554', 'zero2', 'zero2', '');
INSERT INTO `npcaction` VALUES ('70555', '', '', '');
INSERT INTO `npcaction` VALUES ('70556', 'secretary1', 'secretary1', 'secretary4');
INSERT INTO `npcaction` VALUES ('70560', 'bpledge2', 'bpledge2', 'bpledge1');
INSERT INTO `npcaction` VALUES ('70562', 'hunt1', 'hunt1', 'hunt2');
INSERT INTO `npcaction` VALUES ('70563', 'alchemy1', 'alchemy1', 'alchemy4');
INSERT INTO `npcaction` VALUES ('70567', 'othertown', 'othertown', 'othertownh');
INSERT INTO `npcaction` VALUES ('70568', 'yuno', 'yuno', '');
INSERT INTO `npcaction` VALUES ('70572', 'secretary1', 'secretary1', 'secretary4');
INSERT INTO `npcaction` VALUES ('70574', 'alchemy1', 'alchemy1', 'alchemy4');
INSERT INTO `npcaction` VALUES ('70577', 'auction1', 'auction1', 'auction3');
INSERT INTO `npcaction` VALUES ('70594', 'othertown', 'othertown', 'othertownh');
INSERT INTO `npcaction` VALUES ('70598', 'moria1', 'moria1', 'moria4');
INSERT INTO `npcaction` VALUES ('70599', 'encwc', 'encwc', '');
INSERT INTO `npcaction` VALUES ('70600', 'orckeeperop', 'orckeeperop', 'orckeeperop');
INSERT INTO `npcaction` VALUES ('70601', 'encac', 'encac', '');
INSERT INTO `npcaction` VALUES ('70605', 'blaise1', 'blaise1', 'blaise4');
INSERT INTO `npcaction` VALUES ('70607', 'sarsha1', 'sarsha1', 'sarsha2');
INSERT INTO `npcaction` VALUES ('70611', 'restore1pk', 'restore1pk', '');
INSERT INTO `npcaction` VALUES ('70614', 'anton1', 'anton1', '');
INSERT INTO `npcaction` VALUES ('70617', 'almon1', 'almon1', 'almon2');
INSERT INTO `npcaction` VALUES ('70623', 'orville1', 'orville1', 'orville2');
INSERT INTO `npcaction` VALUES ('70631', 'secretary4', 'secretary4', 'secretary1');
INSERT INTO `npcaction` VALUES ('70632', 'kevin1', 'kevin1', 'kevin2');
INSERT INTO `npcaction` VALUES ('70633', 'colbert1', 'colbert1', 'colbert2');
INSERT INTO `npcaction` VALUES ('70641', 'herbert1', 'herbert1', 'herbert2');
INSERT INTO `npcaction` VALUES ('70642', 'hector1', 'hector1', 'hector2');
INSERT INTO `npcaction` VALUES ('70644', 'bpledge2', 'bpledge2', 'bpledge1');
INSERT INTO `npcaction` VALUES ('70645', 'alchemy1', 'alchemy1', 'alchemy4');
INSERT INTO `npcaction` VALUES ('70653', 'masha', 'masha', '');
INSERT INTO `npcaction` VALUES ('70654', 'othertown', 'othertown', 'othertownh');
INSERT INTO `npcaction` VALUES ('70655', 'encwc', 'encwc', '');
INSERT INTO `npcaction` VALUES ('70656', 'gatekeeperop', 'gatekeeperop', 'gatekeeperop');
INSERT INTO `npcaction` VALUES ('70657', 'encac', 'encac', '');
INSERT INTO `npcaction` VALUES ('70658', 'restore1pk', 'restore1pk', '');
INSERT INTO `npcaction` VALUES ('70662', 'ivelviin1', 'ivelviin1', 'ivelviin2');
INSERT INTO `npcaction` VALUES ('70663', 'secretary1', 'secretary1', 'secretary4');
INSERT INTO `npcaction` VALUES ('70664', 'cove1', 'cove1', 'cove2');
INSERT INTO `npcaction` VALUES ('70665', 'potempin1', 'potempin1', 'potempin2');
INSERT INTO `npcaction` VALUES ('70666', 'freckson1', 'freckson1', 'freckson2');
INSERT INTO `npcaction` VALUES ('70667', 'bpledge2', 'bpledge2', 'bpledge1');
INSERT INTO `npcaction` VALUES ('70668', 'alchemy1', 'alchemy1', 'alchemy4');
INSERT INTO `npcaction` VALUES ('70670', 'citizen8', 'citizen8', '');
INSERT INTO `npcaction` VALUES ('70671', 'nose', 'nose', 'nose1');
INSERT INTO `npcaction` VALUES ('70674', 'reona1', 'reona1', 'reona2');
INSERT INTO `npcaction` VALUES ('70675', 'citizen1', 'citizen1', '');
INSERT INTO `npcaction` VALUES ('70676', 'ryumiel1', 'ryumiel1', '');
INSERT INTO `npcaction` VALUES ('70683', 'montes2', 'montes2', 'montes4');
INSERT INTO `npcaction` VALUES ('70686', 'encwc', 'encwc', '');
INSERT INTO `npcaction` VALUES ('70687', 'gatekeeperop', 'gatekeeperop', 'gatekeeperop');
INSERT INTO `npcaction` VALUES ('70688', 'citizen10', 'citizen10', '');
INSERT INTO `npcaction` VALUES ('70690', 'bamute1', 'bamute1', 'bamute2');
INSERT INTO `npcaction` VALUES ('70692', 'encac', 'encac', '');
INSERT INTO `npcaction` VALUES ('70695', 'biust1', 'biust1', 'biust2');
INSERT INTO `npcaction` VALUES ('70701', 'restore', 'restore', '');
INSERT INTO `npcaction` VALUES ('70702', 'ring1', 'ring1', '');
INSERT INTO `npcaction` VALUES ('70707', 'eno1', 'eno1', 'enoc1');
INSERT INTO `npcaction` VALUES ('70711', 'giantk1', 'giantk1', 'giantk2');
INSERT INTO `npcaction` VALUES ('70715', 'jimuk1', 'jimuk1', 'jimuk2');
INSERT INTO `npcaction` VALUES ('70721', 'timon1', 'timon1', 'timon2');
INSERT INTO `npcaction` VALUES ('70722', 'paruit01', 'paruit01', 'paruitC');
INSERT INTO `npcaction` VALUES ('70723', 'pau1', 'pau1', 'pau2');
INSERT INTO `npcaction` VALUES ('70724', 'heit4', 'heit4', '');
INSERT INTO `npcaction` VALUES ('70725', 'bpledge2', 'bpledge2', 'bpledge1');
INSERT INTO `npcaction` VALUES ('70734', 'alchemy1', 'alchemy1', 'alchemy4');
INSERT INTO `npcaction` VALUES ('70739', 'dicardinge1', 'dicardinge1', 'dicardinge2');
INSERT INTO `npcaction` VALUES ('70740', 'zero2', 'zero2', '');
INSERT INTO `npcaction` VALUES ('70742', 'detecter1', 'detecter1', 'detecter2');
INSERT INTO `npcaction` VALUES ('70744', 'roje16', 'roje16', '');
INSERT INTO `npcaction` VALUES ('70748', 'othertown', 'othertown', 'othertownh');
INSERT INTO `npcaction` VALUES ('70749', 'mild1', 'mild1', 'mild2');
INSERT INTO `npcaction` VALUES ('70751', 'brad1', 'brad1', '');
INSERT INTO `npcaction` VALUES ('70757', 'restore1pk', 'restore1pk', '');
INSERT INTO `npcaction` VALUES ('70758', 'sabin', 'sabin', '');
INSERT INTO `npcaction` VALUES ('70760', 'ellyonne', 'ellyonne', 'ellyonne4');
INSERT INTO `npcaction` VALUES ('70761', 'secretary1', 'secretary1', 'secretary4');
INSERT INTO `npcaction` VALUES ('70762', 'karif1', 'karif1', '');
INSERT INTO `npcaction` VALUES ('70763', 'talass', 'talass', '');
INSERT INTO `npcaction` VALUES ('70768', 'alchemy1', 'alchemy1', 'alchemy4');
INSERT INTO `npcaction` VALUES ('70771', 'randith1', 'randith1', 'randith2');
INSERT INTO `npcaction` VALUES ('70773', 'marbin1', 'marbin1', 'marbin2');
INSERT INTO `npcaction` VALUES ('70772', 'ladar1', 'ladarC1', '');
INSERT INTO `npcaction` VALUES ('70774', 'othertown', 'othertown', 'othertownh');
INSERT INTO `npcaction` VALUES ('70775', 'mark1', 'mark1', 'mark2');
INSERT INTO `npcaction` VALUES ('70776', 'meg4', 'meg4', '');
INSERT INTO `npcaction` VALUES ('70777', 'encwc', 'encwc', '');
INSERT INTO `npcaction` VALUES ('70778', 'gatekeeperop', 'gatekeeperop', 'gatekeeperop');
INSERT INTO `npcaction` VALUES ('70779', 'ants2', 'ants2', 'antss');
INSERT INTO `npcaction` VALUES ('70780', 'encac', 'encac', '');
INSERT INTO `npcaction` VALUES ('70781', 'restore1pk', 'restore1pk', '');
INSERT INTO `npcaction` VALUES ('70782', 'ant2', 'ant2', '');
INSERT INTO `npcaction` VALUES ('70783', 'aria4', 'aria4', '');
INSERT INTO `npcaction` VALUES ('70784', 'othmond1', 'othmond1', 'othmond2');
INSERT INTO `npcaction` VALUES ('70788', 'secretary1', 'secretary1', 'secretary4');
INSERT INTO `npcaction` VALUES ('70789', 'halt1', 'halt1', 'halt2');
INSERT INTO `npcaction` VALUES ('70790', 'bpledge2', 'bpledge2', 'bpledge1');
INSERT INTO `npcaction` VALUES ('70792', 'alchemy1', 'alchemy1', 'alchemy4');
INSERT INTO `npcaction` VALUES ('70794', '', '', '');
INSERT INTO `npcaction` VALUES ('70796', 'dunham2', 'dunham2', '');
INSERT INTO `npcaction` VALUES ('70797', 'drist', 'drist', '');
INSERT INTO `npcaction` VALUES ('70798', 'riky2', 'riky2', '');
INSERT INTO `npcaction` VALUES ('70799', 'othertown', 'othertown', 'othertownh');
INSERT INTO `npcaction` VALUES ('70800', 'gatekeeperop', 'gatekeeperop', 'gatekeeperop');
INSERT INTO `npcaction` VALUES ('70801', 'restore1pk', 'restore1pk', '');
INSERT INTO `npcaction` VALUES ('70802', 'aanon1', 'aanon1', '');
INSERT INTO `npcaction` VALUES ('70804', 'lien1', 'lienC1', '');
INSERT INTO `npcaction` VALUES ('70805', 'ladar1', 'ladarC1', '');
INSERT INTO `npcaction` VALUES ('70806', 'secretary1', 'secretary1', 'secretary4');
INSERT INTO `npcaction` VALUES ('70807', 'farlin1', 'farlinC1', '');
INSERT INTO `npcaction` VALUES ('70808', 'alchemy1', 'alchemy1', 'alchemy4');
INSERT INTO `npcaction` VALUES ('70809', '', '', '');
INSERT INTO `npcaction` VALUES ('70811', 'lyraEv1', 'lyraEv1', 'lyraEv3');
INSERT INTO `npcaction` VALUES ('70815', 'othertown', 'othertown', 'othertownh');
INSERT INTO `npcaction` VALUES ('70816', 'encwc', 'encwc', '');
INSERT INTO `npcaction` VALUES ('70817', 'gatekeeperop', 'gatekeeperop', 'gatekeeperop');
INSERT INTO `npcaction` VALUES ('70820', 'encac', 'encac', '');
INSERT INTO `npcaction` VALUES ('70822', 'seghem1', 'seghem1', 'seghem2');
INSERT INTO `npcaction` VALUES ('70823', 'restore1pk', 'restore1pk', '');
INSERT INTO `npcaction` VALUES ('70824', '', '', '');
INSERT INTO `npcaction` VALUES ('70826', 'oth2', 'oth2', '');
INSERT INTO `npcaction` VALUES ('70830', 'secretary1', 'secretary1', 'secretary4');
INSERT INTO `npcaction` VALUES ('70831', 'kentu1', 'kentu1', 'kentu2');
INSERT INTO `npcaction` VALUES ('70836', 'hans1', 'hans1', 'hans2');
INSERT INTO `npcaction` VALUES ('70837', 'narhenE3', 'narhenE3', 'narhenE1');
INSERT INTO `npcaction` VALUES ('70838', 'nerupaE1', 'nerupaE1', 'nerupaCE1');
INSERT INTO `npcaction` VALUES ('70840', 'robinwood1', 'robinwood1', 'robinwood3');
INSERT INTO `npcaction` VALUES ('70841', 'luudiel1', 'luudiel1', '');
INSERT INTO `npcaction` VALUES ('70844', '', '', '');
INSERT INTO `npcaction` VALUES ('70846', 'arachnee1', 'arachnee1', 'arachnem1');
INSERT INTO `npcaction` VALUES ('70847', 'estE1', 'estE1', 'estCE1');
INSERT INTO `npcaction` VALUES ('70848', 'ente1', 'ente1', 'entm1');
INSERT INTO `npcaction` VALUES ('70850', 'pane1', 'pane1', 'panm1');
INSERT INTO `npcaction` VALUES ('70851', 'fairye1', 'fairye1', 'fairym1');
INSERT INTO `npcaction` VALUES ('70852', 'fairyqe1', 'fairyqe1', 'fairyqm1');
INSERT INTO `npcaction` VALUES ('70853', 'fairyp3', 'fairyp3', '');
INSERT INTO `npcaction` VALUES ('70855', 'alchemy1', 'alchemy1', 'alchemy4');
INSERT INTO `npcaction` VALUES ('70857', 'heguard6', 'heguard6', 'heguard6');
INSERT INTO `npcaction` VALUES ('70860', 'othertown', 'othertown', 'othertownh');
INSERT INTO `npcaction` VALUES ('70861', 'encwc', 'encwc', '');
INSERT INTO `npcaction` VALUES ('70862', 'gatekeeperop', 'gatekeeperop', 'gatekeeperop');
INSERT INTO `npcaction` VALUES ('70863', 'gatekeeperop', 'gatekeeperop', 'gatekeeperop');
INSERT INTO `npcaction` VALUES ('70865', 'encac', 'encac', '');
INSERT INTO `npcaction` VALUES ('70872', 'eveurol1', 'eveurol1', 'eveurol5');
INSERT INTO `npcaction` VALUES ('70873', 'ellan1', 'ellan1', 'ellan2');
INSERT INTO `npcaction` VALUES ('70876', 'secretary1', 'secretary1', 'secretary4');
INSERT INTO `npcaction` VALUES ('70880', 'fisher1', 'fisher1', 'fisher2');
INSERT INTO `npcaction` VALUES ('70881', '', '', '');
INSERT INTO `npcaction` VALUES ('70882', 'vaiger1', 'vaiger1', 'vaiger2');
INSERT INTO `npcaction` VALUES ('70884', 'bpledge2', 'bpledge2', 'bpledge1');
INSERT INTO `npcaction` VALUES ('70885', 'kanguard4', 'kanguard4', '');
INSERT INTO `npcaction` VALUES ('70889', 'citizen6', 'citizen6', '');
INSERT INTO `npcaction` VALUES ('70892', 'ronde6', 'ronde6', '');
INSERT INTO `npcaction` VALUES ('70895', 'bluedikaq4', 'bluedikaq4', '');
INSERT INTO `npcaction` VALUES ('70898', 'inn', 'Inn1', '');
INSERT INTO `npcaction` VALUES ('70904', 'koup1', 'koup1', 'koupdwaf');
INSERT INTO `npcaction` VALUES ('70906', 'kimaq1', 'kimaq1', 'kimaq2');
INSERT INTO `npcaction` VALUES ('70908', 'pears1', 'pears1', '');
INSERT INTO `npcaction` VALUES ('70910', 'hadesty1', 'hadesty1', 'hadesty2');
INSERT INTO `npcaction` VALUES ('70934', 'lesta', 'lesta', '');
INSERT INTO `npcaction` VALUES ('70953', 'alchemy1', 'alchemy1', 'alchemy4');
INSERT INTO `npcaction` VALUES ('70970', 'clalchemist1', 'clalchemist1', 'clalchemist2');
INSERT INTO `npcaction` VALUES ('70971', 'sialchemist1', 'sialchemist1', 'sialchemist2');
INSERT INTO `npcaction` VALUES ('70980', 'orenc0', 'orenc0', '');
INSERT INTO `npcaction` VALUES ('70981', 'hen1', 'hen1', '');
INSERT INTO `npcaction` VALUES ('70983', 'pig1', 'pig1', '');
INSERT INTO `npcaction` VALUES ('70984', 'milkcow1', 'milkcow1', 'none');
INSERT INTO `npcaction` VALUES ('70985', 'gatekeeperop', 'gatekeeperop', 'gatekeeperop');
INSERT INTO `npcaction` VALUES ('70986', 'orckeeperop', 'orckeeperop', 'orckeeperop');
INSERT INTO `npcaction` VALUES ('70987', 'gatekeeperop', 'gatekeeperop', 'gatekeeperop');
INSERT INTO `npcaction` VALUES ('70988', 'gatekeeperop', 'gatekeeperop', 'gatekeeperop');
INSERT INTO `npcaction` VALUES ('70989', 'gatekeeperop', 'gatekeeperop', 'gatekeeperop');
INSERT INTO `npcaction` VALUES ('70990', 'gatekeeperop', 'gatekeeperop', 'gatekeeperop');
INSERT INTO `npcaction` VALUES ('70991', 'gatekeeperop', 'gatekeeperop', 'gatekeeperop');
INSERT INTO `npcaction` VALUES ('70992', 'gatekeeperop', 'gatekeeperop', 'gatekeeperop');
INSERT INTO `npcaction` VALUES ('70993', 'gatekeeperop', 'gatekeeperop', 'gatekeeperop');
INSERT INTO `npcaction` VALUES ('70994', 'gatekeeperop', 'gatekeeperop', 'gatekeeperop');
INSERT INTO `npcaction` VALUES ('70995', 'gatekeeperop', 'gatekeeperop', 'gatekeeperop');
INSERT INTO `npcaction` VALUES ('70996', 'gatekeeperop', 'gatekeeperop', 'gatekeeperop');
INSERT INTO `npcaction` VALUES ('70997', 'jpe0011', 'jpe0011', '');
INSERT INTO `npcaction` VALUES ('70998', 'en0307', 'en0307', '');
INSERT INTO `npcaction` VALUES ('70999', 'jpe0021', 'jpe0021', '');
INSERT INTO `npcaction` VALUES ('71000', 'jpe0031', 'jpe0031', '');
INSERT INTO `npcaction` VALUES ('71001', 'en0011', 'en0015', '');
INSERT INTO `npcaction` VALUES ('71002', 'jpe0161', 'jpe0161', '');
INSERT INTO `npcaction` VALUES ('71003', 'en0021', 'en0025', '');
INSERT INTO `npcaction` VALUES ('71004', 'en0051', 'en0051', '');
INSERT INTO `npcaction` VALUES ('71005', 'jpe0041', 'jpe0041', '');
INSERT INTO `npcaction` VALUES ('71006', 'jpe0051', 'jpe0051', '');
INSERT INTO `npcaction` VALUES ('71007', 'en0031', 'en0031', '');
INSERT INTO `npcaction` VALUES ('71009', 'jpe0076', 'jpe0076', '');
INSERT INTO `npcaction` VALUES ('71010', 'en0061', 'en0061', '');
INSERT INTO `npcaction` VALUES ('71011', 'jpe0067', 'jpe0067', '');
INSERT INTO `npcaction` VALUES ('71012', 'en0041', 'en0041', '');
INSERT INTO `npcaction` VALUES ('71013', 'karen2', 'karen2', '');
INSERT INTO `npcaction` VALUES ('71014', 'en0242', 'en0242', '');
INSERT INTO `npcaction` VALUES ('71015', 'en0263', 'en0263', '');
INSERT INTO `npcaction` VALUES ('71016', 'en0251', 'en0251', '');
INSERT INTO `npcaction` VALUES ('71017', 'en0251', 'en0251', '');
INSERT INTO `npcaction` VALUES ('71018', 'jpe0134', 'jpe0134', '');
INSERT INTO `npcaction` VALUES ('71019', 'jpe0115', 'jpe0115', '');
INSERT INTO `npcaction` VALUES ('71020', 'jpe0121', 'jpe0121', '');
INSERT INTO `npcaction` VALUES ('71021', 'en0197', 'en0197', '');
INSERT INTO `npcaction` VALUES ('71022', 'jpe0151', 'jpe0151', '');
INSERT INTO `npcaction` VALUES ('71023', 'jpe0141', 'jpe0141', '');
INSERT INTO `npcaction` VALUES ('71024', 'garret1', 'garret1', '');
INSERT INTO `npcaction` VALUES ('71025', 'jpe0086', 'jpe0086', '');
INSERT INTO `npcaction` VALUES ('71026', 'en0112', 'en0112', '');
INSERT INTO `npcaction` VALUES ('71027', 'en0282', 'en0282', '');
INSERT INTO `npcaction` VALUES ('71028', 'en0121', 'en0121', '');
INSERT INTO `npcaction` VALUES ('71029', 'en0291', 'en0291', '');
INSERT INTO `npcaction` VALUES ('71030', 'en1021', 'en1021', '');
INSERT INTO `npcaction` VALUES ('71031', 'en0085', 'en0085', '');
INSERT INTO `npcaction` VALUES ('71032', 'en0091e', 'en0091e', '');
INSERT INTO `npcaction` VALUES ('71033', 'en0214', 'en0214', '');
INSERT INTO `npcaction` VALUES ('71034', 'en0205', 'en0205', '');
INSERT INTO `npcaction` VALUES ('71035', 'en0231', 'en0231', '');
INSERT INTO `npcaction` VALUES ('71036', 'kamyla000', 'kamyla000', '');
INSERT INTO `npcaction` VALUES ('71037', 'jpe0101', 'jpe0101', '');
INSERT INTO `npcaction` VALUES ('71038', 'orcfnoname1', 'orcfnoname1', '');
INSERT INTO `npcaction` VALUES ('71039', 'orcfbuwoo1', 'orcfbuwoo1', '');
INSERT INTO `npcaction` VALUES ('71040', 'orcfnoa2', 'orcfnoa2', '');
INSERT INTO `npcaction` VALUES ('71041', 'orcfhuwoomo1', 'orcfhuwoomo1', '');
INSERT INTO `npcaction` VALUES ('71042', 'orcfbakumo1', 'orcfbakumo1', '');
INSERT INTO `npcaction` VALUES ('71043', 'orcfbuka1', 'orcfbuka1', '');
INSERT INTO `npcaction` VALUES ('71044', 'orcfkame1', 'orcfkame1', '');
INSERT INTO `npcaction` VALUES ('71045', 'orcfbawoo1', 'orcfbawoo1', '');
INSERT INTO `npcaction` VALUES ('71046', 'roberto', 'roberto', '');
INSERT INTO `npcaction` VALUES ('71047', 'lupus', 'lupus', '');
INSERT INTO `npcaction` VALUES ('71048', 'karu', 'karu', '');
INSERT INTO `npcaction` VALUES ('71051', 'monett', 'monett', '');
INSERT INTO `npcaction` VALUES ('71052', 'enishia', 'enishia', '');
INSERT INTO `npcaction` VALUES ('71053', 'berik1', 'berik1', '');
INSERT INTO `npcaction` VALUES ('71054', 'roxxan', 'roxxan', '');
INSERT INTO `npcaction` VALUES ('71055', 'lukein1', 'lukein1', '');
INSERT INTO `npcaction` VALUES ('71056', 'simizz1', 'simizz1', '');
INSERT INTO `npcaction` VALUES ('71057', 'doil1', 'doilc', '');
INSERT INTO `npcaction` VALUES ('71058', 'ratsyu1', 'ratsyu1', '');
INSERT INTO `npcaction` VALUES ('71059', 'rudian1a', 'rudian1a', '');
INSERT INTO `npcaction` VALUES ('71060', 'resta1', 'resta1', '');
INSERT INTO `npcaction` VALUES ('71061', 'cadmus1', 'cadmus1', '');
INSERT INTO `npcaction` VALUES ('71062', 'kamit1', 'kamit1', '');
INSERT INTO `npcaction` VALUES ('71063', 'maptbox0', 'maptbox0', '');
INSERT INTO `npcaction` VALUES ('71064', 'maptbox0', 'maptbox0', '');
INSERT INTO `npcaction` VALUES ('71065', 'maptbox0', 'maptbox0', '');
INSERT INTO `npcaction` VALUES ('71066', 'maptbox0', 'maptbox0', '');
INSERT INTO `npcaction` VALUES ('71067', 'maptbox0', 'maptbox0', '');
INSERT INTO `npcaction` VALUES ('71068', 'maptbox0', 'maptbox0', '');
INSERT INTO `npcaction` VALUES ('71069', 'maptbox0', 'maptbox0', '');
INSERT INTO `npcaction` VALUES ('71070', 'maptbox0', 'maptbox0', '');
INSERT INTO `npcaction` VALUES ('71071', 'maptbox0', 'maptbox0', '');
INSERT INTO `npcaction` VALUES ('71072', 'maptbox0', 'maptbox0', '');
INSERT INTO `npcaction` VALUES ('71073', 'maptbox0', 'maptbox0', '');
INSERT INTO `npcaction` VALUES ('71074', 'lelder0', 'lelder0', '');
INSERT INTO `npcaction` VALUES ('71075', 'llizard1a', 'llizard1a', '');
INSERT INTO `npcaction` VALUES ('71076', 'ylizardb', 'ylizardb', '');
INSERT INTO `npcaction` VALUES ('71077', 'invest1', 'invest1', '');
INSERT INTO `npcaction` VALUES ('71078', 'usender1', 'usender1', '');
INSERT INTO `npcaction` VALUES ('71079', 'ubuy', 'ubuy1', '');
INSERT INTO `npcaction` VALUES ('71080', 'amisoo1', 'amisoo1', '');
INSERT INTO `npcaction` VALUES ('71081', 'blackkey1', 'blackkey1', '');
INSERT INTO `npcaction` VALUES ('71082', 'blackkey2', 'blackkey2', '');
INSERT INTO `npcaction` VALUES ('71083', 'blackkey3', 'blackkey3', '');
INSERT INTO `npcaction` VALUES ('71084', 'blackkey4', 'blackkey4', '');
INSERT INTO `npcaction` VALUES ('71085', 'redkey1', 'redkey1', '');
INSERT INTO `npcaction` VALUES ('71086', 'redkey2', 'redkey2', '');
INSERT INTO `npcaction` VALUES ('71087', 'redkey3', 'redkey3', '');
INSERT INTO `npcaction` VALUES ('71088', 'redkey4', 'redkey4', '');
INSERT INTO `npcaction` VALUES ('80010', 'aprincess1', 'aprincess1', 'aprincess2');
INSERT INTO `npcaction` VALUES ('80019', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('80020', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('80021', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('80022', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('80023', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('80024', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('80025', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('80026', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('80027', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('80028', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('80029', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('80030', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('80031', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('80032', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('80033', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('80034', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('80035', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('80036', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('80037', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('80038', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('80039', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('80040', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('80041', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('80042', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('80043', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('80044', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('80045', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('80047', 'uhelp1', 'uhelp1', '');
INSERT INTO `npcaction` VALUES ('80048', 'entgate', 'entgate', '');
INSERT INTO `npcaction` VALUES ('80049', 'betray12', 'betray12', '');
INSERT INTO `npcaction` VALUES ('80050', 'meet101', 'meet101', '');
INSERT INTO `npcaction` VALUES ('80051', 'qyahee', 'qyahee', '');
INSERT INTO `npcaction` VALUES ('80052', 'u_hunt', 'u_hunt', '');
INSERT INTO `npcaction` VALUES ('80053', 'alice_no', 'alice_no', '');
INSERT INTO `npcaction` VALUES ('80054', 'lapyahee', 'lapyahee', '');
INSERT INTO `npcaction` VALUES ('80055', 'uamulet0', 'uamulet0', '');
INSERT INTO `npcaction` VALUES ('80056', 'infamous12', 'infamous12', '');
INSERT INTO `npcaction` VALUES ('80057', 'alfons1', 'alfons1', '');
INSERT INTO `npcaction` VALUES ('80058', 'cpass01', 'cpass01', 'cpass01');
INSERT INTO `npcaction` VALUES ('80059', 'wpass05', 'wpass05', 'wpass05');
INSERT INTO `npcaction` VALUES ('80060', 'wpass05', 'wpass05', 'wpass05');
INSERT INTO `npcaction` VALUES ('80061', 'wpass05', 'wpass05', 'wpass05');
INSERT INTO `npcaction` VALUES ('80062', 'wpass05', 'wpass05', 'wpass05');
INSERT INTO `npcaction` VALUES ('80063', 'gpass01', 'gpass01', 'gpass01');
INSERT INTO `npcaction` VALUES ('80064', 'meet001', 'meet001', '');
INSERT INTO `npcaction` VALUES ('80065', 'uturn0', 'uturn0', '');
INSERT INTO `npcaction` VALUES ('80066', 'betray01', 'betray01', '');
INSERT INTO `npcaction` VALUES ('80067', 'minicod08', 'minicod08', '');
INSERT INTO `npcaction` VALUES ('80068', 'fakebarlog1', 'fakebarlog1', '');
INSERT INTO `npcaction` VALUES ('80069', 'ldemon1', 'ldemon1', '');
INSERT INTO `npcaction` VALUES ('80070', 'tldemon1', 'tldemon1', '');
INSERT INTO `npcaction` VALUES ('80071', 'lring0', 'lring0', '');
INSERT INTO `npcaction` VALUES ('80072', 'lsmith0', 'lsmith0', '');
INSERT INTO `npcaction` VALUES ('80073', 'l_hunt', 'l_hunt', '');
INSERT INTO `npcaction` VALUES ('80074', 'infamous02', 'infamous02', '');
INSERT INTO `npcaction` VALUES ('80075', 'vehikeu1', 'vehikeu1', '');
INSERT INTO `npcaction` VALUES ('80076', 'voyager1', 'voyager1', '');
INSERT INTO `npcaction` VALUES ('80077', 'aldran1', 'aldran1', '');
INSERT INTO `npcaction` VALUES ('81002', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('81003', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('81004', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('81005', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('81006', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('81007', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('81008', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('81009', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('81010', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('81011', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('81012', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('81013', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('81014', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('81015', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('81016', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('81017', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('81018', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('81019', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('81020', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('81021', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('81022', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('81023', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('81024', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('81025', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('81026', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('81027', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('81028', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('81029', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('81105', 'stoenm4', 'stoenm4', '');
INSERT INTO `npcaction` VALUES ('81110', 'cold1', 'cold1', '');
INSERT INTO `npcaction` VALUES ('81112', 'rader1', 'rader1', '');
INSERT INTO `npcaction` VALUES ('81113', 'hagutin1', 'hagutin1', '');
INSERT INTO `npcaction` VALUES ('81114', 'fsflame1', 'fsflame1', '');
INSERT INTO `npcaction` VALUES ('81115', 'adjutant1', 'adjutant1', '');
INSERT INTO `npcaction` VALUES ('81118', 'bsoul1', 'bsoul1', '');
INSERT INTO `npcaction` VALUES ('81119', 'laryaide1', 'laryaide1', '');
INSERT INTO `npcaction` VALUES ('81120', 'kalbass1', 'kalbass1', '');
INSERT INTO `npcaction` VALUES ('81121', 'pielemental', 'pielemental', '');
INSERT INTO `npcaction` VALUES ('81123', 'en2551-0', 'en2551-0', '');
INSERT INTO `npcaction` VALUES ('81124', 'en2556', 'en2556', '');
INSERT INTO `npcaction` VALUES ('81155', 'olle1', 'olle1', 'olle1');
INSERT INTO `npcaction` VALUES ('81156', 'dfguard1', 'dfguard1', 'dfguard1');
INSERT INTO `pettypes` VALUES ('45034', 'Shepherd', '40057', '5', '8', '1', '2', '45687', '1088', '1089', '1090', '1091', '1092');
INSERT INTO `pettypes` VALUES ('45039', 'Cat', '40057', '3', '6', '3', '5', '45696', '2728', '2729', '2730', '2731', '2731');
INSERT INTO `pettypes` VALUES ('45040', 'Bear', '40057', '8', '14', '1', '2', '45690', '2738', '2739', '2740', '2741', '2741');
INSERT INTO `pettypes` VALUES ('45042', 'Doberman', '40057', '3', '6', '1', '2', '45688', '1088', '1089', '1090', '1091', '1092');
INSERT INTO `pettypes` VALUES ('45043', 'Wolf', '40057', '3', '9', '1', '2', '45686', '1088', '1089', '1090', '1091', '1092');
INSERT INTO `pettypes` VALUES ('45044', 'Raccoon', '40057', '3', '9', '2', '4', '45697', '3578', '3579', '3580', '3581', '3581');
INSERT INTO `pettypes` VALUES ('45046', 'Beagle', '40057', '4', '8', '2', '4', '45692', '1088', '1089', '1090', '1091', '1092');
INSERT INTO `pettypes` VALUES ('45047', 'Saint Bernard', '40057', '6', '10', '2', '4', '45693', '1088', '1089', '1090', '1091', '1092');
INSERT INTO `pettypes` VALUES ('45048', 'Fox', '40057', '3', '9', '2', '3', '45694', '2733', '2734', '2735', '2736', '2736');
INSERT INTO `pettypes` VALUES ('45049', 'Killer Rabbit', '40060', '3', '8', '3', '5', '45695', '2723', '2724', '2725', '2726', '2726');
INSERT INTO `pettypes` VALUES ('45053', 'Husky', '40057', '8', '13', '1', '2', '45689', '1088', '1089', '1090', '1091', '1092');
INSERT INTO `pettypes` VALUES ('45054', 'Collie', '40057', '8', '11', '3', '4', '45691', '1088', '1089', '1090', '1091', '1092');
INSERT INTO `pettypes` VALUES ('45313', 'Tiger', '40057', '8', '14', '3', '5', '45710', '4135', '4136', '4137', '4138', '4138');
INSERT INTO `pettypes` VALUES ('45686', 'High Wolf', '0', '3', '9', '1', '2', '0', '2823', '2824', '2825', '2826', '2826');
INSERT INTO `pettypes` VALUES ('45687', 'High Shepherd', '0', '5', '8', '1', '2', '0', '2819', '2820', '2821', '2822', '2822');
INSERT INTO `pettypes` VALUES ('45688', 'High Doberman', '0', '4', '6', '1', '2', '0', '2811', '2812', '2813', '2814', '2814');
INSERT INTO `pettypes` VALUES ('45689', 'High Husky', '0', '10', '15', '1', '2', '0', '2815', '2816', '2817', '2818', '2818');
INSERT INTO `pettypes` VALUES ('45690', 'High Bear', '0', '8', '14', '1', '2', '0', '2831', '2832', '2833', '2834', '2834');
INSERT INTO `pettypes` VALUES ('45691', 'High Collie', '0', '10', '14', '3', '4', '0', '2827', '2828', '2829', '2830', '2830');
INSERT INTO `pettypes` VALUES ('45692', 'High Beagle', '0', '4', '8', '2', '4', '0', '2847', '2848', '2849', '2850', '2850');
INSERT INTO `pettypes` VALUES ('45693', 'High St. Bernard', '0', '6', '9', '2', '4', '0', '2851', '2852', '2853', '2854', '2854');
INSERT INTO `pettypes` VALUES ('45694', 'High Fox', '0', '3', '9', '2', '4', '0', '2835', '2836', '2837', '2838', '2838');
INSERT INTO `pettypes` VALUES ('45695', 'High Rabbit', '0', '3', '8', '3', '5', '0', '2843', '2844', '2845', '2846', '2846');
INSERT INTO `pettypes` VALUES ('45696', 'High Cat', '0', '3', '6', '3', '5', '0', '2839', '2840', '2841', '2842', '2842');
INSERT INTO `pettypes` VALUES ('45697', 'High Raccoon', '0', '5', '9', '3', '5', '0', '3583', '3584', '3585', '3586', '3586');
INSERT INTO `pettypes` VALUES ('45710', 'Battle Tiger', '0', '10', '15', '3', '5', '0', '4140', '4141', '4142', '4143', '4143');
INSERT INTO `pettypes` VALUES ('45711', 'Jindo Puppy', '40057', '3', '6', '3', '5', '45712', '4125', '4126', '4127', '4128', '4128');
INSERT INTO `pettypes` VALUES ('45712', 'Jindo Dog', '0', '5', '8', '3', '5', '0', '4130', '4131', '4132', '4133', '4133');
INSERT INTO `polymorphs` VALUES ('945', 'milkcow', '945', '1', '0', '0', '0');
INSERT INTO `polymorphs` VALUES ('947', 'deer', '947', '1', '0', '0', '0');
INSERT INTO `polymorphs` VALUES ('979', 'wild boar', '979', '1', '0', '0', '1');
INSERT INTO `polymorphs` VALUES ('3906', 'orc', '3906', '1', '239', '2047', '1');
INSERT INTO `polymorphs` VALUES ('3860', 'bow orc', '3860', '1', '256', '2047', '1');
INSERT INTO `polymorphs` VALUES ('3861', 'goblin', '3861', '1', '239', '913', '0');
INSERT INTO `polymorphs` VALUES ('3862', 'kobolds', '3862', '1', '239', '913', '1');
INSERT INTO `polymorphs` VALUES ('3863', 'dwarf', '3863', '1', '239', '2047', '1');
INSERT INTO `polymorphs` VALUES ('3864', 'orc fighter', '3864', '1', '239', '2047', '1');
INSERT INTO `polymorphs` VALUES ('3865', 'werewolf', '3865', '1', '239', '2047', '1');
INSERT INTO `polymorphs` VALUES ('3904', 'stone golem', '3904', '1', '239', '145', '1');
INSERT INTO `polymorphs` VALUES ('29', 'floating eye', '29', '1', '0', '0', '1');
INSERT INTO `polymorphs` VALUES ('1037', 'giant ant', '1037', '1', '0', '136', '0');
INSERT INTO `polymorphs` VALUES ('1039', 'giant ant soldier', '1039', '1', '0', '136', '0');
INSERT INTO `polymorphs` VALUES ('3866', 'gandi orc', '3866', '10', '239', '2047', '1');
INSERT INTO `polymorphs` VALUES ('3867', 'rova orc', '3867', '10', '239', '2047', '1');
INSERT INTO `polymorphs` VALUES ('3868', 'atuba orc', '3868', '10', '239', '2047', '1');
INSERT INTO `polymorphs` VALUES ('3869', 'dudamara orc', '3869', '10', '255', '2047', '1');
INSERT INTO `polymorphs` VALUES ('3870', 'neruga orc', '3870', '10', '255', '2047', '1');
INSERT INTO `polymorphs` VALUES ('2374', 'skeleton polymorph', '2374', '10', '239', '2047', '1');
INSERT INTO `polymorphs` VALUES ('2377', 'skeleton pike polymorph', '2377', '10', '255', '2047', '1');
INSERT INTO `polymorphs` VALUES ('3871', 'skeleton archer polymorph', '3871', '10', '256', '2047', '1');
INSERT INTO `polymorphs` VALUES ('2376', 'skeleton axeman polymorph', '2376', '10', '239', '2047', '1');
INSERT INTO `polymorphs` VALUES ('95', 'shelob', '95', '10', '0', '0', '0');
INSERT INTO `polymorphs` VALUES ('3872', 'zombie', '3872', '10', '239', '2047', '1');
INSERT INTO `polymorphs` VALUES ('3873', 'ghoul', '3873', '10', '239', '2047', '1');
INSERT INTO `polymorphs` VALUES ('2378', 'spartoi polymorph', '2378', '10', '239', '2047', '1');
INSERT INTO `polymorphs` VALUES ('3874', 'lycanthrope', '3874', '10', '239', '2047', '1');
INSERT INTO `polymorphs` VALUES ('146', 'ungoliant', '146', '10', '0', '0', '0');
INSERT INTO `polymorphs` VALUES ('3875', 'ghast', '3875', '10', '239', '945', '1');
INSERT INTO `polymorphs` VALUES ('3876', 'bugbear', '3876', '10', '239', '945', '1');
INSERT INTO `polymorphs` VALUES ('951', 'cerberus', '951', '15', '0', '0', '0');
INSERT INTO `polymorphs` VALUES ('1047', 'scorpion', '1047', '15', '0', '0', '0');
INSERT INTO `polymorphs` VALUES ('3877', 'ogre', '3877', '15', '255', '913', '1');
INSERT INTO `polymorphs` VALUES ('3878', 'troll', '3878', '15', '239', '545', '1');
INSERT INTO `polymorphs` VALUES ('3879', 'elder', '3879', '15', '239', '0', '1');
INSERT INTO `polymorphs` VALUES ('3880', 'king bugbear', '3880', '15', '239', '945', '1');
INSERT INTO `polymorphs` VALUES ('2323', 'orc scout polymorph', '2323', '15', '256', '2047', '1');
INSERT INTO `polymorphs` VALUES ('2386', 'minotaur i morph', '2386', '15', '239', '2047', '1');
INSERT INTO `polymorphs` VALUES ('2387', 'giant a morph', '2387', '15', '255', '2047', '1');
INSERT INTO `polymorphs` VALUES ('2385', 'yeti morph', '2385', '15', '239', '2047', '1');
INSERT INTO `polymorphs` VALUES ('3630', 'cyclops', '3630', '40', '239', '2047', '1');
INSERT INTO `polymorphs` VALUES ('3631', 'griffon', '3631', '40', '0', '32', '1');
INSERT INTO `polymorphs` VALUES ('3632', 'cockatrice', '3632', '40', '0', '2047', '1');
INSERT INTO `polymorphs` VALUES ('3633', 'ettin', '3633', '40', '239', '2047', '1');
INSERT INTO `polymorphs` VALUES ('3881', 'dark elder', '3881', '45', '239', '2047', '1');
INSERT INTO `polymorphs` VALUES ('3884', 'necromancer3', '3884', '45', '239', '2047', '1');
INSERT INTO `polymorphs` VALUES ('3885', 'necromancer4', '3885', '45', '239', '2047', '1');
INSERT INTO `polymorphs` VALUES ('3882', 'necromancer1', '3882', '45', '239', '2047', '1');
INSERT INTO `polymorphs` VALUES ('3883', 'necromancer2', '3883', '45', '239', '2047', '1');
INSERT INTO `polymorphs` VALUES ('3634', 'assassin', '3634', '45', '239', '2047', '1');
INSERT INTO `polymorphs` VALUES ('3887', 'darkelf carrier', '3887', '45', '255', '2047', '0');
INSERT INTO `polymorphs` VALUES ('3888', 'baphomet', '3888', '50', '239', '954', '1');
INSERT INTO `polymorphs` VALUES ('3905', 'beleth', '3905', '50', '239', '954', '1');
INSERT INTO `polymorphs` VALUES ('3889', 'demon', '3889', '51', '239', '2047', '1');
INSERT INTO `polymorphs` VALUES ('3784', 'death knight', '3784', '52', '239', '2047', '1');
INSERT INTO `polymorphs` VALUES ('2284', 'dark elf polymorph', '2284', '52', '256', '2047', '1');
INSERT INTO `polymorphs` VALUES ('3945', 'gelatincube', '3945', '15', '239', '0', '1');
INSERT INTO `polymorphs` VALUES ('3950', 'middle oum', '3950', '15', '239', '2047', '1');
INSERT INTO `polymorphs` VALUES ('2384', 'succubus morph', '2384', '40', '239', '2047', '1');
INSERT INTO `polymorphs` VALUES ('4918', 'bandit bow morph', '4918', '40', '256', '2047', '1');
INSERT INTO `polymorphs` VALUES ('4925', 'elmor soldier morph', '4925', '40', '56', '2047', '1');
INSERT INTO `polymorphs` VALUES ('3886', 'lesser demon', '3886', '45', '239', '2047', '0');
INSERT INTO `polymorphs` VALUES ('4917', 'darkelf ranger morph', '4917', '45', '256', '2047', '1');
INSERT INTO `polymorphs` VALUES ('4920', 'elmor general morph', '4920', '45', '255', '2047', '1');
INSERT INTO `polymorphs` VALUES ('3102', 'great minotaur morph', '3102', '50', '255', '2047', '1');
INSERT INTO `polymorphs` VALUES ('4919', 'darkelf guard morph', '4919', '50', '256', '2047', '1');
INSERT INTO `polymorphs` VALUES ('4922', 'guardian armor morph', '4922', '50', '239', '2047', '1');
INSERT INTO `polymorphs` VALUES ('4924', 'darkelf spear morph', '4924', '50', '56', '2047', '1');
INSERT INTO `polymorphs` VALUES ('4926', 'darkelf wizard morph', '4926', '50', '239', '2047', '1');
INSERT INTO `polymorphs` VALUES ('3101', 'black knight chief morph', '3101', '51', '239', '2047', '1');
INSERT INTO `polymorphs` VALUES ('4003', 'black knight morph', '4003', '51', '56', '2047', '1');
INSERT INTO `polymorphs` VALUES ('3126', 'fire bowman morph', '3126', '51', '256', '2047', '1');
INSERT INTO `polymorphs` VALUES ('3103', 'barlog morph', '3103', '52', '255', '2047', '1');
INSERT INTO `polymorphs` VALUES ('4921', 'darkelf general morph', '4921', '52', '255', '2047', '1');
INSERT INTO `polymorphs` VALUES ('4932', 'assassin master morph', '4932', '52', '239', '2047', '1');
INSERT INTO `polymorphs` VALUES ('3890', 'ancient black knight morph', '3890', '55', '239', '2047', '1');
INSERT INTO `polymorphs` VALUES ('3891', 'ancient black mage morph', '3891', '55', '239', '2047', '1');
INSERT INTO `polymorphs` VALUES ('3892', 'ancient black scouter morph', '3892', '55', '256', '2047', '1');
INSERT INTO `polymorphs` VALUES ('5727', 'ancient black assassin morph', '5727', '99', '239', '2047', '1');
INSERT INTO `polymorphs` VALUES ('3893', 'ancient silver knight morph', '3893', '60', '239', '2047', '1');
INSERT INTO `polymorphs` VALUES ('3894', 'ancient silver mage morph', '3894', '60', '239', '2047', '1');
INSERT INTO `polymorphs` VALUES ('3895', 'ancient silver scouter morph', '3895', '60', '256', '2047', '1');
INSERT INTO `polymorphs` VALUES ('5730', 'ancient silver assassin morph', '5730', '99', '239', '2047', '1');
INSERT INTO `polymorphs` VALUES ('3896', 'ancient gold knight morph', '3896', '65', '239', '2047', '1');
INSERT INTO `polymorphs` VALUES ('3897', 'ancient gold mage morph', '3897', '65', '239', '2047', '1');
INSERT INTO `polymorphs` VALUES ('3898', 'ancient gold scouter morph', '3898', '65', '256', '2047', '1');
INSERT INTO `polymorphs` VALUES ('5733', 'ancient gold assassin morph', '5733', '65', '239', '2047', '1');
INSERT INTO `polymorphs` VALUES ('3899', 'ancient platinum knight morph', '3899', '70', '239', '2047', '1');
INSERT INTO `polymorphs` VALUES ('3900', 'ancient platinum mage morph', '3900', '70', '239', '2047', '1');
INSERT INTO `polymorphs` VALUES ('3901', 'ancient platinum scouter morph', '3901', '70', '256', '2047', '1');
INSERT INTO `polymorphs` VALUES ('5736', 'ancient platinum assassin morph', '5736', '70', '239', '2047', '1');
INSERT INTO `polymorphs` VALUES ('2501', 'jack o lantern', '2501', '1', '239', '417', '0');
INSERT INTO `polymorphs` VALUES ('1576', 'death', '1576', '1', '0', '32', '0');
INSERT INTO `polymorphs` VALUES ('2757', 'vampire', '2757', '1', '0', '32', '0');
INSERT INTO `polymorphs` VALUES ('4168', 'rabbit', '4168', '1', '0', '2047', '0');
INSERT INTO `polymorphs` VALUES ('4171', 'carrot rabbit', '4171', '1', '0', '2047', '0');
INSERT INTO `polymorphs` VALUES ('3211', 'high collie', '3211', '1', '0', '2', '1');
INSERT INTO `polymorphs` VALUES ('4133', 'high raccoon', '4133', '1', '0', '2', '1');
INSERT INTO `polymorphs` VALUES ('938', 'beagle', '938', '1', '0', '2', '1');
INSERT INTO `polymorphs` VALUES ('2064', 'snowman', '2064', '1', '0', '1027', '1');
INSERT INTO `polymorphs` VALUES ('4227', 'hakama', '4227', '1', '0', '2047', '1');
INSERT INTO `polymorphs` VALUES ('3750', 'haregi', '3750', '1', '0', '2047', '1');
INSERT INTO `polymorphs` VALUES ('3664', 'baranka', '3664', '1', '0', '2047', '1');
INSERT INTO `polymorphs` VALUES ('5719', 'manekineko', '5719', '1', '0', '2', '1');
INSERT INTO `polymorphs` VALUES ('6010', 'red orc', '6010', '99', '0', '1', '0');
INSERT INTO `polymorphs` VALUES ('4218', 'drake morph', '4218', '1', '0', '1', '0');
INSERT INTO `polymorphs` VALUES ('4000', 'knight vald morph', '4000', '1', '0', '1', '0');
INSERT INTO `polymorphs` VALUES ('4001', 'iris morph', '4001', '1', '0', '1', '0');
INSERT INTO `polymorphs` VALUES ('4002', 'paperman morph', '4002', '1', '0', '1', '0');
INSERT INTO `polymorphs` VALUES ('4004', 'succubus queen morph', '4004', '1', '0', '1', '0');
INSERT INTO `polymorphs` VALUES ('5184', 'red uniform', '5184', '1', '0', '8', '1');
INSERT INTO `polymorphs` VALUES ('5186', 'blue uniform', '5186', '1', '0', '8', '1');
INSERT INTO `polymorphs` VALUES ('4186', 'robber bone', '4186', '1', '239', '2047', '0');
INSERT INTO `polymorphs` VALUES ('4188', 'robber bone head', '4188', '1', '239', '2047', '0');
INSERT INTO `polymorphs` VALUES ('4190', 'robber bone soldier', '4190', '1', '256', '2047', '0');
INSERT INTO `polymorphs` VALUES ('2749', 'spirit of earth boss', '2749', '1', '8', '0', '1');
INSERT INTO `polymorphs` VALUES ('6284', 'Haunted House jack o lantern','6284','1','0','0','0');
INSERT INTO `quest_drops` VALUES ('40502', 'D');
INSERT INTO `quest_drops` VALUES ('40503', 'D');
INSERT INTO `quest_drops` VALUES ('40556', 'D');
INSERT INTO `quest_drops` VALUES ('40557', 'D');
INSERT INTO `quest_drops` VALUES ('40558', 'D');
INSERT INTO `quest_drops` VALUES ('40559', 'D');
INSERT INTO `quest_drops` VALUES ('40560', 'D');
INSERT INTO `quest_drops` VALUES ('40561', 'D');
INSERT INTO `quest_drops` VALUES ('40562', 'D');
INSERT INTO `quest_drops` VALUES ('40563', 'D');
INSERT INTO `quest_drops` VALUES ('40571', 'D');
INSERT INTO `quest_drops` VALUES ('40572', 'D');
INSERT INTO `quest_drops` VALUES ('40582', 'D');
INSERT INTO `quest_drops` VALUES ('40583', 'D');
INSERT INTO `quest_drops` VALUES ('40584', 'D');
INSERT INTO `quest_drops` VALUES ('40585', 'D');
INSERT INTO `quest_drops` VALUES ('40595', 'D');
INSERT INTO `quest_drops` VALUES ('40596', 'D');
INSERT INTO `quest_drops` VALUES ('40606', 'D');
INSERT INTO `quest_drops` VALUES ('40648', 'D');
INSERT INTO `quest_drops` VALUES ('40566', 'E');
INSERT INTO `quest_drops` VALUES ('40602', 'E');
INSERT INTO `quest_drops` VALUES ('40609', 'E');
INSERT INTO `quest_drops` VALUES ('40610', 'E');
INSERT INTO `quest_drops` VALUES ('40611', 'E');
INSERT INTO `quest_drops` VALUES ('40612', 'E');
INSERT INTO `quest_drops` VALUES ('40538', 'W');
INSERT INTO `quest_drops` VALUES ('40539', 'W');
INSERT INTO `quest_drops` VALUES ('40542', 'W');
INSERT INTO `quest_drops` VALUES ('40579', 'W');
INSERT INTO `quest_drops` VALUES ('40580', 'W');
INSERT INTO `quest_drops` VALUES ('40594', 'W');
INSERT INTO `quest_drops` VALUES ('40604', 'W');
INSERT INTO `quest_drops` VALUES ('40605', 'W');
INSERT INTO `quest_drops` VALUES ('40537', 'K');
INSERT INTO `quest_drops` VALUES ('40544', 'K');
INSERT INTO `quest_drops` VALUES ('40601', 'K');
INSERT INTO `quest_drops` VALUES ('40547', 'P');
INSERT INTO `quest_drops` VALUES ('40564', 'P');
INSERT INTO `quest_drops` VALUES ('40565', 'P');
INSERT INTO `quest_drops` VALUES ('40570', 'P');
INSERT INTO `quest_drops` VALUES ('40573', 'P');
INSERT INTO `quest_drops` VALUES ('40574', 'P');
INSERT INTO `quest_drops` VALUES ('40575', 'P');
INSERT INTO `quest_drops` VALUES ('40576', 'P');
INSERT INTO `quest_drops` VALUES ('40577', 'P');
INSERT INTO `quest_drops` VALUES ('40578', 'P');
INSERT INTO `quest_drops` VALUES ('40586', 'P');
INSERT INTO `quest_drops` VALUES ('40587', 'P');
INSERT INTO `quest_drops` VALUES ('40598', 'P');
INSERT INTO `shop` VALUES ('50118', '40331', '0', '10000', '0', '5000');
INSERT INTO `shop` VALUES ('50118', '40332', '1', '6000', '0', '3000');
INSERT INTO `shop` VALUES ('50118', '40333', '2', '160000', '0', '80000');
INSERT INTO `shop` VALUES ('50118', '40334', '3', '40000', '0', '20000');
INSERT INTO `shop` VALUES ('50118', '40335', '4', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('50118', '40336', '5', '16000', '0', '8000');
INSERT INTO `shop` VALUES ('50118', '40337', '6', '200000', '0', '100000');
INSERT INTO `shop` VALUES ('50118', '40338', '7', '20000', '0', '10000');
INSERT INTO `shop` VALUES ('50118', '40339', '8', '60000', '0', '30000');
INSERT INTO `shop` VALUES ('50118', '40340', '9', '100000', '0', '50000');
INSERT INTO `shop` VALUES ('70001', '40141', '0', '175', '0', '88');
INSERT INTO `shop` VALUES ('70001', '40145', '1', '175', '0', '88');
INSERT INTO `shop` VALUES ('70001', '40160', '2', '175', '0', '88');
INSERT INTO `shop` VALUES ('70001', '40152', '3', '175', '0', '88');
INSERT INTO `shop` VALUES ('70001', '40151', '4', '175', '0', '88');
INSERT INTO `shop` VALUES ('70001', '40159', '5', '175', '0', '88');
INSERT INTO `shop` VALUES ('70001', '40149', '6', '350', '0', '175');
INSERT INTO `shop` VALUES ('70001', '40157', '7', '350', '0', '175');
INSERT INTO `shop` VALUES ('70001', '40142', '8', '350', '0', '175');
INSERT INTO `shop` VALUES ('70001', '40161', '9', '350', '0', '175');
INSERT INTO `shop` VALUES ('70001', '40153', '10', '350', '0', '175');
INSERT INTO `shop` VALUES ('70001', '40146', '11', '350', '0', '175');
INSERT INTO `shop` VALUES ('70001', '40139', '12', '700', '0', '350');
INSERT INTO `shop` VALUES ('70001', '40143', '13', '700', '0', '350');
INSERT INTO `shop` VALUES ('70001', '40156', '14', '700', '0', '350');
INSERT INTO `shop` VALUES ('70001', '40148', '15', '700', '0', '350');
INSERT INTO `shop` VALUES ('70001', '40155', '16', '700', '0', '350');
INSERT INTO `shop` VALUES ('70001', '40147', '17', '700', '0', '350');
INSERT INTO `shop` VALUES ('70001', '40136', '18', '920', '0', '460');
INSERT INTO `shop` VALUES ('70001', '40138', '19', '2100', '0', '1050');
INSERT INTO `shop` VALUES ('70001', '40137', '20', '4375', '0', '2188');
INSERT INTO `shop` VALUES ('70001', '40158', '21', '87', '0', '44');
INSERT INTO `shop` VALUES ('70001', '40140', '22', '87', '0', '44');
INSERT INTO `shop` VALUES ('70001', '40144', '23', '87', '0', '44');
INSERT INTO `shop` VALUES ('70001', '40150', '24', '87', '0', '44');
INSERT INTO `shop` VALUES ('70004', '40056', '0', '1', '0', '1');
INSERT INTO `shop` VALUES ('70004', '40001', '1', '10', '0', '5');
INSERT INTO `shop` VALUES ('70004', '40317', '2', '150', '0', '75');
INSERT INTO `shop` VALUES ('70004', '40119', '3', '100', '0', '50');
INSERT INTO `shop` VALUES ('70004', '40100', '4', '70', '0', '35');
INSERT INTO `shop` VALUES ('70004', '40098', '5', '50', '0', '25');
INSERT INTO `shop` VALUES ('70004', '40743', '6', '1', '10', '0');
INSERT INTO `shop` VALUES ('70004', '40744', '7', '5', '5', '1');
INSERT INTO `shop` VALUES ('70004', '4', '8', '5', '0', '3');
INSERT INTO `shop` VALUES ('70004', '136', '9', '20', '0', '10');
INSERT INTO `shop` VALUES ('70004', '172', '10', '50', '0', '25');
INSERT INTO `shop` VALUES ('70004', '137', '11', '15', '0', '8');
INSERT INTO `shop` VALUES ('70004', '90', '12', '35', '0', '18');
INSERT INTO `shop` VALUES ('70004', '23', '13', '30', '0', '15');
INSERT INTO `shop` VALUES ('70004', '96', '14', '80', '0', '40');
INSERT INTO `shop` VALUES ('70004', '140', '15', '90', '0', '45');
INSERT INTO `shop` VALUES ('70004', '24', '16', '100', '0', '50');
INSERT INTO `shop` VALUES ('70004', '27', '17', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70004', '25', '18', '1800', '0', '900');
INSERT INTO `shop` VALUES ('70004', '32', '19', '2500', '0', '1250');
INSERT INTO `shop` VALUES ('70004', '31', '20', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('70004', '69', '21', '800', '0', '400');
INSERT INTO `shop` VALUES ('70004', '71', '22', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70004', '152', '23', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70004', '153', '24', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70004', '128', '25', '300', '0', '150');
INSERT INTO `shop` VALUES ('70004', '129', '26', '2500', '0', '1250');
INSERT INTO `shop` VALUES ('70004', '20322', '27', '20', '0', '10');
INSERT INTO `shop` VALUES ('70004', '20239', '28', '60', '0', '30');
INSERT INTO `shop` VALUES ('70004', '20242', '29', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70004', '20089', '30', '100', '0', '50');
INSERT INTO `shop` VALUES ('70004', '20147', '31', '300', '0', '150');
INSERT INTO `shop` VALUES ('70004', '20096', '32', '500', '0', '250');
INSERT INTO `shop` VALUES ('70004', '20114', '33', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70004', '20122', '34', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70004', '20125', '35', '6000', '0', '3000');
INSERT INTO `shop` VALUES ('70007', '40141', '0', '175', '0', '88');
INSERT INTO `shop` VALUES ('70007', '40145', '1', '175', '0', '88');
INSERT INTO `shop` VALUES ('70007', '40160', '2', '175', '0', '88');
INSERT INTO `shop` VALUES ('70007', '40152', '3', '175', '0', '88');
INSERT INTO `shop` VALUES ('70007', '40151', '4', '175', '0', '88');
INSERT INTO `shop` VALUES ('70007', '40159', '5', '175', '0', '88');
INSERT INTO `shop` VALUES ('70007', '40149', '6', '350', '0', '175');
INSERT INTO `shop` VALUES ('70007', '40157', '7', '350', '0', '175');
INSERT INTO `shop` VALUES ('70007', '40142', '8', '350', '0', '175');
INSERT INTO `shop` VALUES ('70007', '40161', '9', '350', '0', '175');
INSERT INTO `shop` VALUES ('70007', '40153', '10', '350', '0', '175');
INSERT INTO `shop` VALUES ('70007', '40146', '11', '350', '0', '175');
INSERT INTO `shop` VALUES ('70007', '40139', '12', '700', '0', '350');
INSERT INTO `shop` VALUES ('70007', '40143', '13', '700', '0', '350');
INSERT INTO `shop` VALUES ('70007', '40156', '14', '700', '0', '350');
INSERT INTO `shop` VALUES ('70007', '40148', '15', '700', '0', '350');
INSERT INTO `shop` VALUES ('70007', '40155', '16', '700', '0', '350');
INSERT INTO `shop` VALUES ('70007', '40147', '17', '700', '0', '350');
INSERT INTO `shop` VALUES ('70007', '40136', '18', '920', '0', '460');
INSERT INTO `shop` VALUES ('70007', '40138', '19', '2100', '0', '1050');
INSERT INTO `shop` VALUES ('70007', '40137', '20', '4375', '0', '2188');
INSERT INTO `shop` VALUES ('70007', '40158', '21', '87', '0', '44');
INSERT INTO `shop` VALUES ('70007', '40140', '22', '87', '0', '44');
INSERT INTO `shop` VALUES ('70007', '40144', '23', '87', '0', '44');
INSERT INTO `shop` VALUES ('70007', '40150', '24', '87', '0', '44');
INSERT INTO `shop` VALUES ('70008', '40743', '0', '1', '10', '0');
INSERT INTO `shop` VALUES ('70008', '4', '1', '8', '0', '4');
INSERT INTO `shop` VALUES ('70008', '40001', '2', '10', '0', '5');
INSERT INTO `shop` VALUES ('70008', '136', '3', '22', '0', '11');
INSERT INTO `shop` VALUES ('70008', '172', '4', '55', '0', '28');
INSERT INTO `shop` VALUES ('70008', '137', '5', '17', '0', '9');
INSERT INTO `shop` VALUES ('70008', '90', '6', '39', '0', '20');
INSERT INTO `shop` VALUES ('70008', '23', '7', '33', '0', '17');
INSERT INTO `shop` VALUES ('70008', '96', '8', '88', '0', '44');
INSERT INTO `shop` VALUES ('70008', '140', '9', '99', '0', '50');
INSERT INTO `shop` VALUES ('70008', '24', '10', '110', '0', '55');
INSERT INTO `shop` VALUES ('70008', '27', '11', '1320', '0', '660');
INSERT INTO `shop` VALUES ('70008', '31', '12', '3300', '0', '1650');
INSERT INTO `shop` VALUES ('70008', '20322', '13', '0', '0', '0');
INSERT INTO `shop` VALUES ('70008', '20239', '14', '60', '0', '30');
INSERT INTO `shop` VALUES ('70008', '20089', '15', '100', '0', '50');
INSERT INTO `shop` VALUES ('70008', '20147', '16', '300', '0', '150');
INSERT INTO `shop` VALUES ('70008', '20096', '17', '500', '0', '250');
INSERT INTO `shop` VALUES ('70008', '20114', '18', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70008', '20122', '19', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70008', '20242', '20', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70008', '20125', '21', '6000', '0', '3000');
INSERT INTO `shop` VALUES ('70008', '40056', '22', '1', '0', '1');
INSERT INTO `shop` VALUES ('70008', '40065', '23', '5', '0', '3');
INSERT INTO `shop` VALUES ('70008', '40017', '24', '70', '0', '35');
INSERT INTO `shop` VALUES ('70008', '40010', '25', '37', '0', '19');
INSERT INTO `shop` VALUES ('70008', '40011', '26', '150', '0', '75');
INSERT INTO `shop` VALUES ('70008', '40013', '27', '200', '0', '100');
INSERT INTO `shop` VALUES ('70008', '40018', '28', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70008', '40126', '29', '50', '0', '25');
INSERT INTO `shop` VALUES ('70008', '40014', '30', '800', '0', '400');
INSERT INTO `shop` VALUES ('70008', '40016', '31', '600', '0', '300');
INSERT INTO `shop` VALUES ('70008', '40738', '32', '2', '0', '1');
INSERT INTO `shop` VALUES ('70008', '40740', '33', '3', '0', '2');
INSERT INTO `shop` VALUES ('70010', '20239', '0', '60', '0', '30');
INSERT INTO `shop` VALUES ('70010', '20229', '1', '10000', '0', '5000');
INSERT INTO `shop` VALUES ('70010', '20242', '2', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70010', '20231', '3', '7000', '0', '3500');
INSERT INTO `shop` VALUES ('70010', '20043', '4', '200', '0', '100');
INSERT INTO `shop` VALUES ('70010', '20013', '5', '22000', '0', '11000');
INSERT INTO `shop` VALUES ('70010', '20014', '6', '15000', '0', '7500');
INSERT INTO `shop` VALUES ('70010', '20015', '7', '18000', '0', '9000');
INSERT INTO `shop` VALUES ('70010', '20036', '8', '12000', '0', '6000');
INSERT INTO `shop` VALUES ('70010', '20011', '9', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('70010', '20006', '10', '5000', '0', '25');
INSERT INTO `shop` VALUES ('70010', '20089', '11', '100', '0', '50');
INSERT INTO `shop` VALUES ('70010', '20147', '12', '300', '0', '150');
INSERT INTO `shop` VALUES ('70010', '20114', '13', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70010', '20096', '14', '500', '0', '250');
INSERT INTO `shop` VALUES ('70010', '20122', '15', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70011', '40299', '0', '300', '0', '150');
INSERT INTO `shop` VALUES ('70013', '40136', '0', '920', '0', '460');
INSERT INTO `shop` VALUES ('70013', '40137', '1', '4375', '0', '2188');
INSERT INTO `shop` VALUES ('70013', '40138', '2', '2100', '0', '1050');
INSERT INTO `shop` VALUES ('70013', '40139', '3', '700', '0', '350');
INSERT INTO `shop` VALUES ('70013', '40140', '4', '87', '0', '44');
INSERT INTO `shop` VALUES ('70013', '40141', '5', '175', '0', '88');
INSERT INTO `shop` VALUES ('70013', '40142', '6', '350', '0', '175');
INSERT INTO `shop` VALUES ('70013', '40143', '7', '700', '0', '350');
INSERT INTO `shop` VALUES ('70013', '40144', '8', '87', '0', '44');
INSERT INTO `shop` VALUES ('70013', '40145', '9', '175', '0', '88');
INSERT INTO `shop` VALUES ('70013', '40146', '10', '350', '0', '175');
INSERT INTO `shop` VALUES ('70013', '40147', '11', '700', '0', '350');
INSERT INTO `shop` VALUES ('70013', '40148', '12', '700', '0', '350');
INSERT INTO `shop` VALUES ('70013', '40149', '13', '350', '0', '175');
INSERT INTO `shop` VALUES ('70013', '40150', '14', '87', '0', '44');
INSERT INTO `shop` VALUES ('70013', '40151', '15', '175', '0', '88');
INSERT INTO `shop` VALUES ('70013', '40152', '16', '175', '0', '88');
INSERT INTO `shop` VALUES ('70013', '40153', '17', '350', '0', '175');
INSERT INTO `shop` VALUES ('70013', '40154', '18', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70013', '40155', '19', '700', '0', '350');
INSERT INTO `shop` VALUES ('70013', '40156', '20', '700', '0', '350');
INSERT INTO `shop` VALUES ('70013', '40157', '21', '350', '0', '175');
INSERT INTO `shop` VALUES ('70013', '40158', '22', '87', '0', '44');
INSERT INTO `shop` VALUES ('70013', '40159', '23', '175', '0', '88');
INSERT INTO `shop` VALUES ('70013', '40160', '24', '175', '0', '88');
INSERT INTO `shop` VALUES ('70013', '40161', '25', '350', '0', '175');
INSERT INTO `shop` VALUES ('70014', '40743', '0', '1', '10', '0');
INSERT INTO `shop` VALUES ('70014', '4', '1', '8', '0', '4');
INSERT INTO `shop` VALUES ('70014', '40001', '2', '10', '0', '5');
INSERT INTO `shop` VALUES ('70014', '136', '3', '22', '0', '11');
INSERT INTO `shop` VALUES ('70014', '172', '4', '55', '0', '28');
INSERT INTO `shop` VALUES ('70014', '137', '5', '17', '0', '9');
INSERT INTO `shop` VALUES ('70014', '90', '6', '39', '0', '20');
INSERT INTO `shop` VALUES ('70014', '23', '7', '33', '0', '17');
INSERT INTO `shop` VALUES ('70014', '96', '8', '88', '0', '44');
INSERT INTO `shop` VALUES ('70014', '140', '9', '99', '0', '50');
INSERT INTO `shop` VALUES ('70014', '24', '10', '110', '0', '55');
INSERT INTO `shop` VALUES ('70014', '27', '11', '1320', '0', '660');
INSERT INTO `shop` VALUES ('70014', '31', '12', '3300', '0', '1650');
INSERT INTO `shop` VALUES ('70014', '20322', '13', '0', '0', '0');
INSERT INTO `shop` VALUES ('70014', '20239', '14', '60', '0', '30');
INSERT INTO `shop` VALUES ('70014', '20089', '15', '100', '0', '50');
INSERT INTO `shop` VALUES ('70014', '20147', '16', '300', '0', '150');
INSERT INTO `shop` VALUES ('70014', '20096', '17', '500', '0', '250');
INSERT INTO `shop` VALUES ('70014', '20114', '18', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70014', '20122', '19', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70014', '20242', '20', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70014', '20125', '21', '6000', '0', '3000');
INSERT INTO `shop` VALUES ('70014', '40056', '22', '1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40065', '23', '5', '0', '3');
INSERT INTO `shop` VALUES ('70014', '40310', '24', '35', '0', '18');
INSERT INTO `shop` VALUES ('70014', '40311', '25', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70014', '40374', '26', '90', '0', '45');
INSERT INTO `shop` VALUES ('70014', '40317', '27', '150', '0', '75');
INSERT INTO `shop` VALUES ('70014', '40010', '28', '37', '0', '19');
INSERT INTO `shop` VALUES ('70014', '40011', '29', '150', '0', '75');
INSERT INTO `shop` VALUES ('70014', '40017', '30', '70', '0', '35');
INSERT INTO `shop` VALUES ('70014', '40013', '31', '200', '0', '100');
INSERT INTO `shop` VALUES ('70014', '40018', '32', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70014', '40315', '33', '500', '0', '250');
INSERT INTO `shop` VALUES ('70014', '40126', '34', '50', '0', '25');
INSERT INTO `shop` VALUES ('70014', '40100', '35', '70', '0', '35');
INSERT INTO `shop` VALUES ('70014', '40079', '36', '120', '0', '60');
INSERT INTO `shop` VALUES ('70014', '42027', '37', '100', '0', '50');
INSERT INTO `shop` VALUES ('70014', '40119', '38', '100', '0', '50');
INSERT INTO `shop` VALUES ('70014', '40009', '39', '990', '0', '495');
INSERT INTO `shop` VALUES ('70014', '40739', '40', '1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40738', '41', '2', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40740', '42', '3', '0', '2');
INSERT INTO `shop` VALUES ('70014', '40022', '43', '63', '0', '32');
INSERT INTO `shop` VALUES ('70014', '40023', '44', '375', '0', '188');
INSERT INTO `shop` VALUES ('70014', '40024', '45', '990', '0', '495');
INSERT INTO `shop` VALUES ('70015', '40141', '0', '175', '0', '88');
INSERT INTO `shop` VALUES ('70015', '40145', '1', '175', '0', '88');
INSERT INTO `shop` VALUES ('70015', '40160', '2', '175', '0', '88');
INSERT INTO `shop` VALUES ('70015', '40152', '3', '175', '0', '88');
INSERT INTO `shop` VALUES ('70015', '40151', '4', '175', '0', '88');
INSERT INTO `shop` VALUES ('70015', '40159', '5', '175', '0', '88');
INSERT INTO `shop` VALUES ('70015', '40149', '6', '350', '0', '175');
INSERT INTO `shop` VALUES ('70015', '40157', '7', '350', '0', '175');
INSERT INTO `shop` VALUES ('70015', '40142', '8', '350', '0', '175');
INSERT INTO `shop` VALUES ('70015', '40161', '9', '350', '0', '175');
INSERT INTO `shop` VALUES ('70015', '40153', '10', '350', '0', '175');
INSERT INTO `shop` VALUES ('70015', '40146', '11', '350', '0', '175');
INSERT INTO `shop` VALUES ('70015', '40139', '12', '700', '0', '350');
INSERT INTO `shop` VALUES ('70015', '40143', '13', '700', '0', '350');
INSERT INTO `shop` VALUES ('70015', '40156', '14', '700', '0', '350');
INSERT INTO `shop` VALUES ('70015', '40148', '15', '700', '0', '350');
INSERT INTO `shop` VALUES ('70015', '40155', '16', '700', '0', '350');
INSERT INTO `shop` VALUES ('70015', '40147', '17', '700', '0', '350');
INSERT INTO `shop` VALUES ('70015', '40136', '18', '920', '0', '460');
INSERT INTO `shop` VALUES ('70015', '40138', '19', '2100', '0', '1050');
INSERT INTO `shop` VALUES ('70015', '40137', '20', '4375', '0', '2188');
INSERT INTO `shop` VALUES ('70015', '40158', '21', '87', '0', '44');
INSERT INTO `shop` VALUES ('70015', '40140', '22', '87', '0', '44');
INSERT INTO `shop` VALUES ('70015', '40144', '23', '87', '0', '44');
INSERT INTO `shop` VALUES ('70015', '40150', '24', '87', '0', '44');
INSERT INTO `shop` VALUES ('70016', '40743', '0', '1', '10', '0');
INSERT INTO `shop` VALUES ('70016', '40744', '1', '5', '5', '1');
INSERT INTO `shop` VALUES ('70016', '172', '2', '55', '0', '28');
INSERT INTO `shop` VALUES ('70016', '136', '3', '22', '0', '11');
INSERT INTO `shop` VALUES ('70016', '143', '4', '770', '0', '385');
INSERT INTO `shop` VALUES ('70016', '141', '5', '1100', '0', '550');
INSERT INTO `shop` VALUES ('70016', '146', '6', '3850', '0', '1925');
INSERT INTO `shop` VALUES ('70016', '102', '7', '11000', '0', '5500');
INSERT INTO `shop` VALUES ('70016', '148', '8', '14300', '0', '7150');
INSERT INTO `shop` VALUES ('70016', '23', '9', '33', '0', '17');
INSERT INTO `shop` VALUES ('70016', '24', '10', '110', '0', '55');
INSERT INTO `shop` VALUES ('70016', '31', '11', '3300', '0', '1650');
INSERT INTO `shop` VALUES ('70016', '32', '12', '2750', '0', '1375');
INSERT INTO `shop` VALUES ('70016', '41', '13', '22000', '0', '11000');
INSERT INTO `shop` VALUES ('70016', '128', '14', '330', '0', '165');
INSERT INTO `shop` VALUES ('70016', '129', '15', '2500', '0', '1250');
INSERT INTO `shop` VALUES ('70016', '20239', '16', '60', '0', '30');
INSERT INTO `shop` VALUES ('70016', '20242', '17', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70016', '20231', '18', '7000', '0', '3500');
INSERT INTO `shop` VALUES ('70016', '20043', '19', '200', '0', '100');
INSERT INTO `shop` VALUES ('70016', '20006', '20', '5000', '0', '25');
INSERT INTO `shop` VALUES ('70016', '20089', '21', '100', '0', '50');
INSERT INTO `shop` VALUES ('70016', '20147', '22', '300', '0', '150');
INSERT INTO `shop` VALUES ('70016', '20114', '23', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70016', '20096', '24', '500', '0', '250');
INSERT INTO `shop` VALUES ('70016', '20122', '25', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70016', '20125', '26', '6000', '0', '3000');
INSERT INTO `shop` VALUES ('70016', '20149', '27', '18000', '0', '9000');
INSERT INTO `shop` VALUES ('70016', '20115', '28', '20000', '0', '10000');
INSERT INTO `shop` VALUES ('70016', '40739', '29', '1', '0', '1');
INSERT INTO `shop` VALUES ('70016', '40738', '30', '2', '0', '1');
INSERT INTO `shop` VALUES ('70016', '40740', '31', '3', '0', '2');
INSERT INTO `shop` VALUES ('70017', '40012', '0', '300', '0', '150');
INSERT INTO `shop` VALUES ('70017', '40017', '1', '70', '0', '35');
INSERT INTO `shop` VALUES ('70017', '40013', '2', '200', '0', '100');
INSERT INTO `shop` VALUES ('70017', '40018', '3', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70017', '40126', '4', '50', '0', '25');
INSERT INTO `shop` VALUES ('70017', '40100', '5', '70', '0', '35');
INSERT INTO `shop` VALUES ('70017', '40119', '6', '100', '0', '50');
INSERT INTO `shop` VALUES ('70017', '40089', '7', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70017', '40074', '8', '30000', '0', '15000');
INSERT INTO `shop` VALUES ('70017', '40567', '9', '100000', '0', '50000');
INSERT INTO `shop` VALUES ('70017', '40603', '10', '100000', '0', '50000');
INSERT INTO `shop` VALUES ('70018', '40056', '0', '1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40065', '1', '5', '0', '3');
INSERT INTO `shop` VALUES ('70018', '20213', '2', '300', '0', '150');
INSERT INTO `shop` VALUES ('70018', '20205', '3', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70018', '40001', '4', '10', '0', '5');
INSERT INTO `shop` VALUES ('70018', '40002', '5', '100', '0', '50');
INSERT INTO `shop` VALUES ('70018', '40003', '6', '30', '0', '15');
INSERT INTO `shop` VALUES ('70018', '40376', '7', '87', '0', '44');
INSERT INTO `shop` VALUES ('70018', '40381', '8', '87', '0', '44');
INSERT INTO `shop` VALUES ('70018', '40310', '9', '35', '0', '18');
INSERT INTO `shop` VALUES ('70018', '40311', '10', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70018', '40317', '11', '150', '0', '75');
INSERT INTO `shop` VALUES ('70018', '40315', '12', '500', '0', '250');
INSERT INTO `shop` VALUES ('70018', '40010', '13', '37', '0', '19');
INSERT INTO `shop` VALUES ('70018', '40011', '14', '150', '0', '75');
INSERT INTO `shop` VALUES ('70018', '40012', '15', '300', '0', '150');
INSERT INTO `shop` VALUES ('70018', '40017', '16', '70', '0', '35');
INSERT INTO `shop` VALUES ('70018', '40013', '17', '200', '0', '100');
INSERT INTO `shop` VALUES ('70018', '40018', '18', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70018', '40126', '19', '50', '0', '25');
INSERT INTO `shop` VALUES ('70018', '40100', '20', '70', '0', '35');
INSERT INTO `shop` VALUES ('70018', '40119', '21', '100', '0', '50');
INSERT INTO `shop` VALUES ('70018', '40089', '22', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70018', '40079', '23', '120', '0', '60');
INSERT INTO `shop` VALUES ('70018', '40124', '24', '120', '0', '60');
INSERT INTO `shop` VALUES ('70018', '42027', '25', '100', '0', '50');
INSERT INTO `shop` VALUES ('70018', '40009', '26', '990', '0', '495');
INSERT INTO `shop` VALUES ('70018', '40022', '27', '63', '0', '32');
INSERT INTO `shop` VALUES ('70018', '40023', '28', '375', '0', '188');
INSERT INTO `shop` VALUES ('70018', '40024', '29', '990', '0', '495');
INSERT INTO `shop` VALUES ('70020', '161', '0', '40000', '0', '20000');
INSERT INTO `shop` VALUES ('70020', '80', '1', '30000', '0', '15000');
INSERT INTO `shop` VALUES ('70020', '159', '2', '12000', '0', '6000');
INSERT INTO `shop` VALUES ('70020', '77', '3', '8000', '0', '4000');
INSERT INTO `shop` VALUES ('70020', '154', '4', '5000', '0', '25');
INSERT INTO `shop` VALUES ('70020', '72', '5', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('70020', '193', '6', '10000', '0', '5000');
INSERT INTO `shop` VALUES ('70020', '20149', '7', '18000', '0', '9000');
INSERT INTO `shop` VALUES ('70020', '20154', '8', '37000', '0', '18500');
INSERT INTO `shop` VALUES ('70020', '20115', '9', '20000', '0', '10000');
INSERT INTO `shop` VALUES ('70020', '20110', '10', '8000', '0', '4000');
INSERT INTO `shop` VALUES ('70021', '40056', '0', '1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40065', '1', '5', '0', '3');
INSERT INTO `shop` VALUES ('70021', '20213', '2', '300', '0', '150');
INSERT INTO `shop` VALUES ('70021', '40001', '3', '10', '0', '5');
INSERT INTO `shop` VALUES ('70021', '40002', '4', '100', '0', '50');
INSERT INTO `shop` VALUES ('70021', '40003', '5', '30', '0', '15');
INSERT INTO `shop` VALUES ('70021', '40375', '6', '87', '0', '44');
INSERT INTO `shop` VALUES ('70021', '40310', '7', '35', '0', '18');
INSERT INTO `shop` VALUES ('70021', '40311', '8', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70021', '40317', '9', '150', '0', '75');
INSERT INTO `shop` VALUES ('70021', '40315', '10', '500', '0', '250');
INSERT INTO `shop` VALUES ('70021', '40010', '11', '37', '0', '19');
INSERT INTO `shop` VALUES ('70021', '40011', '12', '150', '0', '75');
INSERT INTO `shop` VALUES ('70021', '40012', '13', '300', '0', '150');
INSERT INTO `shop` VALUES ('70021', '40017', '14', '70', '0', '35');
INSERT INTO `shop` VALUES ('70021', '40013', '15', '200', '0', '100');
INSERT INTO `shop` VALUES ('70021', '40018', '16', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70021', '40126', '17', '50', '0', '25');
INSERT INTO `shop` VALUES ('70021', '40100', '18', '70', '0', '35');
INSERT INTO `shop` VALUES ('70021', '40079', '19', '120', '0', '60');
INSERT INTO `shop` VALUES ('70021', '40124', '20', '120', '0', '60');
INSERT INTO `shop` VALUES ('70021', '40119', '21', '100', '0', '50');
INSERT INTO `shop` VALUES ('70021', '40089', '22', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70021', '42027', '23', '100', '0', '50');
INSERT INTO `shop` VALUES ('70021', '40009', '24', '990', '0', '495');
INSERT INTO `shop` VALUES ('70021', '40022', '25', '63', '0', '32');
INSERT INTO `shop` VALUES ('70021', '40023', '26', '375', '0', '188');
INSERT INTO `shop` VALUES ('70021', '40024', '27', '990', '0', '495');
INSERT INTO `shop` VALUES ('70022', '40298', '0', '300', '0', '150');
INSERT INTO `shop` VALUES ('70024', '40743', '0', '1', '10', '0');
INSERT INTO `shop` VALUES ('70024', '40744', '1', '5', '5', '1');
INSERT INTO `shop` VALUES ('70024', '172', '2', '50', '0', '25');
INSERT INTO `shop` VALUES ('70024', '136', '3', '20', '0', '10');
INSERT INTO `shop` VALUES ('70024', '143', '4', '700', '0', '350');
INSERT INTO `shop` VALUES ('70024', '92', '5', '180', '0', '90');
INSERT INTO `shop` VALUES ('70024', '141', '6', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70024', '23', '7', '30', '0', '15');
INSERT INTO `shop` VALUES ('70024', '24', '8', '100', '0', '50');
INSERT INTO `shop` VALUES ('70024', '31', '9', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('70024', '102', '10', '10000', '0', '5000');
INSERT INTO `shop` VALUES ('70024', '41', '11', '20000', '0', '10000');
INSERT INTO `shop` VALUES ('70024', '20239', '12', '60', '0', '30');
INSERT INTO `shop` VALUES ('70024', '20242', '13', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70024', '20043', '14', '200', '0', '100');
INSERT INTO `shop` VALUES ('70024', '20089', '15', '100', '0', '50');
INSERT INTO `shop` VALUES ('70024', '20147', '16', '300', '0', '150');
INSERT INTO `shop` VALUES ('70024', '20096', '17', '500', '0', '250');
INSERT INTO `shop` VALUES ('70024', '20122', '18', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70024', '20125', '19', '6000', '0', '3000');
INSERT INTO `shop` VALUES ('70024', '20115', '20', '20000', '0', '10000');
INSERT INTO `shop` VALUES ('70024', '20101', '21', '25000', '0', '12500');
INSERT INTO `shop` VALUES ('70026', '40743', '0', '1', '11', '0');
INSERT INTO `shop` VALUES ('70026', '40744', '1', '5', '6', '1');
INSERT INTO `shop` VALUES ('70026', '172', '2', '55', '0', '28');
INSERT INTO `shop` VALUES ('70026', '169', '3', '5000', '0', '2500');
INSERT INTO `shop` VALUES ('70027', '40044', '0', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70027', '40045', '1', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70027', '40046', '2', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70027', '40047', '3', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70027', '40048', '4', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70027', '40049', '5', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70027', '40050', '6', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70027', '40051', '7', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70027', '40052', '8', '10000', '0', '5000');
INSERT INTO `shop` VALUES ('70027', '40053', '9', '10000', '0', '5000');
INSERT INTO `shop` VALUES ('70027', '40054', '10', '10000', '0', '5000');
INSERT INTO `shop` VALUES ('70027', '40055', '11', '10000', '0', '5000');
INSERT INTO `shop` VALUES ('70028', '40010', '0', '37', '0', '19');
INSERT INTO `shop` VALUES ('70028', '40011', '1', '150', '0', '75');
INSERT INTO `shop` VALUES ('70028', '40012', '2', '300', '0', '150');
INSERT INTO `shop` VALUES ('70028', '40017', '3', '70', '0', '35');
INSERT INTO `shop` VALUES ('70028', '40013', '4', '200', '0', '100');
INSERT INTO `shop` VALUES ('70028', '40018', '5', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70028', '40019', '6', '55', '0', '28');
INSERT INTO `shop` VALUES ('70028', '40020', '7', '300', '0', '150');
INSERT INTO `shop` VALUES ('70028', '40021', '8', '900', '0', '450');
INSERT INTO `shop` VALUES ('70029', '40059', '0', '4', '0', '2');
INSERT INTO `shop` VALUES ('70029', '40069', '1', '6', '0', '3');
INSERT INTO `shop` VALUES ('70029', '40064', '2', '6', '0', '3');
INSERT INTO `shop` VALUES ('70029', '40061', '3', '6', '0', '3');
INSERT INTO `shop` VALUES ('70029', '40060', '4', '6', '0', '3');
INSERT INTO `shop` VALUES ('70029', '40062', '5', '6', '0', '3');
INSERT INTO `shop` VALUES ('70029', '40072', '6', '20', '0', '10');
INSERT INTO `shop` VALUES ('70030', '40056', '0', '1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40065', '1', '5', '0', '3');
INSERT INTO `shop` VALUES ('70030', '20213', '2', '300', '0', '150');
INSERT INTO `shop` VALUES ('70030', '20205', '3', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70030', '40001', '4', '10', '0', '5');
INSERT INTO `shop` VALUES ('70030', '40002', '5', '100', '0', '50');
INSERT INTO `shop` VALUES ('70030', '40003', '6', '30', '0', '15');
INSERT INTO `shop` VALUES ('70030', '40382', '7', '82', '0', '41');
INSERT INTO `shop` VALUES ('70030', '40381', '8', '87', '0', '44');
INSERT INTO `shop` VALUES ('70030', '40310', '9', '35', '0', '18');
INSERT INTO `shop` VALUES ('70030', '40311', '10', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70030', '40317', '11', '150', '0', '75');
INSERT INTO `shop` VALUES ('70030', '40315', '12', '500', '0', '250');
INSERT INTO `shop` VALUES ('70030', '40010', '13', '37', '0', '19');
INSERT INTO `shop` VALUES ('70030', '40011', '14', '150', '0', '75');
INSERT INTO `shop` VALUES ('70030', '40012', '15', '300', '0', '150');
INSERT INTO `shop` VALUES ('70030', '40017', '16', '70', '0', '35');
INSERT INTO `shop` VALUES ('70030', '40013', '17', '200', '0', '100');
INSERT INTO `shop` VALUES ('70030', '40018', '18', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70030', '40126', '19', '50', '0', '25');
INSERT INTO `shop` VALUES ('70030', '40100', '20', '70', '0', '35');
INSERT INTO `shop` VALUES ('70030', '40079', '21', '120', '0', '60');
INSERT INTO `shop` VALUES ('70030', '40124', '22', '120', '0', '60');
INSERT INTO `shop` VALUES ('70030', '40119', '23', '100', '0', '50');
INSERT INTO `shop` VALUES ('70030', '40089', '24', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70030', '42027', '25', '100', '0', '50');
INSERT INTO `shop` VALUES ('70030', '40009', '26', '990', '0', '495');
INSERT INTO `shop` VALUES ('70030', '40022', '27', '63', '0', '32');
INSERT INTO `shop` VALUES ('70030', '40023', '28', '375', '0', '188');
INSERT INTO `shop` VALUES ('70030', '40024', '29', '990', '0', '495');
INSERT INTO `shop` VALUES ('70032', '20239', '0', '60', '0', '30');
INSERT INTO `shop` VALUES ('70032', '20229', '1', '20000', '0', '10000');
INSERT INTO `shop` VALUES ('70032', '20242', '2', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70032', '20231', '3', '7000', '0', '3500');
INSERT INTO `shop` VALUES ('70032', '20043', '4', '200', '0', '100');
INSERT INTO `shop` VALUES ('70032', '20013', '5', '22000', '0', '11000');
INSERT INTO `shop` VALUES ('70032', '20014', '6', '15000', '0', '7500');
INSERT INTO `shop` VALUES ('70032', '20015', '7', '18000', '0', '9000');
INSERT INTO `shop` VALUES ('70032', '20036', '8', '12000', '0', '6000');
INSERT INTO `shop` VALUES ('70032', '20011', '9', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('70032', '20089', '10', '100', '0', '50');
INSERT INTO `shop` VALUES ('70032', '20147', '11', '300', '0', '150');
INSERT INTO `shop` VALUES ('70032', '20114', '12', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70032', '20096', '13', '500', '0', '250');
INSERT INTO `shop` VALUES ('70032', '20122', '14', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70032', '20125', '15', '6000', '0', '3000');
INSERT INTO `shop` VALUES ('70032', '20110', '16', '8000', '0', '4000');
INSERT INTO `shop` VALUES ('70032', '20101', '17', '23000', '0', '11500');
INSERT INTO `shop` VALUES ('70032', '20149', '18', '16000', '0', '8000');
INSERT INTO `shop` VALUES ('70032', '20115', '19', '20000', '0', '10000');
INSERT INTO `shop` VALUES ('70032', '20154', '20', '37000', '0', '18500');
INSERT INTO `shop` VALUES ('70033', '40010', '0', '37', '0', '19');
INSERT INTO `shop` VALUES ('70033', '40011', '1', '150', '0', '75');
INSERT INTO `shop` VALUES ('70033', '40012', '2', '300', '0', '150');
INSERT INTO `shop` VALUES ('70033', '40017', '3', '70', '0', '35');
INSERT INTO `shop` VALUES ('70033', '40013', '4', '200', '0', '100');
INSERT INTO `shop` VALUES ('70033', '40018', '5', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70033', '40019', '6', '55', '0', '28');
INSERT INTO `shop` VALUES ('70033', '40020', '7', '300', '0', '150');
INSERT INTO `shop` VALUES ('70033', '40021', '8', '900', '0', '450');
INSERT INTO `shop` VALUES ('70033', '40014', '9', '800', '0', '400');
INSERT INTO `shop` VALUES ('70033', '40016', '10', '600', '0', '300');
INSERT INTO `shop` VALUES ('70033', '40126', '11', '50', '0', '25');
INSERT INTO `shop` VALUES ('70033', '40100', '12', '70', '0', '35');
INSERT INTO `shop` VALUES ('70033', '40119', '13', '100', '0', '50');
INSERT INTO `shop` VALUES ('70033', '40089', '14', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70033', '40079', '15', '120', '0', '60');
INSERT INTO `shop` VALUES ('70033', '40124', '16', '120', '0', '60');
INSERT INTO `shop` VALUES ('70033', '40088', '17', '1300', '0', '650');
INSERT INTO `shop` VALUES ('70033', '40074', '18', '31000', '0', '15500');
INSERT INTO `shop` VALUES ('70033', '40087', '19', '75000', '0', '37500');
INSERT INTO `shop` VALUES ('70033', '42027', '20', '100', '0', '50');
INSERT INTO `shop` VALUES ('70033', '40009', '21', '990', '0', '495');
INSERT INTO `shop` VALUES ('70033', '40022', '22', '63', '0', '32');
INSERT INTO `shop` VALUES ('70033', '40023', '23', '375', '0', '188');
INSERT INTO `shop` VALUES ('70033', '40024', '24', '990', '0', '495');
INSERT INTO `shop` VALUES ('70036', '40141', '0', '175', '0', '88');
INSERT INTO `shop` VALUES ('70036', '40145', '1', '175', '0', '88');
INSERT INTO `shop` VALUES ('70036', '40160', '2', '175', '0', '88');
INSERT INTO `shop` VALUES ('70036', '40152', '3', '175', '0', '88');
INSERT INTO `shop` VALUES ('70036', '40151', '4', '175', '0', '88');
INSERT INTO `shop` VALUES ('70036', '40159', '5', '175', '0', '88');
INSERT INTO `shop` VALUES ('70036', '40149', '6', '350', '0', '175');
INSERT INTO `shop` VALUES ('70036', '40157', '7', '350', '0', '175');
INSERT INTO `shop` VALUES ('70036', '40142', '8', '350', '0', '175');
INSERT INTO `shop` VALUES ('70036', '40161', '9', '350', '0', '175');
INSERT INTO `shop` VALUES ('70036', '40153', '10', '350', '0', '175');
INSERT INTO `shop` VALUES ('70036', '40146', '11', '350', '0', '175');
INSERT INTO `shop` VALUES ('70036', '40139', '12', '700', '0', '350');
INSERT INTO `shop` VALUES ('70036', '40143', '13', '700', '0', '350');
INSERT INTO `shop` VALUES ('70036', '40156', '14', '700', '0', '350');
INSERT INTO `shop` VALUES ('70036', '40148', '15', '700', '0', '350');
INSERT INTO `shop` VALUES ('70036', '40155', '16', '700', '0', '350');
INSERT INTO `shop` VALUES ('70036', '40147', '17', '700', '0', '350');
INSERT INTO `shop` VALUES ('70036', '40136', '18', '920', '0', '460');
INSERT INTO `shop` VALUES ('70036', '40138', '19', '2100', '0', '1050');
INSERT INTO `shop` VALUES ('70036', '40137', '20', '4375', '0', '2188');
INSERT INTO `shop` VALUES ('70036', '40158', '21', '87', '0', '44');
INSERT INTO `shop` VALUES ('70036', '40140', '22', '87', '0', '44');
INSERT INTO `shop` VALUES ('70036', '40144', '23', '87', '0', '44');
INSERT INTO `shop` VALUES ('70036', '40150', '24', '87', '0', '44');
INSERT INTO `shop` VALUES ('70038', '40456', '0', '200', '0', '100');
INSERT INTO `shop` VALUES ('70038', '40455', '1', '200', '0', '100');
INSERT INTO `shop` VALUES ('70038', '40457', '2', '200', '0', '100');
INSERT INTO `shop` VALUES ('70039', '40743', '0', '1', '10', '0');
INSERT INTO `shop` VALUES ('70039', '40744', '1', '5', '5', '1');
INSERT INTO `shop` VALUES ('70039', '172', '2', '50', '0', '25');
INSERT INTO `shop` VALUES ('70039', '136', '3', '20', '0', '10');
INSERT INTO `shop` VALUES ('70039', '143', '4', '700', '0', '350');
INSERT INTO `shop` VALUES ('70039', '142', '5', '8000', '0', '4000');
INSERT INTO `shop` VALUES ('70039', '148', '6', '12000', '0', '6000');
INSERT INTO `shop` VALUES ('70039', '138', '7', '30', '0', '15');
INSERT INTO `shop` VALUES ('70039', '139', '8', '40', '0', '20');
INSERT INTO `shop` VALUES ('70039', '141', '9', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70039', '146', '10', '3500', '0', '1750');
INSERT INTO `shop` VALUES ('70039', '102', '11', '10000', '0', '5000');
INSERT INTO `shop` VALUES ('70039', '23', '12', '30', '0', '15');
INSERT INTO `shop` VALUES ('70039', '24', '13', '100', '0', '50');
INSERT INTO `shop` VALUES ('70039', '25', '14', '1800', '0', '900');
INSERT INTO `shop` VALUES ('70039', '27', '15', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70039', '32', '16', '2500', '0', '1250');
INSERT INTO `shop` VALUES ('70039', '31', '17', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('70039', '29', '18', '13000', '0', '6500');
INSERT INTO `shop` VALUES ('70039', '37', '19', '5000', '0', '25');
INSERT INTO `shop` VALUES ('70039', '52', '20', '18000', '0', '9000');
INSERT INTO `shop` VALUES ('70039', '41', '21', '20000', '0', '10000');
INSERT INTO `shop` VALUES ('70039', '90', '22', '40', '0', '20');
INSERT INTO `shop` VALUES ('70039', '92', '23', '180', '0', '90');
INSERT INTO `shop` VALUES ('70039', '93', '24', '25', '0', '13');
INSERT INTO `shop` VALUES ('70039', '94', '25', '500', '0', '250');
INSERT INTO `shop` VALUES ('70039', '97', '26', '200', '0', '100');
INSERT INTO `shop` VALUES ('70039', '95', '27', '60', '0', '30');
INSERT INTO `shop` VALUES ('70039', '98', '28', '360', '0', '180');
INSERT INTO `shop` VALUES ('70039', '103', '29', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70039', '104', '30', '8000', '0', '4000');
INSERT INTO `shop` VALUES ('70039', '106', '31', '16000', '0', '8000');
INSERT INTO `shop` VALUES ('70039', '128', '32', '300', '0', '150');
INSERT INTO `shop` VALUES ('70039', '125', '33', '9000', '0', '4500');
INSERT INTO `shop` VALUES ('70039', '129', '34', '2500', '0', '1250');
INSERT INTO `shop` VALUES ('70039', '40739', '35', '1', '2', '1');
INSERT INTO `shop` VALUES ('70039', '40738', '36', '1', '0', '1');
INSERT INTO `shop` VALUES ('70039', '40740', '37', '2', '0', '1');
INSERT INTO `shop` VALUES ('70043', '40405', '0', '4', '0', '2');
INSERT INTO `shop` VALUES ('70044', '40743', '0', '1', '10', '0');
INSERT INTO `shop` VALUES ('70044', '40744', '1', '5', '5', '1');
INSERT INTO `shop` VALUES ('70044', '172', '2', '55', '0', '28');
INSERT INTO `shop` VALUES ('70044', '136', '3', '22', '0', '11');
INSERT INTO `shop` VALUES ('70044', '137', '4', '17', '0', '9');
INSERT INTO `shop` VALUES ('70044', '90', '5', '39', '0', '20');
INSERT INTO `shop` VALUES ('70044', '96', '6', '88', '0', '44');
INSERT INTO `shop` VALUES ('70044', '140', '7', '99', '0', '50');
INSERT INTO `shop` VALUES ('70044', '27', '8', '1320', '0', '660');
INSERT INTO `shop` VALUES ('70044', '143', '9', '770', '0', '385');
INSERT INTO `shop` VALUES ('70044', '141', '10', '1100', '0', '550');
INSERT INTO `shop` VALUES ('70044', '146', '11', '3850', '0', '1925');
INSERT INTO `shop` VALUES ('70044', '102', '12', '11000', '0', '5500');
INSERT INTO `shop` VALUES ('70044', '148', '13', '14300', '0', '7150');
INSERT INTO `shop` VALUES ('70044', '23', '14', '33', '0', '17');
INSERT INTO `shop` VALUES ('70044', '24', '15', '110', '0', '55');
INSERT INTO `shop` VALUES ('70044', '31', '16', '3300', '0', '1650');
INSERT INTO `shop` VALUES ('70044', '32', '17', '2750', '0', '1375');
INSERT INTO `shop` VALUES ('70044', '37', '18', '5500', '0', '2750');
INSERT INTO `shop` VALUES ('70044', '41', '19', '22000', '0', '11000');
INSERT INTO `shop` VALUES ('70044', '128', '20', '330', '0', '165');
INSERT INTO `shop` VALUES ('70044', '129', '21', '2500', '0', '1250');
INSERT INTO `shop` VALUES ('70044', '20239', '22', '60', '0', '30');
INSERT INTO `shop` VALUES ('70044', '20242', '23', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70044', '20231', '24', '7000', '0', '3500');
INSERT INTO `shop` VALUES ('70044', '20043', '25', '200', '0', '100');
INSERT INTO `shop` VALUES ('70044', '20006', '26', '5000', '0', '25');
INSERT INTO `shop` VALUES ('70044', '20089', '27', '100', '0', '50');
INSERT INTO `shop` VALUES ('70044', '20147', '28', '300', '0', '150');
INSERT INTO `shop` VALUES ('70044', '20114', '29', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70044', '20096', '30', '500', '0', '250');
INSERT INTO `shop` VALUES ('70044', '20122', '31', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70044', '20125', '32', '6000', '0', '3000');
INSERT INTO `shop` VALUES ('70044', '20149', '33', '18000', '0', '9000');
INSERT INTO `shop` VALUES ('70044', '20154', '34', '37000', '0', '18500');
INSERT INTO `shop` VALUES ('70044', '20115', '35', '20000', '0', '10000');
INSERT INTO `shop` VALUES ('70044', '40739', '36', '1', '0', '1');
INSERT INTO `shop` VALUES ('70044', '40738', '37', '2', '0', '1');
INSERT INTO `shop` VALUES ('70044', '40740', '38', '3', '0', '2');
INSERT INTO `shop` VALUES ('70045', '40056', '0', '1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40065', '1', '5', '0', '3');
INSERT INTO `shop` VALUES ('70045', '40310', '2', '35', '0', '18');
INSERT INTO `shop` VALUES ('70045', '40311', '3', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70045', '40317', '4', '150', '0', '75');
INSERT INTO `shop` VALUES ('70045', '40010', '5', '37', '0', '19');
INSERT INTO `shop` VALUES ('70045', '40011', '6', '150', '0', '75');
INSERT INTO `shop` VALUES ('70045', '40012', '7', '300', '0', '150');
INSERT INTO `shop` VALUES ('70045', '40017', '8', '70', '0', '35');
INSERT INTO `shop` VALUES ('70045', '40013', '9', '200', '0', '100');
INSERT INTO `shop` VALUES ('70045', '40018', '10', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70045', '40019', '11', '55', '0', '28');
INSERT INTO `shop` VALUES ('70045', '40020', '12', '300', '0', '150');
INSERT INTO `shop` VALUES ('70045', '40021', '13', '900', '0', '450');
INSERT INTO `shop` VALUES ('70045', '40014', '14', '800', '0', '400');
INSERT INTO `shop` VALUES ('70045', '40016', '15', '600', '0', '300');
INSERT INTO `shop` VALUES ('70045', '40315', '16', '500', '0', '250');
INSERT INTO `shop` VALUES ('70045', '40386', '17', '62', '0', '31');
INSERT INTO `shop` VALUES ('70045', '40126', '18', '50', '0', '25');
INSERT INTO `shop` VALUES ('70045', '40100', '19', '70', '0', '35');
INSERT INTO `shop` VALUES ('70045', '40079', '20', '120', '0', '60');
INSERT INTO `shop` VALUES ('70045', '40124', '21', '120', '0', '60');
INSERT INTO `shop` VALUES ('70045', '40119', '22', '100', '0', '50');
INSERT INTO `shop` VALUES ('70045', '40089', '23', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70045', '40088', '24', '1300', '0', '650');
INSERT INTO `shop` VALUES ('70045', '42027', '25', '100', '0', '50');
INSERT INTO `shop` VALUES ('70045', '40009', '26', '990', '0', '495');
INSERT INTO `shop` VALUES ('70045', '40022', '27', '63', '0', '32');
INSERT INTO `shop` VALUES ('70045', '40023', '28', '375', '0', '188');
INSERT INTO `shop` VALUES ('70045', '40024', '29', '990', '0', '495');
INSERT INTO `shop` VALUES ('70046', '40141', '0', '175', '0', '88');
INSERT INTO `shop` VALUES ('70046', '40145', '1', '175', '0', '88');
INSERT INTO `shop` VALUES ('70046', '40160', '2', '175', '0', '88');
INSERT INTO `shop` VALUES ('70046', '40152', '3', '175', '0', '88');
INSERT INTO `shop` VALUES ('70046', '40151', '4', '175', '0', '88');
INSERT INTO `shop` VALUES ('70046', '40159', '5', '175', '0', '88');
INSERT INTO `shop` VALUES ('70046', '40149', '6', '350', '0', '175');
INSERT INTO `shop` VALUES ('70046', '40157', '7', '350', '0', '175');
INSERT INTO `shop` VALUES ('70046', '40142', '8', '350', '0', '175');
INSERT INTO `shop` VALUES ('70046', '40161', '9', '350', '0', '175');
INSERT INTO `shop` VALUES ('70046', '40153', '10', '350', '0', '175');
INSERT INTO `shop` VALUES ('70046', '40146', '11', '350', '0', '175');
INSERT INTO `shop` VALUES ('70046', '40139', '12', '700', '0', '350');
INSERT INTO `shop` VALUES ('70046', '40143', '13', '700', '0', '350');
INSERT INTO `shop` VALUES ('70046', '40156', '14', '700', '0', '350');
INSERT INTO `shop` VALUES ('70046', '40148', '15', '700', '0', '350');
INSERT INTO `shop` VALUES ('70046', '40155', '16', '700', '0', '350');
INSERT INTO `shop` VALUES ('70046', '40147', '17', '700', '0', '350');
INSERT INTO `shop` VALUES ('70046', '40136', '18', '920', '0', '460');
INSERT INTO `shop` VALUES ('70046', '40138', '19', '2100', '0', '1050');
INSERT INTO `shop` VALUES ('70046', '40137', '20', '4375', '0', '2188');
INSERT INTO `shop` VALUES ('70046', '40158', '21', '87', '0', '44');
INSERT INTO `shop` VALUES ('70046', '40140', '22', '87', '0', '44');
INSERT INTO `shop` VALUES ('70046', '40144', '23', '87', '0', '44');
INSERT INTO `shop` VALUES ('70046', '40150', '24', '87', '0', '44');
INSERT INTO `shop` VALUES ('70047', '40743', '0', '1', '10', '0');
INSERT INTO `shop` VALUES ('70047', '40744', '1', '5', '5', '1');
INSERT INTO `shop` VALUES ('70047', '172', '2', '55', '0', '28');
INSERT INTO `shop` VALUES ('70047', '136', '3', '22', '0', '11');
INSERT INTO `shop` VALUES ('70047', '143', '4', '770', '0', '385');
INSERT INTO `shop` VALUES ('70047', '142', '5', '8800', '0', '4400');
INSERT INTO `shop` VALUES ('70047', '148', '6', '14300', '0', '7150');
INSERT INTO `shop` VALUES ('70047', '138', '7', '33', '0', '17');
INSERT INTO `shop` VALUES ('70047', '139', '8', '44', '0', '22');
INSERT INTO `shop` VALUES ('70047', '141', '9', '1100', '0', '550');
INSERT INTO `shop` VALUES ('70047', '146', '10', '3850', '0', '1925');
INSERT INTO `shop` VALUES ('70047', '102', '11', '11000', '0', '5500');
INSERT INTO `shop` VALUES ('70047', '23', '12', '33', '0', '17');
INSERT INTO `shop` VALUES ('70047', '24', '13', '110', '0', '55');
INSERT INTO `shop` VALUES ('70047', '25', '14', '1800', '0', '900');
INSERT INTO `shop` VALUES ('70047', '27', '15', '1320', '0', '660');
INSERT INTO `shop` VALUES ('70047', '32', '16', '2750', '0', '1375');
INSERT INTO `shop` VALUES ('70047', '31', '17', '3300', '0', '1650');
INSERT INTO `shop` VALUES ('70047', '29', '18', '13000', '0', '6500');
INSERT INTO `shop` VALUES ('70047', '37', '19', '5500', '0', '2750');
INSERT INTO `shop` VALUES ('70047', '52', '20', '19800', '0', '9900');
INSERT INTO `shop` VALUES ('70047', '41', '21', '22000', '0', '11000');
INSERT INTO `shop` VALUES ('70047', '90', '22', '39', '0', '20');
INSERT INTO `shop` VALUES ('70047', '92', '23', '198', '0', '99');
INSERT INTO `shop` VALUES ('70047', '93', '24', '27', '0', '14');
INSERT INTO `shop` VALUES ('70047', '94', '25', '550', '0', '275');
INSERT INTO `shop` VALUES ('70047', '97', '26', '220', '0', '110');
INSERT INTO `shop` VALUES ('70047', '95', '27', '66', '0', '33');
INSERT INTO `shop` VALUES ('70047', '98', '28', '385', '0', '193');
INSERT INTO `shop` VALUES ('70047', '103', '29', '2200', '0', '1100');
INSERT INTO `shop` VALUES ('70047', '104', '30', '8800', '0', '4400');
INSERT INTO `shop` VALUES ('70047', '106', '31', '17600', '0', '8800');
INSERT INTO `shop` VALUES ('70047', '128', '32', '330', '0', '165');
INSERT INTO `shop` VALUES ('70047', '125', '33', '9000', '0', '4500');
INSERT INTO `shop` VALUES ('70047', '129', '34', '2500', '0', '1250');
INSERT INTO `shop` VALUES ('70047', '40738', '35', '2', '0', '1');
INSERT INTO `shop` VALUES ('70047', '40740', '36', '3', '0', '2');
INSERT INTO `shop` VALUES ('70048', '40388', '0', '82', '0', '41');
INSERT INTO `shop` VALUES ('70048', '40057', '1', '200', '0', '100');
INSERT INTO `shop` VALUES ('70048', '40056', '2', '1', '0', '1');
INSERT INTO `shop` VALUES ('70048', '40065', '3', '5', '0', '3');
INSERT INTO `shop` VALUES ('70048', '20213', '4', '300', '0', '150');
INSERT INTO `shop` VALUES ('70048', '20205', '5', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70048', '40001', '6', '10', '0', '5');
INSERT INTO `shop` VALUES ('70048', '40002', '7', '100', '0', '50');
INSERT INTO `shop` VALUES ('70048', '40003', '8', '30', '0', '15');
INSERT INTO `shop` VALUES ('70048', '40310', '9', '35', '0', '18');
INSERT INTO `shop` VALUES ('70048', '40311', '10', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70048', '40317', '11', '150', '0', '75');
INSERT INTO `shop` VALUES ('70048', '40315', '12', '500', '0', '250');
INSERT INTO `shop` VALUES ('70048', '40010', '13', '37', '0', '19');
INSERT INTO `shop` VALUES ('70048', '40011', '14', '150', '0', '75');
INSERT INTO `shop` VALUES ('70048', '40012', '15', '300', '0', '150');
INSERT INTO `shop` VALUES ('70048', '40017', '16', '70', '0', '35');
INSERT INTO `shop` VALUES ('70048', '40013', '17', '200', '0', '100');
INSERT INTO `shop` VALUES ('70048', '40018', '18', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70048', '40126', '19', '50', '0', '25');
INSERT INTO `shop` VALUES ('70048', '40100', '20', '70', '0', '35');
INSERT INTO `shop` VALUES ('70048', '40119', '21', '100', '0', '50');
INSERT INTO `shop` VALUES ('70048', '40087', '22', '75000', '0', '37500');
INSERT INTO `shop` VALUES ('70048', '40074', '23', '31000', '0', '15500');
INSERT INTO `shop` VALUES ('70048', '40089', '24', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70048', '40079', '25', '120', '0', '60');
INSERT INTO `shop` VALUES ('70048', '40124', '26', '120', '0', '60');
INSERT INTO `shop` VALUES ('70048', '40088', '27', '1300', '0', '650');
INSERT INTO `shop` VALUES ('70048', '40009', '28', '990', '0', '495');
INSERT INTO `shop` VALUES ('70048', '40901', '29', '5000', '0', '25');
INSERT INTO `shop` VALUES ('70048', '40902', '30', '10000', '0', '5000');
INSERT INTO `shop` VALUES ('70048', '40903', '31', '100000', '0', '50000');
INSERT INTO `shop` VALUES ('70048', '40904', '32', '200000', '0', '100000');
INSERT INTO `shop` VALUES ('70048', '40905', '33', '500000', '0', '250000');
INSERT INTO `shop` VALUES ('70048', '40906', '34', '1000000', '0', '500000');
INSERT INTO `shop` VALUES ('70048', '40022', '35', '63', '0', '32');
INSERT INTO `shop` VALUES ('70048', '40023', '36', '375', '0', '188');
INSERT INTO `shop` VALUES ('70048', '40024', '37', '990', '0', '495');
INSERT INTO `shop` VALUES ('70049', '40010', '0', '44', '0', '19');
INSERT INTO `shop` VALUES ('70049', '40011', '1', '180', '0', '75');
INSERT INTO `shop` VALUES ('70049', '40012', '2', '360', '0', '150');
INSERT INTO `shop` VALUES ('70049', '40017', '3', '84', '0', '35');
INSERT INTO `shop` VALUES ('70049', '40018', '4', '1800', '0', '750');
INSERT INTO `shop` VALUES ('70050', '40141', '0', '175', '0', '88');
INSERT INTO `shop` VALUES ('70050', '40145', '1', '175', '0', '88');
INSERT INTO `shop` VALUES ('70050', '40160', '2', '175', '0', '88');
INSERT INTO `shop` VALUES ('70050', '40152', '3', '175', '0', '88');
INSERT INTO `shop` VALUES ('70050', '40151', '4', '175', '0', '88');
INSERT INTO `shop` VALUES ('70050', '40159', '5', '175', '0', '88');
INSERT INTO `shop` VALUES ('70050', '40149', '6', '350', '0', '175');
INSERT INTO `shop` VALUES ('70050', '40157', '7', '350', '0', '175');
INSERT INTO `shop` VALUES ('70050', '40142', '8', '350', '0', '175');
INSERT INTO `shop` VALUES ('70050', '40161', '9', '350', '0', '175');
INSERT INTO `shop` VALUES ('70050', '40153', '10', '350', '0', '175');
INSERT INTO `shop` VALUES ('70050', '40146', '11', '350', '0', '175');
INSERT INTO `shop` VALUES ('70050', '40139', '12', '700', '0', '350');
INSERT INTO `shop` VALUES ('70050', '40143', '13', '700', '0', '350');
INSERT INTO `shop` VALUES ('70050', '40156', '14', '700', '0', '350');
INSERT INTO `shop` VALUES ('70050', '40148', '15', '700', '0', '350');
INSERT INTO `shop` VALUES ('70050', '40155', '16', '700', '0', '350');
INSERT INTO `shop` VALUES ('70050', '40147', '17', '700', '0', '350');
INSERT INTO `shop` VALUES ('70050', '40136', '18', '920', '0', '460');
INSERT INTO `shop` VALUES ('70050', '40138', '19', '2100', '0', '1050');
INSERT INTO `shop` VALUES ('70050', '40137', '20', '4375', '0', '2188');
INSERT INTO `shop` VALUES ('70050', '40158', '21', '87', '0', '44');
INSERT INTO `shop` VALUES ('70050', '40140', '22', '87', '0', '44');
INSERT INTO `shop` VALUES ('70050', '40144', '23', '87', '0', '44');
INSERT INTO `shop` VALUES ('70050', '40150', '24', '87', '0', '44');
INSERT INTO `shop` VALUES ('70051', '40056', '0', '1', '0', '1');
INSERT INTO `shop` VALUES ('70051', '40065', '1', '5', '0', '3');
INSERT INTO `shop` VALUES ('70051', '20213', '2', '300', '0', '150');
INSERT INTO `shop` VALUES ('70051', '20205', '3', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70051', '40001', '4', '10', '0', '5');
INSERT INTO `shop` VALUES ('70051', '40002', '5', '100', '0', '50');
INSERT INTO `shop` VALUES ('70051', '40003', '6', '30', '0', '15');
INSERT INTO `shop` VALUES ('70051', '40310', '7', '35', '0', '18');
INSERT INTO `shop` VALUES ('70051', '40311', '8', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70051', '40317', '9', '150', '0', '75');
INSERT INTO `shop` VALUES ('70051', '40315', '10', '500', '0', '250');
INSERT INTO `shop` VALUES ('70051', '40010', '11', '37', '0', '19');
INSERT INTO `shop` VALUES ('70051', '40017', '12', '70', '0', '35');
INSERT INTO `shop` VALUES ('70051', '40013', '13', '200', '0', '100');
INSERT INTO `shop` VALUES ('70051', '40100', '14', '70', '0', '35');
INSERT INTO `shop` VALUES ('70051', '40119', '15', '100', '0', '50');
INSERT INTO `shop` VALUES ('70051', '40009', '16', '990', '0', '495');
INSERT INTO `shop` VALUES ('70052', '40388', '0', '82', '0', '41');
INSERT INTO `shop` VALUES ('70052', '40373', '1', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70052', '40057', '2', '200', '0', '100');
INSERT INTO `shop` VALUES ('70052', '40056', '3', '1', '0', '1');
INSERT INTO `shop` VALUES ('70052', '40065', '4', '5', '0', '3');
INSERT INTO `shop` VALUES ('70052', '20213', '5', '300', '0', '150');
INSERT INTO `shop` VALUES ('70052', '20205', '6', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70052', '40001', '7', '10', '0', '5');
INSERT INTO `shop` VALUES ('70052', '40002', '8', '100', '0', '50');
INSERT INTO `shop` VALUES ('70052', '40003', '9', '30', '0', '15');
INSERT INTO `shop` VALUES ('70052', '40310', '10', '35', '0', '18');
INSERT INTO `shop` VALUES ('70052', '40311', '11', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70052', '40317', '12', '150', '0', '75');
INSERT INTO `shop` VALUES ('70052', '40315', '13', '500', '0', '250');
INSERT INTO `shop` VALUES ('70052', '40010', '14', '37', '0', '19');
INSERT INTO `shop` VALUES ('70052', '40011', '15', '150', '0', '75');
INSERT INTO `shop` VALUES ('70052', '40012', '16', '300', '0', '150');
INSERT INTO `shop` VALUES ('70052', '40017', '17', '70', '0', '35');
INSERT INTO `shop` VALUES ('70052', '40013', '18', '200', '0', '100');
INSERT INTO `shop` VALUES ('70052', '40018', '19', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70052', '40022', '20', '63', '0', '32');
INSERT INTO `shop` VALUES ('70052', '40023', '21', '375', '0', '188');
INSERT INTO `shop` VALUES ('70052', '40024', '22', '990', '0', '495');
INSERT INTO `shop` VALUES ('70053', '40059', '0', '4', '0', '2');
INSERT INTO `shop` VALUES ('70053', '40069', '1', '6', '0', '3');
INSERT INTO `shop` VALUES ('70053', '40064', '2', '6', '0', '3');
INSERT INTO `shop` VALUES ('70053', '40061', '3', '6', '0', '3');
INSERT INTO `shop` VALUES ('70053', '40060', '4', '6', '0', '3');
INSERT INTO `shop` VALUES ('70053', '40062', '5', '6', '0', '3');
INSERT INTO `shop` VALUES ('70053', '40072', '6', '20', '0', '10');
INSERT INTO `shop` VALUES ('70055', '40757', '0', '90000', '0', '45000');
INSERT INTO `shop` VALUES ('70055', '40751', '1', '50000', '0', '25000');
INSERT INTO `shop` VALUES ('70055', '40761', '2', '15000', '0', '7500');
INSERT INTO `shop` VALUES ('70055', '40763', '3', '50000', '0', '25000');
INSERT INTO `shop` VALUES ('70057', '40010', '0', '37', '0', '19');
INSERT INTO `shop` VALUES ('70057', '40011', '1', '150', '0', '75');
INSERT INTO `shop` VALUES ('70057', '40012', '2', '300', '0', '150');
INSERT INTO `shop` VALUES ('70057', '40017', '3', '70', '0', '35');
INSERT INTO `shop` VALUES ('70057', '40013', '4', '200', '0', '100');
INSERT INTO `shop` VALUES ('70057', '40018', '5', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70057', '40019', '6', '55', '0', '28');
INSERT INTO `shop` VALUES ('70057', '40020', '7', '300', '0', '150');
INSERT INTO `shop` VALUES ('70057', '40021', '8', '900', '0', '450');
INSERT INTO `shop` VALUES ('70057', '40014', '9', '800', '0', '400');
INSERT INTO `shop` VALUES ('70057', '40016', '10', '600', '0', '300');
INSERT INTO `shop` VALUES ('70057', '40126', '11', '50', '0', '25');
INSERT INTO `shop` VALUES ('70057', '40100', '12', '70', '0', '35');
INSERT INTO `shop` VALUES ('70057', '40119', '13', '100', '0', '50');
INSERT INTO `shop` VALUES ('70057', '40089', '14', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70057', '40079', '15', '120', '0', '60');
INSERT INTO `shop` VALUES ('70057', '40124', '16', '120', '0', '60');
INSERT INTO `shop` VALUES ('70057', '40088', '17', '1300', '0', '650');
INSERT INTO `shop` VALUES ('70057', '40074', '18', '31000', '0', '15500');
INSERT INTO `shop` VALUES ('70057', '40087', '19', '75000', '0', '37500');
INSERT INTO `shop` VALUES ('70057', '40009', '20', '990', '0', '495');
INSERT INTO `shop` VALUES ('70057', '40022', '21', '63', '0', '32');
INSERT INTO `shop` VALUES ('70057', '40023', '22', '375', '0', '188');
INSERT INTO `shop` VALUES ('70057', '40024', '23', '990', '0', '495');
INSERT INTO `shop` VALUES ('70058', '20239', '0', '60', '0', '30');
INSERT INTO `shop` VALUES ('70058', '20229', '1', '10000', '0', '5000');
INSERT INTO `shop` VALUES ('70058', '20242', '2', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70058', '20231', '3', '7000', '0', '3500');
INSERT INTO `shop` VALUES ('70058', '20043', '4', '200', '0', '100');
INSERT INTO `shop` VALUES ('70058', '20013', '5', '22000', '0', '11000');
INSERT INTO `shop` VALUES ('70058', '20014', '6', '15000', '0', '7500');
INSERT INTO `shop` VALUES ('70058', '20015', '7', '18000', '0', '9000');
INSERT INTO `shop` VALUES ('70058', '20036', '8', '12000', '0', '6000');
INSERT INTO `shop` VALUES ('70058', '20011', '9', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('70058', '20006', '10', '5000', '0', '25');
INSERT INTO `shop` VALUES ('70058', '20089', '11', '100', '0', '50');
INSERT INTO `shop` VALUES ('70058', '20147', '12', '300', '0', '150');
INSERT INTO `shop` VALUES ('70058', '20114', '13', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70058', '20096', '14', '500', '0', '250');
INSERT INTO `shop` VALUES ('70058', '20122', '15', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70058', '20125', '16', '6000', '0', '3000');
INSERT INTO `shop` VALUES ('70058', '20110', '17', '8000', '0', '4000');
INSERT INTO `shop` VALUES ('70058', '20101', '18', '11500', '0', '5750');
INSERT INTO `shop` VALUES ('70058', '20149', '19', '18000', '0', '9000');
INSERT INTO `shop` VALUES ('70058', '20115', '20', '20000', '0', '10000');
INSERT INTO `shop` VALUES ('70058', '20154', '21', '37000', '0', '18500');
INSERT INTO `shop` VALUES ('70059', '40056', '0', '1', '0', '1');
INSERT INTO `shop` VALUES ('70059', '40065', '1', '5', '0', '3');
INSERT INTO `shop` VALUES ('70059', '20213', '2', '300', '0', '150');
INSERT INTO `shop` VALUES ('70059', '20205', '3', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70059', '40001', '4', '10', '0', '5');
INSERT INTO `shop` VALUES ('70059', '40002', '5', '100', '0', '50');
INSERT INTO `shop` VALUES ('70059', '40003', '6', '30', '0', '15');
INSERT INTO `shop` VALUES ('70059', '40387', '7', '86', '0', '43');
INSERT INTO `shop` VALUES ('70059', '40310', '8', '35', '0', '18');
INSERT INTO `shop` VALUES ('70059', '40311', '9', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70059', '40317', '10', '150', '0', '75');
INSERT INTO `shop` VALUES ('70059', '40315', '11', '500', '0', '250');
INSERT INTO `shop` VALUES ('70059', '40010', '12', '37', '0', '19');
INSERT INTO `shop` VALUES ('70059', '40011', '13', '150', '0', '75');
INSERT INTO `shop` VALUES ('70059', '40012', '14', '300', '0', '150');
INSERT INTO `shop` VALUES ('70059', '40017', '15', '70', '0', '35');
INSERT INTO `shop` VALUES ('70059', '40013', '16', '200', '0', '100');
INSERT INTO `shop` VALUES ('70059', '40018', '17', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70059', '40126', '18', '50', '0', '25');
INSERT INTO `shop` VALUES ('70059', '40100', '19', '70', '0', '35');
INSERT INTO `shop` VALUES ('70059', '40119', '20', '100', '0', '50');
INSERT INTO `shop` VALUES ('70059', '40089', '21', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70059', '40079', '22', '120', '0', '60');
INSERT INTO `shop` VALUES ('70059', '40124', '23', '120', '0', '60');
INSERT INTO `shop` VALUES ('70059', '40088', '24', '1300', '0', '650');
INSERT INTO `shop` VALUES ('70059', '40009', '25', '990', '0', '495');
INSERT INTO `shop` VALUES ('70059', '40022', '26', '63', '0', '32');
INSERT INTO `shop` VALUES ('70059', '40023', '27', '375', '0', '188');
INSERT INTO `shop` VALUES ('70059', '40024', '28', '990', '0', '495');
INSERT INTO `shop` VALUES ('70060', '40232', '0', '3300', '0', '25');
INSERT INTO `shop` VALUES ('70060', '40233', '1', '3300', '0', '25');
INSERT INTO `shop` VALUES ('70060', '40234', '2', '3300', '0', '25');
INSERT INTO `shop` VALUES ('70060', '40235', '3', '8250', '0', '4125');
INSERT INTO `shop` VALUES ('70060', '40236', '4', '8250', '0', '4125');
INSERT INTO `shop` VALUES ('70060', '40256', '5', '15000', '0', '25');
INSERT INTO `shop` VALUES ('70060', '40260', '6', '15000', '0', '25');
INSERT INTO `shop` VALUES ('70060', '40247', '7', '15000', '0', '25');
INSERT INTO `shop` VALUES ('70061', '40743', '0', '1', '10', '0');
INSERT INTO `shop` VALUES ('70061', '40744', '1', '5', '5', '1');
INSERT INTO `shop` VALUES ('70061', '172', '2', '55', '0', '28');
INSERT INTO `shop` VALUES ('70061', '136', '3', '22', '0', '11');
INSERT INTO `shop` VALUES ('70061', '143', '4', '770', '0', '385');
INSERT INTO `shop` VALUES ('70061', '142', '5', '8800', '0', '4400');
INSERT INTO `shop` VALUES ('70061', '148', '6', '14300', '0', '7150');
INSERT INTO `shop` VALUES ('70061', '138', '7', '33', '0', '17');
INSERT INTO `shop` VALUES ('70061', '139', '8', '44', '0', '22');
INSERT INTO `shop` VALUES ('70061', '141', '9', '1100', '0', '550');
INSERT INTO `shop` VALUES ('70061', '146', '10', '3850', '0', '1925');
INSERT INTO `shop` VALUES ('70061', '102', '11', '11000', '0', '5500');
INSERT INTO `shop` VALUES ('70061', '23', '12', '33', '0', '17');
INSERT INTO `shop` VALUES ('70061', '24', '13', '110', '0', '55');
INSERT INTO `shop` VALUES ('70061', '25', '14', '1800', '0', '900');
INSERT INTO `shop` VALUES ('70061', '27', '15', '1320', '0', '660');
INSERT INTO `shop` VALUES ('70061', '32', '16', '2750', '0', '1375');
INSERT INTO `shop` VALUES ('70061', '31', '17', '3300', '0', '1650');
INSERT INTO `shop` VALUES ('70061', '29', '18', '13000', '0', '6500');
INSERT INTO `shop` VALUES ('70061', '37', '19', '5500', '0', '2750');
INSERT INTO `shop` VALUES ('70061', '52', '20', '19800', '0', '9900');
INSERT INTO `shop` VALUES ('70061', '41', '21', '22000', '0', '11000');
INSERT INTO `shop` VALUES ('70061', '90', '22', '39', '0', '20');
INSERT INTO `shop` VALUES ('70061', '92', '23', '198', '0', '99');
INSERT INTO `shop` VALUES ('70061', '93', '24', '27', '0', '14');
INSERT INTO `shop` VALUES ('70061', '94', '25', '550', '0', '275');
INSERT INTO `shop` VALUES ('70061', '97', '26', '220', '0', '110');
INSERT INTO `shop` VALUES ('70061', '95', '27', '66', '0', '33');
INSERT INTO `shop` VALUES ('70061', '98', '28', '385', '0', '193');
INSERT INTO `shop` VALUES ('70061', '103', '29', '2200', '0', '1100');
INSERT INTO `shop` VALUES ('70061', '104', '30', '8800', '0', '4400');
INSERT INTO `shop` VALUES ('70061', '106', '31', '17600', '0', '8800');
INSERT INTO `shop` VALUES ('70061', '128', '32', '330', '0', '165');
INSERT INTO `shop` VALUES ('70061', '125', '33', '9000', '0', '4500');
INSERT INTO `shop` VALUES ('70061', '129', '34', '2500', '0', '1250');
INSERT INTO `shop` VALUES ('70061', '40739', '35', '1', '0', '1');
INSERT INTO `shop` VALUES ('70061', '40738', '36', '2', '0', '1');
INSERT INTO `shop` VALUES ('70061', '40740', '37', '3', '0', '2');
INSERT INTO `shop` VALUES ('70062', '40170', '0', '3300', '0', '1000');
INSERT INTO `shop` VALUES ('70062', '40173', '1', '3300', '0', '1000');
INSERT INTO `shop` VALUES ('70062', '40177', '2', '3300', '0', '1000');
INSERT INTO `shop` VALUES ('70062', '40179', '3', '8250', '0', '2000');
INSERT INTO `shop` VALUES ('70062', '40183', '4', '8250', '0', '2000');
INSERT INTO `shop` VALUES ('70062', '40193', '5', '5000', '0', '3000');
INSERT INTO `shop` VALUES ('70063', '40057', '0', '200', '0', '100');
INSERT INTO `shop` VALUES ('70063', '40056', '1', '1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40065', '2', '5', '0', '3');
INSERT INTO `shop` VALUES ('70063', '20213', '3', '300', '0', '150');
INSERT INTO `shop` VALUES ('70063', '20205', '4', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70063', '40001', '5', '10', '0', '5');
INSERT INTO `shop` VALUES ('70063', '40002', '6', '100', '0', '50');
INSERT INTO `shop` VALUES ('70063', '40003', '7', '30', '0', '15');
INSERT INTO `shop` VALUES ('70063', '40387', '8', '86', '0', '43');
INSERT INTO `shop` VALUES ('70063', '40310', '9', '35', '0', '18');
INSERT INTO `shop` VALUES ('70063', '40311', '10', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70063', '40317', '11', '150', '0', '75');
INSERT INTO `shop` VALUES ('70063', '40315', '12', '500', '0', '250');
INSERT INTO `shop` VALUES ('70063', '40010', '13', '37', '0', '19');
INSERT INTO `shop` VALUES ('70063', '40011', '14', '150', '0', '75');
INSERT INTO `shop` VALUES ('70063', '40012', '15', '300', '0', '150');
INSERT INTO `shop` VALUES ('70063', '40017', '16', '70', '0', '35');
INSERT INTO `shop` VALUES ('70063', '40013', '17', '200', '0', '100');
INSERT INTO `shop` VALUES ('70063', '40018', '18', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70063', '40126', '19', '50', '0', '25');
INSERT INTO `shop` VALUES ('70063', '40100', '20', '70', '0', '35');
INSERT INTO `shop` VALUES ('70063', '40119', '21', '100', '0', '50');
INSERT INTO `shop` VALUES ('70063', '40087', '22', '75000', '0', '37500');
INSERT INTO `shop` VALUES ('70063', '40074', '23', '31000', '0', '15500');
INSERT INTO `shop` VALUES ('70063', '40089', '24', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70063', '40079', '25', '120', '0', '60');
INSERT INTO `shop` VALUES ('70063', '40124', '26', '120', '0', '60');
INSERT INTO `shop` VALUES ('70063', '40088', '27', '1300', '0', '650');
INSERT INTO `shop` VALUES ('70063', '42027', '28', '100', '0', '50');
INSERT INTO `shop` VALUES ('70063', '40009', '29', '990', '0', '495');
INSERT INTO `shop` VALUES ('70063', '40022', '30', '63', '0', '32');
INSERT INTO `shop` VALUES ('70063', '40023', '31', '375', '0', '188');
INSERT INTO `shop` VALUES ('70063', '40024', '32', '990', '0', '495');
INSERT INTO `shop` VALUES ('70066', '40171', '0', '3300', '0', '1000');
INSERT INTO `shop` VALUES ('70066', '40176', '1', '3300', '0', '1000');
INSERT INTO `shop` VALUES ('70066', '40180', '2', '8250', '0', '2000');
INSERT INTO `shop` VALUES ('70066', '40182', '3', '8250', '0', '2000');
INSERT INTO `shop` VALUES ('70066', '40187', '4', '5000', '0', '3000');
INSERT INTO `shop` VALUES ('70066', '40188', '5', '5000', '0', '3000');
INSERT INTO `shop` VALUES ('70066', '40194', '6', '8000', '0', '4000');
INSERT INTO `shop` VALUES ('70067', '40010', '0', '37', '0', '19');
INSERT INTO `shop` VALUES ('70067', '40011', '1', '150', '0', '75');
INSERT INTO `shop` VALUES ('70067', '40012', '2', '300', '0', '150');
INSERT INTO `shop` VALUES ('70067', '40019', '3', '55', '0', '28');
INSERT INTO `shop` VALUES ('70067', '40020', '4', '300', '0', '150');
INSERT INTO `shop` VALUES ('70067', '40021', '5', '900', '0', '450');
INSERT INTO `shop` VALUES ('70067', '40013', '6', '200', '0', '100');
INSERT INTO `shop` VALUES ('70067', '40017', '7', '70', '0', '35');
INSERT INTO `shop` VALUES ('70067', '40016', '8', '600', '0', '300');
INSERT INTO `shop` VALUES ('70067', '40025', '9', '2', '0', '1');
INSERT INTO `shop` VALUES ('70067', '40057', '10', '200', '0', '100');
INSERT INTO `shop` VALUES ('70067', '40090', '11', '165', '0', '83');
INSERT INTO `shop` VALUES ('70067', '40091', '12', '660', '0', '330');
INSERT INTO `shop` VALUES ('70067', '40092', '13', '1650', '0', '825');
INSERT INTO `shop` VALUES ('70067', '40126', '14', '50', '0', '25');
INSERT INTO `shop` VALUES ('70067', '40100', '15', '70', '0', '35');
INSERT INTO `shop` VALUES ('70067', '40119', '16', '100', '0', '50');
INSERT INTO `shop` VALUES ('70067', '40087', '17', '75000', '0', '37500');
INSERT INTO `shop` VALUES ('70067', '40074', '18', '31000', '0', '15500');
INSERT INTO `shop` VALUES ('70067', '40089', '19', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70067', '40079', '20', '120', '0', '60');
INSERT INTO `shop` VALUES ('70067', '40124', '21', '120', '0', '60');
INSERT INTO `shop` VALUES ('70067', '40088', '22', '1300', '0', '650');
INSERT INTO `shop` VALUES ('70067', '128', '23', '330', '0', '165');
INSERT INTO `shop` VALUES ('70067', '129', '24', '2500', '0', '1250');
INSERT INTO `shop` VALUES ('70067', '125', '25', '9000', '0', '4500');
INSERT INTO `shop` VALUES ('70067', '40006', '26', '33000', '0', '16500');
INSERT INTO `shop` VALUES ('70067', '40008', '27', '165000', '0', '1000');
INSERT INTO `shop` VALUES ('70067', '40007', '28', '4950', '0', '2475');
INSERT INTO `shop` VALUES ('70067', '40009', '29', '990', '0', '495');
INSERT INTO `shop` VALUES ('70067', '20114', '30', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70067', '20036', '31', '12000', '0', '6000');
INSERT INTO `shop` VALUES ('70067', '40325', '32', '10000', '0', '5000');
INSERT INTO `shop` VALUES ('70067', '40326', '33', '10000', '0', '5000');
INSERT INTO `shop` VALUES ('70067', '40327', '34', '10000', '0', '5000');
INSERT INTO `shop` VALUES ('70067', '40328', '35', '10000', '0', '5000');
INSERT INTO `shop` VALUES ('70068', '41', '0', '22000', '0', '11000');
INSERT INTO `shop` VALUES ('70068', '148', '1', '14300', '0', '7150');
INSERT INTO `shop` VALUES ('70068', '142', '2', '8800', '0', '4400');
INSERT INTO `shop` VALUES ('70068', '29', '3', '13000', '0', '6500');
INSERT INTO `shop` VALUES ('70068', '129', '4', '2500', '0', '1250');
INSERT INTO `shop` VALUES ('70068', '125', '5', '9000', '0', '4500');
INSERT INTO `shop` VALUES ('70068', '20125', '6', '6000', '0', '3000');
INSERT INTO `shop` VALUES ('70068', '20011', '7', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('70068', '20036', '8', '12000', '0', '6000');
INSERT INTO `shop` VALUES ('70068', '20013', '9', '22000', '0', '11000');
INSERT INTO `shop` VALUES ('70068', '20014', '10', '15000', '0', '7500');
INSERT INTO `shop` VALUES ('70068', '20015', '11', '18000', '0', '9000');
INSERT INTO `shop` VALUES ('70069', '40141', '0', '175', '0', '88');
INSERT INTO `shop` VALUES ('70069', '40145', '1', '175', '0', '88');
INSERT INTO `shop` VALUES ('70069', '40160', '2', '175', '0', '88');
INSERT INTO `shop` VALUES ('70069', '40152', '3', '175', '0', '88');
INSERT INTO `shop` VALUES ('70069', '40151', '4', '175', '0', '88');
INSERT INTO `shop` VALUES ('70069', '40159', '5', '175', '0', '88');
INSERT INTO `shop` VALUES ('70069', '40149', '6', '350', '0', '175');
INSERT INTO `shop` VALUES ('70069', '40157', '7', '350', '0', '175');
INSERT INTO `shop` VALUES ('70069', '40142', '8', '350', '0', '175');
INSERT INTO `shop` VALUES ('70069', '40161', '9', '350', '0', '175');
INSERT INTO `shop` VALUES ('70069', '40153', '10', '350', '0', '175');
INSERT INTO `shop` VALUES ('70069', '40146', '11', '350', '0', '175');
INSERT INTO `shop` VALUES ('70069', '40139', '12', '700', '0', '350');
INSERT INTO `shop` VALUES ('70069', '40143', '13', '700', '0', '350');
INSERT INTO `shop` VALUES ('70069', '40156', '14', '700', '0', '350');
INSERT INTO `shop` VALUES ('70069', '40148', '15', '700', '0', '350');
INSERT INTO `shop` VALUES ('70069', '40155', '16', '700', '0', '350');
INSERT INTO `shop` VALUES ('70069', '40147', '17', '700', '0', '350');
INSERT INTO `shop` VALUES ('70069', '40136', '18', '920', '0', '460');
INSERT INTO `shop` VALUES ('70069', '40138', '19', '2100', '0', '1050');
INSERT INTO `shop` VALUES ('70069', '40137', '20', '4375', '0', '2188');
INSERT INTO `shop` VALUES ('70069', '40158', '21', '87', '0', '44');
INSERT INTO `shop` VALUES ('70069', '40140', '22', '87', '0', '44');
INSERT INTO `shop` VALUES ('70069', '40144', '23', '87', '0', '44');
INSERT INTO `shop` VALUES ('70069', '40150', '24', '87', '0', '44');
INSERT INTO `shop` VALUES ('70071', '40743', '0', '1', '10', '0');
INSERT INTO `shop` VALUES ('70071', '40001', '1', '10', '0', '5');
INSERT INTO `shop` VALUES ('70071', '40056', '2', '1', '0', '1');
INSERT INTO `shop` VALUES ('70071', '40065', '3', '5', '0', '3');
INSERT INTO `shop` VALUES ('70071', '40310', '4', '35', '0', '18');
INSERT INTO `shop` VALUES ('70071', '40311', '5', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70071', '40317', '6', '150', '0', '75');
INSERT INTO `shop` VALUES ('70071', '40010', '7', '37', '0', '19');
INSERT INTO `shop` VALUES ('70071', '40011', '8', '150', '0', '75');
INSERT INTO `shop` VALUES ('70071', '40017', '9', '70', '0', '35');
INSERT INTO `shop` VALUES ('70071', '40013', '10', '200', '0', '100');
INSERT INTO `shop` VALUES ('70071', '40018', '11', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70071', '40126', '12', '50', '0', '25');
INSERT INTO `shop` VALUES ('70071', '40100', '13', '70', '0', '35');
INSERT INTO `shop` VALUES ('70071', '40079', '14', '120', '0', '60');
INSERT INTO `shop` VALUES ('70071', '40124', '15', '120', '0', '60');
INSERT INTO `shop` VALUES ('70071', '40119', '16', '100', '0', '50');
INSERT INTO `shop` VALUES ('70071', '40009', '17', '990', '0', '495');
INSERT INTO `shop` VALUES ('70071', '40738', '18', '2', '0', '1');
INSERT INTO `shop` VALUES ('70071', '40740', '19', '3', '0', '2');
INSERT INTO `shop` VALUES ('70071', '40022', '20', '63', '0', '32');
INSERT INTO `shop` VALUES ('70071', '40023', '21', '375', '0', '188');
INSERT INTO `shop` VALUES ('70071', '40024', '22', '990', '0', '495');
INSERT INTO `shop` VALUES ('70072', '40056', '0', '1', '0', '1');
INSERT INTO `shop` VALUES ('70072', '40065', '1', '5', '0', '3');
INSERT INTO `shop` VALUES ('70072', '20213', '2', '300', '0', '150');
INSERT INTO `shop` VALUES ('70072', '40001', '3', '10', '0', '5');
INSERT INTO `shop` VALUES ('70072', '40002', '4', '100', '0', '50');
INSERT INTO `shop` VALUES ('70072', '40003', '5', '30', '0', '15');
INSERT INTO `shop` VALUES ('70072', '40379', '6', '67', '0', '34');
INSERT INTO `shop` VALUES ('70072', '40310', '7', '35', '0', '18');
INSERT INTO `shop` VALUES ('70072', '40311', '8', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70072', '40315', '9', '500', '0', '250');
INSERT INTO `shop` VALUES ('70072', '40317', '10', '150', '0', '75');
INSERT INTO `shop` VALUES ('70072', '40010', '11', '37', '0', '19');
INSERT INTO `shop` VALUES ('70072', '40011', '12', '150', '0', '75');
INSERT INTO `shop` VALUES ('70072', '40017', '13', '70', '0', '35');
INSERT INTO `shop` VALUES ('70072', '40013', '14', '200', '0', '100');
INSERT INTO `shop` VALUES ('70072', '40018', '15', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70072', '40126', '16', '50', '0', '25');
INSERT INTO `shop` VALUES ('70072', '40100', '17', '70', '0', '35');
INSERT INTO `shop` VALUES ('70072', '40079', '18', '120', '0', '60');
INSERT INTO `shop` VALUES ('70072', '40124', '19', '120', '0', '60');
INSERT INTO `shop` VALUES ('70072', '40119', '20', '100', '0', '50');
INSERT INTO `shop` VALUES ('70072', '40089', '21', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70072', '40009', '22', '990', '0', '495');
INSERT INTO `shop` VALUES ('70072', '40022', '23', '63', '0', '32');
INSERT INTO `shop` VALUES ('70072', '40023', '24', '375', '0', '188');
INSERT INTO `shop` VALUES ('70072', '40024', '25', '990', '0', '495');
INSERT INTO `shop` VALUES ('70073', '40743', '0', '1', '10', '0');
INSERT INTO `shop` VALUES ('70073', '4', '1', '8', '0', '4');
INSERT INTO `shop` VALUES ('70073', '40001', '2', '10', '0', '5');
INSERT INTO `shop` VALUES ('70073', '136', '3', '22', '0', '11');
INSERT INTO `shop` VALUES ('70073', '172', '4', '55', '0', '28');
INSERT INTO `shop` VALUES ('70073', '137', '5', '17', '0', '9');
INSERT INTO `shop` VALUES ('70073', '90', '6', '39', '0', '20');
INSERT INTO `shop` VALUES ('70073', '23', '7', '33', '0', '17');
INSERT INTO `shop` VALUES ('70073', '96', '8', '88', '0', '44');
INSERT INTO `shop` VALUES ('70073', '140', '9', '99', '0', '50');
INSERT INTO `shop` VALUES ('70073', '24', '10', '110', '0', '55');
INSERT INTO `shop` VALUES ('70073', '27', '11', '1320', '0', '660');
INSERT INTO `shop` VALUES ('70073', '31', '12', '3300', '0', '1650');
INSERT INTO `shop` VALUES ('70073', '20322', '13', '0', '0', '0');
INSERT INTO `shop` VALUES ('70073', '20239', '14', '60', '0', '30');
INSERT INTO `shop` VALUES ('70073', '20089', '15', '100', '0', '50');
INSERT INTO `shop` VALUES ('70073', '20147', '16', '300', '0', '150');
INSERT INTO `shop` VALUES ('70073', '20096', '17', '500', '0', '250');
INSERT INTO `shop` VALUES ('70073', '20114', '18', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70073', '20122', '19', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70073', '20242', '20', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70073', '20125', '21', '6000', '0', '3000');
INSERT INTO `shop` VALUES ('70073', '40056', '22', '1', '0', '1');
INSERT INTO `shop` VALUES ('70073', '40065', '23', '5', '0', '3');
INSERT INTO `shop` VALUES ('70073', '40017', '24', '70', '0', '35');
INSERT INTO `shop` VALUES ('70073', '40010', '25', '37', '0', '19');
INSERT INTO `shop` VALUES ('70073', '40011', '26', '150', '0', '75');
INSERT INTO `shop` VALUES ('70073', '40013', '27', '200', '0', '100');
INSERT INTO `shop` VALUES ('70073', '40018', '28', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70073', '40126', '29', '50', '0', '25');
INSERT INTO `shop` VALUES ('70073', '40738', '30', '2', '0', '1');
INSERT INTO `shop` VALUES ('70073', '40740', '31', '3', '0', '2');
INSERT INTO `shop` VALUES ('70074', '40056', '0', '1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40065', '1', '5', '0', '3');
INSERT INTO `shop` VALUES ('70074', '20213', '2', '300', '0', '150');
INSERT INTO `shop` VALUES ('70074', '40001', '3', '10', '0', '5');
INSERT INTO `shop` VALUES ('70074', '40002', '4', '100', '0', '50');
INSERT INTO `shop` VALUES ('70074', '40003', '5', '30', '0', '15');
INSERT INTO `shop` VALUES ('70074', '40380', '6', '62', '0', '31');
INSERT INTO `shop` VALUES ('70074', '40310', '7', '35', '0', '18');
INSERT INTO `shop` VALUES ('70074', '40311', '8', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70074', '40315', '9', '500', '0', '250');
INSERT INTO `shop` VALUES ('70074', '40317', '10', '150', '0', '75');
INSERT INTO `shop` VALUES ('70074', '4', '11', '8', '0', '4');
INSERT INTO `shop` VALUES ('70074', '40010', '12', '37', '0', '19');
INSERT INTO `shop` VALUES ('70074', '40011', '13', '150', '0', '75');
INSERT INTO `shop` VALUES ('70074', '40012', '14', '300', '0', '150');
INSERT INTO `shop` VALUES ('70074', '40017', '15', '70', '0', '35');
INSERT INTO `shop` VALUES ('70074', '40013', '16', '200', '0', '100');
INSERT INTO `shop` VALUES ('70074', '40018', '17', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70074', '40126', '18', '50', '0', '25');
INSERT INTO `shop` VALUES ('70074', '40100', '19', '70', '0', '35');
INSERT INTO `shop` VALUES ('70074', '40119', '20', '100', '0', '50');
INSERT INTO `shop` VALUES ('70074', '40089', '21', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70074', '40079', '22', '120', '0', '60');
INSERT INTO `shop` VALUES ('70074', '40124', '23', '120', '0', '60');
INSERT INTO `shop` VALUES ('70074', '42027', '24', '100', '0', '50');
INSERT INTO `shop` VALUES ('70074', '40009', '25', '990', '0', '495');
INSERT INTO `shop` VALUES ('70074', '40022', '26', '63', '0', '32');
INSERT INTO `shop` VALUES ('70074', '40023', '27', '375', '0', '188');
INSERT INTO `shop` VALUES ('70074', '40024', '28', '990', '0', '495');
INSERT INTO `shop` VALUES ('70078', '40141', '0', '175', '0', '88');
INSERT INTO `shop` VALUES ('70078', '40145', '1', '175', '0', '88');
INSERT INTO `shop` VALUES ('70078', '40160', '2', '175', '0', '88');
INSERT INTO `shop` VALUES ('70078', '40152', '3', '175', '0', '88');
INSERT INTO `shop` VALUES ('70078', '40151', '4', '175', '0', '88');
INSERT INTO `shop` VALUES ('70078', '40159', '5', '175', '0', '88');
INSERT INTO `shop` VALUES ('70078', '40149', '6', '350', '0', '175');
INSERT INTO `shop` VALUES ('70078', '40157', '7', '350', '0', '175');
INSERT INTO `shop` VALUES ('70078', '40142', '8', '350', '0', '175');
INSERT INTO `shop` VALUES ('70078', '40161', '9', '350', '0', '175');
INSERT INTO `shop` VALUES ('70078', '40153', '10', '350', '0', '175');
INSERT INTO `shop` VALUES ('70078', '40146', '11', '350', '0', '175');
INSERT INTO `shop` VALUES ('70078', '40139', '12', '700', '0', '350');
INSERT INTO `shop` VALUES ('70078', '40143', '13', '700', '0', '350');
INSERT INTO `shop` VALUES ('70078', '40156', '14', '700', '0', '350');
INSERT INTO `shop` VALUES ('70078', '40148', '15', '700', '0', '350');
INSERT INTO `shop` VALUES ('70078', '40155', '16', '700', '0', '350');
INSERT INTO `shop` VALUES ('70078', '40147', '17', '700', '0', '350');
INSERT INTO `shop` VALUES ('70078', '40136', '18', '920', '0', '460');
INSERT INTO `shop` VALUES ('70078', '40138', '19', '2100', '0', '1050');
INSERT INTO `shop` VALUES ('70078', '40137', '20', '4375', '0', '2188');
INSERT INTO `shop` VALUES ('70078', '40158', '21', '87', '0', '44');
INSERT INTO `shop` VALUES ('70078', '40140', '22', '87', '0', '44');
INSERT INTO `shop` VALUES ('70078', '40144', '23', '87', '0', '44');
INSERT INTO `shop` VALUES ('70078', '40150', '24', '87', '0', '44');
INSERT INTO `shop` VALUES ('70079', '40743', '0', '1', '10', '0');
INSERT INTO `shop` VALUES ('70079', '4', '1', '8', '0', '4');
INSERT INTO `shop` VALUES ('70079', '40001', '2', '10', '0', '5');
INSERT INTO `shop` VALUES ('70079', '136', '3', '22', '0', '11');
INSERT INTO `shop` VALUES ('70079', '172', '4', '55', '0', '28');
INSERT INTO `shop` VALUES ('70079', '20043', '5', '200', '0', '100');
INSERT INTO `shop` VALUES ('70079', '20322', '6', '0', '0', '0');
INSERT INTO `shop` VALUES ('70079', '40056', '7', '1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40065', '8', '5', '0', '3');
INSERT INTO `shop` VALUES ('70079', '40377', '9', '67', '0', '34');
INSERT INTO `shop` VALUES ('70079', '40310', '10', '35', '0', '18');
INSERT INTO `shop` VALUES ('70079', '40311', '11', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70079', '40317', '12', '150', '0', '75');
INSERT INTO `shop` VALUES ('70079', '40010', '13', '37', '0', '19');
INSERT INTO `shop` VALUES ('70079', '40017', '14', '70', '0', '35');
INSERT INTO `shop` VALUES ('70079', '40013', '15', '200', '0', '100');
INSERT INTO `shop` VALUES ('70079', '40018', '16', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70079', '40126', '17', '50', '0', '25');
INSERT INTO `shop` VALUES ('70079', '40100', '18', '70', '0', '35');
INSERT INTO `shop` VALUES ('70079', '42027', '19', '100', '0', '50');
INSERT INTO `shop` VALUES ('70079', '40009', '20', '990', '0', '495');
INSERT INTO `shop` VALUES ('70079', '40739', '21', '1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40738', '22', '2', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40740', '23', '3', '0', '2');
INSERT INTO `shop` VALUES ('70079', '40022', '24', '63', '0', '32');
INSERT INTO `shop` VALUES ('70079', '40023', '25', '375', '0', '188');
INSERT INTO `shop` VALUES ('70079', '40024', '26', '990', '0', '495');
INSERT INTO `shop` VALUES ('70081', '40744', '0', '5', '5', '1');
INSERT INTO `shop` VALUES ('70081', '40032', '1', '300', '0', '150');
INSERT INTO `shop` VALUES ('70081', '40010', '2', '37', '0', '19');
INSERT INTO `shop` VALUES ('70081', '40011', '3', '150', '0', '75');
INSERT INTO `shop` VALUES ('70081', '40012', '4', '300', '0', '150');
INSERT INTO `shop` VALUES ('70081', '40017', '5', '70', '0', '35');
INSERT INTO `shop` VALUES ('70081', '40013', '6', '200', '0', '100');
INSERT INTO `shop` VALUES ('70081', '40018', '7', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70081', '40317', '8', '150', '0', '75');
INSERT INTO `shop` VALUES ('70081', '40126', '9', '50', '0', '25');
INSERT INTO `shop` VALUES ('70081', '40100', '10', '70', '0', '35');
INSERT INTO `shop` VALUES ('70081', '40119', '11', '100', '0', '50');
INSERT INTO `shop` VALUES ('70081', '40089', '12', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70081', '40079', '13', '120', '0', '60');
INSERT INTO `shop` VALUES ('70081', '40124', '14', '120', '0', '60');
INSERT INTO `shop` VALUES ('70081', '40739', '15', '1', '0', '1');
INSERT INTO `shop` VALUES ('70081', '40738', '16', '2', '0', '1');
INSERT INTO `shop` VALUES ('70081', '40740', '17', '3', '0', '2');
INSERT INTO `shop` VALUES ('70082', '40056', '0', '1', '0', '1');
INSERT INTO `shop` VALUES ('70082', '40065', '1', '5', '0', '3');
INSERT INTO `shop` VALUES ('70082', '20213', '2', '300', '0', '150');
INSERT INTO `shop` VALUES ('70082', '20205', '3', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70082', '40001', '4', '10', '0', '5');
INSERT INTO `shop` VALUES ('70082', '40002', '5', '100', '0', '50');
INSERT INTO `shop` VALUES ('70082', '40003', '6', '30', '0', '15');
INSERT INTO `shop` VALUES ('70082', '40385', '7', '67', '0', '34');
INSERT INTO `shop` VALUES ('70082', '40310', '8', '35', '0', '18');
INSERT INTO `shop` VALUES ('70082', '40311', '9', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70082', '40317', '10', '150', '0', '75');
INSERT INTO `shop` VALUES ('70082', '40315', '11', '500', '0', '250');
INSERT INTO `shop` VALUES ('70082', '40010', '12', '37', '0', '19');
INSERT INTO `shop` VALUES ('70082', '40011', '13', '150', '0', '75');
INSERT INTO `shop` VALUES ('70082', '40012', '14', '300', '0', '150');
INSERT INTO `shop` VALUES ('70082', '40017', '15', '70', '0', '35');
INSERT INTO `shop` VALUES ('70082', '40013', '16', '200', '0', '100');
INSERT INTO `shop` VALUES ('70082', '40018', '17', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70082', '40019', '18', '55', '0', '28');
INSERT INTO `shop` VALUES ('70082', '40020', '19', '300', '0', '150');
INSERT INTO `shop` VALUES ('70082', '40021', '20', '900', '0', '450');
INSERT INTO `shop` VALUES ('70082', '40126', '21', '50', '0', '25');
INSERT INTO `shop` VALUES ('70082', '40100', '22', '70', '0', '35');
INSERT INTO `shop` VALUES ('70082', '40119', '23', '100', '0', '50');
INSERT INTO `shop` VALUES ('70082', '40089', '24', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70082', '40079', '25', '120', '0', '60');
INSERT INTO `shop` VALUES ('70082', '40124', '26', '120', '0', '60');
INSERT INTO `shop` VALUES ('70082', '40088', '27', '1300', '0', '650');
INSERT INTO `shop` VALUES ('70082', '40074', '28', '31000', '0', '15500');
INSERT INTO `shop` VALUES ('70082', '40087', '29', '75000', '0', '37500');
INSERT INTO `shop` VALUES ('70082', '42027', '30', '100', '0', '50');
INSERT INTO `shop` VALUES ('70082', '40009', '31', '990', '0', '495');
INSERT INTO `shop` VALUES ('70082', '40022', '32', '63', '0', '32');
INSERT INTO `shop` VALUES ('70082', '40023', '33', '375', '0', '188');
INSERT INTO `shop` VALUES ('70082', '40024', '34', '990', '0', '495');
INSERT INTO `shop` VALUES ('70083', '40743', '0', '1', '10', '0');
INSERT INTO `shop` VALUES ('70083', '40744', '1', '5', '5', '1');
INSERT INTO `shop` VALUES ('70083', '172', '2', '55', '0', '28');
INSERT INTO `shop` VALUES ('70083', '143', '3', '770', '0', '385');
INSERT INTO `shop` VALUES ('70083', '141', '4', '1100', '0', '550');
INSERT INTO `shop` VALUES ('70083', '23', '5', '33', '0', '17');
INSERT INTO `shop` VALUES ('70083', '24', '6', '110', '0', '55');
INSERT INTO `shop` VALUES ('70083', '20239', '7', '60', '0', '30');
INSERT INTO `shop` VALUES ('70083', '20242', '8', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70083', '20043', '9', '200', '0', '100');
INSERT INTO `shop` VALUES ('70083', '20089', '10', '100', '0', '50');
INSERT INTO `shop` VALUES ('70083', '20147', '11', '300', '0', '150');
INSERT INTO `shop` VALUES ('70083', '20096', '12', '500', '0', '250');
INSERT INTO `shop` VALUES ('70083', '20122', '13', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70083', '40739', '14', '1', '0', '1');
INSERT INTO `shop` VALUES ('70083', '40738', '15', '2', '0', '1');
INSERT INTO `shop` VALUES ('70083', '40740', '16', '3', '0', '2');
INSERT INTO `shop` VALUES ('70085', '40141', '0', '175', '0', '88');
INSERT INTO `shop` VALUES ('70085', '40145', '1', '175', '0', '88');
INSERT INTO `shop` VALUES ('70085', '40160', '2', '175', '0', '88');
INSERT INTO `shop` VALUES ('70085', '40152', '3', '175', '0', '88');
INSERT INTO `shop` VALUES ('70085', '40151', '4', '175', '0', '88');
INSERT INTO `shop` VALUES ('70085', '40159', '5', '175', '0', '88');
INSERT INTO `shop` VALUES ('70085', '40149', '6', '350', '0', '175');
INSERT INTO `shop` VALUES ('70085', '40157', '7', '350', '0', '175');
INSERT INTO `shop` VALUES ('70085', '40142', '8', '350', '0', '175');
INSERT INTO `shop` VALUES ('70085', '40161', '9', '350', '0', '175');
INSERT INTO `shop` VALUES ('70085', '40153', '10', '350', '0', '175');
INSERT INTO `shop` VALUES ('70085', '40146', '11', '350', '0', '175');
INSERT INTO `shop` VALUES ('70085', '40139', '12', '700', '0', '350');
INSERT INTO `shop` VALUES ('70085', '40143', '13', '700', '0', '350');
INSERT INTO `shop` VALUES ('70085', '40156', '14', '700', '0', '350');
INSERT INTO `shop` VALUES ('70085', '40148', '15', '700', '0', '350');
INSERT INTO `shop` VALUES ('70085', '40155', '16', '700', '0', '350');
INSERT INTO `shop` VALUES ('70085', '40147', '17', '700', '0', '350');
INSERT INTO `shop` VALUES ('70085', '40136', '18', '920', '0', '460');
INSERT INTO `shop` VALUES ('70085', '40138', '19', '2100', '0', '1050');
INSERT INTO `shop` VALUES ('70085', '40137', '20', '4375', '0', '2188');
INSERT INTO `shop` VALUES ('70085', '40158', '21', '87', '0', '44');
INSERT INTO `shop` VALUES ('70085', '40140', '22', '87', '0', '44');
INSERT INTO `shop` VALUES ('70085', '40144', '23', '87', '0', '44');
INSERT INTO `shop` VALUES ('70085', '40150', '24', '87', '0', '44');
INSERT INTO `shop` VALUES ('70086', '40300', '0', '15000', '0', '7500');
INSERT INTO `shop` VALUES ('70088', '40056', '0', '1', '0', '1');
INSERT INTO `shop` VALUES ('70088', '40743', '1', '1', '10', '0');
INSERT INTO `shop` VALUES ('70088', '40744', '2', '5', '5', '1');
INSERT INTO `shop` VALUES ('70088', '40126', '3', '50', '0', '25');
INSERT INTO `shop` VALUES ('70088', '40100', '4', '70', '0', '35');
INSERT INTO `shop` VALUES ('70088', '40079', '5', '120', '0', '60');
INSERT INTO `shop` VALUES ('70088', '40119', '6', '100', '0', '50');
INSERT INTO `shop` VALUES ('70088', '40089', '7', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70088', '42027', '8', '100', '0', '50');
INSERT INTO `shop` VALUES ('70088', '20011', '9', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('70088', '20089', '10', '100', '0', '50');
INSERT INTO `shop` VALUES ('70088', '20096', '11', '500', '0', '250');
INSERT INTO `shop` VALUES ('70088', '20213', '12', '300', '0', '150');
INSERT INTO `shop` VALUES ('70088', '20205', '13', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70088', '40001', '14', '10', '0', '5');
INSERT INTO `shop` VALUES ('70088', '40002', '15', '100', '0', '50');
INSERT INTO `shop` VALUES ('70088', '40003', '16', '30', '0', '15');
INSERT INTO `shop` VALUES ('70088', '40310', '17', '35', '0', '18');
INSERT INTO `shop` VALUES ('70088', '40317', '18', '150', '0', '75');
INSERT INTO `shop` VALUES ('70088', '40010', '19', '37', '0', '19');
INSERT INTO `shop` VALUES ('70088', '40011', '20', '150', '0', '75');
INSERT INTO `shop` VALUES ('70088', '40017', '21', '70', '0', '35');
INSERT INTO `shop` VALUES ('70088', '40013', '22', '200', '0', '100');
INSERT INTO `shop` VALUES ('70088', '69', '23', '800', '0', '400');
INSERT INTO `shop` VALUES ('70088', '71', '24', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70088', '72', '25', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('70088', '77', '26', '8000', '0', '4000');
INSERT INTO `shop` VALUES ('70088', '80', '27', '30000', '0', '15000');
INSERT INTO `shop` VALUES ('70088', '159', '28', '12000', '0', '6000');
INSERT INTO `shop` VALUES ('70088', '161', '29', '40000', '0', '20000');
INSERT INTO `shop` VALUES ('70088', '40738', '30', '2', '0', '1');
INSERT INTO `shop` VALUES ('70088', '40740', '31', '3', '0', '2');
INSERT INTO `shop` VALUES ('70088', '193', '32', '10000', '0', '5000');
INSERT INTO `shop` VALUES ('70089', '40301', '0', '15000', '0', '7500');
INSERT INTO `shop` VALUES ('70090', '40743', '0', '1', '10', '0');
INSERT INTO `shop` VALUES ('70090', '40056', '1', '1', '0', '1');
INSERT INTO `shop` VALUES ('70090', '40317', '2', '150', '0', '75');
INSERT INTO `shop` VALUES ('70090', '40310', '3', '35', '0', '18');
INSERT INTO `shop` VALUES ('70090', '40010', '4', '37', '0', '19');
INSERT INTO `shop` VALUES ('70090', '40011', '5', '150', '0', '75');
INSERT INTO `shop` VALUES ('70090', '40012', '6', '300', '0', '150');
INSERT INTO `shop` VALUES ('70090', '40017', '7', '70', '0', '35');
INSERT INTO `shop` VALUES ('70090', '40013', '8', '200', '0', '100');
INSERT INTO `shop` VALUES ('70090', '40018', '9', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70090', '40739', '10', '1', '0', '1');
INSERT INTO `shop` VALUES ('70090', '40738', '11', '2', '0', '1');
INSERT INTO `shop` VALUES ('70090', '40740', '12', '3', '0', '2');
INSERT INTO `shop` VALUES ('70091', '40743', '0', '1', '10', '0');
INSERT INTO `shop` VALUES ('70091', '40056', '1', '1', '0', '1');
INSERT INTO `shop` VALUES ('70091', '40317', '2', '150', '0', '75');
INSERT INTO `shop` VALUES ('70091', '40310', '3', '35', '0', '18');
INSERT INTO `shop` VALUES ('70091', '40010', '4', '37', '0', '19');
INSERT INTO `shop` VALUES ('70091', '40011', '5', '150', '0', '75');
INSERT INTO `shop` VALUES ('70091', '40012', '6', '300', '0', '150');
INSERT INTO `shop` VALUES ('70091', '40017', '7', '70', '0', '35');
INSERT INTO `shop` VALUES ('70091', '40013', '8', '200', '0', '100');
INSERT INTO `shop` VALUES ('70091', '40018', '9', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70091', '40739', '10', '1', '0', '1');
INSERT INTO `shop` VALUES ('70091', '40738', '11', '2', '0', '1');
INSERT INTO `shop` VALUES ('70091', '40740', '12', '3', '0', '2');
INSERT INTO `shop` VALUES ('70094', '40302', '0', '690', '0', '345');
INSERT INTO `shop` VALUES ('70094', '40303', '1', '50', '0', '25');
INSERT INTO `shop` VALUES ('70095', '40743', '0', '1', '10', '0');
INSERT INTO `shop` VALUES ('70095', '40744', '1', '5', '5', '1');
INSERT INTO `shop` VALUES ('70095', '172', '2', '50', '0', '25');
INSERT INTO `shop` VALUES ('70095', '143', '3', '700', '0', '350');
INSERT INTO `shop` VALUES ('70095', '141', '4', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70095', '23', '5', '30', '0', '15');
INSERT INTO `shop` VALUES ('70095', '24', '6', '100', '0', '50');
INSERT INTO `shop` VALUES ('70095', '40739', '7', '1', '2', '1');
INSERT INTO `shop` VALUES ('70095', '20239', '8', '60', '0', '30');
INSERT INTO `shop` VALUES ('70095', '20242', '9', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70095', '20043', '10', '100', '0', '50');
INSERT INTO `shop` VALUES ('70095', '20089', '11', '100', '0', '50');
INSERT INTO `shop` VALUES ('70095', '20147', '12', '300', '0', '150');
INSERT INTO `shop` VALUES ('70095', '20096', '13', '500', '0', '250');
INSERT INTO `shop` VALUES ('70095', '20122', '14', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70095', '40738', '15', '1', '0', '1');
INSERT INTO `shop` VALUES ('70095', '40740', '16', '2', '0', '1');
INSERT INTO `shop` VALUES ('70097', '40001', '0', '10', '0', '5');
INSERT INTO `shop` VALUES ('70097', '40056', '1', '1', '0', '1');
INSERT INTO `shop` VALUES ('70097', '40065', '2', '5', '0', '3');
INSERT INTO `shop` VALUES ('70097', '40310', '3', '35', '0', '18');
INSERT INTO `shop` VALUES ('70097', '40311', '4', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70097', '40317', '5', '150', '0', '75');
INSERT INTO `shop` VALUES ('70097', '40390', '6', '50', '0', '25');
INSERT INTO `shop` VALUES ('70097', '40010', '7', '37', '0', '19');
INSERT INTO `shop` VALUES ('70097', '40011', '8', '150', '0', '75');
INSERT INTO `shop` VALUES ('70097', '40017', '9', '70', '0', '35');
INSERT INTO `shop` VALUES ('70097', '40013', '10', '200', '0', '100');
INSERT INTO `shop` VALUES ('70097', '40018', '11', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70097', '40315', '12', '500', '0', '250');
INSERT INTO `shop` VALUES ('70097', '41160', '13', '2000', '10', '1000');
INSERT INTO `shop` VALUES ('70097', '40126', '14', '50', '0', '25');
INSERT INTO `shop` VALUES ('70097', '40100', '15', '70', '0', '35');
INSERT INTO `shop` VALUES ('70097', '40079', '16', '120', '0', '60');
INSERT INTO `shop` VALUES ('70097', '40124', '17', '120', '0', '60');
INSERT INTO `shop` VALUES ('70097', '40119', '18', '100', '0', '50');
INSERT INTO `shop` VALUES ('70097', '40022', '19', '63', '0', '32');
INSERT INTO `shop` VALUES ('70097', '40023', '20', '375', '0', '188');
INSERT INTO `shop` VALUES ('70097', '40024', '21', '990', '0', '495');
INSERT INTO `shop` VALUES ('70098', '40010', '0', '37', '0', '19');
INSERT INTO `shop` VALUES ('70098', '40011', '1', '150', '0', '75');
INSERT INTO `shop` VALUES ('70098', '40012', '2', '300', '0', '150');
INSERT INTO `shop` VALUES ('70098', '40017', '3', '70', '0', '35');
INSERT INTO `shop` VALUES ('70098', '40018', '4', '1500', '0', '750');
INSERT INTO `shop` VALUES ('71001', '40017', '0', '70', '0', '35');
INSERT INTO `shop` VALUES ('71001', '40010', '1', '37', '0', '19');
INSERT INTO `shop` VALUES ('71001', '40011', '2', '150', '0', '75');
INSERT INTO `shop` VALUES ('71001', '40013', '3', '200', '0', '100');
INSERT INTO `shop` VALUES ('71001', '40018', '4', '1500', '0', '750');
INSERT INTO `shop` VALUES ('81002', '21000', '0', '0', '0', '0');
INSERT INTO `shop` VALUES ('81002', '21001', '1', '0', '0', '0');
INSERT INTO `shop` VALUES ('81002', '21002', '2', '0', '0', '0');
INSERT INTO `shop` VALUES ('81002', '21003', '3', '0', '0', '0');
INSERT INTO `shop` VALUES ('81002', '21004', '4', '0', '0', '0');
INSERT INTO `shop` VALUES ('81002', '21005', '5', '0', '0', '0');
INSERT INTO `shop` VALUES ('81002', '21006', '6', '0', '0', '0');
INSERT INTO `shop` VALUES ('81002', '21007', '7', '0', '0', '0');
INSERT INTO `shop` VALUES ('81002', '21008', '8', '0', '0', '0');
INSERT INTO `shop` VALUES ('81002', '21009', '9', '0', '0', '0');
INSERT INTO `shop` VALUES ('81002', '21010', '10', '0', '0', '0');
INSERT INTO `shop` VALUES ('81002', '21011', '11', '0', '0', '0');
INSERT INTO `shop` VALUES ('81002', '21012', '12', '0', '0', '0');
INSERT INTO `shop` VALUES ('81002', '21013', '13', '0', '0', '0');
INSERT INTO `shop` VALUES ('81002', '21014', '14', '0', '0', '0');
INSERT INTO `shop` VALUES ('81002', '21015', '15', '0', '0', '0');
INSERT INTO `shop` VALUES ('81002', '21016', '16', '0', '0', '0');
INSERT INTO `shop` VALUES ('81002', '21017', '17', '0', '0', '0');
INSERT INTO `shop` VALUES ('81002', '21018', '18', '0', '0', '0');
INSERT INTO `shop` VALUES ('81002', '21019', '19', '0', '0', '0');
INSERT INTO `shop` VALUES ('81002', '21020', '20', '0', '0', '0');
INSERT INTO `shop` VALUES ('81002', '21021', '21', '0', '0', '0');
INSERT INTO `shop` VALUES ('81002', '21022', '22', '0', '0', '0');
INSERT INTO `shop` VALUES ('81002', '21023', '23', '0', '0', '0');
INSERT INTO `shop` VALUES ('81002', '21024', '24', '0', '0', '0');
INSERT INTO `shop` VALUES ('81002', '21025', '25', '0', '0', '0');
INSERT INTO `shop` VALUES ('81002', '21026', '26', '0', '0', '0');
INSERT INTO `shop` VALUES ('81002', '21027', '27', '0', '0', '0');
INSERT INTO `shop` VALUES ('81003', '5', '0', '1', '0', '1');
INSERT INTO `shop` VALUES ('81003', '10', '1', '1', '0', '1');
INSERT INTO `shop` VALUES ('81003', '2', '2', '240', '0', '120');
INSERT INTO `shop` VALUES ('81003', '8', '3', '1', '0', '1');
INSERT INTO `shop` VALUES ('81003', '9', '4', '1', '0', '1');
INSERT INTO `shop` VALUES ('81003', '13', '5', '1', '0', '1');
INSERT INTO `shop` VALUES ('81003', '14', '6', '1', '0', '1');
INSERT INTO `shop` VALUES ('81003', '12', '7', '1', '0', '1');
INSERT INTO `shop` VALUES ('81004', '29', '0', '13000', '0', '6500');
INSERT INTO `shop` VALUES ('81004', '49', '1', '1', '0', '1');
INSERT INTO `shop` VALUES ('81004', '50', '2', '1', '0', '1');
INSERT INTO `shop` VALUES ('81004', '54', '3', '1', '0', '1');
INSERT INTO `shop` VALUES ('81004', '55', '4', '1', '0', '1');
INSERT INTO `shop` VALUES ('81004', '57', '5', '10000', '0', '5000');
INSERT INTO `shop` VALUES ('81004', '68', '6', '1', '0', '1');
INSERT INTO `shop` VALUES ('81004', '59', '7', '1', '0', '1');
INSERT INTO `shop` VALUES ('81004', '63', '8', '1', '0', '1');
INSERT INTO `shop` VALUES ('81004', '60', '9', '1', '0', '1');
INSERT INTO `shop` VALUES ('81004', '58', '10', '1', '0', '1');
INSERT INTO `shop` VALUES ('81005', '64', '0', '1', '0', '1');
INSERT INTO `shop` VALUES ('81005', '53', '1', '1', '0', '1');
INSERT INTO `shop` VALUES ('81005', '62', '2', '1', '0', '1');
INSERT INTO `shop` VALUES ('81005', '67', '3', '10000', '0', '5000');
INSERT INTO `shop` VALUES ('81005', '16', '4', '1', '0', '1');
INSERT INTO `shop` VALUES ('81005', '66', '5', '1', '0', '1');
INSERT INTO `shop` VALUES ('81006', '102', '0', '11000', '0', '5500');
INSERT INTO `shop` VALUES ('81006', '103', '1', '2200', '0', '1100');
INSERT INTO `shop` VALUES ('81006', '104', '2', '8800', '0', '4400');
INSERT INTO `shop` VALUES ('81006', '99', '3', '1', '0', '1');
INSERT INTO `shop` VALUES ('81006', '106', '4', '17600', '0', '8800');
INSERT INTO `shop` VALUES ('81006', '107', '5', '1', '0', '1');
INSERT INTO `shop` VALUES ('81007', '137', '0', '17', '0', '9');
INSERT INTO `shop` VALUES ('81007', '140', '1', '99', '0', '50');
INSERT INTO `shop` VALUES ('81007', '144', '2', '500', '0', '250');
INSERT INTO `shop` VALUES ('81007', '142', '3', '8800', '0', '4400');
INSERT INTO `shop` VALUES ('81007', '145', '4', '1', '0', '1');
INSERT INTO `shop` VALUES ('81007', '148', '5', '14300', '0', '7150');
INSERT INTO `shop` VALUES ('81007', '151', '6', '1', '0', '1');
INSERT INTO `shop` VALUES ('81007', '149', '7', '1', '0', '1');
INSERT INTO `shop` VALUES ('81008', '74', '0', '1', '0', '1');
INSERT INTO `shop` VALUES ('81008', '79', '1', '1', '0', '1');
INSERT INTO `shop` VALUES ('81008', '83', '2', '1', '0', '1');
INSERT INTO `shop` VALUES ('81008', '76', '3', '1', '0', '1');
INSERT INTO `shop` VALUES ('81008', '82', '4', '1', '0', '1');
INSERT INTO `shop` VALUES ('81008', '78', '5', '1', '0', '1');
INSERT INTO `shop` VALUES ('81008', '84', '6', '1', '0', '1');
INSERT INTO `shop` VALUES ('81008', '85', '7', '1', '0', '1');
INSERT INTO `shop` VALUES ('81009', '157', '0', '1', '0', '1');
INSERT INTO `shop` VALUES ('81009', '162', '1', '1', '0', '1');
INSERT INTO `shop` VALUES ('81009', '155', '2', '1', '0', '1');
INSERT INTO `shop` VALUES ('81009', '163', '3', '1', '0', '1');
INSERT INTO `shop` VALUES ('81009', '164', '4', '1', '0', '1');
INSERT INTO `shop` VALUES ('81009', '165', '5', '1', '0', '1');
INSERT INTO `shop` VALUES ('81009', '166', '6', '1', '0', '1');
INSERT INTO `shop` VALUES ('81010', '115', '0', '1', '0', '1');
INSERT INTO `shop` VALUES ('81010', '116', '1', '1', '0', '1');
INSERT INTO `shop` VALUES ('81010', '118', '2', '1', '0', '1');
INSERT INTO `shop` VALUES ('81010', '126', '3', '1', '0', '1');
INSERT INTO `shop` VALUES ('81010', '131', '4', '20000', '0', '10000');
INSERT INTO `shop` VALUES ('81010', '124', '5', '1', '0', '1');
INSERT INTO `shop` VALUES ('81010', '121', '6', '1', '0', '1');
INSERT INTO `shop` VALUES ('81010', '119', '7', '1', '0', '1');
INSERT INTO `shop` VALUES ('81011', '169', '0', '5000', '0', '2500');
INSERT INTO `shop` VALUES ('81011', '180', '1', '1', '0', '1');
INSERT INTO `shop` VALUES ('81011', '181', '2', '1', '0', '1');
INSERT INTO `shop` VALUES ('81011', '179', '3', '1', '0', '1');
INSERT INTO `shop` VALUES ('81011', '184', '4', '1', '0', '1');
INSERT INTO `shop` VALUES ('81011', '185', '5', '1', '0', '1');
INSERT INTO `shop` VALUES ('81011', '182', '6', '1', '0', '1');
INSERT INTO `shop` VALUES ('81011', '190', '7', '1', '0', '1');
INSERT INTO `shop` VALUES ('81011', '40743', '8', '1', '10', '0');
INSERT INTO `shop` VALUES ('81011', '40744', '9', '5', '5', '1');
INSERT INTO `shop` VALUES ('81012', '20011', '0', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81012', '20027', '1', '0', '0', '0');
INSERT INTO `shop` VALUES ('81012', '20033', '2', '0', '0', '0');
INSERT INTO `shop` VALUES ('81012', '20004', '3', '0', '0', '0');
INSERT INTO `shop` VALUES ('81012', '20017', '4', '0', '0', '0');
INSERT INTO `shop` VALUES ('81012', '20343', '5', '0', '0', '0');
INSERT INTO `shop` VALUES ('81012', '20047', '6', '0', '0', '0');
INSERT INTO `shop` VALUES ('81013', '20230', '0', '0', '0', '0');
INSERT INTO `shop` VALUES ('81013', '20236', '1', '2300', '0', '1150');
INSERT INTO `shop` VALUES ('81013', '20234', '2', '0', '0', '0');
INSERT INTO `shop` VALUES ('81013', '20233', '3', '0', '0', '0');
INSERT INTO `shop` VALUES ('81013', '20225', '4', '0', '0', '0');
INSERT INTO `shop` VALUES ('81013', '20235', '5', '0', '0', '0');
INSERT INTO `shop` VALUES ('81014', '20163', '0', '0', '0', '0');
INSERT INTO `shop` VALUES ('81014', '20175', '1', '0', '0', '0');
INSERT INTO `shop` VALUES ('81014', '20171', '2', '0', '0', '0');
INSERT INTO `shop` VALUES ('81014', '20191', '3', '0', '0', '0');
INSERT INTO `shop` VALUES ('81014', '20176', '4', '0', '0', '0');
INSERT INTO `shop` VALUES ('81014', '20187', '5', '0', '0', '0');
INSERT INTO `shop` VALUES ('81014', '20168', '6', '0', '0', '0');
INSERT INTO `shop` VALUES ('81014', '20164', '7', '0', '0', '0');
INSERT INTO `shop` VALUES ('81014', '20178', '8', '0', '0', '0');
INSERT INTO `shop` VALUES ('81014', '20186', '9', '0', '0', '0');
INSERT INTO `shop` VALUES ('81015', '20194', '0', '0', '0', '0');
INSERT INTO `shop` VALUES ('81015', '20195', '1', '0', '0', '0');
INSERT INTO `shop` VALUES ('81015', '20211', '2', '0', '0', '0');
INSERT INTO `shop` VALUES ('81015', '20218', '3', '0', '0', '0');
INSERT INTO `shop` VALUES ('81015', '20200', '4', '0', '0', '0');
INSERT INTO `shop` VALUES ('81015', '20208', '5', '0', '0', '0');
INSERT INTO `shop` VALUES ('81015', '20201', '6', '0', '0', '0');
INSERT INTO `shop` VALUES ('81015', '20216', '7', '0', '0', '0');
INSERT INTO `shop` VALUES ('81016', '20085', '0', '0', '0', '0');
INSERT INTO `shop` VALUES ('81016', '20084', '1', '0', '0', '0');
INSERT INTO `shop` VALUES ('81016', '20086', '2', '0', '0', '0');
INSERT INTO `shop` VALUES ('81016', '20087', '3', '0', '0', '0');
INSERT INTO `shop` VALUES ('81016', '20088', '4', '0', '0', '0');
INSERT INTO `shop` VALUES ('81017', '20113', '0', '0', '0', '0');
INSERT INTO `shop` VALUES ('81017', '20110', '1', '8000', '0', '4000');
INSERT INTO `shop` VALUES ('81017', '20095', '2', '0', '0', '0');
INSERT INTO `shop` VALUES ('81017', '20094', '3', '0', '0', '0');
INSERT INTO `shop` VALUES ('81017', '20092', '4', '0', '0', '0');
INSERT INTO `shop` VALUES ('81017', '20093', '5', '0', '0', '0');
INSERT INTO `shop` VALUES ('81017', '20109', '6', '0', '0', '0');
INSERT INTO `shop` VALUES ('81017', '20134', '7', '0', '0', '0');
INSERT INTO `shop` VALUES ('81017', '20106', '8', '0', '0', '0');
INSERT INTO `shop` VALUES ('81017', '20152', '9', '0', '0', '0');
INSERT INTO `shop` VALUES ('81018', '20056', '0', '100', '0', '50');
INSERT INTO `shop` VALUES ('81018', '20074', '1', '0', '0', '0');
INSERT INTO `shop` VALUES ('81018', '20055', '2', '0', '0', '0');
INSERT INTO `shop` VALUES ('81018', '20051', '3', '0', '0', '0');
INSERT INTO `shop` VALUES ('81018', '20066', '4', '0', '0', '0');
INSERT INTO `shop` VALUES ('81018', '20075', '5', '0', '0', '0');
INSERT INTO `shop` VALUES ('81018', '20049', '6', '0', '0', '0');
INSERT INTO `shop` VALUES ('81018', '20050', '7', '0', '0', '0');
INSERT INTO `shop` VALUES ('81018', '20062', '8', '0', '0', '0');
INSERT INTO `shop` VALUES ('81018', '20057', '9', '0', '0', '0');
INSERT INTO `shop` VALUES ('81018', '20077', '10', '0', '0', '0');
INSERT INTO `shop` VALUES ('81018', '20076', '11', '0', '0', '0');
INSERT INTO `shop` VALUES ('81018', '20342', '12', '0', '0', '0');
INSERT INTO `shop` VALUES ('81018', '20079', '13', '0', '0', '0');
INSERT INTO `shop` VALUES ('81019', '20263', '0', '0', '0', '0');
INSERT INTO `shop` VALUES ('81019', '20264', '1', '0', '0', '0');
INSERT INTO `shop` VALUES ('81019', '20256', '2', '0', '0', '0');
INSERT INTO `shop` VALUES ('81019', '20268', '3', '0', '0', '0');
INSERT INTO `shop` VALUES ('81019', '20266', '4', '0', '0', '0');
INSERT INTO `shop` VALUES ('81019', '20267', '5', '0', '0', '0');
INSERT INTO `shop` VALUES ('81019', '20254', '6', '0', '0', '0');
INSERT INTO `shop` VALUES ('81019', '20257', '7', '0', '0', '0');
INSERT INTO `shop` VALUES ('81019', '20252', '8', '0', '0', '0');
INSERT INTO `shop` VALUES ('81019', '20255', '9', '0', '0', '0');
INSERT INTO `shop` VALUES ('81019', '20260', '10', '0', '0', '0');
INSERT INTO `shop` VALUES ('81019', '20269', '11', '0', '0', '0');
INSERT INTO `shop` VALUES ('81020', '20287', '0', '0', '0', '0');
INSERT INTO `shop` VALUES ('81020', '20280', '1', '0', '0', '0');
INSERT INTO `shop` VALUES ('81020', '20304', '2', '0', '0', '0');
INSERT INTO `shop` VALUES ('81020', '20285', '3', '0', '0', '0');
INSERT INTO `shop` VALUES ('81020', '20302', '4', '0', '0', '0');
INSERT INTO `shop` VALUES ('81020', '20300', '5', '0', '0', '0');
INSERT INTO `shop` VALUES ('81020', '20288', '6', '0', '0', '0');
INSERT INTO `shop` VALUES ('81020', '20281', '7', '0', '0', '0');
INSERT INTO `shop` VALUES ('81020', '20284', '8', '0', '0', '0');
INSERT INTO `shop` VALUES ('81020', '20298', '9', '0', '0', '0');
INSERT INTO `shop` VALUES ('81020', '20289', '10', '0', '0', '0');
INSERT INTO `shop` VALUES ('81020', '20279', '11', '0', '0', '0');
INSERT INTO `shop` VALUES ('81021', '20310', '0', '0', '0', '0');
INSERT INTO `shop` VALUES ('81021', '20309', '1', '0', '0', '0');
INSERT INTO `shop` VALUES ('81021', '20311', '2', '0', '0', '0');
INSERT INTO `shop` VALUES ('81021', '20321', '3', '0', '0', '0');
INSERT INTO `shop` VALUES ('81021', '20317', '4', '0', '0', '0');
INSERT INTO `shop` VALUES ('81021', '20320', '5', '0', '0', '0');
INSERT INTO `shop` VALUES ('81021', '20318', '6', '0', '0', '0');
INSERT INTO `shop` VALUES ('81021', '20313', '7', '0', '0', '0');
INSERT INTO `shop` VALUES ('81021', '20314', '8', '0', '0', '0');
INSERT INTO `shop` VALUES ('81022', '45000', '0', '100', '0', '50');
INSERT INTO `shop` VALUES ('81022', '45001', '1', '100', '0', '50');
INSERT INTO `shop` VALUES ('81022', '45002', '2', '100', '0', '50');
INSERT INTO `shop` VALUES ('81022', '45003', '3', '100', '0', '50');
INSERT INTO `shop` VALUES ('81022', '45004', '4', '100', '0', '50');
INSERT INTO `shop` VALUES ('81022', '45005', '5', '100', '0', '50');
INSERT INTO `shop` VALUES ('81022', '45006', '6', '100', '0', '50');
INSERT INTO `shop` VALUES ('81022', '45007', '7', '100', '0', '50');
INSERT INTO `shop` VALUES ('81022', '45008', '8', '100', '0', '50');
INSERT INTO `shop` VALUES ('81022', '45009', '9', '100', '0', '50');
INSERT INTO `shop` VALUES ('81022', '45010', '10', '100', '0', '50');
INSERT INTO `shop` VALUES ('81022', '45011', '11', '100', '0', '50');
INSERT INTO `shop` VALUES ('81022', '45012', '12', '100', '0', '50');
INSERT INTO `shop` VALUES ('81022', '45013', '13', '100', '0', '50');
INSERT INTO `shop` VALUES ('81022', '45014', '14', '100', '0', '50');
INSERT INTO `shop` VALUES ('81022', '45015', '15', '100', '0', '50');
INSERT INTO `shop` VALUES ('81022', '45016', '16', '100', '0', '50');
INSERT INTO `shop` VALUES ('81022', '45017', '17', '100', '0', '50');
INSERT INTO `shop` VALUES ('81022', '45018', '18', '100', '0', '50');
INSERT INTO `shop` VALUES ('81022', '45019', '19', '100', '0', '50');
INSERT INTO `shop` VALUES ('81022', '45020', '20', '100', '0', '50');
INSERT INTO `shop` VALUES ('81022', '45021', '21', '100', '0', '50');
INSERT INTO `shop` VALUES ('81022', '45022', '22', '100', '0', '50');
INSERT INTO `shop` VALUES ('81022', '40170', '23', '3300', '0', '1000');
INSERT INTO `shop` VALUES ('81022', '40171', '24', '3300', '0', '1000');
INSERT INTO `shop` VALUES ('81022', '40172', '25', '3300', '0', '1000');
INSERT INTO `shop` VALUES ('81022', '40173', '26', '3300', '0', '1000');
INSERT INTO `shop` VALUES ('81022', '40174', '27', '3300', '0', '1000');
INSERT INTO `shop` VALUES ('81022', '40175', '28', '3300', '0', '1000');
INSERT INTO `shop` VALUES ('81022', '40176', '29', '3300', '0', '1000');
INSERT INTO `shop` VALUES ('81022', '40177', '30', '3300', '0', '1000');
INSERT INTO `shop` VALUES ('81022', '40178', '31', '3300', '0', '2000');
INSERT INTO `shop` VALUES ('81022', '40179', '32', '8250', '0', '2000');
INSERT INTO `shop` VALUES ('81022', '40180', '33', '8250', '0', '2000');
INSERT INTO `shop` VALUES ('81022', '40181', '34', '8250', '0', '2000');
INSERT INTO `shop` VALUES ('81022', '40182', '35', '8250', '0', '2000');
INSERT INTO `shop` VALUES ('81022', '40183', '36', '8250', '0', '2000');
INSERT INTO `shop` VALUES ('81022', '40184', '37', '8250', '0', '2000');
INSERT INTO `shop` VALUES ('81022', '40185', '38', '5000', '0', '2000');
INSERT INTO `shop` VALUES ('81022', '40186', '39', '5000', '0', '3000');
INSERT INTO `shop` VALUES ('81022', '40187', '40', '5000', '0', '3000');
INSERT INTO `shop` VALUES ('81022', '40188', '41', '5000', '0', '3000');
INSERT INTO `shop` VALUES ('81022', '40189', '42', '5000', '0', '3000');
INSERT INTO `shop` VALUES ('81022', '40190', '43', '5000', '0', '3000');
INSERT INTO `shop` VALUES ('81022', '40191', '44', '5000', '0', '3000');
INSERT INTO `shop` VALUES ('81022', '40192', '45', '5000', '0', '3000');
INSERT INTO `shop` VALUES ('81022', '40193', '46', '50', '0', '3000');
INSERT INTO `shop` VALUES ('81022', '40194', '47', '5000', '0', '4000');
INSERT INTO `shop` VALUES ('81022', '40195', '48', '50', '0', '4000');
INSERT INTO `shop` VALUES ('81022', '40196', '49', '50', '0', '4000');
INSERT INTO `shop` VALUES ('81022', '40197', '50', '50', '0', '4000');
INSERT INTO `shop` VALUES ('81022', '40198', '51', '50', '0', '4000');
INSERT INTO `shop` VALUES ('81022', '40199', '52', '50', '0', '4000');
INSERT INTO `shop` VALUES ('81022', '40200', '53', '50', '0', '4000');
INSERT INTO `shop` VALUES ('81022', '40201', '54', '50', '0', '4000');
INSERT INTO `shop` VALUES ('81022', '40202', '55', '50', '0', '5000');
INSERT INTO `shop` VALUES ('81022', '40203', '56', '50', '0', '5000');
INSERT INTO `shop` VALUES ('81022', '40204', '57', '50', '0', '5000');
INSERT INTO `shop` VALUES ('81022', '40205', '58', '50', '0', '25');
INSERT INTO `shop` VALUES ('81022', '40206', '59', '50', '0', '5000');
INSERT INTO `shop` VALUES ('81022', '40207', '60', '50', '0', '5000');
INSERT INTO `shop` VALUES ('81022', '40208', '61', '50', '0', '5000');
INSERT INTO `shop` VALUES ('81022', '40209', '62', '50', '0', '5000');
INSERT INTO `shop` VALUES ('81022', '40210', '63', '50', '0', '8000');
INSERT INTO `shop` VALUES ('81022', '40211', '64', '50', '0', '8000');
INSERT INTO `shop` VALUES ('81022', '40212', '65', '50', '0', '8000');
INSERT INTO `shop` VALUES ('81022', '40213', '66', '50', '0', '8000');
INSERT INTO `shop` VALUES ('81022', '40214', '67', '50', '0', '8000');
INSERT INTO `shop` VALUES ('81022', '40215', '68', '50', '0', '8000');
INSERT INTO `shop` VALUES ('81022', '40216', '69', '50', '0', '8000');
INSERT INTO `shop` VALUES ('81022', '40217', '70', '50', '0', '8000');
INSERT INTO `shop` VALUES ('81022', '40218', '71', '50', '0', '25');
INSERT INTO `shop` VALUES ('81022', '40219', '72', '50', '0', '10000');
INSERT INTO `shop` VALUES ('81022', '40220', '73', '50', '0', '10000');
INSERT INTO `shop` VALUES ('81022', '40221', '74', '50', '0', '10000');
INSERT INTO `shop` VALUES ('81022', '40222', '75', '50', '0', '10000');
INSERT INTO `shop` VALUES ('81022', '40223', '76', '50', '0', '10000');
INSERT INTO `shop` VALUES ('81022', '40224', '77', '50', '0', '10000');
INSERT INTO `shop` VALUES ('81022', '40225', '78', '50', '0', '10000');
INSERT INTO `shop` VALUES ('81023', '40232', '0', '3300', '0', '25');
INSERT INTO `shop` VALUES ('81023', '40233', '1', '3300', '0', '25');
INSERT INTO `shop` VALUES ('81023', '40234', '2', '3300', '0', '25');
INSERT INTO `shop` VALUES ('81023', '40235', '3', '8250', '0', '4125');
INSERT INTO `shop` VALUES ('81023', '40236', '4', '8250', '0', '25');
INSERT INTO `shop` VALUES ('81023', '40237', '5', '50', '0', '25');
INSERT INTO `shop` VALUES ('81023', '40238', '6', '50', '0', '25');
INSERT INTO `shop` VALUES ('81023', '40239', '7', '50', '0', '25');
INSERT INTO `shop` VALUES ('81023', '40240', '8', '50', '0', '25');
INSERT INTO `shop` VALUES ('81023', '40241', '9', '50', '0', '25');
INSERT INTO `shop` VALUES ('81023', '40242', '10', '50', '0', '25');
INSERT INTO `shop` VALUES ('81023', '40243', '11', '50', '0', '25');
INSERT INTO `shop` VALUES ('81023', '40244', '12', '50', '0', '25');
INSERT INTO `shop` VALUES ('81023', '40245', '13', '50', '0', '25');
INSERT INTO `shop` VALUES ('81023', '40246', '14', '50', '0', '25');
INSERT INTO `shop` VALUES ('81023', '40247', '15', '15000', '0', '25');
INSERT INTO `shop` VALUES ('81023', '40248', '16', '15000', '0', '25');
INSERT INTO `shop` VALUES ('81023', '40249', '17', '15000', '0', '25');
INSERT INTO `shop` VALUES ('81023', '40250', '18', '15000', '0', '25');
INSERT INTO `shop` VALUES ('81023', '40251', '19', '15000', '0', '25');
INSERT INTO `shop` VALUES ('81023', '40252', '20', '15000', '0', '25');
INSERT INTO `shop` VALUES ('81023', '40253', '21', '15000', '0', '25');
INSERT INTO `shop` VALUES ('81023', '40254', '22', '15000', '0', '25');
INSERT INTO `shop` VALUES ('81023', '40255', '23', '15000', '0', '25');
INSERT INTO `shop` VALUES ('81023', '40256', '24', '15000', '0', '25');
INSERT INTO `shop` VALUES ('81023', '40257', '25', '15000', '0', '25');
INSERT INTO `shop` VALUES ('81023', '40258', '26', '15000', '0', '25');
INSERT INTO `shop` VALUES ('81023', '40259', '27', '15000', '0', '25');
INSERT INTO `shop` VALUES ('81023', '40260', '28', '15000', '0', '25');
INSERT INTO `shop` VALUES ('81023', '40261', '29', '15000', '0', '25');
INSERT INTO `shop` VALUES ('81023', '40262', '30', '15000', '0', '25');
INSERT INTO `shop` VALUES ('81023', '40263', '31', '15000', '0', '25');
INSERT INTO `shop` VALUES ('81023', '40264', '32', '15000', '0', '25');
INSERT INTO `shop` VALUES ('81024', '40265', '0', '15000', '0', '25');
INSERT INTO `shop` VALUES ('81024', '40266', '1', '15000', '0', '25');
INSERT INTO `shop` VALUES ('81024', '40267', '2', '15000', '0', '25');
INSERT INTO `shop` VALUES ('81024', '40268', '3', '15000', '0', '25');
INSERT INTO `shop` VALUES ('81024', '40269', '4', '50', '0', '25');
INSERT INTO `shop` VALUES ('81024', '40270', '5', '50', '0', '25');
INSERT INTO `shop` VALUES ('81024', '40271', '6', '50', '0', '25');
INSERT INTO `shop` VALUES ('81024', '40272', '7', '50', '0', '25');
INSERT INTO `shop` VALUES ('81024', '40273', '8', '50', '0', '25');
INSERT INTO `shop` VALUES ('81024', '40274', '9', '50', '0', '25');
INSERT INTO `shop` VALUES ('81024', '40275', '10', '50', '0', '25');
INSERT INTO `shop` VALUES ('81024', '40276', '11', '50', '0', '25');
INSERT INTO `shop` VALUES ('81024', '40277', '12', '50', '0', '25');
INSERT INTO `shop` VALUES ('81024', '40278', '13', '50', '0', '25');
INSERT INTO `shop` VALUES ('81024', '40279', '14', '50', '0', '25');
INSERT INTO `shop` VALUES ('81025', '40164', '0', '50', '0', '25');
INSERT INTO `shop` VALUES ('81025', '40165', '1', '50', '0', '25');
INSERT INTO `shop` VALUES ('81025', '40166', '2', '50', '0', '25');
INSERT INTO `shop` VALUES ('81026', '40226', '0', '50', '0', '25');
INSERT INTO `shop` VALUES ('81026', '40227', '1', '50', '0', '25');
INSERT INTO `shop` VALUES ('81026', '40228', '2', '50', '0', '25');
INSERT INTO `shop` VALUES ('81026', '40229', '3', '50', '0', '25');
INSERT INTO `shop` VALUES ('81026', '40230', '4', '50', '0', '25');
INSERT INTO `shop` VALUES ('81026', '40231', '5', '50', '0', '25');
INSERT INTO `shop` VALUES ('81027', '40019', '0', '55', '0', '28');
INSERT INTO `shop` VALUES ('81027', '40020', '1', '300', '0', '150');
INSERT INTO `shop` VALUES ('81027', '40021', '2', '900', '0', '450');
INSERT INTO `shop` VALUES ('81027', '40043', '3', '870', '0', '435');
INSERT INTO `shop` VALUES ('81027', '40017', '4', '70', '0', '35');
INSERT INTO `shop` VALUES ('81027', '40013', '5', '200', '0', '100');
INSERT INTO `shop` VALUES ('81027', '40014', '6', '800', '0', '400');
INSERT INTO `shop` VALUES ('81027', '40067', '7', '1000', '0', '500');
INSERT INTO `shop` VALUES ('81027', '40015', '8', '777', '0', '389');
INSERT INTO `shop` VALUES ('81027', '40016', '9', '600', '0', '300');
INSERT INTO `shop` VALUES ('81027', '40068', '10', '1250', '0', '625');
INSERT INTO `shop` VALUES ('81027', '40031', '11', '650', '0', '325');
INSERT INTO `shop` VALUES ('81027', '40032', '12', '300', '0', '150');
INSERT INTO `shop` VALUES ('81027', '40039', '13', '920', '0', '460');
INSERT INTO `shop` VALUES ('81027', '40040', '14', '920', '0', '460');
INSERT INTO `shop` VALUES ('81027', '40318', '15', '243', '0', '122');
INSERT INTO `shop` VALUES ('81027', '40319', '16', '354', '0', '177');
INSERT INTO `shop` VALUES ('81027', '40321', '17', '352', '0', '176');
INSERT INTO `shop` VALUES ('81027', '40858', '18', '200', '0', '100');
INSERT INTO `shop` VALUES ('81028', '140100', '0', '1020', '0', '510');
INSERT INTO `shop` VALUES ('81028', '40100', '1', '70', '0', '35');
INSERT INTO `shop` VALUES ('81028', '40079', '2', '120', '0', '60');
INSERT INTO `shop` VALUES ('81028', '40089', '3', '1000', '0', '500');
INSERT INTO `shop` VALUES ('81028', '40088', '4', '1300', '0', '650');
INSERT INTO `shop` VALUES ('81028', '40126', '5', '50', '0', '25');
INSERT INTO `shop` VALUES ('81028', '40119', '6', '100', '0', '50');
INSERT INTO `shop` VALUES ('81028', '40075', '7', '150', '0', '75');
INSERT INTO `shop` VALUES ('81028', '40087', '8', '75000', '0', '37500');
INSERT INTO `shop` VALUES ('81028', '140087', '9', '245000', '0', '122500');
INSERT INTO `shop` VALUES ('81028', '240087', '10', '75220', '0', '37610');
INSERT INTO `shop` VALUES ('81028', '40074', '11', '31000', '0', '15500');
INSERT INTO `shop` VALUES ('81028', '140074', '12', '138500', '0', '69250');
INSERT INTO `shop` VALUES ('81028', '240074', '13', '34510', '0', '17255');
INSERT INTO `shop` VALUES ('81028', '40076', '14', '0', '0', '0');
INSERT INTO `shop` VALUES ('81029', '40101', '0', '500', '0', '250');
INSERT INTO `shop` VALUES ('81029', '40085', '1', '210', '0', '105');
INSERT INTO `shop` VALUES ('81029', '40117', '2', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '40080', '3', '210', '0', '105');
INSERT INTO `shop` VALUES ('81029', '40081', '4', '210', '0', '105');
INSERT INTO `shop` VALUES ('81029', '40095', '5', '0', '0', '0');
INSERT INTO `shop` VALUES ('81029', '40103', '6', '500', '0', '250');
INSERT INTO `shop` VALUES ('81029', '40114', '7', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '40115', '8', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '40116', '9', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '40122', '10', '500', '0', '250');
INSERT INTO `shop` VALUES ('81029', '40123', '11', '500', '0', '250');
INSERT INTO `shop` VALUES ('81029', '40125', '12', '500', '0', '250');
INSERT INTO `shop` VALUES ('81029', '40118', '13', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '40120', '14', '500', '0', '250');
INSERT INTO `shop` VALUES ('81029', '40121', '15', '500', '0', '250');
INSERT INTO `shop` VALUES ('81029', '40084', '16', '210', '0', '105');
INSERT INTO `shop` VALUES ('81029', '40102', '17', '500', '0', '250');
INSERT INTO `shop` VALUES ('81029', '40104', '18', '50', '0', '25');
INSERT INTO `shop` VALUES ('81029', '40105', '19', '50', '0', '25');
INSERT INTO `shop` VALUES ('81029', '40106', '20', '50', '0', '25');
INSERT INTO `shop` VALUES ('81029', '40107', '21', '50', '0', '25');
INSERT INTO `shop` VALUES ('81029', '40108', '22', '50', '0', '25');
INSERT INTO `shop` VALUES ('81029', '40109', '23', '50', '0', '25');
INSERT INTO `shop` VALUES ('81029', '40110', '24', '50', '0', '25');
INSERT INTO `shop` VALUES ('81029', '40111', '25', '50', '0', '25');
INSERT INTO `shop` VALUES ('81029', '40112', '26', '50', '0', '25');
INSERT INTO `shop` VALUES ('81029', '40802', '27', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '42026', '28', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', '42022', '29', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', '40842', '30', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '40844', '31', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '42001', '32', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', '42045', '33', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', '42046', '34', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', '42024', '35', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', '42025', '36', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', '42023', '37', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', '40824', '38', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '40825', '39', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '40826', '40', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '40817', '41', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '40818', '42', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '40819', '43', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '40807', '44', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '40808', '45', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '40813', '46', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '40814', '47', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '40830', '48', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '40831', '49', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '40832', '50', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '40833', '51', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '40834', '52', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '40827', '53', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '40828', '54', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '40829', '55', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '40803', '56', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '40801', '57', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '40809', '58', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '40811', '59', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '40843', '60', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '40812', '61', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '40810', '62', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '40835', '63', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '40836', '64', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '40837', '65', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '40838', '66', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '40839', '67', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '40840', '68', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '40841', '69', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '42006', '70', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', '42008', '71', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', '42009', '72', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', '42010', '73', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', '40815', '74', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '40816', '75', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '42005', '76', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', '40820', '77', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '40821', '78', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '40822', '79', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '40823', '80', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '42002', '81', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', '42003', '82', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', '42004', '83', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', '40845', '84', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '40846', '85', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '40847', '86', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '40848', '87', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '42040', '88', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', '42041', '89', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', '42042', '90', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', '42043', '91', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', '40856', '92', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '40852', '93', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '42048', '94', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', '40853', '95', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '40855', '96', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '42021', '97', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', '40854', '98', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '40857', '99', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '42011', '100', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', '42012', '101', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', '42013', '102', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', '42014', '103', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', '42016', '104', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', '42018', '105', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', '42019', '106', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', '42020', '107', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', '42039', '108', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', '42038', '109', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', '42037', '110', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', '42036', '111', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', '42035', '112', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', '42033', '113', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', '42032', '114', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', '42031', '115', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', '42030', '116', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', '42029', '117', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', '40804', '118', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '40805', '119', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '40806', '120', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '40849', '121', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '40850', '122', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '42047', '123', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', '40851', '124', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '42007', '125', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', '42049', '126', '500', '0', '250');
INSERT INTO `shop` VALUES ('81029', '42017', '127', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', '42050', '128', '500', '0', '250');
INSERT INTO `shop` VALUES ('81029', '42051', '129', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '42052', '130', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '42053', '131', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', '42054', '132', '200', '0', '100');
INSERT INTO `shop` VALUES ('81110', '45000', '0', '100', '0', '50');
INSERT INTO `shop` VALUES ('81110', '45001', '1', '100', '0', '50');
INSERT INTO `shop` VALUES ('81110', '45002', '2', '100', '0', '50');
INSERT INTO `shop` VALUES ('81110', '45003', '3', '100', '0', '50');
INSERT INTO `shop` VALUES ('81110', '45004', '4', '100', '0', '50');
INSERT INTO `shop` VALUES ('81110', '45005', '5', '100', '0', '50');
INSERT INTO `shop` VALUES ('81110', '45006', '6', '100', '0', '50');
INSERT INTO `shop` VALUES ('81110', '45007', '7', '100', '0', '50');
INSERT INTO `shop` VALUES ('81110', '45008', '8', '100', '0', '50');
INSERT INTO `shop` VALUES ('81110', '45009', '9', '100', '0', '50');
INSERT INTO `shop` VALUES ('81110', '45010', '10', '100', '0', '50');
INSERT INTO `shop` VALUES ('81110', '45011', '11', '100', '0', '50');
INSERT INTO `shop` VALUES ('81110', '45012', '12', '100', '0', '50');
INSERT INTO `shop` VALUES ('81110', '45013', '13', '100', '0', '50');
INSERT INTO `shop` VALUES ('81110', '45014', '14', '100', '0', '50');
INSERT INTO `shop` VALUES ('81110', '45015', '15', '100', '0', '50');
INSERT INTO `shop` VALUES ('81110', '45016', '16', '100', '0', '50');
INSERT INTO `shop` VALUES ('81110', '45017', '17', '100', '0', '50');
INSERT INTO `shop` VALUES ('81110', '45018', '18', '100', '0', '50');
INSERT INTO `shop` VALUES ('81110', '45019', '19', '100', '0', '50');
INSERT INTO `shop` VALUES ('81110', '45020', '20', '100', '0', '50');
INSERT INTO `shop` VALUES ('81110', '45021', '21', '100', '0', '50');
INSERT INTO `shop` VALUES ('81110', '45022', '22', '100', '0', '50');
INSERT INTO `shop` VALUES ('81118', '49013', '0', '100000', '0', '50000');
INSERT INTO `shop` VALUES ('70074', '40004', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40005', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40006', '0', '-1', '0', '16500');
INSERT INTO `shop` VALUES ('70074', '40007', '0', '-1', '0', '2475');
INSERT INTO `shop` VALUES ('70074', '40008', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70074', '40014', '0', '-1', '0', '470');
INSERT INTO `shop` VALUES ('70074', '40015', '0', '-1', '0', '388');
INSERT INTO `shop` VALUES ('70074', '40016', '0', '-1', '0', '495');
INSERT INTO `shop` VALUES ('70074', '40019', '0', '-1', '0', '48');
INSERT INTO `shop` VALUES ('70074', '40020', '0', '-1', '0', '132');
INSERT INTO `shop` VALUES ('70074', '40021', '0', '-1', '0', '506');
INSERT INTO `shop` VALUES ('70074', '40025', '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70074', '40026', '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70074', '40027', '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70074', '40028', '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70074', '40029', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40030', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40031', '0', '-1', '0', '325');
INSERT INTO `shop` VALUES ('70074', '40032', '0', '-1', '0', '170');
INSERT INTO `shop` VALUES ('70074', '40039', '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70074', '40040', '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70074', '40041', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40042', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40043', '0', '-1', '0', '435');
INSERT INTO `shop` VALUES ('70074', '40044', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70074', '40045', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70074', '40046', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70074', '40047', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70074', '40048', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70074', '40049', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70074', '40050', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70074', '40051', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70074', '40052', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70074', '40053', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70074', '40054', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70074', '40055', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70074', '20001', '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70074', '40057', '0', '-1', '0', '32');
INSERT INTO `shop` VALUES ('70074', '40058', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40059', '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70074', '40060', '0', '-1', '0', '6');
INSERT INTO `shop` VALUES ('70074', '40061', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70074', '40062', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70074', '40063', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40064', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70074', '40066', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40067', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70074', '40068', '0', '-1', '0', '625');
INSERT INTO `shop` VALUES ('70074', '40069', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70074', '40071', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40072', '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70074', '20073', '0', '-1', '0', '575');
INSERT INTO `shop` VALUES ('70074', '40074', '0', '-1', '0', '16000');
INSERT INTO `shop` VALUES ('70074', '40075', '0', '-1', '0', '75');
INSERT INTO `shop` VALUES ('70074', '40077', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40078', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40080', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70074', '40081', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70074', '40082', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70074', '40083', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70074', '40084', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70074', '40085', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70074', '40086', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70074', '40087', '0', '-1', '0', '35000');
INSERT INTO `shop` VALUES ('70074', '40088', '0', '-1', '0', '1150');
INSERT INTO `shop` VALUES ('70074', '40090', '0', '-1', '0', '85');
INSERT INTO `shop` VALUES ('70074', '40091', '0', '-1', '0', '330');
INSERT INTO `shop` VALUES ('70074', '40092', '0', '-1', '0', '825');
INSERT INTO `shop` VALUES ('70074', '40093', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40094', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40095', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40096', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40097', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40098', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40099', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20002', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20006', '0', '-1', '0', '3500');
INSERT INTO `shop` VALUES ('70074', '20007', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20008', '0', '-1', '0', '300');
INSERT INTO `shop` VALUES ('70074', '20011', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70074', '20012', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20013', '0', '-1', '0', '1100');
INSERT INTO `shop` VALUES ('70074', '20014', '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70074', '20015', '0', '-1', '0', '9000');
INSERT INTO `shop` VALUES ('70074', '20019', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20023', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20026', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20028', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20032', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20034', '0', '-1', '0', '75');
INSERT INTO `shop` VALUES ('70074', '20036', '0', '-1', '0', '6000');
INSERT INTO `shop` VALUES ('70074', '20037', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20038', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20043', '0', '-1', '0', '140');
INSERT INTO `shop` VALUES ('70074', '20044', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20045', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20052', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70074', '20053', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20056', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70074', '20063', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20072', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', '120011', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70074', '20075', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20081', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70074', '20085', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20089', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70074', '20090', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20096', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70074', '20097', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20098', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20101', '0', '-1', '0', '16100');
INSERT INTO `shop` VALUES ('70074', '20102', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20103', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20104', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20105', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20110', '0', '-1', '0', '5600');
INSERT INTO `shop` VALUES ('70074', '20111', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20114', '0', '-1', '0', '700');
INSERT INTO `shop` VALUES ('70074', '20115', '0', '-1', '0', '14000');
INSERT INTO `shop` VALUES ('70074', '20120', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20122', '0', '-1', '0', '1400');
INSERT INTO `shop` VALUES ('70074', '20124', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20125', '0', '-1', '0', '4200');
INSERT INTO `shop` VALUES ('70074', '20126', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20128', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20132', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20133', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20135', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70074', '20136', '0', '-1', '0', '400');
INSERT INTO `shop` VALUES ('70074', '20139', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20145', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20147', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70074', '20148', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20149', '0', '-1', '0', '11200');
INSERT INTO `shop` VALUES ('70074', '20154', '0', '-1', '0', '18500');
INSERT INTO `shop` VALUES ('70074', '20155', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20161', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20162', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20172', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20173', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20174', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20175', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20177', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20178', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20181', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20182', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20188', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20189', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20191', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20192', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20193', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20196', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20199', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20200', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20205', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70074', '20206', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20207', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20210', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20212', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20217', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20219', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20221', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20222', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20223', '0', '-1', '0', '120');
INSERT INTO `shop` VALUES ('70074', '20224', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20227', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20229', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70074', '20231', '0', '-1', '0', '3500');
INSERT INTO `shop` VALUES ('70074', '20232', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20235', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20236', '0', '-1', '0', '1150');
INSERT INTO `shop` VALUES ('70074', '20237', '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70074', '20238', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20239', '0', '-1', '0', '30');
INSERT INTO `shop` VALUES ('70074', '20241', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20242', '0', '-1', '0', '600');
INSERT INTO `shop` VALUES ('70074', '20322', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '20351', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '120043', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70074', '120056', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70074', '120101', '0', '-1', '0', '5750');
INSERT INTO `shop` VALUES ('70074', '120128', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '120137', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '120149', '0', '-1', '0', '9000');
INSERT INTO `shop` VALUES ('70074', '120154', '0', '-1', '0', '25900');
INSERT INTO `shop` VALUES ('70074', '120182', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '120242', '0', '-1', '0', '1600');
INSERT INTO `shop` VALUES ('70074', '220034', '0', '-1', '0', '75');
INSERT INTO `shop` VALUES ('70074', '220043', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70074', '220056', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70074', '220101', '0', '-1', '0', '5750');
INSERT INTO `shop` VALUES ('70074', '220115', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70074', '220122', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70074', '220125', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70074', '220135', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70074', '220136', '0', '-1', '0', '400');
INSERT INTO `shop` VALUES ('70074', '220147', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70074', '220154', '0', '-1', '0', '18500');
INSERT INTO `shop` VALUES ('70074', '220213', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70074', '220237', '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70074', '1', '0', '-1', '0', '16');
INSERT INTO `shop` VALUES ('70074', '2', '0', '-1', '0', '120');
INSERT INTO `shop` VALUES ('70074', '6', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '7', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '10', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '15', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '21', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70074', '23', '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70074', '24', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70074', '25', '0', '-1', '0', '900');
INSERT INTO `shop` VALUES ('70074', '26', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70074', '27', '0', '-1', '0', '660');
INSERT INTO `shop` VALUES ('70074', '29', '0', '-1', '0', '6500');
INSERT INTO `shop` VALUES ('70074', '31', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70074', '32', '0', '-1', '0', '1275');
INSERT INTO `shop` VALUES ('70074', '33', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '34', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '35', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '37', '0', '-1', '0', '2750');
INSERT INTO `shop` VALUES ('70074', '38', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '39', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '41', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70074', '43', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '48', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '52', '0', '-1', '0', '9900');
INSERT INTO `shop` VALUES ('70074', '69', '0', '-1', '0', '400');
INSERT INTO `shop` VALUES ('70074', '71', '0', '-1', '0', '750');
INSERT INTO `shop` VALUES ('70074', '72', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70074', '73', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '75', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '76', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '77', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70074', '80', '0', '-1', '0', '15000');
INSERT INTO `shop` VALUES ('70074', '87', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '90', '0', '-1', '0', '27');
INSERT INTO `shop` VALUES ('70074', '91', '0', '-1', '0', '80');
INSERT INTO `shop` VALUES ('70074', '92', '0', '-1', '0', '89');
INSERT INTO `shop` VALUES ('70074', '93', '0', '-1', '0', '13');
INSERT INTO `shop` VALUES ('70074', '94', '0', '-1', '0', '225');
INSERT INTO `shop` VALUES ('70074', '95', '0', '-1', '0', '33');
INSERT INTO `shop` VALUES ('70074', '96', '0', '-1', '0', '44');
INSERT INTO `shop` VALUES ('70074', '97', '0', '-1', '0', '110');
INSERT INTO `shop` VALUES ('70074', '98', '0', '-1', '0', '192');
INSERT INTO `shop` VALUES ('70074', '101', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '102', '0', '-1', '0', '5500');
INSERT INTO `shop` VALUES ('70074', '103', '0', '-1', '0', '1100');
INSERT INTO `shop` VALUES ('70074', '104', '0', '-1', '0', '4400');
INSERT INTO `shop` VALUES ('70074', '105', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '106', '0', '-1', '0', '8800');
INSERT INTO `shop` VALUES ('70074', '220', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '219', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '216', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '125', '0', '-1', '0', '4500');
INSERT INTO `shop` VALUES ('70074', '128', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70074', '129', '0', '-1', '0', '1250');
INSERT INTO `shop` VALUES ('70074', '135', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '136', '0', '-1', '0', '11');
INSERT INTO `shop` VALUES ('70074', '137', '0', '-1', '0', '8');
INSERT INTO `shop` VALUES ('70074', '138', '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70074', '139', '0', '-1', '0', '22');
INSERT INTO `shop` VALUES ('70074', '140', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70074', '141', '0', '-1', '0', '550');
INSERT INTO `shop` VALUES ('70074', '142', '0', '-1', '0', '4400');
INSERT INTO `shop` VALUES ('70074', '143', '0', '-1', '0', '385');
INSERT INTO `shop` VALUES ('70074', '144', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70074', '145', '0', '-1', '0', '900');
INSERT INTO `shop` VALUES ('70074', '146', '0', '-1', '0', '1925');
INSERT INTO `shop` VALUES ('70074', '147', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '148', '0', '-1', '0', '7150');
INSERT INTO `shop` VALUES ('70074', '150', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '152', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70074', '153', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70074', '154', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', '156', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '157', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '158', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '159', '0', '-1', '0', '6000');
INSERT INTO `shop` VALUES ('70074', '161', '0', '-1', '0', '20000');
INSERT INTO `shop` VALUES ('70074', '168', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '169', '0', '-1', '0', '3500');
INSERT INTO `shop` VALUES ('70074', '170', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '171', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70074', '172', '0', '-1', '0', '26');
INSERT INTO `shop` VALUES ('70074', '173', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '174', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '175', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '176', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '186', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '187', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '191', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '193', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '215', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '214', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '211', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '209', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '208', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '206', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '223', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '224', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '225', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '226', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '228', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '230', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '100004', '0', '-1', '0', '4');
INSERT INTO `shop` VALUES ('70074', '100025', '0', '-1', '0', '990');
INSERT INTO `shop` VALUES ('70074', '100027', '0', '-1', '0', '1320');
INSERT INTO `shop` VALUES ('70074', '100029', '0', '-1', '0', '715');
INSERT INTO `shop` VALUES ('70074', '100037', '0', '-1', '0', '2750');
INSERT INTO `shop` VALUES ('70074', '100041', '0', '-1', '0', '11000');
INSERT INTO `shop` VALUES ('70074', '100052', '0', '-1', '0', '9900');
INSERT INTO `shop` VALUES ('70074', '100095', '0', '-1', '0', '33');
INSERT INTO `shop` VALUES ('70074', '100098', '0', '-1', '0', '192');
INSERT INTO `shop` VALUES ('70074', '100102', '0', '-1', '0', '5500');
INSERT INTO `shop` VALUES ('70074', '100103', '0', '-1', '0', '1100');
INSERT INTO `shop` VALUES ('70074', '100143', '0', '-1', '0', '385');
INSERT INTO `shop` VALUES ('70074', '100169', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '100172', '0', '-1', '0', '27');
INSERT INTO `shop` VALUES ('70074', '200001', '0', '-1', '0', '16');
INSERT INTO `shop` VALUES ('70074', '200002', '0', '-1', '0', '1375');
INSERT INTO `shop` VALUES ('70074', '200027', '0', '-1', '0', '320');
INSERT INTO `shop` VALUES ('70074', '200032', '0', '-1', '0', '9900');
INSERT INTO `shop` VALUES ('70074', '200041', '0', '-1', '0', '-1');
INSERT INTO `shop` VALUES ('70074', '200052', '0', '-1', '0', '-1');
INSERT INTO `shop` VALUES ('70074', '200171', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70074', '220001', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '220004', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '220003', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '220005', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '220002', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '50000', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70074', '140074', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70074', '140087', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70074', '140068', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70074', '140506', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '140119', '0', '-1', '0', '435');
INSERT INTO `shop` VALUES ('70074', '140100', '0', '-1', '0', '510');
INSERT INTO `shop` VALUES ('70074', '140089', '0', '-1', '0', '1067');
INSERT INTO `shop` VALUES ('70074', '140088', '0', '-1', '0', '1211');
INSERT INTO `shop` VALUES ('70074', '140072', '0', '-1', '0', '17');
INSERT INTO `shop` VALUES ('70074', '140069', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70074', '140065', '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70074', '140062', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70074', '140061', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70074', '140018', '0', '-1', '0', '1361');
INSERT INTO `shop` VALUES ('70074', '140016', '0', '-1', '0', '495');
INSERT INTO `shop` VALUES ('70074', '140015', '0', '-1', '0', '388');
INSERT INTO `shop` VALUES ('70074', '140014', '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70074', '140013', '0', '-1', '0', '206');
INSERT INTO `shop` VALUES ('70074', '140012', '0', '-1', '0', '495');
INSERT INTO `shop` VALUES ('70074', '140011', '0', '-1', '0', '106');
INSERT INTO `shop` VALUES ('70074', '140010', '0', '-1', '0', '32');
INSERT INTO `shop` VALUES ('70074', '140008', '0', '-1', '0', '30000');
INSERT INTO `shop` VALUES ('70074', '140006', '0', '-1', '0', '16500');
INSERT INTO `shop` VALUES ('70074', '40101', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70074', '40102', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70074', '40103', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70074', '40104', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', '40105', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', '40106', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', '40107', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', '40108', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', '40109', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', '40110', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', '40111', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', '40112', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', '40113', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', '40114', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70074', '40115', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70074', '40116', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70074', '40117', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70074', '40118', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70074', '40120', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70074', '40121', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70074', '40122', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70074', '40123', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70074', '40125', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70074', '40127', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40128', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40129', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40130', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40131', '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70074', '40132', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70074', '40133', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', '40134', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', '40135', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70074', '40136', '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70074', '40137', '0', '-1', '0', '2187');
INSERT INTO `shop` VALUES ('70074', '40138', '0', '-1', '0', '1050');
INSERT INTO `shop` VALUES ('70074', '40139', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70074', '40140', '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70074', '40141', '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70074', '40142', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70074', '40143', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70074', '40144', '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70074', '40145', '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70074', '40146', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70074', '40147', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70074', '40148', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70074', '40149', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70074', '40150', '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70074', '40151', '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70074', '40152', '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70074', '40153', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70074', '40154', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70074', '40155', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70074', '40156', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70074', '40157', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70074', '40158', '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70074', '40159', '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70074', '40160', '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70074', '40161', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70074', '40163', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40164', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70074', '40165', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', '40166', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', '40167', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40168', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40169', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40170', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70074', '40171', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70074', '40172', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70074', '40173', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70074', '40174', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70074', '40175', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70074', '40176', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70074', '40177', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70074', '40178', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70074', '40179', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70074', '40180', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70074', '40181', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70074', '40182', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70074', '40183', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70074', '40184', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70074', '40185', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70074', '40186', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70074', '40187', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70074', '40188', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70074', '40189', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70074', '40190', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70074', '40191', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70074', '40192', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70074', '40193', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70074', '40194', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70074', '40195', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70074', '40196', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70074', '40197', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70074', '40198', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70074', '40199', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70074', '40200', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70074', '40201', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70074', '40202', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70074', '40203', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70074', '40204', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70074', '40205', '0', '-1', '0', '6000');
INSERT INTO `shop` VALUES ('70074', '40206', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70074', '40207', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70074', '40208', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70074', '40209', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70074', '40210', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70074', '40211', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70074', '40212', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70074', '40213', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70074', '40214', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70074', '40215', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70074', '40216', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70074', '40217', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70074', '40218', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', '40219', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70074', '40220', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70074', '40221', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70074', '40222', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70074', '40223', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70074', '40224', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70074', '40225', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70074', '40226', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', '40227', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', '40228', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', '40229', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', '40230', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', '40231', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', '40265', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', '40266', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', '40267', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', '40268', '0', '-1', '0', '1625');
INSERT INTO `shop` VALUES ('70074', '40269', '0', '-1', '0', '1625');
INSERT INTO `shop` VALUES ('70074', '40270', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70074', '40271', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70074', '40272', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70074', '40273', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70074', '40274', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70074', '40275', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70074', '40276', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70074', '40277', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70074', '40278', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70074', '40279', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70074', '40280', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', '40298', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70074', '40299', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70074', '40300', '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70074', '40301', '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70074', '40302', '0', '-1', '0', '345');
INSERT INTO `shop` VALUES ('70074', '40303', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', '40309', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', '40312', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40313', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40318', '0', '-1', '0', '122');
INSERT INTO `shop` VALUES ('70074', '40319', '0', '-1', '0', '177');
INSERT INTO `shop` VALUES ('70074', '40320', '0', '-1', '0', '121');
INSERT INTO `shop` VALUES ('70074', '40321', '0', '-1', '0', '171');
INSERT INTO `shop` VALUES ('70074', '40322', '0', '-1', '0', '435');
INSERT INTO `shop` VALUES ('70074', '40323', '0', '-1', '0', '715');
INSERT INTO `shop` VALUES ('70074', '40324', '0', '-1', '0', '1256');
INSERT INTO `shop` VALUES ('70074', '40325', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70074', '40326', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70074', '40327', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70074', '40328', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70074', '40329', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40331', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70074', '40332', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70074', '40333', '0', '-1', '0', '50000');
INSERT INTO `shop` VALUES ('70074', '40334', '0', '-1', '0', '20000');
INSERT INTO `shop` VALUES ('70074', '40335', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70074', '40336', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70074', '40337', '0', '-1', '0', '65000');
INSERT INTO `shop` VALUES ('70074', '40338', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70074', '40339', '0', '-1', '0', '30000');
INSERT INTO `shop` VALUES ('70074', '40340', '0', '-1', '0', '40000');
INSERT INTO `shop` VALUES ('70074', '40341', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40342', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40343', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40344', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40345', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40346', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40347', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40348', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40349', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40350', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40351', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40352', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40353', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40354', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40355', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40356', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40357', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40358', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40359', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40360', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40361', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40362', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40363', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40364', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40365', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40366', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40367', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40368', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40369', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40370', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40371', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40372', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40373', '0', '-1', '0', '825');
INSERT INTO `shop` VALUES ('70074', '40374', '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70074', '40375', '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70074', '40376', '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70074', '40377', '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70074', '40378', '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70074', '40379', '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70074', '40381', '0', '-1', '0', '44');
INSERT INTO `shop` VALUES ('70074', '40382', '0', '-1', '0', '41');
INSERT INTO `shop` VALUES ('70074', '40383', '0', '-1', '0', '35');
INSERT INTO `shop` VALUES ('70074', '40384', '0', '-1', '0', '36');
INSERT INTO `shop` VALUES ('70074', '40385', '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70074', '40386', '0', '-1', '0', '31');
INSERT INTO `shop` VALUES ('70074', '40387', '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70074', '40388', '0', '-1', '0', '41');
INSERT INTO `shop` VALUES ('70074', '40389', '0', '-1', '0', '39');
INSERT INTO `shop` VALUES ('70074', '40390', '0', '-1', '0', '37');
INSERT INTO `shop` VALUES ('70074', '40391', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40392', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40393', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40394', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40395', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40396', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40397', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40398', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40399', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40400', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40401', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40402', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40403', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40404', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40405', '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70074', '40406', '0', '-1', '0', '17');
INSERT INTO `shop` VALUES ('70074', '40407', '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70074', '40408', '0', '-1', '0', '71');
INSERT INTO `shop` VALUES ('70074', '40409', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40410', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40411', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40412', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40413', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40414', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40415', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40416', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40417', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40418', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40419', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40420', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40421', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40422', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40423', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40424', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40425', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40426', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40427', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40428', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40429', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40430', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40431', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40432', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40433', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40434', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40435', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40436', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40437', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40438', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40439', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40440', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40441', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40442', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40443', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40444', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40445', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40446', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40447', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40448', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40449', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40450', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40451', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40452', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40453', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40454', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40455', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70074', '40456', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70074', '40457', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70074', '40458', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40459', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40460', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40461', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40462', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40463', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40464', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40465', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40467', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40468', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40469', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40470', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40471', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40472', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40473', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40474', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40475', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40476', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40477', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40478', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40479', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40480', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40481', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40482', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40483', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40484', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40485', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40486', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40487', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40488', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40489', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40490', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40491', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40492', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40493', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40494', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40495', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40496', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40497', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40498', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40499', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40500', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40501', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40502', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40503', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40504', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40505', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40506', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40507', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40508', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40509', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40510', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40511', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40512', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40514', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40515', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40516', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40517', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40518', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40519', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40520', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40521', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40522', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40523', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40524', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40526', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40527', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40528', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40529', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40530', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40531', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40532', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40533', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40534', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40535', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40536', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40537', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40538', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40539', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40540', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40541', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40542', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40543', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40544', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40545', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40546', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40547', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40548', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40549', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40550', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40551', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40552', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40553', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40554', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40556', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40557', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40558', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40559', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40560', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40561', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40562', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40563', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40564', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40565', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40566', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40567', '0', '-1', '0', '50000');
INSERT INTO `shop` VALUES ('70074', '40568', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40569', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40570', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40571', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40572', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40573', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40574', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40575', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40576', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40577', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40578', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40579', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40580', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40581', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40582', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40583', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40584', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40585', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40586', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40587', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40588', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40589', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40590', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40591', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40592', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40593', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40594', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40595', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40596', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40597', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40598', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40599', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40600', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40601', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40602', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40603', '0', '-1', '0', '50000');
INSERT INTO `shop` VALUES ('70074', '40604', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40605', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40606', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40607', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40608', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40609', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40610', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40611', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40612', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40613', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40614', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40615', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40616', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40617', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40618', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40619', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40620', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40621', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40622', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40623', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40624', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40625', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40626', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40627', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40628', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40629', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40630', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40631', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40632', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40633', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40634', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40635', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40636', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40637', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40638', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40639', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40640', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40641', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40642', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40643', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40644', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40645', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40646', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40647', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40648', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40649', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40650', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40651', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40652', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40653', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40654', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40655', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40656', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40657', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40658', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40659', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40660', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40661', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40662', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40663', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40664', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40665', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40666', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40667', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40668', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40669', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40670', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40671', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40672', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40673', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40674', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40675', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40676', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40677', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40678', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40679', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40680', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40681', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40682', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40683', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40684', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40685', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40686', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40687', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40688', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40689', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40690', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40691', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40692', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40693', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40694', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40695', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40696', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40697', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40698', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40699', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40700', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40701', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40702', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40703', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40704', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40705', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40706', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40707', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40708', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40709', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40710', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40711', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40712', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40713', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40714', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40715', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40716', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40717', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40718', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40719', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40720', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40721', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40722', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40723', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40724', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40726', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40727', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40728', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40729', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40730', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40731', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40732', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40733', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40734', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40735', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40736', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40737', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40738', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40739', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40740', '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70074', '40741', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40742', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40743', '0', '-1', '0', '0');
INSERT INTO `shop` VALUES ('70074', '40744', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40745', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70074', '40746', '0', '-1', '0', '7');
INSERT INTO `shop` VALUES ('70074', '40747', '0', '-1', '0', '10');
INSERT INTO `shop` VALUES ('70074', '40748', '0', '-1', '0', '13');
INSERT INTO `shop` VALUES ('70074', '40749', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70074', '40750', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70074', '40751', '0', '-1', '0', '25000');
INSERT INTO `shop` VALUES ('70074', '40752', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70074', '40753', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70074', '40754', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70074', '40755', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70074', '40756', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70074', '40757', '0', '-1', '0', '45000');
INSERT INTO `shop` VALUES ('70074', '40758', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40759', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40760', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40761', '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70074', '40762', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40763', '0', '-1', '0', '25000');
INSERT INTO `shop` VALUES ('70074', '40764', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40765', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', '40766', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '52', '0', '-1', '0', '9900');
INSERT INTO `shop` VALUES ('70021', '48', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '43', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '41', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70021', '40', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '39', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '38', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '37', '0', '-1', '0', '2750');
INSERT INTO `shop` VALUES ('70021', '35', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '34', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '33', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '32', '0', '-1', '0', '1275');
INSERT INTO `shop` VALUES ('70021', '31', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70021', '29', '0', '-1', '0', '6500');
INSERT INTO `shop` VALUES ('70021', '27', '0', '-1', '0', '660');
INSERT INTO `shop` VALUES ('70021', '26', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70021', '25', '0', '-1', '0', '900');
INSERT INTO `shop` VALUES ('70021', '24', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70021', '23', '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70021', '21', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70021', '15', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '10', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '7', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '6', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '4', '11', '8', '0', '4');
INSERT INTO `shop` VALUES ('70021', '2', '0', '-1', '0', '120');
INSERT INTO `shop` VALUES ('70021', '1', '0', '-1', '0', '16');
INSERT INTO `shop` VALUES ('70018', '220237', '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70018', '220213', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70018', '220154', '0', '-1', '0', '18500');
INSERT INTO `shop` VALUES ('70018', '220147', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70018', '220136', '0', '-1', '0', '400');
INSERT INTO `shop` VALUES ('70018', '220135', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70018', '220125', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70018', '220122', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70018', '220115', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70018', '220101', '0', '-1', '0', '5750');
INSERT INTO `shop` VALUES ('70018', '220056', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70018', '220043', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70018', '220034', '0', '-1', '0', '75');
INSERT INTO `shop` VALUES ('70018', '220005', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '220004', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '220003', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '220002', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '220001', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '200171', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70018', '200052', '0', '-1', '0', '-1');
INSERT INTO `shop` VALUES ('70018', '200041', '0', '-1', '0', '-1');
INSERT INTO `shop` VALUES ('70018', '200032', '0', '-1', '0', '9900');
INSERT INTO `shop` VALUES ('70018', '200027', '0', '-1', '0', '320');
INSERT INTO `shop` VALUES ('70018', '200002', '0', '-1', '0', '1375');
INSERT INTO `shop` VALUES ('70018', '200001', '0', '-1', '0', '16');
INSERT INTO `shop` VALUES ('70018', '140506', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '140119', '0', '-1', '0', '435');
INSERT INTO `shop` VALUES ('70018', '140100', '0', '-1', '0', '510');
INSERT INTO `shop` VALUES ('70018', '140089', '0', '-1', '0', '1067');
INSERT INTO `shop` VALUES ('70018', '140088', '0', '-1', '0', '1211');
INSERT INTO `shop` VALUES ('70018', '140087', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70018', '140074', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70018', '140072', '0', '-1', '0', '17');
INSERT INTO `shop` VALUES ('70018', '140069', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70018', '140068', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70018', '140065', '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70018', '140062', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70018', '140061', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70018', '140018', '0', '-1', '0', '1361');
INSERT INTO `shop` VALUES ('70018', '140016', '0', '-1', '0', '495');
INSERT INTO `shop` VALUES ('70018', '140015', '0', '-1', '0', '388');
INSERT INTO `shop` VALUES ('70018', '140014', '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70018', '140013', '0', '-1', '0', '206');
INSERT INTO `shop` VALUES ('70018', '140012', '0', '-1', '0', '495');
INSERT INTO `shop` VALUES ('70018', '140011', '0', '-1', '0', '106');
INSERT INTO `shop` VALUES ('70018', '140010', '0', '-1', '0', '32');
INSERT INTO `shop` VALUES ('70018', '140008', '0', '-1', '0', '30000');
INSERT INTO `shop` VALUES ('70018', '140006', '0', '-1', '0', '16500');
INSERT INTO `shop` VALUES ('70018', '120242', '0', '-1', '0', '1600');
INSERT INTO `shop` VALUES ('70018', '120182', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '120154', '0', '-1', '0', '25900');
INSERT INTO `shop` VALUES ('70018', '120149', '0', '-1', '0', '9000');
INSERT INTO `shop` VALUES ('70018', '120137', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '120128', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '120101', '0', '-1', '0', '5750');
INSERT INTO `shop` VALUES ('70018', '120056', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70018', '120043', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70018', '120011', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70018', '100172', '0', '-1', '0', '27');
INSERT INTO `shop` VALUES ('70018', '100169', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '100143', '0', '-1', '0', '385');
INSERT INTO `shop` VALUES ('70018', '100103', '0', '-1', '0', '1100');
INSERT INTO `shop` VALUES ('70018', '100102', '0', '-1', '0', '5500');
INSERT INTO `shop` VALUES ('70018', '100098', '0', '-1', '0', '192');
INSERT INTO `shop` VALUES ('70018', '100095', '0', '-1', '0', '33');
INSERT INTO `shop` VALUES ('70018', '100052', '0', '-1', '0', '9900');
INSERT INTO `shop` VALUES ('70018', '100041', '0', '-1', '0', '11000');
INSERT INTO `shop` VALUES ('70018', '100037', '0', '-1', '0', '2750');
INSERT INTO `shop` VALUES ('70018', '100029', '0', '-1', '0', '715');
INSERT INTO `shop` VALUES ('70018', '100027', '0', '-1', '0', '1320');
INSERT INTO `shop` VALUES ('70018', '100025', '0', '-1', '0', '990');
INSERT INTO `shop` VALUES ('70018', '100004', '0', '-1', '0', '4');
INSERT INTO `shop` VALUES ('70018', '40766', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40765', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40764', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40763', '0', '-1', '0', '25000');
INSERT INTO `shop` VALUES ('70018', '40762', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40761', '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70018', '40760', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40759', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40758', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40757', '0', '-1', '0', '45000');
INSERT INTO `shop` VALUES ('70018', '40756', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70018', '40755', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70018', '40754', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70018', '40753', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70018', '40752', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70018', '40751', '0', '-1', '0', '25000');
INSERT INTO `shop` VALUES ('70018', '40750', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70018', '40749', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70018', '40748', '0', '-1', '0', '13');
INSERT INTO `shop` VALUES ('70018', '40747', '0', '-1', '0', '10');
INSERT INTO `shop` VALUES ('70018', '40746', '0', '-1', '0', '7');
INSERT INTO `shop` VALUES ('70018', '40745', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70018', '40744', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40743', '0', '-1', '0', '0');
INSERT INTO `shop` VALUES ('70018', '40742', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40741', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40740', '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70018', '40739', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40738', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40737', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40736', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40735', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40734', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40733', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40732', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40731', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40730', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40729', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40728', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40727', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40726', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40724', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40723', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40722', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40721', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40720', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40719', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40718', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40717', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40716', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40715', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40714', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40713', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40712', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40711', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40710', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40709', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40708', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40707', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40706', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40705', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40704', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40703', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40702', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40701', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40700', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40699', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40698', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40697', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40696', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40695', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40694', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40693', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40692', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40691', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40690', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40689', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40688', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40687', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40686', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40685', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40684', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40683', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40682', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40681', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40680', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40679', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40678', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40677', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40676', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40675', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40674', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40673', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40672', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40671', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40670', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40669', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40668', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40667', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40666', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40665', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40664', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40663', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40662', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40661', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40660', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40659', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40658', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40657', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40656', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40655', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40654', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40653', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40652', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40651', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40650', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40649', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40648', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40647', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40646', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40645', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40644', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40643', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40642', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40641', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40640', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40639', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40638', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40637', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40636', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40635', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40634', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40633', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40632', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40631', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40630', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40629', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40628', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40627', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40626', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40625', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40624', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40623', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40622', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40621', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40620', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40619', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40618', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40617', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40616', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40615', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40614', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40613', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40612', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40611', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40610', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40609', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40608', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40607', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40606', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40605', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40604', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40603', '0', '-1', '0', '50000');
INSERT INTO `shop` VALUES ('70018', '40602', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40601', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40600', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40599', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40598', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40597', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40596', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40595', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40594', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40593', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40592', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40591', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40590', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40589', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40588', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40587', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40586', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40585', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40584', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40583', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40582', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40581', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40580', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40579', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40578', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40577', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40576', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40575', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40574', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40573', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40572', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40571', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40570', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40569', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40568', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40567', '0', '-1', '0', '50000');
INSERT INTO `shop` VALUES ('70018', '40566', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40565', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40564', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40563', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40562', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40561', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40560', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40559', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40558', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40557', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40556', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40554', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40553', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40552', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40551', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40550', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40549', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40548', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40547', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40546', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40545', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40544', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40543', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40542', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40541', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40540', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40539', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40538', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40537', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40536', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40535', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40534', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40533', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40532', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40531', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40530', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40529', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40528', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40527', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40526', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40524', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40523', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40522', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40521', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40520', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40519', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40518', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40517', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40516', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40515', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40514', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40512', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40511', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40510', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40509', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40508', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40507', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40506', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40505', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40504', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40503', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40502', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40501', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40500', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40499', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40498', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40497', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40496', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40495', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40494', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40493', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40492', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40491', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40490', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40489', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40488', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40487', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40486', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40485', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40484', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40483', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40482', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40481', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40480', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40479', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40478', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40477', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40476', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40475', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40474', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40473', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40472', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40471', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40470', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40469', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40468', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40467', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40465', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40464', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40463', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40462', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40461', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40460', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40459', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40458', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40457', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70018', '40456', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70018', '40455', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70018', '40454', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40453', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40452', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40451', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40450', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40449', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40448', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40447', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40446', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40445', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40444', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40443', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40442', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40441', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40440', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40439', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40438', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40437', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40436', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40435', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40434', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40433', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40432', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40431', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40430', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40429', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40428', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40427', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40426', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40425', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40424', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40423', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40422', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40421', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40420', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40419', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40418', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40417', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40416', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40415', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40414', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40413', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40412', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40411', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40410', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40409', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40408', '0', '-1', '0', '71');
INSERT INTO `shop` VALUES ('70018', '40407', '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70018', '40406', '0', '-1', '0', '17');
INSERT INTO `shop` VALUES ('70018', '40405', '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70018', '40404', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40403', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40402', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40401', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40400', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40399', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40398', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40397', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40396', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40395', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40394', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40393', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40392', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40391', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40390', '0', '-1', '0', '37');
INSERT INTO `shop` VALUES ('70018', '40389', '0', '-1', '0', '39');
INSERT INTO `shop` VALUES ('70018', '40388', '0', '-1', '0', '41');
INSERT INTO `shop` VALUES ('70018', '40387', '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70018', '40386', '0', '-1', '0', '31');
INSERT INTO `shop` VALUES ('70018', '40385', '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70018', '40384', '0', '-1', '0', '36');
INSERT INTO `shop` VALUES ('70018', '40383', '0', '-1', '0', '35');
INSERT INTO `shop` VALUES ('70018', '40382', '0', '-1', '0', '41');
INSERT INTO `shop` VALUES ('70018', '40380', '6', '62', '0', '31');
INSERT INTO `shop` VALUES ('70018', '40379', '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70018', '40378', '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70018', '40377', '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70018', '40375', '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70018', '40374', '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70018', '40373', '0', '-1', '0', '825');
INSERT INTO `shop` VALUES ('70018', '40372', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40371', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40370', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40369', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40368', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40367', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40366', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40365', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40364', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40363', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40362', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40361', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40360', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40359', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40358', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40357', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40356', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40355', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40354', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40353', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40352', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40351', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40350', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40349', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40348', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40347', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40346', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40345', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40344', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40343', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40342', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40341', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40340', '0', '-1', '0', '40000');
INSERT INTO `shop` VALUES ('70018', '40339', '0', '-1', '0', '30000');
INSERT INTO `shop` VALUES ('70018', '40338', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70018', '40337', '0', '-1', '0', '65000');
INSERT INTO `shop` VALUES ('70018', '40336', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70018', '40335', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70018', '40334', '0', '-1', '0', '20000');
INSERT INTO `shop` VALUES ('70018', '40333', '0', '-1', '0', '50000');
INSERT INTO `shop` VALUES ('70018', '40332', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70018', '40331', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70018', '40329', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40328', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70018', '40327', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70018', '40326', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70018', '40325', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70018', '40324', '0', '-1', '0', '1256');
INSERT INTO `shop` VALUES ('70018', '40323', '0', '-1', '0', '715');
INSERT INTO `shop` VALUES ('70018', '40322', '0', '-1', '0', '435');
INSERT INTO `shop` VALUES ('70018', '40321', '0', '-1', '0', '171');
INSERT INTO `shop` VALUES ('70018', '40320', '0', '-1', '0', '121');
INSERT INTO `shop` VALUES ('70018', '40319', '0', '-1', '0', '177');
INSERT INTO `shop` VALUES ('70018', '40318', '0', '-1', '0', '122');
INSERT INTO `shop` VALUES ('70018', '40313', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40312', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40309', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', '40303', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', '40302', '0', '-1', '0', '345');
INSERT INTO `shop` VALUES ('70018', '40301', '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70018', '40300', '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70018', '40299', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70018', '40298', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70018', '40280', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', '40279', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70018', '40278', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70018', '40277', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70018', '40276', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70018', '40275', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70018', '40274', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70018', '40273', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70018', '40272', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70018', '40271', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70018', '40270', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70018', '40269', '0', '-1', '0', '1625');
INSERT INTO `shop` VALUES ('70018', '40268', '0', '-1', '0', '1625');
INSERT INTO `shop` VALUES ('70018', '40267', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', '40266', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', '40265', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', '40231', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', '40230', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', '40229', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', '40228', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', '40227', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', '40226', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', '40225', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70018', '40224', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70018', '40223', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70018', '40222', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70018', '40221', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70018', '40220', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70018', '40219', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70018', '40218', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', '40217', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70018', '40216', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70018', '40215', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70018', '40214', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70018', '40213', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70018', '40212', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70018', '40211', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70018', '40210', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70018', '40209', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70018', '40208', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70018', '40207', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70018', '40206', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70018', '40205', '0', '-1', '0', '6000');
INSERT INTO `shop` VALUES ('70018', '40204', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70018', '40203', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70018', '40202', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70018', '40201', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70018', '40200', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70018', '40199', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70018', '40198', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70018', '40197', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70018', '40196', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70018', '40195', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70018', '40194', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70018', '40193', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70018', '40192', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70018', '40191', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70018', '40190', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70018', '40189', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70018', '40188', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70018', '40187', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70018', '40186', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70018', '40185', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70018', '40184', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70018', '40183', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70018', '40182', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70018', '40181', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70018', '40180', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70018', '40179', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70018', '40178', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70018', '40177', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70018', '40176', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70018', '40175', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70018', '40174', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70018', '40173', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70018', '40172', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70018', '40171', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70018', '40170', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70018', '40169', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40168', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40167', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40166', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', '40165', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', '40164', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70018', '40163', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40161', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70018', '40160', '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70018', '40159', '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70018', '40158', '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70018', '40157', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70018', '40156', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70018', '40155', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70018', '40154', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70018', '40153', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70018', '40152', '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70018', '40151', '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70018', '40150', '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70018', '40149', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70018', '40148', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70018', '40147', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70018', '40146', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70018', '40145', '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70018', '40144', '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70018', '40143', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70018', '40142', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70018', '40141', '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70018', '40140', '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70018', '40139', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70018', '40138', '0', '-1', '0', '1050');
INSERT INTO `shop` VALUES ('70018', '40137', '0', '-1', '0', '2187');
INSERT INTO `shop` VALUES ('70018', '40136', '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70018', '40135', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70018', '40134', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', '40133', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', '40132', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70018', '40131', '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70018', '40130', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40129', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40128', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40127', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40125', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70018', '40123', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70018', '40122', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70018', '40121', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70018', '40120', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70018', '40118', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70018', '40117', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70018', '40116', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70018', '40115', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70018', '40114', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70018', '40113', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', '40112', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', '40111', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', '40110', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', '40109', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', '40108', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', '40107', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', '40106', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', '40105', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', '40104', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', '40103', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70018', '40102', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70018', '40101', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70018', '40099', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40098', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40097', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40096', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40095', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40094', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40093', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40092', '0', '-1', '0', '825');
INSERT INTO `shop` VALUES ('70018', '40091', '0', '-1', '0', '330');
INSERT INTO `shop` VALUES ('70018', '40090', '0', '-1', '0', '85');
INSERT INTO `shop` VALUES ('70018', '40088', '0', '-1', '0', '1150');
INSERT INTO `shop` VALUES ('70018', '40087', '0', '-1', '0', '35000');
INSERT INTO `shop` VALUES ('70018', '40086', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70018', '40085', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70018', '40084', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70018', '40083', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70018', '40082', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70018', '40081', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70018', '40080', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70018', '40078', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40077', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40075', '0', '-1', '0', '75');
INSERT INTO `shop` VALUES ('70018', '40074', '0', '-1', '0', '16000');
INSERT INTO `shop` VALUES ('70018', '40072', '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70018', '40071', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40069', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70018', '40068', '0', '-1', '0', '625');
INSERT INTO `shop` VALUES ('70018', '40067', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70018', '40066', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40064', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70018', '40063', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40062', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70018', '40061', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70018', '40060', '0', '-1', '0', '6');
INSERT INTO `shop` VALUES ('70018', '40059', '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70018', '40058', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40057', '0', '-1', '0', '32');
INSERT INTO `shop` VALUES ('70018', '40055', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70018', '40054', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70018', '40053', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70018', '40052', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70018', '40051', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70018', '40050', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70018', '40049', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70018', '40048', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70018', '40047', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70018', '40046', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70018', '40045', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70018', '40044', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70018', '40043', '0', '-1', '0', '435');
INSERT INTO `shop` VALUES ('70018', '40042', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40041', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40040', '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70018', '40039', '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70018', '40032', '0', '-1', '0', '170');
INSERT INTO `shop` VALUES ('70018', '40031', '0', '-1', '0', '325');
INSERT INTO `shop` VALUES ('70018', '40030', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40029', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40028', '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70018', '40027', '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70018', '40026', '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70018', '40025', '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70018', '40021', '0', '-1', '0', '506');
INSERT INTO `shop` VALUES ('70018', '40020', '0', '-1', '0', '132');
INSERT INTO `shop` VALUES ('70018', '40019', '0', '-1', '0', '48');
INSERT INTO `shop` VALUES ('70018', '40016', '0', '-1', '0', '495');
INSERT INTO `shop` VALUES ('70018', '40015', '0', '-1', '0', '388');
INSERT INTO `shop` VALUES ('70018', '40014', '0', '-1', '0', '470');
INSERT INTO `shop` VALUES ('70018', '40008', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70018', '40007', '0', '-1', '0', '2475');
INSERT INTO `shop` VALUES ('70018', '40006', '0', '-1', '0', '16500');
INSERT INTO `shop` VALUES ('70018', '40005', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '40004', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20351', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20322', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20242', '0', '-1', '0', '600');
INSERT INTO `shop` VALUES ('70018', '20241', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20239', '0', '-1', '0', '30');
INSERT INTO `shop` VALUES ('70018', '20238', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20237', '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70018', '20236', '0', '-1', '0', '1150');
INSERT INTO `shop` VALUES ('70018', '20235', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20232', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20231', '0', '-1', '0', '3500');
INSERT INTO `shop` VALUES ('70018', '20229', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70018', '20227', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20224', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20223', '0', '-1', '0', '120');
INSERT INTO `shop` VALUES ('70018', '20222', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20221', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20219', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20217', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20212', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20210', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20207', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20206', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20200', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20199', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20196', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20193', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20192', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20191', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20189', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20188', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20182', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20181', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20178', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20177', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20175', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20174', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20173', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20172', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20162', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20161', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20155', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20154', '0', '-1', '0', '18500');
INSERT INTO `shop` VALUES ('70018', '20149', '0', '-1', '0', '11200');
INSERT INTO `shop` VALUES ('70018', '20148', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20147', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70018', '20145', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20139', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20136', '0', '-1', '0', '400');
INSERT INTO `shop` VALUES ('70018', '20135', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70018', '20133', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20132', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20128', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20126', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20125', '0', '-1', '0', '4200');
INSERT INTO `shop` VALUES ('70018', '20124', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20122', '0', '-1', '0', '1400');
INSERT INTO `shop` VALUES ('70018', '20120', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20115', '0', '-1', '0', '14000');
INSERT INTO `shop` VALUES ('70018', '20114', '0', '-1', '0', '700');
INSERT INTO `shop` VALUES ('70018', '20111', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20110', '0', '-1', '0', '5600');
INSERT INTO `shop` VALUES ('70018', '20105', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20104', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20103', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20102', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20101', '0', '-1', '0', '16100');
INSERT INTO `shop` VALUES ('70018', '20098', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20097', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20096', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70018', '20090', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20089', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70018', '20085', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20081', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70018', '20075', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20073', '0', '-1', '0', '575');
INSERT INTO `shop` VALUES ('70018', '20072', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', '20063', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20056', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70018', '20053', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20052', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70018', '20045', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20044', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20043', '0', '-1', '0', '140');
INSERT INTO `shop` VALUES ('70018', '20038', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20037', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20036', '0', '-1', '0', '6000');
INSERT INTO `shop` VALUES ('70018', '20034', '0', '-1', '0', '75');
INSERT INTO `shop` VALUES ('70018', '20032', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20028', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20026', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20023', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20019', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20015', '0', '-1', '0', '9000');
INSERT INTO `shop` VALUES ('70018', '20014', '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70018', '20013', '0', '-1', '0', '1100');
INSERT INTO `shop` VALUES ('70018', '20012', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20011', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70018', '20008', '0', '-1', '0', '300');
INSERT INTO `shop` VALUES ('70018', '20007', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20006', '0', '-1', '0', '3500');
INSERT INTO `shop` VALUES ('70018', '20002', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '20001', '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70018', '230', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '228', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '226', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '225', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '224', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '223', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '220', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '219', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '216', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '215', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '214', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '211', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '209', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '208', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '206', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '193', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '191', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '187', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '186', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '176', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '175', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '174', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '173', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '172', '0', '-1', '0', '26');
INSERT INTO `shop` VALUES ('70018', '171', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70018', '170', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '169', '0', '-1', '0', '3500');
INSERT INTO `shop` VALUES ('70018', '168', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '161', '0', '-1', '0', '20000');
INSERT INTO `shop` VALUES ('70018', '159', '0', '-1', '0', '6000');
INSERT INTO `shop` VALUES ('70018', '158', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '157', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '156', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '154', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', '153', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70018', '152', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70018', '150', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '148', '0', '-1', '0', '7150');
INSERT INTO `shop` VALUES ('70018', '147', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '146', '0', '-1', '0', '1925');
INSERT INTO `shop` VALUES ('70018', '145', '0', '-1', '0', '900');
INSERT INTO `shop` VALUES ('70018', '144', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70018', '143', '0', '-1', '0', '385');
INSERT INTO `shop` VALUES ('70018', '142', '0', '-1', '0', '4400');
INSERT INTO `shop` VALUES ('70018', '141', '0', '-1', '0', '550');
INSERT INTO `shop` VALUES ('70018', '140', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70018', '139', '0', '-1', '0', '22');
INSERT INTO `shop` VALUES ('70018', '138', '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70018', '137', '0', '-1', '0', '8');
INSERT INTO `shop` VALUES ('70018', '136', '0', '-1', '0', '11');
INSERT INTO `shop` VALUES ('70018', '135', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '129', '0', '-1', '0', '1250');
INSERT INTO `shop` VALUES ('70018', '128', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70018', '125', '0', '-1', '0', '4500');
INSERT INTO `shop` VALUES ('70018', '106', '0', '-1', '0', '8800');
INSERT INTO `shop` VALUES ('70018', '105', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '104', '0', '-1', '0', '4400');
INSERT INTO `shop` VALUES ('70018', '103', '0', '-1', '0', '1100');
INSERT INTO `shop` VALUES ('70018', '102', '0', '-1', '0', '5500');
INSERT INTO `shop` VALUES ('70018', '101', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '98', '0', '-1', '0', '192');
INSERT INTO `shop` VALUES ('70018', '97', '0', '-1', '0', '110');
INSERT INTO `shop` VALUES ('70018', '96', '0', '-1', '0', '44');
INSERT INTO `shop` VALUES ('70018', '95', '0', '-1', '0', '33');
INSERT INTO `shop` VALUES ('70018', '94', '0', '-1', '0', '225');
INSERT INTO `shop` VALUES ('70018', '93', '0', '-1', '0', '13');
INSERT INTO `shop` VALUES ('70018', '92', '0', '-1', '0', '89');
INSERT INTO `shop` VALUES ('70018', '91', '0', '-1', '0', '80');
INSERT INTO `shop` VALUES ('70018', '90', '0', '-1', '0', '27');
INSERT INTO `shop` VALUES ('70018', '87', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '80', '0', '-1', '0', '15000');
INSERT INTO `shop` VALUES ('70018', '77', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70018', '76', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '75', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '73', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '72', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70018', '71', '0', '-1', '0', '750');
INSERT INTO `shop` VALUES ('70018', '69', '0', '-1', '0', '400');
INSERT INTO `shop` VALUES ('70018', '52', '0', '-1', '0', '9900');
INSERT INTO `shop` VALUES ('70018', '48', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '43', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '41', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70018', '40', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '39', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '38', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '37', '0', '-1', '0', '2750');
INSERT INTO `shop` VALUES ('70018', '35', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '34', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '33', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '32', '0', '-1', '0', '1275');
INSERT INTO `shop` VALUES ('70018', '31', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70018', '29', '0', '-1', '0', '6500');
INSERT INTO `shop` VALUES ('70018', '27', '0', '-1', '0', '660');
INSERT INTO `shop` VALUES ('70018', '26', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70018', '25', '0', '-1', '0', '900');
INSERT INTO `shop` VALUES ('70018', '24', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70018', '23', '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70018', '21', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70018', '15', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '10', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '7', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '6', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', '4', '11', '8', '0', '4');
INSERT INTO `shop` VALUES ('70018', '2', '0', '-1', '0', '120');
INSERT INTO `shop` VALUES ('70018', '1', '0', '-1', '0', '16');
INSERT INTO `shop` VALUES ('70021', '69', '0', '-1', '0', '400');
INSERT INTO `shop` VALUES ('70021', '71', '0', '-1', '0', '750');
INSERT INTO `shop` VALUES ('70021', '72', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70021', '73', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '75', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '76', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '77', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70021', '80', '0', '-1', '0', '15000');
INSERT INTO `shop` VALUES ('70021', '87', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '90', '0', '-1', '0', '27');
INSERT INTO `shop` VALUES ('70021', '91', '0', '-1', '0', '80');
INSERT INTO `shop` VALUES ('70021', '92', '0', '-1', '0', '89');
INSERT INTO `shop` VALUES ('70021', '93', '0', '-1', '0', '13');
INSERT INTO `shop` VALUES ('70021', '94', '0', '-1', '0', '225');
INSERT INTO `shop` VALUES ('70021', '95', '0', '-1', '0', '33');
INSERT INTO `shop` VALUES ('70021', '96', '0', '-1', '0', '44');
INSERT INTO `shop` VALUES ('70021', '97', '0', '-1', '0', '110');
INSERT INTO `shop` VALUES ('70021', '98', '0', '-1', '0', '192');
INSERT INTO `shop` VALUES ('70021', '101', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '102', '0', '-1', '0', '5500');
INSERT INTO `shop` VALUES ('70021', '103', '0', '-1', '0', '1100');
INSERT INTO `shop` VALUES ('70021', '104', '0', '-1', '0', '4400');
INSERT INTO `shop` VALUES ('70021', '105', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '106', '0', '-1', '0', '8800');
INSERT INTO `shop` VALUES ('70021', '125', '0', '-1', '0', '4500');
INSERT INTO `shop` VALUES ('70021', '128', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70021', '129', '0', '-1', '0', '1250');
INSERT INTO `shop` VALUES ('70021', '135', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '136', '0', '-1', '0', '11');
INSERT INTO `shop` VALUES ('70021', '137', '0', '-1', '0', '8');
INSERT INTO `shop` VALUES ('70021', '138', '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70021', '139', '0', '-1', '0', '22');
INSERT INTO `shop` VALUES ('70021', '140', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70021', '141', '0', '-1', '0', '550');
INSERT INTO `shop` VALUES ('70021', '142', '0', '-1', '0', '4400');
INSERT INTO `shop` VALUES ('70021', '143', '0', '-1', '0', '385');
INSERT INTO `shop` VALUES ('70021', '144', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70021', '145', '0', '-1', '0', '900');
INSERT INTO `shop` VALUES ('70021', '146', '0', '-1', '0', '1925');
INSERT INTO `shop` VALUES ('70021', '147', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '148', '0', '-1', '0', '7150');
INSERT INTO `shop` VALUES ('70021', '150', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '152', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70021', '153', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70021', '154', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', '156', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '157', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '158', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '159', '0', '-1', '0', '6000');
INSERT INTO `shop` VALUES ('70021', '161', '0', '-1', '0', '20000');
INSERT INTO `shop` VALUES ('70021', '168', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '169', '0', '-1', '0', '3500');
INSERT INTO `shop` VALUES ('70021', '170', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '171', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70021', '172', '0', '-1', '0', '26');
INSERT INTO `shop` VALUES ('70021', '173', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '174', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '175', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '176', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '186', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '187', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '191', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '193', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '206', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '208', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '209', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '211', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '214', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '215', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '216', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '219', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '220', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '223', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '224', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '225', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '226', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '228', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '230', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20001', '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70021', '20002', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20006', '0', '-1', '0', '3500');
INSERT INTO `shop` VALUES ('70021', '20007', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20008', '0', '-1', '0', '300');
INSERT INTO `shop` VALUES ('70021', '20011', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70021', '20012', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20013', '0', '-1', '0', '1100');
INSERT INTO `shop` VALUES ('70021', '20014', '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70021', '20015', '0', '-1', '0', '9000');
INSERT INTO `shop` VALUES ('70021', '20019', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20023', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20026', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20028', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20032', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20034', '0', '-1', '0', '75');
INSERT INTO `shop` VALUES ('70021', '20036', '0', '-1', '0', '6000');
INSERT INTO `shop` VALUES ('70021', '20037', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20038', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20043', '0', '-1', '0', '140');
INSERT INTO `shop` VALUES ('70021', '20044', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20045', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20052', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70021', '20053', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20056', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70021', '20063', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20072', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', '20073', '0', '-1', '0', '575');
INSERT INTO `shop` VALUES ('70021', '20075', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20081', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70021', '20085', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20089', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70021', '20090', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20096', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70021', '20097', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20098', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20101', '0', '-1', '0', '16100');
INSERT INTO `shop` VALUES ('70021', '20102', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20103', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20104', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20105', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20110', '0', '-1', '0', '5600');
INSERT INTO `shop` VALUES ('70021', '20111', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20114', '0', '-1', '0', '700');
INSERT INTO `shop` VALUES ('70021', '20115', '0', '-1', '0', '14000');
INSERT INTO `shop` VALUES ('70021', '20120', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20122', '0', '-1', '0', '1400');
INSERT INTO `shop` VALUES ('70021', '20124', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20125', '0', '-1', '0', '4200');
INSERT INTO `shop` VALUES ('70021', '20126', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20128', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20132', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20133', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20135', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70021', '20136', '0', '-1', '0', '400');
INSERT INTO `shop` VALUES ('70021', '20139', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20145', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20147', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70021', '20148', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20149', '0', '-1', '0', '11200');
INSERT INTO `shop` VALUES ('70021', '20154', '0', '-1', '0', '18500');
INSERT INTO `shop` VALUES ('70021', '20155', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20161', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20162', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20172', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20173', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20174', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20175', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20177', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20178', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20181', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20182', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20188', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20189', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20191', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20192', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20193', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20196', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20199', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20200', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20205', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70021', '20206', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20207', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20210', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20212', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20217', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20219', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20221', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20222', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20223', '0', '-1', '0', '120');
INSERT INTO `shop` VALUES ('70021', '20224', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20227', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20229', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70021', '20231', '0', '-1', '0', '3500');
INSERT INTO `shop` VALUES ('70021', '20232', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20235', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20236', '0', '-1', '0', '1150');
INSERT INTO `shop` VALUES ('70021', '20237', '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70021', '20238', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20239', '0', '-1', '0', '30');
INSERT INTO `shop` VALUES ('70021', '20241', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20242', '0', '-1', '0', '600');
INSERT INTO `shop` VALUES ('70021', '20322', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '20351', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40004', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40005', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40006', '0', '-1', '0', '16500');
INSERT INTO `shop` VALUES ('70021', '40007', '0', '-1', '0', '2475');
INSERT INTO `shop` VALUES ('70021', '40008', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70021', '40014', '0', '-1', '0', '470');
INSERT INTO `shop` VALUES ('70021', '40015', '0', '-1', '0', '388');
INSERT INTO `shop` VALUES ('70021', '40016', '0', '-1', '0', '495');
INSERT INTO `shop` VALUES ('70021', '40019', '0', '-1', '0', '48');
INSERT INTO `shop` VALUES ('70021', '40020', '0', '-1', '0', '132');
INSERT INTO `shop` VALUES ('70021', '40021', '0', '-1', '0', '506');
INSERT INTO `shop` VALUES ('70021', '40025', '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70021', '40026', '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70021', '40027', '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70021', '40028', '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70021', '40029', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40030', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40031', '0', '-1', '0', '325');
INSERT INTO `shop` VALUES ('70021', '40032', '0', '-1', '0', '170');
INSERT INTO `shop` VALUES ('70021', '40039', '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70021', '40040', '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70021', '40041', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40042', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40043', '0', '-1', '0', '435');
INSERT INTO `shop` VALUES ('70021', '40044', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70021', '40045', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70021', '40046', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70021', '40047', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70021', '40048', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70021', '40049', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70021', '40050', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70021', '40051', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70021', '40052', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70021', '40053', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70021', '40054', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70021', '40055', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70021', '40057', '0', '-1', '0', '32');
INSERT INTO `shop` VALUES ('70021', '40058', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40059', '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70021', '40060', '0', '-1', '0', '6');
INSERT INTO `shop` VALUES ('70021', '40061', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70021', '40062', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70021', '40063', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40064', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70021', '40066', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40067', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70021', '40068', '0', '-1', '0', '625');
INSERT INTO `shop` VALUES ('70021', '40069', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70021', '40071', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40072', '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70021', '40074', '0', '-1', '0', '16000');
INSERT INTO `shop` VALUES ('70021', '40075', '0', '-1', '0', '75');
INSERT INTO `shop` VALUES ('70021', '40077', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40078', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40080', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70021', '40081', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70021', '40082', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70021', '40083', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70021', '40084', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70021', '40085', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70021', '40086', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70021', '40087', '0', '-1', '0', '35000');
INSERT INTO `shop` VALUES ('70021', '40088', '0', '-1', '0', '1150');
INSERT INTO `shop` VALUES ('70021', '40090', '0', '-1', '0', '85');
INSERT INTO `shop` VALUES ('70021', '40091', '0', '-1', '0', '330');
INSERT INTO `shop` VALUES ('70021', '40092', '0', '-1', '0', '825');
INSERT INTO `shop` VALUES ('70021', '40093', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40094', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40095', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40096', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40097', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40098', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40099', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40101', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70021', '40102', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70021', '40103', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70021', '40104', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', '40105', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', '40106', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', '40107', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', '40108', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', '40109', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', '40110', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', '40111', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', '40112', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', '40113', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', '40114', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70021', '40115', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70021', '40116', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70021', '40117', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70021', '40118', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70021', '40120', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70021', '40121', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70021', '40122', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70021', '40123', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70021', '40125', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70021', '40127', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40128', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40129', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40130', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40131', '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70021', '40132', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70021', '40133', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', '40134', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', '40135', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70021', '40136', '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70021', '40137', '0', '-1', '0', '2187');
INSERT INTO `shop` VALUES ('70021', '40138', '0', '-1', '0', '1050');
INSERT INTO `shop` VALUES ('70021', '40139', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70021', '40140', '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70021', '40141', '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70021', '40142', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70021', '40143', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70021', '40144', '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70021', '40145', '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70021', '40146', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70021', '40147', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70021', '40148', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70021', '40149', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70021', '40150', '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70021', '40151', '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70021', '40152', '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70021', '40153', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70021', '40154', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70021', '40155', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70021', '40156', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70021', '40157', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70021', '40158', '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70021', '40159', '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70021', '40160', '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70021', '40161', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70021', '40163', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40164', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70021', '40165', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', '40166', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', '40167', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40168', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40169', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40170', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70021', '40171', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70021', '40172', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70021', '40173', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70021', '40174', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70021', '40175', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70021', '40176', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70021', '40177', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70021', '40178', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70021', '40179', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70021', '40180', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70021', '40181', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70021', '40182', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70021', '40183', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70021', '40184', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70021', '40185', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70021', '40186', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70021', '40187', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70021', '40188', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70021', '40189', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70021', '40190', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70021', '40191', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70021', '40192', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70021', '40193', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70021', '40194', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70021', '40195', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70021', '40196', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70021', '40197', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70021', '40198', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70021', '40199', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70021', '40200', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70021', '40201', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70021', '40202', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70021', '40203', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70021', '40204', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70021', '40205', '0', '-1', '0', '6000');
INSERT INTO `shop` VALUES ('70021', '40206', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70021', '40207', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70021', '40208', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70021', '40209', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70021', '40210', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70021', '40211', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70021', '40212', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70021', '40213', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70021', '40214', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70021', '40215', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70021', '40216', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70021', '40217', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70021', '40218', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', '40219', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70021', '40220', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70021', '40221', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70021', '40222', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70021', '40223', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70021', '40224', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70021', '40225', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70021', '40226', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', '40227', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', '40228', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', '40229', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', '40230', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', '40231', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', '40265', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', '40266', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', '40267', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', '40268', '0', '-1', '0', '1625');
INSERT INTO `shop` VALUES ('70021', '40269', '0', '-1', '0', '1625');
INSERT INTO `shop` VALUES ('70021', '40270', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70021', '40271', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70021', '40272', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70021', '40273', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70021', '40274', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70021', '40275', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70021', '40276', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70021', '40277', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70021', '40278', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70021', '40279', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70021', '40280', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', '40298', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70021', '40299', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70021', '40300', '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70021', '40301', '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70021', '40302', '0', '-1', '0', '345');
INSERT INTO `shop` VALUES ('70021', '40303', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', '40309', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', '40312', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40313', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40318', '0', '-1', '0', '122');
INSERT INTO `shop` VALUES ('70021', '40319', '0', '-1', '0', '177');
INSERT INTO `shop` VALUES ('70021', '40320', '0', '-1', '0', '121');
INSERT INTO `shop` VALUES ('70021', '40321', '0', '-1', '0', '171');
INSERT INTO `shop` VALUES ('70021', '40322', '0', '-1', '0', '435');
INSERT INTO `shop` VALUES ('70021', '40323', '0', '-1', '0', '715');
INSERT INTO `shop` VALUES ('70021', '40324', '0', '-1', '0', '1256');
INSERT INTO `shop` VALUES ('70021', '40325', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70021', '40326', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70021', '40327', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70021', '40328', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70021', '40329', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40331', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70021', '40332', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70021', '40333', '0', '-1', '0', '50000');
INSERT INTO `shop` VALUES ('70021', '40334', '0', '-1', '0', '20000');
INSERT INTO `shop` VALUES ('70021', '40335', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70021', '40336', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70021', '40337', '0', '-1', '0', '65000');
INSERT INTO `shop` VALUES ('70021', '40338', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70021', '40339', '0', '-1', '0', '30000');
INSERT INTO `shop` VALUES ('70021', '40340', '0', '-1', '0', '40000');
INSERT INTO `shop` VALUES ('70021', '40341', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40342', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40343', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40344', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40345', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40346', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40347', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40348', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40349', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40350', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40351', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40352', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40353', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40354', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40355', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40356', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40357', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40358', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40359', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40360', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40361', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40362', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40363', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40364', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40365', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40366', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40367', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40368', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40369', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40370', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40371', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40372', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40373', '0', '-1', '0', '825');
INSERT INTO `shop` VALUES ('70021', '40374', '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70021', '40376', '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70021', '40377', '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70021', '40378', '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70021', '40379', '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70021', '40380', '6', '62', '0', '31');
INSERT INTO `shop` VALUES ('70021', '40381', '0', '-1', '0', '44');
INSERT INTO `shop` VALUES ('70021', '40382', '0', '-1', '0', '41');
INSERT INTO `shop` VALUES ('70021', '40383', '0', '-1', '0', '35');
INSERT INTO `shop` VALUES ('70021', '40384', '0', '-1', '0', '36');
INSERT INTO `shop` VALUES ('70021', '40385', '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70021', '40386', '0', '-1', '0', '31');
INSERT INTO `shop` VALUES ('70021', '40387', '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70021', '40388', '0', '-1', '0', '41');
INSERT INTO `shop` VALUES ('70021', '40389', '0', '-1', '0', '39');
INSERT INTO `shop` VALUES ('70021', '40390', '0', '-1', '0', '37');
INSERT INTO `shop` VALUES ('70021', '40391', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40392', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40393', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40394', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40395', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40396', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40397', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40398', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40399', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40400', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40401', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40402', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40403', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40404', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40405', '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70021', '40406', '0', '-1', '0', '17');
INSERT INTO `shop` VALUES ('70021', '40407', '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70021', '40408', '0', '-1', '0', '71');
INSERT INTO `shop` VALUES ('70021', '40409', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40410', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40411', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40412', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40413', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40414', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40415', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40416', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40417', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40418', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40419', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40420', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40421', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40422', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40423', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40424', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40425', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40426', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40427', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40428', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40429', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40430', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40431', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40432', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40433', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40434', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40435', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40436', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40437', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40438', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40439', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40440', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40441', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40442', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40443', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40444', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40445', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40446', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40447', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40448', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40449', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40450', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40451', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40452', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40453', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40454', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40455', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70021', '40456', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70021', '40457', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70021', '40458', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40459', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40460', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40461', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40462', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40463', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40464', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40465', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40467', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40468', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40469', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40470', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40471', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40472', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40473', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40474', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40475', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40476', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40477', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40478', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40479', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40480', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40481', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40482', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40483', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40484', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40485', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40486', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40487', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40488', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40489', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40490', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40491', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40492', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40493', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40494', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40495', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40496', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40497', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40498', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40499', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40500', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40501', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40502', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40503', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40504', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40505', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40506', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40507', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40508', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40509', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40510', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40511', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40512', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40514', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40515', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40516', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40517', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40518', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40519', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40520', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40521', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40522', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40523', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40524', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40526', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40527', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40528', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40529', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40530', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40531', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40532', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40533', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40534', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40535', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40536', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40537', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40538', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40539', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40540', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40541', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40542', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40543', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40544', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40545', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40546', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40547', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40548', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40549', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40550', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40551', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40552', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40553', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40554', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40556', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40557', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40558', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40559', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40560', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40561', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40562', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40563', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40564', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40565', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40566', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40567', '0', '-1', '0', '50000');
INSERT INTO `shop` VALUES ('70021', '40568', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40569', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40570', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40571', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40572', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40573', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40574', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40575', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40576', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40577', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40578', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40579', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40580', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40581', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40582', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40583', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40584', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40585', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40586', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40587', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40588', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40589', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40590', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40591', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40592', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40593', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40594', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40595', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40596', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40597', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40598', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40599', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40600', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40601', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40602', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40603', '0', '-1', '0', '50000');
INSERT INTO `shop` VALUES ('70021', '40604', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40605', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40606', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40607', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40608', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40609', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40610', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40611', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40612', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40613', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40614', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40615', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40616', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40617', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40618', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40619', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40620', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40621', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40622', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40623', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40624', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40625', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40626', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40627', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40628', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40629', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40630', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40631', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40632', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40633', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40634', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40635', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40636', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40637', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40638', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40639', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40640', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40641', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40642', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40643', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40644', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40645', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40646', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40647', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40648', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40649', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40650', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40651', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40652', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40653', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40654', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40655', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40656', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40657', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40658', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40659', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40660', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40661', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40662', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40663', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40664', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40665', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40666', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40667', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40668', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40669', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40670', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40671', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40672', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40673', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40674', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40675', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40676', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40677', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40678', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40679', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40680', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40681', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40682', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40683', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40684', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40685', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40686', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40687', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40688', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40689', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40690', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40691', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40692', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40693', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40694', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40695', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40696', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40697', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40698', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40699', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40700', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40701', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40702', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40703', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40704', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40705', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40706', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40707', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40708', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40709', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40710', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40711', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40712', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40713', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40714', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40715', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40716', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40717', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40718', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40719', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40720', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40721', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40722', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40723', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40724', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40726', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40727', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40728', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40729', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40730', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40731', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40732', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40733', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40734', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40735', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40736', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40737', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40738', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40739', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40740', '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70021', '40741', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40742', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40743', '0', '-1', '0', '0');
INSERT INTO `shop` VALUES ('70021', '40744', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40745', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70021', '40746', '0', '-1', '0', '7');
INSERT INTO `shop` VALUES ('70021', '40747', '0', '-1', '0', '10');
INSERT INTO `shop` VALUES ('70021', '40748', '0', '-1', '0', '13');
INSERT INTO `shop` VALUES ('70021', '40749', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70021', '40750', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70021', '40751', '0', '-1', '0', '25000');
INSERT INTO `shop` VALUES ('70021', '40752', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70021', '40753', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70021', '40754', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70021', '40755', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70021', '40756', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70021', '40757', '0', '-1', '0', '45000');
INSERT INTO `shop` VALUES ('70021', '40758', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40759', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40760', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40761', '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70021', '40762', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40763', '0', '-1', '0', '25000');
INSERT INTO `shop` VALUES ('70021', '40764', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40765', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '40766', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '100004', '0', '-1', '0', '4');
INSERT INTO `shop` VALUES ('70021', '100025', '0', '-1', '0', '990');
INSERT INTO `shop` VALUES ('70021', '100027', '0', '-1', '0', '1320');
INSERT INTO `shop` VALUES ('70021', '100029', '0', '-1', '0', '715');
INSERT INTO `shop` VALUES ('70021', '100037', '0', '-1', '0', '2750');
INSERT INTO `shop` VALUES ('70021', '100041', '0', '-1', '0', '11000');
INSERT INTO `shop` VALUES ('70021', '100052', '0', '-1', '0', '9900');
INSERT INTO `shop` VALUES ('70021', '100095', '0', '-1', '0', '33');
INSERT INTO `shop` VALUES ('70021', '100098', '0', '-1', '0', '192');
INSERT INTO `shop` VALUES ('70021', '100102', '0', '-1', '0', '5500');
INSERT INTO `shop` VALUES ('70021', '100103', '0', '-1', '0', '1100');
INSERT INTO `shop` VALUES ('70021', '100143', '0', '-1', '0', '385');
INSERT INTO `shop` VALUES ('70021', '100169', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '100172', '0', '-1', '0', '27');
INSERT INTO `shop` VALUES ('70021', '120011', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70021', '120043', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70021', '120056', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70021', '120101', '0', '-1', '0', '5750');
INSERT INTO `shop` VALUES ('70021', '120128', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '120137', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '120149', '0', '-1', '0', '9000');
INSERT INTO `shop` VALUES ('70021', '120154', '0', '-1', '0', '25900');
INSERT INTO `shop` VALUES ('70021', '120182', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '120242', '0', '-1', '0', '1600');
INSERT INTO `shop` VALUES ('70021', '140006', '0', '-1', '0', '16500');
INSERT INTO `shop` VALUES ('70021', '140008', '0', '-1', '0', '30000');
INSERT INTO `shop` VALUES ('70021', '140010', '0', '-1', '0', '32');
INSERT INTO `shop` VALUES ('70021', '140011', '0', '-1', '0', '106');
INSERT INTO `shop` VALUES ('70021', '140012', '0', '-1', '0', '495');
INSERT INTO `shop` VALUES ('70021', '140013', '0', '-1', '0', '206');
INSERT INTO `shop` VALUES ('70021', '140014', '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70021', '140015', '0', '-1', '0', '388');
INSERT INTO `shop` VALUES ('70021', '140016', '0', '-1', '0', '495');
INSERT INTO `shop` VALUES ('70021', '140018', '0', '-1', '0', '1361');
INSERT INTO `shop` VALUES ('70021', '140061', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70021', '140062', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70021', '140065', '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70021', '140068', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70021', '140069', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70021', '140072', '0', '-1', '0', '17');
INSERT INTO `shop` VALUES ('70021', '140074', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70021', '140087', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70021', '140088', '0', '-1', '0', '1211');
INSERT INTO `shop` VALUES ('70021', '140089', '0', '-1', '0', '1067');
INSERT INTO `shop` VALUES ('70021', '140100', '0', '-1', '0', '510');
INSERT INTO `shop` VALUES ('70021', '140119', '0', '-1', '0', '435');
INSERT INTO `shop` VALUES ('70021', '140506', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '200001', '0', '-1', '0', '16');
INSERT INTO `shop` VALUES ('70021', '200002', '0', '-1', '0', '1375');
INSERT INTO `shop` VALUES ('70021', '200027', '0', '-1', '0', '320');
INSERT INTO `shop` VALUES ('70021', '200032', '0', '-1', '0', '9900');
INSERT INTO `shop` VALUES ('70021', '200041', '0', '-1', '0', '-1');
INSERT INTO `shop` VALUES ('70021', '200052', '0', '-1', '0', '-1');
INSERT INTO `shop` VALUES ('70021', '200171', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70021', '220001', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '220002', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '220003', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '220004', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '220005', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', '220034', '0', '-1', '0', '75');
INSERT INTO `shop` VALUES ('70021', '220043', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70021', '220056', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70021', '220101', '0', '-1', '0', '5750');
INSERT INTO `shop` VALUES ('70021', '220115', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70021', '220122', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70021', '220125', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70021', '220135', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70021', '220136', '0', '-1', '0', '400');
INSERT INTO `shop` VALUES ('70021', '220147', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70021', '220154', '0', '-1', '0', '18500');
INSERT INTO `shop` VALUES ('70021', '220213', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70021', '220237', '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70021', '50000', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70030', '1', '0', '-1', '0', '16');
INSERT INTO `shop` VALUES ('70030', '2', '0', '-1', '0', '120');
INSERT INTO `shop` VALUES ('70030', '4', '11', '8', '0', '4');
INSERT INTO `shop` VALUES ('70030', '6', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '7', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '10', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '15', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '21', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70030', '23', '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70030', '24', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70030', '25', '0', '-1', '0', '900');
INSERT INTO `shop` VALUES ('70030', '26', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70030', '27', '0', '-1', '0', '660');
INSERT INTO `shop` VALUES ('70030', '29', '0', '-1', '0', '6500');
INSERT INTO `shop` VALUES ('70030', '31', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70030', '32', '0', '-1', '0', '1275');
INSERT INTO `shop` VALUES ('70030', '33', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '34', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '35', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '37', '0', '-1', '0', '2750');
INSERT INTO `shop` VALUES ('70030', '38', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '39', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '41', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70030', '43', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '48', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '52', '0', '-1', '0', '9900');
INSERT INTO `shop` VALUES ('70030', '69', '0', '-1', '0', '400');
INSERT INTO `shop` VALUES ('70030', '71', '0', '-1', '0', '750');
INSERT INTO `shop` VALUES ('70030', '72', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70030', '73', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '75', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '76', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '77', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70030', '80', '0', '-1', '0', '15000');
INSERT INTO `shop` VALUES ('70030', '87', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '90', '0', '-1', '0', '27');
INSERT INTO `shop` VALUES ('70030', '91', '0', '-1', '0', '80');
INSERT INTO `shop` VALUES ('70030', '92', '0', '-1', '0', '89');
INSERT INTO `shop` VALUES ('70030', '93', '0', '-1', '0', '13');
INSERT INTO `shop` VALUES ('70030', '94', '0', '-1', '0', '225');
INSERT INTO `shop` VALUES ('70030', '95', '0', '-1', '0', '33');
INSERT INTO `shop` VALUES ('70030', '96', '0', '-1', '0', '44');
INSERT INTO `shop` VALUES ('70030', '97', '0', '-1', '0', '110');
INSERT INTO `shop` VALUES ('70030', '98', '0', '-1', '0', '192');
INSERT INTO `shop` VALUES ('70030', '101', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '102', '0', '-1', '0', '5500');
INSERT INTO `shop` VALUES ('70030', '103', '0', '-1', '0', '1100');
INSERT INTO `shop` VALUES ('70030', '104', '0', '-1', '0', '4400');
INSERT INTO `shop` VALUES ('70030', '105', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '106', '0', '-1', '0', '8800');
INSERT INTO `shop` VALUES ('70030', '125', '0', '-1', '0', '4500');
INSERT INTO `shop` VALUES ('70030', '128', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70030', '129', '0', '-1', '0', '1250');
INSERT INTO `shop` VALUES ('70030', '135', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '136', '0', '-1', '0', '11');
INSERT INTO `shop` VALUES ('70030', '137', '0', '-1', '0', '8');
INSERT INTO `shop` VALUES ('70030', '138', '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70030', '139', '0', '-1', '0', '22');
INSERT INTO `shop` VALUES ('70030', '140', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70030', '141', '0', '-1', '0', '550');
INSERT INTO `shop` VALUES ('70030', '142', '0', '-1', '0', '4400');
INSERT INTO `shop` VALUES ('70030', '143', '0', '-1', '0', '385');
INSERT INTO `shop` VALUES ('70030', '144', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70030', '145', '0', '-1', '0', '900');
INSERT INTO `shop` VALUES ('70030', '146', '0', '-1', '0', '1925');
INSERT INTO `shop` VALUES ('70030', '147', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '148', '0', '-1', '0', '7150');
INSERT INTO `shop` VALUES ('70030', '150', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '152', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70030', '153', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70030', '154', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', '156', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '157', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '158', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '159', '0', '-1', '0', '6000');
INSERT INTO `shop` VALUES ('70030', '161', '0', '-1', '0', '20000');
INSERT INTO `shop` VALUES ('70030', '168', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '169', '0', '-1', '0', '3500');
INSERT INTO `shop` VALUES ('70030', '170', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '171', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70030', '172', '0', '-1', '0', '26');
INSERT INTO `shop` VALUES ('70030', '173', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '174', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '175', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '176', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '186', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '187', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '191', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '193', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '206', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '208', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '209', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '211', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '214', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '215', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '216', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '219', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '220', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '223', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '224', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '225', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '226', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '228', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '230', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20001', '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70030', '20002', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20006', '0', '-1', '0', '3500');
INSERT INTO `shop` VALUES ('70030', '20007', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20008', '0', '-1', '0', '300');
INSERT INTO `shop` VALUES ('70030', '20011', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70030', '20012', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20013', '0', '-1', '0', '1100');
INSERT INTO `shop` VALUES ('70030', '20014', '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70030', '20015', '0', '-1', '0', '9000');
INSERT INTO `shop` VALUES ('70030', '20019', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20023', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20026', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20028', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20032', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20034', '0', '-1', '0', '75');
INSERT INTO `shop` VALUES ('70030', '20036', '0', '-1', '0', '6000');
INSERT INTO `shop` VALUES ('70030', '20037', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20038', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20043', '0', '-1', '0', '140');
INSERT INTO `shop` VALUES ('70030', '20044', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20045', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20052', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70030', '20053', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20056', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70030', '20063', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20072', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', '20073', '0', '-1', '0', '575');
INSERT INTO `shop` VALUES ('70030', '20075', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20081', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70030', '20085', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20089', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70030', '20090', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20096', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70030', '20097', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20098', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20101', '0', '-1', '0', '16100');
INSERT INTO `shop` VALUES ('70030', '20102', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20103', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20104', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20105', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20110', '0', '-1', '0', '5600');
INSERT INTO `shop` VALUES ('70030', '20111', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20114', '0', '-1', '0', '700');
INSERT INTO `shop` VALUES ('70030', '20115', '0', '-1', '0', '14000');
INSERT INTO `shop` VALUES ('70030', '20120', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20122', '0', '-1', '0', '1400');
INSERT INTO `shop` VALUES ('70030', '20124', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20125', '0', '-1', '0', '4200');
INSERT INTO `shop` VALUES ('70030', '20126', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20128', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20132', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20133', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20135', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70030', '20136', '0', '-1', '0', '400');
INSERT INTO `shop` VALUES ('70030', '20139', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20145', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20147', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70030', '20148', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20149', '0', '-1', '0', '11200');
INSERT INTO `shop` VALUES ('70030', '20154', '0', '-1', '0', '18500');
INSERT INTO `shop` VALUES ('70030', '20155', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20161', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20162', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20172', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20173', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20174', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20175', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20177', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20178', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20181', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20182', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20188', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20189', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20191', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20192', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20193', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20196', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20199', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20200', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20206', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20207', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20210', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20212', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20217', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20219', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20221', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20222', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20223', '0', '-1', '0', '120');
INSERT INTO `shop` VALUES ('70030', '20224', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20227', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20229', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70030', '20231', '0', '-1', '0', '3500');
INSERT INTO `shop` VALUES ('70030', '20232', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20235', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20236', '0', '-1', '0', '1150');
INSERT INTO `shop` VALUES ('70030', '20237', '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70030', '20238', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20239', '0', '-1', '0', '30');
INSERT INTO `shop` VALUES ('70030', '20241', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20242', '0', '-1', '0', '600');
INSERT INTO `shop` VALUES ('70030', '20322', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '20351', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40004', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40005', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40006', '0', '-1', '0', '16500');
INSERT INTO `shop` VALUES ('70030', '40007', '0', '-1', '0', '2475');
INSERT INTO `shop` VALUES ('70030', '40008', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70030', '40014', '0', '-1', '0', '470');
INSERT INTO `shop` VALUES ('70030', '40015', '0', '-1', '0', '388');
INSERT INTO `shop` VALUES ('70030', '40016', '0', '-1', '0', '495');
INSERT INTO `shop` VALUES ('70030', '40019', '0', '-1', '0', '48');
INSERT INTO `shop` VALUES ('70030', '40020', '0', '-1', '0', '132');
INSERT INTO `shop` VALUES ('70030', '40021', '0', '-1', '0', '506');
INSERT INTO `shop` VALUES ('70030', '40025', '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70030', '40026', '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70030', '40027', '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70030', '40028', '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70030', '40029', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40030', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40031', '0', '-1', '0', '325');
INSERT INTO `shop` VALUES ('70030', '40032', '0', '-1', '0', '170');
INSERT INTO `shop` VALUES ('70030', '40039', '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70030', '40040', '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70030', '40041', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40042', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40043', '0', '-1', '0', '435');
INSERT INTO `shop` VALUES ('70030', '40044', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70030', '40045', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70030', '40046', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70030', '40047', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70030', '40048', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70030', '40049', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70030', '40050', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70030', '40051', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70030', '40052', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70030', '40053', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70030', '40054', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70030', '40055', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70030', '40057', '0', '-1', '0', '32');
INSERT INTO `shop` VALUES ('70030', '40058', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40059', '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70030', '40060', '0', '-1', '0', '6');
INSERT INTO `shop` VALUES ('70030', '40061', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70030', '40062', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70030', '40063', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40064', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70030', '40066', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40067', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70030', '40068', '0', '-1', '0', '625');
INSERT INTO `shop` VALUES ('70030', '40069', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70030', '40071', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40072', '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70030', '40074', '0', '-1', '0', '16000');
INSERT INTO `shop` VALUES ('70030', '40075', '0', '-1', '0', '75');
INSERT INTO `shop` VALUES ('70030', '40077', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40078', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40080', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70030', '40081', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70030', '40082', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70030', '40083', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70030', '40084', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70030', '40085', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70030', '40086', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70030', '40087', '0', '-1', '0', '35000');
INSERT INTO `shop` VALUES ('70030', '40088', '0', '-1', '0', '1150');
INSERT INTO `shop` VALUES ('70030', '40090', '0', '-1', '0', '85');
INSERT INTO `shop` VALUES ('70030', '40091', '0', '-1', '0', '330');
INSERT INTO `shop` VALUES ('70030', '40092', '0', '-1', '0', '825');
INSERT INTO `shop` VALUES ('70030', '40093', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40094', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40095', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40096', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40097', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40098', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40099', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40101', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70030', '40102', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70030', '40103', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70030', '40104', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', '40105', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', '40106', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', '40107', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', '40108', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', '40109', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', '40110', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', '40111', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', '40112', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', '40113', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', '40114', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70030', '40115', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70030', '40116', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70030', '40117', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70030', '40118', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70030', '40120', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70030', '40121', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70030', '40122', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70030', '40123', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70030', '40125', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70030', '40127', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40128', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40129', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40130', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40131', '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70030', '40132', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70030', '40133', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', '40134', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', '40135', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70030', '40136', '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70030', '40137', '0', '-1', '0', '2187');
INSERT INTO `shop` VALUES ('70030', '40138', '0', '-1', '0', '1050');
INSERT INTO `shop` VALUES ('70030', '40139', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70030', '40140', '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70030', '40141', '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70030', '40142', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70030', '40143', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70030', '40144', '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70030', '40145', '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70030', '40146', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70030', '40147', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70030', '40148', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70030', '40149', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70030', '40150', '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70030', '40151', '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70030', '40152', '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70030', '40153', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70030', '40154', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70030', '40155', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70030', '40156', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70030', '40157', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70030', '40158', '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70030', '40159', '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70030', '40160', '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70030', '40161', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70030', '40163', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40164', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70030', '40165', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', '40166', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', '40167', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40168', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40169', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40170', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70030', '40171', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70030', '40172', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70030', '40173', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70030', '40174', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70030', '40175', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70030', '40176', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70030', '40177', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70030', '40178', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70030', '40179', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70030', '40180', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70030', '40181', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70030', '40182', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70030', '40183', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70030', '40184', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70030', '40185', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70030', '40186', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70030', '40187', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70030', '40188', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70030', '40189', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70030', '40190', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70030', '40191', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70030', '40192', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70030', '40193', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70030', '40194', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70030', '40195', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70030', '40196', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70030', '40197', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70030', '40198', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70030', '40199', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70030', '40200', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70030', '40201', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70030', '40202', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70030', '40203', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70030', '40204', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70030', '40205', '0', '-1', '0', '6000');
INSERT INTO `shop` VALUES ('70030', '40206', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70030', '40207', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70030', '40208', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70030', '40209', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70030', '40210', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70030', '40211', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70030', '40212', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70030', '40213', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70030', '40214', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70030', '40215', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70030', '40216', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70030', '40217', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70030', '40218', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', '40219', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70030', '40220', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70030', '40221', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70030', '40222', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70030', '40223', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70030', '40224', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70030', '40225', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70030', '40226', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', '40227', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', '40228', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', '40229', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', '40230', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', '40231', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', '40265', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', '40266', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', '40267', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', '40268', '0', '-1', '0', '1625');
INSERT INTO `shop` VALUES ('70030', '40269', '0', '-1', '0', '1625');
INSERT INTO `shop` VALUES ('70030', '40270', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70030', '40271', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70030', '40272', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70030', '40273', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70030', '40274', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70030', '40275', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70030', '40276', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70030', '40277', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70030', '40278', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70030', '40279', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70030', '40280', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', '40298', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70030', '40299', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70030', '40300', '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70030', '40301', '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70030', '40302', '0', '-1', '0', '345');
INSERT INTO `shop` VALUES ('70030', '40303', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', '40309', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', '40312', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40313', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40318', '0', '-1', '0', '122');
INSERT INTO `shop` VALUES ('70030', '40319', '0', '-1', '0', '177');
INSERT INTO `shop` VALUES ('70030', '40320', '0', '-1', '0', '121');
INSERT INTO `shop` VALUES ('70030', '40321', '0', '-1', '0', '171');
INSERT INTO `shop` VALUES ('70030', '40322', '0', '-1', '0', '435');
INSERT INTO `shop` VALUES ('70030', '40323', '0', '-1', '0', '715');
INSERT INTO `shop` VALUES ('70030', '40324', '0', '-1', '0', '1256');
INSERT INTO `shop` VALUES ('70030', '40325', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70030', '40326', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70030', '40327', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70030', '40328', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70030', '40329', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40331', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70030', '40332', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70030', '40333', '0', '-1', '0', '50000');
INSERT INTO `shop` VALUES ('70030', '40334', '0', '-1', '0', '20000');
INSERT INTO `shop` VALUES ('70030', '40335', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70030', '40336', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70030', '40337', '0', '-1', '0', '65000');
INSERT INTO `shop` VALUES ('70030', '40338', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70030', '40339', '0', '-1', '0', '30000');
INSERT INTO `shop` VALUES ('70030', '40340', '0', '-1', '0', '40000');
INSERT INTO `shop` VALUES ('70030', '40341', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40342', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40343', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40344', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40345', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40346', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40347', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40348', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40349', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40350', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40351', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40352', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40353', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40354', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40355', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40356', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40357', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40358', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40359', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40360', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40361', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40362', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40363', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40364', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40365', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40366', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40367', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40368', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40369', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40370', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40371', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40372', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40373', '0', '-1', '0', '825');
INSERT INTO `shop` VALUES ('70030', '40374', '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70030', '40375', '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70030', '40376', '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70030', '40377', '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70030', '40378', '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70030', '40379', '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70030', '40380', '6', '62', '0', '31');
INSERT INTO `shop` VALUES ('70030', '40383', '0', '-1', '0', '35');
INSERT INTO `shop` VALUES ('70030', '40384', '0', '-1', '0', '36');
INSERT INTO `shop` VALUES ('70030', '40385', '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70030', '40386', '0', '-1', '0', '31');
INSERT INTO `shop` VALUES ('70030', '40387', '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70030', '40388', '0', '-1', '0', '41');
INSERT INTO `shop` VALUES ('70030', '40389', '0', '-1', '0', '39');
INSERT INTO `shop` VALUES ('70030', '40390', '0', '-1', '0', '37');
INSERT INTO `shop` VALUES ('70030', '40391', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40392', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40393', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40394', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40395', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40396', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40397', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40398', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40399', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40400', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40401', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40402', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40403', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40404', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40405', '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70030', '40406', '0', '-1', '0', '17');
INSERT INTO `shop` VALUES ('70030', '40407', '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70030', '40408', '0', '-1', '0', '71');
INSERT INTO `shop` VALUES ('70030', '40409', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40410', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40411', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40412', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40413', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40414', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40415', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40416', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40417', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40418', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40419', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40420', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40421', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40422', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40423', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40424', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40425', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40426', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40427', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40428', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40429', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40430', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40431', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40432', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40433', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40434', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40435', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40436', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40437', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40438', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40439', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40440', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40441', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40442', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40443', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40444', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40445', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40446', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40447', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40448', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40449', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40450', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40451', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40452', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40453', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40454', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40455', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70030', '40456', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70030', '40457', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70030', '40458', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40459', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40460', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40461', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40462', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40463', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40464', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40465', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40467', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40468', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40469', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40470', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40471', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40472', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40473', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40474', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40475', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40476', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40477', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40478', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40479', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40480', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40481', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40482', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40483', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40484', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40485', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40486', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40487', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40488', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40489', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40490', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40491', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40492', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40493', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40494', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40495', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40496', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40497', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40498', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40499', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40500', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40501', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40502', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40503', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40504', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40505', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40506', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40507', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40508', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40509', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40510', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40511', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40512', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40514', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40515', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40516', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40517', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40518', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40519', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40520', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40521', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40522', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40523', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40524', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40526', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40527', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40528', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40529', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40530', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40531', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40532', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40533', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40534', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40535', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40536', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40537', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40538', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40539', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40540', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40541', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40542', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40543', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40544', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40545', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40546', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40547', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40548', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40549', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40550', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40551', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40552', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40553', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40554', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40556', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40557', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40558', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40559', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40560', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40561', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40562', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40563', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40564', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40565', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40566', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40567', '0', '-1', '0', '50000');
INSERT INTO `shop` VALUES ('70030', '40568', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40569', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40570', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40571', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40572', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40573', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40574', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40575', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40576', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40577', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40578', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40579', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40580', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40581', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40582', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40583', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40584', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40585', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40586', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40587', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40588', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40589', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40590', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40591', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40592', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40593', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40594', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40595', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40596', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40597', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40598', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40599', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40600', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40601', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40602', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40603', '0', '-1', '0', '50000');
INSERT INTO `shop` VALUES ('70030', '40604', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40605', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40606', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40607', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40608', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40609', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40610', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40611', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40612', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40613', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40614', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40615', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40616', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40617', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40618', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40619', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40620', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40621', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40622', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40623', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40624', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40625', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40626', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40627', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40628', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40629', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40630', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40631', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40632', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40633', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40634', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40635', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40636', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40637', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40638', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40639', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40640', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40641', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40642', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40643', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40644', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40645', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40646', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40647', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40648', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40649', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40650', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40651', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40652', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40653', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40654', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40655', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40656', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40657', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40658', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40659', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40660', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40661', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40662', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40663', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40664', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40665', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40666', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40667', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40668', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40669', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40670', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40671', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40672', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40673', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40674', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40675', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40676', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40677', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40678', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40679', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40680', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40681', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40682', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40683', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40684', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40685', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40686', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40687', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40688', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40689', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40690', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40691', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40692', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40693', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40694', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40695', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40696', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40697', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40698', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40699', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40700', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40701', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40702', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40703', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40704', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40705', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40706', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40707', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40708', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40709', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40710', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40711', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40712', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40713', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40714', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40715', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40716', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40717', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40718', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40719', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40720', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40721', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40722', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40723', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40724', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40726', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40727', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40728', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40729', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40730', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40731', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40732', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40733', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40734', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40735', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40736', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40737', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40738', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40739', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40740', '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70030', '40741', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40742', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40743', '0', '-1', '0', '0');
INSERT INTO `shop` VALUES ('70030', '40744', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40745', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70030', '40746', '0', '-1', '0', '7');
INSERT INTO `shop` VALUES ('70030', '40747', '0', '-1', '0', '10');
INSERT INTO `shop` VALUES ('70030', '40748', '0', '-1', '0', '13');
INSERT INTO `shop` VALUES ('70030', '40749', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70030', '40750', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70030', '40751', '0', '-1', '0', '25000');
INSERT INTO `shop` VALUES ('70030', '40752', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70030', '40753', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70030', '40754', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70030', '40755', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70030', '40756', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70030', '40757', '0', '-1', '0', '45000');
INSERT INTO `shop` VALUES ('70030', '40758', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40759', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40760', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40761', '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70030', '40762', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40763', '0', '-1', '0', '25000');
INSERT INTO `shop` VALUES ('70030', '40764', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40765', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '40766', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '100004', '0', '-1', '0', '4');
INSERT INTO `shop` VALUES ('70030', '100025', '0', '-1', '0', '990');
INSERT INTO `shop` VALUES ('70030', '100027', '0', '-1', '0', '1320');
INSERT INTO `shop` VALUES ('70030', '100029', '0', '-1', '0', '715');
INSERT INTO `shop` VALUES ('70030', '100037', '0', '-1', '0', '2750');
INSERT INTO `shop` VALUES ('70030', '100041', '0', '-1', '0', '11000');
INSERT INTO `shop` VALUES ('70030', '100052', '0', '-1', '0', '9900');
INSERT INTO `shop` VALUES ('70030', '100095', '0', '-1', '0', '33');
INSERT INTO `shop` VALUES ('70030', '100098', '0', '-1', '0', '192');
INSERT INTO `shop` VALUES ('70030', '100102', '0', '-1', '0', '5500');
INSERT INTO `shop` VALUES ('70030', '100103', '0', '-1', '0', '1100');
INSERT INTO `shop` VALUES ('70030', '100143', '0', '-1', '0', '385');
INSERT INTO `shop` VALUES ('70030', '100169', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '100172', '0', '-1', '0', '27');
INSERT INTO `shop` VALUES ('70030', '120011', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70030', '120043', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70030', '120056', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70030', '120101', '0', '-1', '0', '5750');
INSERT INTO `shop` VALUES ('70030', '120128', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '120137', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '120149', '0', '-1', '0', '9000');
INSERT INTO `shop` VALUES ('70030', '120154', '0', '-1', '0', '25900');
INSERT INTO `shop` VALUES ('70030', '120182', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '120242', '0', '-1', '0', '1600');
INSERT INTO `shop` VALUES ('70030', '140006', '0', '-1', '0', '16500');
INSERT INTO `shop` VALUES ('70030', '140008', '0', '-1', '0', '30000');
INSERT INTO `shop` VALUES ('70030', '140010', '0', '-1', '0', '32');
INSERT INTO `shop` VALUES ('70030', '140011', '0', '-1', '0', '106');
INSERT INTO `shop` VALUES ('70030', '140012', '0', '-1', '0', '495');
INSERT INTO `shop` VALUES ('70030', '140013', '0', '-1', '0', '206');
INSERT INTO `shop` VALUES ('70030', '140014', '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70030', '140015', '0', '-1', '0', '388');
INSERT INTO `shop` VALUES ('70030', '140016', '0', '-1', '0', '495');
INSERT INTO `shop` VALUES ('70030', '140018', '0', '-1', '0', '1361');
INSERT INTO `shop` VALUES ('70030', '140061', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70030', '140062', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70030', '140065', '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70030', '140068', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70030', '140069', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70030', '140072', '0', '-1', '0', '17');
INSERT INTO `shop` VALUES ('70030', '140074', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70030', '140087', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70030', '140088', '0', '-1', '0', '1211');
INSERT INTO `shop` VALUES ('70030', '140089', '0', '-1', '0', '1067');
INSERT INTO `shop` VALUES ('70030', '140100', '0', '-1', '0', '510');
INSERT INTO `shop` VALUES ('70030', '140119', '0', '-1', '0', '435');
INSERT INTO `shop` VALUES ('70030', '140506', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '200001', '0', '-1', '0', '16');
INSERT INTO `shop` VALUES ('70030', '200002', '0', '-1', '0', '1375');
INSERT INTO `shop` VALUES ('70030', '200027', '0', '-1', '0', '320');
INSERT INTO `shop` VALUES ('70030', '200032', '0', '-1', '0', '9900');
INSERT INTO `shop` VALUES ('70030', '200041', '0', '-1', '0', '-1');
INSERT INTO `shop` VALUES ('70030', '200052', '0', '-1', '0', '-1');
INSERT INTO `shop` VALUES ('70030', '200171', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70030', '220001', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '220002', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '220003', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '220004', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '220005', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', '220034', '0', '-1', '0', '75');
INSERT INTO `shop` VALUES ('70030', '220043', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70030', '220056', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70030', '220101', '0', '-1', '0', '5750');
INSERT INTO `shop` VALUES ('70030', '220115', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70030', '220122', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70030', '220125', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70030', '220135', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70030', '220136', '0', '-1', '0', '400');
INSERT INTO `shop` VALUES ('70030', '220147', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70030', '220154', '0', '-1', '0', '18500');
INSERT INTO `shop` VALUES ('70030', '220213', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70030', '220237', '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70030', '50000', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70045', '1', '0', '-1', '0', '16');
INSERT INTO `shop` VALUES ('70045', '2', '0', '-1', '0', '120');
INSERT INTO `shop` VALUES ('70045', '4', '11', '8', '0', '4');
INSERT INTO `shop` VALUES ('70045', '6', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '7', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '10', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '15', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '21', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70045', '23', '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70045', '24', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70045', '25', '0', '-1', '0', '900');
INSERT INTO `shop` VALUES ('70045', '26', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70045', '27', '0', '-1', '0', '660');
INSERT INTO `shop` VALUES ('70045', '29', '0', '-1', '0', '6500');
INSERT INTO `shop` VALUES ('70045', '31', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70045', '32', '0', '-1', '0', '1275');
INSERT INTO `shop` VALUES ('70045', '33', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '34', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '35', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '37', '0', '-1', '0', '2750');
INSERT INTO `shop` VALUES ('70045', '38', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '39', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '41', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70045', '43', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '48', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '52', '0', '-1', '0', '9900');
INSERT INTO `shop` VALUES ('70045', '69', '0', '-1', '0', '400');
INSERT INTO `shop` VALUES ('70045', '71', '0', '-1', '0', '750');
INSERT INTO `shop` VALUES ('70045', '72', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70045', '73', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '75', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '76', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '77', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70045', '80', '0', '-1', '0', '15000');
INSERT INTO `shop` VALUES ('70045', '87', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '90', '0', '-1', '0', '27');
INSERT INTO `shop` VALUES ('70045', '91', '0', '-1', '0', '80');
INSERT INTO `shop` VALUES ('70045', '92', '0', '-1', '0', '89');
INSERT INTO `shop` VALUES ('70045', '93', '0', '-1', '0', '13');
INSERT INTO `shop` VALUES ('70045', '94', '0', '-1', '0', '225');
INSERT INTO `shop` VALUES ('70045', '95', '0', '-1', '0', '33');
INSERT INTO `shop` VALUES ('70045', '96', '0', '-1', '0', '44');
INSERT INTO `shop` VALUES ('70045', '97', '0', '-1', '0', '110');
INSERT INTO `shop` VALUES ('70045', '98', '0', '-1', '0', '192');
INSERT INTO `shop` VALUES ('70045', '101', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '102', '0', '-1', '0', '5500');
INSERT INTO `shop` VALUES ('70045', '103', '0', '-1', '0', '1100');
INSERT INTO `shop` VALUES ('70045', '104', '0', '-1', '0', '4400');
INSERT INTO `shop` VALUES ('70045', '105', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '106', '0', '-1', '0', '8800');
INSERT INTO `shop` VALUES ('70045', '125', '0', '-1', '0', '4500');
INSERT INTO `shop` VALUES ('70045', '128', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70045', '129', '0', '-1', '0', '1250');
INSERT INTO `shop` VALUES ('70045', '135', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '136', '0', '-1', '0', '11');
INSERT INTO `shop` VALUES ('70045', '137', '0', '-1', '0', '8');
INSERT INTO `shop` VALUES ('70045', '138', '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70045', '139', '0', '-1', '0', '22');
INSERT INTO `shop` VALUES ('70045', '140', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70045', '141', '0', '-1', '0', '550');
INSERT INTO `shop` VALUES ('70045', '142', '0', '-1', '0', '4400');
INSERT INTO `shop` VALUES ('70045', '143', '0', '-1', '0', '385');
INSERT INTO `shop` VALUES ('70045', '144', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70045', '145', '0', '-1', '0', '900');
INSERT INTO `shop` VALUES ('70045', '146', '0', '-1', '0', '1925');
INSERT INTO `shop` VALUES ('70045', '147', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '148', '0', '-1', '0', '7150');
INSERT INTO `shop` VALUES ('70045', '150', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '152', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70045', '153', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70045', '154', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', '156', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '157', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '158', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '159', '0', '-1', '0', '6000');
INSERT INTO `shop` VALUES ('70045', '161', '0', '-1', '0', '20000');
INSERT INTO `shop` VALUES ('70045', '168', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '169', '0', '-1', '0', '3500');
INSERT INTO `shop` VALUES ('70045', '170', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '171', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70045', '172', '0', '-1', '0', '26');
INSERT INTO `shop` VALUES ('70045', '173', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '174', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '175', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '176', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '186', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '187', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '191', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '193', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '206', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '208', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '209', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '211', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '214', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '215', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '216', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '219', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '220', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '223', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '224', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '225', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '226', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '228', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '230', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20001', '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70045', '20002', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20006', '0', '-1', '0', '3500');
INSERT INTO `shop` VALUES ('70045', '20007', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20008', '0', '-1', '0', '300');
INSERT INTO `shop` VALUES ('70045', '20011', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70045', '20012', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20013', '0', '-1', '0', '1100');
INSERT INTO `shop` VALUES ('70045', '20014', '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70045', '20015', '0', '-1', '0', '9000');
INSERT INTO `shop` VALUES ('70045', '20019', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20023', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20026', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20028', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20032', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20034', '0', '-1', '0', '75');
INSERT INTO `shop` VALUES ('70045', '20036', '0', '-1', '0', '6000');
INSERT INTO `shop` VALUES ('70045', '20037', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20038', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20043', '0', '-1', '0', '140');
INSERT INTO `shop` VALUES ('70045', '20044', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20045', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20052', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70045', '20053', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20056', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70045', '20063', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20072', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', '20073', '0', '-1', '0', '575');
INSERT INTO `shop` VALUES ('70045', '20075', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20081', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70045', '20085', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20089', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70045', '20090', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20096', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70045', '20097', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20098', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20101', '0', '-1', '0', '16100');
INSERT INTO `shop` VALUES ('70045', '20102', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20103', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20104', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20105', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20110', '0', '-1', '0', '5600');
INSERT INTO `shop` VALUES ('70045', '20111', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20114', '0', '-1', '0', '700');
INSERT INTO `shop` VALUES ('70045', '20115', '0', '-1', '0', '14000');
INSERT INTO `shop` VALUES ('70045', '20120', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20122', '0', '-1', '0', '1400');
INSERT INTO `shop` VALUES ('70045', '20124', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20125', '0', '-1', '0', '4200');
INSERT INTO `shop` VALUES ('70045', '20126', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20128', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20132', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20133', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20135', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70045', '20136', '0', '-1', '0', '400');
INSERT INTO `shop` VALUES ('70045', '20139', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20145', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20147', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70045', '20148', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20149', '0', '-1', '0', '11200');
INSERT INTO `shop` VALUES ('70045', '20154', '0', '-1', '0', '18500');
INSERT INTO `shop` VALUES ('70045', '20155', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20161', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20162', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20172', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20173', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20174', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20175', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20177', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20178', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20181', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20182', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20188', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20189', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20191', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20192', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20193', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20196', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20199', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20200', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20205', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70045', '20206', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20207', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20210', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20212', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20213', '2', '300', '0', '150');
INSERT INTO `shop` VALUES ('70045', '20217', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20219', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20221', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20222', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20223', '0', '-1', '0', '120');
INSERT INTO `shop` VALUES ('70045', '20224', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20227', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20229', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70045', '20231', '0', '-1', '0', '3500');
INSERT INTO `shop` VALUES ('70045', '20232', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20235', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20236', '0', '-1', '0', '1150');
INSERT INTO `shop` VALUES ('70045', '20237', '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70045', '20238', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20239', '0', '-1', '0', '30');
INSERT INTO `shop` VALUES ('70045', '20241', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20242', '0', '-1', '0', '600');
INSERT INTO `shop` VALUES ('70045', '20322', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '20351', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40001', '3', '10', '0', '5');
INSERT INTO `shop` VALUES ('70045', '40002', '4', '100', '0', '50');
INSERT INTO `shop` VALUES ('70045', '40003', '5', '30', '0', '15');
INSERT INTO `shop` VALUES ('70045', '40004', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40005', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40006', '0', '-1', '0', '16500');
INSERT INTO `shop` VALUES ('70045', '40007', '0', '-1', '0', '2475');
INSERT INTO `shop` VALUES ('70045', '40008', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70045', '40015', '0', '-1', '0', '388');
INSERT INTO `shop` VALUES ('70045', '40025', '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70045', '40026', '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70045', '40027', '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70045', '40028', '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70045', '40029', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40030', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40031', '0', '-1', '0', '325');
INSERT INTO `shop` VALUES ('70045', '40032', '0', '-1', '0', '170');
INSERT INTO `shop` VALUES ('70045', '40039', '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70045', '40040', '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70045', '40041', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40042', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40043', '0', '-1', '0', '435');
INSERT INTO `shop` VALUES ('70045', '40044', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70045', '40045', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70045', '40046', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70045', '40047', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70045', '40048', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70045', '40049', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70045', '40050', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70045', '40051', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70045', '40052', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70045', '40053', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70045', '40054', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70045', '40055', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70045', '40057', '0', '-1', '0', '32');
INSERT INTO `shop` VALUES ('70045', '40058', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40059', '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70045', '40060', '0', '-1', '0', '6');
INSERT INTO `shop` VALUES ('70045', '40061', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70045', '40062', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70045', '40063', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40064', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70045', '40066', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40067', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70045', '40068', '0', '-1', '0', '625');
INSERT INTO `shop` VALUES ('70045', '40069', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70045', '40071', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40072', '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70045', '40074', '0', '-1', '0', '16000');
INSERT INTO `shop` VALUES ('70045', '40075', '0', '-1', '0', '75');
INSERT INTO `shop` VALUES ('70045', '40077', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40078', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40080', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70045', '40081', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70045', '40082', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70045', '40083', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70045', '40084', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70045', '40085', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70045', '40086', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70045', '40087', '0', '-1', '0', '35000');
INSERT INTO `shop` VALUES ('70045', '40090', '0', '-1', '0', '85');
INSERT INTO `shop` VALUES ('70045', '40091', '0', '-1', '0', '330');
INSERT INTO `shop` VALUES ('70045', '40092', '0', '-1', '0', '825');
INSERT INTO `shop` VALUES ('70045', '40093', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40094', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40095', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40096', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40097', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40098', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40099', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40101', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70045', '40102', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70045', '40103', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70045', '40104', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', '40105', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', '40106', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', '40107', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', '40108', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', '40109', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', '40110', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', '40111', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', '40112', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', '40113', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', '40114', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70045', '40115', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70045', '40116', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70045', '40117', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70045', '40118', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70045', '40120', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70045', '40121', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70045', '40122', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70045', '40123', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70045', '40125', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70045', '40127', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40128', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40129', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40130', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40131', '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70045', '40132', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70045', '40133', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', '40134', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', '40135', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70045', '40136', '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70045', '40137', '0', '-1', '0', '2187');
INSERT INTO `shop` VALUES ('70045', '40138', '0', '-1', '0', '1050');
INSERT INTO `shop` VALUES ('70045', '40139', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70045', '40140', '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70045', '40141', '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70045', '40142', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70045', '40143', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70045', '40144', '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70045', '40145', '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70045', '40146', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70045', '40147', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70045', '40148', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70045', '40149', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70045', '40150', '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70045', '40151', '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70045', '40152', '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70045', '40153', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70045', '40154', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70045', '40155', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70045', '40156', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70045', '40157', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70045', '40158', '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70045', '40159', '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70045', '40160', '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70045', '40161', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70045', '40163', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40164', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70045', '40165', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', '40166', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', '40167', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40168', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40169', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40170', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70045', '40171', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70045', '40172', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70045', '40173', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70045', '40174', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70045', '40175', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70045', '40176', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70045', '40177', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70045', '40178', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70045', '40179', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70045', '40180', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70045', '40181', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70045', '40182', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70045', '40183', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70045', '40184', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70045', '40185', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70045', '40186', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70045', '40187', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70045', '40188', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70045', '40189', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70045', '40190', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70045', '40191', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70045', '40192', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70045', '40193', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70045', '40194', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70045', '40195', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70045', '40196', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70045', '40197', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70045', '40198', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70045', '40199', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70045', '40200', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70045', '40201', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70045', '40202', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70045', '40203', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70045', '40204', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70045', '40205', '0', '-1', '0', '6000');
INSERT INTO `shop` VALUES ('70045', '40206', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70045', '40207', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70045', '40208', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70045', '40209', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70045', '40210', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70045', '40211', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70045', '40212', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70045', '40213', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70045', '40214', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70045', '40215', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70045', '40216', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70045', '40217', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70045', '40218', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', '40219', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70045', '40220', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70045', '40221', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70045', '40222', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70045', '40223', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70045', '40224', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70045', '40225', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70045', '40226', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', '40227', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', '40228', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', '40229', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', '40230', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', '40231', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', '40265', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', '40266', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', '40267', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', '40268', '0', '-1', '0', '1625');
INSERT INTO `shop` VALUES ('70045', '40269', '0', '-1', '0', '1625');
INSERT INTO `shop` VALUES ('70045', '40270', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70045', '40271', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70045', '40272', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70045', '40273', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70045', '40274', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70045', '40275', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70045', '40276', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70045', '40277', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70045', '40278', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70045', '40279', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70045', '40280', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', '40298', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70045', '40299', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70045', '40300', '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70045', '40301', '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70045', '40302', '0', '-1', '0', '345');
INSERT INTO `shop` VALUES ('70045', '40303', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', '40309', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', '40312', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40313', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40318', '0', '-1', '0', '122');
INSERT INTO `shop` VALUES ('70045', '40319', '0', '-1', '0', '177');
INSERT INTO `shop` VALUES ('70045', '40320', '0', '-1', '0', '121');
INSERT INTO `shop` VALUES ('70045', '40321', '0', '-1', '0', '171');
INSERT INTO `shop` VALUES ('70045', '40322', '0', '-1', '0', '435');
INSERT INTO `shop` VALUES ('70045', '40323', '0', '-1', '0', '715');
INSERT INTO `shop` VALUES ('70045', '40324', '0', '-1', '0', '1256');
INSERT INTO `shop` VALUES ('70045', '40325', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70045', '40326', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70045', '40327', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70045', '40328', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70045', '40329', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40331', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70045', '40332', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70045', '40333', '0', '-1', '0', '50000');
INSERT INTO `shop` VALUES ('70045', '40334', '0', '-1', '0', '20000');
INSERT INTO `shop` VALUES ('70045', '40335', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70045', '40336', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70045', '40337', '0', '-1', '0', '65000');
INSERT INTO `shop` VALUES ('70045', '40338', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70045', '40339', '0', '-1', '0', '30000');
INSERT INTO `shop` VALUES ('70045', '40340', '0', '-1', '0', '40000');
INSERT INTO `shop` VALUES ('70045', '40341', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40342', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40343', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40344', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40345', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40346', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40347', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40348', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40349', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40350', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40351', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40352', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40353', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40354', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40355', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40356', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40357', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40358', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40359', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40360', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40361', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40362', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40363', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40364', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40365', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40366', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40367', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40368', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40369', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40370', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40371', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40372', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40373', '0', '-1', '0', '825');
INSERT INTO `shop` VALUES ('70045', '40374', '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70045', '40375', '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70045', '40376', '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70045', '40377', '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70045', '40378', '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70045', '40379', '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70045', '40380', '6', '62', '0', '31');
INSERT INTO `shop` VALUES ('70045', '40381', '0', '-1', '0', '44');
INSERT INTO `shop` VALUES ('70045', '40382', '0', '-1', '0', '41');
INSERT INTO `shop` VALUES ('70045', '40383', '0', '-1', '0', '35');
INSERT INTO `shop` VALUES ('70045', '40384', '0', '-1', '0', '36');
INSERT INTO `shop` VALUES ('70045', '40385', '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70045', '40387', '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70045', '40388', '0', '-1', '0', '41');
INSERT INTO `shop` VALUES ('70045', '40389', '0', '-1', '0', '39');
INSERT INTO `shop` VALUES ('70045', '40390', '0', '-1', '0', '37');
INSERT INTO `shop` VALUES ('70045', '40391', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40392', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40393', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40394', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40395', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40396', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40397', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40398', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40399', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40400', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40401', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40402', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40403', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40404', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40405', '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70045', '40406', '0', '-1', '0', '17');
INSERT INTO `shop` VALUES ('70045', '40407', '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70045', '40408', '0', '-1', '0', '71');
INSERT INTO `shop` VALUES ('70045', '40409', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40410', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40411', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40412', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40413', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40414', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40415', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40416', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40417', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40418', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40419', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40420', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40421', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40422', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40423', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40424', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40425', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40426', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40427', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40428', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40429', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40430', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40431', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40432', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40433', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40434', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40435', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40436', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40437', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40438', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40439', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40440', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40441', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40442', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40443', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40444', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40445', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40446', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40447', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40448', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40449', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40450', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40451', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40452', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40453', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40454', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40455', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70045', '40456', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70045', '40457', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70045', '40458', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40459', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40460', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40461', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40462', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40463', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40464', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40465', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40467', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40468', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40469', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40470', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40471', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40472', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40473', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40474', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40475', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40476', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40477', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40478', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40479', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40480', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40481', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40482', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40483', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40484', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40485', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40486', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40487', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40488', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40489', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40490', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40491', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40492', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40493', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40494', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40495', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40496', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40497', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40498', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40499', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40500', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40501', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40502', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40503', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40504', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40505', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40506', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40507', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40508', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40509', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40510', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40511', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40512', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40514', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40515', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40516', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40517', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40518', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40519', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40520', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40521', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40522', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40523', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40524', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40526', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40527', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40528', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40529', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40530', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40531', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40532', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40533', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40534', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40535', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40536', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40537', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40538', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40539', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40540', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40541', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40542', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40543', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40544', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40545', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40546', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40547', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40548', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40549', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40550', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40551', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40552', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40553', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40554', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40556', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40557', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40558', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40559', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40560', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40561', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40562', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40563', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40564', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40565', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40566', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40567', '0', '-1', '0', '50000');
INSERT INTO `shop` VALUES ('70045', '40568', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40569', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40570', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40571', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40572', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40573', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40574', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40575', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40576', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40577', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40578', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40579', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40580', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40581', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40582', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40583', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40584', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40585', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40586', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40587', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40588', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40589', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40590', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40591', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40592', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40593', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40594', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40595', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40596', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40597', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40598', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40599', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40600', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40601', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40602', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40603', '0', '-1', '0', '50000');
INSERT INTO `shop` VALUES ('70045', '40604', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40605', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40606', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40607', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40608', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40609', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40610', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40611', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40612', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40613', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40614', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40615', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40616', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40617', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40618', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40619', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40620', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40621', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40622', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40623', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40624', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40625', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40626', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40627', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40628', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40629', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40630', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40631', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40632', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40633', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40634', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40635', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40636', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40637', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40638', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40639', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40640', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40641', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40642', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40643', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40644', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40645', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40646', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40647', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40648', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40649', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40650', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40651', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40652', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40653', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40654', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40655', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40656', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40657', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40658', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40659', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40660', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40661', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40662', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40663', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40664', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40665', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40666', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40667', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40668', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40669', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40670', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40671', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40672', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40673', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40674', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40675', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40676', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40677', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40678', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40679', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40680', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40681', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40682', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40683', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40684', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40685', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40686', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40687', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40688', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40689', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40690', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40691', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40692', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40693', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40694', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40695', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40696', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40697', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40698', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40699', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40700', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40701', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40702', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40703', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40704', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40705', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40706', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40707', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40708', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40709', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40710', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40711', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40712', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40713', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40714', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40715', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40716', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40717', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40718', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40719', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40720', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40721', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40722', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40723', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40724', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40726', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40727', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40728', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40729', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40730', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40731', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40732', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40733', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40734', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40735', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40736', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40737', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40738', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40739', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40740', '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70045', '40741', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40742', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40743', '0', '-1', '0', '0');
INSERT INTO `shop` VALUES ('70045', '40744', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40745', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70045', '40746', '0', '-1', '0', '7');
INSERT INTO `shop` VALUES ('70045', '40747', '0', '-1', '0', '10');
INSERT INTO `shop` VALUES ('70045', '40748', '0', '-1', '0', '13');
INSERT INTO `shop` VALUES ('70045', '40749', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70045', '40750', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70045', '40751', '0', '-1', '0', '25000');
INSERT INTO `shop` VALUES ('70045', '40752', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70045', '40753', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70045', '40754', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70045', '40755', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70045', '40756', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70045', '40757', '0', '-1', '0', '45000');
INSERT INTO `shop` VALUES ('70045', '40758', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40759', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40760', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40761', '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70045', '40762', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40763', '0', '-1', '0', '25000');
INSERT INTO `shop` VALUES ('70045', '40764', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40765', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '40766', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '100004', '0', '-1', '0', '4');
INSERT INTO `shop` VALUES ('70045', '100025', '0', '-1', '0', '990');
INSERT INTO `shop` VALUES ('70045', '100027', '0', '-1', '0', '1320');
INSERT INTO `shop` VALUES ('70045', '100029', '0', '-1', '0', '715');
INSERT INTO `shop` VALUES ('70045', '100037', '0', '-1', '0', '2750');
INSERT INTO `shop` VALUES ('70045', '100041', '0', '-1', '0', '11000');
INSERT INTO `shop` VALUES ('70045', '100052', '0', '-1', '0', '9900');
INSERT INTO `shop` VALUES ('70045', '100095', '0', '-1', '0', '33');
INSERT INTO `shop` VALUES ('70045', '100098', '0', '-1', '0', '192');
INSERT INTO `shop` VALUES ('70045', '100102', '0', '-1', '0', '5500');
INSERT INTO `shop` VALUES ('70045', '100103', '0', '-1', '0', '1100');
INSERT INTO `shop` VALUES ('70045', '100143', '0', '-1', '0', '385');
INSERT INTO `shop` VALUES ('70045', '100169', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '100172', '0', '-1', '0', '27');
INSERT INTO `shop` VALUES ('70045', '120011', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70045', '120043', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70045', '120056', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70045', '120101', '0', '-1', '0', '5750');
INSERT INTO `shop` VALUES ('70045', '120128', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '120137', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '120149', '0', '-1', '0', '9000');
INSERT INTO `shop` VALUES ('70045', '120154', '0', '-1', '0', '25900');
INSERT INTO `shop` VALUES ('70045', '120182', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '120242', '0', '-1', '0', '1600');
INSERT INTO `shop` VALUES ('70045', '140006', '0', '-1', '0', '16500');
INSERT INTO `shop` VALUES ('70045', '140008', '0', '-1', '0', '30000');
INSERT INTO `shop` VALUES ('70045', '140010', '0', '-1', '0', '32');
INSERT INTO `shop` VALUES ('70045', '140011', '0', '-1', '0', '106');
INSERT INTO `shop` VALUES ('70045', '140012', '0', '-1', '0', '495');
INSERT INTO `shop` VALUES ('70045', '140013', '0', '-1', '0', '206');
INSERT INTO `shop` VALUES ('70045', '140014', '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70045', '140015', '0', '-1', '0', '388');
INSERT INTO `shop` VALUES ('70045', '140016', '0', '-1', '0', '495');
INSERT INTO `shop` VALUES ('70045', '140018', '0', '-1', '0', '1361');
INSERT INTO `shop` VALUES ('70045', '140061', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70045', '140062', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70045', '140065', '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70045', '140068', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70045', '140069', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70045', '140072', '0', '-1', '0', '17');
INSERT INTO `shop` VALUES ('70045', '140074', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70045', '140087', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70045', '140088', '0', '-1', '0', '1211');
INSERT INTO `shop` VALUES ('70045', '140089', '0', '-1', '0', '1067');
INSERT INTO `shop` VALUES ('70045', '140100', '0', '-1', '0', '510');
INSERT INTO `shop` VALUES ('70045', '140119', '0', '-1', '0', '435');
INSERT INTO `shop` VALUES ('70045', '140506', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '200001', '0', '-1', '0', '16');
INSERT INTO `shop` VALUES ('70045', '200002', '0', '-1', '0', '1375');
INSERT INTO `shop` VALUES ('70045', '200027', '0', '-1', '0', '320');
INSERT INTO `shop` VALUES ('70045', '200032', '0', '-1', '0', '9900');
INSERT INTO `shop` VALUES ('70045', '200041', '0', '-1', '0', '-1');
INSERT INTO `shop` VALUES ('70045', '200052', '0', '-1', '0', '-1');
INSERT INTO `shop` VALUES ('70045', '200171', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70045', '220001', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '220002', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '220003', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '220004', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '220005', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', '220034', '0', '-1', '0', '75');
INSERT INTO `shop` VALUES ('70045', '220043', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70045', '220056', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70045', '220101', '0', '-1', '0', '5750');
INSERT INTO `shop` VALUES ('70045', '220115', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70045', '220122', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70045', '220125', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70045', '220135', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70045', '220136', '0', '-1', '0', '400');
INSERT INTO `shop` VALUES ('70045', '220147', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70045', '220154', '0', '-1', '0', '18500');
INSERT INTO `shop` VALUES ('70045', '220213', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70045', '220237', '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70063', '1', '0', '-1', '0', '16');
INSERT INTO `shop` VALUES ('70063', '2', '0', '-1', '0', '120');
INSERT INTO `shop` VALUES ('70063', '4', '11', '8', '0', '4');
INSERT INTO `shop` VALUES ('70063', '6', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '7', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '10', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '15', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '21', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70063', '23', '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70063', '24', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70063', '25', '0', '-1', '0', '900');
INSERT INTO `shop` VALUES ('70063', '26', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70063', '27', '0', '-1', '0', '660');
INSERT INTO `shop` VALUES ('70063', '29', '0', '-1', '0', '6500');
INSERT INTO `shop` VALUES ('70063', '31', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70063', '32', '0', '-1', '0', '1275');
INSERT INTO `shop` VALUES ('70063', '33', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '34', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '35', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '37', '0', '-1', '0', '2750');
INSERT INTO `shop` VALUES ('70063', '38', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '39', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '41', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70063', '43', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '48', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '52', '0', '-1', '0', '9900');
INSERT INTO `shop` VALUES ('70063', '69', '0', '-1', '0', '400');
INSERT INTO `shop` VALUES ('70063', '71', '0', '-1', '0', '750');
INSERT INTO `shop` VALUES ('70063', '72', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70063', '73', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '75', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '76', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '77', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70063', '80', '0', '-1', '0', '15000');
INSERT INTO `shop` VALUES ('70063', '87', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '90', '0', '-1', '0', '27');
INSERT INTO `shop` VALUES ('70063', '91', '0', '-1', '0', '80');
INSERT INTO `shop` VALUES ('70063', '92', '0', '-1', '0', '89');
INSERT INTO `shop` VALUES ('70063', '93', '0', '-1', '0', '13');
INSERT INTO `shop` VALUES ('70063', '94', '0', '-1', '0', '225');
INSERT INTO `shop` VALUES ('70063', '95', '0', '-1', '0', '33');
INSERT INTO `shop` VALUES ('70063', '96', '0', '-1', '0', '44');
INSERT INTO `shop` VALUES ('70063', '97', '0', '-1', '0', '110');
INSERT INTO `shop` VALUES ('70063', '98', '0', '-1', '0', '192');
INSERT INTO `shop` VALUES ('70063', '101', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '102', '0', '-1', '0', '5500');
INSERT INTO `shop` VALUES ('70063', '103', '0', '-1', '0', '1100');
INSERT INTO `shop` VALUES ('70063', '104', '0', '-1', '0', '4400');
INSERT INTO `shop` VALUES ('70063', '105', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '106', '0', '-1', '0', '8800');
INSERT INTO `shop` VALUES ('70063', '125', '0', '-1', '0', '4500');
INSERT INTO `shop` VALUES ('70063', '128', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70063', '129', '0', '-1', '0', '1250');
INSERT INTO `shop` VALUES ('70063', '135', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '136', '0', '-1', '0', '11');
INSERT INTO `shop` VALUES ('70063', '137', '0', '-1', '0', '8');
INSERT INTO `shop` VALUES ('70063', '138', '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70063', '139', '0', '-1', '0', '22');
INSERT INTO `shop` VALUES ('70063', '140', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70063', '141', '0', '-1', '0', '550');
INSERT INTO `shop` VALUES ('70063', '142', '0', '-1', '0', '4400');
INSERT INTO `shop` VALUES ('70063', '143', '0', '-1', '0', '385');
INSERT INTO `shop` VALUES ('70063', '144', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70063', '145', '0', '-1', '0', '900');
INSERT INTO `shop` VALUES ('70063', '146', '0', '-1', '0', '1925');
INSERT INTO `shop` VALUES ('70063', '147', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '148', '0', '-1', '0', '7150');
INSERT INTO `shop` VALUES ('70063', '150', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '152', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70063', '153', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70063', '154', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', '156', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '157', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '158', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '159', '0', '-1', '0', '6000');
INSERT INTO `shop` VALUES ('70063', '161', '0', '-1', '0', '20000');
INSERT INTO `shop` VALUES ('70063', '168', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '169', '0', '-1', '0', '3500');
INSERT INTO `shop` VALUES ('70063', '170', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '171', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70063', '172', '0', '-1', '0', '26');
INSERT INTO `shop` VALUES ('70063', '173', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '174', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '175', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '176', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '186', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '187', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '191', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '193', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '206', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '208', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '209', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '211', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '214', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '215', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '216', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '219', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '220', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '223', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '224', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '225', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '226', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '228', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '230', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20001', '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70063', '20002', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20006', '0', '-1', '0', '3500');
INSERT INTO `shop` VALUES ('70063', '20007', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20008', '0', '-1', '0', '300');
INSERT INTO `shop` VALUES ('70063', '20011', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70063', '20012', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20013', '0', '-1', '0', '1100');
INSERT INTO `shop` VALUES ('70063', '20014', '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70063', '20015', '0', '-1', '0', '9000');
INSERT INTO `shop` VALUES ('70063', '20019', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20023', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20026', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20028', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20032', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20034', '0', '-1', '0', '75');
INSERT INTO `shop` VALUES ('70063', '20036', '0', '-1', '0', '6000');
INSERT INTO `shop` VALUES ('70063', '20037', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20038', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20043', '0', '-1', '0', '140');
INSERT INTO `shop` VALUES ('70063', '20044', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20045', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20052', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70063', '20053', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20056', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70063', '20063', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20072', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', '20073', '0', '-1', '0', '575');
INSERT INTO `shop` VALUES ('70063', '20075', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20081', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70063', '20085', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20089', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70063', '20090', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20096', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70063', '20097', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20098', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20101', '0', '-1', '0', '16100');
INSERT INTO `shop` VALUES ('70063', '20102', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20103', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20104', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20105', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20110', '0', '-1', '0', '5600');
INSERT INTO `shop` VALUES ('70063', '20111', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20114', '0', '-1', '0', '700');
INSERT INTO `shop` VALUES ('70063', '20115', '0', '-1', '0', '14000');
INSERT INTO `shop` VALUES ('70063', '20120', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20122', '0', '-1', '0', '1400');
INSERT INTO `shop` VALUES ('70063', '20124', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20125', '0', '-1', '0', '4200');
INSERT INTO `shop` VALUES ('70063', '20126', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20128', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20132', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20133', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20135', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70063', '20136', '0', '-1', '0', '400');
INSERT INTO `shop` VALUES ('70063', '20139', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20145', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20147', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70063', '20148', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20149', '0', '-1', '0', '11200');
INSERT INTO `shop` VALUES ('70063', '20154', '0', '-1', '0', '18500');
INSERT INTO `shop` VALUES ('70063', '20155', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20161', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20162', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20172', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20173', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20174', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20175', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20177', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20178', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20181', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20182', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20188', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20189', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20191', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20192', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20193', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20196', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20199', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20200', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20206', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20207', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20210', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20212', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20217', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20219', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20221', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20222', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20223', '0', '-1', '0', '120');
INSERT INTO `shop` VALUES ('70063', '20224', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20227', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20229', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70063', '20231', '0', '-1', '0', '3500');
INSERT INTO `shop` VALUES ('70063', '20232', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20235', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20236', '0', '-1', '0', '1150');
INSERT INTO `shop` VALUES ('70063', '20237', '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70063', '20238', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20239', '0', '-1', '0', '30');
INSERT INTO `shop` VALUES ('70063', '20241', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20242', '0', '-1', '0', '600');
INSERT INTO `shop` VALUES ('70063', '20322', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '20351', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40004', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40005', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40006', '0', '-1', '0', '16500');
INSERT INTO `shop` VALUES ('70063', '40007', '0', '-1', '0', '2475');
INSERT INTO `shop` VALUES ('70063', '40008', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70063', '40014', '0', '-1', '0', '470');
INSERT INTO `shop` VALUES ('70063', '40015', '0', '-1', '0', '388');
INSERT INTO `shop` VALUES ('70063', '40016', '0', '-1', '0', '495');
INSERT INTO `shop` VALUES ('70063', '40019', '0', '-1', '0', '48');
INSERT INTO `shop` VALUES ('70063', '40020', '0', '-1', '0', '132');
INSERT INTO `shop` VALUES ('70063', '40021', '0', '-1', '0', '506');
INSERT INTO `shop` VALUES ('70063', '40025', '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70063', '40026', '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70063', '40027', '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70063', '40028', '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70063', '40029', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40030', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40031', '0', '-1', '0', '325');
INSERT INTO `shop` VALUES ('70063', '40032', '0', '-1', '0', '170');
INSERT INTO `shop` VALUES ('70063', '40039', '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70063', '40040', '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70063', '40041', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40042', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40043', '0', '-1', '0', '435');
INSERT INTO `shop` VALUES ('70063', '40044', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70063', '40045', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70063', '40046', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70063', '40047', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70063', '40048', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70063', '40049', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70063', '40050', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70063', '40051', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70063', '40052', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70063', '40053', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70063', '40054', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70063', '40055', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70063', '40058', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40059', '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70063', '40060', '0', '-1', '0', '6');
INSERT INTO `shop` VALUES ('70063', '40061', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70063', '40062', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70063', '40063', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40064', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70063', '40066', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40067', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70063', '40068', '0', '-1', '0', '625');
INSERT INTO `shop` VALUES ('70063', '40069', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70063', '40071', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40072', '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70063', '40075', '0', '-1', '0', '75');
INSERT INTO `shop` VALUES ('70063', '40077', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40078', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40080', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70063', '40081', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70063', '40082', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70063', '40083', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70063', '40084', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70063', '40085', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70063', '40086', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70063', '40090', '0', '-1', '0', '85');
INSERT INTO `shop` VALUES ('70063', '40091', '0', '-1', '0', '330');
INSERT INTO `shop` VALUES ('70063', '40092', '0', '-1', '0', '825');
INSERT INTO `shop` VALUES ('70063', '40093', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40094', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40095', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40096', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40097', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40098', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40099', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40101', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70063', '40102', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70063', '40103', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70063', '40104', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', '40105', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', '40106', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', '40107', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', '40108', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', '40109', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', '40110', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', '40111', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', '40112', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', '40113', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', '40114', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70063', '40115', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70063', '40116', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70063', '40117', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70063', '40118', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70063', '40120', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70063', '40121', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70063', '40122', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70063', '40123', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70063', '40125', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70063', '40127', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40128', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40129', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40130', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40131', '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70063', '40132', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70063', '40133', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', '40134', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', '40135', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70063', '40136', '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70063', '40137', '0', '-1', '0', '2187');
INSERT INTO `shop` VALUES ('70063', '40138', '0', '-1', '0', '1050');
INSERT INTO `shop` VALUES ('70063', '40139', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70063', '40140', '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70063', '40141', '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70063', '40142', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70063', '40143', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70063', '40144', '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70063', '40145', '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70063', '40146', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70063', '40147', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70063', '40148', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70063', '40149', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70063', '40150', '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70063', '40151', '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70063', '40152', '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70063', '40153', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70063', '40154', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70063', '40155', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70063', '40156', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70063', '40157', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70063', '40158', '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70063', '40159', '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70063', '40160', '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70063', '40161', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70063', '40163', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40164', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70063', '40165', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', '40166', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', '40167', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40168', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40169', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40170', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70063', '40171', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70063', '40172', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70063', '40173', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70063', '40174', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70063', '40175', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70063', '40176', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70063', '40177', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70063', '40178', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70063', '40179', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70063', '40180', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70063', '40181', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70063', '40182', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70063', '40183', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70063', '40184', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70063', '40185', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70063', '40186', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70063', '40187', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70063', '40188', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70063', '40189', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70063', '40190', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70063', '40191', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70063', '40192', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70063', '40193', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70063', '40194', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70063', '40195', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70063', '40196', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70063', '40197', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70063', '40198', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70063', '40199', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70063', '40200', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70063', '40201', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70063', '40202', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70063', '40203', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70063', '40204', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70063', '40205', '0', '-1', '0', '6000');
INSERT INTO `shop` VALUES ('70063', '40206', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70063', '40207', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70063', '40208', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70063', '40209', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70063', '40210', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70063', '40211', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70063', '40212', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70063', '40213', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70063', '40214', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70063', '40215', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70063', '40216', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70063', '40217', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70063', '40218', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', '40219', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70063', '40220', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70063', '40221', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70063', '40222', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70063', '40223', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70063', '40224', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70063', '40225', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70063', '40226', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', '40227', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', '40228', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', '40229', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', '40230', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', '40231', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', '40265', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', '40266', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', '40267', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', '40268', '0', '-1', '0', '1625');
INSERT INTO `shop` VALUES ('70063', '40269', '0', '-1', '0', '1625');
INSERT INTO `shop` VALUES ('70063', '40270', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70063', '40271', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70063', '40272', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70063', '40273', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70063', '40274', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70063', '40275', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70063', '40276', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70063', '40277', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70063', '40278', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70063', '40279', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70063', '40280', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', '40298', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70063', '40299', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70063', '40300', '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70063', '40301', '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70063', '40302', '0', '-1', '0', '345');
INSERT INTO `shop` VALUES ('70063', '40303', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', '40309', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', '40312', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40313', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40318', '0', '-1', '0', '122');
INSERT INTO `shop` VALUES ('70063', '40319', '0', '-1', '0', '177');
INSERT INTO `shop` VALUES ('70063', '40320', '0', '-1', '0', '121');
INSERT INTO `shop` VALUES ('70063', '40321', '0', '-1', '0', '171');
INSERT INTO `shop` VALUES ('70063', '40322', '0', '-1', '0', '435');
INSERT INTO `shop` VALUES ('70063', '40323', '0', '-1', '0', '715');
INSERT INTO `shop` VALUES ('70063', '40324', '0', '-1', '0', '1256');
INSERT INTO `shop` VALUES ('70063', '40325', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70063', '40326', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70063', '40327', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70063', '40328', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70063', '40329', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40331', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70063', '40332', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70063', '40333', '0', '-1', '0', '50000');
INSERT INTO `shop` VALUES ('70063', '40334', '0', '-1', '0', '20000');
INSERT INTO `shop` VALUES ('70063', '40335', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70063', '40336', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70063', '40337', '0', '-1', '0', '65000');
INSERT INTO `shop` VALUES ('70063', '40338', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70063', '40339', '0', '-1', '0', '30000');
INSERT INTO `shop` VALUES ('70063', '40340', '0', '-1', '0', '40000');
INSERT INTO `shop` VALUES ('70063', '40341', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40342', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40343', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40344', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40345', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40346', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40347', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40348', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40349', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40350', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40351', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40352', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40353', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40354', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40355', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40356', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40357', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40358', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40359', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40360', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40361', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40362', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40363', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40364', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40365', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40366', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40367', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40368', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40369', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40370', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40371', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40372', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40373', '0', '-1', '0', '825');
INSERT INTO `shop` VALUES ('70063', '40374', '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70063', '40375', '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70063', '40376', '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70063', '40377', '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70063', '40378', '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70063', '40379', '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70063', '40380', '6', '62', '0', '31');
INSERT INTO `shop` VALUES ('70063', '40381', '0', '-1', '0', '44');
INSERT INTO `shop` VALUES ('70063', '40382', '0', '-1', '0', '41');
INSERT INTO `shop` VALUES ('70063', '40383', '0', '-1', '0', '35');
INSERT INTO `shop` VALUES ('70063', '40384', '0', '-1', '0', '36');
INSERT INTO `shop` VALUES ('70063', '40385', '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70063', '40386', '0', '-1', '0', '31');
INSERT INTO `shop` VALUES ('70063', '40388', '0', '-1', '0', '41');
INSERT INTO `shop` VALUES ('70063', '40389', '0', '-1', '0', '39');
INSERT INTO `shop` VALUES ('70063', '40390', '0', '-1', '0', '37');
INSERT INTO `shop` VALUES ('70063', '40391', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40392', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40393', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40394', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40395', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40396', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40397', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40398', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40399', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40400', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40401', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40402', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40403', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40404', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40405', '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70063', '40406', '0', '-1', '0', '17');
INSERT INTO `shop` VALUES ('70063', '40407', '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70063', '40408', '0', '-1', '0', '71');
INSERT INTO `shop` VALUES ('70063', '40409', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40410', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40411', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40412', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40413', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40414', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40415', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40416', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40417', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40418', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40419', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40420', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40421', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40422', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40423', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40424', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40425', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40426', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40427', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40428', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40429', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40430', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40431', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40432', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40433', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40434', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40435', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40436', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40437', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40438', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40439', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40440', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40441', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40442', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40443', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40444', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40445', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40446', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40447', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40448', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40449', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40450', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40451', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40452', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40453', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40454', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40455', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70063', '40456', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70063', '40457', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70063', '40458', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40459', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40460', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40461', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40462', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40463', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40464', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40465', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40467', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40468', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40469', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40470', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40471', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40472', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40473', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40474', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40475', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40476', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40477', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40478', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40479', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40480', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40481', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40482', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40483', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40484', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40485', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40486', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40487', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40488', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40489', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40490', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40491', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40492', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40493', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40494', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40495', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40496', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40497', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40498', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40499', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40500', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40501', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40502', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40503', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40504', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40505', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40506', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40507', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40508', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40509', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40510', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40511', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40512', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40514', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40515', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40516', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40517', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40518', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40519', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40520', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40521', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40522', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40523', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40524', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40526', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40527', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40528', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40529', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40530', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40531', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40532', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40533', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40534', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40535', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40536', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40537', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40538', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40539', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40540', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40541', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40542', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40543', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40544', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40545', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40546', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40547', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40548', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40549', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40550', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40551', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40552', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40553', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40554', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40556', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40557', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40558', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40559', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40560', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40561', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40562', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40563', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40564', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40565', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40566', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40567', '0', '-1', '0', '50000');
INSERT INTO `shop` VALUES ('70063', '40568', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40569', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40570', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40571', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40572', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40573', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40574', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40575', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40576', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40577', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40578', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40579', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40580', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40581', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40582', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40583', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40584', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40585', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40586', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40587', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40588', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40589', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40590', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40591', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40592', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40593', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40594', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40595', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40596', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40597', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40598', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40599', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40600', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40601', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40602', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40603', '0', '-1', '0', '50000');
INSERT INTO `shop` VALUES ('70063', '40604', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40605', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40606', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40607', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40608', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40609', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40610', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40611', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40612', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40613', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40614', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40615', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40616', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40617', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40618', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40619', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40620', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40621', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40622', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40623', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40624', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40625', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40626', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40627', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40628', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40629', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40630', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40631', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40632', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40633', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40634', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40635', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40636', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40637', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40638', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40639', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40640', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40641', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40642', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40643', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40644', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40645', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40646', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40647', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40648', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40649', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40650', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40651', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40652', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40653', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40654', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40655', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40656', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40657', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40658', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40659', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40660', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40661', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40662', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40663', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40664', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40665', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40666', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40667', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40668', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40669', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40670', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40671', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40672', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40673', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40674', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40675', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40676', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40677', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40678', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40679', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40680', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40681', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40682', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40683', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40684', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40685', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40686', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40687', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40688', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40689', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40690', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40691', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40692', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40693', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40694', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40695', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40696', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40697', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40698', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40699', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40700', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40701', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40702', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40703', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40704', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40705', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40706', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40707', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40708', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40709', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40710', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40711', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40712', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40713', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40714', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40715', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40716', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40717', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40718', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40719', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40720', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40721', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40722', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40723', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40724', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40726', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40727', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40728', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40729', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40730', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40731', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40732', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40733', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40734', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40735', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40736', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40737', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40738', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40739', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40740', '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70063', '40741', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40742', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40743', '0', '-1', '0', '0');
INSERT INTO `shop` VALUES ('70063', '40744', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40745', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70063', '40746', '0', '-1', '0', '7');
INSERT INTO `shop` VALUES ('70063', '40747', '0', '-1', '0', '10');
INSERT INTO `shop` VALUES ('70063', '40748', '0', '-1', '0', '13');
INSERT INTO `shop` VALUES ('70063', '40749', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70063', '40750', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70063', '40751', '0', '-1', '0', '25000');
INSERT INTO `shop` VALUES ('70063', '40752', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70063', '40753', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70063', '40754', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70063', '40755', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70063', '40756', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70063', '40757', '0', '-1', '0', '45000');
INSERT INTO `shop` VALUES ('70063', '40758', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40759', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40760', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40761', '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70063', '40762', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40763', '0', '-1', '0', '25000');
INSERT INTO `shop` VALUES ('70063', '40764', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40765', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '40766', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '100004', '0', '-1', '0', '4');
INSERT INTO `shop` VALUES ('70063', '100025', '0', '-1', '0', '990');
INSERT INTO `shop` VALUES ('70063', '100027', '0', '-1', '0', '1320');
INSERT INTO `shop` VALUES ('70063', '100029', '0', '-1', '0', '715');
INSERT INTO `shop` VALUES ('70063', '100037', '0', '-1', '0', '2750');
INSERT INTO `shop` VALUES ('70063', '100041', '0', '-1', '0', '11000');
INSERT INTO `shop` VALUES ('70063', '100052', '0', '-1', '0', '9900');
INSERT INTO `shop` VALUES ('70063', '100095', '0', '-1', '0', '33');
INSERT INTO `shop` VALUES ('70063', '100098', '0', '-1', '0', '192');
INSERT INTO `shop` VALUES ('70063', '100102', '0', '-1', '0', '5500');
INSERT INTO `shop` VALUES ('70063', '100103', '0', '-1', '0', '1100');
INSERT INTO `shop` VALUES ('70063', '100143', '0', '-1', '0', '385');
INSERT INTO `shop` VALUES ('70063', '100169', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '100172', '0', '-1', '0', '27');
INSERT INTO `shop` VALUES ('70063', '120011', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70063', '120043', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70063', '120056', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70063', '120101', '0', '-1', '0', '5750');
INSERT INTO `shop` VALUES ('70063', '120128', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '120137', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '120149', '0', '-1', '0', '9000');
INSERT INTO `shop` VALUES ('70063', '120154', '0', '-1', '0', '25900');
INSERT INTO `shop` VALUES ('70063', '120182', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '120242', '0', '-1', '0', '1600');
INSERT INTO `shop` VALUES ('70063', '140006', '0', '-1', '0', '16500');
INSERT INTO `shop` VALUES ('70063', '140008', '0', '-1', '0', '30000');
INSERT INTO `shop` VALUES ('70063', '140010', '0', '-1', '0', '32');
INSERT INTO `shop` VALUES ('70063', '140011', '0', '-1', '0', '106');
INSERT INTO `shop` VALUES ('70063', '140012', '0', '-1', '0', '495');
INSERT INTO `shop` VALUES ('70063', '140013', '0', '-1', '0', '206');
INSERT INTO `shop` VALUES ('70063', '140014', '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70063', '140015', '0', '-1', '0', '388');
INSERT INTO `shop` VALUES ('70063', '140016', '0', '-1', '0', '495');
INSERT INTO `shop` VALUES ('70063', '140018', '0', '-1', '0', '1361');
INSERT INTO `shop` VALUES ('70063', '140061', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70063', '140062', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70063', '140065', '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70063', '140068', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70063', '140069', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70063', '140072', '0', '-1', '0', '17');
INSERT INTO `shop` VALUES ('70063', '140074', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70063', '140087', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70063', '140088', '0', '-1', '0', '1211');
INSERT INTO `shop` VALUES ('70063', '140089', '0', '-1', '0', '1067');
INSERT INTO `shop` VALUES ('70063', '140100', '0', '-1', '0', '510');
INSERT INTO `shop` VALUES ('70063', '140119', '0', '-1', '0', '435');
INSERT INTO `shop` VALUES ('70063', '140506', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '200001', '0', '-1', '0', '16');
INSERT INTO `shop` VALUES ('70063', '200002', '0', '-1', '0', '1375');
INSERT INTO `shop` VALUES ('70063', '200027', '0', '-1', '0', '320');
INSERT INTO `shop` VALUES ('70063', '200032', '0', '-1', '0', '9900');
INSERT INTO `shop` VALUES ('70063', '200041', '0', '-1', '0', '-1');
INSERT INTO `shop` VALUES ('70063', '200052', '0', '-1', '0', '-1');
INSERT INTO `shop` VALUES ('70063', '200171', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70063', '220001', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '220002', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '220003', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '220004', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '220005', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', '220034', '0', '-1', '0', '75');
INSERT INTO `shop` VALUES ('70063', '220043', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70063', '220056', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70063', '220101', '0', '-1', '0', '5750');
INSERT INTO `shop` VALUES ('70063', '220115', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70063', '220122', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70063', '220125', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70063', '220135', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70063', '220136', '0', '-1', '0', '400');
INSERT INTO `shop` VALUES ('70063', '220147', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70063', '220154', '0', '-1', '0', '18500');
INSERT INTO `shop` VALUES ('70063', '220213', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70063', '220237', '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70079', '1', '0', '-1', '0', '16');
INSERT INTO `shop` VALUES ('70079', '2', '0', '-1', '0', '120');
INSERT INTO `shop` VALUES ('70079', '6', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '7', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '10', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '15', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '21', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70079', '23', '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70079', '24', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70079', '25', '0', '-1', '0', '900');
INSERT INTO `shop` VALUES ('70079', '26', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70079', '27', '0', '-1', '0', '660');
INSERT INTO `shop` VALUES ('70079', '29', '0', '-1', '0', '6500');
INSERT INTO `shop` VALUES ('70079', '31', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70079', '32', '0', '-1', '0', '1275');
INSERT INTO `shop` VALUES ('70079', '33', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '34', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '35', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '37', '0', '-1', '0', '2750');
INSERT INTO `shop` VALUES ('70079', '38', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '39', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '41', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70079', '43', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '48', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '52', '0', '-1', '0', '9900');
INSERT INTO `shop` VALUES ('70079', '69', '0', '-1', '0', '400');
INSERT INTO `shop` VALUES ('70079', '71', '0', '-1', '0', '750');
INSERT INTO `shop` VALUES ('70079', '72', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70079', '73', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '75', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '76', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '77', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70079', '80', '0', '-1', '0', '15000');
INSERT INTO `shop` VALUES ('70079', '87', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '90', '0', '-1', '0', '27');
INSERT INTO `shop` VALUES ('70079', '91', '0', '-1', '0', '80');
INSERT INTO `shop` VALUES ('70079', '92', '0', '-1', '0', '89');
INSERT INTO `shop` VALUES ('70079', '93', '0', '-1', '0', '13');
INSERT INTO `shop` VALUES ('70079', '94', '0', '-1', '0', '225');
INSERT INTO `shop` VALUES ('70079', '95', '0', '-1', '0', '33');
INSERT INTO `shop` VALUES ('70079', '96', '0', '-1', '0', '44');
INSERT INTO `shop` VALUES ('70079', '97', '0', '-1', '0', '110');
INSERT INTO `shop` VALUES ('70079', '98', '0', '-1', '0', '192');
INSERT INTO `shop` VALUES ('70079', '101', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '102', '0', '-1', '0', '5500');
INSERT INTO `shop` VALUES ('70079', '103', '0', '-1', '0', '1100');
INSERT INTO `shop` VALUES ('70079', '104', '0', '-1', '0', '4400');
INSERT INTO `shop` VALUES ('70079', '105', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '106', '0', '-1', '0', '8800');
INSERT INTO `shop` VALUES ('70079', '125', '0', '-1', '0', '4500');
INSERT INTO `shop` VALUES ('70079', '128', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70079', '129', '0', '-1', '0', '1250');
INSERT INTO `shop` VALUES ('70079', '135', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '137', '0', '-1', '0', '8');
INSERT INTO `shop` VALUES ('70079', '138', '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70079', '139', '0', '-1', '0', '22');
INSERT INTO `shop` VALUES ('70079', '140', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70079', '141', '0', '-1', '0', '550');
INSERT INTO `shop` VALUES ('70079', '142', '0', '-1', '0', '4400');
INSERT INTO `shop` VALUES ('70079', '143', '0', '-1', '0', '385');
INSERT INTO `shop` VALUES ('70079', '144', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70079', '145', '0', '-1', '0', '900');
INSERT INTO `shop` VALUES ('70079', '146', '0', '-1', '0', '1925');
INSERT INTO `shop` VALUES ('70079', '147', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '148', '0', '-1', '0', '7150');
INSERT INTO `shop` VALUES ('70079', '150', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '152', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70079', '153', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70079', '154', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', '156', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '157', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '158', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '159', '0', '-1', '0', '6000');
INSERT INTO `shop` VALUES ('70079', '161', '0', '-1', '0', '20000');
INSERT INTO `shop` VALUES ('70079', '168', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '169', '0', '-1', '0', '3500');
INSERT INTO `shop` VALUES ('70079', '170', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '171', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70079', '173', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '174', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '175', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '176', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '186', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '187', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '191', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '193', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '206', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '208', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '209', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '211', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '214', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '215', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '216', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '219', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '220', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '223', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '224', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '225', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '226', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '228', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '230', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20001', '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70079', '20002', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20006', '0', '-1', '0', '3500');
INSERT INTO `shop` VALUES ('70079', '20007', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20008', '0', '-1', '0', '300');
INSERT INTO `shop` VALUES ('70079', '20011', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70079', '20012', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20013', '0', '-1', '0', '1100');
INSERT INTO `shop` VALUES ('70079', '20014', '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70079', '20015', '0', '-1', '0', '9000');
INSERT INTO `shop` VALUES ('70079', '20019', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20023', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20026', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20028', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20032', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20034', '0', '-1', '0', '75');
INSERT INTO `shop` VALUES ('70079', '20036', '0', '-1', '0', '6000');
INSERT INTO `shop` VALUES ('70079', '20037', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20038', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20044', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20045', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20052', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70079', '20053', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20056', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70079', '20063', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20072', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', '20073', '0', '-1', '0', '575');
INSERT INTO `shop` VALUES ('70079', '20075', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20081', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70079', '20085', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20089', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70079', '20090', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20096', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70079', '20097', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20098', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20101', '0', '-1', '0', '16100');
INSERT INTO `shop` VALUES ('70079', '20102', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20103', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20104', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20105', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20110', '0', '-1', '0', '5600');
INSERT INTO `shop` VALUES ('70079', '20111', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20114', '0', '-1', '0', '700');
INSERT INTO `shop` VALUES ('70079', '20115', '0', '-1', '0', '14000');
INSERT INTO `shop` VALUES ('70079', '20120', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20122', '0', '-1', '0', '1400');
INSERT INTO `shop` VALUES ('70079', '20124', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20125', '0', '-1', '0', '4200');
INSERT INTO `shop` VALUES ('70079', '20126', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20128', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20132', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20133', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20135', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70079', '20136', '0', '-1', '0', '400');
INSERT INTO `shop` VALUES ('70079', '20139', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20145', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20147', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70079', '20148', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20149', '0', '-1', '0', '11200');
INSERT INTO `shop` VALUES ('70079', '20154', '0', '-1', '0', '18500');
INSERT INTO `shop` VALUES ('70079', '20155', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20161', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20162', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20172', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20173', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20174', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20175', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20177', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20178', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20181', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20182', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20188', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20189', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20191', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20192', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20193', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20196', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20199', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20200', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20205', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70079', '20206', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20207', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20210', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20212', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20213', '2', '300', '0', '150');
INSERT INTO `shop` VALUES ('70079', '20217', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20219', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20221', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20222', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20223', '0', '-1', '0', '120');
INSERT INTO `shop` VALUES ('70079', '20224', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20227', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20229', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70079', '20231', '0', '-1', '0', '3500');
INSERT INTO `shop` VALUES ('70079', '20232', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20235', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20236', '0', '-1', '0', '1150');
INSERT INTO `shop` VALUES ('70079', '20237', '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70079', '20238', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20239', '0', '-1', '0', '30');
INSERT INTO `shop` VALUES ('70079', '20241', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '20242', '0', '-1', '0', '600');
INSERT INTO `shop` VALUES ('70079', '20351', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40002', '4', '100', '0', '50');
INSERT INTO `shop` VALUES ('70079', '40003', '5', '30', '0', '15');
INSERT INTO `shop` VALUES ('70079', '40004', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40005', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40006', '0', '-1', '0', '16500');
INSERT INTO `shop` VALUES ('70079', '40007', '0', '-1', '0', '2475');
INSERT INTO `shop` VALUES ('70079', '40008', '0', '-1', '0', '20000');
INSERT INTO `shop` VALUES ('70079', '40011', '13', '150', '0', '75');
INSERT INTO `shop` VALUES ('70079', '40012', '14', '300', '0', '150');
INSERT INTO `shop` VALUES ('70079', '40014', '0', '-1', '0', '470');
INSERT INTO `shop` VALUES ('70079', '40015', '0', '-1', '0', '388');
INSERT INTO `shop` VALUES ('70079', '40016', '0', '-1', '0', '495');
INSERT INTO `shop` VALUES ('70079', '40019', '0', '-1', '0', '48');
INSERT INTO `shop` VALUES ('70079', '40020', '0', '-1', '0', '132');
INSERT INTO `shop` VALUES ('70079', '40021', '0', '-1', '0', '506');
INSERT INTO `shop` VALUES ('70079', '40025', '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70079', '40026', '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70079', '40027', '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70079', '40028', '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70079', '40029', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40030', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40031', '0', '-1', '0', '325');
INSERT INTO `shop` VALUES ('70079', '40032', '0', '-1', '0', '170');
INSERT INTO `shop` VALUES ('70079', '40039', '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70079', '40040', '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70079', '40041', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40042', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40043', '0', '-1', '0', '435');
INSERT INTO `shop` VALUES ('70079', '40044', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70079', '40045', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70079', '40046', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70079', '40047', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70079', '40048', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70079', '40049', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70079', '40050', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70079', '40051', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70079', '40052', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70079', '40053', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70079', '40054', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70079', '40055', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70079', '40057', '0', '-1', '0', '32');
INSERT INTO `shop` VALUES ('70079', '40058', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40059', '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70079', '40060', '0', '-1', '0', '6');
INSERT INTO `shop` VALUES ('70079', '40061', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70079', '40062', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70079', '40063', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40064', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70079', '40066', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40067', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70079', '40068', '0', '-1', '0', '625');
INSERT INTO `shop` VALUES ('70079', '40069', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70079', '40071', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40072', '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70079', '40074', '0', '-1', '0', '16000');
INSERT INTO `shop` VALUES ('70079', '40075', '0', '-1', '0', '75');
INSERT INTO `shop` VALUES ('70079', '40077', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40078', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40079', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70079', '40079', '22', '120', '0', '60');
INSERT INTO `shop` VALUES ('70079', '40080', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70079', '40081', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70079', '40082', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70079', '40083', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70079', '40084', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70079', '40085', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70079', '40086', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70079', '40087', '0', '-1', '0', '35000');
INSERT INTO `shop` VALUES ('70079', '40088', '0', '-1', '0', '1150');
INSERT INTO `shop` VALUES ('70079', '40089', '0', '-1', '0', '1150');
INSERT INTO `shop` VALUES ('70079', '40089', '21', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70079', '40090', '0', '-1', '0', '85');
INSERT INTO `shop` VALUES ('70079', '40091', '0', '-1', '0', '330');
INSERT INTO `shop` VALUES ('70079', '40092', '0', '-1', '0', '825');
INSERT INTO `shop` VALUES ('70079', '40093', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40094', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40095', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40096', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40097', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40098', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40099', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40101', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70079', '40102', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70079', '40103', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70079', '40104', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', '40105', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', '40106', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', '40107', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', '40108', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', '40109', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', '40110', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', '40111', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', '40112', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', '40113', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', '40114', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70079', '40115', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70079', '40116', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70079', '40117', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70079', '40118', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70079', '40119', '20', '100', '0', '50');
INSERT INTO `shop` VALUES ('70079', '40120', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70079', '40121', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70079', '40122', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70079', '40123', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70079', '40124', '23', '120', '0', '60');
INSERT INTO `shop` VALUES ('70079', '40125', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70079', '40127', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40128', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40129', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40130', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40131', '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70079', '40132', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70079', '40133', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', '40134', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', '40135', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70079', '40136', '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70079', '40137', '0', '-1', '0', '2187');
INSERT INTO `shop` VALUES ('70079', '40138', '0', '-1', '0', '1050');
INSERT INTO `shop` VALUES ('70079', '40139', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70079', '40140', '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70079', '40141', '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70079', '40142', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70079', '40143', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70079', '40144', '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70079', '40145', '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70079', '40146', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70079', '40147', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70079', '40148', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70079', '40149', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70079', '40150', '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70079', '40151', '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70079', '40152', '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70079', '40153', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70079', '40154', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70079', '40155', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70079', '40156', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70079', '40157', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70079', '40158', '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70079', '40159', '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70079', '40160', '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70079', '40161', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70079', '40163', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40164', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70079', '40165', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', '40166', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', '40167', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40168', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40169', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40170', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70079', '40171', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70079', '40172', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70079', '40173', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70079', '40174', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70079', '40175', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70079', '40176', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70079', '40177', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70079', '40178', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70079', '40179', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70079', '40180', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70079', '40181', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70079', '40182', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70079', '40183', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70079', '40184', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70079', '40185', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70079', '40186', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70079', '40187', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70079', '40188', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70079', '40189', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70079', '40190', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70079', '40191', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70079', '40192', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70079', '40193', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70079', '40194', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70079', '40195', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70079', '40196', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70079', '40197', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70079', '40198', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70079', '40199', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70079', '40200', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70079', '40201', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70079', '40202', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70079', '40203', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70079', '40204', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70079', '40205', '0', '-1', '0', '6000');
INSERT INTO `shop` VALUES ('70079', '40206', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70079', '40207', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70079', '40208', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70079', '40209', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70079', '40210', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70079', '40211', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70079', '40212', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70079', '40213', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70079', '40214', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70079', '40215', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70079', '40216', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70079', '40217', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70079', '40218', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', '40219', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70079', '40220', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70079', '40221', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70079', '40222', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70079', '40223', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70079', '40224', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70079', '40225', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70079', '40226', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', '40227', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', '40228', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', '40229', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', '40230', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', '40231', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70052', '41243', '0', '-1', '0', '2500');
INSERT INTO `shop` VALUES ('70079', '40265', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', '40266', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', '40267', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', '40268', '0', '-1', '0', '1625');
INSERT INTO `shop` VALUES ('70079', '40269', '0', '-1', '0', '1625');
INSERT INTO `shop` VALUES ('70079', '40270', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70079', '40271', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70079', '40272', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70079', '40273', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70079', '40274', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70079', '40275', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70079', '40276', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70079', '40277', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70079', '40278', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70079', '40279', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70079', '40280', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', '40298', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70079', '40299', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70079', '40300', '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70079', '40301', '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70079', '40302', '0', '-1', '0', '345');
INSERT INTO `shop` VALUES ('70079', '40303', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', '40309', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', '40312', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40313', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40315', '9', '500', '0', '250');
INSERT INTO `shop` VALUES ('70079', '40318', '0', '-1', '0', '122');
INSERT INTO `shop` VALUES ('70079', '40319', '0', '-1', '0', '177');
INSERT INTO `shop` VALUES ('70079', '40320', '0', '-1', '0', '121');
INSERT INTO `shop` VALUES ('70079', '40321', '0', '-1', '0', '171');
INSERT INTO `shop` VALUES ('70079', '40322', '0', '-1', '0', '435');
INSERT INTO `shop` VALUES ('70079', '40323', '0', '-1', '0', '715');
INSERT INTO `shop` VALUES ('70079', '40324', '0', '-1', '0', '1256');
INSERT INTO `shop` VALUES ('70079', '40325', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70079', '40326', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70079', '40327', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70079', '40328', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70079', '40329', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40331', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70079', '40332', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70079', '40333', '0', '-1', '0', '50000');
INSERT INTO `shop` VALUES ('70079', '40334', '0', '-1', '0', '20000');
INSERT INTO `shop` VALUES ('70079', '40335', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70079', '40336', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70079', '40337', '0', '-1', '0', '65000');
INSERT INTO `shop` VALUES ('70079', '40338', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70079', '40339', '0', '-1', '0', '30000');
INSERT INTO `shop` VALUES ('70079', '40340', '0', '-1', '0', '40000');
INSERT INTO `shop` VALUES ('70079', '40341', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40342', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40343', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40344', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40345', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40346', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40347', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40348', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40349', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40350', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40351', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40352', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40353', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40354', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40355', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40356', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40357', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40358', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40359', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40360', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40361', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40362', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40363', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40364', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40365', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40366', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40367', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40368', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40369', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40370', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40371', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40372', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40373', '0', '-1', '0', '825');
INSERT INTO `shop` VALUES ('70079', '40374', '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70079', '40375', '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70079', '40376', '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70079', '40378', '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70079', '40379', '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70079', '40380', '6', '62', '0', '31');
INSERT INTO `shop` VALUES ('70079', '40381', '0', '-1', '0', '44');
INSERT INTO `shop` VALUES ('70079', '40382', '0', '-1', '0', '41');
INSERT INTO `shop` VALUES ('70079', '40383', '0', '-1', '0', '35');
INSERT INTO `shop` VALUES ('70079', '40384', '0', '-1', '0', '36');
INSERT INTO `shop` VALUES ('70079', '40385', '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70079', '40386', '0', '-1', '0', '31');
INSERT INTO `shop` VALUES ('70079', '40387', '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70079', '40388', '0', '-1', '0', '41');
INSERT INTO `shop` VALUES ('70079', '40389', '0', '-1', '0', '39');
INSERT INTO `shop` VALUES ('70079', '40390', '0', '-1', '0', '37');
INSERT INTO `shop` VALUES ('70079', '40391', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40392', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40393', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40394', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40395', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40396', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40397', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40398', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40399', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40400', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40401', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40402', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40403', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40404', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40405', '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70079', '40406', '0', '-1', '0', '17');
INSERT INTO `shop` VALUES ('70079', '40407', '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70079', '40408', '0', '-1', '0', '71');
INSERT INTO `shop` VALUES ('70079', '40409', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40410', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40411', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40412', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40413', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40414', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40415', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40416', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40417', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40418', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40419', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40420', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40421', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40422', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40423', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40424', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40425', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40426', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40427', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40428', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40429', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40430', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40431', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40432', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40433', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40434', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40435', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40436', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40437', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40438', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40439', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40440', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40441', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40442', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40443', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40444', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40445', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40446', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40447', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40448', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40449', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40450', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40451', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40452', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40453', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40454', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40455', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70079', '40456', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70079', '40457', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70079', '40458', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40459', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40460', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40461', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40462', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40463', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40464', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40465', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40467', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40468', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40469', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40470', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40471', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40472', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40473', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40474', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40475', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40476', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40477', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40478', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40479', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40480', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40481', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40482', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40483', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40484', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40485', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40486', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40487', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40488', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40489', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40490', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40491', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40492', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40493', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40494', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40495', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40496', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40497', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40498', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40499', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40500', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40501', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40502', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40503', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40504', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40505', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40506', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40507', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40508', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40509', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40510', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40511', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40512', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40514', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40515', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40516', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40517', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40518', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40519', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40520', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40521', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40522', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40523', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40524', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40526', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40527', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40528', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40529', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40530', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40531', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40532', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40533', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40534', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40535', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40536', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40537', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40538', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40539', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40540', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40541', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40542', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40543', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40544', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40545', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40546', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40547', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40548', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40549', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40550', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40551', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40552', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40553', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40554', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40556', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40557', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40558', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40559', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40560', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40561', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40562', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40563', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40564', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40565', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40566', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40567', '0', '-1', '0', '50000');
INSERT INTO `shop` VALUES ('70079', '40568', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40569', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40570', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40571', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40572', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40573', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40574', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40575', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40576', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40577', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40578', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40579', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40580', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40581', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40582', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40583', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40584', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40585', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40586', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40587', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40588', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40589', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40590', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40591', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40592', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40593', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40594', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40595', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40596', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40597', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40598', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40599', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40600', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40601', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40602', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40603', '0', '-1', '0', '50000');
INSERT INTO `shop` VALUES ('70079', '40604', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40605', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40606', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40607', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40608', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40609', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40610', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40611', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40612', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40613', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40614', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40615', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40616', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40617', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40618', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40619', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40620', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40621', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40622', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40623', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40624', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40625', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40626', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40627', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40628', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40629', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40630', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40631', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40632', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40633', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40634', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40635', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40636', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40637', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40638', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40639', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40640', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40641', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40642', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40643', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40644', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40645', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40646', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40647', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40648', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40649', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40650', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40651', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40652', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40653', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40654', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40655', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40656', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40657', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40658', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40659', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40660', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40661', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40662', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40663', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40664', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40665', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40666', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40667', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40668', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40669', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40670', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40671', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40672', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40673', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40674', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40675', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40676', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40677', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40678', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40679', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40680', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40681', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40682', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40683', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40684', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40685', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40686', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40687', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40688', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40689', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40690', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40691', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40692', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40693', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40694', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40695', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40696', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40697', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40698', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40699', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40700', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40701', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40702', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40703', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40704', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40705', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40706', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40707', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40708', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40709', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40710', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40711', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40712', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40713', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40714', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40715', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40716', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40717', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40718', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40719', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40720', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40721', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40722', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40723', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40724', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40726', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40727', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40728', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40729', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40730', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40731', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40732', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40733', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40734', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40735', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40736', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40737', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40741', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40742', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40744', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40745', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70079', '40746', '0', '-1', '0', '7');
INSERT INTO `shop` VALUES ('70079', '40747', '0', '-1', '0', '10');
INSERT INTO `shop` VALUES ('70079', '40748', '0', '-1', '0', '13');
INSERT INTO `shop` VALUES ('70079', '40749', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70079', '40750', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70079', '40751', '0', '-1', '0', '25000');
INSERT INTO `shop` VALUES ('70079', '40752', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70079', '40753', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70079', '40754', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70079', '40755', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70079', '40756', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70079', '40757', '0', '-1', '0', '45000');
INSERT INTO `shop` VALUES ('70079', '40758', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40759', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40760', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40761', '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70079', '40762', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40763', '0', '-1', '0', '25000');
INSERT INTO `shop` VALUES ('70079', '40764', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40765', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '40766', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '100004', '0', '-1', '0', '4');
INSERT INTO `shop` VALUES ('70079', '100025', '0', '-1', '0', '990');
INSERT INTO `shop` VALUES ('70079', '100027', '0', '-1', '0', '1320');
INSERT INTO `shop` VALUES ('70079', '100029', '0', '-1', '0', '715');
INSERT INTO `shop` VALUES ('70079', '100037', '0', '-1', '0', '2750');
INSERT INTO `shop` VALUES ('70079', '100041', '0', '-1', '0', '11000');
INSERT INTO `shop` VALUES ('70079', '100052', '0', '-1', '0', '9900');
INSERT INTO `shop` VALUES ('70079', '100095', '0', '-1', '0', '33');
INSERT INTO `shop` VALUES ('70079', '100098', '0', '-1', '0', '192');
INSERT INTO `shop` VALUES ('70079', '100102', '0', '-1', '0', '5500');
INSERT INTO `shop` VALUES ('70079', '100103', '0', '-1', '0', '1100');
INSERT INTO `shop` VALUES ('70079', '100143', '0', '-1', '0', '385');
INSERT INTO `shop` VALUES ('70079', '100169', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '100172', '0', '-1', '0', '27');
INSERT INTO `shop` VALUES ('70079', '120011', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70079', '120043', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70079', '120056', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70079', '120101', '0', '-1', '0', '5750');
INSERT INTO `shop` VALUES ('70079', '120128', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '120137', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '120149', '0', '-1', '0', '9000');
INSERT INTO `shop` VALUES ('70079', '120154', '0', '-1', '0', '25900');
INSERT INTO `shop` VALUES ('70079', '120182', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '120242', '0', '-1', '0', '1600');
INSERT INTO `shop` VALUES ('70079', '140006', '0', '-1', '0', '16500');
INSERT INTO `shop` VALUES ('70079', '140008', '0', '-1', '0', '30000');
INSERT INTO `shop` VALUES ('70079', '140010', '0', '-1', '0', '32');
INSERT INTO `shop` VALUES ('70079', '140011', '0', '-1', '0', '106');
INSERT INTO `shop` VALUES ('70079', '140012', '0', '-1', '0', '495');
INSERT INTO `shop` VALUES ('70079', '140013', '0', '-1', '0', '206');
INSERT INTO `shop` VALUES ('70079', '140014', '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70079', '140015', '0', '-1', '0', '388');
INSERT INTO `shop` VALUES ('70079', '140016', '0', '-1', '0', '495');
INSERT INTO `shop` VALUES ('70079', '140018', '0', '-1', '0', '1361');
INSERT INTO `shop` VALUES ('70079', '140061', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70079', '140062', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70079', '140065', '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70079', '140068', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70079', '140069', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70079', '140072', '0', '-1', '0', '17');
INSERT INTO `shop` VALUES ('70079', '140074', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70079', '140087', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70079', '140088', '0', '-1', '0', '1211');
INSERT INTO `shop` VALUES ('70079', '140089', '0', '-1', '0', '1067');
INSERT INTO `shop` VALUES ('70079', '140100', '0', '-1', '0', '510');
INSERT INTO `shop` VALUES ('70079', '140119', '0', '-1', '0', '435');
INSERT INTO `shop` VALUES ('70079', '140506', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '200001', '0', '-1', '0', '16');
INSERT INTO `shop` VALUES ('70079', '200002', '0', '-1', '0', '1375');
INSERT INTO `shop` VALUES ('70079', '200027', '0', '-1', '0', '320');
INSERT INTO `shop` VALUES ('70079', '200032', '0', '-1', '0', '9900');
INSERT INTO `shop` VALUES ('70079', '200041', '0', '-1', '0', '-1');
INSERT INTO `shop` VALUES ('70079', '200052', '0', '-1', '0', '-1');
INSERT INTO `shop` VALUES ('70079', '200171', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70079', '220001', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '220002', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '220003', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '220004', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '220005', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', '220034', '0', '-1', '0', '75');
INSERT INTO `shop` VALUES ('70079', '220043', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70079', '220056', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70079', '220101', '0', '-1', '0', '5750');
INSERT INTO `shop` VALUES ('70079', '220115', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70079', '220122', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70079', '220125', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70079', '220135', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70079', '220136', '0', '-1', '0', '400');
INSERT INTO `shop` VALUES ('70079', '220147', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70079', '220154', '0', '-1', '0', '18500');
INSERT INTO `shop` VALUES ('70079', '220213', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70079', '220237', '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70014', '1', '0', '-1', '0', '16');
INSERT INTO `shop` VALUES ('70014', '2', '0', '-1', '0', '120');
INSERT INTO `shop` VALUES ('70014', '6', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '7', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '10', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '15', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '21', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70014', '25', '0', '-1', '0', '900');
INSERT INTO `shop` VALUES ('70014', '26', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70014', '29', '0', '-1', '0', '6500');
INSERT INTO `shop` VALUES ('70014', '32', '0', '-1', '0', '1275');
INSERT INTO `shop` VALUES ('70014', '33', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '34', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '35', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '37', '0', '-1', '0', '2750');
INSERT INTO `shop` VALUES ('70014', '38', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '39', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '41', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70014', '43', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '48', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '52', '0', '-1', '0', '9900');
INSERT INTO `shop` VALUES ('70014', '69', '0', '-1', '0', '400');
INSERT INTO `shop` VALUES ('70014', '71', '0', '-1', '0', '750');
INSERT INTO `shop` VALUES ('70014', '72', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70014', '73', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '75', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '76', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '77', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70014', '80', '0', '-1', '0', '15000');
INSERT INTO `shop` VALUES ('70014', '87', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '91', '0', '-1', '0', '80');
INSERT INTO `shop` VALUES ('70014', '92', '0', '-1', '0', '89');
INSERT INTO `shop` VALUES ('70014', '93', '0', '-1', '0', '13');
INSERT INTO `shop` VALUES ('70014', '94', '0', '-1', '0', '225');
INSERT INTO `shop` VALUES ('70014', '95', '0', '-1', '0', '33');
INSERT INTO `shop` VALUES ('70014', '97', '0', '-1', '0', '110');
INSERT INTO `shop` VALUES ('70014', '98', '0', '-1', '0', '192');
INSERT INTO `shop` VALUES ('70014', '101', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '102', '0', '-1', '0', '5500');
INSERT INTO `shop` VALUES ('70014', '103', '0', '-1', '0', '1100');
INSERT INTO `shop` VALUES ('70014', '104', '0', '-1', '0', '4400');
INSERT INTO `shop` VALUES ('70014', '105', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '106', '0', '-1', '0', '8800');
INSERT INTO `shop` VALUES ('70014', '125', '0', '-1', '0', '4500');
INSERT INTO `shop` VALUES ('70014', '128', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70014', '129', '0', '-1', '0', '1250');
INSERT INTO `shop` VALUES ('70014', '135', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '138', '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70014', '139', '0', '-1', '0', '22');
INSERT INTO `shop` VALUES ('70014', '141', '0', '-1', '0', '550');
INSERT INTO `shop` VALUES ('70014', '142', '0', '-1', '0', '4400');
INSERT INTO `shop` VALUES ('70014', '143', '0', '-1', '0', '385');
INSERT INTO `shop` VALUES ('70014', '144', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70014', '145', '0', '-1', '0', '900');
INSERT INTO `shop` VALUES ('70014', '146', '0', '-1', '0', '1925');
INSERT INTO `shop` VALUES ('70014', '147', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '148', '0', '-1', '0', '7150');
INSERT INTO `shop` VALUES ('70014', '150', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '152', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70014', '153', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70014', '154', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', '156', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '157', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '158', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '159', '0', '-1', '0', '6000');
INSERT INTO `shop` VALUES ('70014', '161', '0', '-1', '0', '20000');
INSERT INTO `shop` VALUES ('70014', '168', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '169', '0', '-1', '0', '3500');
INSERT INTO `shop` VALUES ('70014', '170', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '171', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70014', '173', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '174', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '175', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '176', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '186', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '187', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '191', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '193', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '206', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '208', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '209', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '211', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '214', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '215', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '216', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '219', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '220', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '223', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '224', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '225', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '226', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '228', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '230', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20001', '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70014', '20002', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20006', '0', '-1', '0', '3500');
INSERT INTO `shop` VALUES ('70014', '20007', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20008', '0', '-1', '0', '300');
INSERT INTO `shop` VALUES ('70014', '20011', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70014', '20012', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20013', '0', '-1', '0', '1100');
INSERT INTO `shop` VALUES ('70014', '20014', '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70014', '20015', '0', '-1', '0', '9000');
INSERT INTO `shop` VALUES ('70014', '20019', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20023', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20026', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20028', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20032', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20034', '0', '-1', '0', '75');
INSERT INTO `shop` VALUES ('70014', '20036', '0', '-1', '0', '6000');
INSERT INTO `shop` VALUES ('70014', '20037', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20038', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20043', '0', '-1', '0', '140');
INSERT INTO `shop` VALUES ('70014', '20044', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20045', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20052', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70014', '20053', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20056', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70014', '20063', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20072', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', '20073', '0', '-1', '0', '575');
INSERT INTO `shop` VALUES ('70014', '20075', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20081', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70014', '20085', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20090', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20097', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20098', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20101', '0', '-1', '0', '16100');
INSERT INTO `shop` VALUES ('70014', '20102', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20103', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20104', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20105', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20110', '0', '-1', '0', '5600');
INSERT INTO `shop` VALUES ('70014', '20111', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20115', '0', '-1', '0', '14000');
INSERT INTO `shop` VALUES ('70014', '20120', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20124', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20126', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20128', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20132', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20133', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20135', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70014', '20136', '0', '-1', '0', '400');
INSERT INTO `shop` VALUES ('70014', '20139', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20145', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20148', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20149', '0', '-1', '0', '11200');
INSERT INTO `shop` VALUES ('70014', '20154', '0', '-1', '0', '18500');
INSERT INTO `shop` VALUES ('70014', '20155', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20161', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20162', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20172', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20173', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20174', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20175', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20177', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20178', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20181', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20182', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20188', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20189', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20191', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20192', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20193', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20196', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20199', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20200', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20205', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70014', '20206', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20207', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20210', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20212', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20213', '2', '300', '0', '150');
INSERT INTO `shop` VALUES ('70014', '20217', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20219', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20221', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20222', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20223', '0', '-1', '0', '120');
INSERT INTO `shop` VALUES ('70014', '20224', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20227', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20229', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70014', '20231', '0', '-1', '0', '3500');
INSERT INTO `shop` VALUES ('70014', '20232', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20235', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20236', '0', '-1', '0', '1150');
INSERT INTO `shop` VALUES ('70014', '20237', '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70014', '20238', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20241', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '20351', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40002', '4', '100', '0', '50');
INSERT INTO `shop` VALUES ('70014', '40003', '5', '30', '0', '15');
INSERT INTO `shop` VALUES ('70014', '40004', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40005', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40006', '0', '-1', '0', '16500');
INSERT INTO `shop` VALUES ('70014', '40007', '0', '-1', '0', '2475');
INSERT INTO `shop` VALUES ('70014', '40008', '0', '-1', '0', '20000');
INSERT INTO `shop` VALUES ('70014', '40012', '14', '300', '0', '150');
INSERT INTO `shop` VALUES ('70014', '40014', '0', '-1', '0', '470');
INSERT INTO `shop` VALUES ('70014', '40015', '0', '-1', '0', '388');
INSERT INTO `shop` VALUES ('70014', '40016', '0', '-1', '0', '495');
INSERT INTO `shop` VALUES ('70014', '40019', '0', '-1', '0', '48');
INSERT INTO `shop` VALUES ('70014', '40020', '0', '-1', '0', '132');
INSERT INTO `shop` VALUES ('70014', '40021', '0', '-1', '0', '506');
INSERT INTO `shop` VALUES ('70014', '40025', '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70014', '40026', '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70014', '40027', '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70014', '40028', '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70014', '40029', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40030', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40031', '0', '-1', '0', '325');
INSERT INTO `shop` VALUES ('70014', '40032', '0', '-1', '0', '170');
INSERT INTO `shop` VALUES ('70014', '40039', '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70014', '40040', '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70014', '40041', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40042', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40043', '0', '-1', '0', '435');
INSERT INTO `shop` VALUES ('70014', '40044', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70014', '40045', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70014', '40046', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70014', '40047', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70014', '40048', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70014', '40049', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70014', '40050', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70014', '40051', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70014', '40052', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70014', '40053', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70014', '40054', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70014', '40055', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70014', '40057', '0', '-1', '0', '32');
INSERT INTO `shop` VALUES ('70014', '40058', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40059', '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70014', '40060', '0', '-1', '0', '6');
INSERT INTO `shop` VALUES ('70014', '40061', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70014', '40062', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70014', '40063', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40064', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70014', '40066', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40067', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70014', '40068', '0', '-1', '0', '625');
INSERT INTO `shop` VALUES ('70014', '40069', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70014', '40071', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40072', '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70014', '40074', '0', '-1', '0', '16000');
INSERT INTO `shop` VALUES ('70014', '40075', '0', '-1', '0', '75');
INSERT INTO `shop` VALUES ('70014', '40077', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40078', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40080', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70014', '40081', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70014', '40082', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70014', '40083', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70014', '40084', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70014', '40085', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70014', '40086', '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70014', '40087', '0', '-1', '0', '35000');
INSERT INTO `shop` VALUES ('70014', '40088', '0', '-1', '0', '1150');
INSERT INTO `shop` VALUES ('70014', '40089', '0', '-1', '0', '1150');
INSERT INTO `shop` VALUES ('70014', '40089', '21', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70014', '40090', '0', '-1', '0', '85');
INSERT INTO `shop` VALUES ('70014', '40091', '0', '-1', '0', '330');
INSERT INTO `shop` VALUES ('70014', '40092', '0', '-1', '0', '825');
INSERT INTO `shop` VALUES ('70014', '40093', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40094', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40095', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40096', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40097', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40098', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40099', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40101', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70014', '40102', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70014', '40103', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70014', '40104', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', '40105', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', '40106', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', '40107', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', '40108', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', '40109', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', '40110', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', '40111', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', '40112', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', '40113', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', '40114', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70014', '40115', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70014', '40116', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70014', '40117', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70014', '40118', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70014', '40120', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70014', '40121', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70014', '40122', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70014', '40123', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70014', '40124', '23', '120', '0', '60');
INSERT INTO `shop` VALUES ('70014', '40125', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70014', '40127', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40128', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40129', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40130', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40131', '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70014', '40132', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70014', '40133', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', '40134', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', '40135', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70014', '40136', '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70014', '40137', '0', '-1', '0', '2187');
INSERT INTO `shop` VALUES ('70014', '40138', '0', '-1', '0', '1050');
INSERT INTO `shop` VALUES ('70014', '40139', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70014', '40140', '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70014', '40141', '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70014', '40142', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70014', '40143', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70014', '40144', '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70014', '40145', '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70014', '40146', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70014', '40147', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70014', '40148', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70014', '40149', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70014', '40150', '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70014', '40151', '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70014', '40152', '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70014', '40153', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70014', '40154', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70014', '40155', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70014', '40156', '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70014', '40157', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70014', '40158', '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70014', '40159', '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70014', '40160', '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70014', '40161', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70014', '40163', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40164', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70014', '40165', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', '40166', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', '40167', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40168', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40169', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40170', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70014', '40171', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70014', '40172', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70014', '40173', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70014', '40174', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70014', '40175', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70014', '40176', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70014', '40177', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70014', '40178', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70014', '40179', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70014', '40180', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70014', '40181', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70014', '40182', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70014', '40183', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70014', '40184', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70014', '40185', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70014', '40186', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70014', '40187', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70014', '40188', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70014', '40189', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70014', '40190', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70014', '40191', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70014', '40192', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70014', '40193', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70014', '40194', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70014', '40195', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70014', '40196', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70014', '40197', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70014', '40198', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70014', '40199', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70014', '40200', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70014', '40201', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70014', '40202', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70014', '40203', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70014', '40204', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70014', '40205', '0', '-1', '0', '6000');
INSERT INTO `shop` VALUES ('70014', '40206', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70014', '40207', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70014', '40208', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70014', '40209', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70014', '40210', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70014', '40211', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70014', '40212', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70014', '40213', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70014', '40214', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70014', '40215', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70014', '40216', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70014', '40217', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70014', '40218', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', '40219', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70014', '40220', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70014', '40221', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70014', '40222', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70014', '40223', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70014', '40224', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70014', '40225', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70014', '40226', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', '40227', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', '40228', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', '40229', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', '40230', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', '40231', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70052', '40264', '0', '-1', '0', '2500');
INSERT INTO `shop` VALUES ('70052', '40263', '0', '-1', '0', '2500');
INSERT INTO `shop` VALUES ('70052', '40262', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70052', '40261', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70052', '40260', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70052', '40259', '0', '-1', '0', '2500');
INSERT INTO `shop` VALUES ('70052', '40258', '0', '-1', '0', '2500');
INSERT INTO `shop` VALUES ('70052', '40257', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70052', '40256', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70052', '40255', '0', '-1', '0', '2500');
INSERT INTO `shop` VALUES ('70052', '40254', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70052', '40253', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70052', '40252', '0', '-1', '0', '2500');
INSERT INTO `shop` VALUES ('70052', '40251', '0', '-1', '0', '2500');
INSERT INTO `shop` VALUES ('70052', '40250', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70052', '40249', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70052', '40248', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70052', '40247', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70052', '40246', '0', '-1', '0', '2500');
INSERT INTO `shop` VALUES ('70052', '40245', '0', '-1', '0', '2500');
INSERT INTO `shop` VALUES ('70052', '40244', '0', '-1', '0', '2500');
INSERT INTO `shop` VALUES ('70052', '40243', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70052', '40242', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70052', '40241', '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70052', '40240', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70052', '40239', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70052', '40238', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70052', '40237', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70052', '40236', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70052', '40235', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70052', '40234', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70052', '40233', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70052', '40232', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70014', '40265', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', '40266', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', '40267', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', '40268', '0', '-1', '0', '1625');
INSERT INTO `shop` VALUES ('70014', '40269', '0', '-1', '0', '1625');
INSERT INTO `shop` VALUES ('70014', '40270', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70014', '40271', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70014', '40272', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70014', '40273', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70014', '40274', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70014', '40275', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70014', '40276', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70014', '40277', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70014', '40278', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70014', '40279', '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70014', '40280', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', '40298', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70014', '40299', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70014', '40300', '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70014', '40301', '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70014', '40302', '0', '-1', '0', '345');
INSERT INTO `shop` VALUES ('70014', '40303', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', '40309', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', '40312', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40313', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40318', '0', '-1', '0', '122');
INSERT INTO `shop` VALUES ('70014', '40319', '0', '-1', '0', '177');
INSERT INTO `shop` VALUES ('70014', '40320', '0', '-1', '0', '121');
INSERT INTO `shop` VALUES ('70014', '40321', '0', '-1', '0', '171');
INSERT INTO `shop` VALUES ('70014', '40322', '0', '-1', '0', '435');
INSERT INTO `shop` VALUES ('70014', '40323', '0', '-1', '0', '715');
INSERT INTO `shop` VALUES ('70014', '40324', '0', '-1', '0', '1256');
INSERT INTO `shop` VALUES ('70014', '40325', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70014', '40326', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70014', '40327', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70014', '40328', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70014', '40329', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40331', '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70014', '40332', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70014', '40333', '0', '-1', '0', '50000');
INSERT INTO `shop` VALUES ('70014', '40334', '0', '-1', '0', '20000');
INSERT INTO `shop` VALUES ('70014', '40335', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70014', '40336', '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70014', '40337', '0', '-1', '0', '65000');
INSERT INTO `shop` VALUES ('70014', '40338', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70014', '40339', '0', '-1', '0', '30000');
INSERT INTO `shop` VALUES ('70014', '40340', '0', '-1', '0', '40000');
INSERT INTO `shop` VALUES ('70014', '40341', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40342', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40343', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40344', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40345', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40346', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40347', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40348', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40349', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40350', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40351', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40352', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40353', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40354', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40355', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40356', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40357', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40358', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40359', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40360', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40361', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40362', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40363', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40364', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40365', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40366', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40367', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40368', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40369', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40370', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40371', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40372', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40373', '0', '-1', '0', '825');
INSERT INTO `shop` VALUES ('70014', '40375', '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70014', '40376', '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70014', '40377', '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70014', '40378', '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70014', '40379', '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70014', '40380', '6', '62', '0', '31');
INSERT INTO `shop` VALUES ('70014', '40381', '0', '-1', '0', '44');
INSERT INTO `shop` VALUES ('70014', '40382', '0', '-1', '0', '41');
INSERT INTO `shop` VALUES ('70014', '40383', '0', '-1', '0', '35');
INSERT INTO `shop` VALUES ('70014', '40384', '0', '-1', '0', '36');
INSERT INTO `shop` VALUES ('70014', '40385', '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70014', '40386', '0', '-1', '0', '31');
INSERT INTO `shop` VALUES ('70014', '40387', '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70014', '40388', '0', '-1', '0', '41');
INSERT INTO `shop` VALUES ('70014', '40389', '0', '-1', '0', '39');
INSERT INTO `shop` VALUES ('70014', '40390', '0', '-1', '0', '37');
INSERT INTO `shop` VALUES ('70014', '40391', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40392', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40393', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40394', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40395', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40396', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40397', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40398', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40399', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40400', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40401', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40402', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40403', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40404', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40405', '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70014', '40406', '0', '-1', '0', '17');
INSERT INTO `shop` VALUES ('70014', '40407', '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70014', '40408', '0', '-1', '0', '71');
INSERT INTO `shop` VALUES ('70014', '40409', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40410', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40411', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40412', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40413', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40414', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40415', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40416', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40417', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40418', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40419', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40420', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40421', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40422', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40423', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40424', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40425', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40426', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40427', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40428', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40429', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40430', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40431', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40432', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40433', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40434', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40435', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40436', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40437', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40438', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40439', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40440', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40441', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40442', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40443', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40444', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40445', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40446', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40447', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40448', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40449', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40450', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40451', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40452', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40453', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40454', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40455', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70014', '40456', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70014', '40457', '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70014', '40458', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40459', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40460', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40461', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40462', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40463', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40464', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40465', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40467', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40468', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40469', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40470', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40471', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40472', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40473', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40474', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40475', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40476', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40477', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40478', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40479', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40480', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40481', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40482', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40483', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40484', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40485', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40486', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40487', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40488', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40489', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40490', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40491', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40492', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40493', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40494', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40495', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40496', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40497', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40498', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40499', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40500', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40501', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40502', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40503', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40504', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40505', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40506', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40507', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40508', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40509', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40510', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40511', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40512', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40514', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40515', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40516', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40517', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40518', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40519', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40520', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40521', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40522', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40523', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40524', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40526', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40527', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40528', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40529', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40530', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40531', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40532', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40533', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40534', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40535', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40536', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40537', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40538', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40539', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40540', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40541', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40542', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40543', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40544', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40545', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40546', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40547', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40548', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40549', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40550', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40551', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40552', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40553', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40554', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40556', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40557', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40558', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40559', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40560', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40561', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40562', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40563', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40564', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40565', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40566', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40567', '0', '-1', '0', '50000');
INSERT INTO `shop` VALUES ('70014', '40568', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40569', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40570', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40571', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40572', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40573', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40574', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40575', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40576', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40577', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40578', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40579', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40580', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40581', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40582', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40583', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40584', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40585', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40586', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40587', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40588', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40589', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40590', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40591', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40592', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40593', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40594', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40595', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40596', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40597', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40598', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40599', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40600', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40601', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40602', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40603', '0', '-1', '0', '50000');
INSERT INTO `shop` VALUES ('70014', '40604', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40605', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40606', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40607', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40608', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40609', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40610', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40611', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40612', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40613', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40614', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40615', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40616', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40617', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40618', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40619', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40620', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40621', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40622', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40623', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40624', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40625', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40626', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40627', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40628', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40629', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40630', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40631', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40632', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40633', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40634', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40635', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40636', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40637', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40638', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40639', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40640', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40641', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40642', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40643', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40644', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40645', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40646', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40647', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40648', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40649', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40650', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40651', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40652', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40653', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40654', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40655', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40656', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40657', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40658', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40659', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40660', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40661', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40662', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40663', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40664', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40665', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40666', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40667', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40668', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40669', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40670', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40671', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40672', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40673', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40674', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40675', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40676', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40677', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40678', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40679', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40680', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40681', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40682', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40683', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40684', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40685', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40686', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40687', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40688', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40689', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40690', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40691', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40692', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40693', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40694', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40695', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40696', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40697', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40698', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40699', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40700', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40701', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40702', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40703', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40704', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40705', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40706', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40707', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40708', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40709', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40710', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40711', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40712', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40713', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40714', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40715', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40716', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40717', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40718', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40719', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40720', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40721', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40722', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40723', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40724', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40726', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40727', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40728', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40729', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40730', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40731', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40732', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40733', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40734', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40735', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40736', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40737', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40741', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40742', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40744', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40745', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70014', '40746', '0', '-1', '0', '7');
INSERT INTO `shop` VALUES ('70014', '40747', '0', '-1', '0', '10');
INSERT INTO `shop` VALUES ('70014', '40748', '0', '-1', '0', '13');
INSERT INTO `shop` VALUES ('70014', '40749', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70014', '40750', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70014', '40751', '0', '-1', '0', '25000');
INSERT INTO `shop` VALUES ('70014', '40752', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70014', '40753', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70014', '40754', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70014', '40755', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70014', '40756', '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70014', '40757', '0', '-1', '0', '45000');
INSERT INTO `shop` VALUES ('70014', '40758', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40759', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40760', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40761', '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70014', '40762', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40763', '0', '-1', '0', '25000');
INSERT INTO `shop` VALUES ('70014', '40764', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40765', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '40766', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '100004', '0', '-1', '0', '4');
INSERT INTO `shop` VALUES ('70014', '100025', '0', '-1', '0', '990');
INSERT INTO `shop` VALUES ('70014', '100027', '0', '-1', '0', '1320');
INSERT INTO `shop` VALUES ('70014', '100029', '0', '-1', '0', '715');
INSERT INTO `shop` VALUES ('70014', '100037', '0', '-1', '0', '2750');
INSERT INTO `shop` VALUES ('70014', '100041', '0', '-1', '0', '11000');
INSERT INTO `shop` VALUES ('70014', '100052', '0', '-1', '0', '9900');
INSERT INTO `shop` VALUES ('70014', '100095', '0', '-1', '0', '33');
INSERT INTO `shop` VALUES ('70014', '100098', '0', '-1', '0', '192');
INSERT INTO `shop` VALUES ('70014', '100102', '0', '-1', '0', '5500');
INSERT INTO `shop` VALUES ('70014', '100103', '0', '-1', '0', '1100');
INSERT INTO `shop` VALUES ('70014', '100143', '0', '-1', '0', '385');
INSERT INTO `shop` VALUES ('70014', '100169', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '100172', '0', '-1', '0', '27');
INSERT INTO `shop` VALUES ('70014', '120011', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70014', '120043', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70014', '120056', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70014', '120101', '0', '-1', '0', '5750');
INSERT INTO `shop` VALUES ('70014', '120128', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '120137', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '120149', '0', '-1', '0', '9000');
INSERT INTO `shop` VALUES ('70014', '120154', '0', '-1', '0', '25900');
INSERT INTO `shop` VALUES ('70014', '120182', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '120242', '0', '-1', '0', '1600');
INSERT INTO `shop` VALUES ('70014', '140006', '0', '-1', '0', '16500');
INSERT INTO `shop` VALUES ('70014', '140008', '0', '-1', '0', '30000');
INSERT INTO `shop` VALUES ('70014', '140010', '0', '-1', '0', '32');
INSERT INTO `shop` VALUES ('70014', '140011', '0', '-1', '0', '106');
INSERT INTO `shop` VALUES ('70014', '140012', '0', '-1', '0', '495');
INSERT INTO `shop` VALUES ('70014', '140013', '0', '-1', '0', '206');
INSERT INTO `shop` VALUES ('70014', '140014', '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70014', '140015', '0', '-1', '0', '388');
INSERT INTO `shop` VALUES ('70014', '140016', '0', '-1', '0', '495');
INSERT INTO `shop` VALUES ('70014', '140018', '0', '-1', '0', '1361');
INSERT INTO `shop` VALUES ('70014', '140061', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70014', '140062', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70014', '140065', '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70014', '140068', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70014', '140069', '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70014', '140072', '0', '-1', '0', '17');
INSERT INTO `shop` VALUES ('70014', '140074', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70014', '140087', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70014', '140088', '0', '-1', '0', '1211');
INSERT INTO `shop` VALUES ('70014', '140089', '0', '-1', '0', '1067');
INSERT INTO `shop` VALUES ('70014', '140100', '0', '-1', '0', '510');
INSERT INTO `shop` VALUES ('70014', '140119', '0', '-1', '0', '435');
INSERT INTO `shop` VALUES ('70014', '140506', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '200001', '0', '-1', '0', '16');
INSERT INTO `shop` VALUES ('70014', '200002', '0', '-1', '0', '1375');
INSERT INTO `shop` VALUES ('70014', '200027', '0', '-1', '0', '320');
INSERT INTO `shop` VALUES ('70014', '200032', '0', '-1', '0', '9900');
INSERT INTO `shop` VALUES ('70014', '200041', '0', '-1', '0', '-1');
INSERT INTO `shop` VALUES ('70014', '200052', '0', '-1', '0', '-1');
INSERT INTO `shop` VALUES ('70014', '200171', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70014', '220001', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '220002', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '220003', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '220004', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '220005', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', '220034', '0', '-1', '0', '75');
INSERT INTO `shop` VALUES ('70014', '220043', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70014', '220056', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70014', '220101', '0', '-1', '0', '5750');
INSERT INTO `shop` VALUES ('70014', '220115', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70014', '220122', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70014', '220125', '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70014', '220135', '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70014', '220136', '0', '-1', '0', '400');
INSERT INTO `shop` VALUES ('70014', '220147', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70014', '220154', '0', '-1', '0', '18500');
INSERT INTO `shop` VALUES ('70014', '220213', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70014', '220237', '0', '-1', '0', '45');
INSERT INTO `skills` VALUES ('1', 'LesserHeal', '1', '0', '4', '0', '0', '0', '10', '0', 'buff', '3', '2', '4', '0', '0', '0', '4', '16', '0', '-1', '0', '0', '1', '$1436', '744', '77', '0', '280', '0');
INSERT INTO `skills` VALUES ('2', 'Light', '1', '1', '4', '0', '0', '0', '10', '3600', 'none', '0', '0', '0', '0', '0', '0', '16', '2', '0', '0', '0', '0', '2', '$1437', '2510', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('3', 'Shield', '1', '2', '8', '0', '0', '0', '10', '1800', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '4', '$1438', '221', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('4', 'EBolt', '1', '3', '3', '0', '0', '0', '10', '0', 'attack', '3', '8', '10', '1', '0', '0', '16', '64', '0', '10', '0', '0', '8', '$1439', '167', '0', '0', '0', '1');
INSERT INTO `skills` VALUES ('5', 'Teleport', '1', '4', '10', '0', '0', '0', '10', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '128', '0', '0', '0', '0', '16', '$1440', '169', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('6', 'IceDagger', '1', '5', '4', '0', '0', '0', '10', '0', 'attack', '3', '10', '10', '1', '0', '0', '4', '64', '0', '10', '0', '0', '32', '$1966', '1797', '0', '0', '0', '1');
INSERT INTO `skills` VALUES ('7', 'WindShuriken', '1', '6', '4', '0', '0', '0', '10', '0', 'attack', '3', '10', '10', '1', '0', '0', '8', '64', '0', '10', '0', '0', '64', '$1967', '1799', '0', '0', '0', '1');
INSERT INTO `skills` VALUES ('8', 'HolyWeapon', '1', '7', '10', '0', '0', '0', '0', '1200', 'buff', '3', '0', '0', '0', '0', '0', '0', '2', '0', '-1', '0', '0', '128', '$1977', '2165', '161', '308', '79', '0');
INSERT INTO `skills` VALUES ('9', 'CurePoison', '2', '0', '15', '0', '0', '0', '0', '0', 'buff', '3', '0', '0', '0', '0', '0', '0', '2', '0', '-1', '0', '0', '1', '$1441', '871', '211', '0', '280', '0');
INSERT INTO `skills` VALUES ('10', 'ChillTouch', '2', '1', '10', '0', '0', '0', '0', '0', 'attack', '3', '10', '10', '2', '0', '0', '4', '64', '-2', '2', '0', '0', '2', '$1442', '252', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('11', 'Poison', '2', '2', '10', '0', '40318', '1', '0', '30', 'attack', '3', '0', '0', '0', '0', '12', '4', '4', '-10', '1', '0', '0', '4', '$1443', '745', '0', '0', '280', '0');
INSERT INTO `skills` VALUES ('12', 'EnchantWeapon', '2', '3', '20', '0', '0', '0', '0', '1800', 'none', '0', '0', '0', '0', '0', '0', '2', '2', '0', '0', '0', '0', '8', '$1444', '747', '161', '308', '79', '0');
INSERT INTO `skills` VALUES ('13', 'Detection', '2', '4', '15', '0', '0', '0', '500', '0', 'none', '3', '0', '0', '0', '0', '0', '0', '2', '0', '0', '-1', '0', '16', '$1445', '749', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('14', 'DecreaseWeight', '2', '5', '10', '50', '0', '0', '0', '1800', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '32', '$1978', '2170', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('15', 'FireArrow', '2', '6', '8', '0', '0', '0', '0', '0', 'attack', '3', '10', '10', '2', '0', '0', '2', '64', '0', '10', '0', '0', '64', '$1969', '1583', '0', '0', '0', '1');
INSERT INTO `skills` VALUES ('16', 'Stalac', '2', '7', '8', '0', '0', '0', '0', '0', 'attack', '3', '10', '10', '2', '0', '0', '1', '64', '0', '10', '0', '0', '128', '$1968', '1801', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('17', 'Lightning', '3', '0', '20', '0', '0', '0', '1000', '0', 'attack', '3', '20', '10', '4', '0', '0', '8', '64', '0', '6', '0', '0', '1', '$1446', '170', '0', '0', '0', '1');
INSERT INTO `skills` VALUES ('18', 'TurnUndead', '3', '1', '20', '0', '0', '0', '0', '0', 'attack', '2', '0', '0', '0', '0', '7', '1', '4', '0', '10', '0', '0', '2', '$1970', '754', '0', '0', '280', '0');
INSERT INTO `skills` VALUES ('19', 'Heal', '3', '2', '15', '0', '0', '0', '0', '0', 'buff', '3', '4', '8', '0', '0', '0', '4', '16', '0', '-1', '0', '0', '4', '$1448', '829', '77', '0', '280', '0');
INSERT INTO `skills` VALUES ('20', 'Blind', '3', '3', '20', '0', '0', '0', '500', '16', 'buff', '3', '0', '0', '0', '0', '11', '0', '4', '-10', '1', '0', '0', '8', '$1449', '746', '0', '0', '280', '0');
INSERT INTO `skills` VALUES ('21', 'EnchantArmor', '3', '4', '20', '0', '0', '0', '0', '1800', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '16', '$1450', '748', '161', '308', '79', '0');
INSERT INTO `skills` VALUES ('22', 'FrostCloud', '3', '5', '20', '0', '0', '0', '300', '0', 'attack', '3', '4', '8', '3', '0', '0', '4', '64', '0', '6', '3', '0', '32', '$1447', '1804', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('23', 'WeakElemental', '3', '6', '8', '0', '0', '0', '0', '0', 'buff', '2', '0', '0', '0', '0', '0', '0', '128', '0', '-1', '0', '0', '64', '$1979', '2510', '0', '0', '280', '0');
INSERT INTO `skills` VALUES ('24', 'none', '3', '7', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '128', '', '189', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('25', 'Fireball', '4', '0', '20', '0', '0', '0', '1000', '0', 'attack', '3', '4', '8', '3', '0', '0', '2', '64', '0', '6', '3', '0', '1', '$1451', '171', '0', '0', '0', '1');
INSERT INTO `skills` VALUES ('26', 'EnchantDex', '4', '1', '50', '0', '0', '0', '0', '1200', 'buff', '4', '0', '0', '0', '0', '0', '8', '2', '0', '-1', '0', '0', '2', '$1452', '750', '294', '0', '280', '0');
INSERT INTO `skills` VALUES ('27', 'WeaponBreak', '4', '2', '32', '0', '40318', '1', '3000', '0', 'buff', '3', '0', '0', '0', '0', '10', '2', '4', '-10', '4', '0', '0', '4', '$1453', '172', '0', '0', '280', '0');
INSERT INTO `skills` VALUES ('28', 'VampiricTouch', '4', '3', '15', '0', '0', '0', '100', '0', 'attack', '3', '15', '10', '3', '0', '0', '4', '64', '-5', '3', '0', '0', '8', '$1454', '236', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('29', 'Slow', '4', '4', '20', '0', '40318', '1', '1000', '64', 'buff', '3', '0', '0', '0', '0', '12', '8', '1', '0', '-1', '0', '0', '16', '$1455', '752', '277', '0', '280', '0');
INSERT INTO `skills` VALUES ('30', 'EarthJail', '4', '5', '24', '0', '0', '0', '400', '0', 'attack', '3', '10', '10', '3', '0', '0', '1', '64', '0', '6', '2', '0', '32', '$1971', '1805', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('31', 'CounterMagic', '4', '6', '20', '0', '40318', '1', '0', '16', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '64', '$1980', '2174', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('32', 'Meditate', '4', '7', '5', '30', '0', '0', '0', '640', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '128', '$1981', '2173', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('33', 'Paralyze', '5', '0', '80', '0', '40318', '2', '5000', '10', 'buff', '3', '0', '0', '0', '0', '8', '1', '4', '-500', '1', '0', '0', '1', '$1456', '746', '0', '0', '280', '0');
INSERT INTO `skills` VALUES ('34', 'CallLightning', '5', '1', '24', '0', '0', '0', '1000', '0', 'attack', '3', '30', '10', '3', '0', '0', '8', '64', '0', '10', '0', '0', '2', '$1457', '10', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('35', 'GreaterHeal', '5', '2', '20', '0', '0', '0', '200', '0', 'buff', '3', '10', '8', '0', '0', '0', '4', '16', '0', '-1', '0', '0', '4', '$1458', '830', '77', '0', '280', '0');
INSERT INTO `skills` VALUES ('36', 'TameMonster', '5', '3', '30', '20', '40318', '1', '0', '0', 'buff', '2', '0', '0', '0', '0', '6', '0', '1', '0', '-1', '0', '0', '8', '$1459', '228', '0', '324', '280', '0');
INSERT INTO `skills` VALUES ('37', 'RemoveCurse', '5', '4', '20', '0', '0', '0', '0', '0', 'buff', '3', '0', '0', '0', '0', '0', '8', '2', '0', '-1', '0', '0', '16', '$1460', '227', '155', '0', '280', '0');
INSERT INTO `skills` VALUES ('38', 'ConeOfCold', '5', '5', '24', '0', '0', '0', '400', '0', 'attack', '3', '30', '10', '3', '0', '0', '4', '64', '0', '10', '0', '0', '32', '$1972', '1809', '0', '0', '0', '1');
INSERT INTO `skills` VALUES ('39', 'ManaDrain', '5', '6', '1', '50', '0', '0', '400', '0', 'buff', '3', '0', '0', '0', '0', '12', '0', '1', '0', '4', '0', '0', '64', '$1982', '2171', '690', '0', '280', '0');
INSERT INTO `skills` VALUES ('40', 'Darkness', '5', '7', '15', '0', '40318', '1', '0', '32', 'buff', '3', '0', '0', '0', '0', '11', '0', '1', '-10', '3', '0', '0', '128', '$1983', '2175', '0', '0', '280', '0');
INSERT INTO `skills` VALUES ('41', 'CreateZombie', '6', '0', '5', '80', '40318', '1', '0', '0', 'buff', '2', '0', '0', '0', '0', '0', '1', '32', '-10', '-1', '0', '0', '1', '$1461', '226', '0', '0', '280', '0');
INSERT INTO `skills` VALUES ('42', 'EnchantStr', '6', '1', '50', '0', '0', '0', '0', '1200', 'buff', '4', '0', '0', '0', '0', '0', '2', '2', '0', '-1', '0', '0', '2', '$1462', '751', '292', '0', '280', '0');
INSERT INTO `skills` VALUES ('43', 'Haste', '6', '2', '40', '0', '0', '0', '0', '1200', 'buff', '3', '0', '0', '0', '0', '0', '8', '2', '0', '-1', '0', '0', '4', '$1463', '755', '184', '185', '280', '0');
INSERT INTO `skills` VALUES ('44', 'Cancel', '6', '3', '40', '0', '40318', '2', '0', '0', 'buff', '3', '0', '0', '0', '0', '11', '8', '1', '0', '-1', '0', '0', '8', '$1464', '870', '0', '0', '280', '0');
INSERT INTO `skills` VALUES ('45', 'Eruption', '6', '4', '32', '0', '0', '0', '400', '0', 'attack', '3', '20', '10', '6', '0', '0', '1', '64', '0', '10', '0', '0', '16', '$1465', '129', '0', '0', '0', '1');
INSERT INTO `skills` VALUES ('46', 'SunBurst', '6', '5', '32', '0', '0', '0', '500', '0', 'attack', '3', '40', '10', '5', '0', '0', '2', '64', '0', '4', '0', '0', '32', '$1973', '1811', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('47', 'Weakness', '6', '6', '10', '0', '40318', '1', '500', '64', 'buff', '3', '0', '0', '0', '0', '12', '0', '4', '-10', '3', '0', '0', '64', '$1984', '2228', '692', '0', '280', '0');
INSERT INTO `skills` VALUES ('48', 'BlessWeapon', '6', '7', '20', '0', '0', '0', '0', '1200', 'buff', '3', '0', '0', '0', '0', '0', '0', '2', '0', '-1', '0', '0', '128', '$1985', '2176', '161', '308', '79', '0');
INSERT INTO `skills` VALUES ('49', 'HealPledge', '7', '0', '50', '30', '0', '0', '500', '0', 'none', '20', '10', '8', '0', '0', '0', '4', '16', '0', '0', '-1', '0', '1', '$1466', '759', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('50', 'IceLance', '7', '1', '36', '0', '0', '0', '1000', '16', 'attack', '3', '20', '10', '6', '0', '9', '4', '64', '0', '10', '0', '0', '2', '$1467', '756', '0', '0', '0', '1');
INSERT INTO `skills` VALUES ('51', 'Summon', '7', '2', '30', '30', '40318', '3', '1000', '0', 'none', '0', '0', '0', '0', '0', '0', '1', '128', '-10', '0', '0', '0', '4', '$1468', '2510', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('52', 'HolyWalk', '7', '3', '15', '0', '0', '0', '0', '300', 'none', '0', '0', '0', '0', '0', '0', '8', '2', '0', '0', '0', '0', '8', '$1469', '3936', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('53', 'Tornado', '7', '4', '40', '0', '0', '0', '1000', '0', 'none', '3', '20', '10', '5', '0', '0', '8', '64', '0', '0', '4', '0', '16', '$1470', '758', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('54', 'GreaterHaste', '7', '5', '60', '0', '0', '0', '0', '2400', 'none', '0', '0', '0', '0', '0', '0', '8', '2', '0', '0', '0', '0', '32', '$1976', '3104', '184', '185', '0', '0');
INSERT INTO `skills` VALUES ('55', 'Berzerkers', '7', '6', '40', '0', '0', '0', '0', '320', 'buff', '12', '0', '0', '0', '0', '0', '0', '2', '0', '-1', '0', '0', '64', '$1986', '3943', '0', '0', '280', '0');
INSERT INTO `skills` VALUES ('56', 'Disease', '7', '7', '10', '0', '40318', '1', '0', '64', 'buff', '3', '0', '0', '0', '0', '10', '0', '4', '-10', '3', '0', '0', '128', '$1987', '2230', '0', '0', '280', '0');
INSERT INTO `skills` VALUES ('57', 'FullHeal', '8', '0', '48', '0', '0', '0', '500', '0', 'buff', '3', '12', '12', '0', '0', '0', '12', '16', '0', '-1', '0', '0', '1', '$1471', '832', '77', '0', '280', '0');
INSERT INTO `skills` VALUES ('58', 'Firewall', '8', '1', '60', '0', '0', '0', '0', '10', 'attack', '3', '8', '10', '1', '0', '0', '2', '64', '0', '8', '0', '0', '2', '$1472', '2510', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('59', 'Blizzard', '8', '2', '60', '10', '0', '0', '1500', '0', 'none', '3', '10', '10', '8', '0', '0', '4', '64', '-10', '0', '10', '0', '4', '$1473', '757', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('60', 'Invisibility', '8', '3', '15', '0', '40318', '1', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '8', '$1474', '2510', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('61', 'Resurrection', '8', '4', '50', '0', '0', '0', '0', '0', 'buff', '3', '0', '0', '0', '0', '0', '0', '32', '0', '-1', '0', '0', '16', '$1475', '3944', '0', '0', '280', '0');
INSERT INTO `skills` VALUES ('62', 'Earthquake', '8', '5', '40', '0', '0', '0', '500', '0', 'none', '3', '40', '10', '6', '0', '0', '1', '64', '0', '0', '3', '0', '32', '$1974', '1812', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('63', 'LifeStream', '8', '6', '20', '0', '40318', '1', '0', '320', 'buff', '32', '0', '0', '0', '0', '0', '0', '2', '0', '-1', '3', '0', '64', '$1988', '0', '0', '0', '280', '0');
INSERT INTO `skills` VALUES ('64', 'Silence', '8', '7', '20', '0', '40318', '1', '0', '16', 'buff', '3', '0', '0', '0', '0', '10', '0', '1', '0', '3', '0', '0', '128', '$1989', '2177', '0', '0', '280', '0');
INSERT INTO `skills` VALUES ('65', 'LightningStorm', '9', '0', '48', '0', '0', '0', '500', '0', 'attack', '3', '25', '10', '5', '0', '0', '8', '64', '0', '10', '4', '0', '1', '$1476', '3924', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('66', 'FogOfSleeping', '9', '1', '40', '0', '40318', '1', '1500', '32', 'buff', '3', '0', '0', '0', '0', '8', '4', '4', '-50', '10', '3', '0', '2', '$1477', '760', '0', '0', '280', '0');
INSERT INTO `skills` VALUES ('67', 'Polymorph', '9', '2', '80', '0', '40318', '1', '0', '7200', 'buff', '1', '0', '0', '0', '0', '0', '0', '2', '0', '-1', '0', '0', '4', '$1478', '231', '0', '0', '280', '0');
INSERT INTO `skills` VALUES ('68', 'ImmuneToHarm', '9', '3', '30', '0', '40318', '2', '1500', '32', 'buff', '4', '0', '0', '0', '0', '0', '0', '2', '0', '-1', '0', '0', '8', '$1479', '228', '314', '315', '280', '0');
INSERT INTO `skills` VALUES ('69', 'MassTeleport', '9', '4', '60', '0', '40318', '1', '0', '0', 'none', '4', '0', '0', '0', '0', '0', '0', '128', '0', '0', '2', '0', '16', '$1480', '2236', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('70', 'FireStorm', '9', '5', '48', '0', '0', '0', '400', '0', 'none', '3', '30', '15', '8', '0', '0', '2', '64', '0', '0', '3', '0', '32', '$1975', '1819', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('71', 'DecayPotion', '9', '6', '20', '0', '40318', '2', '500', '16', 'buff', '3', '0', '0', '0', '0', '10', '0', '1', '0', '3', '0', '0', '64', '$1990', '2232', '0', '0', '280', '0');
INSERT INTO `skills` VALUES ('72', 'CounterDetection', '9', '7', '30', '0', '0', '0', '0', '0', 'none', '3', '30', '10', '4', '0', '0', '0', '64', '0', '0', '-1', '0', '128', '$1991', '3934', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('73', 'CreateMagicalWeapon', '10', '0', '200', '0', '40318', '10', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '1', '$1481', '763', '685', '0', '0', '0');
INSERT INTO `skills` VALUES ('74', 'MeteorStrike', '10', '1', '60', '0', '0', '0', '1500', '0', 'attack', '3', '50', '15', '8', '0', '0', '2', '64', '0', '10', '3', '0', '2', '$1482', '762', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('75', 'GreaterResurrection', '10', '2', '100', '0', '40318', '1', '0', '0', 'buff', '3', '0', '0', '0', '0', '0', '0', '32', '0', '-1', '0', '0', '4', '$1483', '3944', '0', '0', '280', '0');
INSERT INTO `skills` VALUES ('76', 'MassSlow', '10', '3', '20', '0', '40318', '2', '3000', '64', 'buff', '3', '0', '0', '0', '0', '9', '1', '1', '0', '-1', '3', '0', '8', '$1484', '3932', '0', '0', '280', '0');
INSERT INTO `skills` VALUES ('77', 'Destroy', '10', '4', '70', '0', '0', '0', '5000', '0', 'attack', '3', '100', '15', '8', '0', '0', '16', '64', '1', '10', '0', '0', '16', '$1485', '1815', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('78', 'AbsoluteBarrier', '10', '5', '30', '0', '40318', '2', '12000', '12', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '32', '$1992', '2234', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('79', 'AdvanceSpirit', '10', '6', '20', '0', '0', '0', '0', '1200', 'buff', '1', '0', '0', '0', '0', '0', '0', '2', '0', '-1', '0', '0', '64', '$1993', '3935', '0', '0', '280', '0');
INSERT INTO `skills` VALUES ('80', 'FreezingBlizzard', '10', '7', '60', '0', '0', '0', '2000', '16', 'none', '3', '8', '10', '5', '0', '7', '4', '64', '-10', '0', '10', '0', '128', '$1994', '3933', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('81', 'none', '7', '0', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('82', 'none', '7', '0', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '10', '', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('83', 'none', '7', '0', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '3', '', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('84', 'none', '7', '0', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('85', 'none', '7', '0', '0', '0', '0', '0', '0', '900', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '2059', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('86', 'none', '7', '0', '0', '0', '0', '0', '0', '30', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '760', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('87', 'ShockStun', '11', '6', '15', '0', '0', '0', '1500', '3', 'buff', '3', '0', '0', '0', '0', '0', '0', '1', '0', '1', '0', '0', '64', '', '4434', '0', '0', '280', '0');
INSERT INTO `skills` VALUES ('88', 'ReductionArmor', '11', '7', '5', '50', '0', '0', '3000', '32', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '128', '', '4824', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('89', 'BounceAttack', '12', '0', '5', '10', '0', '0', '5000', '64', 'none', '0', '5', '0', '0', '5', '0', '0', '2', '0', '0', '0', '0', '1', '', '4648', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('90', 'CounterBarrier', '12', '1', '10', '100', '0', '0', '3000', '64', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '2', '', '5831', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('91', 'SolidCariage', '12', '2', '10', '100', '0', '0', '0', '64', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '4', '', '5832', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('92', 'none', '7', '0', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('93', 'none', '7', '0', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('94', 'none', '7', '0', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('95', 'none', '7', '0', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('96', 'none', '7', '0', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('97', 'BlindHiding', '13', '0', '10', '0', '0', '0', '10000', '32', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '1', '$2504', '2941', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('98', 'EnchantVenom', '13', '1', '10', '1', '40321', '1', '0', '320', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '2', '$2505', '2942', '814', '827', '0', '0');
INSERT INTO `skills` VALUES ('99', 'ShadowArmor', '13', '2', '10', '5', '0', '0', '0', '960', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '4', '$2506', '2943', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('100', 'PurifyStone', '13', '3', '5', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '8', '$2507', '2944', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('101', 'MovingAcceleration', '13', '4', '10', '0', '0', '0', '0', '960', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '16', '$2508', '2945', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('102', 'BurningSpirit', '13', '5', '20', '0', '0', '0', '3000', '320', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '32', '$2509', '2946', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('103', 'DarkBlind', '13', '6', '20', '0', '40321', '1', '1000', '64', 'buff', '3', '0', '0', '0', '0', '0', '0', '4', '-10', '0', '0', '0', '64', '$2510', '2947', '147', '148', '280', '0');
INSERT INTO `skills` VALUES ('104', 'VenomResist', '13', '7', '20', '0', '0', '0', '0', '320', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '128', '$2511', '2948', '0', '831', '0', '0');
INSERT INTO `skills` VALUES ('105', 'DoubleBreak', '14', '0', '30', '0', '40321', '1', '0', '192', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '1', '$2512', '2949', '823', '829', '0', '0');
INSERT INTO `skills` VALUES ('106', 'UncannyDodge', '14', '1', '20', '0', '0', '0', '0', '210', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '2', '$2513', '2950', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('107', 'ShadowFang', '14', '2', '30', '0', '40321', '1', '0', '192', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '4', '$2514', '2951', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('108', 'FinalBurn', '14', '3', '1', '1', '0', '0', '0', '0', 'attack', '3', '0', '0', '0', '0', '0', '0', '64', '0', '1', '0', '0', '8', '$2515', '2952', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('109', 'DressMighty', '14', '4', '10', '0', '0', '0', '0', '960', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '16', '', '3909', '292', '293', '0', '0');
INSERT INTO `skills` VALUES ('110', 'DressDex', '14', '5', '10', '0', '0', '0', '0', '960', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '32', '', '3910', '294', '295', '0', '0');
INSERT INTO `skills` VALUES ('111', 'DressEvasion', '14', '6', '20', '0', '0', '0', '0', '32', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '64', '', '3911', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('112', 'none', '11', '0', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '128', '', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('113', 'TrueTarget', '15', '0', '1', '0', '0', '0', '0', '0', 'buff', '3', '0', '0', '0', '0', '0', '0', '128', '0', '-1', '0', '0', '1', '$1995', '1765', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('114', 'Glowing Aura', '15', '1', '30', '0', '0', '0', '0', '640', 'none', '8', '0', '0', '0', '0', '0', '0', '2', '0', '0', '-1', '0', '2', '$1996', '2277', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('115', 'Shining Aura', '15', '2', '30', '0', '0', '0', '0', '640', 'none', '8', '0', '0', '0', '0', '0', '0', '2', '0', '0', '-1', '0', '4', '', '3941', '0', '0', '280', '0');
INSERT INTO `skills` VALUES ('116', 'CallPledgeMember', '15', '3', '40', '0', '0', '0', '0', '0', 'buff', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '-1', '0', '8', '$1977', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('117', 'Brave Aura', '15', '4', '40', '0', '0', '0', '0', '640', 'none', '8', '0', '0', '0', '0', '0', '0', '2', '0', '0', '-1', '0', '16', '$3178', '3942', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('118', 'Teleport to Pledge Member', '15', '5', '30', '0', '0', '0', '0', '0', 'buff', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '-1', '0', '32', '', '0', '0', '0', '280', '0');
INSERT INTO `skills` VALUES ('119', 'Unknown', '15', '6', '1', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '64', '', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('120', 'Unknown', '15', '7', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '128', '', '2280', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('121', 'none', '11', '0', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('123', 'none', '11', '0', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('124', 'none', '11', '0', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '4', '', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('125', 'none', '11', '0', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '8', '', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('126', 'none', '11', '0', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '16', '', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('127', 'none', '11', '0', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '32', '', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('128', 'none', '11', '0', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '64', '', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('129', 'ResistMagic', '17', '0', '5', '0', '40319', '1', '0', '1200', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '1', '', '2186', '0', '719', '0', '0');
INSERT INTO `skills` VALUES ('130', 'BodytoMind', '17', '1', '0', '8', '0', '0', '400', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '2', '', '2179', '702', '0', '0', '0');
INSERT INTO `skills` VALUES ('131', 'TeleportToMotherTree', '17', '2', '10', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '128', '0', '0', '0', '0', '4', '', '169', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('132', 'TripleShot', '17', '3', '15', '0', '0', '0', '400', '0', 'attack', '3', '0', '0', '0', '0', '0', '0', '64', '0', '-1', '0', '0', '8', '', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('133', 'ElementalFallDown', '17', '4', '10', '0', '0', '0', '0', '32', 'buff', '3', '0', '0', '0', '65', '0', '0', '1', '0', '10', '0', '0', '16', '', '4396', '0', '0', '280', '0');
INSERT INTO `skills` VALUES ('134', 'CounterMirror', '17', '5', '10', '0', '40319', '1', '0', '16', 'buff', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '32', '', '4395', '0', '0', '280', '0');
INSERT INTO `skills` VALUES ('135', 'none', '11', '0', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '128', '', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('136', 'none', '11', '0', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '128', '', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('137', 'ClearMind', '18', '0', '10', '0', '40319', '1', '0', '1200', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '1', '', '2180', '0', '722', '0', '0');
INSERT INTO `skills` VALUES ('138', 'ResistElemental', '18', '1', '10', '0', '40319', '1', '0', '1200', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '2', '', '2184', '0', '721', '0', '0');
INSERT INTO `skills` VALUES ('139', 'none', '11', '0', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '4', '', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('140', 'none', '11', '0', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '8', '', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('141', 'none', '11', '0', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '16', '', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('142', 'none', '11', '0', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '32', '', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('143', 'none', '11', '0', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '64', '', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('144', 'none', '11', '0', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '128', '', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('145', 'ReturnToNature', '19', '0', '30', '0', '40319', '2', '0', '0', 'buff', '1', '0', '0', '0', '65', '0', '0', '1', '0', '-1', '0', '0', '1', '', '0', '0', '0', '280', '0');
INSERT INTO `skills` VALUES ('146', 'BloodtoSoul', '19', '1', '0', '40', '0', '0', '1200', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '2', '', '2178', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('147', 'ProtectionFromElemental', '19', '2', '30', '0', '40319', '1', '0', '64', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '4', '', '2285', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('148', 'FireWeapon', '19', '3', '15', '0', '0', '0', '0', '960', 'buff', '1', '0', '0', '0', '0', '0', '2', '2', '0', '-1', '0', '0', '8', '', '2182', '0', '723', '280', '0');
INSERT INTO `skills` VALUES ('149', 'WindShot', '19', '4', '15', '0', '0', '0', '0', '960', 'buff', '1', '0', '0', '0', '0', '0', '8', '2', '0', '-1', '0', '0', '16', '', '2246', '0', '724', '280', '0');
INSERT INTO `skills` VALUES ('150', 'WindWalk', '19', '5', '15', '0', '0', '0', '0', '960', 'none', '0', '0', '0', '0', '0', '0', '8', '2', '0', '0', '0', '0', '32', '', '2247', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('151', 'EarthSkin', '19', '6', '15', '0', '0', '0', '0', '960', 'buff', '1', '0', '0', '0', '0', '0', '1', '2', '0', '-1', '0', '0', '64', '', '2249', '0', '725', '280', '0');
INSERT INTO `skills` VALUES ('152', 'Entangle', '19', '7', '20', '0', '40319', '1', '0', '64', 'buff', '3', '0', '0', '0', '65', '0', '1', '1', '0', '10', '0', '0', '128', '', '2250', '711', '0', '280', '0');
INSERT INTO `skills` VALUES ('153', 'EraseMagic', '20', '0', '10', '0', '40319', '1', '0', '32', 'buff', '3', '0', '0', '0', '65', '0', '0', '1', '0', '-1', '0', '0', '1', '', '2181', '0', '0', '280', '0');
INSERT INTO `skills` VALUES ('154', 'SummonLesserElement', '20', '1', '20', '0', '40319', '2', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '128', '0', '0', '0', '0', '2', '', '2510', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('155', 'BlessOfFire', '20', '2', '40', '0', '0', '0', '0', '960', 'none', '8', '0', '0', '0', '0', '0', '2', '2', '0', '0', '-1', '0', '4', '', '2286', '0', '723', '0', '0');
INSERT INTO `skills` VALUES ('156', 'EyeofStorm', '20', '3', '40', '0', '0', '0', '0', '960', 'none', '8', '0', '0', '0', '0', '0', '8', '2', '0', '0', '-1', '0', '8', '', '2288', '0', '724', '0', '0');
INSERT INTO `skills` VALUES ('157', 'EarthBind', '20', '4', '10', '0', '40319', '2', '0', '16', 'buff', '3', '0', '0', '0', '40', '0', '1', '1', '0', '-1', '0', '0', '16', '', '2251', '0', '0', '280', '0');
INSERT INTO `skills` VALUES ('158', 'NaturesTouch', '20', '5', '20', '0', '0', '0', '0', '320', 'buff', '1', '0', '0', '0', '0', '0', '4', '2', '0', '-1', '0', '0', '32', '', '2243', '0', '0', '280', '0');
INSERT INTO `skills` VALUES ('159', 'BlessOfEarth', '20', '6', '40', '0', '0', '0', '0', '960', 'none', '8', '0', '0', '0', '0', '0', '1', '2', '0', '0', '-1', '0', '64', '', '2287', '0', '725', '0', '0');
INSERT INTO `skills` VALUES ('160', 'AquaProtect', '20', '7', '30', '0', '0', '0', '0', '960', 'buff', '1', '0', '0', '0', '0', '0', '4', '2', '0', '-1', '0', '0', '128', '', '5829', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('161', 'AreaOfSilence', '21', '0', '40', '0', '40319', '8', '9000', '16', 'none', '3', '0', '0', '0', '65', '0', '0', '1', '0', '0', '-1', '1', '1', '', '2241', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('162', 'SummonGreaterElement', '21', '1', '20', '0', '40319', '4', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '128', '0', '0', '0', '0', '2', '', '2510', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('163', 'BurningWeapon', '21', '2', '30', '0', '0', '0', '0', '960', 'none', '0', '0', '0', '0', '0', '0', '2', '2', '0', '0', '0', '0', '4', '', '2242', '0', '723', '280', '0');
INSERT INTO `skills` VALUES ('164', 'NaturesBlessing', '21', '3', '30', '0', '0', '0', '0', '0', 'none', '8', '10', '18', '0', '0', '0', '4', '16', '0', '0', '-1', '0', '8', '', '2244', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('165', 'NaturesMiracle', '21', '4', '50', '0', '40319', '1', '0', '0', 'buff', '3', '0', '0', '0', '0', '0', '4', '32', '0', '10', '0', '0', '16', '', '2245', '0', '0', '280', '0');
INSERT INTO `skills` VALUES ('166', 'StormShot', '21', '5', '30', '0', '0', '0', '0', '960', 'none', '0', '0', '0', '0', '0', '0', '8', '2', '0', '0', '0', '0', '32', '', '2248', '0', '724', '280', '0');
INSERT INTO `skills` VALUES ('167', 'WindShackle', '21', '6', '15', '0', '40319', '1', '0', '16', 'buff', '3', '0', '0', '0', '65', '0', '8', '1', '0', '-1', '0', '0', '64', '', '1799', '0', '0', '280', '0');
INSERT INTO `skills` VALUES ('168', 'IronSkin', '21', '7', '30', '0', '0', '0', '0', '960', 'none', '0', '0', '0', '0', '0', '0', '1', '2', '0', '0', '0', '0', '128', '', '2252', '714', '725', '280', '0');
INSERT INTO `skills` VALUES ('169', 'ExoticVitalize', '22', '0', '30', '0', '40319', '1', '0', '960', 'none', '0', '0', '0', '0', '0', '0', '1', '2', '0', '0', '0', '0', '1', '', '4400', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('170', 'WaterLife', '22', '1', '1', '0', '40319', '1', '0', '64', 'buff', '1', '0', '0', '0', '0', '0', '4', '2', '0', '-1', '0', '0', '2', '', '4401', '0', '0', '280', '0');
INSERT INTO `skills` VALUES ('171', 'ElementalFire', '22', '2', '20', '0', '40319', '1', '0', '192', 'none', '0', '0', '0', '0', '0', '0', '2', '2', '0', '0', '0', '0', '4', '', '4402', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('172', 'what1', '22', '3', '10', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '8', '128', '0', '0', '0', '0', '8', '', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('173', 'what2', '22', '4', '20', '0', '40319', '1', '0', '192', 'buff', '3', '0', '0', '0', '50', '0', '4', '1', '0', '3', '0', '0', '16', '', '5830', '0', '0', '280', '0');
INSERT INTO `skills` VALUES ('174', 'what3', '22', '5', '10', '0', '40319', '5', '0', '192', 'buff', '3', '0', '0', '0', '50', '0', '8', '1', '0', '-1', '0', '0', '32', '', '5826', '0', '0', '280', '0');
INSERT INTO `skills` VALUES ('175', 'what4', '22', '6', '30', '0', '40319', '3', '0', '64', 'none', '0', '0', '0', '0', '0', '0', '2', '2', '0', '0', '0', '0', '64', '', '5833', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('176', 'what5', '22', '7', '30', '0', '40319', '1', '0', '960', 'none', '0', '0', '0', '0', '0', '0', '2', '2', '0', '0', '0', '0', '128', '', '5825', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10000', 'Zombie King E Multi First', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '0', '64', '0', '0', '6', '0', '0', '', '2806', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10001', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '0', '64', '0', '0', '6', '0', '0', '', '2775', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10002', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '4', '64', '0', '0', '6', '0', '0', '', '2261', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10003', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '0', '64', '0', '0', '6', '0', '0', '', '2809', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10004', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '0', '64', '0', '0', '6', '0', '0', '', '2810', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10005', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '0', '64', '0', '0', '6', '0', '0', '', '2759', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10006', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '0', '64', '0', '0', '6', '0', '0', '', '2760', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10007', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '0', '64', '0', '0', '6', '0', '0', '', '2761', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10008', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '100', '10', '10', '0', '0', '2', '64', '0', '2', '2', '0', '0', '', '2510', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10009', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '200', '10', '10', '0', '0', '4', '64', '0', '2', '2', '0', '0', '', '2510', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10010', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '0', '64', '0', '0', '15', '0', '0', '', '2552', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10011', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '0', '64', '0', '0', '6', '0', '0', '', '2537', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10012', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '0', '64', '0', '0', '-1', '0', '0', '', '3393', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10013', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '0', '64', '0', '0', '6', '0', '0', '', '3396', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10014', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '100', '10', '10', '0', '0', '2', '64', '0', '6', '2', '0', '0', '', '1776', '0', '0', '0', '1');
INSERT INTO `skills` VALUES ('10015', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '100', '10', '10', '0', '0', '0', '64', '0', '6', '0', '0', '0', '', '1043', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10016', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '100', '10', '10', '0', '0', '8', '64', '0', '6', '2', '0', '0', '', '1800', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10017', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '100', '10', '10', '0', '0', '4', '64', '0', '6', '2', '0', '0', '', '1798', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10018', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '75', '10', '10', '0', '0', '2', '64', '0', '8', '3', '0', '0', '', '1793', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10019', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '80', '10', '10', '0', '0', '1', '64', '0', '0', '-1', '0', '0', '', '2483', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10020', 'spirit of earth boss rockdown', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '100', '10', '10', '0', '0', '1', '64', '0', '8', '3', '0', '0', '', '2750', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10021', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '100', '10', '10', '0', '0', '2', '64', '0', '8', '0', '0', '0', '', '2748', '0', '0', '0', '1');
INSERT INTO `skills` VALUES ('10022', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '100', '10', '10', '0', '0', '4', '64', '0', '8', '0', '0', '0', '', '2739', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10023', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '100', '10', '10', '0', '0', '4', '64', '0', '8', '0', '0', '0', '', '2740', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10024', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '2', '64', '0', '0', '6', '0', '0', '', '1183', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10025', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '0', '64', '0', '0', '4', '0', '0', '', '4326', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10026', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '300', '10', '10', '0', '0', '0', '64', '0', '-1', '0', '1', '0', '', '4155', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10027', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '300', '10', '10', '0', '0', '0', '64', '0', '-1', '0', '1', '0', '', '4158', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10028', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '300', '10', '10', '0', '0', '0', '64', '0', '-1', '0', '1', '0', '', '4161', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10029', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '300', '10', '10', '0', '0', '0', '64', '0', '-1', '0', '1', '0', '', '4164', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10030', 'Unknown', '0', '0', '20', '0', '0', '0', '0', '0', 'attack', '3', '40', '10', '3', '0', '0', '4', '64', '0', '-1', '0', '0', '0', '', '1115', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10031', 'Unknown', '0', '0', '20', '0', '0', '0', '0', '0', 'attack', '3', '80', '20', '2', '0', '0', '0', '64', '0', '-1', '0', '0', '0', '', '1119', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10032', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '0', '64', '0', '0', '6', '0', '0', '', '2819', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10033', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '10', '10', '1', '0', '0', '0', '64', '0', '-1', '0', '0', '0', '', '1160', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10034', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '10', '10', '1', '0', '0', '2', '64', '0', '9', '0', '0', '0', '', '1831', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10035', 'Unknown', '0', '0', '32', '0', '0', '0', '0', '0', 'attack', '3', '50', '10', '8', '0', '0', '5', '64', '0', '9', '0', '0', '0', '', '3685', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10036', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '0', '64', '0', '0', '4', '0', '0', '', '4170', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10037', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '0', '64', '0', '0', '4', '0', '0', '', '4173', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10038', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '2', '64', '0', '0', '4', '0', '0', '', '4037', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10039', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '0', '64', '0', '0', '4', '0', '0', '', '4373', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10040', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '0', '64', '0', '0', '4', '0', '0', '', '4374', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10041', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '0', '64', '0', '0', '4', '0', '0', '', '4375', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10042', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '20', '10', '8', '0', '0', '2', '64', '0', '0', '2', '0', '0', '', '2527', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10043', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '20', '10', '8', '0', '0', '0', '64', '0', '0', '4', '0', '0', '', '3363', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10044', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '25', '10', '8', '0', '0', '0', '64', '0', '6', '0', '0', '0', '', '3700', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10045', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '50', '10', '8', '0', '0', '0', '64', '0', '6', '0', '0', '0', '', '3417', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10046', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '50', '10', '8', '0', '0', '0', '64', '0', '6', '0', '0', '0', '', '4080', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10047', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '50', '10', '8', '0', '0', '0', '64', '0', '0', '6', '0', '0', '', '3992', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10048', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '50', '10', '8', '0', '0', '0', '64', '0', '9', '0', '0', '0', '', '1606', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10049', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '50', '10', '8', '0', '0', '0', '64', '0', '9', '0', '0', '0', '', '1608', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10050', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '200', '10', '8', '0', '0', '4', '64', '0', '4', '6', '0', '0', '', '1593', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10051', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '250', '10', '12', '0', '0', '4', '64', '0', '0', '15', '0', '0', '', '1594', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10052', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '250', '10', '12', '0', '0', '2', '64', '0', '0', '15', '0', '0', '', '2004', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10053', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '250', '10', '12', '0', '0', '8', '64', '0', '0', '15', '0', '0', '', '2566', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10054', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '250', '10', '12', '0', '0', '1', '64', '0', '0', '15', '0', '0', '', '1249', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10055', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '2', '64', '0', '0', '2', '0', '0', '', '243', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10056', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '2', '64', '0', '0', '6', '0', '0', '', '245', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10057', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'buff', '3', '0', '0', '0', '0', '0', '0', '128', '0', '10', '0', '0', '0', '', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10058', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '50', '8', '5', '0', '0', '0', '64', '0', '6', '0', '0', '0', '', '4697', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10059', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '70', '8', '5', '0', '0', '0', '64', '0', '6', '0', '0', '0', '', '4656', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10060', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '30', '8', '5', '0', '0', '0', '64', '0', '6', '0', '0', '0', '', '4579', '0', '0', '0', '1');
INSERT INTO `skills` VALUES ('10061', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '100', '10', '10', '0', '0', '0', '64', '0', '8', '3', '0', '0', '', '2546', '0', '0', '0', '1');
INSERT INTO `skills` VALUES ('10062', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '100', '10', '10', '0', '0', '0', '64', '0', '8', '3', '0', '0', '', '3396', '0', '0', '0', '1');
INSERT INTO `skills` VALUES ('10063', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '0', '64', '0', '0', '10', '0', '0', '', '2510', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10064', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '100', '10', '10', '0', '0', '0', '64', '0', '8', '3', '0', '0', '', '2510', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10065', 'Unknown', '0', '0', '0', '0', '0', '0', '0', '0', 'attack', '3', '50', '8', '5', '0', '0', '8', '64', '0', '8', '0', '0', '0', '', '5663', '0', '0', '0', '1');
INSERT INTO `skills` VALUES ('10066', 'Unknown', '0', '0', '0', '0', '0', '0', '0', '0', 'attack', '3', '50', '8', '8', '0', '0', '8', '64', '0', '8', '0', '0', '0', '', '5469', '0', '0', '0', '1');
INSERT INTO `skills` VALUES ('10067', 'Unknown', '0', '0', '0', '0', '0', '0', '0', '0', 'attack', '3', '50', '10', '10', '0', '0', '2', '64', '0', '5', '5', '0', '0', '', '5268', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10068', 'Unknown', '0', '0', '0', '0', '0', '0', '0', '0', 'attack', '3', '100', '10', '10', '0', '0', '2', '64', '0', '5', '5', '0', '0', '', '5272', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10069', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '2', '64', '0', '0', '3', '0', '0', '', '5514', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10070', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '200', '10', '10', '0', '0', '2', '64', '0', '0', '15', '0', '0', '', '5515', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10071', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '8', 'buff', '3', '0', '0', '0', '0', '8', '1', '1', '0', '-1', '0', '0', '0', '', '4184', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10072', 'Unknown', '0', '0', '0', '0', '0', '0', '0', '0', 'attack', '3', '10', '5', '5', '0', '0', '0', '64', '0', '2', '0', '0', '0', '', '5487', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10073', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '50', '5', '5', '0', '0', '0', '64', '0', '6', '0', '0', '0', '', '5417', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10074', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '50', '5', '5', '0', '0', '0', '64', '0', '6', '0', '0', '0', '', '5410', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10075', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '4', '64', '0', '0', '7', '0', '0', '', '5550', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10076', 'Unknown', '0', '0', '10', '0', '0', '0', '0', '0', 'attack', '3', '10', '5', '5', '0', '0', '0', '64', '0', '6', '0', '0', '0', '', '5131', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10077', 'Unknown', '0', '0', '10', '0', '0', '0', '0', '0', 'attack', '3', '6', '5', '5', '0', '0', '0', '64', '0', '6', '0', '0', '0', '', '4584', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10078', 'Unknown', '0', '0', '0', '0', '0', '0', '0', '0', 'attack', '3', '10', '5', '5', '0', '0', '0', '64', '0', '6', '0', '0', '0', '', '4508', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10079', 'Unknown', '0', '0', '0', '0', '0', '0', '0', '0', 'attack', '3', '100', '10', '10', '0', '0', '0', '64', '0', '6', '0', '0', '0', '', '4499', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10080', 'Unknown', '0', '0', '0', '0', '0', '0', '0', '0', 'attack', '3', '40', '10', '3', '0', '0', '0', '64', '0', '6', '0', '0', '0', '', '4239', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('11000', 'Elekkadom Electrical Charge', '0', '0', '8', '0', '0', '0', '0', '0', 'attack', '3', '50', '5', '5', '0', '0', '2', '64', '0', '2', '0', '0', '0', '', '1714', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1', 'Frog', '2', '45005', '0', '33067', '33392', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2', 'Frog', '0', '45005', '0', '33618', '33247', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3', 'Frog', '2', '45005', '0', '33599', '33255', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4', 'Frog', '0', '45005', '0', '33585', '33240', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5', 'Frog', '2', '45005', '0', '33599', '33161', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6', 'Frog', '0', '45005', '0', '33615', '33163', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7', 'Frog', '2', '45005', '0', '33669', '33182', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8', 'Frog', '0', '45005', '0', '32716', '32441', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9', 'Frog', '2', '45005', '0', '32730', '32455', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10', 'Frog', '0', '45005', '0', '32734', '32440', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11', 'Frog', '2', '45005', '0', '32754', '32440', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15', 'Frog', '2', '45005', '0', '32633', '33209', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('16', 'Frog', '0', '45005', '0', '32635', '33199', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('17', 'Frog', '2', '45005', '0', '32634', '33179', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('18', 'Frog', '0', '45005', '0', '32613', '33191', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('19', 'Frog', '2', '45005', '0', '32604', '33177', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('20', 'Frog', '0', '45005', '0', '32618', '33177', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('21', 'Frog', '2', '45005', '0', '32628', '33207', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('22', 'Frog', '0', '45005', '0', '32560', '32263', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('23', 'Frog', '2', '45005', '0', '32568', '32237', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('24', 'Frog', '0', '45005', '0', '32549', '32219', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('25', 'Frog', '2', '45005', '0', '32595', '32299', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26', 'Frog', '0', '45005', '0', '32581', '32447', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27', 'Frog', '2', '45005', '0', '32569', '32458', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('28', 'Frog', '0', '45005', '0', '32571', '32481', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('29', 'Frog', '2', '45005', '0', '32592', '32489', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('30', 'Frog', '0', '45005', '0', '32692', '32463', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('31', 'Frog', '2', '45005', '0', '32705', '32437', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('32', 'Frog', '0', '45005', '0', '32745', '32374', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('33', 'Frog', '2', '45005', '0', '32721', '32514', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('34', 'Frog', '0', '45005', '0', '32713', '32520', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('35', 'Frog', '2', '45005', '0', '32706', '32461', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('36', 'Frog', '0', '45005', '0', '32557', '32387', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('37', 'Frog', '2', '45005', '0', '32563', '32362', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('38', 'Frog', '0', '45005', '0', '32551', '32349', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('39', 'Frog', '2', '45005', '0', '32556', '32329', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('40', 'Frog', '0', '45005', '0', '32552', '32310', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500387', 'Tiger', '1', '45313', '0', '32808', '32845', '12', '12', '0', '0', '0', '0', '4', '20', '20', '480', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('42', 'Frog', '0', '45005', '0', '32562', '32280', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('43', 'Frog', '2', '45005', '0', '32547', '32272', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('44', 'Frog', '0', '45005', '0', '32550', '32284', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('45', 'Frog', '2', '45005', '0', '32567', '32253', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('46', 'Frog', '0', '45005', '0', '32562', '32226', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('47', 'Frog', '2', '45005', '0', '32550', '32215', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('52', 'Frog', '0', '45005', '0', '32931', '32605', '0', '0', '0', '0', '0', '0', '1', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53', 'Frog', '2', '45005', '0', '32938', '32620', '0', '0', '0', '0', '0', '0', '5', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('54', 'Frog', '0', '45005', '0', '32814', '32756', '0', '0', '0', '0', '0', '0', '4', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('55', 'Frog', '2', '45005', '0', '32786', '32763', '0', '0', '0', '0', '0', '0', '7', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('56', 'Frog', '0', '45005', '0', '32769', '32768', '0', '0', '0', '0', '0', '0', '7', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('57', 'Frog', '2', '45005', '0', '32757', '32777', '0', '0', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('58', 'Frog', '0', '45005', '0', '32767', '32787', '0', '0', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('59', 'Frog', '2', '45005', '0', '32778', '32785', '0', '0', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('60', 'Frog', '0', '45005', '0', '32785', '32777', '0', '0', '0', '0', '0', '0', '1', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61', 'Frog', '2', '45005', '0', '32765', '32725', '0', '0', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62', 'Frog', '0', '45005', '0', '32670', '32737', '0', '0', '0', '0', '0', '0', '6', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('63', 'Frog', '2', '45005', '0', '32672', '32742', '0', '0', '0', '0', '0', '0', '2', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('64', 'Frog', '0', '45005', '0', '32674', '32769', '0', '0', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('65', 'Frog', '2', '45005', '0', '32703', '32770', '0', '0', '0', '0', '0', '0', '6', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('66', 'Frog', '0', '45005', '0', '32685', '32776', '0', '0', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('67', 'Frog', '2', '45005', '0', '32694', '32788', '0', '0', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('68', 'Frog', '0', '45005', '0', '32711', '32783', '0', '0', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('69', 'Frog', '2', '45005', '0', '32687', '32865', '0', '0', '0', '0', '0', '0', '2', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('70', 'Frog', '0', '45005', '0', '32695', '32870', '0', '0', '0', '0', '0', '0', '2', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('71', 'Frog', '2', '45005', '0', '32705', '32865', '0', '0', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('72', 'Frog', '0', '45005', '0', '32800', '32867', '0', '0', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('73', 'Frog', '2', '45005', '0', '32810', '32857', '0', '0', '0', '0', '0', '0', '7', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('74', 'Frog', '0', '45005', '0', '32807', '32839', '0', '0', '0', '0', '0', '0', '2', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('75', 'Frog', '2', '45005', '0', '32825', '32838', '0', '0', '0', '0', '0', '0', '2', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('76', 'Frog', '0', '45005', '0', '32842', '32841', '0', '0', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('77', 'Frog', '2', '45005', '0', '32849', '32846', '0', '0', '0', '0', '0', '0', '2', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('78', 'Frog', '0', '45005', '0', '32857', '32839', '0', '0', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('79', 'Frog', '2', '45005', '0', '32864', '32846', '0', '0', '0', '0', '0', '0', '2', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('80', 'Frog', '0', '45005', '0', '32879', '32847', '0', '0', '0', '0', '0', '0', '2', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('81', 'Frog', '2', '45005', '0', '32894', '32843', '0', '0', '0', '0', '0', '0', '1', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('82', 'Frog', '0', '45005', '0', '33063', '32772', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('83', 'Frog', '2', '45005', '0', '33076', '32770', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('84', 'Frog', '0', '45005', '0', '33969', '32261', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('85', 'Frog', '2', '45005', '0', '33951', '32258', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('86', 'Frog', '0', '45005', '0', '33943', '32239', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('87', 'Frog', '2', '45005', '0', '33957', '32241', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('88', 'Frog', '0', '45005', '0', '33978', '32242', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('89', 'Frog', '2', '45005', '0', '33976', '32260', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('90', 'Frog', '0', '45005', '0', '33958', '32281', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('91', 'Frog', '2', '45005', '0', '33955', '32302', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('92', 'Frog', '0', '45005', '0', '33966', '32318', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('93', 'Frog', '2', '45005', '0', '33961', '32343', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('94', 'Goblin', '0', '45008', '0', '32060', '33372', '4', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('95', 'Goblin', '2', '45008', '0', '33013', '33461', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('96', 'Goblin', '0', '45008', '0', '33008', '33479', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('97', 'Goblin', '2', '45008', '0', '33000', '33464', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('98', 'Goblin', '0', '45008', '0', '33000', '33453', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('99', 'Goblin', '2', '45008', '0', '33022', '33426', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('100', 'Goblin', '0', '45008', '0', '33033', '33405', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('101', 'Goblin', '2', '45008', '0', '33011', '33413', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('103', 'Goblin', '2', '45008', '0', '33067', '33359', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('104', 'Goblin', '0', '45008', '0', '33075', '33344', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('105', 'Goblin', '2', '45008', '0', '33081', '33329', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('106', 'Goblin', '0', '45008', '0', '33082', '33312', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('107', 'Goblin', '2', '45008', '0', '33063', '33323', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('108', 'Goblin', '0', '45008', '0', '33051', '33314', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('109', 'Goblin', '2', '45008', '0', '33117', '32626', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('110', 'Goblin', '0', '45008', '0', '33090', '32595', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('111', 'Goblin', '2', '45008', '0', '33076', '32580', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('112', 'Goblin', '0', '45008', '0', '33130', '32604', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('113', 'Goblin', '2', '45008', '0', '33145', '32616', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('114', 'Goblin', '0', '45008', '0', '33194', '32662', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('115', 'Goblin', '2', '45008', '0', '33215', '32683', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('116', 'Goblin', '0', '45008', '0', '33249', '32718', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('117', 'Goblin', '2', '45008', '0', '33181', '32698', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('118', 'Goblin', '0', '45008', '0', '33180', '32648', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('119', 'Goblin', '2', '45008', '0', '33179', '32629', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('120', 'Goblin', '0', '45008', '0', '33163', '32584', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('121', 'Goblin', '2', '45008', '0', '33192', '32601', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('122', 'Goblin', '0', '45008', '0', '33228', '32614', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('123', 'Goblin', '2', '45008', '0', '33250', '32630', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('175', 'Goblin', '2', '45008', '0', '33040', '33422', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('176', 'Goblin', '0', '45008', '0', '33031', '33449', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('177', 'Goblin', '2', '45008', '0', '33016', '33402', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('178', 'Goblin', '0', '45008', '0', '33049', '33382', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('179', 'Goblin', '2', '45008', '0', '33018', '33382', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('180', 'Goblin', '0', '45008', '0', '33011', '33404', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('181', 'Goblin', '2', '45008', '0', '32997', '33427', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('182', 'Goblin', '0', '45008', '0', '32998', '33444', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('183', 'Goblin', '2', '45008', '0', '32979', '33462', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('184', 'Goblin', '0', '45008', '0', '32974', '33447', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('185', 'Goblin', '2', '45008', '0', '32975', '33424', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('186', 'Goblin', '0', '45008', '0', '32968', '33415', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('187', 'Goblin', '2', '45008', '0', '32948', '33399', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('188', 'Goblin', '0', '45008', '0', '32947', '33385', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('189', 'Goblin', '2', '45008', '0', '32971', '33387', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('190', 'Goblin', '0', '45008', '0', '32965', '33401', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('191', 'Goblin', '2', '45008', '0', '32983', '33383', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('192', 'Goblin', '0', '45008', '0', '33009', '33386', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('193', 'Goblin', '2', '45008', '0', '32994', '33353', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('194', 'Goblin', '0', '45008', '0', '32980', '33355', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('195', 'Goblin', '2', '45008', '0', '32970', '33352', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('196', 'Goblin', '0', '45008', '0', '33069', '33440', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('197', 'Goblin', '2', '45008', '0', '33069', '33476', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('198', 'Goblin', '0', '45008', '0', '33031', '33494', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('199', 'Goblin', '2', '45008', '0', '33045', '33477', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('200', 'Goblin', '0', '45008', '0', '33117', '33477', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('201', 'Goblin', '2', '45008', '0', '33168', '33489', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('202', 'Goblin', '0', '45008', '0', '33224', '33476', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('203', 'Goblin', '2', '45008', '0', '33265', '33444', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('204', 'Goblin', '0', '45008', '0', '33219', '33419', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('205', 'Goblin', '2', '45008', '0', '33184', '33460', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('206', 'Goblin', '0', '45008', '0', '33136', '33426', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('207', 'Goblin', '2', '45008', '0', '33108', '33457', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('208', 'Goblin', '0', '45008', '0', '33174', '33473', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('209', 'Goblin', '2', '45008', '0', '33156', '33442', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('210', 'Goblin', '0', '45008', '0', '33153', '33369', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('211', 'Goblin', '2', '45008', '0', '33190', '33346', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('212', 'Goblin', '0', '45008', '0', '33191', '33314', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('213', 'Goblin', '2', '45008', '0', '33219', '33320', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('214', 'Goblin', '0', '45008', '0', '33214', '33336', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('215', 'Goblin', '2', '45008', '0', '33271', '33431', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('216', 'Goblin', '0', '45008', '0', '33152', '33453', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('217', 'Goblin', '2', '45008', '0', '33062', '33451', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('218', 'Goblin', '0', '45008', '0', '33117', '33137', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('219', 'Goblin', '2', '45008', '0', '33092', '33182', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('220', 'Goblin', '0', '45008', '0', '33219', '33400', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('221', 'Goblin', '2', '45008', '0', '33132', '33342', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('222', 'Goblin', '0', '45008', '0', '33089', '33240', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('223', 'Goblin', '2', '45008', '0', '33166', '33263', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('224', 'Goblin', '0', '45008', '0', '33191', '33206', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('225', 'Goblin', '2', '45008', '0', '33146', '33194', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('226', 'Goblin', '0', '45008', '0', '33125', '33193', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('227', 'Goblin', '2', '45008', '0', '33073', '33293', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('228', 'Goblin', '0', '45008', '0', '33167', '33233', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('229', 'Goblin', '2', '45008', '0', '33179', '33337', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('230', 'Goblin', '0', '45008', '0', '33174', '33273', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('231', 'Goblin', '2', '45008', '0', '33120', '33232', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('232', 'Goblin', '0', '45008', '0', '33125', '33299', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('233', 'Goblin', '2', '45008', '0', '33046', '33309', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('234', 'Goblin', '0', '45008', '0', '32710', '32849', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('235', 'Goblin', '2', '45008', '0', '32756', '32849', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('236', 'Goblin', '0', '45008', '0', '32703', '32867', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('237', 'Goblin', '2', '45008', '0', '32677', '32865', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('238', 'Goblin', '0', '45008', '0', '32664', '32843', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('239', 'Goblin', '2', '45008', '0', '32683', '32813', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('240', 'Goblin', '0', '45008', '0', '32669', '32742', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('241', 'Goblin', '2', '45008', '0', '32684', '32713', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('242', 'Goblin', '0', '45008', '0', '32668', '32660', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('243', 'Goblin', '2', '45008', '0', '32705', '32640', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('244', 'Goblin', '0', '45008', '0', '32722', '32696', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('245', 'Goblin', '2', '45008', '0', '32791', '32709', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('246', 'Goblin', '0', '45008', '0', '32855', '32723', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('247', 'Goblin', '2', '45008', '0', '32871', '32673', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('248', 'Goblin', '0', '45008', '0', '32839', '32678', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('249', 'Goblin', '2', '45008', '0', '32795', '32633', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('250', 'Goblin', '0', '45008', '0', '32772', '32699', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('251', 'Goblin', '2', '45008', '0', '32862', '32712', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('252', 'Goblin', '0', '45008', '0', '32902', '32688', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('253', 'Goblin', '2', '45008', '0', '32657', '32814', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('254', 'Goblin', '0', '45008', '0', '32618', '32796', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('255', 'Goblin', '2', '45008', '0', '32663', '32769', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('256', 'Goblin', '0', '45008', '0', '32730', '32774', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('257', 'Goblin', '2', '45008', '0', '32653', '32798', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('258', 'Goblin', '0', '45008', '0', '32654', '32813', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('259', 'Goblin', '2', '45008', '0', '32665', '32724', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('260', 'Goblin', '0', '45008', '0', '32653', '32750', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('261', 'Goblin', '2', '45008', '0', '32687', '32747', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('262', 'Goblin', '0', '45008', '0', '32672', '32735', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('263', 'Goblin', '2', '45008', '0', '32718', '32917', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('264', 'Goblin', '0', '45008', '0', '32650', '32935', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('265', 'Goblin', '2', '45008', '0', '32644', '32906', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('266', 'Goblin', '0', '45008', '0', '32684', '32996', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('267', 'Goblin', '2', '45008', '0', '32609', '32988', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('268', 'Goblin', '0', '45008', '0', '32584', '32951', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('269', 'Goblin', '2', '45008', '0', '32544', '32914', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('270', 'Goblin', '0', '45008', '0', '32564', '32873', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('271', 'Goblin', '2', '45008', '0', '32586', '32883', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('272', 'Goblin', '0', '45008', '0', '32632', '32839', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('273', 'Goblin', '2', '45008', '0', '32592', '32862', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('274', 'Goblin', '0', '45008', '0', '32663', '32955', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('275', 'Goblin', '2', '45008', '0', '32705', '32985', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('276', 'Goblin', '0', '45008', '0', '32758', '32885', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('277', 'Goblin', '2', '45008', '0', '32792', '32879', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('278', 'Goblin', '0', '45008', '0', '32766', '32767', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('279', 'Goblin', '2', '45008', '0', '32734', '32762', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('280', 'Goblin', '0', '45008', '0', '32797', '32868', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('281', 'Goblin', '2', '45008', '0', '32797', '32930', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('282', 'Goblin', '0', '45008', '0', '32785', '32956', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('283', 'Orc', '2', '45009', '0', '33006', '33480', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('284', 'Orc', '0', '45009', '0', '33003', '33453', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('285', 'Orc', '2', '45009', '0', '33016', '33433', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('286', 'Orc', '0', '45009', '0', '33037', '33409', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('287', 'Orc', '2', '45009', '0', '33074', '33356', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('288', 'Orc', '0', '45009', '0', '33167', '33349', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('289', 'Orc', '2', '45009', '0', '33070', '33337', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('290', 'Orc', '0', '45009', '0', '33084', '33340', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('291', 'Orc', '2', '45009', '0', '33085', '33321', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('292', 'Orc', '0', '45009', '0', '33070', '33315', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('293', 'Orc', '2', '45009', '0', '33058', '33327', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('294', 'Orc', '0', '45009', '0', '33049', '33357', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('295', 'Orc', '2', '45009', '0', '32698', '33220', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('296', 'Orc', '0', '45009', '0', '32748', '33233', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('297', 'Orc', '2', '45009', '0', '32768', '33271', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('298', 'Orc', '0', '45009', '0', '32790', '33324', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('299', 'Orc', '2', '45009', '0', '32715', '33264', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('300', 'Orc', '0', '45009', '0', '32669', '33210', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('301', 'Orc', '2', '45009', '0', '32866', '33055', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('302', 'Orc', '0', '45009', '0', '32889', '33063', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('303', 'Orc', '2', '45009', '0', '32878', '33079', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('304', 'Orc', '0', '45009', '0', '32944', '33106', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('305', 'Orc', '2', '45009', '0', '32968', '33141', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('306', 'Orc', '0', '45009', '0', '33001', '33150', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('307', 'Orc', '2', '45009', '0', '33017', '33181', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('308', 'Orc', '0', '45009', '0', '33041', '33209', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('309', 'Orc', '2', '45009', '0', '33004', '33206', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('310', 'Orc', '0', '45009', '0', '32750', '33321', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('311', 'Orc', '2', '45009', '0', '32720', '33295', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('312', 'Orc', '0', '45009', '0', '32677', '33243', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('317', 'Orc', '2', '45009', '0', '33181', '33086', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('318', 'Orc', '0', '45009', '0', '33216', '33080', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('319', 'Orc', '2', '45009', '0', '33226', '33057', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('320', 'Orc', '0', '45009', '0', '33207', '33034', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('321', 'Orc', '2', '45009', '0', '33163', '33068', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('322', 'Orc', '0', '45009', '0', '33172', '33084', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('323', 'Orc', '2', '45009', '0', '33198', '33080', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('324', 'Orc', '0', '45009', '0', '33209', '33061', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('325', 'Orc', '2', '45009', '0', '33144', '33057', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('326', 'Orc', '0', '45009', '0', '33094', '33041', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('327', 'Orc', '2', '45009', '0', '33100', '33007', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('328', 'Orc', '0', '45009', '0', '33067', '32981', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('329', 'Orc', '2', '45009', '0', '33039', '32996', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('330', 'Orc', '0', '45009', '0', '33064', '33025', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('331', 'Orc', '2', '45009', '0', '33018', '33017', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('376', 'Orc', '0', '45009', '0', '33036', '33426', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('377', 'Orc', '2', '45009', '0', '33033', '33450', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('378', 'Orc', '0', '45009', '0', '33010', '33408', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('379', 'Orc', '2', '45009', '0', '33042', '33382', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('380', 'Orc', '0', '45009', '0', '33010', '33389', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('381', 'Orc', '2', '45009', '0', '33006', '33407', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('382', 'Orc', '0', '45009', '0', '32992', '33439', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('383', 'Orc', '2', '45009', '0', '32995', '33452', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('384', 'Orc', '0', '45009', '0', '32981', '33458', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('385', 'Orc', '2', '45009', '0', '32964', '33436', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('386', 'Orc', '0', '45009', '0', '32969', '33419', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('387', 'Orc', '2', '45009', '0', '32949', '33404', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('388', 'Orc', '0', '45009', '0', '32949', '33371', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('389', 'Orc', '2', '45009', '0', '32969', '33395', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('390', 'Orc', '0', '45009', '0', '32983', '33391', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('391', 'Orc', '2', '45009', '0', '33003', '33387', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('392', 'Orc', '0', '45009', '0', '33017', '33367', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('393', 'Orc', '2', '45009', '0', '32991', '33353', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('394', 'Orc', '0', '45009', '0', '32975', '33343', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('395', 'Orc', '2', '45009', '0', '32988', '33380', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('396', 'Orc', '0', '45009', '0', '33025', '33401', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('397', 'Orc', '2', '45009', '0', '33027', '33459', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('398', 'Orc', '0', '45009', '0', '33067', '33465', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('399', 'Orc', '2', '45009', '0', '33043', '33480', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('400', 'Orc', '0', '45009', '0', '33010', '33490', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('401', 'Orc', '2', '45009', '0', '33087', '33481', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('402', 'Orc', '0', '45009', '0', '33180', '33483', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('403', 'Orc', '2', '45009', '0', '33242', '33475', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('404', 'Orc', '0', '45009', '0', '33269', '33458', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('405', 'Orc', '2', '45009', '0', '33231', '33423', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('406', 'Orc', '0', '45009', '0', '33195', '33417', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('407', 'Orc', '2', '45009', '0', '33195', '33467', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('408', 'Orc', '0', '45009', '0', '33171', '33441', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('409', 'Orc', '2', '45009', '0', '33112', '33427', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('410', 'Orc', '0', '45009', '0', '33120', '33472', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('411', 'Orc', '2', '45009', '0', '33159', '33469', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('412', 'Orc', '0', '45009', '0', '33182', '33459', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('413', 'Orc', '2', '45009', '0', '33172', '33435', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('414', 'Orc', '0', '45009', '0', '33144', '33393', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('415', 'Orc', '2', '45009', '0', '33177', '33352', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('416', 'Orc', '0', '45009', '0', '33202', '33311', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('417', 'Orc', '2', '45009', '0', '33237', '33325', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('418', 'Orc', '0', '45009', '0', '33230', '33356', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('419', 'Orc', '2', '45009', '0', '33253', '33406', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('420', 'Orc', '0', '45009', '0', '33230', '33461', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('421', 'Orc', '2', '45009', '0', '33198', '33459', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('422', 'Orc', '0', '45009', '0', '33121', '33444', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('423', 'Orc', '2', '45009', '0', '33078', '33498', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('424', 'Orc', '0', '45009', '0', '33099', '33169', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('425', 'Orc', '2', '45009', '0', '33088', '33220', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('426', 'Orc', '0', '45009', '0', '33060', '33238', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('427', 'Orc', '2', '45009', '0', '33213', '33387', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('428', 'Orc', '0', '45009', '0', '33174', '33365', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('429', 'Orc', '2', '45009', '0', '33067', '33259', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('430', 'Orc', '0', '45009', '0', '33120', '33260', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('431', 'Orc', '2', '45009', '0', '33174', '33247', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('432', 'Orc', '0', '45009', '0', '33219', '33233', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('433', 'Orc', '2', '45009', '0', '33163', '33210', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('434', 'Orc', '0', '45009', '0', '33158', '33166', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('435', 'Orc', '2', '45009', '0', '33145', '33169', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('436', 'Orc', '0', '45009', '0', '33112', '33212', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('437', 'Orc', '2', '45009', '0', '33100', '33256', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('438', 'Orc', '0', '45009', '0', '32703', '32835', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('439', 'Orc', '2', '45009', '0', '32668', '32855', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('440', 'Orc', '0', '45009', '0', '32678', '32835', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('441', 'Orc', '2', '45009', '0', '32669', '32728', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('442', 'Orc', '0', '45009', '0', '32699', '32693', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('443', 'Orc', '2', '45009', '0', '32681', '32643', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('444', 'Orc', '0', '45009', '0', '32723', '32647', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('445', 'Orc', '2', '45009', '0', '32843', '32698', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('446', 'Orc', '0', '45009', '0', '32874', '32712', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('447', 'Orc', '2', '45009', '0', '32877', '32662', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('448', 'Orc', '0', '45009', '0', '32850', '32633', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('449', 'Orc', '2', '45009', '0', '32821', '32665', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('450', 'Orc', '0', '45009', '0', '32776', '32647', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('451', 'Orc', '2', '45009', '0', '32840', '32690', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('452', 'Orc', '0', '45009', '0', '32886', '32683', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('453', 'Orc', '2', '45009', '0', '32850', '32658', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('454', 'Orc', '0', '45009', '0', '32836', '32631', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('455', 'Orc', '2', '45009', '0', '32769', '32652', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('456', 'Orc', '0', '45009', '0', '32652', '32732', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('457', 'Orc', '2', '45009', '0', '32632', '32755', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('458', 'Orc', '0', '45009', '0', '32642', '32790', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('459', 'Orc', '2', '45009', '0', '32690', '32734', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('460', 'Orc', '0', '45009', '0', '32684', '32914', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('461', 'Orc', '2', '45009', '0', '32704', '32920', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('462', 'Orc', '0', '45009', '0', '32681', '32939', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('463', 'Orc', '2', '45009', '0', '32641', '32926', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('464', 'Orc', '0', '45009', '0', '32669', '32924', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('465', 'Orc', '2', '45009', '0', '32655', '32988', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('466', 'Orc', '0', '45009', '0', '32704', '32963', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('467', 'Orc', '2', '45009', '0', '32630', '32990', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('468', 'Orc', '0', '45009', '0', '32581', '32984', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('469', 'Orc', '2', '45009', '0', '32568', '32931', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('470', 'Orc', '0', '45009', '0', '32553', '32886', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('471', 'Orc', '2', '45009', '0', '32573', '32882', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('472', 'Orc', '0', '45009', '0', '32606', '32849', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('473', 'Orc', '2', '45009', '0', '32754', '32855', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('474', 'Orc', '0', '45009', '0', '32775', '32866', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('475', 'Orc', '2', '45009', '0', '32783', '32824', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('476', 'Orc', '0', '45009', '0', '32761', '32742', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('477', 'Rabbit', '2', '45010', '0', '33053', '33427', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('478', 'Rabbit', '0', '45010', '0', '33083', '33429', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('479', 'Rabbit', '2', '45010', '0', '33048', '33469', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('480', 'Rabbit', '0', '45010', '0', '33034', '33470', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('481', 'Rabbit', '2', '45010', '0', '33021', '33492', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('482', 'Rabbit', '0', '45010', '0', '33022', '33492', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('483', 'Rabbit', '2', '45010', '0', '32995', '33499', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('484', 'Rabbit', '0', '45010', '0', '32971', '33457', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('485', 'Rabbit', '2', '45010', '0', '32949', '33436', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('486', 'Rabbit', '0', '45010', '0', '32974', '33379', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('487', 'Rabbit', '2', '45010', '0', '32996', '33380', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('488', 'Rabbit', '0', '45010', '0', '33022', '33362', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('489', 'Rabbit', '2', '45010', '0', '33030', '33325', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('490', 'Rabbit', '0', '45010', '0', '33077', '33361', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('491', 'Rabbit', '2', '45010', '0', '33092', '33363', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('492', 'Rabbit', '0', '45010', '0', '33104', '33333', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('493', 'Rabbit', '2', '45010', '0', '33120', '33330', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('494', 'Rabbit', '0', '45010', '0', '33154', '33348', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('495', 'Rabbit', '2', '45010', '0', '33145', '33356', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('496', 'Rabbit', '0', '45010', '0', '33156', '33369', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('497', 'Rabbit', '2', '45010', '0', '33162', '33383', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('498', 'Rabbit', '0', '45010', '0', '33181', '33390', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('499', 'Rabbit', '2', '45010', '0', '33180', '33414', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('500', 'Rabbit', '0', '45010', '0', '33179', '33433', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('501', 'Rabbit', '2', '45010', '0', '33172', '33440', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('502', 'Rabbit', '0', '45010', '0', '33171', '33479', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('503', 'Rabbit', '2', '45010', '0', '33194', '33488', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('504', 'Rabbit', '0', '45010', '0', '33234', '33484', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('505', 'Rabbit', '2', '45010', '0', '33275', '33467', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('506', 'Rabbit', '0', '45010', '0', '33277', '33441', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('507', 'Rabbit', '2', '45010', '0', '33269', '33421', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('508', 'Rabbit', '0', '45010', '0', '33261', '33392', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('509', 'Rabbit', '2', '45010', '0', '33214', '33354', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('510', 'Rabbit', '0', '45010', '0', '33201', '33345', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('511', 'Rabbit', '2', '45010', '0', '33198', '33323', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('512', 'Rabbit', '0', '45010', '0', '33196', '33312', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('513', 'Rabbit', '2', '45010', '0', '33199', '33290', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('514', 'Rabbit', '0', '45010', '0', '33205', '33260', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('515', 'Rabbit', '2', '45010', '0', '33198', '33213', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('516', 'Rabbit', '0', '45010', '0', '33210', '33189', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('517', 'Rabbit', '2', '45010', '0', '33196', '33173', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('518', 'Rabbit', '0', '45010', '0', '33203', '33156', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('519', 'Rabbit', '2', '45010', '0', '33160', '33138', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('520', 'Rabbit', '0', '45010', '0', '33148', '33156', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('521', 'Rabbit', '2', '45010', '0', '33124', '33189', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('522', 'Rabbit', '0', '45010', '0', '33126', '33201', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('523', 'Rabbit', '2', '45010', '0', '33119', '33213', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('524', 'Rabbit', '0', '45010', '0', '33086', '33398', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('525', 'Rabbit', '2', '45010', '0', '33659', '33210', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('526', 'Rabbit', '0', '45010', '0', '33678', '33234', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('527', 'Rabbit', '2', '45010', '0', '33664', '33245', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('528', 'Rabbit', '0', '45010', '0', '33684', '33256', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('529', 'Rabbit', '2', '45010', '0', '33694', '33268', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('530', 'Rabbit', '0', '45010', '0', '33705', '33266', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('531', 'Rabbit', '2', '45010', '0', '33750', '33305', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('532', 'Rabbit', '0', '45010', '0', '33751', '33317', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('533', 'Rabbit', '2', '45010', '0', '33763', '33332', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('534', 'Rabbit', '0', '45010', '0', '33810', '33345', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('535', 'Rabbit', '2', '45010', '0', '33853', '33387', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('536', 'Rabbit', '0', '45010', '0', '33822', '33440', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('537', 'Rabbit', '2', '45010', '0', '33832', '33449', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('538', 'Rabbit', '0', '45010', '0', '33974', '33245', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('539', 'Rabbit', '2', '45010', '0', '34004', '33224', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('540', 'Rabbit', '0', '45010', '0', '34012', '33249', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('541', 'Rabbit', '2', '45010', '0', '33978', '33289', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('542', 'Rabbit', '0', '45010', '0', '33974', '33295', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('543', 'Rabbit', '2', '45010', '0', '33969', '33332', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('544', 'Rabbit', '0', '45010', '0', '33950', '33333', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('545', 'Rabbit', '2', '45010', '0', '33927', '33336', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('546', 'Rabbit', '0', '45010', '0', '33913', '33380', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('547', 'Rabbit', '2', '45010', '0', '33879', '33354', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('548', 'Rabbit', '0', '45010', '0', '33924', '33280', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('549', 'Rabbit', '2', '45010', '0', '33886', '33259', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('550', 'Rabbit', '0', '45010', '0', '33893', '33246', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('551', 'Rabbit', '2', '45010', '0', '34008', '33142', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('552', 'Rabbit', '0', '45010', '0', '34009', '33135', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('553', 'Rabbit', '2', '45010', '0', '34020', '33117', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('554', 'Rabbit', '0', '45010', '0', '34056', '33120', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('555', 'Rabbit', '2', '45010', '0', '34067', '33143', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('556', 'Rabbit', '0', '45010', '0', '34084', '33145', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('557', 'Rabbit', '2', '45010', '0', '34118', '33134', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('558', 'Rabbit', '0', '45010', '0', '33446', '32801', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('559', 'Rabbit', '2', '45010', '0', '33451', '32783', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('560', 'Rabbit', '0', '45010', '0', '33441', '32823', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('561', 'Rabbit', '2', '45010', '0', '33409', '32797', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('562', 'Rabbit', '0', '45010', '0', '33428', '32810', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('563', 'Rabbit', '2', '45010', '0', '33400', '32777', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('564', 'Rabbit', '0', '45010', '0', '33443', '32749', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('565', 'Rabbit', '2', '45010', '0', '33446', '32730', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('566', 'Rabbit', '0', '45010', '0', '33443', '32714', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('567', 'Rabbit', '2', '45010', '0', '33440', '32649', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('568', 'Rabbit', '0', '45010', '0', '33412', '32661', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('569', 'Rabbit', '2', '45010', '0', '33389', '32675', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('570', 'Rabbit', '0', '45010', '0', '33375', '32669', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('571', 'Rabbit', '2', '45010', '0', '33358', '32662', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('572', 'Rabbit', '0', '45010', '0', '33347', '32689', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('573', 'Rabbit', '2', '45010', '0', '33323', '32736', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('574', 'Rabbit', '0', '45010', '0', '33470', '32820', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('575', 'Rabbit', '2', '45010', '0', '33493', '32781', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('576', 'Rabbit', '0', '45010', '0', '33054', '32775', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('577', 'Rabbit', '2', '45010', '0', '33057', '32742', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('578', 'Rabbit', '0', '45010', '0', '33040', '32752', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('579', 'Rabbit', '2', '45010', '0', '33048', '32774', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('580', 'Rabbit', '0', '45010', '0', '32750', '32438', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('581', 'Rabbit', '2', '45010', '0', '32722', '32450', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('642', 'Rabbit', '0', '45010', '0', '33096', '33372', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('643', 'Rabbit', '2', '45010', '0', '33081', '33327', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('644', 'Rabbit', '0', '45010', '0', '33088', '33395', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('645', 'Rabbit', '2', '45010', '0', '32694', '32876', '0', '0', '0', '0', '0', '0', '2', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('646', 'Rabbit', '0', '45010', '0', '32719', '32873', '0', '0', '0', '0', '0', '0', '1', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('647', 'Rabbit', '2', '45010', '0', '32711', '32883', '0', '0', '0', '0', '0', '0', '5', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('648', 'Rabbit', '0', '45010', '0', '32706', '32873', '0', '0', '0', '0', '0', '0', '5', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('649', 'Rabbit', '2', '45010', '0', '32692', '32852', '0', '0', '0', '0', '0', '0', '7', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('650', 'Rabbit', '0', '45010', '0', '32657', '32869', '0', '0', '0', '0', '0', '0', '5', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('651', 'Rabbit', '2', '45010', '0', '32648', '32865', '0', '0', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('652', 'Rabbit', '0', '45010', '0', '32670', '32840', '0', '0', '0', '0', '0', '0', '3', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('653', 'Rabbit', '2', '45010', '0', '32674', '32854', '0', '0', '0', '0', '0', '0', '6', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('654', 'Rabbit', '0', '45010', '0', '32674', '32890', '0', '0', '0', '0', '0', '0', '5', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('655', 'Rabbit', '2', '45010', '0', '32677', '32893', '0', '0', '0', '0', '0', '0', '2', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('656', 'Rabbit', '0', '45010', '0', '32684', '32891', '0', '0', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('657', 'Rabbit', '2', '45010', '0', '32684', '32889', '0', '0', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('658', 'Rabbit', '0', '45010', '0', '32659', '32883', '0', '0', '0', '0', '0', '0', '6', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('659', 'Rabbit', '2', '45010', '0', '33067', '33413', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('660', 'Rabbit', '0', '45010', '0', '32667', '32461', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('661', 'Rabbit', '2', '45010', '0', '32654', '32434', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('662', 'Rabbit', '0', '45010', '0', '32646', '32421', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('663', 'Rabbit', '2', '45010', '0', '32648', '32398', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('664', 'Rabbit', '0', '45010', '0', '32610', '32378', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('665', 'Rabbit', '2', '45010', '0', '32592', '32367', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('666', 'Rabbit', '0', '45010', '0', '32577', '32356', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('667', 'Rabbit', '2', '45010', '0', '32557', '32356', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('668', 'Rabbit', '0', '45010', '0', '32563', '32381', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('669', 'Rabbit', '2', '45010', '0', '32594', '32410', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('670', 'Rabbit', '0', '45010', '0', '32590', '32430', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('671', 'Rabbit', '2', '45010', '0', '32610', '32484', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('672', 'Rabbit', '0', '45010', '0', '32662', '32507', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('673', 'Rabbit', '2', '45010', '0', '32671', '32504', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('674', 'Rabbit', '0', '45010', '0', '32688', '32514', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('675', 'Rabbit', '2', '45010', '0', '32709', '32505', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('676', 'Rabbit', '0', '45010', '0', '32708', '32490', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('677', 'Rabbit', '2', '45010', '0', '32683', '32481', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('678', 'Rabbit', '0', '45010', '0', '32729', '32375', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('679', 'Rabbit', '2', '45010', '0', '32797', '32347', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('680', 'Rabbit', '0', '45010', '0', '32834', '32345', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('681', 'Rabbit', '2', '45010', '0', '32841', '32358', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('682', 'Rabbit', '0', '45010', '0', '32833', '32425', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('683', 'Rabbit', '2', '45010', '0', '32816', '32432', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('684', 'Rabbit', '0', '45010', '0', '32791', '32478', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('685', 'Rabbit', '2', '45010', '0', '32808', '32462', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('686', 'Rabbit', '0', '45010', '0', '32858', '32464', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('687', 'Rabbit', '2', '45010', '0', '32841', '32481', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('688', 'Rabbit', '0', '45010', '0', '32832', '32490', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('689', 'Rabbit', '2', '45010', '0', '32786', '32510', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('690', 'Rabbit', '0', '45010', '0', '32776', '32504', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('691', 'Rabbit', '2', '45010', '0', '32762', '32489', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('692', 'Rabbit', '0', '45010', '0', '32688', '32494', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('693', 'Rabbit', '2', '45010', '0', '32693', '32477', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('694', 'Rabbit', '0', '45010', '0', '32704', '32402', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('695', 'Rabbit', '2', '45010', '0', '32695', '32380', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('696', 'Rabbit', '0', '45010', '0', '32694', '32328', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('697', 'Rabbit', '2', '45010', '0', '32709', '32310', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('698', 'Rabbit', '0', '45010', '0', '32718', '32290', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('699', 'Rabbit', '2', '45010', '0', '32701', '32258', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('700', 'Rabbit', '0', '45010', '0', '32678', '32281', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('701', 'Rabbit', '2', '45010', '0', '32650', '32294', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('702', 'Rabbit', '0', '45010', '0', '32626', '32309', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('711', 'Rabbit', '2', '45010', '0', '32844', '32646', '0', '0', '0', '0', '0', '0', '7', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('712', 'Rabbit', '0', '45010', '0', '32828', '32626', '0', '0', '0', '0', '0', '0', '6', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('713', 'Rabbit', '2', '45010', '0', '32814', '32634', '0', '0', '0', '0', '0', '0', '5', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('714', 'Rabbit', '0', '45010', '0', '32778', '32643', '0', '0', '0', '0', '0', '0', '1', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('715', 'Rabbit', '2', '45010', '0', '32797', '32639', '0', '0', '0', '0', '0', '0', '1', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('716', 'Rabbit', '0', '45010', '0', '32838', '32639', '0', '0', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('717', 'Rabbit', '2', '45010', '0', '32863', '32692', '0', '0', '0', '0', '0', '0', '5', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('718', 'Rabbit', '0', '45010', '0', '32855', '32708', '0', '0', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('719', 'Rabbit', '2', '45010', '0', '32864', '32738', '0', '0', '0', '0', '0', '0', '5', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('720', 'Rabbit', '0', '45010', '0', '32854', '32721', '0', '0', '0', '0', '0', '0', '7', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('721', 'Rabbit', '2', '45010', '0', '32863', '32707', '0', '0', '0', '0', '0', '0', '1', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('722', 'Rabbit', '0', '45010', '0', '32877', '32668', '0', '0', '0', '0', '0', '0', '7', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('723', 'Rabbit', '2', '45010', '0', '32874', '32635', '0', '0', '0', '0', '0', '0', '1', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('724', 'Rabbit', '0', '45010', '0', '32866', '32620', '0', '0', '0', '0', '0', '0', '1', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('725', 'Rabbit', '2', '45010', '0', '32875', '32611', '0', '0', '0', '0', '0', '0', '7', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('726', 'Rabbit', '0', '45010', '0', '32913', '32598', '0', '0', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('727', 'Rabbit', '2', '45010', '0', '32930', '32636', '0', '0', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('728', 'Rabbit', '0', '45010', '0', '32908', '32629', '0', '0', '0', '0', '0', '0', '5', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('729', 'Rabbit', '2', '45010', '0', '32898', '32625', '0', '0', '0', '0', '0', '0', '5', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('730', 'Rabbit', '0', '45010', '0', '32889', '32645', '0', '0', '0', '0', '0', '0', '5', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('731', 'Rabbit', '2', '45010', '0', '32868', '32641', '0', '0', '0', '0', '0', '0', '7', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('732', 'Rabbit', '0', '45010', '0', '32770', '32776', '0', '0', '0', '0', '0', '0', '1', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('733', 'Rabbit', '2', '45010', '0', '32787', '32768', '0', '0', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('734', 'Rabbit', '0', '45010', '0', '32799', '32763', '0', '0', '0', '0', '0', '0', '1', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('735', 'Rabbit', '2', '45010', '0', '32812', '32754', '0', '0', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('736', 'Rabbit', '0', '45010', '0', '32807', '32778', '0', '0', '0', '0', '0', '0', '5', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('737', 'Rabbit', '2', '45010', '0', '32817', '32726', '0', '0', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('738', 'Rabbit', '0', '45010', '0', '32824', '32728', '0', '0', '0', '0', '0', '0', '4', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('739', 'Rabbit', '2', '45010', '0', '32837', '32752', '0', '0', '0', '0', '0', '0', '5', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('740', 'Rabbit', '0', '45010', '0', '32833', '32754', '0', '0', '0', '0', '0', '0', '6', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('741', 'Rabbit', '2', '45010', '0', '32833', '32753', '0', '0', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('742', 'Rabbit', '0', '45010', '0', '32758', '32765', '0', '0', '0', '0', '0', '0', '6', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('743', 'Rabbit', '2', '45010', '0', '32776', '32756', '0', '0', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('744', 'Rabbit', '0', '45010', '0', '32773', '32722', '0', '0', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('745', 'Rabbit', '2', '45010', '0', '32768', '32709', '0', '0', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('746', 'Rabbit', '0', '45010', '0', '32733', '32707', '0', '0', '0', '0', '0', '0', '7', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('747', 'Rabbit', '2', '45010', '0', '32686', '32712', '0', '0', '0', '0', '0', '0', '5', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('748', 'Rabbit', '0', '45010', '0', '32680', '32724', '0', '0', '0', '0', '0', '0', '5', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('749', 'Rabbit', '2', '45010', '0', '32681', '32729', '0', '0', '0', '0', '0', '0', '7', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('750', 'Rabbit', '0', '45010', '0', '32712', '32774', '0', '0', '0', '0', '0', '0', '7', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('751', 'Rabbit', '2', '45010', '0', '32705', '32757', '0', '0', '0', '0', '0', '0', '1', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('752', 'Rabbit', '0', '45010', '0', '32694', '32776', '0', '0', '0', '0', '0', '0', '4', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('753', 'Rabbit', '2', '45010', '0', '32685', '32793', '0', '0', '0', '0', '0', '0', '5', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('754', 'Rabbit', '0', '45010', '0', '32686', '32812', '0', '0', '0', '0', '0', '0', '2', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('755', 'Rabbit', '2', '45010', '0', '32673', '32837', '0', '0', '0', '0', '0', '0', '4', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('756', 'Rabbit', '0', '45010', '0', '32670', '32848', '0', '0', '0', '0', '0', '0', '6', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('757', 'Rabbit', '2', '45010', '0', '32677', '32857', '0', '0', '0', '0', '0', '0', '2', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('758', 'Rabbit', '0', '45010', '0', '32779', '32857', '0', '0', '0', '0', '0', '0', '1', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('759', 'Rabbit', '2', '45010', '0', '32785', '32869', '0', '0', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('760', 'Rabbit', '0', '45010', '0', '32907', '32853', '0', '0', '0', '0', '0', '0', '5', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('761', 'Rabbit', '2', '45010', '0', '32922', '32846', '0', '0', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('762', 'Rabbit', '0', '45010', '0', '32923', '32829', '0', '0', '0', '0', '0', '0', '7', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('763', 'Rabbit', '2', '45010', '0', '32935', '32817', '0', '0', '0', '0', '0', '0', '2', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('764', 'Rabbit', '0', '45010', '0', '32938', '32803', '0', '0', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('765', 'Rabbit', '2', '45010', '0', '32939', '32787', '0', '0', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('766', 'Rabbit', '0', '45010', '0', '32930', '32786', '0', '0', '0', '0', '0', '0', '6', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('767', 'Rabbit', '2', '45010', '0', '32945', '32798', '0', '0', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('776', 'Rabbit', '0', '45010', '0', '34050', '32272', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('777', 'Rabbit', '2', '45010', '0', '34053', '32278', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('778', 'Rabbit', '0', '45010', '0', '34072', '32277', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('779', 'Rabbit', '2', '45010', '0', '34054', '32310', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('780', 'Rabbit', '0', '45010', '0', '34069', '32311', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('781', 'Rabbit', '2', '45010', '0', '33088', '33452', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('782', 'Rabbit', '0', '45010', '0', '32884', '32790', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('783', 'Rabbit', '2', '45010', '0', '32885', '32783', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('784', 'Rabbit', '0', '45010', '0', '32878', '32781', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('785', 'Rabbit', '2', '45010', '0', '32863', '32815', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('786', 'Rabbit', '0', '45010', '0', '32873', '32811', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('787', 'Rabbit', '2', '45010', '0', '32900', '32795', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('788', 'Rabbit', '0', '45010', '0', '32908', '32775', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('789', 'Rabbit', '2', '45010', '0', '32905', '32758', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('790', 'Rabbit', '0', '45010', '0', '32923', '32754', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('791', 'Rabbit', '2', '45010', '0', '32941', '32788', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('792', 'Rabbit', '0', '45010', '0', '32955', '32786', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('793', 'Rabbit', '2', '45010', '0', '32970', '32783', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('794', 'Rabbit', '0', '45010', '0', '32952', '32823', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('795', 'Rabbit', '2', '45010', '0', '32946', '32828', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('796', 'Rabbit', '0', '45010', '0', '32942', '32841', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('797', 'Rabbit', '2', '45010', '0', '32934', '32857', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('798', 'Rabbit', '0', '45010', '0', '32980', '32880', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('799', 'Rabbit', '2', '45010', '0', '32962', '32902', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('800', 'Rabbit', '0', '45010', '0', '32963', '32995', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801', 'Rabbit', '2', '45010', '0', '32654', '32804', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('802', 'Rabbit', '0', '45010', '0', '32659', '32819', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('803', 'Rabbit', '2', '45010', '0', '32674', '32812', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('804', 'Rabbit', '0', '45010', '0', '32702', '32807', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('805', 'Rabbit', '2', '45010', '0', '32730', '32822', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('806', 'Rabbit', '0', '45010', '0', '32730', '32833', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('807', 'Rabbit', '2', '45010', '0', '32721', '32840', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('808', 'Rabbit', '0', '45010', '0', '32710', '32834', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('809', 'Rabbit', '2', '45010', '0', '32698', '32833', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('810', 'Rabbit', '0', '45010', '0', '32669', '32819', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('811', 'Rabbit', '2', '45010', '0', '32664', '32830', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('812', 'Rabbit', '0', '45010', '0', '32676', '32832', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('813', 'Rabbit', '2', '45010', '0', '32644', '32805', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('814', 'Rabbit', '0', '45010', '0', '32641', '32798', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('815', 'Rabbit', '2', '45010', '0', '32684', '32827', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('816', 'Rabbit', '0', '45010', '0', '32690', '32848', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('817', 'Rabbit', '2', '45010', '0', '32704', '32855', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('818', 'Rabbit', '0', '45010', '0', '32677', '32870', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('819', 'Rabbit', '2', '45010', '0', '32651', '32866', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('820', 'Rabbit', '0', '45010', '0', '32641', '32863', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('821', 'Rabbit', '2', '45010', '0', '32611', '32829', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('822', 'Rabbit', '0', '45010', '0', '32602', '32840', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('823', 'Rabbit', '2', '45010', '0', '32592', '32849', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('824', 'Rabbit', '0', '45010', '0', '32590', '32845', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('825', 'Rabbit', '2', '45010', '0', '32574', '32832', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('826', 'Rabbit', '0', '45010', '0', '32569', '32817', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('827', 'Rabbit', '2', '45010', '0', '32566', '32790', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('828', 'Rabbit', '0', '45010', '0', '32573', '32781', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('829', 'Rabbit', '2', '45010', '0', '32581', '32787', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('830', 'Rabbit', '0', '45010', '0', '32578', '32767', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('831', 'Rabbit', '2', '45010', '0', '32584', '32723', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('832', 'Rabbit', '0', '45010', '0', '32574', '32714', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('833', 'Rabbit', '2', '45010', '0', '32585', '32662', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('834', 'Rabbit', '0', '45010', '0', '32587', '32671', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('835', 'Rabbit', '2', '45010', '0', '32590', '32633', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('836', 'Rabbit', '0', '45010', '0', '32617', '32625', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('837', 'Rabbit', '2', '45010', '0', '32650', '32625', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('838', 'Rabbit', '0', '45010', '0', '32663', '32680', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('839', 'Rabbit', '2', '45010', '0', '32672', '32690', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('840', 'Rabbit', '0', '45010', '0', '32683', '32698', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('841', 'Rabbit', '2', '45010', '0', '32681', '32711', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('842', 'Rabbit', '0', '45010', '0', '32668', '32707', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('843', 'Rabbit', '2', '45010', '0', '32655', '32722', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('844', 'Rabbit', '0', '45010', '0', '32673', '32734', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('845', 'Rabbit', '2', '45010', '0', '32686', '32721', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('846', 'Rabbit', '0', '45010', '0', '32688', '32742', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('847', 'Rabbit', '2', '45010', '0', '32650', '32788', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('848', 'Rabbit', '0', '45010', '0', '32669', '32852', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('849', 'Rabbit', '2', '45010', '0', '32666', '32864', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('850', 'Rabbit', '0', '45010', '0', '32660', '32896', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('851', 'Rabbit', '2', '45010', '0', '32690', '32885', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('852', 'Rabbit', '0', '45010', '0', '32703', '32875', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('853', 'Rabbit', '2', '45010', '0', '32718', '32874', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('854', 'Rabbit', '0', '45010', '0', '32729', '32871', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('855', 'Rabbit', '2', '45010', '0', '32737', '32864', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('856', 'Rabbit', '0', '45010', '0', '32801', '32856', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('857', 'Rabbit', '2', '45010', '0', '32733', '32893', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('858', 'Rabbit', '0', '45010', '0', '32718', '32893', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('859', 'Rabbit', '2', '45010', '0', '32655', '32960', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('860', 'Rabbit', '0', '45010', '0', '32666', '32951', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('861', 'Rabbit', '2', '45010', '0', '32641', '32938', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('862', 'Rabbit', '0', '45010', '0', '32646', '32897', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('863', 'Rabbit', '2', '45010', '0', '32619', '32888', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('864', 'Rabbit', '0', '45010', '0', '32610', '32880', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('865', 'Rabbit', '2', '45010', '0', '32605', '32851', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('866', 'Rabbit', '0', '45010', '0', '33214', '33446', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('867', 'Rabbit', '2', '45010', '0', '33249', '33450', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('868', 'Rabbit', '0', '45010', '0', '33260', '33446', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('869', 'Rabbit', '2', '45010', '0', '33252', '33435', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('870', 'Rabbit', '0', '45010', '0', '33261', '33414', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('871', 'Rabbit', '2', '45010', '0', '33258', '33411', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('872', 'Rabbit', '0', '45010', '0', '33260', '33396', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('873', 'Rabbit', '2', '45010', '0', '33249', '33378', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('874', 'Rabbit', '0', '45010', '0', '33241', '33355', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('875', 'Rabbit', '2', '45010', '0', '33232', '33337', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('876', 'Rabbit', '0', '45010', '0', '33235', '33318', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('877', 'Rabbit', '2', '45010', '0', '33198', '33298', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('878', 'Rabbit', '0', '45010', '0', '33206', '33261', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('879', 'Rabbit', '2', '45010', '0', '33249', '33227', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('880', 'Rabbit', '0', '45010', '0', '33237', '33211', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('881', 'Rabbit', '2', '45010', '0', '33230', '33189', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('882', 'Rabbit', '0', '45010', '0', '33211', '33166', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('883', 'Rabbit', '2', '45010', '0', '33225', '33155', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('884', 'Rabbit', '0', '45010', '0', '33215', '33144', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('885', 'Rabbit', '2', '45010', '0', '33199', '33145', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('886', 'Rabbit', '0', '45010', '0', '33186', '33151', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('887', 'Rabbit', '2', '45010', '0', '33179', '33163', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('888', 'Rabbit', '0', '45010', '0', '33167', '33170', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('889', 'Rabbit', '2', '45010', '0', '33141', '33175', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('890', 'Rabbit', '0', '45010', '0', '33139', '33157', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('891', 'Rabbit', '2', '45010', '0', '33107', '33156', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('892', 'Rabbit', '0', '45010', '0', '33111', '33168', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('893', 'Rabbit', '2', '45010', '0', '33084', '33177', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('894', 'Rabbit', '0', '45010', '0', '33064', '33208', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('895', 'Rabbit', '2', '45010', '0', '33078', '33213', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('896', 'Rabbit', '0', '45010', '0', '33070', '33255', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('897', 'Rabbit', '2', '45010', '0', '33051', '33285', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('898', 'Rabbit', '0', '45010', '0', '33045', '33195', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('899', 'Rabbit', '2', '45010', '0', '33028', '33187', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('900', 'Rabbit', '0', '45010', '0', '33033', '33103', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('901', 'Rabbit', '2', '45010', '0', '33020', '33101', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('902', 'Rabbit', '0', '45010', '0', '33019', '33089', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('903', 'Rabbit', '2', '45010', '0', '32919', '33085', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('904', 'Rabbit', '0', '45010', '0', '32876', '33045', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('905', 'Rabbit', '2', '45012', '0', '33048', '33430', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('906', 'Rabbit', '0', '45012', '0', '32990', '33477', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('907', 'Rabbit', '2', '45012', '0', '33100', '33377', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('908', 'Rabbit', '0', '45012', '0', '33180', '33496', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('909', 'Rabbit', '2', '45012', '0', '33234', '33470', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('910', 'Rabbit', '0', '45012', '0', '33246', '33483', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('911', 'Rabbit', '2', '45012', '0', '33259', '33478', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('912', 'Rabbit', '0', '45012', '0', '33107', '33388', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('913', 'Rabbit', '2', '45012', '0', '33671', '33225', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('914', 'Rabbit', '0', '45012', '0', '33988', '33246', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('915', 'Rabbit', '2', '45012', '0', '33960', '33262', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('916', 'Rabbit', '0', '45012', '0', '33965', '33277', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('917', 'Rabbit', '2', '45012', '0', '33924', '33339', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('918', 'Rabbit', '0', '45012', '0', '33930', '33352', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('919', 'Rabbit', '2', '45012', '0', '33945', '33362', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('920', 'Rabbit', '0', '45012', '0', '33876', '33332', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('921', 'Rabbit', '2', '45012', '0', '33912', '33248', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('922', 'Rabbit', '0', '45012', '0', '33947', '33247', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('923', 'Rabbit', '2', '45012', '0', '33966', '33235', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('924', 'Rabbit', '0', '45012', '0', '33965', '33212', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('925', 'Rabbit', '2', '45012', '0', '33965', '33195', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('926', 'Rabbit', '0', '45012', '0', '33963', '33171', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('927', 'Rabbit', '2', '45012', '0', '33991', '33170', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('928', 'Rabbit', '0', '45012', '0', '34005', '33158', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('929', 'Rabbit', '2', '45012', '0', '34069', '33133', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('930', 'Rabbit', '0', '45012', '0', '34098', '33134', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('931', 'Rabbit', '2', '45012', '0', '34096', '33161', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('932', 'Rabbit', '0', '45012', '0', '34075', '33154', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('933', 'Rabbit', '2', '45012', '0', '33430', '32798', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('934', 'Rabbit', '0', '45012', '0', '33420', '32833', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('935', 'Rabbit', '2', '45012', '0', '33413', '32816', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('936', 'Rabbit', '0', '45012', '0', '33397', '32750', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('937', 'Rabbit', '2', '45012', '0', '33421', '32743', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('938', 'Rabbit', '0', '45012', '0', '33455', '32705', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('939', 'Rabbit', '2', '45012', '0', '33470', '32698', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('940', 'Rabbit', '0', '45012', '0', '33490', '32687', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('941', 'Rabbit', '2', '45012', '0', '33466', '32664', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('942', 'Rabbit', '0', '45012', '0', '33394', '32663', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('943', 'Rabbit', '2', '45012', '0', '33352', '32686', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('944', 'Rabbit', '0', '45012', '0', '33479', '32801', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('945', 'Rabbit', '2', '45012', '0', '33490', '32803', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('946', 'Rabbit', '0', '45012', '0', '33062', '32761', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('947', 'Rabbit', '2', '45012', '0', '33062', '32743', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('948', 'Rabbit', '0', '45012', '0', '33065', '32789', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('949', 'Rabbit', '2', '45012', '0', '33060', '32804', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('950', 'Rabbit', '0', '45012', '0', '33075', '32796', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('951', 'Rabbit', '2', '45012', '0', '32742', '32447', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('975', 'Rabbit', '2', '45012', '0', '33052', '33352', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('976', 'Rabbit', '0', '45012', '0', '32704', '32869', '0', '0', '0', '0', '0', '0', '2', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('977', 'Rabbit', '2', '45012', '0', '32725', '32888', '0', '0', '0', '0', '0', '0', '1', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('978', 'Rabbit', '0', '45012', '0', '32680', '32854', '0', '0', '0', '0', '0', '0', '5', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('979', 'Rabbit', '2', '45012', '0', '32663', '32864', '0', '0', '0', '0', '0', '0', '5', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('980', 'Rabbit', '0', '45012', '0', '32652', '32848', '0', '0', '0', '0', '0', '0', '3', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('981', 'Rabbit', '2', '45012', '0', '32679', '32869', '0', '0', '0', '0', '0', '0', '5', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('982', 'Rabbit', '0', '45012', '0', '32678', '32896', '0', '0', '0', '0', '0', '0', '1', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('983', 'Rabbit', '2', '45012', '0', '32579', '32338', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('984', 'Rabbit', '0', '45012', '0', '32626', '32484', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('985', 'Rabbit', '2', '45012', '0', '32636', '32472', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('986', 'Rabbit', '0', '45012', '0', '32652', '32496', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('987', 'Rabbit', '2', '45012', '0', '32715', '32416', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('988', 'Rabbit', '0', '45012', '0', '32762', '32370', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('989', 'Rabbit', '2', '45012', '0', '32798', '32517', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('990', 'Rabbit', '0', '45012', '0', '32760', '32482', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('991', 'Rabbit', '2', '45012', '0', '32738', '32514', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('992', 'Rabbit', '0', '45012', '0', '32708', '32366', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('993', 'Rabbit', '2', '45012', '0', '32842', '32661', '0', '0', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('994', 'Rabbit', '0', '45012', '0', '32865', '32652', '0', '0', '0', '0', '0', '0', '7', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('995', 'Rabbit', '2', '45012', '0', '32778', '32760', '0', '0', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('996', 'Rabbit', '0', '45012', '0', '32793', '32780', '0', '0', '0', '0', '0', '0', '6', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('997', 'Rabbit', '2', '45012', '0', '32792', '32770', '0', '0', '0', '0', '0', '0', '1', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('998', 'Rabbit', '0', '45012', '0', '32812', '32741', '0', '0', '0', '0', '0', '0', '1', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('999', 'Rabbit', '2', '45012', '0', '32835', '32744', '0', '0', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1000', 'Rabbit', '0', '45012', '0', '32839', '32750', '0', '0', '0', '0', '0', '0', '5', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1001', 'Rabbit', '2', '45012', '0', '32754', '32760', '0', '0', '0', '0', '0', '0', '2', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1002', 'Rabbit', '0', '45012', '0', '32749', '32766', '0', '0', '0', '0', '0', '0', '6', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1003', 'Rabbit', '2', '45012', '0', '32763', '32740', '0', '0', '0', '0', '0', '0', '7', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1004', 'Rabbit', '0', '45012', '0', '32726', '32694', '0', '0', '0', '0', '0', '0', '1', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1005', 'Rabbit', '2', '45012', '0', '32734', '32681', '0', '0', '0', '0', '0', '0', '7', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1006', 'Rabbit', '0', '45012', '0', '32718', '32685', '0', '0', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1007', 'Rabbit', '2', '45012', '0', '32700', '32686', '0', '0', '0', '0', '0', '0', '5', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1008', 'Rabbit', '0', '45012', '0', '32686', '32685', '0', '0', '0', '0', '0', '0', '5', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1009', 'Rabbit', '2', '45012', '0', '32718', '32851', '0', '0', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1010', 'Rabbit', '0', '45012', '0', '32752', '32859', '0', '0', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1019', 'Rabbit', '2', '45012', '0', '32872', '32801', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1020', 'Rabbit', '0', '45012', '0', '32678', '32841', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1021', 'Rabbit', '2', '45012', '0', '32680', '32849', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1022', 'Rabbit', '0', '45012', '0', '32583', '32709', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1023', 'Rabbit', '2', '45012', '0', '32595', '32704', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1024', 'Rabbit', '0', '45012', '0', '32659', '32784', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1025', 'Rabbit', '2', '45012', '0', '32712', '32883', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1026', 'Rabbit', '0', '45012', '0', '33264', '33435', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1027', 'Rabbit', '2', '45012', '0', '33251', '33352', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1028', 'Rabbit', '0', '45012', '0', '33235', '33244', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1029', 'Rabbit', '2', '45012', '0', '33014', '33293', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1030', 'Rabbit', '0', '45012', '0', '33004', '33289', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1031', 'Rabbit', '2', '45012', '0', '33025', '33263', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1032', 'Rabbit', '0', '45012', '0', '33027', '33229', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1033', 'Rabbit', '2', '45012', '0', '33021', '33169', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1034', 'Rabbit', '0', '45012', '0', '32905', '33081', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1035', 'Duck', '2', '45015', '0', '33599', '33237', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1036', 'Duck', '0', '45015', '0', '33599', '33236', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1037', 'Duck', '2', '45015', '0', '33619', '33242', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1038', 'Duck', '0', '45015', '0', '33608', '33260', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1039', 'Duck', '2', '45015', '0', '33575', '33278', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1040', 'Duck', '0', '45015', '0', '33558', '33295', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1041', 'Duck', '2', '45015', '0', '33551', '33279', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1042', 'Duck', '0', '45015', '0', '33548', '33264', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1043', 'Duck', '2', '45015', '0', '33548', '33240', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1044', 'Duck', '0', '45015', '0', '33579', '33219', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1045', 'Duck', '2', '45015', '0', '33594', '33200', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1046', 'Duck', '0', '45015', '0', '33596', '33177', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1047', 'Duck', '2', '45015', '0', '33623', '33164', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1048', 'Duck', '0', '45015', '0', '33615', '33185', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1049', 'Duck', '2', '45015', '0', '33640', '33181', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1051', 'Kobold', '2', '45016', '0', '33088', '33290', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1052', 'Kobold', '0', '45016', '0', '33064', '33333', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1053', 'Kobold', '2', '45016', '0', '33059', '33354', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1054', 'Kobold', '0', '45016', '0', '33085', '33345', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1055', 'Kobold', '2', '45016', '0', '33053', '33313', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1056', 'Kobold', '0', '45016', '0', '32862', '33071', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1057', 'Kobold', '2', '45016', '0', '32901', '33107', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1058', 'Kobold', '0', '45016', '0', '32957', '33114', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1059', 'Kobold', '2', '45016', '0', '32985', '33134', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1060', 'Kobold', '0', '45016', '0', '32990', '33177', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1061', 'Kobold', '2', '45016', '0', '33022', '33239', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1062', 'Kobold', '0', '45016', '0', '33022', '33174', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1063', 'Kobold', '2', '45016', '0', '32735', '32861', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1064', 'Kobold', '0', '45016', '0', '32768', '32843', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1065', 'Kobold', '2', '45016', '0', '32688', '32864', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1066', 'Kobold', '0', '45016', '0', '32681', '32694', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1067', 'Kobold', '2', '45016', '0', '32685', '32674', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1068', 'Kobold', '0', '45016', '0', '32736', '32660', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1069', 'Kobold', '2', '45016', '0', '32867', '32700', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1070', 'Kobold', '0', '45016', '0', '32864', '32639', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1071', 'Kobold', '2', '45016', '0', '32825', '32680', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1072', 'Kobold', '0', '45016', '0', '32815', '32650', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1073', 'Kobold', '2', '45016', '0', '32822', '32625', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1074', 'Kobold', '0', '45016', '0', '32794', '32648', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1075', 'Kobold', '2', '45016', '0', '32762', '32681', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1078', 'Orc Archer', '0', '45019', '0', '33006', '33480', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1079', 'Orc Archer', '2', '45019', '0', '33003', '33453', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1080', 'Orc Archer', '0', '45019', '0', '33016', '33433', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1081', 'Orc Archer', '2', '45019', '0', '33037', '33409', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1082', 'Orc Archer', '0', '45019', '0', '33065', '33303', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1083', 'Orc Archer', '2', '45019', '0', '33049', '33335', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1084', 'Orc Archer', '0', '45019', '0', '33062', '33284', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1085', 'Orc Archer', '2', '45019', '0', '33059', '33255', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1086', 'Orc Archer', '0', '45019', '0', '33077', '33252', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1087', 'Orc Archer', '2', '45019', '0', '33066', '33218', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1088', 'Orc Archer', '0', '45019', '0', '33075', '33186', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1089', 'Orc Archer', '2', '45019', '0', '32710', '33226', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1090', 'Orc Archer', '0', '45019', '0', '32758', '33236', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1091', 'Orc Archer', '2', '45019', '0', '32782', '33265', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1092', 'Orc Archer', '0', '45019', '0', '32760', '33311', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1093', 'Orc Archer', '2', '45019', '0', '32703', '33260', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1094', 'Orc Archer', '0', '45019', '0', '32677', '33196', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1095', 'Orc Archer', '2', '45019', '0', '32848', '33064', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1096', 'Orc Archer', '0', '45019', '0', '32882', '33052', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1097', 'Orc Archer', '2', '45019', '0', '32916', '33100', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1098', 'Orc Archer', '0', '45019', '0', '32887', '33084', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1099', 'Orc Archer', '2', '45019', '0', '32924', '33110', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1100', 'Orc Archer', '0', '45019', '0', '32947', '33118', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1101', 'Orc Archer', '2', '45019', '0', '32974', '33136', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1102', 'Orc Archer', '0', '45019', '0', '32996', '33144', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1103', 'Orc Archer', '2', '45019', '0', '33012', '33177', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1104', 'Orc Archer', '0', '45019', '0', '33040', '33196', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1105', 'Orc Archer', '2', '45019', '0', '33034', '33224', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1106', 'Orc Archer', '0', '45019', '0', '33026', '33165', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1107', 'Orc Archer', '2', '45019', '0', '32989', '33151', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1108', 'Orc Archer', '0', '45019', '0', '32780', '33341', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1109', 'Orc Archer', '2', '45019', '0', '32746', '33313', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1110', 'Orc Archer', '0', '45019', '0', '32705', '33283', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1111', 'Orc Archer', '2', '45019', '0', '32647', '33236', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1112', 'Orc Archer', '0', '45019', '0', '33181', '33086', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1113', 'Orc Archer', '2', '45019', '0', '33216', '33080', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1114', 'Orc Archer', '0', '45019', '0', '33226', '33057', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1115', 'Orc Archer', '2', '45019', '0', '33207', '33034', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1116', 'Orc Archer', '0', '45019', '0', '33163', '33068', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1117', 'Orc Archer', '2', '45019', '0', '33172', '33084', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1118', 'Orc Archer', '0', '45019', '0', '33198', '33080', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1119', 'Orc Archer', '2', '45019', '0', '33209', '33061', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1120', 'Orc Archer', '0', '45019', '0', '33144', '33057', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1121', 'Orc Archer', '2', '45019', '0', '33094', '33041', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1122', 'Orc Archer', '0', '45019', '0', '33100', '33007', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1123', 'Orc Archer', '2', '45019', '0', '33067', '32981', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1124', 'Orc Archer', '0', '45019', '0', '33039', '32996', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1125', 'Orc Archer', '2', '45019', '0', '33064', '33025', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1126', 'Orc Archer', '0', '45019', '0', '33018', '33017', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1172', 'Orc Archer', '0', '45019', '0', '33036', '33426', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1173', 'Orc Archer', '2', '45019', '0', '33033', '33450', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1174', 'Orc Archer', '0', '45019', '0', '33010', '33408', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1175', 'Orc Archer', '2', '45019', '0', '33042', '33382', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1176', 'Orc Archer', '0', '45019', '0', '33010', '33389', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1177', 'Orc Archer', '2', '45019', '0', '33006', '33407', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1178', 'Orc Archer', '0', '45019', '0', '32992', '33439', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1179', 'Orc Archer', '2', '45019', '0', '32995', '33452', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1180', 'Orc Archer', '0', '45019', '0', '32981', '33458', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1181', 'Orc Archer', '2', '45019', '0', '32964', '33436', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1182', 'Orc Archer', '0', '45019', '0', '32969', '33419', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1183', 'Orc Archer', '2', '45019', '0', '32949', '33404', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1184', 'Orc Archer', '0', '45019', '0', '32949', '33371', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1185', 'Orc Archer', '2', '45019', '0', '32969', '33395', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1186', 'Orc Archer', '0', '45019', '0', '32983', '33391', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1187', 'Orc Archer', '2', '45019', '0', '33003', '33387', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1188', 'Orc Archer', '0', '45019', '0', '33017', '33367', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1189', 'Orc Archer', '2', '45019', '0', '32991', '33353', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1190', 'Orc Archer', '0', '45019', '0', '32975', '33343', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1191', 'Orc Archer', '2', '45019', '0', '32988', '33380', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1192', 'Orc Archer', '0', '45019', '0', '33025', '33401', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1193', 'Orc Archer', '2', '45019', '0', '33027', '33459', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1194', 'Orc Archer', '0', '45019', '0', '33067', '33465', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1195', 'Orc Archer', '2', '45019', '0', '33043', '33480', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1196', 'Orc Archer', '0', '45019', '0', '33010', '33490', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1197', 'Orc Archer', '2', '45019', '0', '33087', '33481', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1198', 'Orc Archer', '0', '45019', '0', '33242', '33475', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1199', 'Orc Archer', '2', '45019', '0', '33269', '33458', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1200', 'Orc Archer', '0', '45019', '0', '33231', '33423', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1201', 'Orc Archer', '2', '45019', '0', '33195', '33417', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1202', 'Orc Archer', '0', '45019', '0', '33195', '33467', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1203', 'Orc Archer', '2', '45019', '0', '33171', '33441', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1204', 'Orc Archer', '0', '45019', '0', '33112', '33427', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1205', 'Orc Archer', '2', '45019', '0', '33120', '33472', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1206', 'Orc Archer', '0', '45019', '0', '33159', '33469', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1207', 'Orc Archer', '2', '45019', '0', '33182', '33459', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1208', 'Orc Archer', '0', '45019', '0', '33172', '33435', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1209', 'Orc Archer', '2', '45019', '0', '33144', '33393', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1210', 'Orc Archer', '0', '45019', '0', '33177', '33352', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1211', 'Orc Archer', '2', '45019', '0', '33202', '33311', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1212', 'Orc Archer', '0', '45019', '0', '33237', '33325', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1213', 'Orc Archer', '2', '45019', '0', '33230', '33356', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1214', 'Orc Archer', '0', '45019', '0', '33253', '33406', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1215', 'Orc Archer', '2', '45019', '0', '33230', '33461', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1216', 'Orc Archer', '0', '45019', '0', '33198', '33459', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1217', 'Orc Archer', '2', '45019', '0', '33121', '33444', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1218', 'Orc Archer', '0', '45019', '0', '33078', '33498', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1219', 'Orc Archer', '2', '45019', '0', '33099', '33169', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1220', 'Orc Archer', '0', '45019', '0', '33088', '33220', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1221', 'Orc Archer', '2', '45019', '0', '33060', '33238', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1222', 'Orc Archer', '0', '45019', '0', '33213', '33387', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1223', 'Orc Archer', '2', '45019', '0', '33174', '33365', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1224', 'Orc Archer', '0', '45019', '0', '33067', '33259', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1225', 'Orc Archer', '2', '45019', '0', '33120', '33260', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1226', 'Orc Archer', '0', '45019', '0', '33174', '33247', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1227', 'Orc Archer', '2', '45019', '0', '33219', '33233', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1228', 'Orc Archer', '0', '45019', '0', '33163', '33210', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1229', 'Orc Archer', '2', '45019', '0', '33158', '33166', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1230', 'Orc Archer', '0', '45019', '0', '33145', '33169', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1231', 'Orc Archer', '2', '45019', '0', '33112', '33212', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1232', 'Orc Archer', '0', '45019', '0', '33100', '33256', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1233', 'Orc Archer', '2', '45019', '0', '33177', '33386', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1234', 'Orc Archer', '0', '45019', '0', '33136', '33417', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1235', 'Orc Archer', '2', '45019', '0', '32724', '32848', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1236', 'Orc Archer', '0', '45019', '0', '32752', '32865', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1237', 'Orc Archer', '2', '45019', '0', '32773', '32867', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1238', 'Orc Archer', '0', '45019', '0', '32669', '32728', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1239', 'Orc Archer', '2', '45019', '0', '32699', '32693', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1240', 'Orc Archer', '0', '45019', '0', '32681', '32643', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1241', 'Orc Archer', '2', '45019', '0', '32723', '32647', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1242', 'Orc Archer', '0', '45019', '0', '32843', '32698', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1243', 'Orc Archer', '2', '45019', '0', '32874', '32712', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1244', 'Orc Archer', '0', '45019', '0', '32877', '32662', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1245', 'Orc Archer', '2', '45019', '0', '32850', '32633', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1246', 'Orc Archer', '0', '45019', '0', '32821', '32665', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1247', 'Orc Archer', '2', '45019', '0', '32776', '32647', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1248', 'Orc Archer', '0', '45019', '0', '32822', '32646', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1249', 'Orc Archer', '2', '45019', '0', '32776', '32704', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1250', 'Orc Archer', '0', '45019', '0', '32650', '32978', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1251', 'Orc Archer', '2', '45019', '0', '32649', '33001', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1252', 'Orc Archer', '0', '45019', '0', '32635', '32975', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1253', 'Orc Archer', '2', '45019', '0', '32618', '32995', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1254', 'Orc Archer', '0', '45019', '0', '32573', '32971', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1255', 'Deer', '2', '45021', '0', '32747', '32735', '0', '0', '0', '0', '0', '0', '2', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1256', 'Deer', '0', '45021', '0', '32912', '32837', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1257', 'Deer', '2', '45021', '0', '32898', '32813', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1258', 'Deer', '0', '45021', '0', '32865', '32788', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1259', 'Deer', '2', '45021', '0', '32949', '32870', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1260', 'Deer', '0', '45021', '0', '32971', '32866', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1261', 'Deer', '2', '45021', '0', '32947', '32942', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1262', 'Deer', '0', '45021', '0', '32958', '32968', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1263', 'Deer', '2', '45021', '0', '32646', '32784', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1264', 'Deer', '0', '45021', '0', '32685', '32797', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1265', 'Deer', '2', '45021', '0', '32709', '32818', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1266', 'Deer', '0', '45021', '0', '32723', '32815', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1267', 'Deer', '2', '45021', '0', '32683', '32827', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1268', 'Deer', '0', '45021', '0', '32659', '32841', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1269', 'Deer', '2', '45021', '0', '32646', '32830', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1270', 'Deer', '0', '45021', '0', '32644', '32817', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1271', 'Deer', '2', '45021', '0', '32659', '32800', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1272', 'Deer', '0', '45021', '0', '32710', '32861', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1273', 'Deer', '2', '45021', '0', '32701', '32871', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1274', 'Deer', '0', '45021', '0', '32685', '32876', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1275', 'Deer', '2', '45021', '0', '32662', '32867', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1276', 'Deer', '0', '45021', '0', '32642', '32846', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1277', 'Deer', '2', '45021', '0', '32629', '32845', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1278', 'Deer', '0', '45021', '0', '32615', '32840', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1279', 'Deer', '2', '45021', '0', '32581', '32836', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1280', 'Deer', '0', '45021', '0', '32566', '32808', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1281', 'Deer', '2', '45021', '0', '32557', '32815', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1282', 'Deer', '0', '45021', '0', '32547', '32803', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1283', 'Deer', '2', '45021', '0', '32553', '32788', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1284', 'Deer', '0', '45021', '0', '32585', '32757', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1285', 'Deer', '2', '45021', '0', '32561', '32764', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1286', 'Deer', '0', '45021', '0', '32564', '32749', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1287', 'Deer', '2', '45021', '0', '32576', '32734', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1288', 'Deer', '0', '45021', '0', '32592', '32690', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1289', 'Deer', '2', '45021', '0', '32582', '32679', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1290', 'Deer', '0', '45021', '0', '32570', '32654', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1291', 'Deer', '2', '45021', '0', '32610', '32641', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1292', 'Deer', '0', '45021', '0', '32634', '32635', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1293', 'Deer', '2', '45021', '0', '32665', '32631', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1294', 'Deer', '0', '45021', '0', '32658', '32665', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1295', 'Deer', '2', '45021', '0', '32656', '32701', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1296', 'Deer', '0', '45021', '0', '32643', '32708', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1297', 'Deer', '2', '45021', '0', '32661', '32728', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1298', 'Deer', '0', '45021', '0', '32688', '32755', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1299', 'Deer', '2', '45021', '0', '32674', '32769', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1300', 'Deer', '0', '45021', '0', '32657', '32888', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1301', 'Deer', '2', '45021', '0', '32675', '32893', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1302', 'Deer', '0', '45021', '0', '32740', '32846', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1303', 'Deer', '2', '45021', '0', '32759', '32840', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1304', 'Deer', '0', '45021', '0', '32775', '32837', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1305', 'Deer', '2', '45021', '0', '32787', '32855', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1306', 'Deer', '0', '45021', '0', '32795', '32870', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1307', 'Deer', '2', '45021', '0', '32777', '32881', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1308', 'Deer', '0', '45021', '0', '32756', '32896', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1309', 'Deer', '2', '45021', '0', '32700', '32910', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1310', 'Deer', '0', '45021', '0', '32683', '32945', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1311', 'Deer', '2', '45021', '0', '32698', '32961', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1312', 'Deer', '0', '45021', '0', '32673', '32984', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1313', 'Deer', '2', '45021', '0', '32661', '32935', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1314', 'Deer', '0', '45021', '0', '32635', '32918', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1315', 'Deer', '2', '45021', '0', '32634', '32893', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1316', 'Deer', '0', '45021', '0', '32617', '32864', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1317', 'Deer', '2', '45021', '0', '32595', '32919', '0', '0', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1318', 'Deer', '0', '45021', '0', '32611', '32892', '0', '0', '0', '0', '0', '0', '1', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1319', 'Deer', '2', '45021', '0', '32626', '32857', '0', '0', '0', '0', '0', '0', '7', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1320', 'Deer', '0', '45021', '0', '32616', '32841', '0', '0', '0', '0', '0', '0', '1', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1321', 'Deer', '2', '45021', '0', '32593', '32836', '0', '0', '0', '0', '0', '0', '5', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1322', 'Deer', '0', '45021', '0', '32565', '32786', '0', '0', '0', '0', '0', '0', '1', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1323', 'Deer', '2', '45021', '0', '32548', '32774', '0', '0', '0', '0', '0', '0', '3', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1324', 'Deer', '0', '45021', '0', '32740', '32770', '0', '0', '0', '0', '0', '0', '3', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1325', 'Deer', '2', '45021', '0', '33155', '33426', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1326', 'Deer', '0', '45021', '0', '33178', '33421', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1327', 'Deer', '2', '45021', '0', '33214', '33317', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1328', 'Deer', '0', '45021', '0', '33205', '33278', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1329', 'Deer', '2', '45021', '0', '33217', '33179', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1330', 'Deer', '0', '45021', '0', '33122', '33151', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1331', 'Deer', '2', '45021', '0', '33105', '33178', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1332', 'Deer', '0', '45021', '0', '33068', '33190', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1333', 'Deer', '2', '45021', '0', '33090', '33225', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1334', 'Deer', '0', '45021', '0', '33032', '33287', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1335', 'Deer', '2', '45021', '0', '33007', '33276', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1336', 'Deer', '0', '45021', '0', '33032', '33246', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1337', 'Deer', '2', '45021', '0', '33038', '33216', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1338', 'Deer', '0', '45021', '0', '33032', '33139', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1339', 'Deer', '2', '45021', '0', '33030', '33118', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1340', 'Deer', '0', '45021', '0', '32998', '33091', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1341', 'Deer', '2', '45021', '0', '32985', '33092', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1342', 'Deer', '0', '45021', '0', '32971', '33088', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1343', 'Deer', '2', '45021', '0', '32956', '33100', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1344', 'Deer', '0', '45021', '0', '32963', '33114', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1345', 'Deer', '2', '45021', '0', '32955', '33125', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1346', 'Deer', '0', '45021', '0', '32932', '33100', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1347', 'Deer', '2', '45021', '0', '32894', '33070', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1348', 'Deer', '0', '45021', '0', '32877', '33066', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1349', 'Deer', '2', '45021', '0', '32892', '33029', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1350', 'Deer', '0', '45021', '0', '32914', '33019', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1351', 'Deer', '2', '45021', '0', '32672', '32819', '3', '3', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1352', 'Deer', '0', '45021', '0', '32569', '32909', '3', '3', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1353', 'Deer', '2', '45021', '0', '32600', '32917', '3', '3', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1354', 'Deer', '0', '45021', '0', '33074', '33361', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1355', 'Deer', '2', '45021', '0', '33054', '33349', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1356', 'Deer', '0', '45021', '0', '33073', '33325', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1357', 'Deer', '2', '45021', '0', '33072', '33303', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1358', 'Deer', '0', '45021', '0', '33066', '33278', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1359', 'Deer', '2', '45021', '0', '33092', '33274', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1360', 'Deer', '0', '45021', '0', '33111', '33277', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1361', 'Deer', '2', '45021', '0', '33140', '33292', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1362', 'Deer', '0', '45021', '0', '33150', '33312', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1363', 'Deer', '2', '45021', '0', '33192', '33316', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1364', 'Deer', '0', '45021', '0', '33169', '33410', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1365', 'Deer', '2', '45021', '0', '33189', '33445', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1366', 'Deer', '0', '45021', '0', '33197', '33450', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1367', 'Deer', '2', '45021', '0', '33215', '33443', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1368', 'Deer', '0', '45021', '0', '33232', '33457', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1369', 'Deer', '2', '45021', '0', '33255', '33459', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1370', 'Deer', '0', '45021', '0', '33265', '33476', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1371', 'Deer', '2', '45021', '0', '33291', '33456', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1372', 'Deer', '0', '45021', '0', '33268', '33438', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1373', 'Deer', '2', '45021', '0', '33061', '33427', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1374', 'Deer', '0', '45021', '0', '33073', '33458', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1375', 'Deer', '2', '45021', '0', '33021', '33473', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1376', 'Deer', '0', '45021', '0', '32996', '33491', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1377', 'Deer', '2', '45021', '0', '32951', '33457', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1378', 'Deer', '0', '45021', '0', '32946', '33416', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1379', 'Deer', '2', '45021', '0', '32925', '33393', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1380', 'Deer', '0', '45021', '0', '32956', '33373', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1381', 'Deer', '2', '45021', '0', '33024', '33345', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1382', 'Deer', '0', '45021', '0', '33045', '33326', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1383', 'Deer', '2', '45021', '0', '33090', '33322', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1384', 'Deer', '0', '45021', '0', '33129', '33344', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1385', 'Deer', '2', '45021', '0', '33152', '33351', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1386', 'Deer', '0', '45021', '0', '33189', '33406', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1387', 'Deer', '2', '45021', '0', '33186', '33459', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1388', 'Deer', '0', '45021', '0', '33176', '33469', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1389', 'Deer', '2', '45021', '0', '33208', '33480', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1390', 'Deer', '0', '45021', '0', '33230', '33368', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1391', 'Deer', '2', '45021', '0', '33193', '33239', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1392', 'Deer', '0', '45021', '0', '33177', '33146', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1393', 'Deer', '2', '45021', '0', '33154', '33169', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1394', 'Deer', '0', '45021', '0', '33151', '33186', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1395', 'Deer', '2', '45021', '0', '33103', '33214', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1396', 'Deer', '0', '45021', '0', '33089', '33239', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1397', 'Deer', '2', '45021', '0', '33681', '33183', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1398', 'Deer', '0', '45021', '0', '33699', '33189', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1399', 'Deer', '2', '45021', '0', '33689', '33218', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1400', 'Deer', '0', '45021', '0', '33664', '33225', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1401', 'Deer', '2', '45021', '0', '33721', '33266', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1402', 'Deer', '0', '45021', '0', '33730', '33243', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1403', 'Deer', '2', '45021', '0', '33745', '33259', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1404', 'Deer', '0', '45021', '0', '33758', '33274', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1405', 'Deer', '2', '45021', '0', '33766', '33295', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1406', 'Deer', '0', '45021', '0', '33754', '33346', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1407', 'Deer', '2', '45021', '0', '33776', '33360', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1408', 'Deer', '0', '45021', '0', '33794', '33344', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1409', 'Deer', '2', '45021', '0', '33828', '33346', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1410', 'Deer', '0', '45021', '0', '33845', '33362', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1411', 'Deer', '2', '45021', '0', '33830', '33399', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1412', 'Deer', '0', '45021', '0', '33812', '33426', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1413', 'Deer', '2', '45021', '0', '33853', '33459', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1414', 'Deer', '0', '45021', '0', '33860', '33438', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1415', 'Deer', '2', '45021', '0', '33841', '33404', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1416', 'Deer', '0', '45021', '0', '33880', '33317', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1417', 'Deer', '2', '45021', '0', '33841', '33299', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1418', 'Deer', '0', '45021', '0', '33904', '33304', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1419', 'Deer', '2', '45021', '0', '33320', '32686', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1420', 'Deer', '0', '45021', '0', '33310', '32715', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1421', 'Deer', '2', '45021', '0', '33330', '32751', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1422', 'Deer', '0', '45021', '0', '33301', '32756', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1423', 'Deer', '2', '45021', '0', '33517', '32784', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1424', 'Deer', '0', '45021', '0', '33535', '32794', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1425', 'Deer', '2', '45021', '0', '32703', '32445', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1465', 'Deer', '2', '45021', '0', '32651', '33226', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1466', 'Deer', '0', '45021', '0', '32656', '33248', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1467', 'Deer', '2', '45021', '0', '32681', '33245', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1468', 'Deer', '0', '45021', '0', '32690', '33224', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1469', 'Deer', '2', '45021', '0', '32685', '33211', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1470', 'Deer', '0', '45021', '0', '32692', '33196', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1471', 'Deer', '2', '45021', '0', '32681', '33176', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1472', 'Deer', '0', '45021', '0', '32669', '33154', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1473', 'Deer', '2', '45021', '0', '32658', '33169', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1474', 'Deer', '0', '45021', '0', '32644', '33143', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1475', 'Deer', '2', '45021', '0', '32642', '33115', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1476', 'Deer', '0', '45021', '0', '32662', '33113', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1477', 'Deer', '2', '45021', '0', '32644', '33096', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1478', 'Deer', '0', '45021', '0', '32630', '33084', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1479', 'Deer', '2', '45021', '0', '32612', '33077', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1480', 'Deer', '0', '45021', '0', '32573', '33078', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1481', 'Deer', '2', '45021', '0', '32551', '33077', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1482', 'Deer', '0', '45021', '0', '32551', '33098', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1483', 'Deer', '2', '45021', '0', '32577', '33104', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1484', 'Deer', '0', '45021', '0', '32597', '33122', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1485', 'Deer', '2', '45021', '0', '32614', '33150', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1486', 'Deer', '0', '45021', '0', '33051', '33448', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1487', 'Deer', '2', '45021', '0', '33016', '33461', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1488', 'Deer', '0', '45021', '0', '32969', '33486', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1489', 'Deer', '2', '45021', '0', '32947', '33483', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1490', 'Deer', '0', '45021', '0', '32930', '33446', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1491', 'Deer', '2', '45021', '0', '32899', '33473', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1492', 'Deer', '0', '45021', '0', '32868', '33467', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1493', 'Deer', '2', '45021', '0', '32835', '33430', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1494', 'Deer', '0', '45021', '0', '32801', '33443', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1495', 'Deer', '2', '45021', '0', '32789', '33479', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1496', 'Deer', '0', '45021', '0', '32815', '33485', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1497', 'Deer', '2', '45021', '0', '32835', '33472', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1498', 'Deer', '0', '45021', '0', '32690', '32470', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1499', 'Deer', '2', '45021', '0', '32645', '32463', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1500', 'Deer', '0', '45021', '0', '32675', '32382', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1501', 'Deer', '2', '45021', '0', '32646', '32368', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1502', 'Deer', '0', '45021', '0', '32622', '32376', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1503', 'Deer', '2', '45021', '0', '32556', '32329', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1504', 'Deer', '0', '45021', '0', '32554', '32285', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1505', 'Deer', '2', '45021', '0', '32579', '32250', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1506', 'Deer', '0', '45021', '0', '32589', '32268', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1507', 'Deer', '2', '45021', '0', '32563', '32392', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1508', 'Deer', '0', '45021', '0', '32578', '32394', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1509', 'Deer', '2', '45021', '0', '32651', '32473', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1510', 'Deer', '0', '45021', '0', '32680', '32511', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1511', 'Deer', '2', '45021', '0', '32732', '32394', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1512', 'Deer', '0', '45021', '0', '32770', '32349', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1513', 'Deer', '2', '45021', '0', '32772', '32328', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1514', 'Deer', '0', '45021', '0', '32819', '32348', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1515', 'Deer', '2', '45021', '0', '32851', '32378', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1516', 'Deer', '0', '45021', '0', '32855', '32406', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1517', 'Deer', '2', '45021', '0', '32789', '32442', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1518', 'Deer', '0', '45021', '0', '32779', '32451', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1519', 'Deer', '2', '45021', '0', '32782', '32481', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1520', 'Deer', '0', '45021', '0', '32836', '32454', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1521', 'Deer', '2', '45021', '0', '32814', '32506', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1522', 'Deer', '0', '45021', '0', '32699', '32509', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1523', 'Deer', '2', '45021', '0', '32707', '32347', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1524', 'Deer', '0', '45021', '0', '32745', '32293', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1525', 'Deer', '2', '45021', '0', '32724', '32267', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1526', 'Deer', '0', '45021', '0', '32610', '32310', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1527', 'Deer', '2', '45021', '0', '32622', '32322', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1528', 'Deer', '0', '45021', '0', '32618', '32349', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1529', 'Deer', '2', '45021', '0', '32623', '32363', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1530', 'Deer', '0', '45021', '0', '32598', '32385', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1531', 'Deer', '2', '45021', '0', '32836', '32686', '3', '3', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1532', 'Deer', '0', '45021', '0', '32807', '32649', '3', '3', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1533', 'Deer', '2', '45021', '0', '32792', '32653', '3', '3', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1534', 'Deer', '0', '45021', '0', '32816', '32624', '3', '3', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1535', 'Deer', '2', '45021', '0', '32855', '32682', '3', '3', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1536', 'Deer', '0', '45021', '0', '32870', '32722', '3', '3', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1537', 'Deer', '2', '45021', '0', '32886', '32681', '3', '3', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1538', 'Deer', '0', '45021', '0', '32888', '32607', '3', '3', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1539', 'Deer', '2', '45021', '0', '32784', '32738', '3', '3', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1540', 'Deer', '0', '45021', '0', '32790', '32716', '3', '3', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1541', 'Deer', '2', '45021', '0', '32755', '32726', '3', '3', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1542', 'Deer', '0', '45021', '0', '32740', '32726', '3', '3', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1543', 'Deer', '2', '45021', '0', '32685', '32700', '3', '3', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1544', 'Deer', '0', '45021', '0', '32669', '32750', '3', '3', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1545', 'Deer', '2', '45021', '0', '32710', '32764', '3', '3', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1546', 'Deer', '0', '45021', '0', '32693', '32810', '3', '3', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1547', 'Deer', '2', '45021', '0', '32681', '32830', '3', '3', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1548', 'Deer', '0', '45021', '0', '32734', '32851', '3', '3', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1554', 'Deer', '0', '45021', '0', '32756', '32786', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1555', 'Deer', '2', '45021', '0', '32780', '32790', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1556', 'Deer', '0', '45021', '0', '32803', '32802', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1557', 'Deer', '2', '45021', '0', '32795', '32829', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1558', 'Deer', '0', '45021', '0', '32572', '32740', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1559', 'Deer', '2', '45021', '0', '32597', '32748', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1560', 'Deer', '0', '45021', '0', '32619', '32753', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1561', 'Deer', '2', '45021', '0', '32654', '32750', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1562', 'Deer', '0', '45021', '0', '32657', '32780', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1563', 'Deer', '2', '45021', '0', '32616', '32874', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1564', 'Deer', '0', '45021', '0', '32598', '32861', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1565', 'Deer', '2', '45022', '0', '32764', '32753', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1566', 'Deer', '0', '45022', '0', '32769', '32785', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1573', 'Wild Boar', '2', '45023', '0', '32721', '32645', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1574', 'Wild Boar', '0', '45023', '0', '32729', '32658', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1575', 'Wild Boar', '2', '45023', '0', '32736', '32689', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1576', 'Wild Boar', '0', '45023', '0', '32750', '32727', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1577', 'Wild Boar', '2', '45023', '0', '32773', '32728', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1578', 'Wild Boar', '0', '45023', '0', '32826', '32689', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1579', 'Wild Boar', '2', '45023', '0', '32845', '32693', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1580', 'Wild Boar', '0', '45023', '0', '32865', '32668', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1581', 'Wild Boar', '2', '45023', '0', '32875', '32649', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1582', 'Wild Boar', '0', '45023', '0', '32883', '32623', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1583', 'Wild Boar', '2', '45023', '0', '32890', '32600', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1584', 'Wild Boar', '0', '45023', '0', '32914', '32600', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1585', 'Wild Boar', '2', '45023', '0', '32935', '32619', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1586', 'Wild Boar', '0', '45023', '0', '32919', '32641', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1587', 'Wild Boar', '2', '45023', '0', '32645', '32819', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1588', 'Wild Boar', '0', '45023', '0', '32671', '32817', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1589', 'Wild Boar', '2', '45023', '0', '32664', '32797', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1590', 'Wild Boar', '0', '45023', '0', '32652', '32768', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1591', 'Wild Boar', '2', '45023', '0', '32635', '32764', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1592', 'Wild Boar', '0', '45023', '0', '32626', '32754', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1593', 'Wild Boar', '2', '45023', '0', '32601', '32751', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1594', 'Wild Boar', '0', '45023', '0', '32582', '32740', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1595', 'Wild Boar', '2', '45023', '0', '32562', '32777', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1596', 'Wild Boar', '0', '45023', '0', '32561', '32797', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1597', 'Wild Boar', '2', '45023', '0', '32554', '32822', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1598', 'Wild Boar', '0', '45023', '0', '32568', '32837', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1599', 'Wild Boar', '2', '45023', '0', '32585', '32862', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1600', 'Wild Boar', '0', '45023', '0', '32729', '32800', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1601', 'Wild Boar', '2', '45023', '0', '32746', '32797', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1602', 'Wild Boar', '0', '45023', '0', '32758', '32828', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1603', 'Wild Boar', '2', '45023', '0', '32746', '32846', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1604', 'Wild Boar', '0', '45023', '0', '32774', '32851', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1605', 'Wild Boar', '2', '45023', '0', '32792', '32854', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1606', 'Wild Boar', '0', '45023', '0', '32798', '32878', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1607', 'Wild Boar', '2', '45023', '0', '32773', '32879', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1608', 'Wild Boar', '0', '45023', '0', '32775', '32833', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1609', 'Wild Boar', '2', '45023', '0', '32795', '32821', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1610', 'Wild Boar', '0', '45023', '0', '32758', '32803', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1611', 'Wild Boar', '2', '45023', '0', '32739', '32770', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1612', 'Wild Boar', '0', '45023', '0', '32728', '32760', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1613', 'Wild Boar', '2', '45023', '0', '32743', '32745', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1614', 'Wild Boar', '0', '45023', '0', '32622', '32928', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1615', 'Wild Boar', '2', '45023', '0', '32631', '32944', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1616', 'Wild Boar', '0', '45023', '0', '32650', '32934', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1617', 'Wild Boar', '2', '45023', '0', '32662', '32927', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1618', 'Wild Boar', '0', '45023', '0', '33192', '33328', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1619', 'Wild Boar', '2', '45023', '0', '33192', '33342', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1620', 'Wild Boar', '0', '45023', '0', '33197', '33349', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1621', 'Wild Boar', '2', '45023', '0', '33206', '33361', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1622', 'Wild Boar', '0', '45023', '0', '33216', '33371', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1623', 'Wild Boar', '2', '45023', '0', '33193', '33392', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1624', 'Wild Boar', '0', '45023', '0', '33180', '33432', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1625', 'Werewolf', '2', '45024', '0', '33479', '32476', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1641', 'Werewolf', '2', '45024', '0', '33420', '32482', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1642', 'Werewolf', '0', '45024', '0', '33418', '32468', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1643', 'Werewolf', '2', '45024', '0', '33355', '32231', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1644', 'Werewolf', '0', '45024', '0', '33367', '32218', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1645', 'Werewolf', '2', '45024', '0', '33384', '32220', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1646', 'Werewolf', '0', '45024', '0', '33399', '32218', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1647', 'Werewolf', '2', '45024', '0', '33415', '32218', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1648', 'Werewolf', '0', '45024', '0', '33426', '32220', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1649', 'Werewolf', '2', '45024', '0', '33444', '32220', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1650', 'Werewolf', '0', '45024', '0', '33450', '32230', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1651', 'Werewolf', '2', '45024', '0', '33436', '32233', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1652', 'Werewolf', '0', '45024', '0', '33444', '32243', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1653', 'Werewolf', '2', '45024', '0', '33441', '32419', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1654', 'Werewolf', '0', '45024', '0', '33455', '32433', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1655', 'Werewolf', '2', '45024', '0', '33476', '32424', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1656', 'Werewolf', '0', '45024', '0', '33491', '32418', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1657', 'Werewolf', '2', '45024', '0', '33472', '32440', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1658', 'Werewolf', '0', '45024', '0', '33455', '32433', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1659', 'Werewolf', '2', '45024', '0', '33421', '32432', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1660', 'Werewolf', '0', '45024', '0', '33408', '32432', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1661', 'Werewolf', '2', '45024', '0', '33404', '32447', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1662', 'Werewolf', '0', '45024', '0', '33428', '32436', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1663', 'Werewolf', '2', '45024', '0', '33437', '32452', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1664', 'Werewolf', '0', '45024', '0', '33419', '32469', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1665', 'Werewolf', '2', '45024', '0', '33423', '32481', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1666', 'Werewolf', '0', '45024', '0', '33400', '32438', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1667', 'Werewolf', '2', '45024', '0', '33411', '32449', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1668', 'Werewolf', '0', '45024', '0', '33420', '32432', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1669', 'Werewolf', '2', '45024', '0', '33470', '32443', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1670', 'Werewolf', '0', '45024', '0', '33479', '32450', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1671', 'Werewolf', '2', '45024', '0', '33493', '32451', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1672', 'Werewolf', '0', '45024', '0', '33503', '32456', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1673', 'Werewolf', '2', '45024', '0', '33500', '32466', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1674', 'Werewolf', '0', '45024', '0', '33503', '32477', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1675', 'Werewolf', '2', '45024', '0', '33497', '32490', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1676', 'Werewolf', '0', '45024', '0', '33493', '32501', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1677', 'Werewolf', '2', '45024', '0', '33491', '32513', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1678', 'Werewolf', '0', '45024', '0', '33484', '32526', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1679', 'Werewolf', '2', '45024', '0', '33476', '32522', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1680', 'Werewolf', '0', '45024', '0', '33467', '32512', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1681', 'Werewolf', '2', '45024', '0', '33444', '32510', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1682', 'Werewolf', '0', '45024', '0', '33426', '32510', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1683', 'Werewolf', '2', '45024', '0', '33411', '32515', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1684', 'Werewolf', '0', '45024', '0', '33402', '32513', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1685', 'Werewolf', '2', '45024', '0', '33391', '32509', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1686', 'Werewolf', '0', '45024', '0', '33396', '32495', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1687', 'Werewolf', '2', '45024', '0', '33411', '32496', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1688', 'Werewolf', '0', '45024', '0', '33431', '32499', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1689', 'Werewolf', '2', '45024', '0', '33447', '32495', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1690', 'Werewolf', '0', '45024', '0', '33449', '32471', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1691', 'Werewolf', '2', '45024', '0', '33456', '32455', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1692', 'Werewolf', '0', '45024', '0', '33468', '32465', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1693', 'Werewolf', '2', '45024', '0', '33483', '32488', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1694', 'Werewolf', '0', '45024', '0', '33484', '32488', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1700', 'Werewolf', '0', '45024', '0', '33247', '33020', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1701', 'Werewolf', '2', '45024', '0', '33284', '33002', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1702', 'Werewolf', '0', '45024', '0', '33383', '33056', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1703', 'Werewolf', '2', '45024', '0', '33431', '33078', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1704', 'Werewolf', '0', '45024', '0', '33460', '33062', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1705', 'Werewolf', '2', '45024', '0', '33459', '33047', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1706', 'Werewolf', '0', '45024', '0', '33473', '33055', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1707', 'Werewolf', '2', '45024', '0', '33489', '33069', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1708', 'Werewolf', '0', '45024', '0', '33485', '33079', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1709', 'Werewolf', '2', '45024', '0', '33479', '33086', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1710', 'Werewolf', '0', '45024', '0', '33505', '33044', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1711', 'Werewolf', '2', '45024', '0', '33484', '33031', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1712', 'Werewolf', '0', '45024', '0', '33512', '33030', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1713', 'Werewolf', '2', '45024', '0', '33532', '33057', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1714', 'Werewolf', '0', '45024', '0', '33539', '33065', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1715', 'Werewolf', '2', '45024', '0', '33544', '33077', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1716', 'Werewolf', '0', '45024', '0', '33570', '33084', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1717', 'Werewolf', '2', '45024', '0', '33579', '33086', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1718', 'Werewolf', '0', '45024', '0', '33594', '33063', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1719', 'Werewolf', '2', '45024', '0', '33575', '33040', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1720', 'Werewolf', '0', '45024', '0', '33572', '33025', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1721', 'Werewolf', '2', '45024', '0', '33617', '33037', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1722', 'Werewolf', '0', '45024', '0', '33644', '33058', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1723', 'Werewolf', '2', '45024', '0', '33660', '33059', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1724', 'Werewolf', '0', '45024', '0', '33670', '33036', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1725', 'Werewolf', '2', '45024', '0', '33670', '33013', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1726', 'Werewolf', '0', '45024', '0', '33661', '33006', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1727', 'Werewolf', '2', '45024', '0', '33636', '32962', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1728', 'Werewolf', '0', '45024', '0', '33638', '32937', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1729', 'Werewolf', '2', '45024', '0', '33645', '32914', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1730', 'Werewolf', '0', '45024', '0', '33674', '32955', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1731', 'Werewolf', '2', '45024', '0', '33688', '32958', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1732', 'Werewolf', '0', '45024', '0', '33691', '32934', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1733', 'Werewolf', '2', '45024', '0', '33687', '32975', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1734', 'Werewolf', '0', '45024', '0', '33704', '32914', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1735', 'Werewolf', '2', '45024', '0', '33662', '32905', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1736', 'Werewolf', '0', '45024', '0', '33710', '33011', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1737', 'Werewolf', '2', '45024', '0', '33747', '32990', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1738', 'Werewolf', '0', '45024', '0', '33809', '32998', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1739', 'Werewolf', '2', '45024', '0', '33871', '33018', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1740', 'Werewolf', '0', '45024', '0', '33843', '32971', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1741', 'Werewolf', '2', '45024', '0', '33805', '32966', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1742', 'Werewolf', '0', '45024', '0', '33771', '32954', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1743', 'Werewolf', '2', '45024', '0', '33779', '32972', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1744', 'Werewolf', '0', '45024', '0', '33724', '32957', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1745', 'Werewolf', '2', '45024', '0', '33677', '32995', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1746', 'Werewolf', '0', '45024', '0', '33726', '33026', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1747', 'Werewolf', '2', '45024', '0', '32921', '32564', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1748', 'Werewolf', '0', '45024', '0', '32930', '32572', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1749', 'Werewolf', '2', '45024', '0', '32945', '32559', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1750', 'Werewolf', '0', '45024', '0', '32965', '32568', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1751', 'Werewolf', '2', '45024', '0', '32979', '32479', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1752', 'Werewolf', '0', '45024', '0', '32973', '32600', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1753', 'Werewolf', '2', '45024', '0', '32974', '32622', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1754', 'Werewolf', '0', '45024', '0', '32988', '32641', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1755', 'Werewolf', '2', '45024', '0', '32976', '32685', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1756', 'Werewolf', '0', '45024', '0', '32975', '32681', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1757', 'Werewolf', '2', '45024', '0', '32953', '32670', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1758', 'Werewolf', '0', '45024', '0', '32951', '32654', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1759', 'Werewolf', '2', '45024', '0', '32944', '32642', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1760', 'Werewolf', '0', '45024', '0', '32933', '32629', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1761', 'Werewolf', '2', '45024', '0', '32948', '32610', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1762', 'Werewolf', '0', '45024', '0', '32953', '32595', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1763', 'Werewolf', '2', '45024', '0', '32972', '32586', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1764', 'Werewolf', '0', '45024', '0', '33220', '32636', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1765', 'Werewolf', '2', '45024', '0', '33176', '32639', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1766', 'Werewolf', '0', '45024', '0', '33151', '32633', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1767', 'Werewolf', '2', '45024', '0', '33105', '32628', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1768', 'Werewolf', '0', '45024', '0', '33091', '32621', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1769', 'Werewolf', '2', '45024', '0', '33061', '32619', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1770', 'Werewolf', '0', '45024', '0', '33070', '32648', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1771', 'Werewolf', '2', '45024', '0', '33108', '32684', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1772', 'Werewolf', '0', '45024', '0', '33178', '32615', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1773', 'Werewolf', '2', '45024', '0', '33166', '32583', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1774', 'Werewolf', '0', '45024', '0', '33146', '32563', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1775', 'Werewolf', '2', '45024', '0', '33111', '32590', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1776', 'Werewolf', '0', '45024', '0', '33088', '32598', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1777', 'Werewolf', '2', '45024', '0', '33075', '32628', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1778', 'Werewolf', '0', '45024', '0', '32952', '32843', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1779', 'Werewolf', '2', '45024', '0', '32985', '32853', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1780', 'Werewolf', '0', '45024', '0', '32966', '32864', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1781', 'Werewolf', '2', '45024', '0', '32974', '32873', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1782', 'Werewolf', '0', '45024', '0', '32985', '32878', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1783', 'Werewolf', '2', '45024', '0', '32986', '32886', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1784', 'Werewolf', '0', '45024', '0', '32979', '32897', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1785', 'Werewolf', '2', '45024', '0', '32982', '32911', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1786', 'Werewolf', '0', '45024', '0', '32977', '32924', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1787', 'Werewolf', '2', '45024', '0', '32982', '32933', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1788', 'Werewolf', '0', '45024', '0', '32971', '32947', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1789', 'Werewolf', '2', '45024', '0', '32971', '32958', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1790', 'Werewolf', '0', '45024', '0', '32958', '32951', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1791', 'Werewolf', '2', '45024', '0', '32948', '32942', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1792', 'Werewolf', '0', '45024', '0', '32950', '32925', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1793', 'Werewolf', '2', '45024', '0', '32956', '32911', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1794', 'Werewolf', '0', '45024', '0', '32956', '32901', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1795', 'Werewolf', '2', '45024', '0', '32950', '32889', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1796', 'Werewolf', '0', '45024', '0', '32952', '32861', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1797', 'Werewolf', '2', '45024', '0', '32947', '32845', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1798', 'Werewolf', '0', '45024', '0', '32953', '32863', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1799', 'Werewolf', '2', '45024', '0', '32960', '32883', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1800', 'Werewolf', '0', '45024', '0', '32961', '32910', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1801', 'Werewolf', '2', '45024', '0', '32962', '32938', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1802', 'Werewolf', '0', '45024', '0', '32934', '32970', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1803', 'Werewolf', '2', '45024', '0', '32951', '32989', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1812', 'Werewolf', '0', '45024', '0', '32925', '32870', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1813', 'Werewolf', '2', '45024', '0', '32914', '32840', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1814', 'Werewolf', '0', '45024', '0', '32927', '32815', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1815', 'Werewolf', '2', '45024', '0', '32912', '32779', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1846', 'Imp', '0', '45033', '0', '33277', '32983', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1847', 'Imp', '2', '45033', '0', '33413', '33059', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1848', 'Imp', '0', '45033', '0', '33438', '33085', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1849', 'Imp', '2', '45033', '0', '33482', '33061', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1850', 'Imp', '0', '45033', '0', '33474', '33092', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1851', 'Imp', '2', '45033', '0', '33499', '33035', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1852', 'Imp', '0', '45033', '0', '33528', '33030', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1853', 'Imp', '2', '45033', '0', '33554', '33082', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1854', 'Imp', '0', '45033', '0', '33592', '33052', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1855', 'Imp', '2', '45033', '0', '33600', '33026', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1856', 'Imp', '0', '45033', '0', '33650', '33064', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1857', 'Imp', '2', '45033', '0', '33671', '33024', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1858', 'Imp', '0', '45033', '0', '33649', '32965', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1859', 'Imp', '2', '45033', '0', '33665', '32930', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1860', 'Imp', '0', '45033', '0', '33701', '32965', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1861', 'Imp', '2', '45033', '0', '33675', '32901', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1862', 'Imp', '0', '45033', '0', '33686', '33004', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1863', 'Imp', '2', '45033', '0', '33733', '33007', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1864', 'Imp', '0', '45033', '0', '33760', '32990', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1865', 'Imp', '2', '45033', '0', '33819', '33008', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1866', 'Imp', '0', '45033', '0', '33845', '33018', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1867', 'Imp', '2', '45033', '0', '33878', '32996', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1868', 'Imp', '0', '45033', '0', '33777', '32991', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1869', 'Imp', '2', '45033', '0', '33711', '32948', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1870', 'Imp', '0', '45033', '0', '33670', '32975', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1871', 'Imp', '2', '45033', '0', '33687', '33017', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1872', 'Imp', '0', '45033', '0', '33727', '33049', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1873', 'Imp', '2', '45033', '0', '33470', '32987', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1874', 'Imp', '0', '45033', '0', '33497', '32970', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1875', 'Imp', '2', '45033', '0', '33485', '32956', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1876', 'Imp', '0', '45033', '0', '33459', '32941', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1877', 'Imp', '2', '45033', '0', '33432', '32958', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1878', 'Imp', '0', '45033', '0', '33437', '32970', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1879', 'Imp', '2', '45033', '0', '33427', '32979', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1880', 'Imp', '0', '45033', '0', '33401', '32966', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1881', 'Imp', '2', '45033', '0', '33387', '32965', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1882', 'Imp', '0', '45033', '0', '33372', '32965', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1883', 'Imp', '2', '45033', '0', '33363', '32942', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1884', 'Imp', '0', '45033', '0', '33369', '32927', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1885', 'Imp', '2', '45033', '0', '33378', '32904', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1886', 'Imp', '0', '45033', '0', '33396', '32912', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1887', 'Imp', '2', '45033', '0', '33423', '32901', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1888', 'Imp', '0', '45033', '0', '33489', '32910', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1889', 'Imp', '2', '45033', '0', '33521', '32926', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1890', 'Imp', '0', '45033', '0', '33536', '32933', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1891', 'Imp', '2', '45033', '0', '33561', '32982', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1892', 'Imp', '0', '45033', '0', '33584', '32980', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1893', 'Imp', '2', '45033', '0', '33604', '32980', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1894', 'Imp', '0', '45033', '0', '33602', '32997', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1895', 'Imp', '2', '45033', '0', '33548', '32993', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1896', 'Imp', '0', '45033', '0', '33514', '32973', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1897', 'Imp', '2', '45033', '0', '33503', '32983', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1898', 'Imp', '0', '45033', '0', '33504', '32996', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1899', 'Imp', '2', '45033', '0', '33489', '32985', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1900', 'Imp', '0', '45033', '0', '33466', '32963', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1901', 'Imp', '2', '45033', '0', '33429', '32958', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1902', 'Imp', '0', '45033', '0', '33324', '32833', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1903', 'Imp', '2', '45033', '0', '33315', '32824', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1904', 'Imp', '0', '45033', '0', '33325', '32807', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1905', 'Imp', '2', '45033', '0', '33335', '32791', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1906', 'Imp', '0', '45033', '0', '33311', '32774', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1907', 'Imp', '2', '45033', '0', '33302', '32769', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1908', 'Imp', '0', '45033', '0', '33300', '32752', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1909', 'Imp', '2', '45033', '0', '33306', '32718', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1910', 'Imp', '0', '45033', '0', '33307', '32671', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1911', 'Imp', '2', '45033', '0', '33317', '32661', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1912', 'Imp', '0', '45033', '0', '33319', '32639', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1913', 'Imp', '2', '45033', '0', '33329', '32623', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1914', 'Imp', '0', '45033', '0', '33352', '32628', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1915', 'Imp', '2', '45033', '0', '33402', '32615', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1916', 'Imp', '0', '45033', '0', '33431', '32616', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1917', 'Imp', '2', '45033', '0', '33441', '32626', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1918', 'Imp', '0', '45033', '0', '33457', '32620', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1919', 'Imp', '2', '45033', '0', '33492', '32614', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1920', 'Imp', '0', '45033', '0', '33542', '32640', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1921', 'Imp', '2', '45033', '0', '33572', '32624', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1922', 'Imp', '0', '45033', '0', '33558', '32650', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1923', 'Imp', '2', '45033', '0', '33554', '32679', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1924', 'Imp', '0', '45033', '0', '33536', '32643', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1926', 'Shepherd', '0', '45034', '0', '33953', '32649', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1927', 'Shepherd', '2', '45034', '0', '33999', '32710', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1928', 'Shepherd', '0', '45034', '0', '34063', '32699', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1929', 'Shepherd', '2', '45034', '0', '34130', '32691', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1930', 'Shepherd', '0', '45034', '0', '34202', '32687', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1931', 'Shepherd', '2', '45034', '0', '34216', '32681', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1932', 'Shepherd', '0', '45034', '0', '34194', '32636', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1933', 'Shepherd', '2', '45034', '0', '34118', '32637', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1934', 'Shepherd', '0', '45034', '0', '34106', '32636', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1935', 'Shepherd', '2', '45034', '0', '33946', '32628', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1936', 'Shepherd', '0', '45034', '0', '33946', '32628', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1937', 'Shepherd', '2', '45034', '0', '33620', '33292', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1938', 'Shepherd', '0', '45034', '0', '32586', '33225', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1939', 'Shepherd', '2', '45034', '0', '32567', '33306', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1940', 'Shepherd', '0', '45034', '0', '32593', '33329', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1941', 'Shepherd', '2', '45034', '0', '32634', '33333', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1942', 'Shepherd', '0', '45034', '0', '32563', '33298', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1943', 'Shepherd', '2', '45034', '0', '32640', '33298', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1944', 'Shepherd', '0', '45034', '0', '32657', '33276', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1945', 'Shepherd', '2', '45034', '0', '32672', '33270', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1946', 'Shepherd', '0', '45034', '0', '32695', '33289', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1947', 'Shepherd', '2', '45034', '0', '32701', '33304', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1948', 'Shepherd', '0', '45034', '0', '32659', '33333', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1965', 'Shepherd', '2', '45034', '0', '32678', '32729', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1966', 'Shepherd', '0', '45034', '0', '32685', '32689', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1967', 'Shepherd', '2', '45034', '0', '32714', '32640', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1968', 'Shepherd', '0', '45034', '0', '32725', '32722', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1969', 'Shepherd', '2', '45034', '0', '32754', '32721', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1970', 'Shepherd', '0', '45034', '0', '32864', '32724', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1971', 'Shepherd', '2', '45034', '0', '32862', '32681', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1972', 'Shepherd', '0', '45034', '0', '32838', '32644', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1973', 'Shepherd', '2', '45034', '0', '32805', '32631', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1974', 'Shepherd', '0', '45034', '0', '32787', '32654', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1975', 'Escaped Black Knight', '2', '45035', '0', '32670', '32925', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1976', 'Escaped Black Knight', '0', '45035', '0', '32647', '32947', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1977', 'Escaped Black Knight', '2', '45035', '0', '32643', '32964', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1978', 'Escaped Black Knight', '0', '45035', '0', '32622', '32963', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1979', 'Escaped Black Knight', '2', '45035', '0', '32603', '33001', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1980', 'Escaped Black Knight', '0', '45035', '0', '32545', '32856', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1981', 'Escaped Black Knight', '2', '45035', '0', '32557', '32867', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1982', 'Escaped Black Knight', '0', '45035', '0', '32560', '32884', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1983', 'Escaped Black Knight', '2', '45035', '0', '32541', '32890', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1984', 'Escaped Black Knight', '0', '45035', '0', '32535', '32922', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1985', 'Escaped Black Knight', '2', '45035', '0', '32547', '32936', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1986', 'Escaped Black Knight', '0', '45035', '0', '32568', '32909', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1987', 'Escaped Black Knight', '2', '45035', '0', '32610', '32899', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1988', 'Escaped Black Knight', '0', '45035', '0', '32610', '32958', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1989', 'Escaped Black Knight', '2', '45035', '0', '32598', '32969', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1990', 'Escaped Black Knight', '0', '45035', '0', '32580', '33000', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1991', 'Escaped Black Knight', '2', '45035', '0', '32554', '33002', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1992', 'Escaped Black Knight', '0', '45035', '0', '32540', '32968', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1993', 'Escaped Black Knight', '2', '45035', '0', '32558', '32944', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1994', 'Escaped Black Knight', '0', '45035', '0', '32566', '32896', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1995', 'Escaped Black Knight', '2', '45035', '0', '32788', '32881', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1996', 'Escaped Black Knight', '0', '45035', '0', '32786', '32860', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1997', 'Escaped Black Knight', '2', '45035', '0', '32801', '32863', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1998', 'Escaped Black Knight', '0', '45035', '0', '32781', '32846', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1999', 'Escaped Black Knight', '2', '45035', '0', '32759', '32844', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2000', 'Escaped Black Knight', '0', '45035', '0', '32794', '32816', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2001', 'Escaped Black Knight', '2', '45035', '0', '32793', '32790', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2002', 'Valley Bear', '0', '45036', '0', '32739', '32848', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2003', 'Valley Bear', '2', '45036', '0', '32763', '32852', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2004', 'Valley Bear', '0', '45036', '0', '32766', '32915', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2005', 'Valley Bear', '2', '45036', '0', '32780', '32916', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2006', 'Valley Bear', '0', '45036', '0', '32732', '32917', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2007', 'Valley Bear', '2', '45036', '0', '32733', '32945', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2008', 'Valley Bear', '0', '45036', '0', '32752', '32958', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2009', 'Valley Lycanthrope', '2', '45037', '0', '32638', '32809', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2010', 'Valley Lycanthrope', '0', '45037', '0', '32638', '32770', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2011', 'Valley Lycanthrope', '2', '45037', '0', '32694', '32766', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2012', 'Valley Lycanthrope', '0', '45037', '0', '32691', '32772', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2013', 'Valley Lycanthrope', '2', '45037', '0', '32628', '32792', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2014', 'Valley Lycanthrope', '0', '45037', '0', '32674', '32800', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2015', 'Valley Lycanthrope', '2', '45037', '0', '32696', '32758', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2016', 'Valley Lycanthrope', '0', '45037', '0', '32724', '32768', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2017', 'Valley Lycanthrope', '2', '45037', '0', '32741', '32786', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2018', 'Valley Lycanthrope', '0', '45037', '0', '32760', '32795', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2019', 'Valley Lycanthrope', '2', '45037', '0', '32768', '32812', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2020', 'Valley Lycanthrope', '0', '45037', '0', '32572', '32734', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2021', 'Valley Lycanthrope', '2', '45037', '0', '32602', '32834', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2022', 'Valley Lycanthrope', '0', '45037', '0', '32631', '32946', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2023', 'Valley Lycanthrope', '2', '45037', '0', '32592', '32956', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2024', 'Valley Lycanthrope', '0', '45037', '0', '32582', '32949', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2025', 'Valley Lycanthrope', '2', '45037', '0', '32557', '32935', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2026', 'Valley Lycanthrope', '0', '45037', '0', '32537', '32979', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2027', 'Valley Lycanthrope', '2', '45037', '0', '32575', '33000', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2028', 'Valley Lycanthrope', '0', '45037', '0', '32557', '32907', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2029', 'Valley Lycanthrope', '2', '45037', '0', '32576', '32876', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2030', 'Valley Lycanthrope', '0', '45037', '0', '32545', '32947', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2031', 'Valley Lycanthrope', '2', '45037', '0', '32691', '32975', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2032', 'Valley Lycanthrope', '0', '45037', '0', '32693', '32998', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2033', 'Valley Lycanthrope', '2', '45037', '0', '32669', '32993', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2034', 'Valley Lycanthrope', '0', '45037', '0', '32727', '32904', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2035', 'Valley Lycanthrope', '2', '45037', '0', '32765', '32937', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2036', 'Valley Lycanthrope', '0', '45037', '0', '32777', '32937', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2037', 'Valley Lycanthrope', '2', '45037', '0', '32782', '32945', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2038', 'Valley Lycanthrope', '0', '45037', '0', '32793', '32948', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2039', 'Valley Lycanthrope', '2', '45037', '0', '32800', '32955', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2040', 'Valley Lycanthrope', '0', '45037', '0', '32813', '32950', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2041', 'Valley Lycanthrope', '2', '45037', '0', '32795', '32904', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2042', 'Valley Lycanthrope', '0', '45037', '0', '32787', '32921', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2043', 'Valley Lycanthrope', '2', '45037', '0', '32766', '32973', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2044', 'Valley Lycanthrope', '0', '45037', '0', '32748', '33003', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2045', 'Valley Lycanthrope', '2', '45037', '0', '32768', '32874', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2046', 'Valley Lycanthrope', '0', '45037', '0', '32780', '32895', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2047', 'Valley Lycanthrope', '2', '45037', '0', '32782', '32849', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2048', 'Valley Lycanthrope', '0', '45037', '0', '32772', '32786', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2049', 'Valley Lycanthrope', '2', '45037', '0', '32738', '32734', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2050', 'Valley Lycanthrope', '0', '45037', '0', '32796', '32845', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2051', 'Valley Lycanthrope', '2', '45037', '0', '32801', '32911', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2052', 'Valley Lycanthrope', '0', '45037', '0', '32800', '32962', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2053', 'Valley Lycanthrope', '2', '45037', '0', '32779', '32861', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2054', 'Valley Lycanthrope', '0', '45037', '0', '32770', '32846', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2055', 'Valley Lycanthrope', '2', '45037', '0', '32795', '32791', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2056', 'Valley Lycanthrope', '0', '45037', '0', '32806', '32802', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2057', 'Valley Lycanthrope', '2', '45037', '0', '32759', '32778', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2058', 'Valley Lycanthrope', '0', '45037', '0', '32750', '32748', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2059', 'Valley Lycanthrope', '2', '45037', '0', '32741', '32835', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2060', 'Valley Lycanthrope', '0', '45037', '0', '32754', '32843', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2061', 'Valley Arachnevil', '2', '45038', '0', '32608', '32817', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2062', 'Valley Arachnevil', '0', '45038', '0', '32626', '32779', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2063', 'Valley Arachnevil', '2', '45038', '0', '32679', '32771', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2064', 'Valley Arachnevil', '0', '45038', '0', '32677', '32784', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2065', 'Valley Arachnevil', '2', '45038', '0', '32641', '32785', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2066', 'Valley Arachnevil', '0', '45038', '0', '32663', '32938', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2067', 'Valley Arachnevil', '2', '45038', '0', '32634', '32901', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2068', 'Valley Arachnevil', '0', '45038', '0', '32647', '32919', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2069', 'Valley Arachnevil', '2', '45038', '0', '32685', '32953', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2070', 'Valley Arachnevil', '0', '45038', '0', '32576', '32960', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2071', 'Valley Arachnevil', '2', '45038', '0', '32653', '32949', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2072', 'Valley Arachnevil', '0', '45038', '0', '32675', '32973', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2073', 'Valley Arachnevil', '2', '45038', '0', '32680', '32990', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2074', 'Valley Arachnevil', '0', '45038', '0', '32694', '32992', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2075', 'Valley Arachnevil', '2', '45038', '0', '32709', '32990', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2076', 'Valley Arachnevil', '0', '45038', '0', '32740', '32962', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2077', 'Valley Arachnevil', '2', '45038', '0', '32750', '32973', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2078', 'Valley Arachnevil', '0', '45038', '0', '32765', '32900', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2079', 'Valley Arachnevil', '2', '45038', '0', '32779', '32990', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2080', 'Valley Arachnevil', '0', '45038', '0', '32798', '32983', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2081', 'Valley Arachnevil', '2', '45038', '0', '32801', '32967', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2082', 'Valley Arachnevil', '0', '45038', '0', '32769', '32947', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2083', 'Valley Arachnevil', '2', '45038', '0', '32786', '32934', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2084', 'Valley Arachnevil', '0', '45038', '0', '32766', '32927', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2085', 'Valley Arachnevil', '2', '45038', '0', '32766', '32945', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2086', 'Valley Arachnevil', '0', '45038', '0', '32743', '32955', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2087', 'Valley Arachnevil', '2', '45038', '0', '32706', '32956', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2088', 'Valley Arachnevil', '0', '45038', '0', '32644', '32954', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2089', 'Valley Arachnevil', '2', '45038', '0', '32612', '32947', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2090', 'Valley Arachnevil', '0', '45038', '0', '32538', '32960', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2091', 'Valley Arachnevil', '2', '45038', '0', '32536', '32994', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2092', 'Valley Arachnevil', '0', '45038', '0', '32551', '32927', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2093', 'Valley Arachnevil', '2', '45038', '0', '32585', '32889', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2094', 'Valley Arachnevil', '0', '45038', '0', '32808', '32934', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2095', 'Valley Arachnevil', '2', '45038', '0', '32803', '32918', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2096', 'Valley Arachnevil', '0', '45038', '0', '32781', '32899', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2097', 'Valley Arachnevil', '2', '45038', '0', '32763', '32909', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2098', 'Valley Arachnevil', '0', '45038', '0', '32801', '32922', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2099', 'Valley Arachnevil', '2', '45038', '0', '32795', '32944', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2100', 'Valley Arachnevil', '0', '45038', '0', '32780', '32961', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2101', 'Valley Arachnevil', '2', '45038', '0', '32750', '32988', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2102', 'Valley Arachnevil', '0', '45038', '0', '32750', '32764', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2103', 'Valley Arachnevil', '2', '45038', '0', '32787', '32773', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2104', 'Valley Arachnevil', '0', '45038', '0', '32808', '32791', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2105', 'Valley Arachnevil', '2', '45038', '0', '32793', '32816', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2106', 'Valley Arachnevil', '0', '45038', '0', '32795', '32855', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2107', 'Valley Arachnevil', '2', '45038', '0', '32769', '32881', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2108', 'Valley Arachnevil', '0', '45038', '0', '32773', '32848', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2109', 'Valley Arachnevil', '2', '45038', '0', '32767', '32830', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2110', 'Valley Arachnevil', '0', '45038', '0', '32754', '32817', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2111', 'Valley Arachnevil', '2', '45038', '0', '32760', '32802', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2112', 'Valley Arachnevil', '0', '45038', '0', '32777', '32793', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2113', 'Valley Arachnevil', '2', '45038', '0', '32720', '32812', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2114', 'Valley Arachnevil', '0', '45038', '0', '32807', '32840', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2115', 'Valley Arachnevil', '2', '45038', '0', '32728', '32935', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2116', 'Cat', '2', '45039', '0', '33042', '33316', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2117', 'Bear', '2', '45040', '0', '33940', '32634', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2118', 'Bear', '0', '45040', '0', '33966', '32664', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2119', 'Bear', '2', '45040', '0', '34004', '32696', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2120', 'Bear', '0', '45040', '0', '34046', '32709', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2121', 'Bear', '2', '45040', '0', '34097', '32683', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2122', 'Bear', '0', '45040', '0', '34161', '32702', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2123', 'Bear', '2', '45040', '0', '34218', '32669', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2124', 'Bear', '0', '45040', '0', '34163', '32627', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2125', 'Bear', '2', '45040', '0', '34049', '32637', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2126', 'Bear', '0', '45040', '0', '33983', '32627', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2127', 'Bear', '2', '45040', '0', '34069', '32936', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2128', 'Bear', '0', '45040', '0', '34094', '32995', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2129', 'Bear', '2', '45040', '0', '34127', '32984', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2130', 'Bear', '0', '45040', '0', '34107', '32972', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2131', 'Bear', '2', '45040', '0', '34117', '32945', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2132', 'Bear', '0', '45040', '0', '34146', '32959', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2133', 'Bear', '2', '45040', '0', '34180', '32962', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2134', 'Bear', '0', '45040', '0', '34189', '32991', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2135', 'Bear', '2', '45040', '0', '34223', '32941', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2136', 'Bear', '0', '45040', '0', '34219', '32927', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2137', 'Bear', '2', '45040', '0', '34197', '32895', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2138', 'Bear', '0', '45040', '0', '34247', '32855', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2139', 'Bear', '2', '45040', '0', '34235', '32909', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2140', 'Bear', '0', '45040', '0', '34161', '32935', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2141', 'Bear', '2', '45040', '0', '34086', '32897', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2142', 'Bear', '0', '45040', '0', '34119', '32858', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2143', 'Bear', '2', '45040', '0', '34197', '32801', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2144', 'Bear', '0', '45040', '0', '34245', '32787', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2145', 'Bear', '2', '45040', '0', '34226', '32792', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2146', 'Bear', '0', '45040', '0', '34190', '32821', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2147', 'Bear', '2', '45040', '0', '34111', '32845', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2148', 'Bear', '0', '45040', '0', '34062', '32884', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2149', 'Bear', '2', '45040', '0', '34055', '32903', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2150', 'Bear', '0', '45040', '0', '34132', '32925', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2151', 'Bear', '2', '45040', '0', '34175', '32871', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2152', 'Bear', '0', '45040', '0', '34270', '32826', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2153', 'Bear', '2', '45040', '0', '34246', '32912', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2154', 'Bear', '0', '45040', '0', '34138', '33016', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2155', 'Dwarf', '2', '45041', '0', '33862', '32395', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2156', 'Dwarf', '0', '45041', '0', '33870', '32403', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2157', 'Dwarf', '2', '45041', '0', '33878', '32408', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2158', 'Dwarf', '0', '45041', '0', '33874', '32414', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2159', 'Dwarf', '2', '45041', '0', '33859', '32405', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2160', 'Dwarf', '0', '45041', '0', '33861', '32415', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2161', 'Dwarf', '2', '45041', '0', '32922', '32791', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2162', 'Dwarf', '0', '45041', '0', '32912', '32804', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2163', 'Dwarf', '2', '45041', '0', '32907', '32825', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2164', 'Dwarf', '0', '45041', '0', '32892', '32836', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2165', 'Dwarf', '2', '45041', '0', '32892', '32839', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2166', 'Dwarf', '0', '45041', '0', '32919', '32847', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2167', 'Dwarf', '2', '45041', '0', '32932', '32838', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2168', 'Dwarf', '0', '45041', '0', '32955', '32859', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2169', 'Dwarf', '2', '45041', '0', '32964', '32866', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2170', 'Dwarf', '0', '45041', '0', '32960', '32845', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2171', 'Dwarf', '2', '45041', '0', '32945', '32815', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2172', 'Dwarf', '0', '45041', '0', '32952', '32787', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2173', 'Dwarf', '2', '45041', '0', '32967', '32769', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2174', 'Dwarf', '0', '45041', '0', '32974', '32768', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2175', 'Dwarf', '2', '45041', '0', '32962', '32756', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2176', 'Dwarf', '0', '45041', '0', '32948', '32744', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2177', 'Dwarf', '2', '45041', '0', '32921', '32758', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2178', 'Dwarf', '0', '45041', '0', '32910', '32767', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2179', 'Dwarf', '2', '45041', '0', '32895', '32787', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2180', 'Dwarf', '0', '45041', '0', '32891', '32799', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2181', 'Dwarf', '2', '45041', '0', '32880', '32792', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2182', 'Dwarf', '0', '45041', '0', '32875', '32779', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2183', 'Dwarf', '2', '45041', '0', '32867', '32790', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2184', 'Dwarf', '0', '45041', '0', '32875', '32811', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2185', 'Dwarf', '2', '45041', '0', '34018', '32289', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2186', 'Dwarf', '0', '45041', '0', '34007', '32279', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2187', 'Dwarf', '2', '45041', '0', '33994', '32293', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2188', 'Dwarf', '0', '45041', '0', '33980', '32278', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2189', 'Dwarf', '2', '45041', '0', '33979', '32258', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2190', 'Dwarf', '0', '45041', '0', '33959', '32254', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2191', 'Dwarf', '2', '45041', '0', '33969', '32257', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2192', 'Dwarf', '0', '45041', '0', '33978', '32230', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2193', 'Dwarf', '2', '45041', '0', '33958', '32236', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2194', 'Dwarf', '0', '45041', '0', '33940', '32241', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2195', 'Dwarf', '2', '45041', '0', '33944', '32257', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2196', 'Dwarf', '0', '45041', '0', '33948', '32270', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2197', 'Dwarf', '2', '45041', '0', '33961', '32261', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2198', 'Dwarf', '0', '45041', '0', '33969', '32270', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2199', 'Dwarf', '2', '45041', '0', '33979', '32260', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2200', 'Dwarf', '0', '45041', '0', '33970', '32250', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2201', 'Dwarf', '2', '45041', '0', '33950', '32313', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2202', 'Dwarf', '0', '45041', '0', '33944', '32332', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2203', 'Dwarf', '2', '45041', '0', '33957', '32356', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2204', 'Dwarf', '0', '45041', '0', '33967', '32377', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2205', 'Dwarf', '2', '45041', '0', '33960', '32401', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2206', 'Dwarf', '0', '45041', '0', '33946', '32397', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2207', 'Dwarf', '2', '45041', '0', '33934', '32388', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2208', 'Dwarf', '0', '45041', '0', '33923', '32411', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2209', 'Dwarf', '2', '45041', '0', '33929', '32422', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2210', 'Dwarf', '0', '45041', '0', '33911', '32425', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2211', 'Dwarf', '2', '45041', '0', '33912', '32418', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2212', 'Dwarf', '0', '45041', '0', '33884', '32423', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2213', 'Dwarf', '2', '45041', '0', '33862', '32368', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2214', 'Dwarf', '0', '45041', '0', '33867', '32357', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2215', 'Dwarf', '2', '45041', '0', '33857', '32349', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2216', 'Dwarf', '0', '45041', '0', '33866', '32333', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2217', 'Dwarf', '2', '45041', '0', '33855', '32294', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2218', 'Dwarf', '0', '45041', '0', '33849', '32286', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2219', 'Dwarf', '2', '45041', '0', '33856', '32265', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2220', 'Dwarf', '0', '45041', '0', '33859', '32229', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2221', 'Dwarf', '2', '45041', '0', '33882', '32314', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2222', 'Dwarf', '0', '45041', '0', '33885', '32318', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2223', 'Dwarf', '2', '45041', '0', '33891', '32392', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2224', 'Dwarf', '0', '45041', '0', '33877', '32430', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2225', 'Dwarf', '2', '45041', '0', '33882', '32424', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2226', 'Dwarf', '0', '45041', '0', '33886', '32435', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2227', 'Dwarf', '2', '45041', '0', '33902', '32433', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2228', 'Dwarf', '0', '45041', '0', '33892', '32448', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2229', 'Dwarf', '2', '45041', '0', '33872', '32466', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2230', 'Dwarf', '0', '45041', '0', '33886', '32488', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2231', 'Dwarf', '2', '45041', '0', '33921', '32512', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2232', 'Dwarf', '0', '45041', '0', '33937', '32513', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2233', 'Dwarf', '2', '45041', '0', '33943', '32539', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2234', 'Dwarf', '0', '45041', '0', '33934', '32556', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2235', 'Dwarf', '2', '45041', '0', '33939', '32568', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2236', 'Dwarf', '0', '45041', '0', '33933', '32570', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2237', 'Dwarf', '2', '45041', '0', '33938', '32610', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2238', 'Dwarf', '0', '45041', '0', '33943', '32589', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2239', 'Dwarf', '2', '45041', '0', '33932', '32577', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2240', 'Dwarf', '0', '45041', '0', '33923', '32571', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2241', 'Dwarf', '2', '45041', '0', '33906', '32583', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2242', 'Dwarf', '0', '45041', '0', '33917', '32591', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2243', 'Dwarf', '2', '45041', '0', '33924', '32597', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2245', 'Dwarf', '2', '45041', '0', '33064', '33291', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2246', 'Dwarf', '0', '45041', '0', '33075', '33309', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2247', 'Dwarf', '2', '45041', '0', '33065', '33124', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2248', 'Dwarf', '0', '45041', '0', '33883', '32234', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2249', 'Dwarf', '2', '45041', '0', '33861', '32243', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2250', 'Dwarf', '0', '45041', '0', '33882', '32254', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2251', 'Dwarf', '2', '45041', '0', '33909', '32263', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2252', 'Dwarf', '0', '45041', '0', '33916', '32293', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2253', 'Dwarf', '2', '45041', '0', '33882', '32296', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2254', 'Dwarf', '0', '45041', '0', '33871', '32316', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2255', 'Dwarf', '2', '45041', '0', '33905', '32347', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2256', 'Dwarf', '0', '45041', '0', '33916', '32351', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2257', 'Dwarf', '2', '45041', '0', '33889', '32370', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2258', 'Dwarf', '0', '45041', '0', '33870', '32376', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2259', 'Dwarf', '2', '45041', '0', '33888', '32403', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2260', 'Dwarf', '0', '45041', '0', '33914', '32388', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2261', 'Dwarf', '2', '45041', '0', '33901', '32410', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2262', 'Dwarf', '0', '45041', '0', '33903', '32419', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2263', 'Dwarf', '2', '45041', '0', '33890', '32430', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2264', 'Dwarf', '0', '45041', '0', '33872', '32430', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2265', 'Dwarf', '2', '45041', '0', '33873', '32449', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2266', 'Dwarf', '0', '45041', '0', '33895', '32467', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2267', 'Dwarf', '2', '45041', '0', '33900', '32474', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2268', 'Dwarf', '0', '45041', '0', '33885', '32506', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2269', 'Dwarf', '2', '45041', '0', '33874', '32505', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2270', 'Dwarf', '0', '45041', '0', '33888', '32533', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2271', 'Dwarf', '2', '45041', '0', '33918', '32530', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2272', 'Dwarf', '0', '45041', '0', '33924', '32519', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2273', 'Dwarf', '2', '45041', '0', '33881', '32567', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2274', 'Dwarf', '0', '45041', '0', '33885', '32535', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2275', 'Dwarf', '2', '45041', '0', '33367', '33051', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2276', 'Dwarf', '0', '45041', '0', '33452', '33077', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2277', 'Dwarf', '2', '45041', '0', '33507', '33060', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2278', 'Dwarf', '0', '45041', '0', '33534', '33047', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2279', 'Dwarf', '2', '45041', '0', '33610', '33029', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2280', 'Dwarf', '0', '45041', '0', '33655', '32976', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2281', 'Dwarf', '2', '45041', '0', '33675', '32940', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2282', 'Dwarf', '0', '45041', '0', '33714', '32958', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2283', 'Dwarf', '2', '45041', '0', '33703', '32904', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2284', 'Dwarf', '0', '45041', '0', '33684', '32886', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2285', 'Dwarf', '2', '45041', '0', '33628', '32944', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2286', 'Dwarf', '0', '45041', '0', '33675', '32992', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2287', 'Dwarf', '2', '45041', '0', '33723', '33014', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2288', 'Dwarf', '0', '45041', '0', '33745', '33025', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2289', 'Dwarf', '2', '45041', '0', '33796', '32988', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2290', 'Dwarf', '0', '45041', '0', '33788', '32982', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2291', 'Dwarf', '2', '45041', '0', '33833', '33013', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2292', 'Dwarf', '0', '45041', '0', '33872', '32987', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2293', 'Dwarf', '2', '45041', '0', '33814', '32960', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2294', 'Dwarf', '0', '45041', '0', '33792', '32969', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2295', 'Dwarf', '2', '45041', '0', '33764', '32966', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2296', 'Dwarf', '0', '45041', '0', '33788', '32983', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2297', 'Dwarf', '2', '45041', '0', '33732', '32962', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2298', 'Dwarf', '0', '45041', '0', '33744', '32971', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2299', 'Dwarf', '2', '45041', '0', '33657', '32952', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2300', 'Dwarf', '0', '45041', '0', '33710', '33026', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2301', 'Dwarf', '2', '45041', '0', '33751', '33035', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2302', 'Dwarf', '0', '45041', '0', '33489', '32983', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2303', 'Dwarf', '2', '45041', '0', '33446', '32946', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2304', 'Dwarf', '0', '45041', '0', '33413', '32973', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2305', 'Dwarf', '2', '45041', '0', '33365', '32909', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2306', 'Dwarf', '0', '45041', '0', '33412', '32911', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2307', 'Dwarf', '2', '45041', '0', '33448', '32911', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2308', 'Dwarf', '0', '45041', '0', '33504', '32920', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2309', 'Dwarf', '2', '45041', '0', '33550', '32950', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2310', 'Dwarf', '0', '45041', '0', '33567', '32997', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2311', 'Dwarf', '2', '45041', '0', '33332', '32850', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2312', 'Dwarf', '0', '45041', '0', '33303', '32734', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2313', 'Dwarf', '2', '45041', '0', '33388', '32627', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2314', 'Dwarf', '0', '45041', '0', '33468', '32626', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2315', 'Dwarf', '2', '45041', '0', '33555', '32610', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2316', 'Dwarf', '0', '45041', '0', '33557', '32664', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2317', 'Dwarf', '2', '45041', '0', '33507', '32654', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2318', 'Dwarf', '0', '45041', '0', '33048', '32608', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2319', 'Dwarf', '2', '45041', '0', '33093', '32654', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2320', 'Dwarf', '0', '45041', '0', '33113', '32674', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2321', 'Dwarf', '2', '45041', '0', '33148', '32660', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2322', 'Dwarf', '0', '45041', '0', '33131', '32643', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2323', 'Dwarf', '2', '45041', '0', '33094', '32609', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2324', 'Dwarf', '0', '45041', '0', '33075', '32600', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2325', 'Dwarf', '2', '45041', '0', '33119', '32611', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2326', 'Dwarf', '0', '45041', '0', '33136', '32622', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2327', 'Dwarf', '2', '45041', '0', '33178', '32583', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2328', 'Dwarf', '0', '45041', '0', '33199', '32563', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2329', 'Dwarf', '2', '45041', '0', '33191', '32590', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2330', 'Dwarf', '0', '45041', '0', '33222', '32598', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2331', 'Dwarf', '2', '45041', '0', '33216', '32628', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2332', 'Dwarf', '0', '45041', '0', '33203', '32594', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2333', 'Dwarf', '2', '45041', '0', '33171', '32567', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2334', 'Dwarf', '0', '45041', '0', '33156', '32586', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2335', 'Dwarf', '2', '45041', '0', '32893', '32835', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2336', 'Dwarf', '0', '45041', '0', '32888', '32815', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2337', 'Dwarf', '2', '45041', '0', '32901', '32817', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2338', 'Dwarf', '0', '45041', '0', '32920', '32833', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2339', 'Dwarf', '2', '45041', '0', '32935', '32837', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2340', 'Dwarf', '0', '45041', '0', '32945', '32841', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2341', 'Dwarf', '2', '45041', '0', '32947', '32826', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2342', 'Dwarf', '0', '45041', '0', '32945', '32817', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2343', 'Dwarf', '2', '45041', '0', '32926', '32799', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2344', 'Dwarf', '0', '45041', '0', '32917', '32789', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2345', 'Dwarf', '2', '45041', '0', '32906', '32789', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2346', 'Dwarf', '0', '45041', '0', '32901', '32778', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2347', 'Dwarf', '2', '45041', '0', '32895', '32757', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2348', 'Dwarf', '0', '45041', '0', '32907', '32750', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2349', 'Dwarf', '2', '45041', '0', '32928', '32747', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2350', 'Dwarf', '0', '45041', '0', '32938', '32750', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2351', 'Dwarf', '2', '45041', '0', '32950', '32764', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2352', 'Dwarf', '0', '45041', '0', '32967', '32775', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2353', 'Dwarf', '2', '45041', '0', '32970', '32796', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2354', 'Dwarf', '0', '45041', '0', '32957', '32802', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2355', 'Dwarf', '2', '45041', '0', '32945', '32805', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2356', 'Dwarf', '0', '45041', '0', '32957', '32818', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2385', 'Dwarf', '2', '45041', '0', '33117', '33137', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2386', 'Dwarf', '0', '45041', '0', '33112', '33158', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2387', 'Dwarf', '2', '45041', '0', '33100', '33213', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2388', 'Dwarf', '0', '45041', '0', '33078', '33228', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2389', 'Dwarf', '2', '45041', '0', '33039', '33253', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2390', 'Dwarf', '0', '45041', '0', '33186', '33371', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2391', 'Dwarf', '2', '45041', '0', '33095', '33299', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2392', 'Dwarf', '0', '45041', '0', '33076', '33239', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2393', 'Dwarf', '2', '45041', '0', '33121', '33272', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2394', 'Dwarf', '0', '45041', '0', '33189', '33245', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2395', 'Dwarf', '2', '45041', '0', '33210', '33221', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2396', 'Dwarf', '0', '45041', '0', '33154', '33203', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2397', 'Dwarf', '2', '45041', '0', '33156', '33155', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2398', 'Dwarf', '0', '45041', '0', '33135', '33182', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2399', 'Dwarf', '2', '45041', '0', '33105', '33225', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2400', 'Dwarf', '0', '45041', '0', '33094', '33302', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2401', 'Dwarf', '2', '45041', '0', '33150', '33240', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2402', 'Dwarf', '0', '45041', '0', '33207', '33238', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2403', 'Dwarf', '2', '45041', '0', '33209', '33260', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2404', 'Dwarf', '0', '45041', '0', '33199', '33305', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2405', 'Dwarf', '2', '45041', '0', '33169', '33316', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2406', 'Dwarf', '0', '45041', '0', '33206', '33359', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2407', 'Dwarf', '2', '45041', '0', '33182', '33400', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2408', 'Dwarf', '0', '45041', '0', '33174', '33289', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2409', 'Dwarf', '2', '45041', '0', '33130', '33239', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2410', 'Dwarf', '0', '45041', '0', '33140', '33218', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2411', 'Dwarf', '2', '45041', '0', '33080', '33267', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2412', 'Dwarf', '0', '45041', '0', '32729', '32655', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2413', 'Dwarf', '2', '45041', '0', '32735', '32646', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2414', 'Dwarf', '0', '45041', '0', '32699', '32638', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2415', 'Dwarf', '2', '45041', '0', '32672', '32664', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2416', 'Dwarf', '0', '45041', '0', '32681', '32680', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2417', 'Dwarf', '2', '45041', '0', '32695', '32689', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2418', 'Dwarf', '0', '45041', '0', '32680', '32732', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2419', 'Dwarf', '2', '45041', '0', '32729', '32709', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2420', 'Dwarf', '0', '45041', '0', '32710', '32712', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2421', 'Dwarf', '2', '45041', '0', '32770', '32735', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2422', 'Dwarf', '0', '45041', '0', '32799', '32698', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2423', 'Dwarf', '2', '45041', '0', '32748', '32790', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2424', 'Dwarf', '0', '45041', '0', '32734', '32771', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2425', 'Dwarf', '2', '45041', '0', '32740', '32751', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2426', 'Dwarf', '0', '45041', '0', '32747', '32730', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2427', 'Dwarf', '2', '45041', '0', '32763', '32751', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2428', 'Dwarf', '0', '45041', '0', '32748', '32819', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2429', 'Dwarf', '2', '45041', '0', '32704', '32793', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2430', 'Dwarf', '0', '45041', '0', '32684', '32764', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2431', 'Dwarf', '2', '45041', '0', '32699', '32755', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2432', 'Dwarf', '0', '45041', '0', '32661', '32810', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2433', 'Dwarf', '2', '45041', '0', '32647', '32801', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2434', 'Dwarf', '0', '45041', '0', '32648', '32795', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2435', 'Dwarf', '2', '45041', '0', '32581', '32901', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2436', 'Dwarf', '0', '45041', '0', '32590', '32908', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2437', 'Dwarf', '2', '45041', '0', '32619', '32909', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2438', 'Dwarf', '0', '45041', '0', '33159', '33314', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2439', 'Dwarf', '2', '45041', '0', '33181', '33301', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2440', 'Doberman', '0', '45042', '0', '32616', '33273', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2441', 'Doberman', '2', '45042', '0', '32600', '33278', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2442', 'Doberman', '0', '45042', '0', '32570', '33246', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2443', 'Doberman', '2', '45042', '0', '32609', '33319', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2444', 'Doberman', '0', '45042', '0', '32584', '33335', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2445', 'Doberman', '2', '45042', '0', '32660', '33230', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2446', 'Doberman', '0', '45042', '0', '32672', '33255', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2447', 'Doberman', '2', '45042', '0', '32689', '33319', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2448', 'Doberman', '0', '45042', '0', '32645', '33325', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2463', 'Doberman', '2', '45042', '0', '32681', '32706', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2464', 'Doberman', '0', '45042', '0', '32683', '32647', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2465', 'Doberman', '2', '45042', '0', '32795', '32702', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2466', 'Doberman', '0', '45042', '0', '32851', '32700', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2467', 'Doberman', '2', '45042', '0', '32853', '32663', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2468', 'Doberman', '0', '45042', '0', '32754', '32722', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2469', 'Wolf', '2', '45043', '0', '33479', '32476', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2470', 'Wolf', '0', '45043', '0', '33420', '32482', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2471', 'Wolf', '2', '45043', '0', '33441', '32419', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2472', 'Wolf', '0', '45043', '0', '33455', '32433', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2473', 'Wolf', '2', '45043', '0', '33476', '32424', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2474', 'Wolf', '0', '45043', '0', '33491', '32418', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2475', 'Wolf', '2', '45043', '0', '33472', '32440', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2476', 'Wolf', '0', '45043', '0', '33455', '32433', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2477', 'Wolf', '2', '45043', '0', '33421', '32432', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2478', 'Wolf', '0', '45043', '0', '33408', '32432', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2479', 'Wolf', '2', '45043', '0', '33404', '32447', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2480', 'Wolf', '0', '45043', '0', '33428', '32436', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2481', 'Wolf', '2', '45043', '0', '33437', '32452', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2482', 'Wolf', '0', '45043', '0', '33419', '32469', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2483', 'Wolf', '2', '45043', '0', '33423', '32481', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2484', 'Wolf', '0', '45043', '0', '33400', '32438', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2485', 'Wolf', '2', '45043', '0', '33411', '32449', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2486', 'Wolf', '0', '45043', '0', '33420', '32432', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2487', 'Wolf', '2', '45043', '0', '33470', '32443', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2488', 'Wolf', '0', '45043', '0', '33479', '32450', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2489', 'Wolf', '2', '45043', '0', '33493', '32451', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2490', 'Wolf', '0', '45043', '0', '33503', '32456', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2491', 'Wolf', '2', '45043', '0', '33500', '32466', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2492', 'Wolf', '0', '45043', '0', '33503', '32477', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2493', 'Wolf', '2', '45043', '0', '33497', '32490', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2494', 'Wolf', '0', '45043', '0', '33493', '32501', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2495', 'Wolf', '2', '45043', '0', '33491', '32513', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2496', 'Wolf', '0', '45043', '0', '33484', '32526', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2497', 'Wolf', '2', '45043', '0', '33476', '32522', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2498', 'Wolf', '0', '45043', '0', '33467', '32512', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2499', 'Wolf', '2', '45043', '0', '33444', '32510', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2500', 'Wolf', '0', '45043', '0', '33426', '32510', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2501', 'Wolf', '2', '45043', '0', '33411', '32515', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2502', 'Wolf', '0', '45043', '0', '33402', '32513', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2503', 'Wolf', '2', '45043', '0', '33391', '32509', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2504', 'Wolf', '0', '45043', '0', '33396', '32495', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2505', 'Wolf', '2', '45043', '0', '33411', '32496', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2506', 'Wolf', '0', '45043', '0', '33431', '32499', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2507', 'Wolf', '2', '45043', '0', '33447', '32495', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2508', 'Wolf', '0', '45043', '0', '33449', '32471', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2509', 'Wolf', '2', '45043', '0', '33456', '32455', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2510', 'Wolf', '0', '45043', '0', '33468', '32465', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2511', 'Wolf', '2', '45043', '0', '33483', '32488', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2512', 'Wolf', '0', '45043', '0', '33484', '32488', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2513', 'Wolf', '2', '45043', '0', '33261', '33019', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2514', 'Wolf', '0', '45043', '0', '33427', '33061', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2515', 'Wolf', '2', '45043', '0', '33472', '33045', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2516', 'Wolf', '0', '45043', '0', '33492', '33021', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2517', 'Wolf', '2', '45043', '0', '33538', '33036', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2518', 'Wolf', '0', '45043', '0', '33589', '33073', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2519', 'Wolf', '2', '45043', '0', '33638', '33052', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2520', 'Wolf', '0', '45043', '0', '33657', '32992', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2521', 'Wolf', '2', '45043', '0', '33639', '32927', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2522', 'Wolf', '0', '45043', '0', '33697', '32950', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2523', 'Wolf', '2', '45043', '0', '33677', '32978', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2524', 'Wolf', '0', '45043', '0', '33712', '32936', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2525', 'Wolf', '2', '45043', '0', '33694', '32896', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2526', 'Wolf', '0', '45043', '0', '33695', '33014', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2527', 'Wolf', '2', '45043', '0', '33737', '33002', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2528', 'Wolf', '0', '45043', '0', '33773', '32997', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2529', 'Wolf', '2', '45043', '0', '33856', '33026', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2530', 'Wolf', '0', '45043', '0', '33879', '33008', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2531', 'Wolf', '2', '45043', '0', '33852', '32978', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2532', 'Wolf', '0', '45043', '0', '33826', '32963', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2533', 'Wolf', '2', '45043', '0', '33756', '32956', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2534', 'Wolf', '0', '45043', '0', '33682', '32943', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2535', 'Wolf', '2', '45043', '0', '33743', '33027', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2536', 'Raccoon', '0', '45044', '0', '32504', '33149', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2537', 'Raccoon', '2', '45044', '0', '32478', '33151', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2538', 'Raccoon', '0', '45044', '0', '32416', '33115', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2539', 'Raccoon', '2', '45044', '0', '32334', '33134', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2540', 'Raccoon', '0', '45044', '0', '32352', '33100', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2541', 'Raccoon', '2', '45044', '0', '32367', '33099', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2542', 'Raccoon', '0', '45044', '0', '32365', '32984', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2543', 'Raccoon', '2', '45044', '0', '32397', '33000', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2544', 'Raccoon', '0', '45044', '0', '32376', '33045', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2546', 'Beagle', '0', '45046', '0', '32615', '33256', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2547', 'Beagle', '2', '45046', '0', '32580', '33261', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2548', 'Beagle', '0', '45046', '0', '32566', '33278', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2549', 'Beagle', '2', '45046', '0', '32612', '33338', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2550', 'Beagle', '0', '45046', '0', '33267', '33240', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2551', 'Beagle', '2', '45046', '0', '32686', '33273', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2552', 'Beagle', '0', '45046', '0', '32634', '33317', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2553', 'Saint Bernard', '2', '45047', '0', '33966', '32353', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2554', 'Saint Bernard', '0', '45047', '0', '33946', '32321', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2555', 'Saint Bernard', '2', '45047', '0', '33915', '32327', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2556', 'Saint Bernard', '0', '45047', '0', '33937', '32344', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2557', 'Saint Bernard', '2', '45047', '0', '33965', '32320', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2558', 'Saint Bernard', '0', '45047', '0', '33980', '32299', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2559', 'Saint Bernard', '2', '45047', '0', '34008', '32283', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2560', 'Saint Bernard', '0', '45047', '0', '34025', '32305', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2561', 'Saint Bernard', '2', '45047', '0', '34045', '32333', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2562', 'Saint Bernard', '0', '45047', '0', '34067', '32350', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2563', 'Saint Bernard', '2', '45047', '0', '34044', '32358', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2564', 'Fox', '0', '45048', '0', '33972', '32671', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2565', 'Fox', '2', '45048', '0', '34059', '32709', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2566', 'Fox', '0', '45048', '0', '34188', '32688', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2567', 'Fox', '2', '45048', '0', '34208', '32647', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2568', 'Fox', '0', '45048', '0', '34082', '32634', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2569', 'Fox', '2', '45048', '0', '33944', '32625', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2570', 'Fox', '0', '45048', '0', '33961', '32628', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2571', 'Fatigued Ratman', '2', '45052', '0', '32606', '32742', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2572', 'Fatigued Ratman', '0', '45052', '0', '32562', '32731', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2573', 'Fatigued Ratman', '2', '45052', '0', '32568', '32762', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2574', 'Fatigued Ratman', '0', '45052', '0', '32554', '32810', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2575', 'Fatigued Ratman', '2', '45052', '0', '32549', '32862', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2576', 'Fatigued Ratman', '0', '45052', '0', '32624', '32814', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2577', 'Fatigued Ratman', '2', '45052', '0', '32618', '32767', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2578', 'Fatigued Ratman', '0', '45052', '0', '32619', '32807', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2579', 'Fatigued Ratman', '2', '45052', '0', '32608', '32796', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2580', 'Fatigued Ratman', '0', '45052', '0', '32624', '32786', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2581', 'Fatigued Ratman', '2', '45052', '0', '32602', '32760', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2582', 'Fatigued Ratman', '0', '45052', '0', '32587', '32757', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2583', 'Fatigued Ratman', '2', '45052', '0', '32568', '32752', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2584', 'Fatigued Ratman', '0', '45052', '0', '32582', '32738', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2585', 'Fatigued Ratman', '2', '45052', '0', '32670', '32792', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2586', 'Fatigued Ratman', '0', '45052', '0', '32684', '32786', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2587', 'Fatigued Ratman', '2', '45052', '0', '32664', '32765', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2588', 'Fatigued Ratman', '0', '45052', '0', '32653', '32766', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2589', 'Fatigued Ratman', '2', '45052', '0', '32629', '32918', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2590', 'Fatigued Ratman', '0', '45052', '0', '32619', '32922', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2591', 'Husky', '2', '45053', '0', '33947', '32642', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2592', 'Husky', '0', '45053', '0', '33959', '32656', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2593', 'Husky', '2', '45053', '0', '33987', '32682', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2594', 'Husky', '0', '45053', '0', '33996', '32689', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2595', 'Husky', '2', '45053', '0', '34012', '32703', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2596', 'Husky', '0', '45053', '0', '34019', '32693', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2597', 'Husky', '2', '45053', '0', '34031', '32694', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2598', 'Husky', '0', '45053', '0', '34040', '32703', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2599', 'Husky', '2', '45053', '0', '34068', '32689', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2600', 'Husky', '0', '45053', '0', '34082', '32682', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2601', 'Husky', '2', '45053', '0', '34111', '32682', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2602', 'Husky', '0', '45053', '0', '34120', '32686', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2603', 'Husky', '2', '45053', '0', '34146', '32699', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2604', 'Husky', '0', '45053', '0', '34174', '32692', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2605', 'Husky', '2', '45053', '0', '34221', '32654', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2606', 'Husky', '0', '45053', '0', '34180', '32628', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2607', 'Husky', '2', '45053', '0', '34159', '32622', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2608', 'Husky', '0', '45053', '0', '34143', '32632', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2609', 'Husky', '2', '45053', '0', '34129', '32638', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2610', 'Husky', '0', '45053', '0', '34095', '32633', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2611', 'Husky', '2', '45053', '0', '34069', '32635', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2612', 'Husky', '0', '45053', '0', '34037', '32636', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2613', 'Husky', '2', '45053', '0', '34027', '32637', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2614', 'Husky', '0', '45053', '0', '34013', '32636', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2615', 'Husky', '2', '45053', '0', '34005', '32631', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2616', 'Husky', '0', '45053', '0', '33973', '32627', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2617', 'Valley Owlbear', '2', '45056', '0', '32572', '32821', '0', '0', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2618', 'Valley Owlbear', '0', '45056', '0', '32576', '32817', '0', '0', '0', '0', '0', '0', '1', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2619', 'Valley Owlbear', '2', '45056', '0', '32583', '32816', '0', '0', '0', '0', '0', '0', '7', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2620', 'Valley Owlbear', '0', '45056', '0', '32562', '32799', '0', '0', '0', '0', '0', '0', '1', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2621', 'Valley Owlbear', '2', '45056', '0', '32549', '32790', '0', '0', '0', '0', '0', '0', '5', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2622', 'Valley Owlbear', '0', '45056', '0', '32533', '32789', '0', '0', '0', '0', '0', '0', '7', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2623', 'Valley Owlbear', '2', '45056', '0', '32561', '32749', '0', '0', '0', '0', '0', '0', '1', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2624', 'Valley Owlbear', '0', '45056', '0', '32548', '32802', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2625', 'Valley Owlbear', '2', '45056', '0', '32544', '32786', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2626', 'Valley Owlbear', '0', '45056', '0', '32561', '32788', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2627', 'Valley Owlbear', '2', '45056', '0', '32571', '32772', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2628', 'Valley Owlbear', '0', '45056', '0', '32576', '32759', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2629', 'Valley Owlbear', '2', '45056', '0', '32592', '32780', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2630', 'Valley Owlbear', '0', '45056', '0', '32591', '32796', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2631', 'Valley Owlbear', '2', '45056', '0', '32595', '32811', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2632', 'Valley Owlbear', '0', '45056', '0', '32569', '32823', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2633', 'Valley Owlbear', '2', '45056', '0', '32568', '32844', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2634', 'Valley Owlbear', '0', '45056', '0', '32546', '32843', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2635', 'Valley Owlbear', '2', '45056', '0', '32541', '32832', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2636', 'Valley Owlbear', '0', '45056', '0', '32532', '32818', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2637', 'Valley Owlbear', '2', '45056', '0', '32559', '32854', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2638', 'Valley Owlbear', '0', '45056', '0', '32580', '32818', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2639', 'Valley Owlbear', '2', '45056', '0', '32590', '32774', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2640', 'Valley Owlbear', '0', '45056', '0', '32622', '32777', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2641', 'Valley Owlbear', '2', '45056', '0', '32652', '32786', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2642', 'Valley Owlbear', '0', '45056', '0', '32619', '32759', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2643', 'Valley Owlbear', '2', '45056', '0', '32594', '32758', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2644', 'Valley Owlbear', '0', '45056', '0', '32666', '32912', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2645', 'Valley Owlbear', '2', '45056', '0', '32703', '32990', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2646', 'Valley Owlbear', '0', '45056', '0', '32639', '32961', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2647', 'Valley Owlbear', '2', '45056', '0', '32601', '32991', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2648', 'Valley Owlbear', '0', '45056', '0', '32559', '32925', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2649', 'Valley Owlbear', '2', '45056', '0', '32610', '32865', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2650', 'Valley Owlbear', '0', '45056', '0', '32592', '32846', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2651', 'Valley Owlbear', '2', '45056', '0', '32766', '32782', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2652', 'Valley Owlbear', '0', '45056', '0', '32750', '32780', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2653', 'Valley Owlbear', '2', '45056', '0', '32731', '32782', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2654', 'Valley Owlbear', '0', '45056', '0', '32722', '32798', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2655', 'Valley Owlbear', '2', '45056', '0', '32779', '32879', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2656', 'Valley Owlbear', '0', '45056', '0', '32798', '32878', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2657', 'Valley Owlbear', '2', '45056', '0', '32764', '32899', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2658', 'Valley Owlbear', '0', '45056', '0', '32784', '32771', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2659', 'Valley Owlbear', '2', '45056', '0', '32777', '32795', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2660', 'Valley Owlbear', '0', '45056', '0', '32734', '32800', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2661', 'Valley Owlbear', '2', '45056', '0', '32707', '32762', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2662', 'Valley Owlbear', '0', '45056', '0', '32681', '32781', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2663', 'Valley Owlbear', '2', '45056', '0', '32626', '32839', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2664', 'Valley Owlbear', '0', '45056', '0', '32610', '32838', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2665', 'Valley Owlbear', '2', '45056', '0', '32582', '32860', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2666', 'Valley Owlbear', '0', '45056', '0', '32549', '32873', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2667', 'Valley Owlbear', '2', '45056', '0', '32560', '32906', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2668', 'Giant Spider', '0', '45059', '0', '32632', '32779', '0', '0', '0', '0', '0', '0', '6', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2669', 'Giant Spider', '0', '45059', '0', '32739', '32840', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2670', 'Giant Spider', '0', '45059', '0', '32748', '32833', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2671', 'Giant Spider', '0', '45059', '0', '32731', '32822', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2672', 'Giant Spider', '0', '45059', '0', '32716', '32819', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2673', 'Slime', '2', '45060', '0', '33060', '33439', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2674', 'Slime', '0', '45060', '0', '33069', '33330', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2675', 'Slime', '2', '45060', '0', '33078', '33329', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2683', 'Rotting Skeleton Guard', '2', '45062', '0', '32856', '32839', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2684', 'Rotting Skeleton Guard', '0', '45062', '0', '32889', '32827', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2685', 'Rotting Skeleton Guard', '2', '45062', '0', '32941', '32798', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2686', 'Rotting Skeleton Guard', '0', '45062', '0', '32921', '32863', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2687', 'Rotting Skeleton Guard', '2', '45062', '0', '32902', '32842', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2688', 'Rotting Skeleton Guard', '0', '45062', '0', '32876', '32857', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2689', 'Rotting Skeleton Guard', '2', '45062', '0', '32829', '32841', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2690', 'Rotting Skeleton Guard', '0', '45062', '0', '32778', '32866', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2691', 'Rotting Skeleton Guard', '2', '45062', '0', '32683', '32655', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2692', 'Rotting Skeleton Guard', '0', '45062', '0', '32707', '32638', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2693', 'Rotting Skeleton Guard', '2', '45062', '0', '32723', '32660', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2694', 'Rotting Skeleton Guard', '0', '45062', '0', '32744', '32657', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2695', 'Rotting Skeleton Guard', '2', '45062', '0', '32727', '32639', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2696', 'Rotting Skeleton Guard', '0', '45062', '0', '32844', '32656', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2697', 'Rotting Skeleton Guard', '2', '45062', '0', '32832', '32666', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2698', 'Rotting Skeleton Guard', '0', '45062', '0', '32848', '32644', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2699', 'Rotting Skeleton Guard', '2', '45062', '0', '32834', '32653', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2700', 'Rotting Skeleton Guard', '0', '45062', '0', '32831', '32619', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2701', 'Rotting Skeleton Guard', '2', '45062', '0', '32788', '32666', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2702', 'Rotting Skeleton Marksman', '0', '45063', '0', '32881', '32841', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2703', 'Rotting Skeleton Marksman', '2', '45063', '0', '32913', '32832', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2704', 'Rotting Skeleton Marksman', '0', '45063', '0', '32929', '32845', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2705', 'Rotting Skeleton Marksman', '2', '45063', '0', '32889', '32851', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2706', 'Rotting Skeleton Marksman', '0', '45063', '0', '32859', '32845', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2707', 'Rotting Skeleton Marksman', '2', '45063', '0', '32677', '32663', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2708', 'Rotting Skeleton Marksman', '0', '45063', '0', '32731', '32661', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2709', 'Rotting Skeleton Marksman', '2', '45063', '0', '32856', '32657', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2710', 'Rotting Skeleton Marksman', '0', '45063', '0', '32833', '32632', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2711', 'Rotting Skeleton Marksman', '2', '45063', '0', '32796', '32638', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2712', 'Rotting Skeleton Marksman', '0', '45063', '0', '32795', '32686', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2719', 'Zombie', '2', '45065', '0', '32765', '32843', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2720', 'Zombie', '0', '45065', '0', '32757', '32849', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2721', 'Zombie', '2', '45065', '0', '32797', '32924', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2722', 'Zombie', '0', '45065', '0', '32781', '32919', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2723', 'Zombie', '2', '45065', '0', '32785', '32918', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2724', 'Zombie', '0', '45065', '0', '32787', '32924', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2725', 'Zombie', '2', '45065', '0', '32808', '32899', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2726', 'Zombie', '0', '45065', '0', '32859', '32895', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2727', 'Zombie', '2', '45065', '0', '32823', '32865', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2728', 'Zombie', '0', '45065', '0', '32800', '32857', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2729', 'Zombie', '2', '45065', '0', '32783', '32870', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2730', 'Zombie', '0', '45065', '0', '32763', '32844', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2731', 'Zombie', '2', '45065', '0', '32763', '32854', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2732', 'Zombie', '0', '45065', '0', '32864', '32860', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2733', 'Zombie', '2', '45065', '0', '32866', '32863', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2734', 'Zombie', '0', '45065', '0', '32879', '32845', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2735', 'Zombie', '2', '45065', '0', '32914', '32847', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2736', 'Zombie', '0', '45065', '0', '32911', '32811', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2737', 'Zombie', '2', '45065', '0', '32918', '32846', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2738', 'Zombie', '0', '45065', '0', '32908', '32846', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2837', 'Zombie', '2', '45065', '0', '32862', '32674', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2838', 'Zombie', '0', '45065', '0', '32853', '32654', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2839', 'Zombie', '2', '45065', '0', '32864', '32631', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2840', 'Zombie', '0', '45065', '0', '32864', '32630', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2841', 'Zombie', '2', '45065', '0', '32866', '32629', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2842', 'Zombie', '0', '45065', '0', '32863', '32634', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2843', 'Zombie', '2', '45065', '0', '32860', '32635', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2844', 'Zombie', '0', '45065', '0', '32857', '32634', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2845', 'Zombie', '2', '45065', '0', '32857', '32632', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2846', 'Zombie', '0', '45065', '0', '32858', '32631', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2847', 'Zombie', '2', '45065', '0', '32811', '32746', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2848', 'Zombie', '0', '45065', '0', '32810', '32745', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2849', 'Zombie', '2', '45065', '0', '32811', '32742', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2850', 'Zombie', '0', '45065', '0', '32807', '32748', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2851', 'Zombie', '2', '45065', '0', '32808', '32751', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2852', 'Zombie', '0', '45065', '0', '32812', '32751', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2853', 'Zombie', '2', '45065', '0', '32815', '32750', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2854', 'Zombie', '0', '45065', '0', '32815', '32745', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2855', 'Zombie', '2', '45065', '0', '32841', '32739', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2856', 'Zombie', '0', '45065', '0', '32861', '32725', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2857', 'Zombie', '2', '45065', '0', '32798', '32710', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2858', 'Zombie', '0', '45065', '0', '32853', '32633', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2859', 'Zombie', '2', '45065', '0', '32851', '32631', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2860', 'Zombie', '0', '45065', '0', '32852', '32626', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2861', 'Zombie', '2', '45065', '0', '32856', '32625', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2862', 'Zombie', '0', '45065', '0', '32859', '32627', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2863', 'Zombie', '2', '45065', '0', '32855', '32634', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2864', 'Zombie', '0', '45065', '0', '32848', '32636', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2865', 'Zombie', '2', '45065', '0', '32821', '32652', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2866', 'Zombie', '0', '45065', '0', '32825', '32675', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2867', 'Zombie', '2', '45065', '0', '32848', '32676', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2868', 'Zombie', '0', '45065', '0', '32814', '32693', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2869', 'Zombie', '2', '45065', '0', '32788', '32682', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2870', 'Zombie', '0', '45065', '0', '32796', '32657', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2871', 'Zombie', '2', '45065', '0', '32790', '32638', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2872', 'Zombie', '0', '45065', '0', '32812', '32612', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2873', 'Zombie', '2', '45065', '0', '32839', '32605', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2874', 'Zombie', '0', '45065', '0', '32714', '32727', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2875', 'Zombie', '2', '45065', '0', '32718', '32749', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2876', 'Zombie', '0', '45065', '0', '32749', '32737', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2877', 'Zombie', '2', '45065', '0', '32759', '32711', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2878', 'Zombie', '0', '45065', '0', '32768', '32681', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2879', 'Zombie', '2', '45065', '0', '32699', '32632', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2880', 'Zombie', '0', '45065', '0', '32716', '32616', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2881', 'Zombie', '2', '45065', '0', '32721', '32598', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2882', 'Zombie', '0', '45065', '0', '32734', '32604', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2883', 'Zombie', '2', '45065', '0', '32730', '32628', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2884', 'Zombie', '0', '45065', '0', '32749', '32623', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2885', 'Zombie', '2', '45065', '0', '32742', '32653', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2886', 'Zombie', '0', '45065', '0', '32799', '32690', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2887', 'Zombie', '2', '45065', '0', '32834', '32663', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2888', 'Zombie', '0', '45065', '0', '32869', '32703', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2889', 'Zombie', '2', '45065', '0', '32878', '32737', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2890', 'Zombie', '0', '45065', '0', '32896', '32726', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2891', 'Zombie', '2', '45065', '0', '32906', '32709', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2892', 'Zombie', '0', '45065', '0', '32799', '32774', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2893', 'Zombie', '2', '45065', '0', '32777', '32768', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2894', 'Zombie', '0', '45065', '0', '32754', '32760', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2895', 'Zombie', '2', '45065', '0', '32731', '32752', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2896', 'Zombie', '0', '45065', '0', '32687', '32665', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2897', 'Zombie', '2', '45065', '0', '32716', '32642', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2898', 'Zombie', '0', '45065', '0', '32732', '32667', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2899', 'Zombie', '2', '45065', '0', '34033', '32396', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2900', 'Zombie', '0', '45065', '0', '34044', '32405', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2901', 'Zombie', '2', '45065', '0', '34070', '32402', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2902', 'Zombie', '0', '45065', '0', '34101', '32396', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2903', 'Zombie', '2', '45065', '0', '34111', '32436', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2904', 'Zombie', '0', '45065', '0', '34144', '32447', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2905', 'Zombie', '2', '45065', '0', '34089', '32517', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2906', 'Zombie', '0', '45065', '0', '34079', '32562', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2907', 'Zombie', '2', '45065', '0', '34016', '32568', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2908', 'Zombie', '0', '45065', '0', '34000', '32548', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2909', 'Zombie', '2', '45065', '0', '34004', '32480', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2910', 'Zombie', '0', '45065', '0', '33988', '32433', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2911', 'Zombie', '2', '45065', '0', '33997', '32403', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2912', 'Zombie', '0', '45065', '0', '34061', '32441', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2913', 'Zombie', '2', '45065', '0', '34092', '32501', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2914', 'Zombie', '0', '45065', '0', '34043', '32479', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2915', 'Zombie', '2', '45065', '0', '34017', '32476', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2916', 'Zombie', '0', '45065', '0', '34073', '32554', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2917', 'Zombie', '2', '45065', '0', '34129', '32503', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2918', 'Zombie', '0', '45065', '0', '33979', '32423', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2919', 'Zombie', '2', '45065', '0', '33954', '32452', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2920', 'Zombie', '0', '45065', '0', '33956', '32488', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3006', 'Zombie', '0', '45065', '0', '32817', '32887', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3007', 'Zombie', '2', '45065', '0', '32781', '32915', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3008', 'Zombie', '0', '45065', '0', '32775', '32948', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3009', 'Zombie', '2', '45065', '0', '32794', '32947', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3010', 'Zombie', '0', '45065', '0', '32811', '32936', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3011', 'Zombie', '2', '45065', '0', '32834', '32945', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3012', 'Zombie', '0', '45065', '0', '32852', '32946', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3013', 'Zombie', '2', '45065', '0', '32876', '32950', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3014', 'Zombie', '0', '45065', '0', '32903', '32947', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3015', 'Zombie', '2', '45065', '0', '32903', '32925', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3016', 'Zombie', '0', '45065', '0', '32888', '32918', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3017', 'Zombie', '2', '45065', '0', '32871', '32903', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3018', 'Zombie', '0', '45065', '0', '32895', '32901', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3019', 'Zombie', '2', '45065', '0', '32901', '32876', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3020', 'Zombie', '0', '45065', '0', '32926', '32898', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3021', 'Zombie', '2', '45065', '0', '32924', '32937', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3061', 'Zombie', '2', '45065', '0', '32901', '32856', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3062', 'Zombie', '0', '45065', '0', '32847', '32868', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3063', 'Zombie', '2', '45065', '0', '32800', '32870', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3064', 'Zombie', '0', '45065', '0', '32753', '32689', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3065', 'Zombie', '2', '45065', '0', '32716', '32657', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3066', 'Zombie', '0', '45065', '0', '32676', '32651', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3067', 'Zombie', '2', '45065', '0', '32683', '32663', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3068', 'Zombie', '0', '45065', '0', '32685', '32697', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3069', 'Zombie', '2', '45065', '0', '32680', '32717', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3070', 'Zombie', '0', '45065', '0', '32725', '32683', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3071', 'Zombie', '2', '45065', '0', '32737', '32722', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3072', 'Zombie', '0', '45065', '0', '32698', '32716', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3086', 'Valley Harpy', '0', '45067', '0', '32611', '32900', '0', '0', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3087', 'Valley Harpy', '2', '45067', '0', '32598', '32903', '0', '0', '0', '0', '0', '0', '5', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3088', 'Valley Harpy', '0', '45067', '0', '32563', '32896', '0', '0', '0', '0', '0', '0', '6', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3089', 'Valley Harpy', '2', '45067', '0', '32546', '32903', '0', '0', '0', '0', '0', '0', '4', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3090', 'Valley Harpy', '0', '45067', '0', '32545', '32925', '0', '0', '0', '0', '0', '0', '4', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3091', 'Valley Harpy', '2', '45067', '0', '32558', '32939', '0', '0', '0', '0', '0', '0', '2', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3092', 'Valley Harpy', '0', '45067', '0', '32563', '32931', '0', '0', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3093', 'Valley Harpy', '2', '45067', '0', '32585', '32933', '0', '0', '0', '0', '0', '0', '1', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3094', 'Valley Harpy', '0', '45067', '0', '32576', '32838', '0', '0', '0', '0', '0', '0', '7', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3095', 'Valley Harpy', '2', '45067', '0', '32572', '32817', '0', '0', '0', '0', '0', '0', '6', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3096', 'Valley Harpy', '0', '45067', '0', '32568', '32735', '0', '0', '0', '0', '0', '0', '7', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3097', 'Valley Harpy', '2', '45067', '0', '32604', '32776', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3098', 'Valley Harpy', '0', '45067', '0', '32627', '32769', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3099', 'Valley Harpy', '2', '45067', '0', '32616', '32741', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3100', 'Valley Harpy', '0', '45067', '0', '32574', '32767', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3101', 'Valley Harpy', '2', '45067', '0', '32583', '32788', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3102', 'Valley Harpy', '0', '45067', '0', '32570', '32816', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3103', 'Valley Harpy', '2', '45067', '0', '32541', '32786', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3104', 'Valley Harpy', '0', '45067', '0', '32555', '32841', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3105', 'Valley Harpy', '2', '45067', '0', '32587', '32837', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3106', 'Valley Harpy', '0', '45067', '0', '32582', '32776', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3107', 'Valley Harpy', '2', '45067', '0', '32562', '32802', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3108', 'Valley Harpy', '0', '45067', '0', '32563', '32758', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3109', 'Valley Harpy', '2', '45067', '0', '32600', '32801', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3110', 'Valley Harpy', '0', '45067', '0', '32545', '32811', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3111', 'Valley Harpy', '2', '45067', '0', '32805', '32876', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3112', 'Valley Harpy', '0', '45067', '0', '32799', '32822', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3113', 'Valley Harpy', '2', '45067', '0', '32737', '32757', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3114', 'Valley Harpy', '0', '45067', '0', '32737', '32810', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3115', 'Valley Harpy', '2', '45067', '0', '32764', '32819', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3116', 'Valley Harpy', '0', '45067', '0', '32781', '32838', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3117', 'Valley Harpy', '2', '45067', '0', '32796', '32812', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3118', 'Valley Harpy', '0', '45067', '0', '32786', '32858', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3119', 'Valley Harpy', '2', '45067', '0', '32783', '32922', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3120', 'Valley Harpy', '0', '45067', '0', '32770', '32927', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3121', 'Valley Harpy', '2', '45067', '0', '32743', '32977', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3122', 'Valley Harpy', '0', '45067', '0', '32753', '32988', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3123', 'Valley Harpy', '2', '45067', '0', '32782', '32988', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3124', 'Valley Harpy', '0', '45067', '0', '32810', '32934', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3125', 'Valley Harpy', '2', '45067', '0', '32787', '32917', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3126', 'Valley Harpy', '0', '45067', '0', '32725', '32946', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3127', 'Valley Harpy', '2', '45067', '0', '32677', '32787', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3128', 'Valley Harpy', '0', '45067', '0', '32704', '32808', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3129', 'Valley Harpy', '2', '45067', '0', '32660', '32797', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3130', 'Valley Harpy', '0', '45067', '0', '32643', '32799', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3131', 'Valley Harpy', '2', '45067', '0', '32673', '32742', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3132', 'Valley Harpy', '0', '45067', '0', '32664', '32732', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3133', 'Valley Harpy', '2', '45067', '0', '32651', '32735', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3134', 'Valley Harpy', '0', '45067', '0', '32641', '32770', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3135', 'Valley Harpy', '2', '45067', '0', '32622', '32758', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3136', 'Valley Harpy', '0', '45067', '0', '32599', '32760', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3137', 'Valley Harpy', '2', '45067', '0', '32605', '32847', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3138', 'Valley Harpy', '0', '45067', '0', '32626', '32851', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3139', 'Valley Harpy', '2', '45067', '0', '32572', '32878', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3140', 'Valley Harpy', '0', '45067', '0', '32609', '32923', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3157', 'Floating Eye', '2', '45068', '0', '32761', '33325', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3158', 'Floating Eye', '0', '45068', '0', '32715', '33284', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3159', 'Floating Eye', '2', '45068', '0', '32584', '33212', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3160', 'Floating Eye', '0', '45068', '0', '32886', '33484', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3161', 'Floating Eye', '2', '45068', '0', '32944', '33499', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3162', 'Floating Eye', '0', '45068', '0', '32959', '33474', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3163', 'Floating Eye', '2', '45068', '0', '32936', '33462', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3164', 'Floating Eye', '0', '45068', '0', '32906', '33462', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3165', 'Floating Eye', '2', '45068', '0', '32879', '33447', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3166', 'Floating Eye', '0', '45068', '0', '32794', '33447', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3167', 'Floating Eye', '2', '45068', '0', '32711', '33455', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3168', 'Floating Eye', '0', '45068', '0', '32757', '33482', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3169', 'Floating Eye', '2', '45068', '0', '32816', '33472', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3170', 'Floating Eye', '0', '45068', '0', '32869', '33410', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3171', 'Floating Eye', '2', '45068', '0', '32887', '33416', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3172', 'Floating Eye', '0', '45068', '0', '32913', '33495', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3173', 'Floating Eye', '2', '45068', '0', '32932', '33481', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3174', 'Floating Eye', '0', '45068', '0', '32845', '33429', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3175', 'Floating Eye', '2', '45068', '0', '32797', '33431', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3176', 'Floating Eye', '0', '45068', '0', '32777', '33470', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3177', 'Floating Eye', '2', '45068', '0', '32876', '33435', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3178', 'Floating Eye', '0', '45068', '0', '32933', '33446', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3188', 'Floating Eye', '0', '45068', '0', '33016', '33219', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3189', 'Floating Eye', '2', '45068', '0', '33030', '33177', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3190', 'Floating Eye', '0', '45068', '0', '32998', '33175', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3191', 'Floating Eye', '2', '45068', '0', '32981', '33159', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3192', 'Floating Eye', '0', '45068', '0', '32985', '33120', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3193', 'Floating Eye', '2', '45068', '0', '32935', '33117', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3194', 'Floating Eye', '0', '45068', '0', '32926', '33086', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3195', 'Floating Eye', '2', '45068', '0', '32890', '33087', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3196', 'Floating Eye', '0', '45068', '0', '32861', '33064', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3197', 'Floating Eye', '2', '45068', '0', '32853', '33034', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3198', 'Floating Eye', '0', '45068', '0', '32821', '33044', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3199', 'Starved Troll', '0', '45069', '0', '32579', '32741', '0', '0', '0', '0', '0', '0', '5', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3200', 'Starved Troll', '0', '45069', '0', '32581', '32733', '0', '0', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3201', 'Starved Troll', '0', '45069', '0', '32600', '32743', '0', '0', '0', '0', '0', '0', '2', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3202', 'Starved Troll', '0', '45069', '0', '32618', '32742', '0', '0', '0', '0', '0', '0', '3', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3203', 'Starved Troll', '0', '45069', '0', '32629', '32746', '0', '0', '0', '0', '0', '0', '3', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3204', 'Starved Troll', '0', '45069', '0', '32636', '32750', '0', '0', '0', '0', '0', '0', '4', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3205', 'Starved Troll', '0', '45069', '0', '32640', '32760', '0', '0', '0', '0', '0', '0', '6', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3206', 'Starved Troll', '0', '45069', '0', '32620', '32779', '0', '0', '0', '0', '0', '0', '5', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3207', 'Starved Troll', '0', '45069', '0', '32615', '32790', '0', '0', '0', '0', '0', '0', '4', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3208', 'Starved Troll', '0', '45069', '0', '32623', '32812', '0', '0', '0', '0', '0', '0', '6', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3209', 'Starved Troll', '0', '45069', '0', '32655', '32797', '0', '0', '0', '0', '0', '0', '4', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3210', 'Starved Troll', '0', '45069', '0', '32728', '32760', '0', '0', '0', '0', '0', '0', '3', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3211', 'Starved Troll', '0', '45069', '0', '32740', '32754', '0', '0', '0', '0', '0', '0', '1', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3212', 'Starved Troll', '0', '45069', '0', '32757', '32764', '0', '0', '0', '0', '0', '0', '1', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3213', 'Starved Troll', '0', '45069', '0', '32763', '32749', '0', '0', '0', '0', '0', '0', '7', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3214', 'Starved Troll', '0', '45069', '0', '32743', '32736', '0', '0', '0', '0', '0', '0', '6', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3215', 'Starved Troll', '0', '45069', '0', '32752', '32736', '0', '0', '0', '0', '0', '0', '2', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3216', 'Starved Troll', '0', '45069', '0', '32741', '32740', '0', '0', '0', '0', '0', '0', '6', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3217', 'Starved Troll', '0', '45069', '0', '32775', '32771', '0', '0', '0', '0', '0', '0', '4', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3218', 'Starved Troll', '0', '45069', '0', '32783', '32780', '0', '0', '0', '0', '0', '0', '4', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3219', 'Starved Troll', '0', '45069', '0', '32781', '32790', '0', '0', '0', '0', '0', '0', '6', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3220', 'Starved Troll', '0', '45069', '0', '32790', '32834', '0', '0', '0', '0', '0', '0', '4', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3221', 'Starved Troll', '0', '45069', '0', '32798', '32823', '0', '0', '0', '0', '0', '0', '2', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3222', 'Starved Troll', '0', '45069', '0', '32796', '32819', '0', '0', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3223', 'Starved Troll', '0', '45069', '0', '32795', '32811', '0', '0', '0', '0', '0', '0', '4', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3224', 'Starved Troll', '0', '45069', '0', '32722', '32804', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3225', 'Starved Troll', '0', '45069', '0', '32731', '32799', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3226', 'Starved Troll', '0', '45069', '0', '32742', '32799', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3227', 'Starved Troll', '0', '45069', '0', '32744', '32813', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3228', 'Starved Troll', '0', '45069', '0', '32740', '32782', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3229', 'Starved Troll', '0', '45069', '0', '32736', '32779', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3230', 'Starved Troll', '0', '45069', '0', '32738', '32772', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3231', 'Starved Troll', '0', '45069', '0', '32746', '32776', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3232', 'Starved Troll', '0', '45069', '0', '32715', '32756', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3233', 'Starved Troll', '0', '45069', '0', '32717', '32747', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3234', 'Starved Troll', '0', '45069', '0', '32709', '32749', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3235', 'Starved Troll', '0', '45069', '0', '32693', '32757', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3236', 'Starved Troll', '0', '45069', '0', '32682', '32755', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3237', 'Starved Troll', '0', '45069', '0', '32660', '32756', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3238', 'Starved Troll', '0', '45069', '0', '32655', '32757', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3239', 'Starved Troll', '0', '45069', '0', '32652', '32768', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3240', 'Starved Troll', '0', '45069', '0', '32653', '32732', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3241', 'Starved Troll', '0', '45069', '0', '32642', '32731', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3242', 'Starved Troll', '0', '45069', '0', '32613', '32745', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3243', 'Starved Troll', '0', '45069', '0', '32618', '32727', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3244', 'Starved Troll', '0', '45069', '0', '32622', '32730', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3245', 'Starved Troll', '0', '45069', '0', '32611', '32784', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3246', 'Starved Troll', '0', '45069', '0', '32615', '32774', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3247', 'Starved Troll', '0', '45069', '0', '32600', '32787', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3248', 'Starved Troll', '0', '45069', '0', '32607', '32797', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3249', 'Starved Troll', '0', '45069', '0', '32624', '32825', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3250', 'Starved Troll', '0', '45069', '0', '32623', '32826', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3251', 'Starved Troll', '0', '45069', '0', '32639', '32837', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3252', 'Starved Troll', '0', '45069', '0', '32654', '32836', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3253', 'Starved Troll', '0', '45069', '0', '32659', '32842', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3254', 'Starved Troll', '0', '45069', '0', '32658', '32852', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3255', 'Starved Troll', '0', '45069', '0', '32657', '32866', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3256', 'Starved Troll', '0', '45069', '0', '32643', '32870', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3257', 'Starved Troll', '0', '45069', '0', '32633', '32871', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3258', 'Starved Troll', '0', '45069', '0', '32622', '32873', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3259', 'Starved Troll', '0', '45069', '0', '32621', '32868', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3260', 'Starved Troll', '0', '45069', '0', '32617', '32866', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3261', 'Starved Troll', '0', '45069', '0', '32611', '32868', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3262', 'Starved Troll', '0', '45069', '0', '32603', '32868', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3263', 'Starved Troll', '0', '45069', '0', '32607', '32859', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3264', 'Starved Troll', '0', '45069', '0', '32616', '32858', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3265', 'Starved Troll', '0', '45069', '0', '32614', '32848', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3266', 'Starved Troll', '0', '45069', '0', '32608', '32818', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3267', 'Starved Troll', '0', '45069', '0', '32611', '32802', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3268', 'Starved Troll', '0', '45069', '0', '32640', '32786', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3269', 'Starved Troll', '0', '45069', '0', '32654', '32766', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3270', 'Starved Troll', '0', '45069', '0', '32660', '32755', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3271', 'Starved Troll', '0', '45069', '0', '32654', '32756', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3272', 'Starved Troll', '0', '45069', '0', '32651', '32749', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3273', 'Starved Troll', '0', '45069', '0', '32651', '32742', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3274', 'Starved Troll', '0', '45069', '0', '32678', '32756', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3275', 'Starved Troll', '0', '45069', '0', '32713', '32734', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3276', 'Starved Troll', '0', '45069', '0', '32738', '32733', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3277', 'Starved Troll', '0', '45069', '0', '32736', '32734', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3278', 'Starved Troll', '0', '45069', '0', '32932', '32633', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3279', 'Starved Troll', '2', '45069', '0', '32937', '32610', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3280', 'Starved Troll', '0', '45069', '0', '32929', '32598', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3281', 'Starved Troll', '2', '45069', '0', '32911', '32602', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3282', 'Starved Troll', '0', '45069', '0', '32899', '32604', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3283', 'Starved Troll', '2', '45069', '0', '32880', '32615', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3284', 'Starved Troll', '0', '45069', '0', '32887', '32634', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3285', 'Starved Troll', '2', '45069', '0', '32900', '32630', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3286', 'Starved Troll', '0', '45069', '0', '32913', '32644', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3287', 'Starved Troll', '2', '45069', '0', '32922', '32631', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3288', 'Starved Troll', '0', '45069', '0', '32586', '32737', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3289', 'Starved Troll', '2', '45069', '0', '32566', '32747', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3290', 'Starved Troll', '0', '45069', '0', '32550', '32778', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3291', 'Starved Troll', '2', '45069', '0', '32537', '32814', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3292', 'Starved Troll', '0', '45069', '0', '32603', '32792', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3293', 'Giant Tarantula', '0', '45070', '0', '32739', '32862', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3294', 'Giant Tarantula', '0', '45070', '0', '32741', '32865', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3295', 'Giant Tarantula', '0', '45070', '0', '32738', '32869', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3296', 'Giant Tarantula', '0', '45070', '0', '32744', '32853', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3297', 'Giant Tarantula', '0', '45070', '0', '32739', '32832', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3298', 'Giant Tarantula', '0', '45070', '0', '32729', '32837', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3299', 'Giant Tarantula', '0', '45070', '0', '32722', '32841', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3300', 'Giant Tarantula', '0', '45070', '0', '32712', '32829', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3301', 'Giant Tarantula', '0', '45070', '0', '32746', '32818', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3302', 'Giant Tarantula', '0', '45070', '0', '32742', '32785', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3303', 'Giant Tarantula', '0', '45070', '0', '32742', '32780', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3304', 'Giant Tarantula', '0', '45070', '0', '32741', '32768', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3305', 'Giant Tarantula', '0', '45070', '0', '32743', '32760', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3306', 'Giant Tarantula', '0', '45070', '0', '32720', '32764', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3307', 'Giant Tarantula', '0', '45070', '0', '32697', '32761', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3308', 'Giant Tarantula', '0', '45070', '0', '32664', '32752', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3309', 'Giant Tarantula', '0', '45070', '0', '32633', '32736', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3310', 'Giant Tarantula', '0', '45070', '0', '32627', '32746', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3311', 'Giant Tarantula', '0', '45070', '0', '32635', '32759', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3312', 'Giant Tarantula', '0', '45070', '0', '32612', '32752', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3313', 'Giant Tarantula', '0', '45070', '0', '32611', '32732', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3314', 'Giant Tarantula', '0', '45070', '0', '32618', '32789', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3315', 'Giant Tarantula', '0', '45070', '0', '32613', '32789', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3316', 'Giant Tarantula', '0', '45070', '0', '32613', '32802', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3317', 'Giant Tarantula', '0', '45070', '0', '32618', '32801', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3318', 'Giant Tarantula', '0', '45070', '0', '32637', '32817', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3319', 'Giant Tarantula', '0', '45070', '0', '32636', '32822', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3320', 'Giant Tarantula', '0', '45070', '0', '32630', '32828', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3321', 'Giant Tarantula', '0', '45070', '0', '32650', '32826', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3322', 'Giant Tarantula', '0', '45070', '0', '32604', '32847', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3323', 'Giant Tarantula', '0', '45070', '0', '32606', '32833', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3324', 'Giant Tarantula', '0', '45070', '0', '32614', '32784', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3325', 'Giant Tarantula', '0', '45070', '0', '32620', '32763', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3326', 'Giant Tarantula', '0', '45070', '0', '32731', '32737', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3327', 'Giant Tarantula', '0', '45070', '0', '32724', '32731', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3328', 'Giant Tarantula', '0', '45070', '0', '32678', '32867', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3329', 'Giant Tarantula', '0', '45070', '0', '32676', '32863', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3330', 'Giant Tarantula', '0', '45070', '0', '32677', '32870', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3331', 'Island Ghast', '2', '45071', '0', '32812', '32848', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3332', 'Island Ghast', '0', '45071', '0', '32817', '32866', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3333', 'Island Ghast', '2', '45071', '0', '32836', '32849', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3334', 'Island Ghast', '0', '45071', '0', '32880', '32829', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3335', 'Island Ghast', '2', '45071', '0', '32897', '32860', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3336', 'Island Ghast', '0', '45071', '0', '32930', '32831', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3337', 'Island Ghast', '2', '45071', '0', '32867', '32849', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3338', 'Rotting Skeleton Fighter', '0', '45073', '0', '32867', '32843', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3339', 'Rotting Skeleton Fighter', '2', '45073', '0', '32898', '32834', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3340', 'Rotting Skeleton Fighter', '0', '45073', '0', '32934', '32820', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3341', 'Rotting Skeleton Fighter', '2', '45073', '0', '32924', '32784', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3342', 'Rotting Skeleton Fighter', '0', '45073', '0', '32911', '32852', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3343', 'Rotting Skeleton Fighter', '2', '45073', '0', '32884', '32865', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3344', 'Rotting Skeleton Fighter', '0', '45073', '0', '32577', '32839', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3345', 'Rotting Skeleton Fighter', '2', '45073', '0', '32840', '32854', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3346', 'Rotting Skeleton Fighter', '0', '45073', '0', '32790', '32871', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3347', 'Rotting Skeleton Fighter', '2', '45073', '0', '32770', '32857', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3348', 'Rotting Skeleton Fighter', '0', '45073', '0', '32773', '32841', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3349', 'Rotting Skeleton Fighter', '2', '45073', '0', '32742', '32860', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3350', 'Rotting Skeleton Fighter', '0', '45073', '0', '32680', '32645', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3351', 'Rotting Skeleton Fighter', '2', '45073', '0', '32682', '32668', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3352', 'Rotting Skeleton Fighter', '0', '45073', '0', '32713', '32651', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3353', 'Rotting Skeleton Fighter', '2', '45073', '0', '32736', '32669', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3354', 'Rotting Skeleton Fighter', '0', '45073', '0', '32736', '32649', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3355', 'Rotting Skeleton Fighter', '2', '45073', '0', '32717', '32634', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3356', 'Rotting Skeleton Fighter', '0', '45073', '0', '32855', '32645', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3357', 'Rotting Skeleton Fighter', '2', '45073', '0', '32846', '32670', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3358', 'Rotting Skeleton Fighter', '0', '45073', '0', '32827', '32651', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3359', 'Rotting Skeleton Fighter', '2', '45073', '0', '32843', '32639', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3360', 'Rotting Skeleton Fighter', '0', '45073', '0', '32819', '32638', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3361', 'Rotting Skeleton Fighter', '2', '45073', '0', '32813', '32625', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3362', 'Rotting Skeleton Fighter', '0', '45073', '0', '32787', '32653', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3363', 'Rotting Skeleton Fighter', '2', '45073', '0', '32787', '32679', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3364', 'Rotting Skeleton Fighter', '0', '45073', '0', '32797', '32704', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3377', 'Valley Ogre', '2', '45078', '0', '32763', '32946', '0', '0', '0', '0', '0', '0', '1', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3378', 'Valley Ogre', '0', '45078', '0', '32777', '32952', '0', '0', '0', '0', '0', '0', '1', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3379', 'Valley Ogre', '2', '45078', '0', '32786', '32942', '0', '0', '0', '0', '0', '0', '4', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3380', 'Valley Ogre', '0', '45078', '0', '32802', '32946', '0', '0', '0', '0', '0', '0', '2', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3381', 'Valley Ogre', '2', '45078', '0', '32802', '32966', '0', '0', '0', '0', '0', '0', '4', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3382', 'Valley Ogre', '0', '45078', '0', '32790', '32989', '0', '0', '0', '0', '0', '0', '4', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3383', 'Valley Ogre', '2', '45078', '0', '32753', '32981', '0', '0', '0', '0', '0', '0', '6', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3384', 'Valley Ogre', '0', '45078', '0', '32721', '32956', '0', '0', '0', '0', '0', '0', '6', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3385', 'Valley Ogre', '2', '45078', '0', '32694', '32961', '0', '0', '0', '0', '0', '0', '5', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3386', 'Valley Ogre', '0', '45078', '0', '32674', '32957', '0', '0', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3387', 'Valley Ogre', '2', '45078', '0', '32674', '32943', '0', '0', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3388', 'Valley Ogre', '0', '45078', '0', '32652', '32948', '0', '0', '0', '0', '0', '0', '6', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3389', 'Valley Ogre', '2', '45078', '0', '32625', '32929', '0', '0', '0', '0', '0', '0', '1', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3390', 'Valley Ogre', '0', '45078', '0', '32582', '32906', '0', '0', '0', '0', '0', '0', '7', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3391', 'Valley Ogre', '2', '45078', '0', '32559', '32813', '0', '0', '0', '0', '0', '0', '6', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3392', 'Valley Ogre', '0', '45078', '0', '32532', '32801', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3393', 'Valley Ogre', '2', '45078', '0', '32532', '32830', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3394', 'Valley Ogre', '0', '45078', '0', '32565', '32811', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3395', 'Valley Ogre', '2', '45078', '0', '32570', '32791', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3396', 'Valley Ogre', '0', '45078', '0', '32601', '32780', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3397', 'Valley Ogre', '2', '45078', '0', '32533', '32834', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3398', 'Valley Ogre', '0', '45078', '0', '32576', '32856', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3399', 'Valley Ogre', '2', '45078', '0', '32581', '32801', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3400', 'Valley Ogre', '0', '45078', '0', '32601', '32744', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3401', 'Valley Ogre', '2', '45078', '0', '32789', '32801', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3402', 'Valley Ogre', '0', '45078', '0', '32802', '32823', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3403', 'Valley Ogre', '2', '45078', '0', '32806', '32850', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3404', 'Valley Ogre', '0', '45078', '0', '32782', '32931', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3405', 'Valley Ogre', '2', '45078', '0', '32797', '32914', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3406', 'Valley Ogre', '0', '45078', '0', '32805', '32935', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3407', 'Valley Ogre', '2', '45078', '0', '32802', '32953', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3408', 'Valley Ogre', '0', '45078', '0', '32793', '32977', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3409', 'Valley Ogre', '2', '45078', '0', '32769', '32966', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3410', 'Valley Ogre', '0', '45078', '0', '32753', '32957', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3411', 'Valley Ogre', '2', '45078', '0', '32767', '32986', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3412', 'Valley Ogre', '0', '45078', '0', '32586', '32756', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3413', 'Valley Ogre', '2', '45078', '0', '32582', '32798', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3414', 'Valley Ogre', '0', '45078', '0', '32599', '32828', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3415', 'Valley Ogre', '2', '45078', '0', '32620', '32847', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3416', 'Valley Ogre', '0', '45078', '0', '32620', '32871', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3417', 'Gnoll', '2', '45079', '0', '32992', '33478', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3418', 'Gnoll', '0', '45079', '0', '33020', '33437', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3419', 'Gnoll', '2', '45079', '0', '33029', '33426', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3420', 'Gnoll', '0', '45079', '0', '33018', '33414', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3422', 'Gnoll', '0', '45079', '0', '33074', '33337', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3423', 'Gnoll', '2', '45079', '0', '33068', '33177', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3424', 'Gnoll', '0', '45079', '0', '33057', '33170', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3425', 'Gnoll', '2', '45079', '0', '33865', '32231', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3426', 'Gnoll', '0', '45079', '0', '33855', '32263', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3427', 'Gnoll', '2', '45079', '0', '33871', '32264', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3428', 'Gnoll', '0', '45079', '0', '33905', '32251', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3429', 'Gnoll', '2', '45079', '0', '33922', '32281', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3430', 'Gnoll', '0', '45079', '0', '33895', '32323', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3431', 'Gnoll', '2', '45079', '0', '33903', '32339', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3432', 'Gnoll', '0', '45079', '0', '33913', '32370', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3433', 'Gnoll', '2', '45079', '0', '33873', '32357', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3434', 'Gnoll', '0', '45079', '0', '33883', '32395', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3435', 'Gnoll', '2', '45079', '0', '33906', '32395', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3436', 'Gnoll', '0', '45079', '0', '33882', '32434', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3437', 'Gnoll', '2', '45079', '0', '33863', '32441', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3438', 'Gnoll', '0', '45079', '0', '33890', '32460', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3439', 'Gnoll', '2', '45079', '0', '33899', '32490', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3440', 'Gnoll', '0', '45079', '0', '33897', '32502', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3441', 'Gnoll', '2', '45079', '0', '33871', '32525', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3442', 'Gnoll', '0', '45079', '0', '33900', '32540', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3443', 'Gnoll', '2', '45079', '0', '33910', '32535', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3444', 'Gnoll', '0', '45079', '0', '33892', '32563', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3445', 'Gnoll', '2', '45079', '0', '33887', '32577', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3446', 'Gnoll', '0', '45079', '0', '32871', '32546', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3447', 'Gnoll', '2', '45079', '0', '33868', '32487', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3448', 'Gnoll', '0', '45079', '0', '33885', '32481', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3449', 'Gnoll', '2', '45079', '0', '33862', '32465', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3450', 'Gnoll', '0', '45079', '0', '34075', '32919', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3451', 'Gnoll', '2', '45079', '0', '34078', '32949', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3452', 'Gnoll', '0', '45079', '0', '34087', '32960', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3453', 'Gnoll', '2', '45079', '0', '34091', '32976', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3454', 'Gnoll', '0', '45079', '0', '34104', '33000', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3455', 'Gnoll', '2', '45079', '0', '34116', '32993', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3456', 'Gnoll', '0', '45079', '0', '34118', '32979', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3457', 'Gnoll', '2', '45079', '0', '34102', '32958', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3458', 'Gnoll', '0', '45079', '0', '34132', '32949', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3459', 'Gnoll', '2', '45079', '0', '34156', '32965', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3460', 'Gnoll', '0', '45079', '0', '34168', '32957', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3461', 'Gnoll', '2', '45079', '0', '34177', '32978', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3462', 'Gnoll', '0', '45079', '0', '34206', '32994', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3463', 'Gnoll', '2', '45079', '0', '34223', '32995', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3464', 'Gnoll', '0', '45079', '0', '34240', '33000', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3465', 'Gnoll', '2', '45079', '0', '34251', '32984', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3466', 'Gnoll', '0', '45079', '0', '34245', '32971', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3467', 'Gnoll', '2', '45079', '0', '34229', '32964', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3468', 'Gnoll', '0', '45079', '0', '34217', '32951', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3469', 'Gnoll', '2', '45079', '0', '34212', '32923', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3470', 'Gnoll', '0', '45079', '0', '34195', '32916', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3471', 'Gnoll', '2', '45079', '0', '34206', '32879', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3472', 'Gnoll', '0', '45079', '0', '34223', '32863', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3473', 'Gnoll', '2', '45079', '0', '34260', '32850', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3474', 'Gnoll', '0', '45079', '0', '34269', '32858', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3475', 'Gnoll', '2', '45079', '0', '34266', '32883', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3476', 'Gnoll', '0', '45079', '0', '34169', '32919', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3477', 'Gnoll', '2', '45079', '0', '34141', '32936', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3478', 'Gnoll', '0', '45079', '0', '34129', '32970', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3479', 'Gnoll', '2', '45079', '0', '34040', '32939', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3480', 'Gnoll', '0', '45079', '0', '34100', '32888', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3481', 'Gnoll', '2', '45079', '0', '34121', '32881', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3482', 'Gnoll', '0', '45079', '0', '34128', '32843', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3483', 'Gnoll', '2', '45079', '0', '34159', '32827', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3484', 'Gnoll', '0', '45079', '0', '34215', '32803', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3485', 'Gnoll', '2', '45079', '0', '34241', '32796', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3486', 'Gnoll', '0', '45079', '0', '34214', '32794', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3487', 'Gnoll', '2', '45079', '0', '34202', '32798', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3488', 'Gnoll', '0', '45079', '0', '34199', '32811', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3489', 'Gnoll', '2', '45079', '0', '34176', '32816', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3490', 'Gnoll', '0', '45079', '0', '34169', '32835', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3491', 'Gnoll', '2', '45079', '0', '34145', '32846', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3492', 'Gnoll', '0', '45079', '0', '34098', '32881', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3493', 'Gnoll', '2', '45079', '0', '34035', '32903', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3494', 'Gnoll', '0', '45079', '0', '34015', '32910', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3495', 'Gnoll', '2', '45079', '0', '34116', '32931', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3496', 'Gnoll', '0', '45079', '0', '34153', '32921', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3497', 'Gnoll', '2', '45079', '0', '34152', '32887', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3498', 'Gnoll', '0', '45079', '0', '34209', '32854', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3499', 'Gnoll', '2', '45079', '0', '34223', '32840', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3500', 'Gnoll', '0', '45079', '0', '34267', '32797', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3501', 'Gnoll', '2', '45079', '0', '34241', '32828', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3502', 'Gnoll', '0', '45079', '0', '34257', '32868', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3503', 'Gnoll', '2', '45079', '0', '34235', '32946', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3504', 'Gnoll', '0', '45079', '0', '34148', '32981', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3505', 'Gnoll', '2', '45079', '0', '34105', '33023', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3506', 'Gnoll', '0', '45079', '0', '34079', '33034', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3507', 'Gnoll', '2', '45079', '0', '34091', '33022', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3508', 'Gnoll', '0', '45079', '0', '34179', '32938', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3509', 'Gnoll', '2', '45079', '0', '34219', '32943', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3510', 'Gnoll', '0', '45079', '0', '34217', '32966', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3511', 'Gnoll', '2', '45079', '0', '34277', '32980', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3512', 'Gnoll', '0', '45079', '0', '34264', '33014', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3513', 'Gnoll', '2', '45079', '0', '34088', '32930', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3514', 'Gnoll', '0', '45079', '0', '34089', '32945', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3515', 'Gnoll', '2', '45079', '0', '34113', '32918', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3516', 'Gnoll', '0', '45079', '0', '34131', '32910', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3517', 'Gnoll', '2', '45079', '0', '34136', '32883', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3518', 'Gnoll', '0', '45079', '0', '34155', '32860', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3519', 'Gnoll', '2', '45079', '0', '34187', '32853', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3520', 'Gnoll', '0', '45079', '0', '34201', '32864', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3521', 'Gnoll', '2', '45079', '0', '34222', '32886', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3580', 'Gnoll', '0', '45079', '0', '33035', '33438', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3581', 'Gnoll', '2', '45079', '0', '33025', '33458', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3582', 'Gnoll', '0', '45079', '0', '33022', '33397', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3583', 'Gnoll', '2', '45079', '0', '33039', '33377', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3584', 'Gnoll', '0', '45079', '0', '33025', '33376', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3585', 'Gnoll', '2', '45079', '0', '32998', '33413', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3586', 'Gnoll', '0', '45079', '0', '33006', '33438', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3587', 'Gnoll', '2', '45079', '0', '32985', '33452', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3588', 'Gnoll', '0', '45079', '0', '32970', '33442', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3589', 'Gnoll', '2', '45079', '0', '32970', '33406', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3590', 'Gnoll', '0', '45079', '0', '32952', '33389', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3591', 'Gnoll', '2', '45079', '0', '32955', '33376', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3592', 'Gnoll', '0', '45079', '0', '32972', '33400', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3593', 'Gnoll', '2', '45079', '0', '32990', '33382', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3594', 'Gnoll', '0', '45079', '0', '33014', '33382', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3595', 'Gnoll', '2', '45079', '0', '33002', '33361', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3596', 'Gnoll', '0', '45079', '0', '32986', '33365', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3597', 'Gnoll', '2', '45079', '0', '33005', '33349', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3598', 'Gnoll', '0', '45079', '0', '33014', '33393', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3599', 'Gnoll', '2', '45079', '0', '33043', '33445', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3600', 'Gnoll', '0', '45079', '0', '33010', '33469', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3601', 'Gnoll', '2', '45079', '0', '33072', '33452', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3602', 'Gnoll', '0', '45079', '0', '33059', '33483', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3603', 'Gnoll', '2', '45079', '0', '33022', '33483', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3604', 'Gnoll', '0', '45079', '0', '33078', '33461', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3605', 'Gnoll', '2', '45079', '0', '33139', '33489', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3606', 'Gnoll', '0', '45079', '0', '33195', '33485', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3607', 'Gnoll', '2', '45079', '0', '33262', '33471', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3608', 'Gnoll', '0', '45079', '0', '33244', '33425', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3609', 'Gnoll', '2', '45079', '0', '33207', '33410', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3610', 'Gnoll', '0', '45079', '0', '33207', '33466', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3611', 'Gnoll', '2', '45079', '0', '33173', '33454', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3612', 'Gnoll', '0', '45079', '0', '33145', '33430', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3613', 'Gnoll', '2', '45079', '0', '33113', '33441', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3614', 'Gnoll', '0', '45079', '0', '33147', '33468', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3615', 'Gnoll', '2', '45079', '0', '33177', '33448', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3616', 'Gnoll', '0', '45079', '0', '33143', '33447', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3617', 'Gnoll', '2', '45079', '0', '33163', '33421', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3618', 'Gnoll', '0', '45079', '0', '33164', '33356', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3619', 'Gnoll', '2', '45079', '0', '33193', '33329', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3620', 'Gnoll', '0', '45079', '0', '33221', '33302', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3621', 'Gnoll', '2', '45079', '0', '33221', '33349', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3622', 'Gnoll', '0', '45079', '0', '33247', '33387', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3623', 'Gnoll', '2', '45079', '0', '33246', '33455', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3624', 'Gnoll', '0', '45079', '0', '33221', '33435', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3625', 'Gnoll', '2', '45079', '0', '33215', '33464', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3626', 'Gnoll', '0', '45079', '0', '33098', '33438', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3627', 'Gnoll', '2', '45079', '0', '33049', '33467', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3628', 'Gnoll', '0', '45079', '0', '33095', '33299', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3629', 'Gnoll', '2', '45079', '0', '33062', '33238', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3630', 'Gnoll', '0', '45079', '0', '33088', '33251', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3631', 'Gnoll', '2', '45079', '0', '33151', '33270', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3632', 'Gnoll', '0', '45079', '0', '33198', '33254', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3633', 'Gnoll', '2', '45079', '0', '33177', '33203', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3634', 'Island Ghast Lord', '0', '45081', '0', '32789', '32841', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3635', 'Island Ghast Lord', '2', '45081', '0', '32847', '32865', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3636', 'Island Ghast Lord', '0', '45081', '0', '32842', '32828', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3637', 'Island Ghast Lord', '2', '45081', '0', '32821', '32829', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3638', 'Island Ghast Lord', '0', '45081', '0', '32930', '32864', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3639', 'Island Ghast Lord', '2', '45081', '0', '32890', '32837', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3640', 'Island Ghast Lord', '0', '45081', '0', '32831', '32872', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3642', 'Orc Fighter', '0', '45082', '0', '33006', '33480', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3643', 'Orc Fighter', '2', '45082', '0', '33003', '33453', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3644', 'Orc Fighter', '0', '45082', '0', '33016', '33433', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3645', 'Orc Fighter', '2', '45082', '0', '33037', '33409', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3647', 'Orc Fighter', '2', '45082', '0', '33058', '33350', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3648', 'Orc Fighter', '0', '45082', '0', '33066', '33198', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3649', 'Orc Fighter', '2', '45082', '0', '33049', '33362', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3650', 'Orc Fighter', '0', '45082', '0', '33069', '33213', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3651', 'Orc Fighter', '2', '45082', '0', '33062', '33180', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3652', 'Orc Fighter', '0', '45082', '0', '33042', '33172', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3653', 'Orc Fighter', '2', '45082', '0', '32722', '33223', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3654', 'Orc Fighter', '0', '45082', '0', '32759', '33251', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3655', 'Orc Fighter', '2', '45082', '0', '32779', '33289', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3656', 'Orc Fighter', '0', '45082', '0', '32751', '33304', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3657', 'Orc Fighter', '2', '45082', '0', '32695', '33247', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3658', 'Orc Fighter', '0', '45082', '0', '32689', '33192', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3659', 'Orc Fighter', '2', '45082', '0', '32854', '33058', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3660', 'Orc Fighter', '0', '45082', '0', '32894', '33072', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3661', 'Orc Fighter', '2', '45082', '0', '32895', '33101', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3662', 'Orc Fighter', '0', '45082', '0', '32895', '33099', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3663', 'Orc Fighter', '2', '45082', '0', '32954', '33121', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3664', 'Orc Fighter', '0', '45082', '0', '32982', '33146', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3665', 'Orc Fighter', '2', '45082', '0', '32989', '33169', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3666', 'Orc Fighter', '0', '45082', '0', '33013', '33195', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3667', 'Orc Fighter', '2', '45082', '0', '33012', '33234', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3668', 'Orc Fighter', '0', '45082', '0', '33014', '33164', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3669', 'Orc Fighter', '2', '45082', '0', '32802', '33338', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3677', 'Orc Fighter', '2', '45082', '0', '33181', '33086', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3678', 'Orc Fighter', '0', '45082', '0', '33216', '33080', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3679', 'Orc Fighter', '2', '45082', '0', '33226', '33057', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3680', 'Orc Fighter', '0', '45082', '0', '33207', '33034', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3681', 'Orc Fighter', '2', '45082', '0', '33163', '33068', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3682', 'Orc Fighter', '0', '45082', '0', '33172', '33084', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3683', 'Orc Fighter', '2', '45082', '0', '33198', '33080', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3684', 'Orc Fighter', '0', '45082', '0', '333209', '33061', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3685', 'Orc Fighter', '2', '45082', '0', '33144', '33057', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3686', 'Orc Fighter', '0', '45082', '0', '33094', '33041', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3687', 'Orc Fighter', '2', '45082', '0', '33100', '33007', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3688', 'Orc Fighter', '0', '45082', '0', '33067', '32981', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3689', 'Orc Fighter', '2', '45082', '0', '33039', '32996', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3690', 'Orc Fighter', '0', '45082', '0', '33064', '33025', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3691', 'Orc Fighter', '2', '45082', '0', '33018', '33017', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3735', 'Orc Fighter', '2', '45082', '0', '33036', '33426', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3736', 'Orc Fighter', '0', '45082', '0', '33033', '33450', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3737', 'Orc Fighter', '2', '45082', '0', '33010', '33408', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3738', 'Orc Fighter', '0', '45082', '0', '33042', '33382', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3739', 'Orc Fighter', '2', '45082', '0', '33010', '33389', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3740', 'Orc Fighter', '0', '45082', '0', '33006', '33407', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3741', 'Orc Fighter', '2', '45082', '0', '32993', '33417', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3742', 'Orc Fighter', '0', '45082', '0', '32992', '33439', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3743', 'Orc Fighter', '2', '45082', '0', '32995', '33452', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3744', 'Orc Fighter', '0', '45082', '0', '32981', '33458', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3745', 'Orc Fighter', '2', '45082', '0', '32964', '33436', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3746', 'Orc Fighter', '0', '45082', '0', '32969', '33419', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3747', 'Orc Fighter', '2', '45082', '0', '32957', '33408', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3748', 'Orc Fighter', '0', '45082', '0', '33949', '33404', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3749', 'Orc Fighter', '2', '45082', '0', '32949', '33371', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3750', 'Orc Fighter', '0', '45082', '0', '32959', '33377', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3751', 'Orc Fighter', '2', '45082', '0', '32969', '33395', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3752', 'Orc Fighter', '0', '45082', '0', '32983', '33391', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3753', 'Orc Fighter', '2', '45082', '0', '33003', '33387', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3754', 'Orc Fighter', '0', '45082', '0', '33017', '33367', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3755', 'Orc Fighter', '2', '45082', '0', '32991', '33353', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3756', 'Orc Fighter', '0', '45082', '0', '32975', '33343', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3757', 'Orc Fighter', '2', '45082', '0', '32988', '33380', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3758', 'Orc Fighter', '0', '45082', '0', '33025', '33401', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3759', 'Orc Fighter', '2', '45082', '0', '33027', '33459', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3760', 'Orc Fighter', '0', '45082', '0', '33067', '33465', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3761', 'Orc Fighter', '2', '45082', '0', '33043', '33480', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3762', 'Orc Fighter', '0', '45082', '0', '33010', '33490', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3763', 'Orc Fighter', '2', '45082', '0', '33087', '33481', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3764', 'Orc Fighter', '0', '45082', '0', '33180', '33483', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3765', 'Orc Fighter', '2', '45082', '0', '33242', '33475', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3766', 'Orc Fighter', '0', '45082', '0', '33269', '33458', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3767', 'Orc Fighter', '2', '45082', '0', '33231', '33423', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3768', 'Orc Fighter', '0', '45082', '0', '33195', '33417', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3769', 'Orc Fighter', '2', '45082', '0', '33195', '33467', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3770', 'Orc Fighter', '0', '45082', '0', '33171', '33441', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3771', 'Orc Fighter', '2', '45082', '0', '33112', '33427', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3772', 'Orc Fighter', '0', '45082', '0', '33120', '33472', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3773', 'Orc Fighter', '2', '45082', '0', '33159', '33469', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3774', 'Orc Fighter', '0', '45082', '0', '33182', '33459', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3775', 'Orc Fighter', '2', '45082', '0', '33172', '33435', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3776', 'Orc Fighter', '0', '45082', '0', '33144', '33393', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3777', 'Orc Fighter', '2', '45082', '0', '33177', '33352', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3778', 'Orc Fighter', '0', '45082', '0', '33202', '33311', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3779', 'Orc Fighter', '2', '45082', '0', '33237', '33325', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3780', 'Orc Fighter', '0', '45082', '0', '33230', '33356', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3781', 'Orc Fighter', '2', '45082', '0', '33253', '33406', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3782', 'Orc Fighter', '0', '45082', '0', '33230', '33461', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3783', 'Orc Fighter', '2', '45082', '0', '33198', '33459', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3784', 'Orc Fighter', '0', '45082', '0', '33121', '33444', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3785', 'Orc Fighter', '2', '45082', '0', '33078', '33498', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3786', 'Orc Fighter', '0', '45082', '0', '33099', '33169', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3787', 'Orc Fighter', '2', '45082', '0', '33088', '33220', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3788', 'Orc Fighter', '0', '45082', '0', '33060', '33238', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3789', 'Orc Fighter', '2', '45082', '0', '33213', '33387', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3790', 'Orc Fighter', '0', '45082', '0', '33174', '33365', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3791', 'Orc Fighter', '2', '45082', '0', '33067', '33259', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3792', 'Orc Fighter', '0', '45082', '0', '33120', '33260', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3793', 'Orc Fighter', '2', '45082', '0', '33174', '33247', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3794', 'Orc Fighter', '0', '45082', '0', '33219', '33233', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3795', 'Orc Fighter', '2', '45082', '0', '33163', '33210', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3796', 'Orc Fighter', '0', '45082', '0', '33158', '33166', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3797', 'Orc Fighter', '2', '45082', '0', '33145', '33169', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3798', 'Orc Fighter', '0', '45082', '0', '33112', '33212', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3799', 'Orc Fighter', '2', '45082', '0', '33100', '33256', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3800', 'Orc Fighter', '0', '45082', '0', '33206', '33286', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3801', 'Orc Fighter', '2', '45082', '0', '33179', '33423', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3802', 'Orc Fighter', '0', '45082', '0', '33114', '33233', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3803', 'Orc Fighter', '2', '45082', '0', '32881', '32850', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3804', 'Orc Fighter', '0', '45082', '0', '32757', '32859', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3805', 'Orc Fighter', '2', '45082', '0', '32784', '32863', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3806', 'Orc Fighter', '0', '45082', '0', '32815', '32856', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3807', 'Orc Fighter', '2', '45082', '0', '32831', '32837', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3808', 'Orc Fighter', '0', '45082', '0', '32846', '32813', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3809', 'Orc Fighter', '2', '45082', '0', '32905', '32834', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3810', 'Orc Fighter', '0', '45082', '0', '32932', '32823', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3811', 'Orc Fighter', '2', '45082', '0', '32942', '32785', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3812', 'Orc Fighter', '0', '45082', '0', '32927', '32788', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3813', 'Orc Fighter', '2', '45082', '0', '32669', '32728', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3814', 'Orc Fighter', '0', '45082', '0', '32687', '32731', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3815', 'Orc Fighter', '2', '45082', '0', '32699', '32693', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3816', 'Orc Fighter', '0', '45082', '0', '32681', '32643', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3817', 'Orc Fighter', '2', '45082', '0', '32723', '32647', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3818', 'Orc Fighter', '0', '45082', '0', '32843', '32698', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3819', 'Orc Fighter', '2', '45082', '0', '32852', '32709', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3820', 'Orc Fighter', '0', '45082', '0', '32856', '32739', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3821', 'Orc Fighter', '2', '45082', '0', '32874', '32712', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3822', 'Orc Fighter', '0', '45082', '0', '32870', '32685', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3823', 'Orc Fighter', '2', '45082', '0', '32877', '32662', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3824', 'Orc Fighter', '0', '45082', '0', '32871', '32651', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3825', 'Orc Fighter', '2', '45082', '0', '32850', '32633', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3826', 'Orc Fighter', '0', '45082', '0', '32839', '32661', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3827', 'Orc Fighter', '2', '45082', '0', '32821', '32665', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3828', 'Orc Fighter', '0', '45082', '0', '32776', '32647', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3829', 'Orc Fighter', '2', '45082', '0', '32776', '32671', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3830', 'Orc Fighter', '0', '45082', '0', '32934', '32607', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3831', 'Orc Fighter', '2', '45082', '0', '32919', '32626', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3832', 'Orc Fighter', '0', '45082', '0', '32910', '32642', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3833', 'Orc Fighter', '2', '45082', '0', '32896', '32627', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3834', 'Orc Fighter', '0', '45082', '0', '32886', '32646', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3835', 'Orc Fighter', '2', '45082', '0', '32871', '32632', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3836', 'Orc Fighter', '0', '45082', '0', '32868', '32614', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3837', 'Orc Fighter', '2', '45082', '0', '32869', '32598', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3838', 'Orc Fighter', '0', '45082', '0', '32876', '32607', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3839', 'Orc Fighter', '2', '45082', '0', '32891', '32608', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3840', 'Orc Fighter', '0', '45082', '0', '32807', '32654', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3841', 'Orc Fighter', '2', '45082', '0', '32773', '32668', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3842', 'Orc Fighter', '0', '45082', '0', '32649', '32805', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3843', 'Orc Fighter', '2', '45082', '0', '32630', '32826', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3844', 'Orc Fighter', '0', '45082', '0', '32608', '32805', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3845', 'Orc Fighter', '2', '45082', '0', '32649', '32759', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3846', 'Orc Fighter', '0', '45082', '0', '32708', '32758', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3847', 'Orc Fighter', '2', '45082', '0', '32664', '32782', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3848', 'Orc Fighter', '0', '45082', '0', '32629', '32746', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3849', 'Orc Fighter', '2', '45082', '0', '32603', '32767', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3850', 'Orc Fighter', '0', '45082', '0', '32670', '32911', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3851', 'Orc Fighter', '2', '45082', '0', '32698', '32920', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3852', 'Orc Fighter', '0', '45082', '0', '32689', '32927', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3853', 'Orc Fighter', '2', '45082', '0', '32661', '32970', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3854', 'Orc Fighter', '0', '45082', '0', '32711', '32949', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3855', 'Orc Fighter', '2', '45082', '0', '32590', '32992', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3856', 'Orc Fighter', '0', '45082', '0', '32576', '32938', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3857', 'Orc Fighter', '2', '45082', '0', '32546', '32901', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3858', 'Orc Fighter', '0', '45082', '0', '32621', '32976', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3859', 'Orc Fighter', '2', '45082', '0', '32674', '32948', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3860', 'Orc Fighter', '0', '45082', '0', '32666', '32987', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3861', 'Orc Fighter', '2', '45082', '0', '32734', '32923', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3862', 'Orc Fighter', '0', '45082', '0', '32769', '32858', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3863', 'Orc Fighter', '2', '45082', '0', '32769', '32887', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3864', 'Orc Fighter', '0', '45082', '0', '32792', '32897', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3865', 'Orc Fighter', '2', '45082', '0', '32784', '32803', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3866', 'Orc Fighter', '0', '45082', '0', '32771', '32784', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3867', 'Orc Fighter', '2', '45082', '0', '32786', '32809', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3868', 'Orc Fighter', '0', '45082', '0', '32807', '32946', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3869', 'Orc Fighter', '0', '45082', '0', '32754', '32829', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3887', 'Degenerated Beholder', '0', '45086', '0', '32703', '32749', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3888', 'Degenerated Beholder', '0', '45086', '0', '32695', '32745', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3889', 'Degenerated Beholder', '0', '45086', '0', '32716', '32756', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3890', 'Degenerated Beholder', '0', '45086', '0', '32700', '32763', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3891', 'Degenerated Beholder', '0', '45086', '0', '32675', '32758', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3892', 'Degenerated Beholder', '0', '45086', '0', '32666', '32752', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3893', 'Degenerated Beholder', '0', '45086', '0', '32627', '32751', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3894', 'Degenerated Beholder', '0', '45086', '0', '32641', '32742', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3895', 'Degenerated Beholder', '0', '45086', '0', '32606', '32757', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3896', 'Degenerated Beholder', '0', '45086', '0', '32616', '32738', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3897', 'Degenerated Beholder', '0', '45086', '0', '32610', '32733', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3898', 'Degenerated Beholder', '0', '45086', '0', '32610', '32752', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3899', 'Degenerated Beholder', '0', '45086', '0', '32624', '32749', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3900', 'Degenerated Beholder', '0', '45086', '0', '32629', '32779', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3901', 'Degenerated Beholder', '0', '45086', '0', '32629', '32799', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3902', 'Degenerated Beholder', '0', '45086', '0', '32630', '32807', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3903', 'Degenerated Beholder', '0', '45086', '0', '32643', '32810', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3904', 'Degenerated Beholder', '0', '45086', '0', '32650', '32818', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3905', 'Degenerated Beholder', '0', '45086', '0', '32626', '32782', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3906', 'Degenerated Beholder', '0', '45086', '0', '32629', '32771', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3907', 'Degenerated Beholder', '0', '45086', '0', '32863', '32868', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3908', 'Degenerated Beholder', '0', '45086', '0', '32837', '32871', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3909', 'Degenerated Beholder', '0', '45086', '0', '32779', '32871', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3910', 'Degenerated Beholder', '0', '45086', '0', '32775', '32850', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3911', 'Degenerated Beholder', '0', '45086', '0', '32852', '32848', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3912', 'Degenerated Beholder', '0', '45086', '0', '32879', '32866', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3913', 'Degenerated Beholder', '0', '45086', '0', '32922', '32851', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3914', 'Degenerated Beholder', '0', '45086', '0', '32938', '32807', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3915', 'Degenerated Beholder', '0', '45086', '0', '32927', '32639', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3916', 'Degenerated Beholder', '0', '45086', '0', '32909', '32629', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3917', 'Degenerated Beholder', '0', '45086', '0', '32884', '32628', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3918', 'Degenerated Beholder', '0', '45086', '0', '32879', '32612', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3919', 'Degenerated Beholder', '0', '45086', '0', '32910', '32598', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3920', 'Degenerated Beholder', '0', '45086', '0', '32924', '32603', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3921', 'Degenerated Beholder', '0', '45086', '0', '32937', '32609', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3975', 'Valley Griffon', '2', '45090', '0', '32556', '32771', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3976', 'Valley Griffon', '0', '45090', '0', '32537', '32773', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3977', 'Valley Griffon', '2', '45090', '0', '32529', '32792', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3978', 'Valley Griffon', '0', '45090', '0', '32546', '32824', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3979', 'Valley Griffon', '2', '45090', '0', '32768', '32864', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3980', 'Valley Griffon', '0', '45090', '0', '32768', '32884', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3981', 'Valley Griffon', '2', '45090', '0', '32790', '32996', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3982', 'Valley Griffon', '0', '45090', '0', '32780', '32974', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3983', 'Valley Griffon', '2', '45090', '0', '32769', '32960', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3984', 'Valley Griffon', '0', '45090', '0', '32756', '32951', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3985', 'Valley Griffon', '2', '45090', '0', '32776', '32939', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3986', 'Valley Griffon', '0', '45090', '0', '32796', '32937', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3987', 'Valley Griffon', '2', '45090', '0', '32790', '32920', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3988', 'Valley Basilisk', '0', '45091', '0', '32542', '32777', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3989', 'Valley Basilisk', '2', '45091', '0', '32535', '32800', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3990', 'Valley Basilisk', '0', '45091', '0', '32555', '32825', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3991', 'Valley Basilisk', '2', '45091', '0', '32790', '32934', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3992', 'Valley Basilisk', '0', '45091', '0', '32794', '32962', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3993', 'Valley Basilisk', '2', '45091', '0', '32789', '32982', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3994', 'Valley Basilisk', '0', '45091', '0', '32761', '32978', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3995', 'Valley Basilisk', '2', '45091', '0', '32731', '32956', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3996', 'Dwarf Warrior', '0', '45092', '0', '33877', '32422', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3997', 'Dwarf Warrior', '2', '45092', '0', '33886', '32429', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3998', 'Dwarf Warrior', '0', '45092', '0', '33891', '32441', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3999', 'Dwarf Warrior', '2', '45092', '0', '33880', '32460', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4000', 'Dwarf Warrior', '0', '45092', '0', '33885', '32476', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4001', 'Dwarf Warrior', '2', '45092', '0', '33964', '32261', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4002', 'Dwarf Warrior', '0', '45092', '0', '33949', '32235', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4003', 'Dwarf Warrior', '2', '45092', '0', '33934', '32229', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4004', 'Dwarf Warrior', '0', '45092', '0', '33915', '32226', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4005', 'Dwarf Warrior', '2', '45092', '0', '33915', '32235', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4006', 'Dwarf Warrior', '0', '45092', '0', '33927', '32251', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4007', 'Dwarf Warrior', '2', '45092', '0', '33942', '32267', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4008', 'Dwarf Warrior', '0', '45092', '0', '33966', '32260', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4009', 'Dwarf Warrior', '2', '45092', '0', '33977', '32266', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4010', 'Dwarf Warrior', '0', '45092', '0', '33996', '32260', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4011', 'Dwarf Warrior', '2', '45092', '0', '33968', '32300', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4012', 'Dwarf Warrior', '0', '45092', '0', '33872', '32420', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4013', 'Dwarf Warrior', '2', '45092', '0', '33912', '32422', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4014', 'Dwarf Warrior', '0', '45092', '0', '33903', '32406', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4015', 'Dwarf Warrior', '2', '45092', '0', '33887', '32390', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4016', 'Dwarf Warrior', '0', '45092', '0', '33880', '32378', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4017', 'Dwarf Warrior', '2', '45092', '0', '33873', '32324', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4018', 'Dwarf Warrior', '0', '45092', '0', '33877', '32302', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4019', 'Dwarf Warrior', '2', '45092', '0', '33870', '32256', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4020', 'Dwarf Warrior', '0', '45092', '0', '33874', '32224', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4021', 'Dwarf Warrior', '2', '45092', '0', '33901', '32258', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4022', 'Dwarf Warrior', '0', '45092', '0', '33891', '32282', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4023', 'Dwarf Warrior', '2', '45092', '0', '33871', '32327', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4024', 'Dwarf Warrior', '0', '45092', '0', '33873', '32345', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4025', 'Dwarf Warrior', '2', '45092', '0', '33896', '32362', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4026', 'Dwarf Warrior', '0', '45092', '0', '33887', '32386', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4027', 'Dwarf Warrior', '2', '45092', '0', '33900', '32431', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4028', 'Dwarf Warrior', '0', '45092', '0', '33900', '32456', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4029', 'Dwarf Warrior', '2', '45092', '0', '33870', '32493', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4030', 'Dwarf Warrior', '0', '45092', '0', '33867', '32497', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4031', 'Dwarf Warrior', '2', '45092', '0', '33892', '32517', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4032', 'Dwarf Warrior', '0', '45092', '0', '33907', '32503', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4033', 'Dwarf Warrior', '2', '45092', '0', '33919', '32567', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4034', 'Dwarf Warrior', '0', '45092', '0', '33918', '32579', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4035', 'Dwarf Warrior', '2', '45092', '0', '33934', '32594', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4036', 'Dwarf Warrior', '0', '45092', '0', '33952', '32264', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4038', 'Dwarf Warrior', '0', '45092', '0', '33873', '32235', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4039', 'Dwarf Warrior', '2', '45092', '0', '33857', '32252', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4040', 'Dwarf Warrior', '0', '45092', '0', '33893', '32255', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4041', 'Dwarf Warrior', '2', '45092', '0', '33916', '32273', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4042', 'Dwarf Warrior', '0', '45092', '0', '33905', '32295', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4043', 'Dwarf Warrior', '2', '45092', '0', '33892', '32294', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4044', 'Dwarf Warrior', '0', '45092', '0', '33872', '32296', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4045', 'Dwarf Warrior', '2', '45092', '0', '33863', '32306', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4046', 'Dwarf Warrior', '0', '45092', '0', '33883', '32322', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4047', 'Dwarf Warrior', '2', '45092', '0', '33904', '32327', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4048', 'Dwarf Warrior', '0', '45092', '0', '33923', '32363', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4049', 'Dwarf Warrior', '2', '45092', '0', '33901', '32369', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4050', 'Dwarf Warrior', '0', '45092', '0', '33879', '32363', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4051', 'Dwarf Warrior', '2', '45092', '0', '33877', '32385', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4052', 'Dwarf Warrior', '0', '45092', '0', '33917', '32378', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4053', 'Dwarf Warrior', '2', '45092', '0', '33926', '32376', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4054', 'Dwarf Warrior', '0', '45092', '0', '33899', '32425', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4055', 'Dwarf Warrior', '2', '45092', '0', '33863', '32423', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4056', 'Dwarf Warrior', '0', '45092', '0', '33884', '32452', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4057', 'Dwarf Warrior', '2', '45092', '0', '33905', '32481', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4058', 'Dwarf Warrior', '0', '45092', '0', '33865', '32501', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4059', 'Dwarf Warrior', '2', '45092', '0', '33865', '32517', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4060', 'Dwarf Warrior', '0', '45092', '0', '33876', '32532', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4061', 'Dwarf Warrior', '2', '45092', '0', '33894', '32537', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4062', 'Dwarf Warrior', '0', '45092', '0', '33903', '32548', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4063', 'Dwarf Warrior', '2', '45092', '0', '33899', '32558', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4064', 'Dwarf Warrior', '0', '45092', '0', '33879', '32555', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4065', 'Dwarf Warrior', '2', '45092', '0', '33894', '32531', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4066', 'Dwarf Warrior', '0', '45092', '0', '33367', '33051', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4067', 'Dwarf Warrior', '2', '45092', '0', '33452', '33077', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4068', 'Dwarf Warrior', '0', '45092', '0', '33507', '33060', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4069', 'Dwarf Warrior', '2', '45092', '0', '33534', '33047', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4070', 'Dwarf Warrior', '0', '45092', '0', '33561', '33089', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4071', 'Dwarf Warrior', '2', '45092', '0', '33584', '33046', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4072', 'Dwarf Warrior', '0', '45092', '0', '33610', '33029', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4073', 'Dwarf Warrior', '2', '45092', '0', '33630', '33044', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4074', 'Dwarf Warrior', '0', '45092', '0', '33664', '33048', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4075', 'Dwarf Warrior', '2', '45092', '0', '33655', '32976', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4076', 'Dwarf Warrior', '0', '45092', '0', '33630', '32949', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4077', 'Dwarf Warrior', '2', '45092', '0', '33633', '32919', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4078', 'Dwarf Warrior', '0', '45092', '0', '33655', '32921', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4079', 'Dwarf Warrior', '2', '45092', '0', '33675', '32940', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4080', 'Dwarf Warrior', '0', '45092', '0', '33714', '32958', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4081', 'Dwarf Warrior', '2', '45092', '0', '33684', '32886', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4082', 'Dwarf Warrior', '0', '45092', '0', '33675', '32992', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4083', 'Dwarf Warrior', '2', '45092', '0', '33745', '33025', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4084', 'Dwarf Warrior', '0', '45092', '0', '33788', '32982', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4085', 'Dwarf Warrior', '2', '45092', '0', '33833', '33013', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4086', 'Dwarf Warrior', '0', '45092', '0', '33872', '32987', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4087', 'Dwarf Warrior', '2', '45092', '0', '33814', '32960', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4088', 'Dwarf Warrior', '0', '45092', '0', '33792', '32969', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4089', 'Dwarf Warrior', '2', '45092', '0', '33764', '32966', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4090', 'Dwarf Warrior', '0', '45092', '0', '33744', '32971', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4091', 'Dwarf Warrior', '2', '45092', '0', '33657', '32952', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4092', 'Dwarf Warrior', '0', '45092', '0', '33710', '33026', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4093', 'Dwarf Warrior', '2', '45092', '0', '33469', '32948', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4094', 'Dwarf Warrior', '0', '45092', '0', '33364', '32957', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4095', 'Dwarf Warrior', '2', '45092', '0', '33469', '32919', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4096', 'Dwarf Warrior', '0', '45092', '0', '33553', '32970', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4097', 'Dwarf Warrior', '2', '45092', '0', '33588', '33002', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4098', 'Dwarf Warrior', '0', '45092', '0', '33347', '32875', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4099', 'Dwarf Warrior', '2', '45092', '0', '33328', '32783', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4100', 'Dwarf Warrior', '0', '45092', '0', '33316', '32705', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4101', 'Dwarf Warrior', '2', '45092', '0', '33370', '32625', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4102', 'Dwarf Warrior', '0', '45092', '0', '33413', '32627', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4103', 'Dwarf Warrior', '2', '45092', '0', '33508', '32626', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4104', 'Dwarf Warrior', '0', '45092', '0', '33552', '32627', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4105', 'Dwarf Warrior', '2', '45092', '0', '33532', '32685', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4106', 'Dwarf Warrior', '0', '45092', '0', '33539', '32625', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4107', 'Dwarf Warrior', '2', '45092', '0', '33070', '32631', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4108', 'Dwarf Warrior', '0', '45092', '0', '33093', '32654', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4109', 'Dwarf Warrior', '2', '45092', '0', '33137', '32684', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4110', 'Dwarf Warrior', '0', '45092', '0', '33148', '32660', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4111', 'Dwarf Warrior', '2', '45092', '0', '33112', '32624', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4112', 'Dwarf Warrior', '0', '45092', '0', '33094', '32609', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4113', 'Dwarf Warrior', '2', '45092', '0', '33097', '32592', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4114', 'Dwarf Warrior', '0', '45092', '0', '33119', '32611', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4115', 'Dwarf Warrior', '2', '45092', '0', '33157', '32641', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4116', 'Dwarf Warrior', '0', '45092', '0', '33178', '32583', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4117', 'Dwarf Warrior', '2', '45092', '0', '33212', '32575', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4118', 'Dwarf Warrior', '0', '45092', '0', '33191', '32590', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4119', 'Dwarf Warrior', '2', '45092', '0', '33218', '32584', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4120', 'Dwarf Warrior', '0', '45092', '0', '33216', '32628', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4121', 'Dwarf Warrior', '2', '45092', '0', '33184', '32575', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4122', 'Dwarf Warrior', '0', '45092', '0', '33171', '32567', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4123', 'Dwarf Warrior', '2', '45092', '0', '33158', '32597', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4124', 'Dwarf Warrior', '0', '45092', '0', '32961', '32805', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4125', 'Dwarf Warrior', '2', '45092', '0', '32942', '32824', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4126', 'Dwarf Warrior', '0', '45092', '0', '32943', '32842', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4127', 'Dwarf Warrior', '2', '45092', '0', '32921', '32836', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4128', 'Dwarf Warrior', '0', '45092', '0', '32934', '32815', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4129', 'Dwarf Warrior', '2', '45092', '0', '32953', '32794', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4130', 'Dwarf Warrior', '0', '45092', '0', '32964', '32771', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4131', 'Dwarf Warrior', '2', '45092', '0', '32951', '32759', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4132', 'Dwarf Warrior', '0', '45092', '0', '32939', '32749', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4133', 'Dwarf Warrior', '2', '45092', '0', '32932', '32762', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4134', 'Dwarf Warrior', '0', '45092', '0', '32917', '32766', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4135', 'Dwarf Warrior', '2', '45092', '0', '32906', '32774', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4136', 'Dwarf Warrior', '0', '45092', '0', '32895', '32785', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4137', 'Dwarf Warrior', '2', '45092', '0', '32904', '32799', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4138', 'Dwarf Warrior', '0', '45092', '0', '32896', '32811', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4139', 'Dwarf Warrior', '2', '45092', '0', '32880', '32831', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4140', 'Dwarf Warrior', '0', '45092', '0', '32864', '32836', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4141', 'Dwarf Warrior', '2', '45092', '0', '32881', '32851', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4148', 'Dwarf Warrior', '0', '45092', '0', '33117', '33137', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4149', 'Dwarf Warrior', '2', '45092', '0', '33113', '33147', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4150', 'Dwarf Warrior', '0', '45092', '0', '33095', '33196', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4151', 'Dwarf Warrior', '2', '45092', '0', '33052', '33251', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4152', 'Dwarf Warrior', '0', '45092', '0', '33203', '33369', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4153', 'Dwarf Warrior', '2', '45092', '0', '33073', '33275', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4154', 'Dwarf Warrior', '0', '45092', '0', '33120', '33260', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4155', 'Dwarf Warrior', '2', '45092', '0', '33136', '33274', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4156', 'Dwarf Warrior', '0', '45092', '0', '33195', '33264', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4157', 'Dwarf Warrior', '2', '45092', '0', '33201', '33213', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4158', 'Dwarf Warrior', '0', '45092', '0', '33150', '33181', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4159', 'Dwarf Warrior', '2', '45092', '0', '33161', '33144', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4160', 'Dwarf Warrior', '0', '45092', '0', '33112', '33197', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4161', 'Dwarf Warrior', '2', '45092', '0', '33100', '33241', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4162', 'Dwarf Warrior', '0', '45092', '0', '33102', '33271', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4163', 'Dwarf Warrior', '2', '45092', '0', '33189', '33230', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4164', 'Dwarf Warrior', '0', '45092', '0', '33178', '33300', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4165', 'Dwarf Warrior', '2', '45092', '0', '33196', '33384', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4166', 'Dwarf Warrior', '0', '45092', '0', '33162', '33318', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4167', 'Dwarf Warrior', '2', '45092', '0', '33149', '33251', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4168', 'Dwarf Warrior', '0', '45092', '0', '33052', '33273', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4170', 'Island Cockatrice', '0', '45095', '0', '32813', '32866', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4171', 'Island Cockatrice', '2', '45095', '0', '32850', '32846', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4172', 'Island Cockatrice', '0', '45095', '0', '32797', '32853', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4173', 'Island Cockatrice', '2', '45095', '0', '32790', '32868', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4174', 'Island Crocodile', '0', '45096', '0', '32800', '32839', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4175', 'Island Crocodile', '2', '45096', '0', '32835', '32848', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4188', 'Gandi Orc', '0', '45098', '0', '32692', '32440', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4189', 'Gandi Orc', '2', '45098', '0', '32654', '32410', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4190', 'Gandi Orc', '0', '45098', '0', '32633', '32392', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4191', 'Gandi Orc', '2', '45098', '0', '32614', '32375', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4192', 'Gandi Orc', '0', '45098', '0', '32594', '32359', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4193', 'Gandi Orc', '2', '45098', '0', '32556', '32327', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4194', 'Gandi Orc', '0', '45098', '0', '32560', '32352', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4195', 'Gandi Orc', '2', '45098', '0', '32583', '32381', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4196', 'Gandi Orc', '0', '45098', '0', '32602', '32399', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4197', 'Gandi Orc', '2', '45098', '0', '32642', '32436', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4198', 'Gandi Orc', '0', '45098', '0', '32658', '32458', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4199', 'Gandi Orc', '2', '45098', '0', '32661', '32481', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4200', 'Gandi Orc', '0', '45098', '0', '32605', '32451', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4201', 'Gandi Orc', '2', '45098', '0', '32578', '32436', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4202', 'Gandi Orc', '0', '45098', '0', '32553', '32423', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4203', 'Gandi Orc', '2', '45098', '0', '32564', '32454', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4204', 'Gandi Orc', '0', '45098', '0', '32602', '32494', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4205', 'Gandi Orc', '2', '45098', '0', '32554', '32224', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4206', 'Gandi Orc', '0', '45098', '0', '32552', '32259', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4207', 'Gandi Orc', '2', '45098', '0', '32566', '32283', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4208', 'Gandi Orc', '0', '45098', '0', '32590', '32253', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4209', 'Gandi Orc', '2', '45098', '0', '32605', '32275', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4210', 'Gandi Orc', '0', '45098', '0', '32630', '32293', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4211', 'Gandi Orc', '2', '45098', '0', '32674', '32317', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4212', 'Gandi Orc', '0', '45098', '0', '32677', '32344', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4213', 'Gandi Orc', '2', '45098', '0', '32705', '32412', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4214', 'Gandi Orc', '0', '45098', '0', '32661', '32376', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4215', 'Gandi Orc', '2', '45098', '0', '32601', '32337', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4216', 'Gandi Orc', '0', '45098', '0', '32578', '32315', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4217', 'Gandi Orc', '2', '45098', '0', '32746', '32364', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4218', 'Gandi Orc', '0', '45098', '0', '32827', '32344', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4219', 'Gandi Orc', '2', '45098', '0', '32736', '32338', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4220', 'Gandi Orc', '0', '45098', '0', '32712', '32309', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4221', 'Gandi Orc', '2', '45098', '0', '32735', '32290', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4222', 'Gandi Orc', '0', '45098', '0', '32700', '32255', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4223', 'Gandi Orc', '2', '45098', '0', '32662', '32249', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4224', 'Gandi Orc', '0', '45098', '0', '32627', '32229', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4225', 'Gandi Orc', '2', '45098', '0', '32579', '32221', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4226', 'Gandi Orc', '0', '45098', '0', '32625', '32325', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4227', 'Gandi Orc', '2', '45098', '0', '32654', '32271', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4228', 'Gandi Orc', '0', '45098', '0', '32761', '32309', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4229', 'Gandi Orc', '2', '45098', '0', '32773', '32254', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4230', 'Gandi Orc', '0', '45098', '0', '32747', '32219', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4231', 'Gandi Orc', '2', '45098', '0', '32838', '32388', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4232', 'Gandi Orc', '0', '45098', '0', '32856', '32432', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4233', 'Gandi Orc', '2', '45098', '0', '32765', '32409', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4252', 'Skeleton', '0', '45107', '0', '32752', '32855', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4253', 'Skeleton', '2', '45107', '0', '32768', '32852', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4254', 'Skeleton', '0', '45107', '0', '32742', '32864', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4255', 'Skeleton', '2', '45107', '0', '32743', '32855', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4256', 'Skeleton', '0', '45107', '0', '32800', '32926', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4257', 'Skeleton', '2', '45107', '0', '32856', '32900', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4258', 'Skeleton', '0', '45107', '0', '32868', '32905', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4259', 'Skeleton', '2', '45107', '0', '32871', '32887', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4260', 'Skeleton', '0', '45107', '0', '32854', '32901', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4261', 'Skeleton', '2', '45107', '0', '32857', '32902', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4262', 'Skeleton', '0', '45107', '0', '32878', '32861', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4263', 'Skeleton', '2', '45107', '0', '32891', '32857', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4264', 'Skeleton', '0', '45107', '0', '32889', '32841', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4265', 'Skeleton', '2', '45107', '0', '32877', '32802', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4266', 'Skeleton', '0', '45107', '0', '32817', '32806', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4267', 'Skeleton', '2', '45107', '0', '32927', '32815', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4268', 'Skeleton', '0', '45107', '0', '32917', '32812', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4425', 'Skeleton', '2', '45107', '0', '32756', '32681', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4426', 'Skeleton', '0', '45107', '0', '32770', '32704', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4427', 'Skeleton', '2', '45107', '0', '32795', '32706', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4428', 'Skeleton', '0', '45107', '0', '32824', '32698', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4429', 'Skeleton', '2', '45107', '0', '32824', '32751', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4430', 'Skeleton', '0', '45107', '0', '32787', '32765', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4431', 'Skeleton', '2', '45107', '0', '32762', '32749', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4432', 'Skeleton', '0', '45107', '0', '32724', '32737', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4433', 'Skeleton', '2', '45107', '0', '32723', '32712', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4434', 'Skeleton', '0', '45107', '0', '32701', '32714', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4435', 'Skeleton', '2', '45107', '0', '32709', '32687', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4436', 'Skeleton', '0', '45107', '0', '32708', '32662', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4437', 'Skeleton', '2', '45107', '0', '32713', '32639', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4438', 'Skeleton', '0', '45107', '0', '32708', '32623', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4439', 'Skeleton', '2', '45107', '0', '32741', '32633', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4440', 'Skeleton', '0', '45107', '0', '32740', '32658', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4441', 'Skeleton', '2', '45107', '0', '32758', '32677', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4442', 'Skeleton', '0', '45107', '0', '32782', '32675', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4443', 'Skeleton', '2', '45107', '0', '32815', '32660', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4444', 'Skeleton', '0', '45107', '0', '32838', '32683', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4445', 'Skeleton', '2', '45107', '0', '32831', '32719', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4446', 'Skeleton', '0', '45107', '0', '32884', '32695', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4447', 'Skeleton', '2', '45107', '0', '32898', '32683', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4448', 'Skeleton', '0', '45107', '0', '32888', '32677', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4449', 'Skeleton', '2', '45107', '0', '32893', '32718', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4450', 'Skeleton', '0', '45107', '0', '32802', '32735', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4451', 'Skeleton', '2', '45107', '0', '33049', '33237', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4452', 'Skeleton', '0', '45107', '0', '33050', '33252', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4453', 'Skeleton', '2', '45107', '0', '33041', '33271', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4454', 'Skeleton', '0', '45107', '0', '33052', '33209', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4455', 'Skeleton', '2', '45107', '0', '33057', '33194', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4456', 'Skeleton', '0', '45107', '0', '33052', '33180', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4457', 'Skeleton', '2', '45107', '0', '33060', '33208', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4458', 'Skeleton', '0', '45107', '0', '33058', '33296', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4459', 'Skeleton', '2', '45107', '0', '33061', '33286', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4460', 'Skeleton', '0', '45107', '0', '33054', '33274', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4461', 'Skeleton', '2', '45107', '0', '33042', '33283', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4619', 'Skeleton', '2', '45107', '0', '32827', '32943', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4620', 'Skeleton', '0', '45107', '0', '32812', '32927', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4621', 'Skeleton', '2', '45107', '0', '32798', '32915', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4622', 'Skeleton', '0', '45107', '0', '32787', '32904', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4623', 'Skeleton', '2', '45107', '0', '32803', '32901', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4624', 'Skeleton', '0', '45107', '0', '32815', '32890', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4625', 'Skeleton', '2', '45107', '0', '32830', '32903', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4626', 'Skeleton', '0', '45107', '0', '32830', '32915', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4627', 'Skeleton', '2', '45107', '0', '32855', '32928', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4628', 'Skeleton', '0', '45107', '0', '32867', '32940', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4629', 'Skeleton', '2', '45107', '0', '32882', '32956', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4630', 'Skeleton', '0', '45107', '0', '32902', '32945', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4631', 'Skeleton', '2', '45107', '0', '32921', '32934', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4632', 'Skeleton', '0', '45107', '0', '32918', '32916', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4633', 'Skeleton', '2', '45107', '0', '32910', '32895', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4634', 'Skeleton', '0', '45107', '0', '32882', '32891', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4635', 'Skeleton', '2', '45107', '0', '32851', '32895', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4647', 'Lesser Succubus Queen', '0', '45110', '0', '32733', '32737', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4648', 'Giant Ant', '0', '45115', '0', '32851', '33241', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4649', 'Giant Ant', '2', '45115', '0', '32816', '33210', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4650', 'Giant Ant', '0', '45115', '0', '32795', '33192', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4651', 'Giant Ant', '2', '45115', '0', '32778', '33177', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4652', 'Giant Ant', '0', '45115', '0', '32763', '33162', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4653', 'Giant Ant', '2', '45115', '0', '32747', '33147', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4654', 'Giant Ant', '0', '45115', '0', '32731', '33133', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4655', 'Giant Ant', '2', '45115', '0', '32729', '33152', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4656', 'Giant Ant', '0', '45115', '0', '32736', '33159', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4657', 'Giant Ant', '2', '45115', '0', '32744', '33167', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4658', 'Giant Ant', '0', '45115', '0', '32773', '33196', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4659', 'Giant Ant', '2', '45115', '0', '32801', '33224', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4660', 'Giant Ant', '0', '45115', '0', '32817', '33240', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4661', 'Giant Ant', '2', '45115', '0', '32867', '33290', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4662', 'Giant Ant', '0', '45115', '0', '32881', '33304', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4663', 'Giant Ant', '2', '45115', '0', '32912', '33335', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4664', 'Giant Ant', '0', '45115', '0', '32899', '33339', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4665', 'Giant Ant', '2', '45115', '0', '32862', '33315', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4666', 'Giant Ant', '0', '45115', '0', '32834', '33296', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4667', 'Giant Ant', '2', '45115', '0', '32827', '33289', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4668', 'Giant Ant', '0', '45115', '0', '32788', '33252', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4669', 'Giant Ant', '2', '45115', '0', '32773', '33239', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4670', 'Giant Ant', '0', '45115', '0', '32731', '33204', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4671', 'Giant Ant', '2', '45115', '0', '32693', '33168', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4672', 'Giant Ant', '0', '45115', '0', '32872', '33227', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4673', 'Giant Ant', '2', '45115', '0', '32826', '33188', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4674', 'Giant Ant', '0', '45115', '0', '32820', '33182', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4675', 'Giant Ant', '2', '45115', '0', '32784', '33152', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4676', 'Giant Ant', '0', '45115', '0', '32744', '33112', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4677', 'Giant Ant', '2', '45115', '0', '32748', '33096', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4678', 'Giant Ant', '0', '45115', '0', '32782', '33118', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4679', 'Giant Ant', '2', '45115', '0', '32821', '33158', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4680', 'Giant Ant', '0', '45115', '0', '33830', '33163', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4681', 'Giant Ant', '2', '45115', '0', '32866', '33195', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4682', 'Giant Ant', '0', '45115', '0', '32912', '33236', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4683', 'Giant Ant', '2', '45115', '0', '32921', '33241', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4684', 'Giant Ant', '0', '45115', '0', '32971', '33279', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4685', 'Giant Ant', '2', '45115', '0', '32847', '33254', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4686', 'Giant Ant', '0', '45115', '0', '32778', '33132', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4687', 'Giant Ant', '2', '45115', '0', '32906', '33143', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4688', 'Giant Ant', '0', '45115', '0', '32870', '33111', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4689', 'Giant Ant', '2', '45115', '0', '32858', '33091', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4690', 'Giant Ant', '0', '45115', '0', '32844', '33072', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4691', 'Giant Ant', '2', '45115', '0', '32816', '33055', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4692', 'Giant Ant', '0', '45115', '0', '32802', '33081', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4693', 'Giant Ant', '2', '45115', '0', '32817', '33095', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4694', 'Giant Ant', '0', '45115', '0', '32831', '33117', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4695', 'Giant Ant', '2', '45115', '0', '32834', '33135', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4696', 'Giant Ant', '0', '45115', '0', '32860', '33150', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4697', 'Giant Ant', '2', '45115', '0', '32869', '33172', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4698', 'Giant Ant', '0', '45115', '0', '32822', '33170', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4699', 'Giant Ant', '2', '45115', '0', '32858', '33294', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4700', 'Giant Ant', '0', '45115', '0', '32878', '33272', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4701', 'Giant Ant', '2', '45115', '0', '32910', '32172', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4702', 'Giant Ant', '0', '45115', '0', '32879', '33165', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4703', 'Giant Ant', '2', '45115', '0', '32866', '33133', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4704', 'Giant Ant', '0', '45115', '0', '32835', '33096', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4705', 'Giant Ant', '2', '45115', '0', '32808', '33101', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4706', 'Giant Ant', '0', '45115', '0', '32841', '33146', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4707', 'Giant Ant', '2', '45115', '0', '32902', '33260', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4708', 'Giant Ant', '0', '45115', '0', '32818', '33263', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4709', 'Giant Ant', '2', '45115', '0', '32753', '33194', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4710', 'Giant Ant', '0', '45115', '0', '32704', '33136', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4711', 'Giant Ant', '2', '45115', '0', '32998', '33302', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4712', 'Giant Ant', '0', '45115', '0', '32955', '33298', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4713', 'Giant Ant', '2', '45115', '0', '32941', '33297', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4714', 'Giant Ant', '0', '45115', '0', '32901', '33285', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4715', 'Giant Ant', '2', '45115', '0', '32893', '33293', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4716', 'Giant Ant', '0', '45115', '0', '32896', '33316', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4717', 'Giant Ant', '2', '45115', '0', '32915', '33321', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4718', 'Giant Ant', '0', '45115', '0', '32941', '33338', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4719', 'Giant Ant', '2', '45115', '0', '32927', '33359', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4720', 'Giant Ant', '0', '45115', '0', '32865', '33333', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4721', 'Giant Ant', '2', '45115', '0', '32842', '33331', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4722', 'Giant Ant', '0', '45115', '0', '32827', '33330', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4723', 'Giant Ant', '2', '45115', '0', '32811', '33306', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4724', 'Giant Ant', '0', '45115', '0', '32798', '33268', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4725', 'Giant Ant', '2', '45115', '0', '32798', '33268', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5410', 'Giant Ant', '0', '45115', '0', '32931', '33130', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5411', 'Giant Ant', '2', '45115', '0', '32896', '33131', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5412', 'Giant Ant', '0', '45115', '0', '32941', '33154', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5413', 'Giant Ant', '2', '45115', '0', '32968', '33163', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5414', 'Giant Ant', '0', '45115', '0', '32975', '33192', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5415', 'Giant Ant', '2', '45115', '0', '32946', '33197', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5416', 'Giant Ant', '0', '45115', '0', '32923', '33221', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5417', 'Giant Ant', '2', '45115', '0', '32908', '33219', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5418', 'Giant Ant', '0', '45115', '0', '32974', '33257', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5419', 'Giant Ant', '2', '45115', '0', '32997', '33250', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5420', 'Giant Ant', '0', '45115', '0', '33010', '33263', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5421', 'Giant Ant', '2', '45115', '0', '32989', '33278', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5422', 'Giant Ant', '0', '45115', '0', '32977', '33283', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5423', 'Giant Ant', '2', '45115', '0', '32960', '33282', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5424', 'Giant Ant', '0', '45115', '0', '32927', '33277', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5425', 'Giant Ant', '2', '45115', '0', '32917', '33255', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5499', 'Orc Wizard', '2', '45121', '0', '32703', '32946', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5500', 'Orc Wizard', '0', '45121', '0', '32710', '32961', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5501', 'Orc Wizard', '2', '45121', '0', '32721', '32928', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5502', 'Orc Wizard', '0', '45121', '0', '32718', '32913', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5503', 'Orc Wizard', '2', '45121', '0', '32721', '32929', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5504', 'Orc Wizard', '0', '45121', '0', '33058', '33331', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5505', 'Orc Wizard', '2', '45121', '0', '33079', '33314', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5506', 'Orc Wizard', '0', '45121', '0', '33054', '33292', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5507', 'Orc Wizard', '2', '45121', '0', '33056', '33307', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5508', 'Orc Wizard', '0', '45121', '0', '33047', '33275', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5509', 'Orc Wizard', '2', '45121', '0', '33053', '33229', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5510', 'Orc Wizard', '0', '45121', '0', '33050', '33213', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5511', 'Orc Wizard', '2', '45121', '0', '32999', '33148', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5512', 'Orc Wizard', '0', '45121', '0', '33012', '33143', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5513', 'Orc Wizard', '2', '45121', '0', '33005', '33132', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5514', 'Orc Wizard', '0', '45121', '0', '32568', '32256', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5515', 'Orc Wizard', '2', '45121', '0', '32567', '32221', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5516', 'Orc Wizard', '0', '45121', '0', '32614', '32243', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5517', 'Orc Wizard', '2', '45121', '0', '32649', '32313', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5518', 'Orc Wizard', '0', '45121', '0', '32509', '32408', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5519', 'Orc Wizard', '2', '45121', '0', '32745', '32387', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5520', 'Orc Wizard', '0', '45121', '0', '32755', '32370', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5521', 'Orc Wizard', '2', '45121', '0', '32744', '32348', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5522', 'Orc Wizard', '0', '45121', '0', '32727', '32337', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5523', 'Orc Wizard', '2', '45121', '0', '32705', '32343', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5524', 'Orc Wizard', '0', '45121', '0', '32685', '32364', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5525', 'Orc Wizard', '2', '45121', '0', '32693', '32409', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5526', 'Orc Wizard', '0', '45121', '0', '32727', '33234', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5527', 'Orc Wizard', '2', '45121', '0', '32752', '33258', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5528', 'Orc Wizard', '0', '45121', '0', '32776', '33302', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5529', 'Orc Wizard', '2', '45121', '0', '32740', '33293', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5530', 'Orc Wizard', '0', '45121', '0', '32769', '33338', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5531', 'Orc Wizard', '2', '45121', '0', '32723', '33308', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5532', 'Orc Wizard', '0', '45121', '0', '32691', '33260', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5533', 'Orc Wizard', '2', '45121', '0', '33193', '33088', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5534', 'Orc Wizard', '0', '45121', '0', '33228', '33044', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5535', 'Orc Wizard', '2', '45121', '0', '33197', '33041', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5536', 'Orc Wizard', '0', '45121', '0', '33178', '33053', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5537', 'Orc Wizard', '2', '45121', '0', '33151', '33074', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5551', 'Skeleton Archer', '1', '45122', '0', '32821', '32734', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5552', 'Skeleton Archer', '0', '45122', '0', '32815', '32756', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5553', 'Skeleton Archer', '1', '45122', '0', '32770', '32747', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5554', 'Skeleton Archer', '0', '45122', '0', '32793', '32715', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5555', 'Skeleton Archer', '1', '45122', '0', '32811', '32671', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5556', 'Skeleton Archer', '0', '45122', '0', '32828', '32613', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5557', 'Skeleton Archer', '1', '45122', '0', '32729', '32654', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5558', 'Skeleton Archer', '0', '45122', '0', '32681', '32642', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5559', 'Skeleton Archer', '1', '45122', '0', '32705', '32637', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5560', 'Skeleton Archer', '0', '45122', '0', '32723', '32596', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5561', 'Skeleton Archer', '1', '45122', '0', '32782', '32610', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5562', 'Skeleton Archer', '0', '45122', '0', '32817', '32637', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5563', 'Skeleton Archer', '1', '45122', '0', '32802', '32669', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5564', 'Skeleton Archer', '0', '45122', '0', '32799', '32696', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5565', 'Skeleton Archer', '1', '45122', '0', '32767', '32711', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5566', 'Skeleton Archer', '0', '45122', '0', '32737', '32713', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5567', 'Skeleton Archer', '1', '45122', '0', '32730', '32694', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5568', 'Skeleton Archer', '0', '45122', '0', '32840', '32662', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5569', 'Skeleton Archer', '1', '45122', '0', '32913', '32648', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5719', 'Skeleton Archer', '1', '45122', '0', '32827', '32943', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5720', 'Skeleton Archer', '0', '45122', '0', '32812', '32927', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5721', 'Skeleton Archer', '1', '45122', '0', '32798', '32915', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5722', 'Skeleton Archer', '0', '45122', '0', '32787', '32904', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5723', 'Skeleton Archer', '1', '45122', '0', '32803', '32901', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5724', 'Skeleton Archer', '0', '45122', '0', '32815', '32890', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5725', 'Skeleton Archer', '1', '45122', '0', '32830', '32903', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5726', 'Skeleton Archer', '0', '45122', '0', '32830', '32915', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5727', 'Skeleton Archer', '1', '45122', '0', '32855', '32928', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5728', 'Skeleton Archer', '0', '45122', '0', '32867', '32940', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5729', 'Skeleton Archer', '1', '45122', '0', '32882', '32956', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5730', 'Skeleton Archer', '0', '45122', '0', '32902', '32945', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5731', 'Skeleton Archer', '1', '45122', '0', '32921', '32934', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5732', 'Skeleton Archer', '0', '45122', '0', '32918', '32916', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5733', 'Skeleton Archer', '1', '45122', '0', '32910', '32895', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5734', 'Skeleton Archer', '0', '45122', '0', '32882', '32891', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5735', 'Skeleton Archer', '1', '45122', '0', '32851', '32895', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5746', 'Bear', '0', '45040', '0', '33873', '32555', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5747', 'Bear', '2', '45040', '0', '33870', '32535', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5748', 'Bear', '0', '45040', '0', '33895', '32522', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5749', 'Bear', '2', '45040', '0', '33913', '32516', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5750', 'Bear', '0', '45040', '0', '33897', '32503', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5751', 'Bear', '2', '45040', '0', '33880', '32491', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5752', 'Bear', '0', '45040', '0', '33864', '32488', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5753', 'Bear', '2', '45040', '0', '33852', '32473', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5754', 'Bear', '0', '45040', '0', '33860', '32452', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5755', 'Bear', '2', '45040', '0', '33883', '32449', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5756', 'Bear', '0', '45040', '0', '33877', '32422', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5757', 'Bear', '2', '45040', '0', '33906', '32419', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5758', 'Bear', '0', '45040', '0', '33918', '32419', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5759', 'Bear', '2', '45040', '0', '33915', '32391', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5760', 'Bear', '0', '45040', '0', '33883', '32378', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5761', 'Bear', '2', '45040', '0', '33866', '32350', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5762', 'Bear', '0', '45040', '0', '33881', '32321', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5763', 'Bear', '2', '45040', '0', '33882', '32307', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5764', 'Bear', '0', '45040', '0', '33887', '32286', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5765', 'Bear', '2', '45040', '0', '33908', '32237', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5766', 'Bear', '0', '45040', '0', '33927', '32257', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5767', 'Bear', '2', '45040', '0', '33957', '32271', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5797', 'Stone Golem', '2', '45126', '0', '32929', '32571', '3', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5809', 'Stone Golem', '2', '45126', '0', '33072', '33457', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5810', 'Stone Golem', '0', '45126', '0', '32599', '33325', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5811', 'Stone Golem', '2', '45126', '0', '32571', '33299', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5812', 'Stone Golem', '0', '45126', '0', '32557', '33274', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5813', 'Stone Golem', '2', '45126', '0', '32570', '33238', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5814', 'Stone Golem', '0', '45126', '0', '32575', '33215', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5815', 'Stone Golem', '2', '45126', '0', '32551', '33326', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5816', 'Stone Golem', '0', '45126', '0', '32570', '33343', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5817', 'Stone Golem', '2', '45126', '0', '32598', '33348', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5818', 'Stone Golem', '0', '45126', '0', '32627', '33325', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5819', 'Stone Golem', '2', '45126', '0', '32668', '33330', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5820', 'Stone Golem', '0', '45126', '0', '32876', '33482', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5821', 'Stone Golem', '2', '45126', '0', '32954', '33489', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5822', 'Stone Golem', '0', '45126', '0', '32980', '33479', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5823', 'Stone Golem', '2', '45126', '0', '32950', '33470', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5824', 'Stone Golem', '0', '45126', '0', '32925', '33462', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5825', 'Stone Golem', '2', '45126', '0', '32868', '33445', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5826', 'Stone Golem', '0', '45126', '0', '32850', '33459', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5827', 'Stone Golem', '2', '45126', '0', '32782', '33446', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5828', 'Stone Golem', '0', '45126', '0', '32716', '33460', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5829', 'Stone Golem', '2', '45126', '0', '32740', '33476', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5830', 'Stone Golem', '0', '45126', '0', '32800', '33491', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5831', 'Stone Golem', '2', '45126', '0', '32829', '33435', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5832', 'Stone Golem', '0', '45126', '0', '32879', '33402', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5833', 'Stone Golem', '2', '45126', '0', '32911', '33466', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5834', 'Stone Golem', '0', '45126', '0', '32897', '33437', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5835', 'Stone Golem', '2', '45126', '0', '32873', '33426', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5836', 'Stone Golem', '0', '45126', '0', '32808', '33428', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5837', 'Stone Golem', '2', '45126', '0', '32805', '33465', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5838', 'Stone Golem', '0', '45126', '0', '32817', '33437', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5839', 'Stone Golem', '2', '45126', '0', '32906', '33451', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5845', 'Stone Golem', '2', '45126', '0', '32928', '32589', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5846', 'Stone Golem', '0', '45126', '0', '32941', '32605', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5847', 'Stone Golem', '2', '45126', '0', '32962', '32623', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5848', 'Stone Golem', '0', '45126', '0', '32980', '32616', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5849', 'Stone Golem', '2', '45126', '0', '32991', '32647', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5850', 'Stone Golem', '0', '45126', '0', '32965', '32650', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5869', 'Rova Orc', '2', '45127', '0', '32685', '32436', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5870', 'Rova Orc', '0', '45127', '0', '32661', '32416', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5871', 'Rova Orc', '2', '45127', '0', '32581', '32348', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5872', 'Rova Orc', '0', '45127', '0', '32537', '32331', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5873', 'Rova Orc', '2', '45127', '0', '32560', '32358', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5874', 'Rova Orc', '0', '45127', '0', '32597', '32393', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5875', 'Rova Orc', '2', '45127', '0', '32653', '32451', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5876', 'Rova Orc', '0', '45127', '0', '32640', '32469', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5877', 'Rova Orc', '2', '45127', '0', '32588', '32441', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5878', 'Rova Orc', '0', '45127', '0', '32541', '32431', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5879', 'Rova Orc', '2', '45127', '0', '32560', '32448', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5880', 'Rova Orc', '0', '45127', '0', '32597', '32487', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5881', 'Rova Orc', '2', '45127', '0', '32555', '32217', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5882', 'Rova Orc', '0', '45127', '0', '32559', '32254', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5883', 'Rova Orc', '2', '45127', '0', '32562', '32275', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5884', 'Rova Orc', '0', '45127', '0', '32589', '32241', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5885', 'Rova Orc', '2', '45127', '0', '32591', '32273', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5886', 'Rova Orc', '0', '45127', '0', '32622', '32287', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5887', 'Rova Orc', '2', '45127', '0', '32663', '32325', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5888', 'Rova Orc', '0', '45127', '0', '32682', '32334', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5889', 'Rova Orc', '2', '45127', '0', '32695', '32360', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5890', 'Rova Orc', '0', '45127', '0', '32699', '32404', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5891', 'Rova Orc', '2', '45127', '0', '32689', '32413', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5892', 'Rova Orc', '0', '45127', '0', '32665', '32390', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5893', 'Rova Orc', '2', '45127', '0', '32644', '32359', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5894', 'Rova Orc', '0', '45127', '0', '32611', '32342', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5895', 'Rova Orc', '2', '45127', '0', '32852', '32321', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5896', 'Rova Orc', '0', '45127', '0', '32737', '32356', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5897', 'Rova Orc', '2', '45127', '0', '32815', '32359', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5898', 'Rova Orc', '0', '45127', '0', '32789', '32346', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5899', 'Rova Orc', '2', '45127', '0', '32721', '32318', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5900', 'Rova Orc', '0', '45127', '0', '32721', '32288', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5901', 'Rova Orc', '2', '45127', '0', '32716', '32259', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5902', 'Rova Orc', '0', '45127', '0', '32675', '32250', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5903', 'Rova Orc', '2', '45127', '0', '32639', '32237', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5904', 'Rova Orc', '0', '45127', '0', '32603', '32228', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5905', 'Rova Orc', '2', '45127', '0', '32603', '32308', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5906', 'Rova Orc', '0', '45127', '0', '32642', '32270', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5907', 'Rova Orc', '2', '45127', '0', '32685', '32282', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5908', 'Rova Orc', '0', '45127', '0', '32737', '32303', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5909', 'Rova Orc', '2', '45127', '0', '32826', '32455', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5938', 'Blue Tail', '0', '45239', '0', '32389', '33203', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5939', 'Skeleton Axeman', '2', '45130', '0', '32746', '32888', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5940', 'Skeleton Axeman', '0', '45130', '0', '32778', '32871', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5941', 'Skeleton Axeman', '2', '45130', '0', '32802', '32855', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5942', 'Skeleton Axeman', '0', '45130', '0', '32808', '32899', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5943', 'Skeleton Axeman', '2', '45130', '0', '32803', '32903', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5944', 'Skeleton Axeman', '0', '45130', '0', '32839', '32901', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5945', 'Skeleton Axeman', '2', '45130', '0', '32855', '32805', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5946', 'Skeleton Axeman', '0', '45130', '0', '32849', '32811', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5947', 'Skeleton Axeman', '2', '45130', '0', '32835', '32805', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5948', 'Skeleton Axeman', '0', '45130', '0', '32814', '32801', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5949', 'Skeleton Axeman', '2', '45130', '0', '32932', '32827', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5950', 'Skeleton Axeman', '0', '45130', '0', '32931', '32841', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5951', 'Skeleton Axeman', '2', '45130', '0', '32923', '32844', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5997', 'Skeleton Soldier', '2', '45131', '0', '32758', '32893', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5998', 'Skeleton Soldier', '0', '45131', '0', '32762', '32888', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5999', 'Skeleton Soldier', '2', '45131', '0', '32755', '32891', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6000', 'Skeleton Soldier', '0', '45131', '0', '32772', '32876', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6001', 'Skeleton Soldier', '2', '45131', '0', '32799', '32868', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6002', 'Skeleton Soldier', '0', '45131', '0', '32800', '32890', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6003', 'Skeleton Soldier', '2', '45131', '0', '32805', '32917', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6004', 'Skeleton Soldier', '0', '45131', '0', '32851', '32903', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6005', 'Skeleton Soldier', '2', '45131', '0', '32866', '32918', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6006', 'Skeleton Soldier', '0', '45131', '0', '32857', '32882', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6007', 'Skeleton Soldier', '2', '45131', '0', '32838', '32880', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6008', 'Skeleton Soldier', '0', '45131', '0', '32843', '32863', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6009', 'Skeleton Soldier', '2', '45131', '0', '32877', '32804', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6010', 'Skeleton Soldier', '0', '45131', '0', '32865', '32802', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6011', 'Skeleton Soldier', '2', '45131', '0', '32808', '32799', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6012', 'Skeleton Soldier', '0', '45131', '0', '32921', '32824', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6117', 'Snowman', '2', '45133', '0', '34227', '32226', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6118', 'Snowman', '0', '45133', '0', '34250', '32223', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6119', 'Snowman', '2', '45133', '0', '34255', '32258', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6120', 'Snowman', '0', '45133', '0', '34188', '32289', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6121', 'Snowman', '2', '45133', '0', '34168', '32294', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6122', 'Snowman', '0', '45133', '0', '34197', '32382', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6123', 'Snowman', '2', '45133', '0', '34197', '32417', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6124', 'Snowman', '0', '45133', '0', '34178', '32454', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6125', 'Snowman', '2', '45133', '0', '34157', '32454', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6126', 'Snowman', '0', '45133', '0', '34139', '32423', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6127', 'Snowman', '2', '45133', '0', '34134', '32397', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6128', 'Snowman', '0', '45133', '0', '34155', '32341', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6129', 'Snowman', '2', '45133', '0', '34088', '32313', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6130', 'Snowman', '0', '45133', '0', '34042', '32348', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6131', 'Snowman', '2', '45133', '0', '34032', '32361', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6132', 'Snowman', '0', '45133', '0', '34018', '32296', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6133', 'Snowman', '2', '45133', '0', '34034', '32303', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6134', 'Snowman', '0', '45133', '0', '34032', '32329', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6135', 'Snowman', '2', '45133', '0', '34033', '32351', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6136', 'Snowman', '0', '45133', '0', '34038', '32364', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6137', 'Snowman', '2', '45133', '0', '34010', '32370', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6138', 'Snowman', '0', '45133', '0', '33989', '32364', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6139', 'Snowman', '2', '45133', '0', '33973', '32379', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6140', 'Snowman', '0', '45133', '0', '33954', '32370', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6141', 'Snowman', '2', '45133', '0', '33937', '32353', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6142', 'Snowman', '0', '45133', '0', '33949', '32338', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6143', 'Snowman', '2', '45133', '0', '33961', '32326', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6144', 'Snowman', '0', '45133', '0', '33950', '32311', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6145', 'Snowman', '2', '45133', '0', '33943', '32295', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6146', 'Snowman', '0', '45133', '0', '33969', '32293', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6147', 'Snowman', '2', '45133', '0', '34000', '32286', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6166', 'Arachnevil', '0', '45136', '0', '33533', '33301', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6167', 'Arachnevil', '2', '45136', '0', '33506', '33326', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6168', 'Arachnevil', '0', '45136', '0', '33482', '33317', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6169', 'Arachnevil', '2', '45136', '0', '33494', '33284', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6170', 'Arachnevil', '0', '45136', '0', '33465', '33259', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6171', 'Arachnevil', '2', '45136', '0', '33455', '33256', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6172', 'Arachnevil', '0', '45136', '0', '33441', '33314', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6173', 'Arachnevil', '2', '45136', '0', '33445', '33356', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6174', 'Arachnevil', '0', '45136', '0', '33470', '33298', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6175', 'Arachnevil', '2', '45136', '0', '33415', '33301', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6176', 'Arachnevil', '0', '45136', '0', '33399', '33351', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6177', 'Arachnevil', '2', '45136', '0', '33371', '33380', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6178', 'Arachnevil', '0', '45136', '0', '33361', '33380', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6179', 'Arachnevil', '2', '45136', '0', '33359', '33429', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6180', 'Arachnevil', '0', '45136', '0', '33328', '33437', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6181', 'Arachnevil', '2', '45136', '0', '33326', '33370', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6182', 'Arachnevil', '0', '45136', '0', '33368', '33339', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6183', 'Arachnevil', '2', '45136', '0', '33422', '33337', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6184', 'Arachnevil', '0', '45136', '0', '33457', '33400', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6185', 'Arachnevil', '2', '45136', '0', '33451', '33449', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6186', 'Arachnevil', '0', '45136', '0', '33453', '33345', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6187', 'Arachnevil', '2', '45136', '0', '33454', '33305', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6188', 'Arachnevil', '0', '45136', '0', '33354', '33277', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6189', 'Arachnevil', '2', '45136', '0', '33284', '33252', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6190', 'Arachnevil', '0', '45136', '0', '33275', '33288', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6191', 'Arachnevil', '2', '45136', '0', '33276', '33304', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6192', 'Arachnevil', '0', '45136', '0', '33296', '33362', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6193', 'Arachnevil', '2', '45136', '0', '33318', '33394', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6194', 'Arachnevil', '0', '45136', '0', '33338', '33294', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6195', 'Arachnevil', '2', '45136', '0', '33392', '33258', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6196', 'Arachnevil', '0', '45136', '0', '33384', '33188', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6197', 'Arachnevil', '2', '45136', '0', '33436', '33183', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6198', 'Arachnevil', '0', '45136', '0', '33443', '33191', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6199', 'Arachnevil', '2', '45136', '0', '33420', '33248', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6200', 'Arachnevil', '0', '45136', '0', '33347', '33219', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6201', 'Arachnevil', '2', '45136', '0', '33334', '33137', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6202', 'Arachnevil', '0', '45136', '0', '33339', '33202', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6203', 'Arachnevil', '2', '45136', '0', '33341', '33192', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6204', 'Arachnevil', '0', '45136', '0', '33388', '33141', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6205', 'Arachnevil', '2', '45136', '0', '33474', '33284', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6206', 'Arachnevil', '0', '45136', '0', '33413', '33279', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6207', 'Arachnevil', '2', '45136', '0', '33356', '33331', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6208', 'Arachnevil', '0', '45136', '0', '33325', '33330', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6209', 'Arachnevil', '2', '45136', '0', '33417', '33265', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6210', 'Arachnevil', '0', '45136', '0', '33415', '33229', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6211', 'Arachnevil', '2', '45136', '0', '33426', '33200', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6212', 'Arachnevil', '0', '45136', '0', '33279', '33148', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6213', 'Arachnevil', '2', '45136', '0', '33570', '33178', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6214', 'Arachnevil', '0', '45136', '0', '33531', '33160', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6215', 'Arachnevil', '2', '45136', '0', '33477', '33156', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6216', 'Arachnevil', '0', '45136', '0', '33453', '33182', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6217', 'Arachnevil', '2', '45136', '0', '33476', '33135', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6218', 'Arachnevil', '0', '45136', '0', '33418', '33120', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6219', 'Arachnevil', '2', '45136', '0', '33432', '33145', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6220', 'Arachnevil', '0', '45136', '0', '33496', '33119', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6221', 'Arachnevil', '2', '45136', '0', '33498', '33085', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6222', 'Arachnevil', '0', '45136', '0', '33552', '33124', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6223', 'Arachnevil', '2', '45136', '0', '33565', '33111', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6224', 'Arachnevil', '0', '45136', '0', '33536', '33103', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6249', 'Arachnevil', '2', '45136', '0', '33325', '33049', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6250', 'Arachnevil', '0', '45136', '0', '33328', '33022', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6251', 'Arachnevil', '2', '45136', '0', '33352', '33003', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6252', 'Arachnevil', '0', '45136', '0', '33383', '33035', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6253', 'Arachnevil', '2', '45136', '0', '33408', '33041', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6254', 'Arachnevil', '0', '45136', '0', '33424', '33065', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6255', 'Arachnevil', '2', '45136', '0', '33391', '33088', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6256', 'Arachnevil', '0', '45136', '0', '33354', '33092', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6257', 'Arachnevil', '2', '45136', '0', '33284', '33049', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6258', 'Arachnevil', '0', '45136', '0', '33298', '33076', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6259', 'Arachnevil', '2', '45136', '0', '33317', '33076', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6260', 'Arachnevil', '0', '45136', '0', '33231', '33069', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6261', 'Arachnevil', '2', '45136', '0', '33186', '33045', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6262', 'Arachnevil', '0', '45136', '0', '33153', '33086', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6263', 'Arachnevil', '2', '45136', '0', '33088', '32986', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6264', 'Arachnevil', '0', '45136', '0', '33051', '32986', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6265', 'Arachnevil', '2', '45136', '0', '33042', '33024', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6266', 'Arachnevil', '0', '45136', '0', '33196', '33056', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6267', 'Arachnevil', '2', '45136', '0', '33180', '33065', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6268', 'Arachnevil', '0', '45136', '0', '33132', '33040', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6269', 'Arachnevil', '2', '45136', '0', '33098', '33027', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6270', 'Arachnevil', '0', '45136', '0', '32968', '32601', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6271', 'Arachnevil', '2', '45136', '0', '32976', '32646', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6272', 'Arachnevil', '0', '45136', '0', '32990', '32649', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6273', 'Arachnevil', '2', '45136', '0', '32964', '32679', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6274', 'Arachnevil', '0', '45136', '0', '32951', '32674', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6275', 'Arachnevil', '2', '45136', '0', '32948', '32640', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6276', 'Arachnevil', '0', '45136', '0', '32935', '32625', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6277', 'Arachnevil', '2', '45136', '0', '32918', '32584', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6278', 'Arachnevil', '0', '45136', '0', '32915', '32564', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6279', 'Arachnevil', '2', '45136', '0', '32923', '32550', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6280', 'Arachnevil', '0', '45136', '0', '32940', '32557', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6281', 'Arachnevil', '2', '45136', '0', '32967', '32571', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6282', 'Arachnevil', '0', '45136', '0', '33163', '32593', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6283', 'Arachnevil', '2', '45136', '0', '33184', '32611', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6284', 'Arachnevil', '0', '45136', '0', '33201', '32634', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6285', 'Arachnevil', '2', '45136', '0', '33179', '32657', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6286', 'Arachnevil', '0', '45136', '0', '33156', '32663', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6287', 'Arachnevil', '2', '45136', '0', '33123', '32631', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6288', 'Arachnevil', '0', '45136', '0', '33088', '32596', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6289', 'Arachnevil', '2', '45136', '0', '33049', '32633', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6290', 'Arachnevil', '0', '45136', '0', '33078', '32667', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6291', 'Arachnevil', '2', '45136', '0', '33098', '32621', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6292', 'Arachnevil', '0', '45136', '0', '32940', '32959', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6293', 'Arachnevil', '2', '45136', '0', '32935', '32979', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6294', 'Arachnevil', '0', '45136', '0', '32951', '32991', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6295', 'Arachnevil', '2', '45136', '0', '32962', '32994', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6296', 'Arachnevil', '0', '45136', '0', '32977', '32967', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6297', 'Arachnevil', '2', '45136', '0', '32960', '32943', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6298', 'Arachnevil', '0', '45136', '0', '32975', '32920', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6299', 'Arachnevil', '2', '45136', '0', '32979', '32902', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6300', 'Arachnevil', '0', '45136', '0', '32990', '32872', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6301', 'Arachnevil', '2', '45136', '0', '32956', '32893', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6302', 'Arachnevil', '0', '45136', '0', '33448', '32586', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6303', 'Arachnevil', '2', '45136', '0', '33478', '32580', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6304', 'Arachnevil', '0', '45136', '0', '33493', '32583', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6305', 'Arachnevil', '2', '45136', '0', '33508', '32584', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6306', 'Arachnevil', '0', '45136', '0', '33519', '32581', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6307', 'Arachnevil', '2', '45136', '0', '33523', '32564', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6308', 'Arachnevil', '0', '45136', '0', '33530', '32549', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6309', 'Arachnevil', '2', '45136', '0', '33538', '32549', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6310', 'Arachnevil', '0', '45136', '0', '33542', '32559', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6311', 'Arachnevil', '2', '45136', '0', '33550', '32567', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6312', 'Arachnevil', '0', '45136', '0', '33560', '32577', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6313', 'Arachnevil', '2', '45136', '0', '33568', '32589', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6314', 'Arachnevil', '0', '45136', '0', '33563', '32597', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6315', 'Arachnevil', '2', '45136', '0', '33536', '32572', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6316', 'Arachnevil', '0', '45136', '0', '33522', '32578', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6317', 'Arachnevil', '2', '45136', '0', '33508', '32589', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6318', 'Arachnevil', '0', '45136', '0', '33496', '32587', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6319', 'Arachnevil', '2', '45136', '0', '33487', '32575', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6320', 'Arachnevil', '0', '45136', '0', '33481', '32566', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6321', 'Arachnevil', '2', '45136', '0', '33469', '32561', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6322', 'Arachnevil', '0', '45136', '0', '33457', '32567', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6323', 'Arachnevil', '2', '45136', '0', '33447', '32581', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6324', 'Arachnevil', '0', '45136', '0', '33454', '32590', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6325', 'Arachnevil', '2', '45136', '0', '33452', '32598', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6326', 'Arachnevil', '0', '45136', '0', '33437', '32589', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6327', 'Arachnevil', '2', '45136', '0', '33500', '32583', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6328', 'Arachnevil', '0', '45136', '0', '33531', '32572', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6329', 'Arachnevil', '2', '45136', '0', '33532', '32557', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6330', 'Arachnevil', '0', '45136', '0', '33516', '32552', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6331', 'Arachnevil', '2', '45136', '0', '33504', '32568', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6332', 'Arachnevil', '0', '45136', '0', '33484', '32572', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6333', 'Arachnevil', '2', '45136', '0', '33459', '32583', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6334', 'Arachnevil', '0', '45136', '0', '33428', '32578', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6335', 'Arachnevil', '2', '45136', '0', '33410', '32571', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6336', 'Arachnevil', '0', '45136', '0', '33410', '32556', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6337', 'Arachnevil', '2', '45136', '0', '33394', '32576', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6338', 'Arachnevil', '0', '45136', '0', '33392', '32591', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6339', 'Arachnevil', '2', '45136', '0', '33376', '32602', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6340', 'Arachnevil', '0', '45136', '0', '33368', '32591', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6341', 'Arachnevil', '2', '45136', '0', '33372', '32581', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6342', 'Arachnevil', '0', '45136', '0', '33375', '32563', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6343', 'Arachnevil', '2', '45136', '0', '33366', '32561', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6344', 'Arachnevil', '0', '45136', '0', '33358', '32576', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6345', 'Arachnevil', '2', '45136', '0', '33351', '32589', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6346', 'Arachnevil', '0', '45136', '0', '33350', '32604', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6347', 'Arachnevil', '2', '45136', '0', '33416', '32592', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6348', 'Arachnevil', '0', '45136', '0', '33416', '32578', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6349', 'Arachnevil', '2', '45136', '0', '33409', '32564', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6350', 'Arachnevil', '0', '45136', '0', '33424', '32574', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6424', 'Wild Venom', '0', '45139', '0', '32439', '3293', '3', '14', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6425', 'Wild Venom', '2', '45139', '0', '32488', '32940', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6426', 'Wild Venom', '0', '45139', '0', '32485', '32951', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6427', 'Wild Venom', '2', '45139', '0', '32464', '32949', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6428', 'Wild Venom', '0', '45139', '0', '32448', '32934', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6429', 'Wild Venom', '2', '45139', '0', '32436', '32889', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6430', 'Wild Venom', '0', '45139', '0', '32439', '32874', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6431', 'Wild Venom', '2', '45139', '0', '32452', '32850', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6432', 'Wild Venom', '0', '45139', '0', '32464', '32825', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6433', 'Wild Venom', '2', '45139', '0', '32469', '32850', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6434', 'Wild Venom', '0', '45139', '0', '32495', '32854', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6435', 'Wild Venom', '2', '45139', '0', '32517', '32822', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6436', 'Wild Venom', '0', '45139', '0', '32523', '32835', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6437', 'Wild Venom', '2', '45139', '0', '32535', '32833', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6438', 'Wild Venom', '0', '45139', '0', '32538', '32846', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6439', 'Wild Venom', '2', '45139', '0', '32548', '32852', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6440', 'Wild Venom', '0', '45139', '0', '32553', '32858', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6441', 'Wild Venom', '2', '45139', '0', '32575', '32837', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6442', 'Wild Venom', '0', '45139', '0', '32580', '32840', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6443', 'Wild Venom', '2', '45139', '0', '32554', '32867', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6444', 'Wild Venom', '0', '45139', '0', '32551', '32886', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6445', 'Wild Venom', '2', '45139', '0', '32539', '32894', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6446', 'Wild Venom', '0', '45139', '0', '32561', '32895', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6447', 'Wild Venom', '2', '45139', '0', '32556', '32910', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6448', 'Wild Venom', '0', '45139', '0', '32573', '32919', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6449', 'Wild Venom', '2', '45139', '0', '32590', '32920', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6450', 'Wild Venom', '0', '45139', '0', '32609', '32910', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6451', 'Wild Venom', '2', '45139', '0', '32615', '32930', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6452', 'Wild Venom', '0', '45139', '0', '32625', '32920', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6453', 'Wild Venom', '2', '45139', '0', '32649', '32906', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6454', 'Wild Venom', '0', '45139', '0', '32667', '32881', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6455', 'Wild Venom', '2', '45139', '0', '32689', '32877', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6456', 'Wild Venom', '0', '45139', '0', '32693', '32860', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6457', 'Wild Venom', '2', '45139', '0', '32684', '32850', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6458', 'Wild Venom', '0', '45139', '0', '32667', '32842', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6459', 'Wild Venom', '2', '45139', '0', '32643', '32844', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6460', 'Wild Venom', '0', '45139', '0', '32623', '32848', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6461', 'Wild Venom', '2', '45139', '0', '32626', '32824', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6462', 'Wild Venom', '0', '45139', '0', '32632', '32808', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6463', 'Wild Venom', '2', '45139', '0', '32630', '32826', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6464', 'Wild Venom', '0', '45139', '0', '32640', '32872', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6465', 'Wild Venom', '2', '45139', '0', '32625', '32894', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6466', 'Wild Venom', '0', '45139', '0', '32607', '32917', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6467', 'Wild Venom', '2', '45139', '0', '32581', '32922', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6468', 'Wild Venom', '0', '45139', '0', '32562', '32936', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6469', 'Wild Venom', '2', '45139', '0', '32565', '32952', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6470', 'Wild Venom', '0', '45139', '0', '32575', '32966', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6471', 'Wild Venom', '2', '45139', '0', '32588', '32970', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6472', 'Wild Venom', '0', '45139', '0', '32606', '32972', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6473', 'Wild Venom', '2', '45139', '0', '32618', '32955', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6474', 'Wild Venom', '0', '45139', '0', '32631', '32957', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6475', 'Wild Venom', '2', '45139', '0', '32645', '32953', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6476', 'Wild Venom', '0', '45139', '0', '32661', '32956', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6477', 'Wild Venom', '2', '45139', '0', '32661', '32971', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6478', 'Wild Venom', '0', '45139', '0', '32646', '32981', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6479', 'Wild Venom', '2', '45139', '0', '32651', '32995', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6480', 'Wild Venom', '0', '45139', '0', '32662', '32995', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6481', 'Wild Venom', '2', '45139', '0', '32653', '33021', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6482', 'Wild Venom', '0', '45139', '0', '32659', '33040', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6483', 'Wild Venom', '2', '45139', '0', '32671', '33059', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6484', 'Wild Venom', '0', '45139', '0', '32684', '33071', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6485', 'Wild Venom', '2', '45139', '0', '32685', '33084', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6486', 'Wild Venom', '0', '45139', '0', '32677', '33106', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6487', 'Wild Venom', '2', '45139', '0', '32678', '33117', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6488', 'Wild Venom', '0', '45139', '0', '32676', '33150', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6489', 'Wild Venom', '2', '45139', '0', '32690', '33163', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6490', 'Wild Venom', '0', '45139', '0', '32675', '33173', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6491', 'Wild Venom', '2', '45139', '0', '32675', '33198', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6492', 'Wild Venom', '0', '45139', '0', '32665', '33215', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6493', 'Wild Venom', '2', '45139', '0', '32640', '33199', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6494', 'Wild Venom', '0', '45139', '0', '32615', '33194', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6495', 'Wild Venom', '2', '45139', '0', '32600', '33195', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6496', 'Wild Venom', '0', '45139', '0', '32603', '33173', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6497', 'Wild Venom', '2', '45139', '0', '32579', '33162', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6498', 'Wild Venom', '0', '45139', '0', '32562', '33166', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6499', 'Wild Venom', '2', '45139', '0', '32545', '33161', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6500', 'Wild Venom', '0', '45139', '0', '32560', '33145', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6501', 'Wild Venom', '2', '45139', '0', '32532', '33156', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6502', 'Wild Venom', '0', '45139', '0', '32512', '33174', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6503', 'Wild Venom', '2', '45139', '0', '32497', '33189', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6504', 'Wild Venom', '0', '45139', '0', '32486', '33190', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6505', 'Wild Venom', '2', '45139', '0', '32470', '33180', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6506', 'Wild Venom', '0', '45139', '0', '32454', '33172', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6507', 'Wild Venom', '2', '45139', '0', '32446', '33157', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6508', 'Wild Venom', '0', '45139', '0', '32429', '33156', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6509', 'Wild Venom', '2', '45139', '0', '32416', '33169', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6510', 'Wild Venom', '0', '45139', '0', '32413', '33187', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6511', 'Wild Venom', '2', '45139', '0', '32408', '33195', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6512', 'Wild Venom', '0', '45139', '0', '32404', '33210', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6513', 'Wild Venom', '2', '45139', '0', '32414', '33205', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6514', 'Hobgoblin', '0', '45140', '0', '33011', '33467', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6515', 'Hobgoblin', '2', '45140', '0', '33009', '33443', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6516', 'Hobgoblin', '0', '45140', '0', '33024', '33406', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6518', 'Hobgoblin', '0', '45140', '0', '33035', '33182', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6519', 'Hobgoblin', '2', '45140', '0', '33022', '33203', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6520', 'Hobgoblin', '0', '45140', '0', '33057', '33337', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6521', 'Hobgoblin', '2', '45140', '0', '33005', '33145', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6522', 'Hobgoblin', '0', '45140', '0', '32684', '33217', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6523', 'Hobgoblin', '2', '45140', '0', '32738', '33233', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6524', 'Hobgoblin', '0', '45140', '0', '32753', '33267', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6525', 'Hobgoblin', '2', '45140', '0', '32782', '33314', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6526', 'Hobgoblin', '0', '45140', '0', '32731', '33284', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6527', 'Hobgoblin', '2', '45140', '0', '32689', '33238', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6528', 'Hobgoblin', '0', '45140', '0', '32836', '33047', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6529', 'Hobgoblin', '2', '45140', '0', '32902', '33079', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6530', 'Hobgoblin', '0', '45140', '0', '32870', '33075', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6531', 'Hobgoblin', '2', '45140', '0', '32936', '33101', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6532', 'Hobgoblin', '0', '45140', '0', '32973', '33149', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6533', 'Hobgoblin', '2', '45140', '0', '33001', '33166', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6534', 'Hobgoblin', '0', '45140', '0', '33018', '33203', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6535', 'Hobgoblin', '2', '45140', '0', '33033', '33236', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6536', 'Hobgoblin', '0', '45140', '0', '33002', '33196', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6537', 'Hobgoblin', '2', '45140', '0', '32988', '33141', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6538', 'Hobgoblin', '0', '45140', '0', '32796', '33304', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6539', 'Hobgoblin', '2', '45140', '0', '32733', '33311', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6540', 'Hobgoblin', '0', '45140', '0', '32695', '33279', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6541', 'Hobgoblin', '2', '45140', '0', '32642', '33229', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6542', 'Hobgoblin', '0', '45140', '0', '33104', '32609', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6543', 'Hobgoblin', '2', '45140', '0', '33090', '32595', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6544', 'Hobgoblin', '0', '45140', '0', '33112', '32593', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6545', 'Hobgoblin', '2', '45140', '0', '33130', '32604', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6546', 'Hobgoblin', '0', '45140', '0', '33173', '32641', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6547', 'Hobgoblin', '2', '45140', '0', '33194', '32662', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6548', 'Hobgoblin', '0', '45140', '0', '33229', '32697', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6549', 'Hobgoblin', '2', '45140', '0', '33249', '32718', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6550', 'Hobgoblin', '0', '45140', '0', '33168', '32672', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6551', 'Hobgoblin', '2', '45140', '0', '33180', '32648', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6552', 'Hobgoblin', '0', '45140', '0', '33163', '32605', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6553', 'Hobgoblin', '2', '45140', '0', '33163', '32584', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6554', 'Hobgoblin', '0', '45140', '0', '33210', '32602', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6555', 'Hobgoblin', '2', '45140', '0', '33228', '32614', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6556', 'Hobgoblin', '0', '45140', '0', '33268', '32644', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6575', 'Hobgoblin', '2', '45140', '0', '33030', '33391', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6576', 'Hobgoblin', '0', '45140', '0', '33027', '33375', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6577', 'Hobgoblin', '2', '45140', '0', '33013', '33396', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6578', 'Hobgoblin', '0', '45140', '0', '32996', '33425', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6579', 'Hobgoblin', '2', '45140', '0', '32987', '33459', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6580', 'Hobgoblin', '0', '45140', '0', '32978', '33441', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6581', 'Hobgoblin', '2', '45140', '0', '32969', '33428', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6582', 'Hobgoblin', '0', '45140', '0', '32973', '33405', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6583', 'Hobgoblin', '2', '45140', '0', '32953', '33394', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6584', 'Hobgoblin', '0', '45140', '0', '32967', '33383', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6585', 'Hobgoblin', '2', '45140', '0', '32996', '33382', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6586', 'Hobgoblin', '0', '45140', '0', '33020', '33375', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6587', 'Hobgoblin', '2', '45140', '0', '33009', '33363', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6588', 'Hobgoblin', '0', '45140', '0', '32972', '33372', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6589', 'Hobgoblin', '2', '45140', '0', '32998', '33388', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6590', 'Hobgoblin', '0', '45140', '0', '33044', '33415', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6591', 'Hobgoblin', '2', '45140', '0', '33030', '33429', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6592', 'Hobgoblin', '0', '45140', '0', '33062', '33465', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6593', 'Hobgoblin', '2', '45140', '0', '33090', '33468', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6594', 'Hobgoblin', '0', '45140', '0', '33104', '33482', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6595', 'Hobgoblin', '2', '45140', '0', '33129', '33489', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6596', 'Hobgoblin', '0', '45140', '0', '33165', '33482', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6597', 'Hobgoblin', '2', '45140', '0', '33208', '33477', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6598', 'Hobgoblin', '0', '45140', '0', '33277', '33469', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6599', 'Hobgoblin', '2', '45140', '0', '33254', '33434', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6600', 'Hobgoblin', '0', '45140', '0', '33210', '33451', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6601', 'Hobgoblin', '2', '45140', '0', '33158', '33434', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6602', 'Hobgoblin', '0', '45140', '0', '33123', '33416', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6603', 'Hobgoblin', '2', '45140', '0', '33103', '33449', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6604', 'Hobgoblin', '0', '45140', '0', '33107', '33469', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6605', 'Hobgoblin', '2', '45140', '0', '33249', '33372', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6606', 'Hobgoblin', '0', '45140', '0', '33191', '33435', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6607', 'Hobgoblin', '2', '45140', '0', '33091', '33457', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6608', 'Hobgoblin', '0', '45140', '0', '33195', '33397', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6609', 'Hobgoblin', '2', '45140', '0', '33159', '33380', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6658', 'Duda-Mara Orc', '0', '45143', '0', '32673', '32426', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6659', 'Duda-Mara Orc', '2', '45143', '0', '32620', '32381', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6660', 'Duda-Mara Orc', '0', '45143', '0', '32607', '32370', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6661', 'Duda-Mara Orc', '2', '45143', '0', '32568', '32337', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6662', 'Duda-Mara Orc', '0', '45143', '0', '32543', '32335', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6663', 'Duda-Mara Orc', '2', '45143', '0', '32565', '32363', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6664', 'Duda-Mara Orc', '0', '45143', '0', '32609', '32406', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6665', 'Duda-Mara Orc', '2', '45143', '0', '32627', '32423', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6666', 'Duda-Mara Orc', '0', '45143', '0', '32546', '32419', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6667', 'Duda-Mara Orc', '2', '45143', '0', '32547', '32435', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6668', 'Duda-Mara Orc', '0', '45143', '0', '32569', '32462', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6669', 'Duda-Mara Orc', '2', '45143', '0', '32605', '32502', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6670', 'Duda-Mara Orc', '0', '45143', '0', '32544', '32225', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6671', 'Duda-Mara Orc', '2', '45143', '0', '32558', '32266', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6672', 'Duda-Mara Orc', '0', '45143', '0', '32557', '32290', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6673', 'Duda-Mara Orc', '2', '45143', '0', '32586', '32266', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6674', 'Duda-Mara Orc', '0', '45143', '0', '32639', '32304', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6675', 'Duda-Mara Orc', '2', '45143', '0', '32685', '32353', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6676', 'Duda-Mara Orc', '0', '45143', '0', '32699', '32423', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6677', 'Duda-Mara Orc', '2', '45143', '0', '32651', '32369', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6678', 'Duda-Mara Orc', '0', '45143', '0', '32592', '32330', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6679', 'Duda-Mara Orc', '2', '45143', '0', '32729', '32349', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6680', 'Duda-Mara Orc', '0', '45143', '0', '32758', '32367', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6681', 'Duda-Mara Orc', '2', '45143', '0', '32809', '32338', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6682', 'Duda-Mara Orc', '0', '45143', '0', '32732', '32328', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6683', 'Duda-Mara Orc', '2', '45143', '0', '32745', '32286', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6684', 'Duda-Mara Orc', '0', '45143', '0', '32689', '32254', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6685', 'Duda-Mara Orc', '2', '45143', '0', '32611', '32235', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6686', 'Lizardman', '0', '45144', '0', '33525', '33299', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6687', 'Lizardman', '2', '45144', '0', '33505', '33338', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6688', 'Lizardman', '0', '45144', '0', '33503', '33300', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6689', 'Lizardman', '2', '45144', '0', '33531', '33289', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6690', 'Lizardman', '0', '45144', '0', '33489', '33269', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6691', 'Lizardman', '2', '45144', '0', '33465', '33269', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6692', 'Lizardman', '0', '45144', '0', '33444', '33277', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6693', 'Lizardman', '2', '45144', '0', '33441', '33304', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6694', 'Lizardman', '0', '45144', '0', '33433', '33320', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6695', 'Lizardman', '2', '45144', '0', '33467', '33365', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6696', 'Lizardman', '0', '45144', '0', '33446', '33289', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6697', 'Lizardman', '2', '45144', '0', '33424', '33298', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6698', 'Lizardman', '0', '45144', '0', '33383', '33330', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6699', 'Lizardman', '2', '45144', '0', '33384', '33374', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6700', 'Lizardman', '0', '45144', '0', '33377', '33378', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6701', 'Lizardman', '2', '45144', '0', '33352', '33415', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6702', 'Lizardman', '0', '45144', '0', '33355', '33422', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6703', 'Lizardman', '2', '45144', '0', '33354', '33447', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6704', 'Lizardman', '0', '45144', '0', '33320', '33427', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6705', 'Lizardman', '2', '45144', '0', '33331', '33406', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6706', 'Lizardman', '0', '45144', '0', '33323', '33359', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6707', 'Lizardman', '2', '45144', '0', '33351', '33345', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6708', 'Lizardman', '0', '45144', '0', '33414', '33330', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6709', 'Lizardman', '2', '45144', '0', '33429', '33344', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6710', 'Lizardman', '0', '45144', '0', '33438', '33389', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6711', 'Lizardman', '2', '45144', '0', '33340', '33338', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6712', 'Lizardman', '0', '45144', '0', '33412', '33315', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6713', 'Lizardman', '2', '45144', '0', '33346', '33271', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6714', 'Lizardman', '0', '45144', '0', '33315', '33274', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6715', 'Lizardman', '2', '45144', '0', '33271', '33253', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6716', 'Lizardman', '0', '45144', '0', '33277', '33280', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6717', 'Lizardman', '2', '45144', '0', '33282', '33332', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6718', 'Lizardman', '0', '45144', '0', '33297', '33353', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6719', 'Lizardman', '2', '45144', '0', '33295', '33366', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6720', 'Lizardman', '0', '45144', '0', '33313', '33337', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6721', 'Lizardman', '2', '45144', '0', '33358', '33290', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6722', 'Lizardman', '0', '45144', '0', '33385', '33266', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6723', 'Lizardman', '2', '45144', '0', '33376', '33223', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6724', 'Lizardman', '0', '45144', '0', '33419', '33183', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6725', 'Lizardman', '2', '45144', '0', '33431', '33178', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6726', 'Lizardman', '0', '45144', '0', '33457', '33244', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6727', 'Lizardman', '2', '45144', '0', '33439', '33248', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6728', 'Lizardman', '0', '45144', '0', '33378', '33233', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6729', 'Lizardman', '2', '45144', '0', '33340', '33214', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6730', 'Lizardman', '0', '45144', '0', '33301', '33184', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6731', 'Lizardman', '2', '45144', '0', '33294', '33152', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6732', 'Lizardman', '0', '45144', '0', '33316', '33199', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6733', 'Lizardman', '2', '45144', '0', '33370', '33167', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6734', 'Lizardman', '0', '45144', '0', '33329', '33190', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6735', 'Lizardman', '2', '45144', '0', '33369', '33144', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6736', 'Lizardman', '0', '45144', '0', '33450', '33123', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6737', 'Lizardman', '2', '45144', '0', '33391', '33130', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6738', 'Lizardman', '0', '45144', '0', '33407', '33140', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6739', 'Lizardman', '2', '45144', '0', '33482', '33141', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6740', 'Lizardman', '0', '45144', '0', '33512', '33096', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6741', 'Lizardman', '2', '45144', '0', '33536', '33105', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6742', 'Lizardman', '0', '45144', '0', '33547', '33097', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6743', 'Lizardman', '2', '45144', '0', '32578', '33327', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6744', 'Lizardman', '0', '45144', '0', '32563', '33333', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6745', 'Lizardman', '2', '45144', '0', '32575', '33350', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6746', 'Lizardman', '0', '45144', '0', '32571', '33367', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6747', 'Lizardman', '2', '45144', '0', '32576', '33346', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6748', 'Lizardman', '0', '45144', '0', '32559', '33318', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6749', 'Lizardman', '2', '45144', '0', '32565', '33319', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6750', 'Lizardman', '0', '45144', '0', '32580', '33315', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6751', 'Lizardman', '2', '45144', '0', '32591', '33321', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6752', 'Lizardman', '0', '45144', '0', '32604', '33329', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6753', 'Lizardman', '2', '45144', '0', '32606', '33341', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6754', 'Lizardman', '0', '45144', '0', '32624', '33338', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6755', 'Lizardman', '2', '45144', '0', '32557', '33314', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6756', 'Lizardman', '0', '45144', '0', '32549', '33335', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6757', 'Lizardman', '2', '45144', '0', '32588', '33315', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6758', 'Lizardman', '0', '45144', '0', '32567', '33267', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6759', 'Lizardman', '2', '45144', '0', '32865', '33481', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6760', 'Lizardman', '0', '45144', '0', '32887', '33496', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6761', 'Lizardman', '2', '45144', '0', '32899', '33500', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6762', 'Lizardman', '0', '45144', '0', '32903', '33490', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6763', 'Lizardman', '2', '45144', '0', '32907', '33481', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6764', 'Lizardman', '0', '45144', '0', '32921', '33492', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6765', 'Lizardman', '2', '45144', '0', '32932', '33496', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6766', 'Lizardman', '0', '45144', '0', '32962', '33497', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6767', 'Lizardman', '2', '45144', '0', '32972', '33497', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6768', 'Lizardman', '0', '45144', '0', '32978', '33492', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6769', 'Lizardman', '2', '45144', '0', '32990', '33493', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6770', 'Lizardman', '0', '45144', '0', '32972', '33476', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6771', 'Lizardman', '2', '45144', '0', '32945', '33462', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6772', 'Lizardman', '0', '45144', '0', '32916', '33462', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6773', 'Lizardman', '2', '45144', '0', '32895', '33457', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6774', 'Lizardman', '0', '45144', '0', '32888', '33452', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6775', 'Lizardman', '2', '45144', '0', '32861', '33450', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6776', 'Lizardman', '0', '45144', '0', '32855', '33455', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6777', 'Lizardman', '2', '45144', '0', '32841', '33456', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6778', 'Lizardman', '0', '45144', '0', '32823', '33449', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6779', 'Lizardman', '2', '45144', '0', '32806', '33446', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6780', 'Lizardman', '0', '45144', '0', '32770', '33443', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6781', 'Lizardman', '2', '45144', '0', '32756', '33441', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6782', 'Lizardman', '0', '45144', '0', '32736', '33449', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6783', 'Lizardman', '2', '45144', '0', '32704', '33450', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6784', 'Lizardman', '0', '45144', '0', '32726', '33464', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6785', 'Lizardman', '2', '45144', '0', '32731', '33468', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6786', 'Lizardman', '0', '45144', '0', '32751', '33478', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6787', 'Lizardman', '2', '45144', '0', '32768', '33481', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6788', 'Lizardman', '0', '45144', '0', '32773', '33491', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6789', 'Lizardman', '2', '45144', '0', '32807', '33481', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6790', 'Lizardman', '0', '45144', '0', '32822', '33466', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6791', 'Lizardman', '2', '45144', '0', '32830', '33455', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6792', 'Lizardman', '0', '45144', '0', '32829', '33447', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6793', 'Lizardman', '2', '45144', '0', '32820', '33418', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6794', 'Lizardman', '0', '45144', '0', '32817', '33407', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6795', 'Lizardman', '2', '45144', '0', '32829', '33404', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6796', 'Lizardman', '0', '45144', '0', '32838', '33404', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6797', 'Lizardman', '2', '45144', '0', '32853', '33417', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6798', 'Lizardman', '0', '45144', '0', '32865', '33417', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6799', 'Lizardman', '2', '45144', '0', '32887', '33405', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6800', 'Lizardman', '0', '45144', '0', '32893', '33424', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6801', 'Lizardman', '2', '45144', '0', '32904', '33421', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6802', 'Lizardman', '0', '45144', '0', '32914', '33420', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6803', 'Lizardman', '2', '45144', '0', '32922', '33429', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6804', 'Lizardman', '0', '45144', '0', '32919', '33437', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6805', 'Lizardman', '2', '45144', '0', '32916', '33457', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6806', 'Lizardman', '0', '45144', '0', '32911', '33475', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6807', 'Lizardman', '2', '45144', '0', '32926', '33474', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6808', 'Lizardman', '0', '45144', '0', '32907', '33446', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6809', 'Lizardman', '2', '45144', '0', '32883', '33430', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6810', 'Lizardman', '0', '45144', '0', '32859', '33431', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6811', 'Lizardman', '2', '45144', '0', '32836', '33424', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6812', 'Lizardman', '0', '45144', '0', '32724', '33450', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6813', 'Lizardman', '2', '45144', '0', '32747', '33464', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6814', 'Lizardman', '0', '45144', '0', '32787', '33483', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6815', 'Lizardman', '2', '45144', '0', '32817', '33456', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6816', 'Lizardman', '0', '45144', '0', '32859', '33430', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6817', 'Lizardman', '2', '45144', '0', '32899', '33437', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6818', 'Lizardman', '0', '45144', '0', '33937', '32811', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6819', 'Lizardman', '2', '45144', '0', '33934', '32826', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6820', 'Lizardman', '0', '45144', '0', '33930', '32839', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6821', 'Lizardman', '2', '45144', '0', '33942', '32849', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6822', 'Lizardman', '0', '45144', '0', '33943', '32864', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6823', 'Lizardman', '2', '45144', '0', '33955', '32875', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6824', 'Lizardman', '0', '45144', '0', '33946', '32884', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6825', 'Lizardman', '2', '45144', '0', '33946', '32893', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6826', 'Lizardman', '0', '45144', '0', '33969', '32882', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6827', 'Lizardman', '2', '45144', '0', '33982', '32883', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6828', 'Lizardman', '0', '45144', '0', '33984', '32871', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6829', 'Lizardman', '2', '45144', '0', '33990', '32861', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6830', 'Lizardman', '0', '45144', '0', '34006', '32857', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6831', 'Lizardman', '2', '45144', '0', '34004', '32842', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6832', 'Lizardman', '0', '45144', '0', '34013', '32829', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6833', 'Lizardman', '2', '45144', '0', '34005', '32822', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6834', 'Lizardman', '0', '45144', '0', '33994', '32814', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6835', 'Lizardman', '2', '45144', '0', '33983', '32813', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6836', 'Lizardman', '0', '45144', '0', '33971', '32809', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6837', 'Lizardman', '2', '45144', '0', '33987', '32781', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6838', 'Lizardman', '0', '45144', '0', '33978', '32768', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6839', 'Lizardman', '2', '45144', '0', '34010', '32777', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6840', 'Lizardman', '0', '45144', '0', '34030', '32780', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6841', 'Lizardman', '2', '45144', '0', '34047', '32784', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6842', 'Lizardman', '0', '45144', '0', '34054', '32794', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6843', 'Lizardman', '2', '45144', '0', '34045', '32805', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6844', 'Lizardman', '0', '45144', '0', '34023', '32818', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6845', 'Lizardman', '2', '45144', '0', '33985', '32840', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6846', 'Lizardman', '0', '45144', '0', '33970', '32831', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6847', 'Lizardman', '2', '45144', '0', '33956', '32821', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6848', 'Lizardman', '0', '45144', '0', '33921', '32819', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6849', 'Lizardman', '2', '45144', '0', '33908', '32814', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6850', 'Lizardman', '0', '45144', '0', '33898', '32795', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6851', 'Lizardman', '2', '45144', '0', '33906', '32782', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6852', 'Lizardman', '0', '45144', '0', '33914', '32762', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6853', 'Lizardman', '2', '45144', '0', '33933', '32752', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6854', 'Lizardman', '0', '45144', '0', '33941', '32770', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6855', 'Lizardman', '2', '45144', '0', '33957', '32789', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6856', 'Lizardman', '0', '45144', '0', '33998', '32828', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6857', 'Lizardman', '2', '45144', '0', '33979', '32850', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6858', 'Lizardman', '0', '45144', '0', '33966', '32862', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6859', 'Lizardman', '2', '45144', '0', '33925', '32861', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6860', 'Owlbear', '0', '45147', '0', '33544', '33311', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6861', 'Owlbear', '2', '45147', '0', '33518', '33317', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6862', 'Owlbear', '0', '45147', '0', '33488', '33332', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6863', 'Owlbear', '2', '45147', '0', '33505', '33287', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6864', 'Owlbear', '0', '45147', '0', '33441', '33269', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6865', 'Owlbear', '2', '45147', '0', '33434', '33354', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6866', 'Owlbear', '0', '45147', '0', '33475', '33305', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6867', 'Owlbear', '2', '45147', '0', '33400', '33314', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6868', 'Owlbear', '0', '45147', '0', '33352', '33374', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6869', 'Owlbear', '2', '45147', '0', '33371', '33442', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6870', 'Owlbear', '0', '45147', '0', '33331', '33374', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6871', 'Owlbear', '2', '45147', '0', '33386', '33343', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6872', 'Owlbear', '0', '45147', '0', '33428', '33376', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6873', 'Owlbear', '2', '45147', '0', '33466', '33376', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6874', 'Owlbear', '0', '45147', '0', '33456', '33317', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6875', 'Owlbear', '2', '45147', '0', '33375', '33295', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6876', 'Owlbear', '0', '45147', '0', '33298', '33250', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6877', 'Owlbear', '2', '45147', '0', '33284', '33321', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6878', 'Owlbear', '0', '45147', '0', '33310', '33383', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6879', 'Owlbear', '2', '45147', '0', '33332', '33303', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6880', 'Owlbear', '0', '45147', '0', '33393', '33237', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6881', 'Owlbear', '2', '45147', '0', '33447', '33203', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6882', 'Owlbear', '0', '45147', '0', '33397', '33244', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6883', 'Owlbear', '2', '45147', '0', '33329', '33146', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6884', 'Owlbear', '0', '45147', '0', '33346', '33223', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6885', 'Owlbear', '2', '45147', '0', '33378', '33170', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6886', 'Owlbear', '0', '45147', '0', '33539', '33165', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6887', 'Owlbear', '2', '45147', '0', '33503', '33147', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6888', 'Owlbear', '0', '45147', '0', '33493', '33153', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6889', 'Owlbear', '2', '45147', '0', '33442', '33172', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6890', 'Owlbear', '0', '45147', '0', '33460', '33161', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6891', 'Owlbear', '2', '45147', '0', '33440', '33125', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6892', 'Owlbear', '0', '45147', '0', '33490', '33134', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6893', 'Owlbear', '2', '45147', '0', '33530', '33098', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6894', 'Owlbear', '0', '45147', '0', '33542', '33112', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6895', 'Owlbear', '2', '45147', '0', '33579', '33141', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6896', 'Owlbear', '0', '45147', '0', '34059', '32927', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6897', 'Owlbear', '2', '45147', '0', '34111', '32895', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6898', 'Owlbear', '0', '45147', '0', '34145', '32830', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6899', 'Owlbear', '2', '45147', '0', '34173', '32813', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6900', 'Owlbear', '0', '45147', '0', '34231', '32787', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6901', 'Owlbear', '2', '45147', '0', '34164', '32822', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6902', 'Owlbear', '0', '45147', '0', '34159', '32844', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6903', 'Owlbear', '2', '45147', '0', '34127', '32839', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6904', 'Owlbear', '0', '45147', '0', '34112', '32863', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6905', 'Owlbear', '2', '45147', '0', '34078', '32876', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6906', 'Owlbear', '0', '45147', '0', '34007', '32932', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6907', 'Owlbear', '2', '45147', '0', '34150', '32903', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6908', 'Owlbear', '0', '45147', '0', '34158', '32875', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6909', 'Owlbear', '2', '45147', '0', '34194', '32876', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6910', 'Owlbear', '0', '45147', '0', '34248', '32826', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6911', 'Owlbear', '2', '45147', '0', '34270', '32900', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6912', 'Owlbear', '0', '45147', '0', '34229', '32926', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6913', 'Owlbear', '2', '45147', '0', '34204', '32976', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6914', 'Atuba Orc', '0', '45149', '0', '32679', '32431', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6915', 'Atuba Orc', '2', '45149', '0', '32640', '32398', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6916', 'Atuba Orc', '0', '45149', '0', '32600', '32364', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6917', 'Atuba Orc', '2', '45149', '0', '32556', '32345', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6918', 'Atuba Orc', '0', '45149', '0', '32577', '32375', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6919', 'Atuba Orc', '2', '45149', '0', '32616', '32411', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6920', 'Atuba Orc', '0', '45149', '0', '32635', '32430', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6921', 'Atuba Orc', '2', '45149', '0', '32656', '32475', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6922', 'Atuba Orc', '0', '45149', '0', '32614', '32455', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6923', 'Atuba Orc', '2', '45149', '0', '32562', '32428', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6924', 'Atuba Orc', '0', '45149', '0', '32556', '32441', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6925', 'Atuba Orc', '2', '45149', '0', '32584', '32473', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6926', 'Atuba Orc', '0', '45149', '0', '32623', '32508', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6927', 'Atuba Orc', '2', '45149', '0', '32553', '32233', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6928', 'Atuba Orc', '0', '45149', '0', '32573', '32222', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6929', 'Atuba Orc', '2', '45149', '0', '32611', '32281', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6930', 'Atuba Orc', '0', '45149', '0', '32638', '32323', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6931', 'Atuba Orc', '2', '45149', '0', '32679', '32324', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6932', 'Atuba Orc', '0', '45149', '0', '32689', '32391', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6933', 'Atuba Orc', '2', '45149', '0', '32672', '32396', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6934', 'Atuba Orc', '0', '45149', '0', '32708', '32358', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6935', 'Atuba Orc', '2', '45149', '0', '32717', '32345', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6936', 'Atuba Orc', '0', '45149', '0', '32791', '32368', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6937', 'Atuba Orc', '2', '45149', '0', '32805', '32367', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6938', 'Atuba Orc', '0', '45149', '0', '32761', '32352', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6939', 'Atuba Orc', '2', '45149', '0', '32759', '32305', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6940', 'Atuba Orc', '0', '45149', '0', '32732', '32273', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6941', 'Atuba Orc', '2', '45149', '0', '32651', '32243', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6942', 'Atuba Orc', '0', '45149', '0', '32601', '32213', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6943', 'Atuba Orc', '2', '45149', '0', '32617', '32317', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6944', 'Atuba Orc', '0', '45149', '0', '32665', '32286', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6945', 'Atuba Orc', '2', '45149', '0', '32704', '32288', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6946', 'Atuba Orc', '0', '45149', '0', '32757', '32279', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6947', 'Atuba Orc', '2', '45149', '0', '32758', '32233', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6948', 'Atuba Orc', '0', '45149', '0', '32828', '32372', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6949', 'Atuba Orc', '2', '45149', '0', '32855', '32414', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6950', 'Atuba Orc', '0', '45149', '0', '32846', '32446', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6951', 'Atuba Orc', '2', '45149', '0', '32784', '32435', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7068', 'Ghoul', '0', '45157', '0', '32754', '32837', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7069', 'Ghoul', '2', '45157', '0', '32740', '32841', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7070', 'Ghoul', '0', '45157', '0', '32751', '32850', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7168', 'Ghoul', '0', '45157', '0', '34052', '32381', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7169', 'Ghoul', '2', '45157', '0', '34057', '32405', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7170', 'Ghoul', '0', '45157', '0', '34109', '32401', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7171', 'Ghoul', '2', '45157', '0', '34107', '32412', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7172', 'Ghoul', '0', '45157', '0', '34124', '32429', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7173', 'Ghoul', '2', '45157', '0', '34096', '32507', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7174', 'Ghoul', '0', '45157', '0', '34091', '32556', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7175', 'Ghoul', '2', '45157', '0', '34069', '32565', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7176', 'Ghoul', '0', '45157', '0', '33991', '32525', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7177', 'Ghoul', '2', '45157', '0', '33989', '32479', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7178', 'Ghoul', '0', '45157', '0', '34036', '32415', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7179', 'Ghoul', '2', '45157', '0', '34077', '32458', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7180', 'Ghoul', '0', '45157', '0', '34037', '32470', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7181', 'Ghoul', '2', '45157', '0', '34040', '32517', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7182', 'Ghoul', '0', '45157', '0', '34008', '32529', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7183', 'Ghoul', '2', '45157', '0', '34144', '32587', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7184', 'Ghoul', '0', '45157', '0', '34154', '32611', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7185', 'Ghoul', '2', '45157', '0', '34138', '32493', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7186', 'Ghoul', '0', '45157', '0', '34069', '32402', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7187', 'Ghoul', '2', '45157', '0', '33942', '32459', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7188', 'Ghoul', '0', '45157', '0', '33959', '32497', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7189', 'Ghoul', '2', '45157', '0', '34049', '32546', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7190', 'Ghoul', '0', '45157', '0', '34071', '32523', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7191', 'Ghoul', '2', '45157', '0', '34050', '32531', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7192', 'Ghoul', '0', '45157', '0', '34129', '32536', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7193', 'Ghoul', '2', '45157', '0', '34147', '32463', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7379', 'Ghoul', '2', '45157', '0', '32817', '32887', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7380', 'Ghoul', '0', '45157', '0', '32781', '32915', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7381', 'Ghoul', '2', '45157', '0', '32775', '32948', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7382', 'Ghoul', '0', '45157', '0', '32794', '32947', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7383', 'Ghoul', '2', '45157', '0', '32811', '32936', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7384', 'Ghoul', '0', '45157', '0', '32834', '32945', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7385', 'Ghoul', '2', '45157', '0', '32852', '32946', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7386', 'Ghoul', '0', '45157', '0', '32876', '32950', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7387', 'Ghoul', '2', '45157', '0', '32903', '32947', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7388', 'Ghoul', '0', '45157', '0', '32903', '32925', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7389', 'Ghoul', '2', '45157', '0', '32888', '32918', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7390', 'Ghoul', '0', '45157', '0', '32871', '32903', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7391', 'Ghoul', '2', '45157', '0', '32895', '32901', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7392', 'Ghoul', '0', '45157', '0', '32901', '32876', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7393', 'Ghoul', '2', '45157', '0', '32926', '32898', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7394', 'Ghoul', '0', '45157', '0', '32924', '32937', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7459', 'Mad Lizardman', '2', '45158', '0', '32396', '3323', '3', '14', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7460', 'Mad Lizardman', '0', '45158', '0', '32614', '3303', '3', '14', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7461', 'Mad Lizardman', '2', '45158', '0', '32468', '3313', '3', '14', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7462', 'Mad Lizardman', '0', '45158', '0', '32745', '32744', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7463', 'Mad Lizardman', '2', '45158', '0', '32741', '32751', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7464', 'Mad Lizardman', '0', '45158', '0', '32746', '32753', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7465', 'Mad Lizardman', '2', '45158', '0', '32768', '32755', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7466', 'Mad Lizardman', '0', '45158', '0', '32778', '32745', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7467', 'Mad Lizardman', '2', '45158', '0', '32799', '32746', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7468', 'Mad Lizardman', '0', '45158', '0', '32797', '32755', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7469', 'Mad Lizardman', '2', '45158', '0', '32796', '32765', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7470', 'Mad Lizardman', '0', '45158', '0', '32791', '32786', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7471', 'Mad Lizardman', '2', '45158', '0', '32775', '32782', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7472', 'Mad Lizardman', '0', '45158', '0', '32750', '32793', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7473', 'Mad Lizardman', '2', '45158', '0', '32758', '32792', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7474', 'Mad Lizardman', '0', '45158', '0', '32716', '32784', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7475', 'Mad Lizardman', '2', '45158', '0', '32709', '32781', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7476', 'Mad Lizardman', '0', '45158', '0', '32695', '32784', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7477', 'Mad Lizardman', '2', '45158', '0', '32701', '32787', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7478', 'Mad Lizardman', '0', '45158', '0', '32708', '32783', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7479', 'Mad Lizardman', '2', '45158', '0', '32673', '32782', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7480', 'Mad Lizardman', '0', '45158', '0', '32690', '32767', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7481', 'Mad Lizardman', '2', '45158', '0', '32726', '32820', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7482', 'Mad Lizardman', '0', '45158', '0', '32733', '32833', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7483', 'Mad Lizardman', '2', '45158', '0', '32752', '32830', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7484', 'Mad Lizardman', '0', '45158', '0', '32766', '32826', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7485', 'Mad Lizardman', '2', '45158', '0', '32760', '32824', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7486', 'Mad Lizardman', '0', '45158', '0', '32777', '32824', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7487', 'Mad Lizardman', '2', '45158', '0', '32756', '32857', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7488', 'Mad Lizardman', '0', '45158', '0', '32757', '32860', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7489', 'Mad Lizardman', '2', '45158', '0', '32737', '32856', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7490', 'Mad Lizardman', '0', '45158', '0', '32723', '32856', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7491', 'Mad Lizardman', '2', '45158', '0', '32693', '32871', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7492', 'Mad Lizardman', '0', '45158', '0', '32676', '32865', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7493', 'Mad Lizardman', '2', '45158', '0', '32741', '32841', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7494', 'Mad Lizardman', '0', '45158', '0', '32729', '32830', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7495', 'Mad Lizardman', '2', '45158', '0', '32754', '32829', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7496', 'Mad Lizardman', '0', '45158', '0', '32780', '32821', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7497', 'Mad Lizardman', '2', '45158', '0', '32800', '32808', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7498', 'Mad Lizardman', '0', '45158', '0', '32808', '32808', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7499', 'Mad Lizardman', '2', '45158', '0', '32801', '32809', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7500', 'Mad Lizardman', '0', '45158', '0', '32798', '32809', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7501', 'Mad Lizardman', '2', '45158', '0', '32747', '32738', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7502', 'Mad Lizardman', '0', '45158', '0', '32753', '32748', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7503', 'Mad Lizardman', '2', '45158', '0', '32766', '32763', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7504', 'Mad Lizardman', '0', '45158', '0', '32804', '32759', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7505', 'Mad Lizardman', '2', '45158', '0', '32859', '32740', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7506', 'Mad Lizardman', '0', '45158', '0', '32766', '32821', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7507', 'Mad Lizardman', '2', '45158', '0', '32743', '32844', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7508', 'Mad Lizardman', '0', '45158', '0', '32791', '32843', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7509', 'Mad Lizardman', '2', '45158', '0', '32778', '32862', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7510', 'Mad Lizardman', '0', '45158', '0', '32785', '32846', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7511', 'Mad Lizardman', '2', '45158', '0', '32833', '32827', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7512', 'Mad Lizardman', '0', '45158', '0', '32408', '33208', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7513', 'Mad Lizardman', '2', '45158', '0', '32407', '33193', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7514', 'Mad Lizardman', '0', '45158', '0', '32416', '33182', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7515', 'Mad Lizardman', '2', '45158', '0', '32423', '33201', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7516', 'Mad Lizardman', '0', '45158', '0', '32388', '33200', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7517', 'Mad Lizardman', '2', '45158', '0', '32380', '33207', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7518', 'Mad Lizardman', '0', '45158', '0', '32390', '33208', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7519', 'Mad Lizardman', '2', '45158', '0', '32372', '33183', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7520', 'Mad Lizardman', '0', '45158', '0', '32355', '33186', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7521', 'Mad Lizardman', '2', '45158', '0', '32338', '33200', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7522', 'Mad Lizardman', '0', '45158', '0', '32358', '33197', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7523', 'Mad Lizardman', '2', '45158', '0', '32337', '33176', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7524', 'Mad Lizardman', '0', '45158', '0', '32350', '33159', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7525', 'Mad Lizardman', '2', '45158', '0', '32359', '33156', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7526', 'Mad Lizardman', '0', '45158', '0', '32377', '33157', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7527', 'Mad Lizardman', '2', '45158', '0', '32382', '33169', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7528', 'Mad Lizardman', '0', '45158', '0', '32394', '33152', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7529', 'Mad Lizardman', '2', '45158', '0', '32382', '33132', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7530', 'Mad Lizardman', '0', '45158', '0', '32373', '33123', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7531', 'Mad Lizardman', '2', '45158', '0', '32363', '33113', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7532', 'Mad Lizardman', '0', '45158', '0', '32382', '33110', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7533', 'Mad Lizardman', '2', '45158', '0', '32389', '33098', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7534', 'Mad Lizardman', '0', '45158', '0', '32404', '33105', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7535', 'Mad Lizardman', '2', '45158', '0', '32422', '33100', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7536', 'Mad Lizardman', '0', '45158', '0', '32432', '33109', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7537', 'Mad Lizardman', '2', '45158', '0', '32435', '33127', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7538', 'Mad Lizardman', '0', '45158', '0', '32450', '33112', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7539', 'Mad Lizardman', '2', '45158', '0', '32449', '33096', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7540', 'Mad Lizardman', '0', '45158', '0', '32466', '33098', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7541', 'Mad Lizardman', '2', '45158', '0', '32479', '33092', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7542', 'Mad Lizardman', '0', '45158', '0', '32490', '33080', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7543', 'Mad Lizardman', '2', '45158', '0', '32503', '33091', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7544', 'Mad Lizardman', '0', '45158', '0', '32515', '33086', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7545', 'Mad Lizardman', '2', '45158', '0', '32519', '33100', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7546', 'Mad Lizardman', '0', '45158', '0', '32512', '33113', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7547', 'Mad Lizardman', '2', '45158', '0', '32515', '33123', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7548', 'Mad Lizardman', '0', '45158', '0', '32516', '33133', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7549', 'Mad Lizardman', '2', '45158', '0', '32499', '33150', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7550', 'Mad Lizardman', '0', '45158', '0', '32482', '33148', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7551', 'Mad Lizardman', '2', '45158', '0', '32470', '33139', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7552', 'Mad Lizardman', '0', '45158', '0', '32451', '33151', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7553', 'Mad Lizardman', '2', '45158', '0', '32470', '33175', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7554', 'Mad Lizardman', '0', '45158', '0', '32478', '33183', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7555', 'Mad Lizardman', '2', '45158', '0', '32470', '33186', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7556', 'Mad Lizardman', '0', '45158', '0', '32453', '33183', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7557', 'Mad Lizardman', '2', '45158', '0', '32449', '33168', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7558', 'Mad Lizardman', '0', '45158', '0', '32430', '33169', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7559', 'Mad Lizardman', '2', '45158', '0', '32437', '33192', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7560', 'Mad Lizardman', '0', '45158', '0', '32451', '33193', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7561', 'Mad Lizardman', '2', '45158', '0', '32479', '33180', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7562', 'Mad Lizardman', '0', '45158', '0', '32489', '33189', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7563', 'Mad Lizardman', '2', '45158', '0', '32493', '33192', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7564', 'Mad Lizardman', '0', '45158', '0', '32502', '33164', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7565', 'Mad Lizardman', '2', '45158', '0', '32517', '33174', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7566', 'Mad Lizardman', '0', '45158', '0', '32538', '33163', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7567', 'Mad Lizardman', '2', '45158', '0', '32559', '33160', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7568', 'Mad Lizardman', '0', '45158', '0', '32573', '33178', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7569', 'Mad Lizardman', '2', '45158', '0', '32591', '33163', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7570', 'Mad Lizardman', '0', '45158', '0', '32605', '33160', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7571', 'Mad Lizardman', '2', '45158', '0', '32610', '33175', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7572', 'Mad Lizardman', '0', '45158', '0', '32616', '33188', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7573', 'Mad Lizardman', '2', '45158', '0', '32612', '33201', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7574', 'Mad Lizardman', '0', '45158', '0', '32638', '33205', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7575', 'Mad Lizardman', '2', '45158', '0', '32633', '33219', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7576', 'Mad Lizardman', '0', '45158', '0', '32667', '33210', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7577', 'Mad Lizardman', '2', '45158', '0', '32681', '33200', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7578', 'Mad Lizardman', '0', '45158', '0', '32673', '33190', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7579', 'Mad Lizardman', '2', '45158', '0', '32684', '33183', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7580', 'Mad Lizardman', '0', '45158', '0', '32670', '33171', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7581', 'Mad Lizardman', '2', '45158', '0', '32686', '33163', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7582', 'Mad Lizardman', '0', '45158', '0', '32677', '33149', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7583', 'Mad Lizardman', '2', '45158', '0', '32703', '33144', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7584', 'Mad Lizardman', '0', '45158', '0', '32726', '33144', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7585', 'Mad Lizardman', '2', '45158', '0', '32738', '33158', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7586', 'Mad Lizardman', '0', '45158', '0', '32732', '33161', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7587', 'Mad Lizardman', '2', '45158', '0', '32731', '33167', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7588', 'Mad Lizardman', '0', '45158', '0', '32730', '33173', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7589', 'Mad Lizardman', '2', '45158', '0', '32735', '33170', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7590', 'Mad Lizardman', '0', '45158', '0', '32728', '33169', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7591', 'Mad Lizardman', '2', '45158', '0', '32665', '33134', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7592', 'Mad Lizardman', '0', '45158', '0', '32677', '33118', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7593', 'Mad Lizardman', '2', '45158', '0', '32680', '33106', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7594', 'Mad Lizardman', '0', '45158', '0', '32670', '33107', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7595', 'Mad Lizardman', '2', '45158', '0', '32677', '33096', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7596', 'Mad Lizardman', '0', '45158', '0', '32685', '33080', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7597', 'Mad Lizardman', '2', '45158', '0', '32689', '33049', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7598', 'Mad Lizardman', '0', '45158', '0', '32671', '33043', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7599', 'Mad Lizardman', '2', '45158', '0', '32656', '33058', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7600', 'Mad Lizardman', '0', '45158', '0', '32652', '33076', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7601', 'Mad Lizardman', '2', '45158', '0', '32643', '33094', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7602', 'Mad Lizardman', '0', '45158', '0', '32630', '33078', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7603', 'Mad Lizardman', '2', '45158', '0', '32637', '33067', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7604', 'Mad Lizardman', '0', '45158', '0', '32630', '33056', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7605', 'Mad Lizardman', '2', '45158', '0', '32618', '33062', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7606', 'Mad Lizardman', '0', '45158', '0', '32603', '33030', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7607', 'Mad Lizardman', '2', '45158', '0', '32597', '33020', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7608', 'Mad Lizardman', '0', '45158', '0', '32637', '32998', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7609', 'Mad Lizardman', '2', '45158', '0', '32655', '32981', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7610', 'Mad Lizardman', '0', '45158', '0', '32658', '32967', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7611', 'Mad Lizardman', '2', '45158', '0', '32648', '32952', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7612', 'Mad Lizardman', '0', '45158', '0', '32626', '32943', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7613', 'Mad Lizardman', '2', '45158', '0', '32614', '32928', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7614', 'Mad Lizardman', '0', '45158', '0', '32626', '32924', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7615', 'Mad Lizardman', '2', '45158', '0', '32650', '32905', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7616', 'Mad Lizardman', '0', '45158', '0', '32672', '32903', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7617', 'Mad Lizardman', '2', '45158', '0', '32687', '32913', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7618', 'Mad Lizardman', '0', '45158', '0', '32687', '32889', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7619', 'Mad Lizardman', '2', '45158', '0', '32679', '32872', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7620', 'Mad Lizardman', '0', '45158', '0', '32686', '32852', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7621', 'Mad Lizardman', '2', '45158', '0', '32672', '32835', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7622', 'Mad Lizardman', '0', '45158', '0', '32665', '32846', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7623', 'Mad Lizardman', '2', '45158', '0', '32639', '32842', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7624', 'Mad Lizardman', '0', '45158', '0', '32624', '32828', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7625', 'Mad Lizardman', '2', '45158', '0', '32627', '32815', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7626', 'Mad Lizardman', '0', '45158', '0', '32619', '32850', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7627', 'Mad Lizardman', '2', '45158', '0', '32647', '32844', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7628', 'Mad Lizardman', '0', '45158', '0', '32578', '32918', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7629', 'Mad Lizardman', '2', '45158', '0', '32551', '32919', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7630', 'Mad Lizardman', '0', '45158', '0', '32537', '32905', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7631', 'Mad Lizardman', '2', '45158', '0', '32525', '32881', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7632', 'Mad Lizardman', '0', '45158', '0', '32506', '32874', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7633', 'Mad Lizardman', '2', '45158', '0', '32488', '32879', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7634', 'Mad Lizardman', '0', '45158', '0', '32473', '32868', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7635', 'Mad Lizardman', '2', '45158', '0', '32463', '32844', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7636', 'Mad Lizardman', '0', '45158', '0', '32460', '32826', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7637', 'Mad Lizardman', '2', '45158', '0', '32451', '32840', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7638', 'Mad Lizardman', '0', '45158', '0', '32448', '32849', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7639', 'Mad Lizardman', '2', '45158', '0', '32449', '32864', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7640', 'Mad Lizardman', '0', '45158', '0', '32429', '32880', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7641', 'Mad Lizardman', '2', '45158', '0', '32409', '32877', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7642', 'Mad Lizardman', '0', '45158', '0', '32400', '32850', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7643', 'Mad Lizardman', '2', '45158', '0', '32407', '32831', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7644', 'Mad Lizardman', '0', '45158', '0', '32394', '32833', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7645', 'Mad Lizardman', '2', '45158', '0', '32390', '32820', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7646', 'Mad Lizardman', '0', '45158', '0', '32373', '32842', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7647', 'Mad Lizardman', '2', '45158', '0', '32356', '32844', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7648', 'Mad Lizardman', '0', '45158', '0', '32348', '32851', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7649', 'Mad Lizardman', '2', '45158', '0', '32356', '32852', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7650', 'Mad Lizardman', '0', '45158', '0', '32370', '32866', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7651', 'Mad Lizardman', '2', '45158', '0', '32372', '32877', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7652', 'Mad Lizardman', '0', '45158', '0', '32345', '32886', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7653', 'Mad Lizardman', '2', '45158', '0', '32326', '32882', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7654', 'Mad Lizardman', '0', '45158', '0', '32326', '32871', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7655', 'Mad Lizardman', '2', '45158', '0', '32316', '32893', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7656', 'Mad Lizardman', '0', '45158', '0', '32324', '32903', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7657', 'Mad Lizardman', '2', '45158', '0', '32356', '32904', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7658', 'Mad Lizardman', '0', '45158', '0', '32349', '32922', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7659', 'Mad Lizardman', '2', '45158', '0', '32325', '32939', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7660', 'Mad Lizardman', '0', '45158', '0', '32313', '32946', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7661', 'Mad Lizardman', '2', '45158', '0', '32326', '32950', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7662', 'Mad Lizardman', '0', '45158', '0', '32338', '32959', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7663', 'Mad Lizardman', '2', '45158', '0', '32360', '32939', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7664', 'Mad Lizardman', '0', '45158', '0', '32381', '32934', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7665', 'Mad Lizardman', '2', '45158', '0', '32401', '32936', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7666', 'Mad Lizardman', '0', '45158', '0', '32416', '32907', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7667', 'Mad Lizardman', '2', '45158', '0', '32426', '32889', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7668', 'Mad Lizardman', '0', '45158', '0', '32452', '32891', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7669', 'Mad Lizardman', '2', '45158', '0', '32471', '32883', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7670', 'Mad Lizardman', '0', '45158', '0', '32480', '32862', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7671', 'Mad Lizardman', '2', '45158', '0', '32508', '32867', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7672', 'Mad Lizardman', '0', '45158', '0', '32506', '32886', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7673', 'Mad Lizardman', '2', '45158', '0', '32512', '32899', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7674', 'Mad Lizardman', '0', '45158', '0', '32505', '32928', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7675', 'Mad Lizardman', '2', '45158', '0', '32513', '32937', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7676', 'Mad Lizardman', '0', '45158', '0', '32516', '32949', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7677', 'Mad Lizardman', '2', '45158', '0', '32517', '32963', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7678', 'Mad Lizardman', '0', '45158', '0', '32523', '32976', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7679', 'Mad Lizardman', '2', '45158', '0', '32540', '32973', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7680', 'Mad Lizardman', '0', '45158', '0', '32557', '32971', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7681', 'Mad Lizardman', '2', '45158', '0', '32546', '33011', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7682', 'Mad Lizardman', '0', '45158', '0', '32504', '32985', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7683', 'Mad Lizardman', '2', '45158', '0', '32473', '33000', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7684', 'Mad Lizardman', '0', '45158', '0', '32440', '33013', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7685', 'Mad Lizardman', '2', '45158', '0', '32432', '32989', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7686', 'Mad Lizardman', '0', '45158', '0', '32406', '33012', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7687', 'Mad Lizardman', '2', '45158', '0', '32448', '33105', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7688', 'Mad Lizardman', '0', '45158', '0', '32487', '33095', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7689', 'Mad Lizardman', '2', '45158', '0', '32512', '33123', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7690', 'Mad Lizardman', '0', '45158', '0', '32349', '33057', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7691', 'Mad Lizardman', '2', '45158', '0', '32365', '33059', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7692', 'Mad Lizardman', '0', '45158', '0', '32382', '33018', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7693', 'Mad Lizardman', '2', '45158', '0', '32377', '32998', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7694', 'Mad Lizardman', '0', '45158', '0', '32377', '32970', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7695', 'Mad Lizardman', '2', '45158', '0', '32347', '32963', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7696', 'Mad Lizardman', '0', '45158', '0', '32353', '33074', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7697', 'Mad Lizardman', '2', '45158', '0', '32316', '33055', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7698', 'Mad Lizardman', '0', '45158', '0', '32308', '33062', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7699', 'Mad Lizardman', '2', '45158', '0', '32293', '33058', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7746', 'Spartoi', '0', '45161', '0', '32766', '32829', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7747', 'Spartoi', '2', '45161', '0', '32757', '32833', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7748', 'Spartoi', '0', '45161', '0', '32771', '32834', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7749', 'Spartoi', '2', '45161', '0', '32773', '32859', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7750', 'Spartoi', '0', '45161', '0', '32744', '32877', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7751', 'Spartoi', '2', '45161', '0', '32797', '32858', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7752', 'Spartoi', '0', '45161', '0', '32800', '32881', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7753', 'Spartoi', '2', '45161', '0', '32799', '32889', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7754', 'Spartoi', '0', '45161', '0', '32826', '32892', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7755', 'Spartoi', '2', '45161', '0', '32857', '32925', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7756', 'Spartoi', '0', '45161', '0', '32840', '32924', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7757', 'Spartoi', '2', '45161', '0', '32838', '32927', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7758', 'Spartoi', '0', '45161', '0', '32834', '32926', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7759', 'Spartoi', '2', '45161', '0', '32836', '32924', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7760', 'Spartoi', '0', '45161', '0', '32843', '32927', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7761', 'Spartoi', '2', '45161', '0', '32856', '32927', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7762', 'Spartoi', '0', '45161', '0', '32804', '32864', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7763', 'Spartoi', '2', '45161', '0', '32861', '32874', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7764', 'Spartoi', '0', '45161', '0', '32863', '32884', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7765', 'Spartoi', '2', '45161', '0', '32869', '32839', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7766', 'Spartoi', '0', '45161', '0', '32870', '32838', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7767', 'Spartoi', '2', '45161', '0', '32875', '32816', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7768', 'Spartoi', '0', '45161', '0', '32823', '32821', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7769', 'Spartoi', '2', '45161', '0', '32815', '32807', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7770', 'Spartoi', '0', '45161', '0', '32923', '32837', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7771', 'Spartoi', '2', '45161', '0', '32924', '32848', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7772', 'Spartoi', '0', '45161', '0', '32923', '32866', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7773', 'Spartoi', '2', '45161', '0', '32918', '32872', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7774', 'Spartoi', '0', '45161', '0', '32922', '32878', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7775', 'Spartoi', '2', '45161', '0', '32921', '32830', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7785', 'Spartoi', '2', '45161', '0', '32740', '32928', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7786', 'Spartoi', '0', '45161', '0', '32740', '32920', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7787', 'Spartoi', '2', '45161', '0', '32732', '32932', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7788', 'Spartoi', '0', '45161', '0', '32736', '32940', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7789', 'Spartoi', '2', '45161', '0', '32748', '32936', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7790', 'Spartoi', '0', '45161', '0', '32751', '32924', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7791', 'Spartoi', '2', '45161', '0', '32752', '32914', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7792', 'Spartoi', '0', '45161', '0', '32729', '32918', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7793', 'Spartoi', '2', '45161', '0', '32723', '32942', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7794', 'Spartoi', '0', '45161', '0', '32732', '32947', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7795', 'Spartoi', '2', '45161', '0', '33055', '33257', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7796', 'Spartoi', '0', '45161', '0', '33041', '33241', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7797', 'Spartoi', '2', '45161', '0', '33068', '33177', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7798', 'Spartoi', '0', '45161', '0', '33057', '33170', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7799', 'Spartoi', '2', '45161', '0', '33388', '32475', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7800', 'Spartoi', '0', '45161', '0', '33373', '32463', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7801', 'Spartoi', '2', '45161', '0', '33358', '32463', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7802', 'Spartoi', '0', '45161', '0', '33348', '32466', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7803', 'Spartoi', '2', '45161', '0', '33336', '32457', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7804', 'Spartoi', '0', '45161', '0', '33323', '32459', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7805', 'Spartoi', '2', '45161', '0', '33311', '32451', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7806', 'Spartoi', '0', '45161', '0', '33307', '32460', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7807', 'Spartoi', '2', '45161', '0', '33297', '32456', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7808', 'Spartoi', '0', '45161', '0', '33294', '32464', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7809', 'Spartoi', '2', '45161', '0', '33284', '32475', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7810', 'Spartoi', '0', '45161', '0', '33274', '32455', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7811', 'Spartoi', '2', '45161', '0', '33258', '32451', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7812', 'Spartoi', '0', '45161', '0', '33243', '32450', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7813', 'Spartoi', '2', '45161', '0', '33231', '32456', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7814', 'Spartoi', '0', '45161', '0', '33213', '32463', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7815', 'Spartoi', '2', '45161', '0', '33331', '32444', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7816', 'Spartoi', '0', '45161', '0', '33325', '32437', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7817', 'Spartoi', '2', '45161', '0', '33315', '32433', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7818', 'Spartoi', '0', '45161', '0', '33313', '32426', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7819', 'Spartoi', '2', '45161', '0', '33301', '32430', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7820', 'Spartoi', '0', '45161', '0', '33296', '32440', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7821', 'Spartoi', '2', '45161', '0', '33285', '32429', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7822', 'Spartoi', '0', '45161', '0', '33301', '32428', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7823', 'Spartoi', '2', '45161', '0', '33315', '32418', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7824', 'Spartoi', '0', '45161', '0', '33325', '32417', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7825', 'Spartoi', '2', '45161', '0', '33339', '32431', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7826', 'Spartoi', '0', '45161', '0', '33349', '32434', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7827', 'Spartoi', '2', '45161', '0', '33339', '32444', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7828', 'Spartoi', '0', '45161', '0', '33316', '32414', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7829', 'Spartoi', '2', '45161', '0', '33300', '32429', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7830', 'Spartoi', '0', '45161', '0', '33298', '32439', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7831', 'Spartoi', '2', '45161', '0', '33293', '32437', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7832', 'Spartoi', '0', '45161', '0', '33277', '32433', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7833', 'Spartoi', '2', '45161', '0', '33277', '32420', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7834', 'Spartoi', '0', '45161', '0', '33267', '32430', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7835', 'Spartoi', '2', '45161', '0', '33259', '32428', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7836', 'Spartoi', '0', '45161', '0', '33251', '32421', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7837', 'Spartoi', '2', '45161', '0', '33254', '32415', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7838', 'Spartoi', '0', '45161', '0', '33259', '32406', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7839', 'Spartoi', '2', '45161', '0', '33256', '32397', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7840', 'Spartoi', '0', '45161', '0', '33267', '32388', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7841', 'Spartoi', '2', '45161', '0', '33280', '32397', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7842', 'Spartoi', '0', '45161', '0', '33288', '32401', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7843', 'Spartoi', '2', '45161', '0', '33306', '32395', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7844', 'Spartoi', '0', '45161', '0', '33309', '32406', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7845', 'Spartoi', '2', '45161', '0', '33328', '32398', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7846', 'Spartoi', '0', '45161', '0', '33308', '32378', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7847', 'Spartoi', '2', '45161', '0', '33297', '32378', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7848', 'Spartoi', '0', '45161', '0', '33302', '32361', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7849', 'Spartoi', '2', '45161', '0', '33338', '32366', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7850', 'Spartoi', '0', '45161', '0', '33328', '32349', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7851', 'Spartoi', '2', '45161', '0', '33353', '32356', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7852', 'Spartoi', '0', '45161', '0', '33369', '32348', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7853', 'Spartoi', '2', '45161', '0', '33353', '32333', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7854', 'Spartoi', '0', '45161', '0', '33364', '32328', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7855', 'Spartoi', '2', '45161', '0', '33381', '32352', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7856', 'Spartoi', '0', '45161', '0', '33386', '32341', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7857', 'Spartoi', '2', '45161', '0', '33402', '32344', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7858', 'Spartoi', '0', '45161', '0', '33385', '32325', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7859', 'Spartoi', '2', '45161', '0', '33381', '32313', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7860', 'Spartoi', '0', '45161', '0', '33365', '32297', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7861', 'Spartoi', '2', '45161', '0', '33360', '32310', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7862', 'Spartoi', '0', '45161', '0', '33347', '32322', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7863', 'Spartoi', '2', '45161', '0', '33322', '32310', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7864', 'Spartoi', '0', '45161', '0', '33321', '32327', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7865', 'Spartoi', '2', '45161', '0', '33317', '32340', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7866', 'Spartoi', '0', '45161', '0', '33301', '32339', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7867', 'Spartoi', '2', '45161', '0', '33319', '32311', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7868', 'Spartoi', '0', '45161', '0', '33353', '32297', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7869', 'Spartoi', '2', '45161', '0', '33345', '32284', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7870', 'Spartoi', '0', '45161', '0', '33357', '32279', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7871', 'Spartoi', '2', '45161', '0', '33377', '32277', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7872', 'Spartoi', '0', '45161', '0', '33403', '32287', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7873', 'Spartoi', '2', '45161', '0', '33420', '32296', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7874', 'Spartoi', '0', '45161', '0', '33430', '32316', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7875', 'Spartoi', '2', '45161', '0', '33409', '32312', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7876', 'Spartoi', '0', '45161', '0', '33421', '32333', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7877', 'Spartoi', '2', '45161', '0', '33437', '32345', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7878', 'Spartoi', '0', '45161', '0', '33437', '32335', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7879', 'Spartoi', '2', '45161', '0', '33443', '32326', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7880', 'Spartoi', '0', '45161', '0', '33433', '32356', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7881', 'Spartoi', '2', '45161', '0', '33395', '32328', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7882', 'Spartoi', '0', '45161', '0', '33402', '32334', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7883', 'Spartoi', '2', '45161', '0', '33414', '32357', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7884', 'Spartoi', '0', '45161', '0', '33418', '32375', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7885', 'Spartoi', '2', '45161', '0', '33401', '32383', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7886', 'Spartoi', '0', '45161', '0', '33390', '32390', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7887', 'Spartoi', '2', '45161', '0', '33371', '32395', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7888', 'Spartoi', '0', '45161', '0', '33403', '32402', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7889', 'Spartoi', '2', '45161', '0', '33410', '32413', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7890', 'Spartoi', '0', '45161', '0', '33380', '32427', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7891', 'Spartoi', '2', '45161', '0', '33370', '32421', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7892', 'Spartoi', '0', '45161', '0', '33379', '32443', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7893', 'Spartoi', '2', '45161', '0', '33361', '32441', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7894', 'Spartoi', '0', '45161', '0', '33338', '32409', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7895', 'Spartoi', '2', '45161', '0', '33360', '32410', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7896', 'Spartoi', '0', '45161', '0', '33364', '32386', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7897', 'Spartoi', '2', '45161', '0', '33351', '32375', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7898', 'Spartoi', '0', '45161', '0', '33365', '32366', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7899', 'Spartoi', '2', '45161', '0', '33383', '32373', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7900', 'Spartoi', '0', '45161', '0', '33395', '32368', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7901', 'Spartoi', '2', '45161', '0', '32833', '33222', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7902', 'Spartoi', '0', '45161', '0', '32787', '33185', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7903', 'Spartoi', '2', '45161', '0', '32738', '33140', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7904', 'Spartoi', '0', '45161', '0', '32715', '33138', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7905', 'Spartoi', '2', '45161', '0', '32760', '33183', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7906', 'Spartoi', '0', '45161', '0', '32780', '33203', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7907', 'Spartoi', '2', '45161', '0', '32826', '33250', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7908', 'Spartoi', '0', '45161', '0', '32874', '33297', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7909', 'Spartoi', '2', '45161', '0', '32897', '33320', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7910', 'Spartoi', '0', '45161', '0', '32878', '33326', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7911', 'Spartoi', '2', '45161', '0', '32854', '33308', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7912', 'Spartoi', '0', '45161', '0', '32808', '33265', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7913', 'Spartoi', '2', '45161', '0', '32781', '33246', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7914', 'Spartoi', '0', '45161', '0', '32748', '33218', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7915', 'Spartoi', '2', '45161', '0', '32723', '33196', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7916', 'Spartoi', '0', '45161', '0', '32864', '33220', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7917', 'Spartoi', '2', '45161', '0', '32798', '33164', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7918', 'Spartoi', '0', '45161', '0', '32757', '33127', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7919', 'Spartoi', '2', '45161', '0', '32767', '33106', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7920', 'Spartoi', '0', '45161', '0', '32810', '33144', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7921', 'Spartoi', '2', '45161', '0', '32851', '33184', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7922', 'Spartoi', '0', '45161', '0', '32898', '33226', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7923', 'Spartoi', '2', '45161', '0', '32947', '33258', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7924', 'Spartoi', '0', '45161', '0', '32989', '33291', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7925', 'Spartoi', '2', '45161', '0', '32823', '33230', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7926', 'Spartoi', '0', '45161', '0', '32922', '33164', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7927', 'Spartoi', '2', '45161', '0', '32911', '33150', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7928', 'Spartoi', '0', '45161', '0', '32888', '33139', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7929', 'Spartoi', '2', '45161', '0', '32869', '33122', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7930', 'Spartoi', '0', '45161', '0', '32841', '33083', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7931', 'Spartoi', '2', '45161', '0', '32797', '33076', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7932', 'Spartoi', '0', '45161', '0', '32830', '33108', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7933', 'Spartoi', '2', '45161', '0', '32860', '33141', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7934', 'Spartoi', '0', '45161', '0', '32881', '33190', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7935', 'Spartoi', '2', '45161', '0', '32849', '33167', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7936', 'Spartoi', '0', '45161', '0', '32750', '33140', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7937', 'Spartoi', '2', '45161', '0', '32869', '33271', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7938', 'Spartoi', '0', '45161', '0', '32839', '33057', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7939', 'Spartoi', '2', '45161', '0', '32876', '33061', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7940', 'Spartoi', '0', '45161', '0', '32907', '33092', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7941', 'Spartoi', '2', '45161', '0', '32888', '33094', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7942', 'Spartoi', '0', '45161', '0', '32915', '33113', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7943', 'Spartoi', '2', '45161', '0', '32971', '33126', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7944', 'Spartoi', '0', '45161', '0', '33009', '33159', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7945', 'Spartoi', '2', '45161', '0', '33003', '33179', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7946', 'Spartoi', '0', '45161', '0', '33030', '33202', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7947', 'Spartoi', '2', '45161', '0', '33033', '33214', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7948', 'Spartoi', '0', '45161', '0', '33000', '33217', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7949', 'Spartoi', '2', '45161', '0', '33002', '33163', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7950', 'Spartoi', '0', '45161', '0', '32929', '33192', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7951', 'Spartoi', '2', '45161', '0', '32899', '33172', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7952', 'Spartoi', '0', '45161', '0', '32874', '33155', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7953', 'Spartoi', '2', '45161', '0', '32781', '33089', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7954', 'Spartoi', '0', '45161', '0', '32813', '33131', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7955', 'Spartoi', '2', '45161', '0', '32842', '33155', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7956', 'Spartoi', '0', '45161', '0', '32885', '33268', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7957', 'Spartoi', '2', '45161', '0', '32789', '33228', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7958', 'Spartoi', '0', '45161', '0', '32729', '33184', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7959', 'Spartoi', '2', '45161', '0', '32702', '33150', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7960', 'Spartoi', '0', '45161', '0', '32965', '33306', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7961', 'Spartoi', '2', '45161', '0', '32914', '33291', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7962', 'Spartoi', '0', '45161', '0', '32927', '33336', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7963', 'Spartoi', '2', '45161', '0', '32913', '33358', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7964', 'Spartoi', '0', '45161', '0', '32815', '33321', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8002', 'Spartoi', '0', '45161', '0', '32887', '32950', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8003', 'Spartoi', '2', '45161', '0', '32910', '32947', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8004', 'Spartoi', '0', '45161', '0', '32912', '32928', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8005', 'Spartoi', '2', '45161', '0', '32922', '32914', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8006', 'Spartoi', '0', '45161', '0', '32911', '32896', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8007', 'Spartoi', '2', '45161', '0', '32889', '32900', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8008', 'Spartoi', '0', '45161', '0', '32874', '32905', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8009', 'Spartoi', '2', '45161', '0', '32858', '32926', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8010', 'Spartoi', '0', '45161', '0', '32844', '32929', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8011', 'Spartoi', '2', '45161', '0', '32824', '32929', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8012', 'Spartoi', '0', '45161', '0', '32808', '32947', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8080', 'Wild Fang', '0', '45163', '0', '32498', '3293', '3', '14', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8081', 'Wild Fang', '2', '45163', '0', '32659', '32979', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8082', 'Wild Fang', '0', '45163', '0', '32649', '32979', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8083', 'Wild Fang', '2', '45163', '0', '32646', '32970', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8084', 'Wild Fang', '0', '45163', '0', '32658', '32955', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8085', 'Wild Fang', '2', '45163', '0', '32672', '32957', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8086', 'Wild Fang', '0', '45163', '0', '32681', '32930', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8087', 'Wild Fang', '2', '45163', '0', '32671', '32922', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8088', 'Wild Fang', '0', '45163', '0', '32671', '32906', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8089', 'Wild Fang', '2', '45163', '0', '32685', '32901', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8090', 'Wild Fang', '0', '45163', '0', '32692', '32887', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8091', 'Wild Fang', '2', '45163', '0', '32692', '32875', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8092', 'Wild Fang', '0', '45163', '0', '32677', '32872', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8093', 'Wild Fang', '2', '45163', '0', '32667', '32856', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8094', 'Wild Fang', '0', '45163', '0', '32645', '32865', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8095', 'Wild Fang', '2', '45163', '0', '32645', '32841', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8096', 'Wild Fang', '0', '45163', '0', '32660', '32837', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8097', 'Wild Fang', '2', '45163', '0', '32670', '32838', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8098', 'Wild Fang', '0', '45163', '0', '32689', '32827', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8099', 'Wild Fang', '2', '45163', '0', '32682', '32809', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8100', 'Wild Fang', '0', '45163', '0', '32681', '32820', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8101', 'Wild Fang', '2', '45163', '0', '32681', '32840', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8102', 'Wild Fang', '0', '45163', '0', '32666', '32844', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8103', 'Wild Fang', '2', '45163', '0', '32670', '32857', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8104', 'Wild Fang', '0', '45163', '0', '32691', '32850', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8105', 'Wild Fang', '2', '45163', '0', '32678', '32870', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8106', 'Wild Fang', '0', '45163', '0', '32659', '32905', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8107', 'Wild Fang', '2', '45163', '0', '32664', '32945', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8108', 'Wild Fang', '0', '45163', '0', '32684', '32967', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8109', 'Wild Fang', '2', '45163', '0', '32683', '32986', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8110', 'Wild Fang', '0', '45163', '0', '32678', '33001', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8111', 'Wild Fang', '2', '45163', '0', '32680', '33015', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8112', 'Wild Fang', '0', '45163', '0', '32687', '33027', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8113', 'Wild Fang', '2', '45163', '0', '32662', '33026', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8114', 'Wild Fang', '0', '45163', '0', '32653', '33016', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8115', 'Wild Fang', '2', '45163', '0', '32644', '33013', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8116', 'Wild Fang', '0', '45163', '0', '32640', '32997', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8117', 'Wild Fang', '2', '45163', '0', '32649', '32980', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8118', 'Wild Fang', '0', '45163', '0', '32681', '33044', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8119', 'Wild Fang', '2', '45163', '0', '32694', '33043', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8120', 'Wild Fang', '0', '45163', '0', '32684', '33060', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8121', 'Wild Fang', '2', '45163', '0', '32687', '33073', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8122', 'Wild Fang', '0', '45163', '0', '32687', '33084', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8123', 'Wild Fang', '2', '45163', '0', '32672', '33095', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8124', 'Wild Fang', '0', '45163', '0', '32654', '33093', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8125', 'Wild Fang', '2', '45163', '0', '32635', '33091', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8126', 'Wild Fang', '0', '45163', '0', '32620', '33078', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8127', 'Wild Fang', '2', '45163', '0', '32620', '33062', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8128', 'Wild Fang', '0', '45163', '0', '32639', '33051', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8129', 'Wild Fang', '2', '45163', '0', '32630', '33037', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8130', 'Wild Fang', '0', '45163', '0', '32615', '33034', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8131', 'Wild Fang', '2', '45163', '0', '32650', '33077', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8132', 'Wild Fang', '0', '45163', '0', '32654', '33101', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8133', 'Wild Fang', '2', '45163', '0', '32635', '33115', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8134', 'Wild Fang', '0', '45163', '0', '32638', '33122', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8135', 'Wild Fang', '2', '45163', '0', '32650', '33127', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8136', 'Wild Fang', '0', '45163', '0', '32665', '33128', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8137', 'Wild Fang', '2', '45163', '0', '32673', '33140', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8138', 'Wild Fang', '0', '45163', '0', '32686', '33150', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8139', 'Wild Fang', '2', '45163', '0', '32697', '33145', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8140', 'Wild Fang', '0', '45163', '0', '32708', '33142', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8141', 'Wild Fang', '2', '45163', '0', '32720', '33140', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8142', 'Wild Fang', '0', '45163', '0', '32728', '33143', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8143', 'Wild Fang', '2', '45163', '0', '32735', '33159', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8144', 'Wild Fang', '0', '45163', '0', '32734', '33169', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8145', 'Wild Fang', '2', '45163', '0', '32722', '33171', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8146', 'Wild Fang', '0', '45163', '0', '32678', '33172', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8147', 'Wild Fang', '2', '45163', '0', '32681', '33178', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8148', 'Wild Fang', '0', '45163', '0', '32682', '33189', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8149', 'Wild Fang', '2', '45163', '0', '32672', '33197', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8150', 'Wild Fang', '0', '45163', '0', '32686', '33211', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8151', 'Wild Fang', '2', '45163', '0', '32659', '33205', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8152', 'Wild Fang', '0', '45163', '0', '32639', '33204', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8153', 'Wild Fang', '2', '45163', '0', '32642', '33194', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8154', 'Wild Fang', '0', '45163', '0', '32648', '33182', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8155', 'Wild Fang', '2', '45163', '0', '32645', '33165', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8156', 'Wild Fang', '0', '45163', '0', '32649', '33153', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8157', 'Wild Fang', '2', '45163', '0', '32630', '33142', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8158', 'Wild Fang', '0', '45163', '0', '32628', '33126', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8159', 'Wild Fang', '2', '45163', '0', '32603', '33134', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8160', 'Wild Fang', '0', '45163', '0', '32601', '33159', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8161', 'Wild Fang', '2', '45163', '0', '32582', '33150', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8162', 'Wild Fang', '0', '45163', '0', '32577', '33134', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8163', 'Wild Fang', '2', '45163', '0', '32576', '33111', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8164', 'Wild Fang', '0', '45163', '0', '32585', '33096', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8165', 'Wild Fang', '2', '45163', '0', '32571', '33090', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8166', 'Wild Fang', '0', '45163', '0', '32552', '33100', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8167', 'Wild Fang', '2', '45163', '0', '32536', '33091', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8168', 'Wild Fang', '0', '45163', '0', '32521', '33084', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8169', 'Wild Fang', '2', '45163', '0', '32522', '33070', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8170', 'Wild Fang', '0', '45163', '0', '32538', '33053', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8171', 'Wild Fang', '2', '45163', '0', '32541', '33038', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8172', 'Wild Fang', '0', '45163', '0', '32534', '33030', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8173', 'Wild Fang', '2', '45163', '0', '32535', '33013', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8174', 'Wild Fang', '0', '45163', '0', '32550', '33009', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8175', 'Wild Fang', '2', '45163', '0', '32569', '32998', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8176', 'Wild Fang', '0', '45163', '0', '32564', '32984', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8177', 'Wild Fang', '2', '45163', '0', '32560', '32964', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8178', 'Wild Fang', '0', '45163', '0', '32584', '32953', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8179', 'Wild Fang', '2', '45163', '0', '32570', '32967', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8180', 'Wild Fang', '0', '45163', '0', '32539', '32934', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8181', 'Wild Fang', '2', '45163', '0', '32518', '32948', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8182', 'Wild Fang', '0', '45163', '0', '32516', '32963', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8183', 'Wild Fang', '2', '45163', '0', '32492', '32952', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8184', 'Wild Fang', '0', '45163', '0', '32493', '32939', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8185', 'Wild Fang', '2', '45163', '0', '32487', '32926', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8186', 'Wild Fang', '0', '45163', '0', '32512', '32906', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8187', 'Wild Fang', '2', '45163', '0', '32530', '32908', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8188', 'Wild Fang', '0', '45163', '0', '32536', '32892', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8189', 'Wild Fang', '2', '45163', '0', '32526', '32878', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8190', 'Wild Fang', '0', '45163', '0', '32550', '32874', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8191', 'Wild Fang', '2', '45163', '0', '32552', '32852', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8192', 'Wild Fang', '0', '45163', '0', '32576', '32836', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8193', 'Wild Fang', '2', '45163', '0', '32594', '32825', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8194', 'Wild Fang', '0', '45163', '0', '32577', '32851', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8195', 'Wild Fang', '2', '45163', '0', '32566', '32855', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8196', 'Wild Fang', '0', '45163', '0', '32540', '32865', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8197', 'Wild Fang', '2', '45163', '0', '32526', '32858', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8198', 'Wild Fang', '0', '45163', '0', '32511', '32846', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8199', 'Wild Fang', '2', '45163', '0', '32522', '32825', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8200', 'Wild Fang', '0', '45163', '0', '32511', '32826', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8201', 'Wild Fang', '2', '45163', '0', '32501', '32843', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8202', 'Wild Fang', '0', '45163', '0', '32470', '32848', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8203', 'Wild Fang', '2', '45163', '0', '32457', '32825', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8204', 'Wild Fang', '0', '45163', '0', '32463', '32828', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8205', 'Wild Fang', '2', '45163', '0', '32441', '32850', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8206', 'Wild Fang', '0', '45163', '0', '32461', '32850', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8207', 'Wild Fang', '2', '45163', '0', '32479', '32861', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8208', 'Wild Fang', '0', '45163', '0', '32491', '32868', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8209', 'Wild Fang', '2', '45163', '0', '32469', '32892', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8210', 'Wild Fang', '0', '45163', '0', '32441', '32912', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8211', 'Wild Fang', '2', '45163', '0', '32436', '32901', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8212', 'Wild Fang', '0', '45163', '0', '32422', '32922', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8213', 'Wild Fang', '2', '45163', '0', '32403', '32919', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8214', 'Wild Fang', '0', '45163', '0', '32383', '32938', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8215', 'Wild Fang', '2', '45163', '0', '32368', '32936', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8216', 'Wild Fang', '0', '45163', '0', '32369', '32952', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8217', 'Wild Fang', '2', '45163', '0', '32359', '32970', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8218', 'Wild Fang', '0', '45163', '0', '32372', '32986', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8219', 'Wild Fang', '2', '45163', '0', '32381', '33001', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8220', 'Wild Fang', '0', '45163', '0', '32372', '33021', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8221', 'Wild Fang', '2', '45163', '0', '32386', '33019', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8222', 'Wild Fang', '0', '45163', '0', '32410', '33005', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8223', 'Wild Fang', '2', '45163', '0', '32418', '32982', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8224', 'Wild Fang', '0', '45163', '0', '32424', '32966', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8225', 'Wild Fang', '2', '45163', '0', '32435', '32946', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8226', 'Wild Fang', '0', '45163', '0', '32467', '32928', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8330', 'Black Knight', '2', '45165', '0', '33091', '33333', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8331', 'Black Knight', '2', '45165', '0', '33317', '33343', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8332', 'Black Knight', '2', '45165', '0', '33080', '33313', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8333', 'Black Knight', '2', '45165', '0', '33071', '33285', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8334', 'Black Knight', '2', '45165', '0', '33108', '33287', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8335', 'Black Knight', '2', '45165', '0', '32798', '32944', '2', '2', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8336', 'Black Knight', '2', '45165', '0', '32822', '32947', '2', '2', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8337', 'Black Knight', '2', '45165', '0', '32856', '32955', '2', '2', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8338', 'Black Knight', '2', '45165', '0', '32888', '32953', '2', '2', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8339', 'Black Knight', '2', '45165', '0', '32914', '32936', '2', '2', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8340', 'Black Knight', '2', '45165', '0', '32884', '32918', '2', '2', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8341', 'Black Knight', '2', '45165', '0', '32843', '32927', '2', '2', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8342', 'Black Knight', '2', '45165', '0', '33158', '33401', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8353', 'Neruga Orc', '2', '45171', '0', '32667', '32421', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8354', 'Neruga Orc', '0', '45171', '0', '32627', '32387', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8355', 'Neruga Orc', '2', '45171', '0', '32588', '32354', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8356', 'Neruga Orc', '0', '45171', '0', '32574', '32342', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8357', 'Neruga Orc', '2', '45171', '0', '32562', '32332', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8358', 'Neruga Orc', '0', '45171', '0', '32550', '32322', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8359', 'Neruga Orc', '2', '45171', '0', '32549', '32341', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8360', 'Neruga Orc', '0', '45171', '0', '32567', '32358', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8361', 'Neruga Orc', '2', '45171', '0', '32571', '32339', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8362', 'Neruga Orc', '0', '45171', '0', '32590', '32388', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8363', 'Neruga Orc', '2', '45171', '0', '32621', '32418', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8364', 'Neruga Orc', '0', '45171', '0', '32648', '32444', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8365', 'Neruga Orc', '2', '45171', '0', '32664', '32466', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8366', 'Neruga Orc', '0', '45171', '0', '32649', '32473', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8367', 'Neruga Orc', '2', '45171', '0', '32631', '32465', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8368', 'Neruga Orc', '0', '45171', '0', '32623', '32460', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8369', 'Neruga Orc', '2', '45171', '0', '32595', '32446', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8370', 'Neruga Orc', '0', '45171', '0', '32570', '32431', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8371', 'Neruga Orc', '2', '45171', '0', '32576', '32468', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8372', 'Neruga Orc', '0', '45171', '0', '32591', '32479', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8373', 'Neruga Orc', '2', '45171', '0', '32615', '32505', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8374', 'Neruga Orc', '0', '45171', '0', '32548', '32212', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8375', 'Neruga Orc', '2', '45171', '0', '32546', '32217', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8376', 'Neruga Orc', '0', '45171', '0', '32560', '32243', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8377', 'Neruga Orc', '2', '45171', '0', '32549', '32287', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8378', 'Neruga Orc', '0', '45171', '0', '32583', '32235', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8379', 'Neruga Orc', '2', '45171', '0', '32634', '32313', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8380', 'Neruga Orc', '0', '45171', '0', '32650', '32329', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8381', 'Neruga Orc', '2', '45171', '0', '32685', '32380', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8382', 'Neruga Orc', '0', '45171', '0', '32681', '32402', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8383', 'Neruga Orc', '2', '45171', '0', '32636', '32348', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8384', 'Neruga Orc', '0', '45171', '0', '32623', '32345', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8385', 'Neruga Orc', '2', '45171', '0', '32593', '32305', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8386', 'Neruga Orc', '0', '45171', '0', '32778', '32375', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8387', 'Neruga Orc', '2', '45171', '0', '32775', '32342', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8388', 'Neruga Orc', '0', '45171', '0', '32753', '32339', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8389', 'Neruga Orc', '2', '45171', '0', '32702', '32311', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8390', 'Neruga Orc', '0', '45171', '0', '32751', '32298', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8391', 'Neruga Orc', '2', '45171', '0', '32634', '32278', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8392', 'Neruga Orc', '0', '45171', '0', '32725', '32299', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8393', 'Neruga Orc', '2', '45171', '0', '32767', '32243', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8394', 'Neruga Orc', '0', '45171', '0', '32804', '32355', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8395', 'Neruga Orc', '2', '45171', '0', '32846', '32396', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8396', 'Neruga Orc', '0', '45171', '0', '32846', '32446', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8397', 'Neruga Orc', '2', '45171', '0', '32799', '32433', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8398', 'Lycanthrope', '0', '45173', '0', '33479', '32476', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8527', 'Lycanthrope', '2', '45173', '0', '33418', '32468', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8528', 'Lycanthrope', '0', '45173', '0', '33355', '32231', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8529', 'Lycanthrope', '2', '45173', '0', '33367', '32218', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8530', 'Lycanthrope', '0', '45173', '0', '33384', '32220', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8531', 'Lycanthrope', '2', '45173', '0', '33399', '32218', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8532', 'Lycanthrope', '0', '45173', '0', '33415', '32218', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8533', 'Lycanthrope', '2', '45173', '0', '33426', '32220', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8534', 'Lycanthrope', '0', '45173', '0', '33444', '32220', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8535', 'Lycanthrope', '2', '45173', '0', '33450', '32230', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8536', 'Lycanthrope', '0', '45173', '0', '33436', '32233', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8537', 'Lycanthrope', '2', '45173', '0', '33444', '32243', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8538', 'Lycanthrope', '0', '45173', '0', '33441', '32419', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8539', 'Lycanthrope', '2', '45173', '0', '33455', '32433', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8540', 'Lycanthrope', '0', '45173', '0', '33476', '32424', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8541', 'Lycanthrope', '2', '45173', '0', '33491', '32418', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8542', 'Lycanthrope', '0', '45173', '0', '33472', '32440', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8543', 'Lycanthrope', '2', '45173', '0', '33455', '32433', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8544', 'Lycanthrope', '0', '45173', '0', '33421', '32432', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8545', 'Lycanthrope', '2', '45173', '0', '33408', '32432', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8546', 'Lycanthrope', '0', '45173', '0', '33404', '32447', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8547', 'Lycanthrope', '2', '45173', '0', '33428', '32436', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8548', 'Lycanthrope', '0', '45173', '0', '33437', '32452', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8549', 'Lycanthrope', '2', '45173', '0', '33419', '32469', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8550', 'Lycanthrope', '0', '45173', '0', '33423', '32481', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8551', 'Lycanthrope', '2', '45173', '0', '33400', '32438', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8552', 'Lycanthrope', '0', '45173', '0', '33411', '32449', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8553', 'Lycanthrope', '2', '45173', '0', '33420', '32432', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8554', 'Lycanthrope', '0', '45173', '0', '33470', '32443', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8555', 'Lycanthrope', '2', '45173', '0', '33479', '32450', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8556', 'Lycanthrope', '0', '45173', '0', '33493', '32451', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8557', 'Lycanthrope', '2', '45173', '0', '33503', '32456', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8558', 'Lycanthrope', '0', '45173', '0', '33500', '32466', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8559', 'Lycanthrope', '2', '45173', '0', '33503', '32477', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8560', 'Lycanthrope', '0', '45173', '0', '33497', '32490', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8561', 'Lycanthrope', '2', '45173', '0', '33493', '32501', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8562', 'Lycanthrope', '0', '45173', '0', '33491', '32513', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8563', 'Lycanthrope', '2', '45173', '0', '33484', '32526', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8564', 'Lycanthrope', '0', '45173', '0', '33476', '32522', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8565', 'Lycanthrope', '2', '45173', '0', '33467', '32512', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8566', 'Lycanthrope', '0', '45173', '0', '33444', '32510', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8567', 'Lycanthrope', '2', '45173', '0', '33426', '32510', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8568', 'Lycanthrope', '0', '45173', '0', '33411', '32515', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8569', 'Lycanthrope', '2', '45173', '0', '33402', '32513', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8570', 'Lycanthrope', '0', '45173', '0', '33391', '32509', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8571', 'Lycanthrope', '2', '45173', '0', '33396', '32495', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8572', 'Lycanthrope', '0', '45173', '0', '33411', '32496', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8573', 'Lycanthrope', '2', '45173', '0', '33431', '32499', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8574', 'Lycanthrope', '0', '45173', '0', '33447', '32495', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8575', 'Lycanthrope', '2', '45173', '0', '33449', '32471', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8576', 'Lycanthrope', '0', '45173', '0', '33456', '32455', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8577', 'Lycanthrope', '2', '45173', '0', '33468', '32465', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8578', 'Lycanthrope', '0', '45173', '0', '33483', '32488', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8579', 'Lycanthrope', '2', '45173', '0', '33484', '32488', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8580', 'Lycanthrope', '0', '45173', '0', '33503', '33270', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8581', 'Lycanthrope', '2', '45173', '0', '33426', '33259', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8582', 'Lycanthrope', '0', '45173', '0', '33398', '33304', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8583', 'Lycanthrope', '2', '45173', '0', '33353', '33309', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8584', 'Lycanthrope', '0', '45173', '0', '33311', '33350', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8585', 'Lycanthrope', '2', '45173', '0', '33419', '33279', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8586', 'Lycanthrope', '0', '45173', '0', '33400', '33220', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8587', 'Lycanthrope', '2', '45173', '0', '33427', '33213', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8588', 'Lycanthrope', '0', '45173', '0', '33357', '33189', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8589', 'Lycanthrope', '2', '45173', '0', '33286', '33156', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8590', 'Lycanthrope', '0', '45173', '0', '33563', '33183', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8591', 'Lycanthrope', '2', '45173', '0', '33485', '33149', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8592', 'Lycanthrope', '0', '45173', '0', '33446', '33163', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8593', 'Lycanthrope', '2', '45173', '0', '33461', '33124', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8594', 'Lycanthrope', '0', '45173', '0', '33398', '33123', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8595', 'Lycanthrope', '2', '45173', '0', '33448', '33164', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8596', 'Lycanthrope', '0', '45173', '0', '33502', '33101', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8597', 'Lycanthrope', '2', '45173', '0', '33507', '33077', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8598', 'Lycanthrope', '0', '45173', '0', '33547', '33118', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8599', 'Lycanthrope', '2', '45173', '0', '33572', '33120', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8600', 'Lycanthrope', '0', '45173', '0', '33518', '33116', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8705', 'Lycanthrope', '2', '45173', '0', '33247', '33020', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8706', 'Lycanthrope', '0', '45173', '0', '33383', '33056', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8707', 'Lycanthrope', '2', '45173', '0', '33431', '33078', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8708', 'Lycanthrope', '0', '45173', '0', '33460', '33062', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8709', 'Lycanthrope', '2', '45173', '0', '33473', '33055', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8710', 'Lycanthrope', '0', '45173', '0', '33485', '33079', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8711', 'Lycanthrope', '2', '45173', '0', '33505', '33044', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8712', 'Lycanthrope', '0', '45173', '0', '33512', '33030', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8713', 'Lycanthrope', '2', '45173', '0', '33532', '33057', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8714', 'Lycanthrope', '0', '45173', '0', '33570', '33084', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8715', 'Lycanthrope', '2', '45173', '0', '33594', '33063', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8716', 'Lycanthrope', '0', '45173', '0', '33572', '33025', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8717', 'Lycanthrope', '2', '45173', '0', '33617', '33037', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8718', 'Lycanthrope', '0', '45173', '0', '33660', '33059', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8719', 'Lycanthrope', '2', '45173', '0', '33670', '33013', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8720', 'Lycanthrope', '0', '45173', '0', '33636', '32962', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8721', 'Lycanthrope', '2', '45173', '0', '33645', '32914', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8722', 'Lycanthrope', '0', '45173', '0', '33674', '32955', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8723', 'Lycanthrope', '2', '45173', '0', '33687', '32975', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8724', 'Lycanthrope', '0', '45173', '0', '33704', '32914', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8725', 'Lycanthrope', '2', '45173', '0', '33662', '32905', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8726', 'Lycanthrope', '0', '45173', '0', '33710', '33011', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8727', 'Lycanthrope', '2', '45173', '0', '33747', '32990', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8728', 'Lycanthrope', '0', '45173', '0', '33809', '32998', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8729', 'Lycanthrope', '2', '45173', '0', '33871', '33018', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8730', 'Lycanthrope', '0', '45173', '0', '33843', '32971', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8731', 'Lycanthrope', '2', '45173', '0', '33805', '32966', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8732', 'Lycanthrope', '0', '45173', '0', '33771', '32954', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8733', 'Lycanthrope', '2', '45173', '0', '33779', '32972', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8734', 'Lycanthrope', '0', '45173', '0', '33724', '32957', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8735', 'Lycanthrope', '2', '45173', '0', '33677', '32995', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8736', 'Lycanthrope', '0', '45173', '0', '33726', '33026', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8737', 'Lycanthrope', '2', '45173', '0', '32921', '32564', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8738', 'Lycanthrope', '0', '45173', '0', '32930', '32572', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8739', 'Lycanthrope', '2', '45173', '0', '32945', '32559', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8740', 'Lycanthrope', '0', '45173', '0', '32965', '32568', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8741', 'Lycanthrope', '2', '45173', '0', '32979', '32579', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8742', 'Lycanthrope', '0', '45173', '0', '32973', '32600', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8743', 'Lycanthrope', '2', '45173', '0', '32974', '32622', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8744', 'Lycanthrope', '0', '45173', '0', '32988', '32641', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8745', 'Lycanthrope', '2', '45173', '0', '32976', '32658', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8746', 'Lycanthrope', '0', '45173', '0', '32975', '32681', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8747', 'Lycanthrope', '2', '45173', '0', '32953', '32670', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8748', 'Lycanthrope', '0', '45173', '0', '32951', '32654', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8749', 'Lycanthrope', '2', '45173', '0', '32944', '32642', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8750', 'Lycanthrope', '0', '45173', '0', '32933', '32629', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8751', 'Lycanthrope', '2', '45173', '0', '32948', '32610', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8752', 'Lycanthrope', '0', '45173', '0', '32953', '32595', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8753', 'Lycanthrope', '2', '45173', '0', '32972', '32586', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8754', 'Lycanthrope', '0', '45173', '0', '33198', '32631', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8755', 'Lycanthrope', '2', '45173', '0', '33176', '32639', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8756', 'Lycanthrope', '0', '45173', '0', '33125', '32618', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8757', 'Lycanthrope', '2', '45173', '0', '33105', '32628', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8758', 'Lycanthrope', '0', '45173', '0', '33076', '32607', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8759', 'Lycanthrope', '2', '45173', '0', '33061', '32619', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8760', 'Lycanthrope', '0', '45173', '0', '33086', '32662', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8761', 'Lycanthrope', '2', '45173', '0', '33108', '32684', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8762', 'Lycanthrope', '0', '45173', '0', '33173', '32600', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8763', 'Lycanthrope', '2', '45173', '0', '33166', '32583', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8764', 'Lycanthrope', '0', '45173', '0', '33132', '32575', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8765', 'Lycanthrope', '2', '45173', '0', '33111', '32590', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8766', 'Lycanthrope', '0', '45173', '0', '33079', '32584', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8767', 'Lycanthrope', '2', '45173', '0', '33075', '32628', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8768', 'Lycanthrope', '0', '45173', '0', '32952', '32843', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8769', 'Lycanthrope', '2', '45173', '0', '32985', '32853', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8770', 'Lycanthrope', '0', '45173', '0', '32966', '32864', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8771', 'Lycanthrope', '2', '45173', '0', '32974', '32873', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8772', 'Lycanthrope', '0', '45173', '0', '32985', '32878', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8773', 'Lycanthrope', '2', '45173', '0', '32986', '32886', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8774', 'Lycanthrope', '0', '45173', '0', '32979', '32897', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8775', 'Lycanthrope', '2', '45173', '0', '32982', '32911', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8776', 'Lycanthrope', '0', '45173', '0', '32977', '32924', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8777', 'Lycanthrope', '2', '45173', '0', '32982', '32933', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8778', 'Lycanthrope', '0', '45173', '0', '32971', '32947', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8779', 'Lycanthrope', '2', '45173', '0', '32971', '32958', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8780', 'Lycanthrope', '0', '45173', '0', '32958', '32951', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8781', 'Lycanthrope', '2', '45173', '0', '32948', '32942', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8782', 'Lycanthrope', '0', '45173', '0', '32950', '32925', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8783', 'Lycanthrope', '2', '45173', '0', '32956', '32911', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8784', 'Lycanthrope', '0', '45173', '0', '32956', '32901', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8785', 'Lycanthrope', '2', '45173', '0', '32950', '32889', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8786', 'Lycanthrope', '0', '45173', '0', '32952', '32861', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8787', 'Lycanthrope', '2', '45173', '0', '32947', '32845', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8788', 'Lycanthrope', '0', '45173', '0', '32953', '32863', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8789', 'Lycanthrope', '2', '45173', '0', '32960', '32883', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8790', 'Lycanthrope', '0', '45173', '0', '32961', '32910', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8791', 'Lycanthrope', '2', '45173', '0', '32962', '32938', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8792', 'Lycanthrope', '0', '45173', '0', '32934', '32970', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8793', 'Lycanthrope', '2', '45173', '0', '32951', '32989', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8837', 'Dark Elemental', '2', '45244', '0', '32766', '32845', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8838', 'Dark Elemental', '0', '45244', '0', '32795', '32837', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8839', 'Dark Elemental', '2', '45244', '0', '32797', '32835', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8840', 'Dark Elemental', '0', '45244', '0', '32810', '32835', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8841', 'Dark Elemental', '2', '45244', '0', '32763', '32863', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8842', 'Dark Elemental', '0', '45244', '0', '32757', '32878', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8843', 'Dark Elemental', '2', '45244', '0', '32748', '32881', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8844', 'Dark Elemental', '0', '45244', '0', '32750', '32914', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8845', 'Dark Elemental', '2', '45244', '0', '32771', '32915', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8846', 'Dark Elemental', '0', '45244', '0', '32805', '32877', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8847', 'Dark Elemental', '2', '45244', '0', '32814', '32863', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8848', 'Dark Elemental', '0', '45244', '0', '32826', '32870', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8849', 'Dark Elemental', '2', '45244', '0', '32844', '32847', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8850', 'Dark Elemental', '0', '45244', '0', '32848', '32847', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8851', 'Dark Elemental', '2', '45244', '0', '32834', '32798', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8852', 'Dark Elemental', '0', '45244', '0', '32842', '32815', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8853', 'Dark Elemental', '2', '45244', '0', '32849', '32808', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8854', 'Dark Elemental', '0', '45244', '0', '32870', '32831', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8855', 'Dark Elemental', '2', '45244', '0', '32886', '32843', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8856', 'Dark Elemental', '0', '45244', '0', '32879', '32853', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8857', 'Dark Elemental', '2', '45244', '0', '32876', '32864', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8858', 'Dark Elemental', '0', '45244', '0', '32846', '32881', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8859', 'Dark Elemental', '2', '45244', '0', '32847', '32865', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8860', 'Dark Elemental', '0', '45244', '0', '32822', '32924', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8861', 'Dark Elemental', '2', '45244', '0', '32820', '32924', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8862', 'Dark Elemental', '0', '45244', '0', '32815', '32928', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8863', 'Dark Elemental', '2', '45244', '0', '32848', '32914', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8864', 'Dark Elemental', '0', '45244', '0', '32891', '32888', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8865', 'Dark Elemental', '2', '45244', '0', '32904', '32876', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8866', 'Dark Elemental', '0', '45244', '0', '32901', '32918', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8867', 'Dark Elemental', '2', '45244', '0', '32893', '32909', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8868', 'Dark Elemental', '0', '45244', '0', '32890', '32910', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8869', 'Dark Elemental', '2', '45244', '0', '32874', '32922', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8870', 'Dark Elemental', '0', '45244', '0', '32861', '32925', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8871', 'Dark Elemental', '2', '45244', '0', '32879', '32900', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8872', 'Dark Elemental', '0', '45244', '0', '32915', '32852', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8873', 'Dark Elemental', '2', '45244', '0', '32892', '32859', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8874', 'Dark Elemental', '0', '45244', '0', '32878', '32863', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8875', 'Dark Elemental', '2', '45244', '0', '32955', '32799', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8876', 'Dark Elemental', '0', '45244', '0', '32966', '32804', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8877', 'Dark Elemental', '2', '45244', '0', '32978', '32800', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8878', 'Dark Elemental', '0', '45244', '0', '32934', '32819', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8879', 'Dark Elemental', '2', '45244', '0', '32926', '32831', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8880', 'Dark Elemental', '0', '45244', '0', '32916', '32848', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8881', 'Dark Elemental', '2', '45244', '0', '32915', '32848', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8882', 'Dark Elemental', '0', '45244', '0', '32961', '32920', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8883', 'Dark Elemental', '2', '45244', '0', '32959', '32914', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8884', 'Dark Elemental', '0', '45244', '0', '32920', '32919', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8885', 'Dark Elemental', '2', '45244', '0', '32902', '32917', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8886', 'Dark Elemental', '0', '45244', '0', '32858', '32926', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8887', 'Dark Elemental', '2', '45244', '0', '32935', '32852', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8888', 'Dark Elemental', '0', '45244', '0', '32962', '32846', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8889', 'Dark Elemental', '2', '45244', '0', '32954', '32870', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8890', 'Dark Elemental', '0', '45244', '0', '32959', '32887', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8891', 'Dark Elemental', '2', '45244', '0', '32972', '32881', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8892', 'Dark Elemental', '0', '45244', '0', '33046', '32804', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8893', 'Dark Elemental', '2', '45244', '0', '33055', '32806', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8894', 'Dark Elemental', '0', '45244', '0', '33059', '32818', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8895', 'Dark Elemental', '2', '45244', '0', '33053', '32830', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8896', 'Dark Elemental', '0', '45244', '0', '33055', '32836', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8897', 'Dark Elemental', '2', '45244', '0', '33048', '32841', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8898', 'Dark Elemental', '0', '45244', '0', '33052', '32859', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8899', 'Dark Elemental', '2', '45244', '0', '33045', '32865', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8900', 'Dark Elemental', '0', '45244', '0', '33038', '32905', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8901', 'Dark Elemental', '2', '45244', '0', '33045', '32894', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8902', 'Dark Elemental', '0', '45244', '0', '33052', '32908', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8903', 'Dark Elemental', '2', '45244', '0', '33035', '32882', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8904', 'Dark Elemental', '0', '45244', '0', '32996', '32868', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8905', 'Dark Elemental', '2', '45244', '0', '32986', '32868', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8906', 'Dark Elemental', '0', '45244', '0', '32991', '32886', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8907', 'Dark Elemental', '2', '45244', '0', '32987', '32883', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8908', 'Dark Elemental', '0', '45244', '0', '33049', '32877', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9001', 'Arachnevil Elder', '2', '45184', '0', '33543', '33301', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9002', 'Arachnevil Elder', '0', '45184', '0', '33480', '33328', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9003', 'Arachnevil Elder', '2', '45184', '0', '33466', '33252', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9004', 'Arachnevil Elder', '0', '45184', '0', '33463', '33293', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9005', 'Arachnevil Elder', '2', '45184', '0', '33386', '33340', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9006', 'Arachnevil Elder', '0', '45184', '0', '33342', '33391', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9007', 'Arachnevil Elder', '2', '45184', '0', '33333', '33386', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9008', 'Arachnevil Elder', '0', '45184', '0', '33405', '33328', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9009', 'Arachnevil Elder', '2', '45184', '0', '33454', '33430', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9010', 'Arachnevil Elder', '0', '45184', '0', '33461', '33353', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9011', 'Arachnevil Elder', '2', '45184', '0', '33365', '33286', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9012', 'Arachnevil Elder', '0', '45184', '0', '33268', '33297', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9013', 'Arachnevil Elder', '2', '45184', '0', '33345', '33295', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9014', 'Arachnevil Elder', '0', '45184', '0', '33375', '33212', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9015', 'Arachnevil Elder', '2', '45184', '0', '33440', '33221', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9016', 'Arachnevil Elder', '0', '45184', '0', '33316', '33154', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9017', 'Arachnevil Elder', '2', '45184', '0', '33375', '33175', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9132', 'Arachnevil Elder', '0', '45184', '0', '33323', '33041', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9133', 'Arachnevil Elder', '2', '45184', '0', '33345', '33022', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9134', 'Arachnevil Elder', '0', '45184', '0', '33393', '33051', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9135', 'Arachnevil Elder', '2', '45184', '0', '33399', '33082', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9136', 'Arachnevil Elder', '0', '45184', '0', '33357', '33096', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9137', 'Arachnevil Elder', '2', '45184', '0', '33348', '33110', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9138', 'Arachnevil Elder', '0', '45184', '0', '33341', '33070', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9139', 'Arachnevil Elder', '2', '45184', '0', '33372', '33046', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9140', 'Arachnevil Elder', '0', '45184', '0', '33398', '33072', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9141', 'Arachnevil Elder', '2', '45184', '0', '33204', '33080', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9142', 'Arachnevil Elder', '0', '45184', '0', '33277', '33080', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9143', 'Arachnevil Elder', '2', '45184', '0', '33219', '33041', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9144', 'Arachnevil Elder', '0', '45184', '0', '33173', '33058', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9145', 'Arachnevil Elder', '2', '45184', '0', '33186', '33081', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9146', 'Arachnevil Elder', '0', '45184', '0', '32962', '32642', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9147', 'Arachnevil Elder', '2', '45184', '0', '32946', '32626', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9148', 'Arachnevil Elder', '0', '45184', '0', '32929', '32609', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9149', 'Arachnevil Elder', '2', '45184', '0', '32955', '32589', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9150', 'Arachnevil Elder', '0', '45184', '0', '32978', '32583', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9151', 'Arachnevil Elder', '2', '45184', '0', '32958', '32982', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9152', 'Arachnevil Elder', '0', '45184', '0', '32946', '32958', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9153', 'Arachnevil Elder', '2', '45184', '0', '32954', '32928', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9154', 'Arachnevil Elder', '0', '45184', '0', '32974', '32925', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9155', 'Arachnevil Elder', '2', '45184', '0', '32986', '32909', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9156', 'Arachnevil Elder', '0', '45184', '0', '32987', '32884', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9157', 'Arachnevil Elder', '2', '45184', '0', '32963', '32895', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9158', 'Arachnevil Elder', '0', '45184', '0', '32962', '32919', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9264', 'Doppelganger', '0', '45189', '0', '33792', '33272', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9265', 'Doppelganger', '2', '45189', '0', '33803', '33269', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9266', 'Doppelganger', '0', '45189', '0', '33812', '33277', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9267', 'Doppelganger', '2', '45189', '0', '33802', '33287', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9268', 'Doppelganger', '0', '45189', '0', '33804', '33296', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9269', 'Doppelganger', '2', '45189', '0', '33805', '33307', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9270', 'Doppelganger', '0', '45189', '0', '33796', '33314', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9271', 'Doppelganger', '2', '45189', '0', '33786', '33321', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9272', 'Doppelganger', '0', '45189', '0', '33775', '33327', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9273', 'Doppelganger', '2', '45189', '0', '33766', '33334', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9274', 'Doppelganger', '0', '45189', '0', '33759', '33340', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9275', 'Doppelganger', '2', '45189', '0', '33751', '33348', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9276', 'Doppelganger', '0', '45189', '0', '33757', '33357', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9277', 'Doppelganger', '2', '45189', '0', '33746', '33357', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9278', 'Doppelganger', '0', '45189', '0', '33738', '33359', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9279', 'Doppelganger', '2', '45189', '0', '33729', '33355', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9280', 'Doppelganger', '0', '45189', '0', '33724', '33348', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9281', 'Doppelganger', '2', '45189', '0', '33717', '33341', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9282', 'Doppelganger', '0', '45189', '0', '33710', '33335', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9283', 'Doppelganger', '2', '45189', '0', '33709', '33325', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9284', 'Doppelganger', '0', '45189', '0', '33717', '33310', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9285', 'Doppelganger', '2', '45189', '0', '33717', '33303', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9286', 'Doppelganger', '0', '45189', '0', '33724', '33307', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9287', 'Doppelganger', '2', '45189', '0', '33730', '33312', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9288', 'Doppelganger', '0', '45189', '0', '33730', '33322', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9289', 'Doppelganger', '2', '45189', '0', '33732', '33333', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9290', 'Doppelganger', '0', '45189', '0', '33741', '33336', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9291', 'Doppelganger', '2', '45189', '0', '33749', '33329', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9292', 'Doppelganger', '0', '45189', '0', '33753', '33319', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9293', 'Doppelganger', '2', '45189', '0', '33756', '33311', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9294', 'Doppelganger', '0', '45189', '0', '33763', '33302', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9295', 'Doppelganger', '2', '45189', '0', '33766', '33293', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9296', 'Doppelganger', '0', '45189', '0', '33764', '33284', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9297', 'Doppelganger', '2', '45189', '0', '33769', '33273', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9298', 'Doppelganger', '0', '45189', '0', '33787', '33265', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9299', 'Doppelganger', '2', '45189', '0', '33784', '33256', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9300', 'Doppelganger', '0', '45189', '0', '33775', '33250', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9301', 'Doppelganger', '2', '45189', '0', '33767', '33245', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9302', 'Doppelganger', '0', '45189', '0', '33756', '33253', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9303', 'Doppelganger', '2', '45189', '0', '33746', '33256', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9304', 'Doppelganger', '0', '45189', '0', '33738', '33263', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9305', 'Doppelganger', '2', '45189', '0', '33730', '33271', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9306', 'Doppelganger', '0', '45189', '0', '33722', '33279', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9307', 'Doppelganger', '2', '45189', '0', '33715', '33286', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9308', 'Doppelganger', '0', '45189', '0', '33704', '33297', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9309', 'Doppelganger', '2', '45189', '0', '33698', '33314', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9310', 'Doppelganger', '0', '45189', '0', '33689', '33336', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9311', 'Doppelganger', '2', '45189', '0', '33696', '33346', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9312', 'Doppelganger', '0', '45189', '0', '33704', '33354', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9313', 'Doppelganger', '2', '45189', '0', '33711', '33361', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9314', 'Doppelganger', '0', '45189', '0', '33720', '33361', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9315', 'Doppelganger', '2', '45189', '0', '33729', '33364', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9316', 'Doppelganger', '0', '45189', '0', '33790', '33287', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9317', 'Doppelganger', '2', '45189', '0', '33793', '33296', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9318', 'Doppelganger', '0', '45189', '0', '33787', '33305', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9319', 'Doppelganger', '2', '45189', '0', '33776', '33304', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9320', 'Doppelganger', '0', '45189', '0', '33769', '33313', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9321', 'Doppelganger', '2', '45189', '0', '33740', '33346', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9322', 'Doppelganger', '0', '45189', '0', '33765', '33237', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9323', 'Doppelganger', '2', '45189', '0', '33740', '33346', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9324', 'Giant Soldier Ant', '0', '45190', '0', '32839', '33229', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9325', 'Giant Soldier Ant', '2', '45190', '0', '32770', '33170', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9326', 'Giant Soldier Ant', '0', '45190', '0', '32723', '33125', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9327', 'Giant Soldier Ant', '2', '45190', '0', '32755', '33175', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9328', 'Giant Soldier Ant', '0', '45190', '0', '32794', '33217', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9329', 'Giant Soldier Ant', '2', '45190', '0', '32833', '33257', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9330', 'Giant Soldier Ant', '0', '45190', '0', '32841', '33265', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9331', 'Giant Soldier Ant', '2', '45190', '0', '32889', '33312', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9332', 'Giant Soldier Ant', '0', '45190', '0', '32889', '33331', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9333', 'Giant Soldier Ant', '2', '45190', '0', '32815', '33273', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9334', 'Giant Soldier Ant', '0', '45190', '0', '32764', '33232', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9335', 'Giant Soldier Ant', '2', '45190', '0', '32705', '33181', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9336', 'Giant Soldier Ant', '0', '45190', '0', '32847', '33206', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9337', 'Giant Soldier Ant', '2', '45190', '0', '32834', '33194', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9338', 'Giant Soldier Ant', '0', '45190', '0', '32805', '33170', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9339', 'Giant Soldier Ant', '2', '45190', '0', '32792', '33158', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9340', 'Giant Soldier Ant', '0', '45190', '0', '32770', '33140', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9341', 'Giant Soldier Ant', '2', '45190', '0', '32765', '33134', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9342', 'Giant Soldier Ant', '0', '45190', '0', '32736', '33106', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9343', 'Giant Soldier Ant', '2', '45190', '0', '32758', '33102', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9344', 'Giant Soldier Ant', '0', '45190', '0', '32803', '33138', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9345', 'Giant Soldier Ant', '2', '45190', '0', '32814', '33151', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9346', 'Giant Soldier Ant', '0', '45190', '0', '32843', '33178', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9347', 'Giant Soldier Ant', '2', '45190', '0', '32889', '33218', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9348', 'Giant Soldier Ant', '0', '45190', '0', '32938', '33252', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9349', 'Giant Soldier Ant', '2', '45190', '0', '32887', '33130', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9350', 'Giant Soldier Ant', '0', '45190', '0', '32869', '33101', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9351', 'Giant Soldier Ant', '2', '45190', '0', '32848', '33090', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9352', 'Giant Soldier Ant', '0', '45190', '0', '32825', '33060', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9353', 'Giant Soldier Ant', '2', '45190', '0', '32805', '33065', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9354', 'Giant Soldier Ant', '0', '45190', '0', '32818', '33087', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9355', 'Giant Soldier Ant', '2', '45190', '0', '32820', '33105', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9356', 'Giant Soldier Ant', '0', '45190', '0', '32843', '33134', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9357', 'Giant Soldier Ant', '2', '45190', '0', '32856', '33159', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9358', 'Giant Soldier Ant', '0', '45190', '0', '32878', '33179', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9359', 'Giant Soldier Ant', '2', '45190', '0', '32884', '33200', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9360', 'Giant Soldier Ant', '0', '45190', '0', '32743', '33132', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9361', 'Giant Soldier Ant', '2', '45190', '0', '32883', '33278', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9362', 'Giant Soldier Ant', '0', '45190', '0', '32912', '33181', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9363', 'Giant Soldier Ant', '2', '45190', '0', '32890', '33168', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9364', 'Giant Soldier Ant', '0', '45190', '0', '32851', '33126', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9365', 'Giant Soldier Ant', '2', '45190', '0', '32797', '33101', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9366', 'Giant Soldier Ant', '0', '45190', '0', '32809', '33120', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9367', 'Giant Soldier Ant', '2', '45190', '0', '32822', '33133', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9368', 'Giant Soldier Ant', '0', '45190', '0', '32894', '33246', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9369', 'Giant Soldier Ant', '2', '45190', '0', '32832', '33276', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9370', 'Giant Soldier Ant', '0', '45190', '0', '32769', '33221', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9371', 'Giant Soldier Ant', '2', '45190', '0', '32743', '33187', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9372', 'Giant Soldier Ant', '0', '45190', '0', '32706', '33165', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9373', 'Giant Soldier Ant', '2', '45190', '0', '32977', '33311', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9374', 'Giant Soldier Ant', '0', '45190', '0', '32920', '33306', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9375', 'Giant Soldier Ant', '2', '45190', '0', '32910', '33312', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9376', 'Giant Soldier Ant', '0', '45190', '0', '32948', '33353', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9377', 'Giant Soldier Ant', '2', '45190', '0', '32873', '33346', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9378', 'Giant Soldier Ant', '0', '45190', '0', '32816', '33336', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9379', 'Giant Soldier Ant', '2', '45190', '0', '32797', '33282', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9617', 'Giant Soldier Ant', '2', '45190', '0', '32912', '33126', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9618', 'Giant Soldier Ant', '0', '45190', '0', '32954', '33158', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9619', 'Giant Soldier Ant', '2', '45190', '0', '32971', '33177', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9620', 'Giant Soldier Ant', '0', '45190', '0', '32933', '33204', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9621', 'Giant Soldier Ant', '2', '45190', '0', '32902', '33206', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9622', 'Giant Soldier Ant', '0', '45190', '0', '32988', '33261', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9623', 'Giant Soldier Ant', '2', '45190', '0', '33011', '33248', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9624', 'Giant Soldier Ant', '0', '45190', '0', '32977', '33284', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9625', 'Giant Soldier Ant', '2', '45190', '0', '32941', '33274', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9660', 'Right-Hand Bandit', '0', '45194', '0', '33834', '32660', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9661', 'Right-Hand Bandit', '2', '45194', '0', '33807', '32688', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9662', 'Right-Hand Bandit', '0', '45194', '0', '33831', '32725', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9663', 'Right-Hand Bandit', '2', '45194', '0', '33860', '32743', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9664', 'Right-Hand Bandit', '0', '45194', '0', '33909', '32769', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9665', 'Right-Hand Bandit', '2', '45194', '0', '33873', '32741', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9666', 'Right-Hand Bandit', '0', '45194', '0', '33866', '32775', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9667', 'Right-Hand Bandit', '2', '45194', '0', '33768', '32696', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9668', 'Right-Hand Bandit', '0', '45194', '0', '33812', '32752', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9669', 'Right-Hand Bandit', '2', '45194', '0', '33843', '32789', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9670', 'Right-Hand Bandit', '0', '45194', '0', '33854', '32691', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9671', 'Right-Hand Bandit', '2', '45194', '0', '33848', '32715', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9672', 'Right-Hand Bandit', '0', '45194', '0', '33878', '32787', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9673', 'Right-Hand Bandit', '2', '45194', '0', '33852', '32801', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9674', 'Right-Hand Bandit', '0', '45194', '0', '33814', '32770', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9675', 'Right-Hand Bandit', '2', '45194', '0', '33882', '32733', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9676', 'Right-Hand Bandit', '0', '45194', '0', '33864', '32715', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9677', 'Right-Hand Bandit', '2', '45194', '0', '33825', '32697', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9678', 'Right-Hand Bandit', '0', '45194', '0', '33802', '32720', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9679', 'Right-Hand Bandit', '2', '45194', '0', '33811', '32733', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9680', 'Right-Hand Bandit', '0', '45194', '0', '33820', '32789', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9681', 'Alligator', '1', '45196', '0', '32861', '32888', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9682', 'Alligator', '0', '45196', '0', '32881', '32900', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9683', 'Alligator', '1', '45196', '0', '32894', '32936', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9684', 'Alligator', '0', '45196', '0', '32860', '32958', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9685', 'Alligator', '1', '45196', '0', '32883', '32890', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9686', 'Alligator', '0', '45196', '0', '32934', '32891', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9687', 'Alligator', '1', '45196', '0', '32909', '32865', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9688', 'Alligator', '0', '45196', '0', '32856', '32852', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9689', 'Alligator', '1', '45196', '0', '32884', '32833', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9690', 'Alligator', '0', '45196', '0', '32921', '32838', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9691', 'Alligator', '1', '45196', '0', '32941', '32818', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9692', 'Alligator', '0', '45196', '0', '32943', '32744', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9693', 'Alligator', '1', '45196', '0', '32898', '32813', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9694', 'Alligator', '0', '45196', '0', '32904', '32827', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9695', 'Alligator', '1', '45196', '0', '32869', '32975', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9696', 'Alligator', '0', '45196', '0', '32853', '32982', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9697', 'Alligator', '1', '45196', '0', '32847', '32963', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9698', 'Alligator', '0', '45196', '0', '32843', '32969', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9699', 'Alligator', '1', '45196', '0', '32871', '32977', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9700', 'Alligator', '0', '45196', '0', '32862', '32850', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9701', 'Alligator', '1', '45196', '0', '32875', '32859', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9702', 'Alligator', '0', '45196', '0', '32876', '32814', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9703', 'Alligator', '1', '45196', '0', '32858', '32987', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9704', 'Alligator', '0', '45196', '0', '32838', '33004', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9705', 'Wild Magic', '2', '45197', '0', '32688', '3293', '3', '14', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9706', 'Wild Magic', '0', '45197', '0', '32516', '32832', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9707', 'Wild Magic', '2', '45197', '0', '32540', '32842', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9708', 'Wild Magic', '0', '45197', '0', '32552', '32853', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9709', 'Wild Magic', '2', '45197', '0', '32577', '32835', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9710', 'Wild Magic', '0', '45197', '0', '32559', '32876', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9711', 'Wild Magic', '2', '45197', '0', '32549', '32897', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9712', 'Wild Magic', '0', '45197', '0', '32544', '32910', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9713', 'Wild Magic', '2', '45197', '0', '32529', '32926', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9714', 'Wild Magic', '0', '45197', '0', '32510', '32919', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9715', 'Wild Magic', '2', '45197', '0', '32512', '32935', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9716', 'Wild Magic', '0', '45197', '0', '32498', '32949', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9717', 'Wild Magic', '2', '45197', '0', '32506', '32970', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9718', 'Wild Magic', '0', '45197', '0', '32512', '32980', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9719', 'Wild Magic', '2', '45197', '0', '32533', '32977', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9720', 'Wild Magic', '0', '45197', '0', '32552', '32974', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9721', 'Wild Magic', '2', '45197', '0', '32566', '32976', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9722', 'Wild Magic', '0', '45197', '0', '32580', '32981', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9723', 'Wild Magic', '2', '45197', '0', '32610', '32978', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9724', 'Wild Magic', '0', '45197', '0', '32612', '32951', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9725', 'Wild Magic', '2', '45197', '0', '32633', '32962', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9726', 'Wild Magic', '0', '45197', '0', '32654', '32953', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9727', 'Wild Magic', '2', '45197', '0', '32679', '32937', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9728', 'Wild Magic', '0', '45197', '0', '32686', '32904', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9729', 'Wild Magic', '2', '45197', '0', '32703', '32867', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9730', 'Wild Magic', '0', '45197', '0', '32672', '32852', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9731', 'Wild Magic', '2', '45197', '0', '32689', '32824', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9732', 'Wild Magic', '0', '45197', '0', '32674', '32840', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9733', 'Wild Magic', '2', '45197', '0', '32650', '32839', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9734', 'Wild Magic', '0', '45197', '0', '32634', '32842', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9735', 'Wild Magic', '2', '45197', '0', '32627', '32827', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9736', 'Wild Magic', '0', '45197', '0', '32672', '32984', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9737', 'Wild Magic', '2', '45197', '0', '32680', '33021', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9738', 'Wild Magic', '0', '45197', '0', '32687', '33054', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9739', 'Wild Magic', '2', '45197', '0', '32683', '33073', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9740', 'Wild Magic', '0', '45197', '0', '32683', '33083', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9741', 'Wild Magic', '2', '45197', '0', '32679', '33111', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9742', 'Wild Magic', '0', '45197', '0', '32651', '33136', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9743', 'Wild Magic', '2', '45197', '0', '32685', '33157', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9744', 'Wild Magic', '0', '45197', '0', '32681', '33176', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9745', 'Wild Magic', '2', '45197', '0', '32679', '33193', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9746', 'Wild Magic', '0', '45197', '0', '32652', '33203', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9747', 'Wild Magic', '2', '45197', '0', '32609', '33169', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9748', 'Wild Magic', '0', '45197', '0', '32560', '33141', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9749', 'Wild Magic', '2', '45197', '0', '32539', '33151', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9750', 'Wild Magic', '0', '45197', '0', '32502', '33166', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9751', 'Wild Magic', '2', '45197', '0', '32479', '33152', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9752', 'Wild Magic', '0', '45197', '0', '32452', '33143', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9753', 'Wild Magic', '2', '45197', '0', '32431', '33139', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9754', 'Wild Magic', '0', '45197', '0', '32397', '33172', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9755', 'Salamander', '2', '45203', '0', '33739', '32282', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9756', 'Salamander', '0', '45203', '0', '33733', '33299', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9757', 'Salamander', '2', '45203', '0', '33731', '32324', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9758', 'Salamander', '0', '45203', '0', '33725', '32264', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9759', 'Salamander', '2', '45203', '0', '33731', '32246', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9760', 'Salamander', '0', '45203', '0', '33713', '32285', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9761', 'Salamander', '2', '45203', '0', '33707', '32253', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9762', 'Salamander', '0', '45203', '0', '33705', '32310', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9763', 'Salamander', '2', '45203', '0', '33699', '32290', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9764', 'Salamander', '0', '45203', '0', '33677', '32282', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9765', 'Salamander', '2', '45203', '0', '33661', '32256', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9766', 'Salamander', '0', '45203', '0', '33666', '32223', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9767', 'Salamander', '2', '45203', '0', '33686', '32237', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9768', 'Salamander', '0', '45203', '0', '33698', '32346', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9769', 'Salamander', '2', '45203', '0', '33656', '32315', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9770', 'Salamander', '0', '45203', '0', '33630', '32300', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9771', 'Salamander', '2', '45203', '0', '33638', '32326', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9772', 'Salamander', '0', '45203', '0', '33610', '32325', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9773', 'Fire Egg', '2', '45206', '0', '33680', '32419', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9774', 'Fire Egg', '0', '45206', '0', '33654', '32409', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9775', 'Fire Egg', '2', '45206', '0', '33621', '32388', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9776', 'Fire Egg', '0', '45206', '0', '33600', '32394', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9777', 'Fire Egg', '2', '45206', '0', '33607', '32421', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9778', 'Fire Egg', '0', '45206', '0', '33614', '32358', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9779', 'Fire Egg', '2', '45206', '0', '33637', '32381', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9780', 'Fire Egg', '0', '45206', '0', '33557', '32401', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9781', 'Fire Egg', '2', '45206', '0', '33574', '32416', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9782', 'Fire Egg', '0', '45206', '0', '33542', '32384', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9783', 'Fire Egg', '2', '45206', '0', '33524', '32376', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9784', 'Fire Egg', '0', '45206', '0', '33513', '32345', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9785', 'Fire Egg', '2', '45206', '0', '33520', '32292', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9786', 'Fire Egg', '0', '45206', '0', '33540', '32303', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9787', 'Fire Egg', '2', '45206', '0', '33561', '32344', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9788', 'Fire Egg', '0', '45206', '0', '33588', '32341', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9789', 'Fire Egg', '2', '45206', '0', '33577', '32382', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9790', 'Fire Egg', '0', '45206', '0', '33567', '32296', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9791', 'Fire Egg', '2', '45206', '0', '33566', '32264', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9792', 'Fire Egg', '0', '45206', '0', '33550', '32243', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9793', 'Fire Egg', '2', '45206', '0', '33591', '32290', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9794', 'Fire Egg', '0', '45206', '0', '33612', '32286', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9795', 'Fire Egg', '2', '45206', '0', '33618', '32282', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9796', 'Fire Egg', '0', '45206', '0', '33615', '32236', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9797', 'Fire Egg', '2', '45206', '0', '33599', '32227', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9798', 'Fire Egg', '0', '45206', '0', '33637', '32261', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9799', 'Fire Egg', '2', '45206', '0', '33668', '32269', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9800', 'Fire Egg', '0', '45206', '0', '33681', '32243', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9801', 'Fire Egg', '2', '45206', '0', '33690', '32288', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9802', 'Fire Egg', '0', '45206', '0', '33712', '32317', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9803', 'Fire Egg', '2', '45206', '0', '33708', '32260', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9804', 'Fire Egg', '0', '45206', '0', '33726', '32253', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9805', 'Fire Egg', '2', '45206', '0', '33744', '32286', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9806', 'Fire Egg', '0', '45206', '0', '33747', '32293', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9807', 'Fire Egg', '2', '45206', '0', '33762', '32312', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9808', 'Fire Egg', '0', '45206', '0', '33744', '32316', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9809', 'Fire Egg', '2', '45206', '0', '33723', '32331', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9810', 'Fire Egg', '0', '45206', '0', '33724', '32373', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9811', 'Fire Egg', '2', '45206', '0', '33747', '32286', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9812', 'Fire Egg', '0', '45206', '0', '33763', '32358', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9813', 'Fire Egg', '2', '45206', '0', '33734', '32387', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9814', 'Fire Egg', '0', '45206', '0', '33746', '32417', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9815', 'Fire Egg', '2', '45206', '0', '33766', '32393', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9816', 'Fire Egg', '0', '45206', '0', '33720', '32416', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9817', 'Fire Egg', '2', '45206', '0', '33691', '32394', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9818', 'Fire Egg', '0', '45206', '0', '33616', '32330', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9819', 'Fire Egg', '2', '45206', '0', '33647', '32347', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9820', 'Fire Egg', '0', '45206', '0', '33665', '32382', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9821', 'Fire Egg', '2', '45206', '0', '33690', '32367', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9822', 'Fire Egg', '0', '45206', '0', '33666', '32327', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9823', 'Fire Egg', '2', '45206', '0', '33643', '32304', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9824', 'Fire Egg', '0', '45206', '0', '33663', '32296', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9825', 'Fire Egg', '2', '45206', '0', '33688', '32331', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9843', 'Ice Man', '2', '45207', '0', '34277', '32397', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9844', 'Ice Man', '0', '45207', '0', '34260', '32393', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9845', 'Ice Man', '2', '45207', '0', '34240', '32392', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9846', 'Ice Man', '0', '45207', '0', '34241', '32425', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9847', 'Ice Man', '2', '45207', '0', '34253', '32365', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9848', 'Ice Man', '0', '45207', '0', '34230', '32335', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9849', 'Ice Man', '2', '45207', '0', '34227', '32377', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9850', 'Ice Man', '0', '45207', '0', '34229', '32385', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9851', 'Ice Man', '2', '45207', '0', '34233', '32399', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9852', 'Ice Man', '0', '45207', '0', '34232', '32416', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9853', 'Ice Man', '2', '45207', '0', '34226', '32400', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9854', 'Ice Man', '0', '45207', '0', '34236', '32256', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9855', 'Ice Man', '2', '45207', '0', '34220', '32279', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9856', 'Ice Man', '0', '45207', '0', '34217', '32292', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9857', 'Ice Man', '2', '45207', '0', '34208', '32249', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9858', 'Ice Man', '0', '45207', '0', '34215', '32213', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9859', 'Ice Man', '2', '45207', '0', '34254', '32231', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9860', 'Ice Man', '0', '45207', '0', '34276', '32229', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9861', 'Ice Man', '2', '45207', '0', '34277', '32206', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9862', 'Ice Man', '0', '45207', '0', '34259', '32190', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9863', 'Ice Man', '2', '45207', '0', '34251', '32208', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9864', 'Ice Man', '0', '45207', '0', '34277', '32193', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9865', 'Ice Man', '2', '45207', '0', '34231', '32205', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9866', 'Ice Man', '0', '45207', '0', '34230', '32236', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9867', 'Ice Man', '2', '45207', '0', '34237', '32228', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9868', 'Ice Man', '0', '45207', '0', '34208', '32198', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9869', 'Ice Man', '2', '45207', '0', '34189', '32220', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9870', 'Ice Man', '0', '45207', '0', '34201', '32215', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9871', 'Ice Man', '2', '45207', '0', '34274', '32355', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9872', 'Ice Man', '0', '45207', '0', '34258', '32337', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9873', 'Ice Man', '2', '45207', '0', '34174', '32200', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9874', 'Ice Man', '0', '45207', '0', '34151', '32211', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9875', 'Ice Man', '2', '45207', '0', '34133', '32247', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9876', 'Ice Man', '0', '45207', '0', '34112', '32222', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9877', 'Ice Man', '2', '45207', '0', '34190', '32188', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9917', 'Ghast', '2', '45213', '0', '32561', '32370', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9918', 'Ghast', '0', '45213', '0', '32576', '32326', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9919', 'Ghast', '2', '45213', '0', '32549', '32308', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9920', 'Mole', '0', '45311', '0', '32799', '32904', '4', '4', '0', '0', '0', '0', '0', '60', '120', '310', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9921', 'Mole', '2', '45311', '0', '32951', '32642', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9922', 'Mole', '0', '45311', '0', '32944', '32657', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9923', 'Mole', '2', '45311', '0', '32931', '32663', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9924', 'Mole', '0', '45311', '0', '32914', '32656', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9925', 'Mole', '2', '45311', '0', '32972', '32635', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9926', 'Mole', '0', '45311', '0', '32920', '32693', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9938', 'Elder', '0', '45215', '0', '32954', '32766', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9939', 'Elder', '2', '45215', '0', '32941', '32757', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9940', 'Elder', '0', '45215', '0', '32926', '32773', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9942', 'Elder', '0', '45215', '0', '32929', '32814', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9943', 'Elder', '2', '45215', '0', '32898', '32812', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9944', 'Elder', '0', '45215', '0', '32876', '32835', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9945', 'Elder', '2', '45215', '0', '32895', '32844', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9946', 'Elder', '0', '45215', '0', '32939', '32821', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9950', 'Undead Elmore Soldier', '0', '45216', '0', '34042', '32372', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9951', 'Undead Elmore Soldier', '2', '45216', '0', '34030', '32392', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9952', 'Undead Elmore Soldier', '0', '45216', '0', '34076', '32391', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9953', 'Undead Elmore Soldier', '2', '45216', '0', '34113', '32456', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9954', 'Undead Elmore Soldier', '0', '45216', '0', '34105', '32499', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9955', 'Undead Elmore Soldier', '2', '45216', '0', '34093', '32540', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9956', 'Undead Elmore Soldier', '0', '45216', '0', '34044', '32573', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9957', 'Undead Elmore Soldier', '2', '45216', '0', '34034', '32567', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9958', 'Undead Elmore Soldier', '0', '45216', '0', '34011', '32545', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9959', 'Undead Elmore Soldier', '2', '45216', '0', '33999', '32533', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9960', 'Undead Elmore Soldier', '0', '45216', '0', '34007', '32528', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9961', 'Undead Elmore Soldier', '2', '45216', '0', '33998', '32490', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9962', 'Undead Elmore Soldier', '0', '45216', '0', '33991', '32458', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9963', 'Undead Elmore Soldier', '2', '45216', '0', '34029', '32409', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9964', 'Undead Elmore Soldier', '0', '45216', '0', '34041', '32421', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9965', 'Undead Elmore Soldier', '2', '45216', '0', '34053', '32434', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9966', 'Undead Elmore Soldier', '0', '45216', '0', '34098', '32489', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9967', 'Undead Elmore Soldier', '2', '45216', '0', '34076', '32506', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9968', 'Undead Elmore Soldier', '0', '45216', '0', '34050', '32488', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9969', 'Undead Elmore Soldier', '2', '45216', '0', '34028', '32466', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9970', 'Undead Elmore Soldier', '0', '45216', '0', '34004', '32446', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9971', 'Undead Elmore Soldier', '2', '45216', '0', '34001', '32471', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9972', 'Undead Elmore Soldier', '0', '45216', '0', '34042', '32499', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9973', 'Undead Elmore Soldier', '2', '45216', '0', '34019', '32525', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9974', 'Undead Elmore Soldier', '0', '45216', '0', '34037', '32558', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9975', 'Undead Elmore Soldier', '2', '45216', '0', '34158', '32598', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9976', 'Undead Elmore Soldier', '0', '45216', '0', '34136', '32561', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9977', 'Undead Elmore Soldier', '2', '45216', '0', '34157', '32509', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9978', 'Undead Elmore Soldier', '0', '45216', '0', '34133', '32514', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9979', 'Undead Elmore Soldier', '2', '45216', '0', '34085', '32411', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9980', 'Undead Elmore Soldier', '0', '45216', '0', '33965', '32422', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9981', 'Undead Elmore Soldier', '2', '45216', '0', '33951', '32432', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9982', 'Undead Elmore Soldier', '0', '45216', '0', '33937', '32449', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9983', 'Undead Elmore Soldier', '2', '45216', '0', '33955', '32476', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9984', 'Undead Elmore Soldier', '0', '45216', '0', '33967', '32463', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9985', 'Undead Elmore Soldier', '2', '45216', '0', '33941', '32479', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9986', 'Undead Elmore Soldier', '0', '45216', '0', '34105', '32575', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9987', 'Undead Elmore Soldier', '2', '45216', '0', '34171', '32509', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9988', 'Undead Elmore Soldier', '0', '45216', '0', '34075', '32376', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9989', 'Undead Elmore Soldier', '2', '45216', '0', '34119', '32361', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9990', 'Undead Elmore Soldier', '0', '45216', '0', '34141', '32386', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9991', 'Undead Elmore Soldier', '2', '45216', '0', '34174', '32423', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9992', 'Undead Elmore Soldier', '0', '45216', '0', '34197', '32448', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9993', 'Undead Elmore Soldier', '2', '45216', '0', '34159', '32442', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9994', 'Undead Elmore Soldier', '0', '45216', '0', '34127', '32341', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9995', 'Undead Elmore Soldier', '2', '45216', '0', '34095', '32320', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9996', 'Undead Elmore Soldier', '0', '45216', '0', '34114', '32290', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9997', 'Undead Elmore Soldier', '2', '45216', '0', '34143', '32337', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9998', 'Undead Elmore Soldier', '0', '45216', '0', '34138', '32370', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9999', 'Undead Elmore Soldier', '2', '45216', '0', '34180', '32373', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10000', 'Undead Elmore Soldier', '0', '45216', '0', '34167', '32341', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10001', 'Undead Elmore Soldier', '2', '45216', '0', '34164', '32306', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10002', 'Undead Elmore Soldier', '0', '45216', '0', '34061', '32464', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10003', 'Undead Elmore Soldier', '2', '45216', '0', '34083', '32479', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10004', 'Undead Elmore Soldier', '0', '45216', '0', '34090', '32486', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10005', 'Undead Elmore Soldier', '2', '45216', '0', '34100', '32458', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10006', 'Undead Elmore Soldier', '0', '45216', '0', '34102', '32427', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10007', 'Undead Elmore Soldier', '2', '45216', '0', '34064', '32394', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10008', 'Undead Elmore Soldier', '0', '45216', '0', '34108', '32394', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10009', 'Undead Elmore Soldier', '2', '45216', '0', '34102', '32444', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10010', 'High Lizardman', '0', '45217', '0', '32692', '3293', '3', '14', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10011', 'High Lizardman', '2', '45217', '0', '32792', '32748', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10012', 'High Lizardman', '0', '45217', '0', '32803', '32746', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10013', 'High Lizardman', '2', '45217', '0', '32798', '32773', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10014', 'High Lizardman', '0', '45217', '0', '32785', '32764', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10015', 'High Lizardman', '2', '45217', '0', '32771', '32778', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10016', 'High Lizardman', '0', '45217', '0', '32761', '32790', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10017', 'High Lizardman', '2', '45217', '0', '32738', '32801', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10018', 'High Lizardman', '0', '45217', '0', '32732', '32793', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10019', 'High Lizardman', '2', '45217', '0', '32725', '32784', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10020', 'High Lizardman', '0', '45217', '0', '32701', '32773', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10021', 'High Lizardman', '2', '45217', '0', '32705', '32808', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10022', 'High Lizardman', '0', '45217', '0', '32687', '32813', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10023', 'High Lizardman', '2', '45217', '0', '32692', '32798', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10024', 'High Lizardman', '0', '45217', '0', '32673', '32779', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10025', 'High Lizardman', '2', '45217', '0', '32668', '32765', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10026', 'High Lizardman', '0', '45217', '0', '32704', '32757', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10027', 'High Lizardman', '2', '45217', '0', '32710', '32782', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10028', 'High Lizardman', '0', '45217', '0', '32768', '32825', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10029', 'High Lizardman', '2', '45217', '0', '32762', '32835', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10030', 'High Lizardman', '0', '45217', '0', '32763', '32852', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10031', 'High Lizardman', '2', '45217', '0', '32769', '32859', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10032', 'High Lizardman', '0', '45217', '0', '32762', '32850', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10033', 'High Lizardman', '2', '45217', '0', '32713', '32864', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10034', 'High Lizardman', '0', '45217', '0', '32669', '32866', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10035', 'High Lizardman', '2', '45217', '0', '32715', '32863', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10036', 'High Lizardman', '0', '45217', '0', '32842', '32730', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10037', 'High Lizardman', '2', '45217', '0', '32825', '32746', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10038', 'High Lizardman', '0', '45217', '0', '32826', '32757', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10039', 'High Lizardman', '2', '45217', '0', '32854', '32758', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10040', 'High Lizardman', '0', '45217', '0', '32838', '32763', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10041', 'High Lizardman', '2', '45217', '0', '32818', '32773', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10042', 'High Lizardman', '0', '45217', '0', '32759', '32774', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10043', 'High Lizardman', '2', '45217', '0', '32760', '32793', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10044', 'High Lizardman', '0', '45217', '0', '32763', '32766', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10045', 'High Lizardman', '2', '45217', '0', '32737', '32848', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10046', 'High Lizardman', '0', '45217', '0', '32734', '32860', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10047', 'High Lizardman', '2', '45217', '0', '32826', '32817', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10048', 'High Lizardman', '0', '45217', '0', '32682', '32871', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10049', 'High Lizardman', '2', '45217', '0', '32685', '32891', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10050', 'High Lizardman', '0', '45217', '0', '32662', '32906', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10051', 'High Lizardman', '2', '45217', '0', '32655', '32897', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10052', 'High Lizardman', '0', '45217', '0', '32675', '32910', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10053', 'High Lizardman', '2', '45217', '0', '32680', '32926', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10054', 'High Lizardman', '0', '45217', '0', '32674', '32940', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10055', 'High Lizardman', '2', '45217', '0', '32670', '32956', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10056', 'High Lizardman', '0', '45217', '0', '32684', '32970', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10057', 'High Lizardman', '2', '45217', '0', '32672', '32982', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10058', 'High Lizardman', '0', '45217', '0', '32685', '33004', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10059', 'High Lizardman', '2', '45217', '0', '32680', '33019', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10060', 'High Lizardman', '0', '45217', '0', '32691', '33042', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10061', 'High Lizardman', '2', '45217', '0', '32693', '33047', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10062', 'High Lizardman', '0', '45217', '0', '32683', '33059', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10063', 'High Lizardman', '2', '45217', '0', '32680', '33074', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10064', 'High Lizardman', '0', '45217', '0', '32671', '33106', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10065', 'High Lizardman', '2', '45217', '0', '32676', '33119', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10066', 'High Lizardman', '0', '45217', '0', '32655', '33115', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10067', 'High Lizardman', '2', '45217', '0', '32636', '33091', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10068', 'High Lizardman', '0', '45217', '0', '32620', '33096', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10069', 'High Lizardman', '2', '45217', '0', '32618', '33112', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10070', 'High Lizardman', '0', '45217', '0', '32612', '33136', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10071', 'High Lizardman', '2', '45217', '0', '32601', '33145', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10072', 'High Lizardman', '0', '45217', '0', '32588', '33139', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10073', 'High Lizardman', '2', '45217', '0', '32584', '33151', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10074', 'High Lizardman', '0', '45217', '0', '32596', '33164', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10075', 'High Lizardman', '2', '45217', '0', '32603', '33176', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10076', 'High Lizardman', '0', '45217', '0', '32619', '33189', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10077', 'High Lizardman', '2', '45217', '0', '32620', '33195', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10078', 'High Lizardman', '0', '45217', '0', '32641', '33180', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10079', 'Dire Bat', '2', '45219', '0', '32932', '32805', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10080', 'Dire Bat', '0', '45219', '0', '32931', '32787', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10081', 'Dire Bat', '2', '45219', '0', '32947', '32789', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10082', 'Dire Bat', '0', '45219', '0', '32940', '32811', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10083', 'Dire Bat', '2', '45219', '0', '32950', '32834', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10084', 'Dire Bat', '0', '45219', '0', '32962', '32832', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10085', 'Dire Bat', '2', '45219', '0', '32952', '32836', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10086', 'Dire Bat', '0', '45219', '0', '32968', '32798', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10087', 'Dire Bat', '2', '45219', '0', '32977', '32791', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10088', 'Dire Bat', '0', '45219', '0', '32991', '32767', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10089', 'Dire Bat', '2', '45219', '0', '32979', '32763', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10090', 'Dire Bat', '0', '45219', '0', '32966', '32768', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10091', 'Dire Bat', '2', '45219', '0', '32964', '32715', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10092', 'Dire Bat', '0', '45219', '0', '32952', '32708', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10093', 'Dire Bat', '2', '45219', '0', '32961', '32694', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10094', 'Dire Bat', '0', '45219', '0', '32977', '32698', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10095', 'Dire Bat', '2', '45219', '0', '32964', '32664', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10096', 'Dire Bat', '0', '45219', '0', '32973', '32648', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10097', 'Dire Bat', '2', '45219', '0', '32976', '32629', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10098', 'Dire Bat', '0', '45219', '0', '32960', '32632', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10099', 'Dire Bat', '2', '45219', '0', '32942', '32643', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10100', 'Dire Bat', '0', '45219', '0', '32920', '32652', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10101', 'Dire Bat', '2', '45219', '0', '32961', '32629', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10102', 'Dire Bat', '0', '45219', '0', '32965', '32658', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10103', 'Dire Bat', '2', '45219', '0', '32770', '32744', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10104', 'Dire Bat', '0', '45219', '0', '32783', '32746', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10105', 'Dire Bat', '2', '45219', '0', '32787', '32738', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10106', 'Dire Bat', '0', '45219', '0', '32795', '32749', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10107', 'Dire Bat', '2', '45219', '0', '32771', '32746', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10108', 'Dire Bat', '0', '45219', '0', '32749', '32757', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10109', 'Dire Bat', '2', '45219', '0', '32744', '32762', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10110', 'Dire Bat', '0', '45219', '0', '32714', '32781', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10111', 'Dire Bat', '2', '45219', '0', '32631', '32787', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10112', 'Dire Bat', '0', '45219', '0', '32642', '32790', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10113', 'Dire Bat', '2', '45219', '0', '32574', '32800', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10114', 'Dire Bat', '0', '45219', '0', '32568', '32805', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10115', 'Dire Bat', '2', '45219', '0', '32555', '32798', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10116', 'Dire Bat', '0', '45219', '0', '32540', '32803', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10117', 'Dire Bat', '2', '45219', '0', '32639', '32760', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10118', 'Dire Bat', '0', '45219', '0', '32640', '32745', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10119', 'Dire Bat', '2', '45219', '0', '32632', '32725', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10120', 'Dire Bat', '0', '45219', '0', '32619', '32723', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10121', 'Dire Bat', '2', '45219', '0', '32608', '32724', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10122', 'Dire Bat', '0', '45219', '0', '32592', '32726', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10123', 'Dire Bat', '2', '45219', '0', '32570', '32737', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10124', 'Dire Bat', '0', '45219', '0', '32562', '32698', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10125', 'Dire Bat', '2', '45219', '0', '32578', '32643', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10126', 'Dire Bat', '0', '45219', '0', '32571', '32628', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10127', 'Dire Bat', '2', '45219', '0', '32588', '32633', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10128', 'Dire Bat', '0', '45219', '0', '32599', '32639', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10129', 'Dire Bat', '2', '45219', '0', '32618', '32627', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10130', 'Dire Bat', '0', '45219', '0', '32666', '32639', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10131', 'Dire Bat', '2', '45219', '0', '32679', '32638', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10132', 'Dire Bat', '0', '45219', '0', '32693', '32639', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10133', 'Dire Bat', '2', '45219', '0', '32638', '32658', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10134', 'Dire Bat', '0', '45219', '0', '32632', '32679', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10135', 'Dire Bat', '2', '45219', '0', '32637', '32730', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10136', 'Dire Bat', '0', '45219', '0', '32646', '32727', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10137', 'Dire Bat', '2', '45219', '0', '32657', '32733', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10138', 'Dire Bat', '0', '45219', '0', '32718', '32743', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10139', 'Dire Bat', '2', '45219', '0', '32706', '32761', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10140', 'Dire Bat', '0', '45219', '0', '32709', '32780', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10220', 'Ramia', '0', '45222', '0', '33540', '33319', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10221', 'Ramia', '2', '45222', '0', '33520', '33307', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10222', 'Ramia', '0', '45222', '0', '33496', '33332', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10223', 'Ramia', '2', '45222', '0', '33508', '33307', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10224', 'Ramia', '0', '45222', '0', '33522', '33283', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10225', 'Ramia', '2', '45222', '0', '33483', '33265', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10226', 'Ramia', '0', '45222', '0', '33400', '33286', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10227', 'Ramia', '2', '45222', '0', '33428', '33333', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10228', 'Ramia', '0', '45222', '0', '33462', '33330', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10229', 'Ramia', '2', '45222', '0', '33437', '33285', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10230', 'Ramia', '0', '45222', '0', '33390', '33319', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10231', 'Ramia', '2', '45222', '0', '33391', '33369', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10232', 'Ramia', '0', '45222', '0', '33348', '33407', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10233', 'Ramia', '2', '45222', '0', '33367', '33450', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10234', 'Ramia', '0', '45222', '0', '33322', '33416', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10235', 'Ramia', '2', '45222', '0', '33337', '33378', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10236', 'Ramia', '0', '45222', '0', '33342', '33347', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10237', 'Ramia', '2', '45222', '0', '33395', '33335', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10238', 'Ramia', '0', '45222', '0', '33426', '33361', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10239', 'Ramia', '2', '45222', '0', '33434', '33383', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10240', 'Ramia', '0', '45222', '0', '33467', '33455', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10241', 'Ramia', '2', '45222', '0', '33451', '33383', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10242', 'Ramia', '0', '45222', '0', '33448', '33329', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10243', 'Ramia', '2', '45222', '0', '33385', '33305', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10244', 'Ramia', '0', '45222', '0', '33338', '33265', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10245', 'Ramia', '2', '45222', '0', '33305', '33269', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10246', 'Ramia', '0', '45222', '0', '33274', '33262', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10247', 'Ramia', '2', '45222', '0', '33293', '33336', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10248', 'Ramia', '0', '45222', '0', '33303', '33378', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10249', 'Ramia', '2', '45222', '0', '33318', '33324', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10250', 'Ramia', '0', '45222', '0', '33367', '33283', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10251', 'Ramia', '2', '45222', '0', '33385', '33230', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10252', 'Ramia', '0', '45222', '0', '33407', '33184', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10253', 'Ramia', '2', '45222', '0', '33448', '33237', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10254', 'Ramia', '0', '45222', '0', '33387', '33242', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10255', 'Ramia', '2', '45222', '0', '33323', '33210', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10256', 'Ramia', '0', '45222', '0', '33317', '33143', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10257', 'Ramia', '2', '45222', '0', '33315', '33188', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10258', 'Ramia', '0', '45222', '0', '33359', '33221', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10259', 'Ramia', '2', '45222', '0', '33319', '33175', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10260', 'Ramia', '0', '45222', '0', '33375', '33155', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10261', 'Ramia', '2', '45222', '0', '33366', '33319', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10262', 'Ramia', '0', '45222', '0', '33401', '33259', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10263', 'Ramia', '2', '45222', '0', '33393', '33212', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10264', 'Ramia', '0', '45222', '0', '33294', '33199', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10265', 'Ramia', '2', '45222', '0', '33424', '33265', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10266', 'Ramia', '0', '45222', '0', '33543', '33177', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10267', 'Ramia', '2', '45222', '0', '33513', '33153', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10268', 'Ramia', '0', '45222', '0', '33467', '33158', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10269', 'Ramia', '2', '45222', '0', '33458', '33151', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10270', 'Ramia', '0', '45222', '0', '33469', '33131', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10271', 'Ramia', '2', '45222', '0', '33406', '33119', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10272', 'Ramia', '0', '45222', '0', '33444', '33152', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10273', 'Ramia', '2', '45222', '0', '33492', '33108', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10274', 'Ramia', '0', '45222', '0', '33524', '33091', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10275', 'Ramia', '2', '45222', '0', '33560', '33133', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10276', 'Ramia', '0', '45222', '0', '33581', '33130', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10277', 'Ramia', '2', '45222', '0', '33559', '33103', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10278', 'Ramia', '0', '45222', '0', '33506', '33123', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10327', 'Ramia', '2', '45222', '0', '33998', '32761', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10328', 'Ramia', '0', '45222', '0', '34010', '32761', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10329', 'Ramia', '2', '45222', '0', '33992', '32782', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10330', 'Ramia', '0', '45222', '0', '33971', '32786', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10331', 'Ramia', '2', '45222', '0', '33959', '32775', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10332', 'Ramia', '0', '45222', '0', '33966', '32756', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10333', 'Ramia', '2', '45222', '0', '33942', '32755', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10334', 'Ramia', '0', '45222', '0', '32928', '32748', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10335', 'Ramia', '2', '45222', '0', '33908', '32737', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10336', 'Ramia', '0', '45222', '0', '33905', '32754', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10337', 'Ramia', '2', '45222', '0', '33925', '32763', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10338', 'Ramia', '0', '45222', '0', '33922', '32777', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10339', 'Ramia', '2', '45222', '0', '33898', '32770', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10340', 'Ramia', '0', '45222', '0', '33916', '32794', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10341', 'Ramia', '2', '45222', '0', '33951', '32801', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10342', 'Ramia', '0', '45222', '0', '33977', '32800', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10343', 'Ramia', '2', '45222', '0', '33989', '32817', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10344', 'Ramia', '0', '45222', '0', '33279', '33424', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10345', 'Ramia', '2', '45222', '0', '33257', '33422', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10346', 'Ramia', '0', '45222', '0', '33259', '33403', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10347', 'Ramia', '2', '45222', '0', '33275', '33405', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10348', 'Ramia', '0', '45222', '0', '33257', '33388', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10349', 'Ramia', '2', '45222', '0', '33248', '33394', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10350', 'Ramia', '0', '45222', '0', '33254', '33375', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10351', 'Ramia', '2', '45222', '0', '33264', '33379', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10352', 'Ramia', '0', '45222', '0', '33247', '33348', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10353', 'Ramia', '2', '45222', '0', '33226', '33339', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10354', 'Ramia', '0', '45222', '0', '33241', '33330', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10355', 'Ramia', '2', '45222', '0', '33233', '33315', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10356', 'Ramia', '0', '45222', '0', '33216', '33303', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10357', 'Ramia', '2', '45222', '0', '33233', '33298', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10358', 'Ramia', '0', '45222', '0', '33225', '33274', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10359', 'Ramia', '2', '45222', '0', '33217', '33269', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10360', 'Ramia', '0', '45222', '0', '33203', '33287', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10361', 'Ramia', '2', '45222', '0', '33232', '33262', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10362', 'Ramia', '0', '45222', '0', '33241', '33239', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10363', 'Ramia', '2', '45222', '0', '33221', '33227', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10364', 'Ramia', '0', '45222', '0', '33217', '33254', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10365', 'Ramia', '2', '45222', '0', '33228', '33243', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10366', 'Ramia', '0', '45222', '0', '33253', '33224', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10367', 'Ramia', '2', '45222', '0', '33232', '33211', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10368', 'Ramia', '0', '45222', '0', '33220', '33194', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10369', 'Ramia', '2', '45222', '0', '33233', '33185', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10370', 'Ramia', '0', '45222', '0', '33239', '33170', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10371', 'Ramia', '2', '45222', '0', '33219', '33154', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10372', 'Ramia', '0', '45222', '0', '33210', '33162', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10373', 'Ramia', '2', '45222', '0', '33214', '33185', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10374', 'Ramia', '0', '45222', '0', '33216', '33144', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10375', 'Ramia', '2', '45222', '0', '33194', '33164', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10376', 'Ramia', '0', '45222', '0', '33208', '33171', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10377', 'Ramia', '2', '45222', '0', '33218', '33187', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10382', 'Bugbear', '0', '45223', '0', '32898', '32657', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10383', 'Bugbear', '2', '45223', '0', '32899', '32644', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10384', 'Bugbear', '0', '45223', '0', '32888', '32639', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10385', 'Bugbear', '2', '45223', '0', '32886', '32624', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10386', 'Bugbear', '0', '45223', '0', '32872', '32632', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10387', 'Bugbear', '2', '45223', '0', '32884', '32614', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10388', 'Bugbear', '0', '45223', '0', '32872', '32659', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10389', 'Bugbear', '2', '45223', '0', '32890', '32672', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10390', 'Bugbear', '0', '45223', '0', '32903', '32678', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10391', 'Bugbear', '2', '45223', '0', '32884', '32687', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10392', 'Bugbear', '0', '45223', '0', '32910', '32622', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10393', 'Bugbear', '2', '45223', '0', '32912', '32641', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10394', 'Bugbear', '0', '45223', '0', '32928', '32650', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10395', 'Bugbear', '2', '45223', '0', '32920', '32679', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10396', 'Bugbear', '0', '45223', '0', '32909', '32701', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10397', 'Bugbear', '2', '45223', '0', '32865', '32624', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10398', 'Bugbear', '0', '45223', '0', '32867', '32644', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10399', 'Bugbear', '2', '45223', '0', '32856', '32667', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10400', 'Bugbear', '0', '45223', '0', '32860', '32686', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10401', 'Bugbear', '2', '45223', '0', '32866', '32710', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10402', 'Bugbear', '0', '45223', '0', '32891', '32716', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10403', 'Bugbear', '2', '45223', '0', '32905', '32708', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10404', 'Bugbear', '0', '45223', '0', '32920', '32715', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10809', 'Undead Elmore Wizard', '2', '45224', '0', '34047', '32340', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10810', 'Undead Elmore Wizard', '0', '45224', '0', '34019', '32387', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10811', 'Undead Elmore Wizard', '2', '45224', '0', '34090', '32386', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10812', 'Undead Elmore Wizard', '0', '45224', '0', '34112', '32420', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10813', 'Undead Elmore Wizard', '2', '45224', '0', '34119', '32466', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10814', 'Undead Elmore Wizard', '0', '45224', '0', '34103', '32484', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10815', 'Undead Elmore Wizard', '2', '45224', '0', '34102', '32536', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10816', 'Undead Elmore Wizard', '0', '45224', '0', '34059', '32579', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10817', 'Undead Elmore Wizard', '2', '45224', '0', '34026', '32561', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10818', 'Undead Elmore Wizard', '0', '45224', '0', '34019', '32550', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10819', 'Undead Elmore Wizard', '2', '45224', '0', '34002', '32516', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10820', 'Undead Elmore Wizard', '0', '45224', '0', '33981', '32476', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10821', 'Undead Elmore Wizard', '2', '45224', '0', '33993', '32444', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10822', 'Undead Elmore Wizard', '0', '45224', '0', '33992', '32419', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10823', 'Undead Elmore Wizard', '2', '45224', '0', '34046', '32427', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10824', 'Undead Elmore Wizard', '0', '45224', '0', '34070', '32450', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10825', 'Undead Elmore Wizard', '2', '45224', '0', '34091', '32471', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10826', 'Undead Elmore Wizard', '0', '45224', '0', '34098', '32477', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10827', 'Undead Elmore Wizard', '2', '45224', '0', '34058', '32494', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10828', 'Undead Elmore Wizard', '0', '45224', '0', '34012', '32453', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10829', 'Undead Elmore Wizard', '2', '45224', '0', '34036', '32487', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10830', 'Undead Elmore Wizard', '0', '45224', '0', '34030', '32527', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10831', 'Undead Elmore Wizard', '2', '45224', '0', '34025', '32552', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10832', 'Undead Elmore Wizard', '0', '45224', '0', '34045', '32565', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10833', 'Undead Elmore Wizard', '2', '45224', '0', '34160', '32524', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10834', 'Undead Elmore Wizard', '0', '45224', '0', '34151', '32499', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10835', 'Undead Elmore Wizard', '2', '45224', '0', '34096', '32395', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10836', 'Undead Elmore Wizard', '0', '45224', '0', '33939', '32437', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10837', 'Undead Elmore Wizard', '2', '45224', '0', '33970', '32483', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10838', 'Undead Elmore Wizard', '0', '45224', '0', '33982', '32454', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10839', 'Undead Elmore Wizard', '2', '45224', '0', '33965', '32505', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10840', 'Undead Elmore Wizard', '0', '45224', '0', '33934', '32469', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10841', 'Undead Elmore Wizard', '2', '45224', '0', '34061', '32533', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10842', 'Undead Elmore Wizard', '0', '45224', '0', '34124', '32557', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10843', 'Undead Elmore Wizard', '2', '45224', '0', '34153', '32484', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10844', 'Undead Elmore Wizard', '0', '45224', '0', '34091', '32425', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10845', 'Undead Elmore Wizard', '2', '45224', '0', '34106', '32359', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10846', 'Undead Elmore Wizard', '0', '45224', '0', '34124', '32386', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10847', 'Undead Elmore Wizard', '2', '45224', '0', '34155', '32414', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10848', 'Undead Elmore Wizard', '0', '45224', '0', '34197', '32441', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10849', 'Undead Elmore Wizard', '2', '45224', '0', '34171', '32444', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10850', 'Undead Elmore Wizard', '0', '45224', '0', '34119', '32398', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10851', 'Undead Elmore Wizard', '2', '45224', '0', '34110', '32317', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10852', 'Undead Elmore Wizard', '0', '45224', '0', '34120', '32299', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10853', 'Undead Elmore Wizard', '2', '45224', '0', '34111', '32274', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10854', 'Undead Elmore Wizard', '0', '45224', '0', '34149', '32359', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10855', 'Undead Elmore Wizard', '2', '45224', '0', '34166', '32367', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10856', 'Undead Elmore Wizard', '0', '45224', '0', '34179', '32345', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10857', 'Undead Elmore Wizard', '2', '45224', '0', '34158', '32321', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10858', 'Undead Elmore Wizard', '0', '45224', '0', '34135', '32289', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10859', 'Undead Elmore Wizard', '2', '45224', '0', '34122', '32314', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10860', 'Undead Elmore Wizard', '0', '45224', '0', '34143', '32303', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10861', 'Undead Elmore Wizard', '2', '45224', '0', '34148', '32276', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10862', 'Undead Elmore Wizard', '0', '45224', '0', '34144', '32261', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10881', 'Dire Wolf', '2', '45237', '0', '32930', '32749', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10882', 'Dire Wolf', '0', '45237', '0', '32936', '32756', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10883', 'Dire Wolf', '2', '45237', '0', '32914', '32743', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10884', 'Dire Wolf', '0', '45237', '0', '32913', '32737', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10885', 'Dire Wolf', '2', '45237', '0', '32928', '32741', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11324', 'Dark Elf Hunter', '0', '45238', '0', '32743', '32864', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11325', 'Dark Elf Hunter', '2', '45238', '0', '32746', '32881', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11326', 'Dark Elf Hunter', '0', '45238', '0', '32781', '32888', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11327', 'Dark Elf Hunter', '2', '45238', '0', '32786', '32897', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11328', 'Dark Elf Hunter', '0', '45238', '0', '32787', '32918', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11329', 'Dark Elf Hunter', '2', '45238', '0', '32874', '32869', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11330', 'Dark Elf Hunter', '0', '45238', '0', '32872', '32881', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11331', 'Dark Elf Hunter', '2', '45238', '0', '32882', '32918', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11332', 'Dark Elf Hunter', '0', '45238', '0', '32877', '32931', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11333', 'Dark Elf Hunter', '2', '45238', '0', '32897', '32923', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11334', 'Dark Elf Hunter', '0', '45238', '0', '32907', '32844', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11335', 'Dark Elf Hunter', '2', '45238', '0', '32918', '32834', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11336', 'Dark Elf Hunter', '0', '45238', '0', '32987', '32805', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11337', 'Dark Elf Hunter', '2', '45238', '0', '32992', '32803', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11338', 'Dark Elf Hunter', '0', '45238', '0', '32976', '32857', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11339', 'Dark Elf Hunter', '2', '45238', '0', '32978', '32867', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11340', 'Dark Elf Hunter', '0', '45238', '0', '32992', '32902', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11341', 'Dark Elf Hunter', '2', '45238', '0', '32993', '32881', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11342', 'Dark Elf Hunter', '0', '45238', '0', '32992', '32868', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11343', 'Blue Tail', '2', '45239', '0', '32401', '3313', '3', '14', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11344', 'Blue Tail', '0', '45239', '0', '32382', '3313', '3', '14', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11345', 'Blue Tail', '2', '45239', '0', '32360', '33077', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11346', 'Blue Tail', '0', '45239', '0', '32343', '33055', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11347', 'Blue Tail', '2', '45239', '0', '32354', '33061', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11348', 'Blue Tail', '0', '45239', '0', '32313', '33067', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11349', 'Blue Tail', '2', '45239', '0', '32305', '33064', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11350', 'Blue Tail', '0', '45239', '0', '32316', '33066', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11351', 'Blue Tail', '2', '45239', '0', '32292', '33053', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11352', 'Blue Tail', '0', '45239', '0', '32363', '33074', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11353', 'Blue Tail', '2', '45239', '0', '32355', '33099', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11354', 'Blue Tail', '0', '45239', '0', '32345', '33107', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11355', 'Blue Tail', '2', '45239', '0', '32365', '33118', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11356', 'Blue Tail', '0', '45239', '0', '32394', '33103', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11357', 'Blue Tail', '2', '45239', '0', '32408', '33122', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11358', 'Blue Tail', '0', '45239', '0', '32421', '33112', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11359', 'Blue Tail', '2', '45239', '0', '32415', '33126', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11360', 'Blue Tail', '0', '45239', '0', '32412', '33136', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11361', 'Blue Tail', '2', '45239', '0', '32400', '33136', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11362', 'Blue Tail', '0', '45239', '0', '32398', '33120', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11363', 'Blue Tail', '2', '45239', '0', '32395', '33110', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11364', 'Blue Tail', '0', '45239', '0', '32435', '33108', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11365', 'Blue Tail', '2', '45239', '0', '32455', '33101', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11366', 'Blue Tail', '0', '45239', '0', '32482', '33107', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11367', 'Blue Tail', '2', '45239', '0', '32492', '33133', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11368', 'Blue Tail', '0', '45239', '0', '32495', '33146', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11369', 'Blue Tail', '2', '45239', '0', '32517', '33137', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11370', 'Blue Tail', '0', '45239', '0', '32539', '33133', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11371', 'Blue Tail', '2', '45239', '0', '32554', '33115', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11372', 'Blue Tail', '0', '45239', '0', '32566', '33121', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11373', 'Blue Tail', '2', '45239', '0', '32579', '33115', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11374', 'Blue Tail', '0', '45239', '0', '32580', '33093', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11375', 'Blue Tail', '2', '45239', '0', '32599', '33094', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11376', 'Blue Tail', '0', '45239', '0', '32614', '33105', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11377', 'Blue Tail', '2', '45239', '0', '32635', '33087', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11378', 'Blue Tail', '0', '45239', '0', '32652', '33081', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11379', 'Blue Tail', '2', '45239', '0', '32670', '33080', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11380', 'Blue Tail', '0', '45239', '0', '32689', '33081', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11381', 'Blue Tail', '2', '45239', '0', '32678', '33110', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11382', 'Blue Tail', '0', '45239', '0', '32674', '33121', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11383', 'Blue Tail', '2', '45239', '0', '32639', '33122', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11384', 'Blue Tail', '0', '45239', '0', '32625', '33127', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11385', 'Blue Tail', '2', '45239', '0', '32620', '33149', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11386', 'Blue Tail', '0', '45239', '0', '32635', '33166', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11387', 'Blue Tail', '2', '45239', '0', '32621', '33192', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11388', 'Blue Tail', '0', '45239', '0', '32603', '33177', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11389', 'Blue Tail', '2', '45239', '0', '32597', '33151', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11390', 'Blue Tail', '0', '45239', '0', '32577', '33159', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11391', 'Blue Tail', '2', '45239', '0', '32551', '33163', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11392', 'Blue Tail', '0', '45239', '0', '32541', '33150', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11393', 'Blue Tail', '2', '45239', '0', '32523', '33168', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11394', 'Blue Tail', '0', '45239', '0', '32511', '33168', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11395', 'Blue Tail', '2', '45239', '0', '32510', '33183', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11396', 'Blue Tail', '0', '45239', '0', '32521', '33188', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11397', 'Blue Tail', '2', '45239', '0', '32492', '33186', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11398', 'Blue Tail', '0', '45239', '0', '32478', '33187', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11399', 'Blue Tail', '2', '45239', '0', '32467', '33177', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11400', 'Blue Tail', '0', '45239', '0', '32457', '33150', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11401', 'Blue Tail', '2', '45239', '0', '32473', '33140', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11402', 'Blue Tail', '0', '45239', '0', '32455', '33116', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11403', 'Blue Tail', '2', '45239', '0', '32434', '33108', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11404', 'Blue Tail', '0', '45239', '0', '32373', '33169', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11405', 'Blue Tail', '2', '45239', '0', '32361', '33186', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11406', 'Blue Tail', '0', '45239', '0', '32383', '33191', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11407', 'Blue Tail', '2', '45239', '0', '32395', '33198', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11408', 'Blue Tail', '0', '45239', '0', '32330', '33150', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11409', 'Blue Tail', '2', '45239', '0', '32320', '33146', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11410', 'Blue Tail', '0', '45239', '0', '32339', '33125', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11411', 'Blue Tail', '2', '45239', '0', '32362', '33115', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11412', 'Turtle Dragon', '0', '45262', '0', '33523', '33298', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11413', 'Turtle Dragon', '2', '45262', '0', '33448', '33261', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11414', 'Turtle Dragon', '0', '45262', '0', '33426', '33325', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11415', 'Turtle Dragon', '2', '45262', '0', '33469', '33320', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11416', 'Turtle Dragon', '0', '45262', '0', '33428', '33287', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11417', 'Turtle Dragon', '2', '45262', '0', '33395', '33360', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11418', 'Turtle Dragon', '0', '45262', '0', '33344', '33399', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11419', 'Turtle Dragon', '2', '45262', '0', '33345', '33445', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11420', 'Turtle Dragon', '0', '45262', '0', '33334', '33352', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11421', 'Turtle Dragon', '2', '45262', '0', '33379', '33337', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11422', 'Turtle Dragon', '0', '45262', '0', '33429', '33353', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11423', 'Turtle Dragon', '2', '45262', '0', '33447', '33401', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11424', 'Turtle Dragon', '0', '45262', '0', '33449', '33440', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11425', 'Turtle Dragon', '2', '45262', '0', '33326', '33268', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11426', 'Turtle Dragon', '0', '45262', '0', '33283', '33310', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11427', 'Turtle Dragon', '2', '45262', '0', '33303', '33366', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11428', 'Turtle Dragon', '0', '45262', '0', '33325', '33311', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11429', 'Turtle Dragon', '2', '45262', '0', '33375', '33276', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11430', 'Turtle Dragon', '0', '45262', '0', '33397', '33187', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11431', 'Turtle Dragon', '2', '45262', '0', '33444', '33229', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11432', 'Turtle Dragon', '0', '45262', '0', '33357', '33227', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11433', 'Turtle Dragon', '2', '45262', '0', '33312', '33177', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11434', 'Turtle Dragon', '0', '45262', '0', '33342', '33213', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11435', 'Turtle Dragon', '2', '45262', '0', '33322', '33184', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11436', 'Turtle Dragon', '0', '45262', '0', '33379', '33137', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11437', 'Turtle Dragon', '2', '45262', '0', '33418', '33267', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11438', 'Turtle Dragon', '0', '45262', '0', '33425', '33223', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11439', 'Turtle Dragon', '2', '45262', '0', '33390', '33203', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11440', 'Turtle Dragon', '0', '45262', '0', '33288', '33174', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11441', 'Turtle Dragon', '2', '45262', '0', '33555', '33176', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11442', 'Turtle Dragon', '0', '45262', '0', '33525', '33153', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11443', 'Turtle Dragon', '2', '45262', '0', '33461', '33170', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11444', 'Turtle Dragon', '0', '45262', '0', '33466', '33141', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11445', 'Turtle Dragon', '2', '45262', '0', '33431', '33121', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11446', 'Turtle Dragon', '0', '45262', '0', '33422', '33143', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11447', 'Turtle Dragon', '2', '45262', '0', '33497', '33128', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11448', 'Turtle Dragon', '0', '45262', '0', '33511', '33086', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11449', 'Turtle Dragon', '2', '45262', '0', '33566', '33143', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11450', 'Turtle Dragon', '0', '45262', '0', '33526', '33107', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11475', 'Turtle Dragon', '2', '45262', '0', '33270', '33420', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11476', 'Turtle Dragon', '0', '45262', '0', '33269', '33399', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11477', 'Turtle Dragon', '2', '45262', '0', '33246', '33361', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11478', 'Turtle Dragon', '0', '45262', '0', '33236', '33347', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11479', 'Turtle Dragon', '2', '45262', '0', '33225', '33327', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11480', 'Turtle Dragon', '0', '45262', '0', '33224', '33287', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11481', 'Turtle Dragon', '2', '45262', '0', '33208', '33276', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11482', 'Turtle Dragon', '0', '45262', '0', '33231', '33249', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11483', 'Turtle Dragon', '2', '45262', '0', '33212', '33243', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11484', 'Turtle Dragon', '0', '45262', '0', '33252', '33216', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11485', 'Turtle Dragon', '2', '45262', '0', '33219', '33207', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11486', 'Turtle Dragon', '0', '45262', '0', '33235', '33160', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11487', 'Turtle Dragon', '2', '45262', '0', '33207', '33175', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11488', 'Turtle Dragon', '0', '45262', '0', '33205', '33145', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11841', 'Harpy', '2', '45264', '0', '33405', '32407', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11842', 'Harpy', '0', '45264', '0', '33385', '32406', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11843', 'Harpy', '2', '45264', '0', '33415', '32366', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11844', 'Harpy', '0', '45264', '0', '33429', '32356', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11845', 'Harpy', '2', '45264', '0', '33441', '32328', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11846', 'Harpy', '0', '45264', '0', '33356', '32282', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11847', 'Harpy', '2', '45264', '0', '33327', '32300', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11848', 'Harpy', '0', '45264', '0', '33324', '32331', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11849', 'Harpy', '2', '45264', '0', '33345', '32320', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11850', 'Harpy', '0', '45264', '0', '33377', '32309', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11851', 'Harpy', '2', '45264', '0', '33387', '32373', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11852', 'Harpy', '0', '45264', '0', '33359', '32384', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11853', 'Harpy', '2', '45264', '0', '33361', '32415', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11854', 'Harpy', '0', '45264', '0', '33314', '32360', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11855', 'Harpy', '2', '45264', '0', '33355', '32357', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11856', 'Harpy', '0', '45264', '0', '33366', '32322', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11857', 'Harpy', '2', '45264', '0', '32846', '33041', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11858', 'Harpy', '0', '45264', '0', '32905', '33103', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11859', 'Harpy', '2', '45264', '0', '32902', '33117', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11860', 'Harpy', '0', '45264', '0', '32969', '33115', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11861', 'Harpy', '2', '45264', '0', '33020', '33187', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11862', 'Harpy', '0', '45264', '0', '33005', '33229', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11863', 'Harpy', '2', '45264', '0', '32560', '33266', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11864', 'Harpy', '0', '45264', '0', '32558', '33323', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11865', 'Harpy', '2', '45264', '0', '32577', '33342', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11866', 'Harpy', '0', '45264', '0', '32609', '33327', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11867', 'Harpy', '2', '45264', '0', '32833', '33453', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11868', 'Harpy', '0', '45264', '0', '32784', '33490', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11869', 'Harpy', '2', '45264', '0', '32846', '33407', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11870', 'Harpy', '0', '45264', '0', '32910', '33485', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11919', 'Dark Elemental', '2', '45244', '0', '32658', '32801', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11920', 'Dark Elemental', '0', '45244', '0', '32646', '32793', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11921', 'Dark Elemental', '2', '45244', '0', '32638', '32785', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11922', 'Dark Elemental', '0', '45244', '0', '32634', '32789', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11923', 'Dark Elemental', '2', '45244', '0', '32615', '32786', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11924', 'Dark Elementalist', '0', '45245', '0', '32767', '32850', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11925', 'Dark Elementalist', '2', '45245', '0', '32796', '32822', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11926', 'Dillo', '0', '45246', '0', '32609', '32794', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11927', 'Dillo', '2', '45246', '0', '32619', '32790', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11928', 'Dillo', '0', '45246', '0', '32596', '32801', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11929', 'Dillo', '2', '45246', '0', '32583', '32797', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11930', 'Skeletal Pirate', '0', '45247', '0', '32810', '32754', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11931', 'Skeletal Pirate', '2', '45247', '0', '32824', '32763', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11932', 'Skeletal Pirate', '0', '45247', '0', '32849', '32753', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11933', 'Skeletal Pirate', '2', '45247', '0', '32864', '32742', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11934', 'Skeletal Pirate', '0', '45247', '0', '32853', '32762', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11935', 'Skeletal Pirate', '2', '45247', '0', '32777', '32750', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11936', 'Skeletal Pirate', '0', '45247', '0', '32786', '32733', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11937', 'Skeletal Pirate', '2', '45247', '0', '32764', '32767', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11938', 'Skeletal Pirate', '0', '45247', '0', '32746', '32749', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11939', 'Skeletal Pirate', '2', '45247', '0', '32745', '32736', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11940', 'Skeletal Pirate', '0', '45247', '0', '32824', '32767', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11941', 'Skeletal Pirate', '2', '45247', '0', '32739', '32760', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11942', 'Skeletal Pirate', '0', '45247', '0', '32760', '32804', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11943', 'Skeletal Pirate', '2', '45247', '0', '32735', '32860', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11944', 'Skeletal Pirate', '0', '45247', '0', '32775', '32829', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11945', 'Skeletal Pirate', '2', '45247', '0', '32798', '32829', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11946', 'Skeletal Pirate', '0', '45247', '0', '32806', '32835', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11947', 'Skeletal Pirate', '2', '45247', '0', '32818', '32818', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11948', 'Skeletal Pirate', '0', '45247', '0', '32828', '32826', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11949', 'Skeletal Pirate', '2', '45247', '0', '32837', '32831', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11950', 'Skeletal Pirate', '0', '45247', '0', '32850', '32842', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11951', 'Skeletal Pirate', '2', '45247', '0', '32858', '32835', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11952', 'Skeletal Pirate', '0', '45247', '0', '32869', '32795', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11953', 'Skeletal Pirate', '2', '45247', '0', '32865', '32815', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11954', 'Skeletal Pirate', '0', '45247', '0', '32856', '32806', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11955', 'Skeletal Pirate', '2', '45247', '0', '32867', '32798', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11956', 'Skeletal Pirate', '0', '45247', '0', '32824', '32795', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11957', 'Skeletal Pirate', '2', '45247', '0', '32830', '32774', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11958', 'Skeletal Pirate', '0', '45247', '0', '32852', '32729', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11959', 'Skeletal Pirate', '2', '45247', '0', '32830', '32758', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11960', 'Skeletal Pirate', '0', '45247', '0', '32856', '32749', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11961', 'Skeletal Pirate', '2', '45247', '0', '32809', '32767', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11962', 'Skeletal Pirate', '0', '45247', '0', '32804', '32765', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11963', 'Skeletal Pirate', '2', '45247', '0', '32808', '32765', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11964', 'Skeletal Pirate', '0', '45247', '0', '32823', '32798', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11965', 'Skeletal Pirate', '2', '45247', '0', '32653', '33186', '6', '6', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11966', 'Skeletal Pirate', '0', '45247', '0', '32683', '33175', '6', '6', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11967', 'Skeletal Pirate', '2', '45247', '0', '32856', '32843', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11968', 'Skeletal Pirate', '0', '45247', '0', '32850', '32833', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11969', 'Skeletal Pirate', '2', '45247', '0', '32840', '32832', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11970', 'Undead Elmore General', '0', '45248', '0', '34060', '32355', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11971', 'Undead Elmore General', '2', '45248', '0', '34019', '32389', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11972', 'Undead Elmore General', '0', '45248', '0', '34036', '32397', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11973', 'Undead Elmore General', '2', '45248', '0', '34092', '32393', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11974', 'Undead Elmore General', '0', '45248', '0', '34121', '32420', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11975', 'Undead Elmore General', '2', '45248', '0', '34108', '32448', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11976', 'Undead Elmore General', '0', '45248', '0', '34132', '32459', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11977', 'Undead Elmore General', '2', '45248', '0', '34096', '32525', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11978', 'Undead Elmore General', '0', '45248', '0', '34056', '32565', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11979', 'Undead Elmore General', '2', '45248', '0', '34011', '32559', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11980', 'Undead Elmore General', '0', '45248', '0', '33991', '32541', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11981', 'Undead Elmore General', '2', '45248', '0', '34005', '32504', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11982', 'Undead Elmore General', '0', '45248', '0', '33977', '32465', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11983', 'Undead Elmore General', '2', '45248', '0', '34006', '32389', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11984', 'Undead Elmore General', '0', '45248', '0', '34084', '32465', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11985', 'Undead Elmore General', '2', '45248', '0', '34083', '32515', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11986', 'Undead Elmore General', '0', '45248', '0', '34068', '32500', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11987', 'Undead Elmore General', '2', '45248', '0', '34020', '32460', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11988', 'Undead Elmore General', '0', '45248', '0', '33997', '32440', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11989', 'Undead Elmore General', '2', '45248', '0', '34026', '32481', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11990', 'Undead Elmore General', '0', '45248', '0', '34014', '32542', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11991', 'Undead Elmore General', '2', '45248', '0', '34142', '32621', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11992', 'Undead Elmore General', '0', '45248', '0', '34113', '32518', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11993', 'Undead Elmore General', '2', '45248', '0', '33966', '32436', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11994', 'Undead Elmore General', '0', '45248', '0', '33945', '32470', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11995', 'Undead Elmore General', '2', '45248', '0', '33975', '32464', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11996', 'Undead Elmore General', '0', '45248', '0', '33948', '32504', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11997', 'Undead Elmore General', '2', '45248', '0', '33920', '32467', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11998', 'Undead Elmore General', '0', '45248', '0', '34015', '32513', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11999', 'Undead Elmore General', '2', '45248', '0', '34057', '32512', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12000', 'Undead Elmore General', '0', '45248', '0', '34092', '32581', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12001', 'Undead Elmore General', '2', '45248', '0', '34145', '32524', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12002', 'Undead Elmore General', '0', '45248', '0', '34127', '32475', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12003', 'Undead Elmore General', '2', '45248', '0', '34094', '32368', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12004', 'Undead Elmore General', '0', '45248', '0', '34115', '32376', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12005', 'Undead Elmore General', '2', '45248', '0', '34146', '32398', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12006', 'Undead Elmore General', '0', '45248', '0', '34187', '32428', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12007', 'Undead Elmore General', '2', '45248', '0', '34184', '32444', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12008', 'Undead Elmore General', '0', '45248', '0', '34150', '32425', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12009', 'Undead Elmore General', '2', '45248', '0', '34122', '32332', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12010', 'Undead Elmore General', '0', '45248', '0', '34110', '32308', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12011', 'Undead Elmore General', '2', '45248', '0', '34107', '32283', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12012', 'Undead Elmore General', '0', '45248', '0', '34143', '32348', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12013', 'Undead Elmore General', '2', '45248', '0', '34159', '32384', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12014', 'Undead Elmore General', '0', '45248', '0', '34182', '32359', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12015', 'Undead Elmore General', '2', '45248', '0', '34171', '32326', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12016', 'Undead Elmore General', '0', '45248', '0', '34128', '32315', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12017', 'Undead Elmore General', '2', '45248', '0', '34146', '32287', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12018', 'Undead Elmore General', '0', '45248', '0', '34144', '32250', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12019', 'Kiwi Parrot', '2', '45249', '0', '32382', '33125', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12020', 'Kiwi Parrot', '0', '45249', '0', '32400', '33131', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12021', 'Kiwi Parrot', '2', '45249', '0', '32430', '33137', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12022', 'Kiwi Parrot', '0', '45249', '0', '32448', '33135', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12023', 'Kiwi Parrot', '2', '45249', '0', '32473', '33140', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12024', 'Kiwi Parrot', '0', '45249', '0', '32486', '33148', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12025', 'Kiwi Parrot', '2', '45249', '0', '32508', '33164', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12026', 'Kiwi Parrot', '0', '45249', '0', '32497', '33188', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12027', 'Kiwi Parrot', '2', '45249', '0', '32475', '33182', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12028', 'Kiwi Parrot', '0', '45249', '0', '32494', '33197', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12029', 'Kiwi Parrot', '2', '45249', '0', '32519', '33178', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12030', 'Kiwi Parrot', '0', '45249', '0', '32532', '33153', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12031', 'Kiwi Parrot', '2', '45249', '0', '32546', '33163', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12032', 'Kiwi Parrot', '0', '45249', '0', '32570', '33153', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12033', 'Kiwi Parrot', '2', '45249', '0', '32595', '33148', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12034', 'Kiwi Parrot', '0', '45249', '0', '32613', '33133', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12035', 'Kiwi Parrot', '2', '45249', '0', '32629', '33126', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12036', 'Kiwi Parrot', '0', '45249', '0', '32652', '33135', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12037', 'Kiwi Parrot', '2', '45249', '0', '32679', '33109', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12038', 'Kiwi Parrot', '0', '45249', '0', '32686', '33079', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12039', 'Kiwi Parrot', '2', '45249', '0', '32639', '33034', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12040', 'Kiwi Parrot', '0', '45249', '0', '32621', '33016', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12041', 'Kiwi Parrot', '2', '45249', '0', '32628', '33002', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12042', 'Kiwi Parrot', '0', '45249', '0', '32611', '32937', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12043', 'Kiwi Parrot', '2', '45249', '0', '32626', '32924', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12044', 'Kiwi Parrot', '0', '45249', '0', '32578', '32935', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12045', 'Kiwi Parrot', '2', '45249', '0', '32585', '32915', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12046', 'Kiwi Parrot', '0', '45249', '0', '32555', '32915', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12047', 'Kiwi Parrot', '2', '45249', '0', '32521', '32912', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12048', 'Kiwi Parrot', '0', '45249', '0', '32523', '32924', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12049', 'Kiwi Parrot', '2', '45249', '0', '32503', '32937', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12050', 'Kiwi Parrot', '0', '45249', '0', '32478', '32916', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12051', 'Kiwi Parrot', '2', '45249', '0', '32469', '32886', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12052', 'Kiwi Parrot', '0', '45249', '0', '32513', '32850', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12053', 'Heavy Lizardman', '2', '45251', '0', '32857', '32737', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12054', 'Heavy Lizardman', '0', '45251', '0', '32866', '32735', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12055', 'Heavy Lizardman', '2', '45251', '0', '32859', '32749', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12056', 'Heavy Lizardman', '0', '45251', '0', '32852', '32761', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12057', 'Heavy Lizardman', '2', '45251', '0', '32857', '32745', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12058', 'Heavy Lizardman', '0', '45251', '0', '32823', '32753', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12059', 'Heavy Lizardman', '2', '45251', '0', '32847', '32751', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12060', 'Heavy Lizardman', '0', '45251', '0', '32770', '32752', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12061', 'Heavy Lizardman', '2', '45251', '0', '32790', '32740', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12062', 'Heavy Lizardman', '0', '45251', '0', '32792', '32750', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12063', 'Heavy Lizardman', '2', '45251', '0', '32802', '32753', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12064', 'Heavy Lizardman', '0', '45251', '0', '32764', '32830', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12065', 'Heavy Lizardman', '2', '45251', '0', '32764', '32831', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12066', 'Heavy Lizardman', '0', '45251', '0', '32753', '32855', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12067', 'Heavy Lizardman', '2', '45251', '0', '32779', '32839', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12068', 'Heavy Lizardman', '0', '45251', '0', '32792', '32811', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12069', 'Heavy Lizardman', '2', '45251', '0', '32839', '32815', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12070', 'Heavy Lizardman', '0', '45251', '0', '32848', '32816', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12071', 'Heavy Lizardman', '2', '45251', '0', '32856', '32853', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12072', 'Heavy Lizardman', '0', '45251', '0', '32846', '32861', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12073', 'Heavy Lizardman', '2', '45251', '0', '32851', '32848', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12074', 'Dire Bear', '0', '45252', '0', '32863', '32749', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12075', 'Dire Bear', '2', '45252', '0', '32875', '32749', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12076', 'Dire Bear', '0', '45252', '0', '32894', '32753', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12077', 'Dire Bear', '2', '45252', '0', '32915', '32742', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12078', 'Dire Bear', '0', '45252', '0', '32932', '32753', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12079', 'Dire Bear', '2', '45252', '0', '32947', '32751', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12080', 'Dire Bear', '0', '45252', '0', '32965', '32763', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12081', 'Dire Bear', '2', '45252', '0', '32995', '32766', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12082', 'Dire Bear', '0', '45252', '0', '32973', '32767', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12083', 'Dire Bear', '2', '45252', '0', '32974', '32793', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12084', 'Dire Bear', '0', '45252', '0', '32943', '32809', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12085', 'Dire Bear', '2', '45252', '0', '32929', '32814', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12086', 'Dire Bear', '0', '45252', '0', '32933', '32798', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12087', 'Dire Bear', '2', '45252', '0', '32943', '32798', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12088', 'Dire Bear', '0', '45252', '0', '32945', '32828', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12089', 'Dire Bear', '2', '45252', '0', '32989', '32759', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12090', 'Dire Bear', '0', '45252', '0', '32962', '32762', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12091', 'Dire Bear', '2', '45252', '0', '32964', '32766', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12092', 'Dire Bear', '0', '45252', '0', '32827', '32743', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12093', 'Dire Bear', '2', '45252', '0', '32810', '32753', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12094', 'Dire Bear', '0', '45252', '0', '32844', '32743', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12095', 'Dire Bear', '2', '45252', '0', '32813', '32751', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12096', 'Dire Bear', '0', '45252', '0', '32804', '32751', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12097', 'Dire Bear', '2', '45252', '0', '32691', '32795', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12098', 'Dire Bear', '0', '45252', '0', '32694', '32797', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12099', 'Dire Bear', '2', '45252', '0', '32710', '32788', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12100', 'Dire Bear', '0', '45252', '0', '32693', '32798', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12101', 'Dire Bear', '2', '45252', '0', '32689', '32797', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12102', 'Dire Bear', '0', '45252', '0', '32723', '32779', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12103', 'Dire Bear', '2', '45252', '0', '32732', '32772', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12104', 'Dire Bear', '0', '45252', '0', '32710', '32784', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12105', 'Dire Bear', '2', '45252', '0', '32695', '32795', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12106', 'Dark Elf Apprentice', '0', '45256', '0', '32759', '32855', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12107', 'Dark Elf Apprentice', '2', '45256', '0', '32773', '32921', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12108', 'Dark Elf Apprentice', '0', '45256', '0', '32813', '32805', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12109', 'Dark Elf Apprentice', '2', '45256', '0', '32796', '32804', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12110', 'Dark Elf Apprentice', '0', '45256', '0', '32877', '32853', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12111', 'Dark Elf Apprentice', '2', '45256', '0', '32908', '32908', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12112', 'Dark Elf Apprentice', '0', '45256', '0', '32930', '32862', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12113', 'Dark Elf Apprentice', '2', '45256', '0', '32922', '32857', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12114', 'Dark Elf Apprentice', '0', '45256', '0', '32880', '32796', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12115', 'Dark Elf Apprentice', '2', '45256', '0', '32875', '32831', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12116', 'Dark Elf Apprentice', '0', '45256', '0', '32973', '32810', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12117', 'Dark Elf Apprentice', '2', '45256', '0', '32984', '32799', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12118', 'Dark Elf Apprentice', '0', '45256', '0', '32978', '32832', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12119', 'Dark Elf Apprentice', '2', '45256', '0', '32987', '32833', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12120', 'Dark Elf Apprentice', '0', '45256', '0', '32971', '32915', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12121', 'Dark Elf Apprentice', '2', '45256', '0', '32981', '32923', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12122', 'Dragonfly', '0', '45257', '0', '33642', '32414', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12123', 'Dragonfly', '2', '45257', '0', '33632', '32427', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12124', 'Dragonfly', '0', '45257', '0', '33620', '32355', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12125', 'Dragonfly', '2', '45257', '0', '33586', '32395', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12126', 'Dragonfly', '0', '45257', '0', '33538', '32374', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12127', 'Dragonfly', '2', '45257', '0', '33536', '32357', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12128', 'Dragonfly', '0', '45257', '0', '33538', '32348', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12129', 'Dragonfly', '2', '45257', '0', '33526', '32308', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12130', 'Dragonfly', '0', '45257', '0', '33516', '32265', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12131', 'Dragonfly', '2', '45257', '0', '33540', '32280', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12132', 'Dragonfly', '0', '45257', '0', '33560', '32322', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12133', 'Dragonfly', '2', '45257', '0', '33584', '32330', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12134', 'Dragonfly', '0', '45257', '0', '33604', '32352', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12135', 'Dragonfly', '2', '45257', '0', '33576', '32313', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12136', 'Dragonfly', '0', '45257', '0', '33567', '32278', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12137', 'Dragonfly', '2', '45257', '0', '33538', '32246', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12138', 'Dragonfly', '0', '45257', '0', '33591', '32289', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12139', 'Dragonfly', '2', '45257', '0', '33606', '32298', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12140', 'Dragonfly', '0', '45257', '0', '33620', '32267', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12141', 'Dragonfly', '2', '45257', '0', '33622', '32229', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12142', 'Dragonfly', '0', '45257', '0', '33631', '32213', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12143', 'Dragonfly', '2', '45257', '0', '33646', '32264', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12144', 'Dragonfly', '0', '45257', '0', '33660', '32250', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12145', 'Dragonfly', '2', '45257', '0', '33683', '32254', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12146', 'Dragonfly', '0', '45257', '0', '33681', '32293', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12147', 'Dragonfly', '2', '45257', '0', '33720', '32301', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12148', 'Dragonfly', '0', '45257', '0', '33704', '32247', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12149', 'Dragonfly', '2', '45257', '0', '33722', '32245', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12150', 'Dragonfly', '0', '45257', '0', '33753', '32278', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12151', 'Dragonfly', '2', '45257', '0', '33758', '32287', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12152', 'Dragonfly', '0', '45257', '0', '33771', '32321', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12153', 'Dragonfly', '2', '45257', '0', '33736', '32313', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12154', 'Dragonfly', '0', '45257', '0', '33725', '32340', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12155', 'Dragonfly', '2', '45257', '0', '33738', '32342', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12156', 'Dragonfly', '0', '45257', '0', '33732', '32305', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12157', 'Dragonfly', '2', '45257', '0', '33763', '32348', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12158', 'Dragonfly', '0', '45257', '0', '33733', '32393', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12159', 'Dragonfly', '2', '45257', '0', '33753', '32421', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12160', 'Dragonfly', '0', '45257', '0', '33767', '32399', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12161', 'Dragonfly', '2', '45257', '0', '33709', '32419', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12162', 'Dragonfly', '0', '45257', '0', '33700', '32385', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12163', 'Dragonfly', '2', '45257', '0', '33620', '32335', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12164', 'Dragonfly', '0', '45257', '0', '33646', '32359', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12165', 'Dragonfly', '2', '45257', '0', '33660', '32391', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12166', 'Dragonfly', '0', '45257', '0', '33699', '32361', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12167', 'Dragonfly', '2', '45257', '0', '33657', '32331', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12168', 'Dragonfly', '0', '45257', '0', '33634', '32301', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12169', 'Dragonfly', '2', '45257', '0', '33672', '32304', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12170', 'Dragonfly', '0', '45257', '0', '33701', '32330', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12171', 'Scorpion', '1', '45259', '0', '33388', '32475', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12172', 'Scorpion', '1', '45259', '0', '33373', '32463', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12173', 'Scorpion', '1', '45259', '0', '33358', '32463', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12174', 'Scorpion', '1', '45259', '0', '33348', '32466', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12175', 'Scorpion', '1', '45259', '0', '33336', '32457', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12176', 'Scorpion', '1', '45259', '0', '33323', '32459', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12177', 'Scorpion', '1', '45259', '0', '33311', '32451', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12178', 'Scorpion', '1', '45259', '0', '33307', '32460', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12179', 'Scorpion', '1', '45259', '0', '33297', '32456', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12180', 'Scorpion', '1', '45259', '0', '33294', '32464', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12181', 'Scorpion', '1', '45259', '0', '33284', '32475', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12182', 'Scorpion', '1', '45259', '0', '33274', '32455', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12183', 'Scorpion', '1', '45259', '0', '33258', '32451', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12184', 'Scorpion', '1', '45259', '0', '33243', '32450', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12185', 'Scorpion', '1', '45259', '0', '33231', '32456', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12186', 'Scorpion', '1', '45259', '0', '33213', '32463', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12187', 'Scorpion', '1', '45259', '0', '33331', '32444', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12188', 'Scorpion', '1', '45259', '0', '33325', '32437', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12189', 'Scorpion', '1', '45259', '0', '33315', '32433', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12190', 'Scorpion', '1', '45259', '0', '33313', '32426', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12191', 'Scorpion', '1', '45259', '0', '33301', '32430', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12192', 'Scorpion', '1', '45259', '0', '33296', '32440', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12193', 'Scorpion', '1', '45259', '0', '33285', '32429', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12194', 'Scorpion', '1', '45259', '0', '33301', '32428', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12195', 'Scorpion', '1', '45259', '0', '33315', '32418', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12196', 'Scorpion', '1', '45259', '0', '33325', '32417', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12197', 'Scorpion', '1', '45259', '0', '33339', '32431', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12198', 'Scorpion', '1', '45259', '0', '33349', '32434', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12199', 'Scorpion', '1', '45259', '0', '33339', '32444', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12200', 'Scorpion', '1', '45259', '0', '33316', '32414', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12201', 'Scorpion', '1', '45259', '0', '33300', '32429', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12202', 'Scorpion', '1', '45259', '0', '33298', '32439', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12203', 'Scorpion', '1', '45259', '0', '33293', '32437', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12204', 'Scorpion', '1', '45259', '0', '33277', '32433', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12205', 'Scorpion', '1', '45259', '0', '33277', '32420', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12206', 'Scorpion', '1', '45259', '0', '33267', '32430', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12207', 'Scorpion', '1', '45259', '0', '33259', '32428', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12208', 'Scorpion', '1', '45259', '0', '33251', '32421', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12209', 'Scorpion', '1', '45259', '0', '33254', '32415', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12210', 'Scorpion', '1', '45259', '0', '33259', '32406', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12211', 'Scorpion', '1', '45259', '0', '33256', '32397', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12212', 'Scorpion', '1', '45259', '0', '33267', '32388', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12213', 'Scorpion', '1', '45259', '0', '33280', '32397', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12214', 'Scorpion', '1', '45259', '0', '33288', '32401', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12215', 'Scorpion', '1', '45259', '0', '33306', '32395', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12216', 'Scorpion', '1', '45259', '0', '33309', '32406', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12217', 'Scorpion', '1', '45259', '0', '33328', '32398', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12218', 'Scorpion', '1', '45259', '0', '33308', '32378', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12219', 'Scorpion', '1', '45259', '0', '33297', '32378', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12220', 'Scorpion', '1', '45259', '0', '33302', '32361', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12221', 'Scorpion', '1', '45259', '0', '33338', '32366', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12222', 'Scorpion', '1', '45259', '0', '33328', '32349', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12223', 'Scorpion', '1', '45259', '0', '33353', '32356', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12224', 'Scorpion', '1', '45259', '0', '33369', '32348', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12225', 'Scorpion', '1', '45259', '0', '33353', '32333', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12226', 'Scorpion', '1', '45259', '0', '33364', '32328', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12227', 'Scorpion', '1', '45259', '0', '33381', '32352', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12228', 'Scorpion', '1', '45259', '0', '33386', '32341', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12229', 'Scorpion', '1', '45259', '0', '33402', '32344', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12230', 'Scorpion', '1', '45259', '0', '33385', '32325', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12231', 'Scorpion', '1', '45259', '0', '33381', '32313', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12232', 'Scorpion', '1', '45259', '0', '33365', '32297', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12233', 'Scorpion', '1', '45259', '0', '33360', '32310', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12234', 'Scorpion', '1', '45259', '0', '33347', '32322', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12235', 'Scorpion', '1', '45259', '0', '33322', '32310', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12236', 'Scorpion', '1', '45259', '0', '33321', '32327', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12237', 'Scorpion', '1', '45259', '0', '33317', '32340', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12238', 'Scorpion', '1', '45259', '0', '33301', '32339', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12239', 'Scorpion', '1', '45259', '0', '33319', '32311', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12240', 'Scorpion', '1', '45259', '0', '33353', '32297', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12241', 'Scorpion', '1', '45259', '0', '33345', '32284', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12242', 'Scorpion', '1', '45259', '0', '33357', '32279', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12243', 'Scorpion', '1', '45259', '0', '33377', '32277', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12244', 'Scorpion', '1', '45259', '0', '33403', '32287', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12245', 'Scorpion', '1', '45259', '0', '33420', '32296', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12246', 'Scorpion', '1', '45259', '0', '33430', '32316', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12247', 'Scorpion', '1', '45259', '0', '33409', '32312', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12248', 'Scorpion', '1', '45259', '0', '33421', '32333', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12249', 'Scorpion', '1', '45259', '0', '33437', '32345', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12250', 'Scorpion', '1', '45259', '0', '33437', '32335', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12251', 'Scorpion', '1', '45259', '0', '33443', '32326', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12252', 'Scorpion', '1', '45259', '0', '33433', '32356', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12253', 'Scorpion', '1', '45259', '0', '33395', '32328', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12254', 'Scorpion', '1', '45259', '0', '33402', '32334', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12255', 'Scorpion', '1', '45259', '0', '33414', '32357', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12256', 'Scorpion', '1', '45259', '0', '33418', '32375', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12257', 'Scorpion', '1', '45259', '0', '33401', '32383', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12258', 'Scorpion', '1', '45259', '0', '33390', '32390', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12259', 'Scorpion', '1', '45259', '0', '33371', '32395', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12260', 'Scorpion', '1', '45259', '0', '33403', '32402', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12261', 'Scorpion', '1', '45259', '0', '33410', '32413', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12262', 'Scorpion', '1', '45259', '0', '33380', '32427', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12263', 'Scorpion', '1', '45259', '0', '33370', '32421', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12264', 'Scorpion', '1', '45259', '0', '33379', '32443', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12265', 'Scorpion', '1', '45259', '0', '33361', '32441', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12266', 'Scorpion', '1', '45259', '0', '33338', '32409', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12267', 'Scorpion', '1', '45259', '0', '33360', '32410', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12268', 'Scorpion', '1', '45259', '0', '33364', '32386', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12269', 'Scorpion', '1', '45259', '0', '33351', '32375', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12270', 'Scorpion', '1', '45259', '0', '33365', '32366', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12271', 'Scorpion', '1', '45259', '0', '33383', '32373', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12272', 'Scorpion', '1', '45259', '0', '32846', '33236', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12273', 'Scorpion', '1', '45259', '0', '32825', '33217', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12274', 'Scorpion', '1', '45259', '0', '32802', '33198', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12275', 'Scorpion', '1', '45259', '0', '32756', '33154', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12276', 'Scorpion', '1', '45259', '0', '32721', '33144', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12277', 'Scorpion', '1', '45259', '0', '32767', '33190', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12278', 'Scorpion', '1', '45259', '0', '32809', '33232', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12279', 'Scorpion', '1', '45259', '0', '32849', '33273', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12280', 'Scorpion', '1', '45259', '0', '32858', '33281', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12281', 'Scorpion', '1', '45259', '0', '32904', '33327', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12282', 'Scorpion', '1', '45259', '0', '32894', '33335', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12283', 'Scorpion', '1', '45259', '0', '32870', '33322', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12284', 'Scorpion', '1', '45259', '0', '32822', '32281', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12285', 'Scorpion', '1', '45259', '0', '32797', '33260', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12286', 'Scorpion', '1', '45259', '0', '32740', '33211', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12287', 'Scorpion', '1', '45259', '0', '32875', '33234', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12288', 'Scorpion', '1', '45259', '0', '32854', '33211', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12289', 'Scorpion', '1', '45259', '0', '32812', '33176', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12290', 'Scorpion', '1', '45259', '0', '32777', '33146', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12291', 'Scorpion', '1', '45259', '0', '32751', '33118', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12292', 'Scorpion', '1', '45259', '0', '32775', '33112', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12293', 'Scorpion', '1', '45259', '0', '32797', '33130', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12294', 'Scorpion', '1', '45259', '0', '32836', '33171', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12295', 'Scorpion', '1', '45259', '0', '32858', '33189', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12296', 'Scorpion', '1', '45259', '0', '32881', '33210', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12297', 'Scorpion', '1', '45259', '0', '32905', '33231', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12298', 'Scorpion', '1', '45259', '0', '32959', '33268', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12299', 'Scorpion', '1', '45259', '0', '32931', '33166', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12300', 'Scorpion', '1', '45259', '0', '32911', '33159', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12301', 'Scorpion', '1', '45259', '0', '32898', '33144', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12302', 'Scorpion', '1', '45259', '0', '32879', '33122', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12303', 'Scorpion', '1', '45259', '0', '32865', '33091', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12304', 'Scorpion', '1', '45259', '0', '32836', '33062', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12305', 'Scorpion', '1', '45259', '0', '32809', '33086', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12306', 'Scorpion', '1', '45259', '0', '32830', '33125', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12307', 'Scorpion', '1', '45259', '0', '32852', '33138', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12308', 'Scorpion', '1', '45259', '0', '32860', '33168', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12309', 'Scorpion', '1', '45259', '0', '32863', '33174', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12310', 'Scorpion', '1', '45259', '0', '32875', '33287', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12311', 'Scorpion', '1', '45259', '0', '32919', '33189', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12312', 'Scorpion', '1', '45259', '0', '32873', '33145', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12313', 'Scorpion', '1', '45259', '0', '32843', '33113', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12314', 'Scorpion', '1', '45259', '0', '32806', '33112', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12315', 'Scorpion', '1', '45259', '0', '32884', '33241', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12316', 'Scorpion', '1', '45259', '0', '32908', '33247', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12317', 'Scorpion', '1', '45259', '0', '32897', '33276', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12318', 'Scorpion', '1', '45259', '0', '32873', '33255', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12319', 'Scorpion', '1', '45259', '0', '32806', '33248', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12320', 'Scorpion', '1', '45259', '0', '32797', '33239', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12321', 'Scorpion', '1', '45259', '0', '32778', '33229', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12322', 'Scorpion', '1', '45259', '0', '32759', '33220', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12323', 'Scorpion', '1', '45259', '0', '32719', '33168', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12324', 'Scorpion', '1', '45259', '0', '32988', '33317', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12325', 'Scorpion', '1', '45259', '0', '32946', '33322', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12326', 'Scorpion', '1', '45259', '0', '32919', '33333', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12327', 'Scorpion', '1', '45259', '0', '32886', '33352', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12328', 'Scorpion', '1', '45259', '0', '32854', '33332', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12329', 'Scorpion', '1', '45259', '0', '32801', '33299', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12330', 'Scorpion', '1', '45259', '0', '32926', '33151', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12331', 'Scorpion', '1', '45259', '0', '32955', '33148', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12332', 'Scorpion', '1', '45259', '0', '32957', '33191', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12333', 'Scorpion', '1', '45259', '0', '32896', '33186', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12334', 'Scorpion', '1', '45259', '0', '32999', '33270', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12335', 'Scorpion', '1', '45259', '0', '32967', '33291', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12336', 'Scorpion', '1', '45259', '0', '32920', '33266', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12337', 'Bomb Flower', '2', '45263', '0', '33707', '32409', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12338', 'Bomb Flower', '0', '45263', '0', '33751', '32344', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12339', 'Bomb Flower', '2', '45263', '0', '33730', '32299', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12340', 'Bomb Flower', '0', '45263', '0', '33719', '32288', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12341', 'Bomb Flower', '2', '45263', '0', '33709', '32341', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12342', 'Bomb Flower', '0', '45263', '0', '33658', '32312', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12343', 'Bomb Flower', '2', '45263', '0', '33616', '32341', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12344', 'Bomb Flower', '0', '45263', '0', '33625', '33320', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12345', 'Bomb Flower', '2', '45263', '0', '33656', '32378', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12346', 'Bomb Flower', '0', '45263', '0', '33655', '32399', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12347', 'Bomb Flower', '2', '45263', '0', '33693', '32372', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12348', 'Bomb Flower', '0', '45263', '0', '33604', '32368', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12349', 'Bomb Flower', '2', '45263', '0', '33624', '32409', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12350', 'Bomb Flower', '0', '45263', '0', '33648', '32410', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12351', 'Bomb Flower', '2', '45263', '0', '33591', '32408', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12352', 'Bomb Flower', '0', '45263', '0', '33583', '32387', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12353', 'Bomb Flower', '2', '45263', '0', '33553', '32410', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12354', 'Bomb Flower', '0', '45263', '0', '33542', '32392', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12355', 'Bomb Flower', '2', '45263', '0', '33548', '32352', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12356', 'Bomb Flower', '0', '45263', '0', '33517', '32310', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12357', 'Bomb Flower', '2', '45263', '0', '33540', '32295', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12358', 'Bomb Flower', '0', '45263', '0', '33554', '32256', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12359', 'Bomb Flower', '2', '45263', '0', '33606', '32266', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12360', 'Bomb Flower', '0', '45263', '0', '33593', '32223', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12361', 'Dark Elf', '2', '45265', '0', '33426', '32215', '0', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12362', 'Dark Elf', '0', '45265', '0', '33451', '32236', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12363', 'Dark Elf', '2', '45265', '0', '33451', '32212', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12364', 'Dark Elf', '0', '45265', '0', '33404', '32211', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12365', 'Dark Elf', '2', '45265', '0', '33373', '32217', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12366', 'Dark Elf', '0', '45265', '0', '33361', '32215', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12367', 'Dark Elf', '2', '45265', '0', '33466', '32416', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12368', 'Dark Elf', '0', '45265', '0', '33480', '32430', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12369', 'Dark Elf', '2', '45265', '0', '33481', '32453', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12370', 'Dark Elf', '0', '45265', '0', '33494', '32466', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12371', 'Dark Elf', '2', '45265', '0', '33477', '32486', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12372', 'Dark Elf', '0', '45265', '0', '33461', '32487', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12373', 'Dark Elf', '2', '45265', '0', '33448', '32469', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12374', 'Dark Elf', '0', '45265', '0', '33430', '32470', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12375', 'Dark Elf', '2', '45265', '0', '33445', '32494', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12376', 'Dark Elf', '0', '45265', '0', '33464', '32505', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12377', 'Dark Elf', '2', '45265', '0', '33482', '32498', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12378', 'Dark Elf', '0', '45265', '0', '33503', '32510', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12379', 'Dark Elf', '2', '45265', '0', '33504', '32476', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12380', 'Dark Elf', '0', '45265', '0', '33474', '32395', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12381', 'Dark Elf', '2', '45265', '0', '33456', '32455', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12382', 'Dark Elf', '0', '45265', '0', '32568', '32256', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12383', 'Dark Elf', '2', '45265', '0', '32567', '32221', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12384', 'Dark Elf', '0', '45265', '0', '32614', '32243', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12385', 'Dark Elf', '2', '45265', '0', '32649', '32313', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12386', 'Dark Elf', '0', '45265', '0', '32509', '32408', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12387', 'Dark Elf', '2', '45265', '0', '33319', '33055', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12388', 'Dark Elf', '0', '45265', '0', '33320', '33031', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12389', 'Dark Elf', '2', '45265', '0', '33335', '33030', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12390', 'Dark Elf', '0', '45265', '0', '33344', '33008', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12391', 'Dark Elf', '2', '45265', '0', '33363', '33016', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12392', 'Dark Elf', '0', '45265', '0', '33369', '33024', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12393', 'Dark Elf', '2', '45265', '0', '33380', '33025', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12394', 'Dark Elf', '0', '45265', '0', '33385', '33046', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12395', 'Dark Elf', '2', '45265', '0', '33397', '33041', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12396', 'Dark Elf', '0', '45265', '0', '33417', '33046', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12397', 'Dark Elf', '2', '45265', '0', '33416', '33072', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12398', 'Dark Elf', '0', '45265', '0', '33409', '33078', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12399', 'Dark Elf', '2', '45265', '0', '33383', '33085', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12400', 'Dark Elf', '0', '45265', '0', '33376', '33081', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12401', 'Dark Elf', '2', '45265', '0', '33366', '33098', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12402', 'Dark Elf', '0', '45265', '0', '33333', '33099', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12403', 'Dark Elf', '2', '45265', '0', '33328', '33112', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12404', 'Dark Elf', '0', '45265', '0', '33376', '33065', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12405', 'Dark Elf', '2', '45265', '0', '33405', '33022', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12406', 'Dark Elf', '0', '45265', '0', '33299', '33052', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12407', 'Dark Elf', '2', '45265', '0', '33286', '33060', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12408', 'Dark Elf', '0', '45265', '0', '33323', '33076', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12409', 'Dark Elf', '2', '45265', '0', '33358', '33066', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12410', 'Dark Elf', '0', '45265', '0', '33364', '33034', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12429', 'Snow Tiger', '2', '45267', '0', '34225', '32433', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12430', 'Snow Tiger', '0', '45267', '0', '34245', '32420', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12431', 'Snow Tiger', '2', '45267', '0', '34258', '32427', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12432', 'Snow Tiger', '0', '45267', '0', '34266', '32417', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12433', 'Snow Tiger', '2', '45267', '0', '34272', '32390', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12434', 'Snow Tiger', '0', '45267', '0', '34252', '32386', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12435', 'Snow Tiger', '2', '45267', '0', '34243', '32414', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12436', 'Snow Tiger', '0', '45267', '0', '34243', '32378', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12437', 'Snow Tiger', '2', '45267', '0', '34249', '32357', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12438', 'Snow Tiger', '0', '45267', '0', '34236', '32342', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12439', 'Snow Tiger', '2', '45267', '0', '34220', '32350', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12440', 'Snow Tiger', '0', '45267', '0', '34229', '32393', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12441', 'Snow Tiger', '2', '45267', '0', '34223', '32416', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12442', 'Snow Tiger', '0', '45267', '0', '34217', '32407', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12443', 'Snow Tiger', '2', '45267', '0', '34220', '32399', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12444', 'Snow Tiger', '0', '45267', '0', '34244', '32265', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12445', 'Snow Tiger', '2', '45267', '0', '34225', '32256', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12446', 'Snow Tiger', '0', '45267', '0', '34217', '32260', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12447', 'Snow Tiger', '2', '45267', '0', '34219', '32269', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12448', 'Snow Tiger', '0', '45267', '0', '34214', '32284', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12449', 'Snow Tiger', '2', '45267', '0', '34211', '32257', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12450', 'Snow Tiger', '0', '45267', '0', '34208', '32275', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12451', 'Snow Tiger', '2', '45267', '0', '34205', '32236', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12452', 'Snow Tiger', '0', '45267', '0', '34189', '32249', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12453', 'Snow Tiger', '2', '45267', '0', '34178', '32255', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12454', 'Snow Tiger', '0', '45267', '0', '34169', '32251', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12455', 'Snow Tiger', '2', '45267', '0', '34166', '32263', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12456', 'Snow Tiger', '0', '45267', '0', '34246', '32257', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12457', 'Snow Tiger', '2', '45267', '0', '34277', '32265', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12458', 'Snow Tiger', '0', '45267', '0', '34274', '32257', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12459', 'Snow Tiger', '2', '45267', '0', '34281', '32237', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12460', 'Snow Tiger', '0', '45267', '0', '34272', '32222', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12461', 'Snow Tiger', '2', '45267', '0', '34273', '32199', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12462', 'Snow Tiger', '0', '45267', '0', '34252', '32195', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12463', 'Snow Tiger', '2', '45267', '0', '34245', '32205', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12464', 'Snow Tiger', '0', '45267', '0', '34233', '32188', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12465', 'Snow Tiger', '2', '45267', '0', '34231', '32221', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12466', 'Snow Tiger', '0', '45267', '0', '34242', '32218', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12467', 'Snow Tiger', '2', '45267', '0', '34236', '32202', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12468', 'Snow Tiger', '0', '45267', '0', '34194', '32196', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12469', 'Snow Tiger', '2', '45267', '0', '34187', '32214', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12470', 'Snow Tiger', '0', '45267', '0', '34195', '32202', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12471', 'Snow Tiger', '2', '45267', '0', '34276', '32344', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12472', 'Snow Tiger', '0', '45267', '0', '34269', '33323', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12473', 'Snow Tiger', '2', '45267', '0', '34277', '32330', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12474', 'Snow Tiger', '0', '45267', '0', '34182', '32275', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12475', 'Snow Tiger', '2', '45267', '0', '34167', '32210', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12476', 'Snow Tiger', '0', '45267', '0', '34162', '32202', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12477', 'Snow Tiger', '2', '45267', '0', '34147', '32189', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12478', 'Snow Tiger', '0', '45267', '0', '34127', '32192', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12479', 'Snow Tiger', '2', '45267', '0', '34143', '32204', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12480', 'Snow Tiger', '0', '45267', '0', '34149', '32222', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12481', 'Snow Tiger', '2', '45267', '0', '34140', '32230', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12482', 'Snow Tiger', '0', '45267', '0', '34125', '32255', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12483', 'Snow Tiger', '2', '45267', '0', '34125', '32209', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12484', 'Snow Tiger', '0', '45267', '0', '34108', '32211', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12485', 'Snow Tiger', '2', '45267', '0', '34122', '32223', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12486', 'Snow Tiger', '0', '45267', '0', '34110', '32245', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12487', 'Snow Tiger', '2', '45267', '0', '34111', '32264', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12488', 'Snow Tiger', '0', '45267', '0', '34212', '32188', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12525', 'Skeleton Guard', '0', '45269', '0', '33239', '32450', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12526', 'Skeleton Guard', '1', '45269', '0', '33251', '32449', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12527', 'Skeleton Guard', '1', '45269', '0', '33262', '32452', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12528', 'Skeleton Guard', '1', '45269', '0', '33274', '32454', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12529', 'Skeleton Guard', '1', '45269', '0', '33286', '32460', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12530', 'Skeleton Guard', '1', '45269', '0', '33292', '32464', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12531', 'Skeleton Guard', '1', '45269', '0', '33299', '32461', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12532', 'Skeleton Guard', '1', '45269', '0', '33310', '32456', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12533', 'Skeleton Guard', '1', '45269', '0', '33324', '32458', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12534', 'Skeleton Guard', '1', '45269', '0', '33335', '32453', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12535', 'Skeleton Guard', '0', '45269', '0', '33324', '32436', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12536', 'Skeleton Guard', '1', '45269', '0', '33316', '32428', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12537', 'Skeleton Guard', '1', '45269', '0', '33319', '32417', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12538', 'Skeleton Guard', '1', '45269', '0', '33299', '32431', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12539', 'Skeleton Guard', '1', '45269', '0', '33294', '32437', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12540', 'Skeleton Guard', '1', '45269', '0', '33288', '32425', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12541', 'Skeleton Guard', '1', '45269', '0', '33276', '32431', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12542', 'Skeleton Guard', '0', '45269', '0', '33265', '32426', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12543', 'Skeleton Guard', '1', '45269', '0', '33252', '32419', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12544', 'Skeleton Guard', '1', '45269', '0', '33259', '32404', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12545', 'Skeleton Guard', '1', '45269', '0', '33256', '32395', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12546', 'Skeleton Guard', '1', '45269', '0', '33263', '32387', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12547', 'Skeleton Guard', '1', '45269', '0', '33274', '32390', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12548', 'Skeleton Guard', '1', '45269', '0', '33282', '32398', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12549', 'Skeleton Guard', '1', '45269', '0', '33290', '32406', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12550', 'Skeleton Guard', '0', '45269', '0', '33299', '32395', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12551', 'Skeleton Guard', '1', '45269', '0', '33312', '32395', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12552', 'Skeleton Guard', '1', '45269', '0', '33321', '32398', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12553', 'Skeleton Guard', '1', '45269', '0', '33320', '32383', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12554', 'Skeleton Guard', '1', '45269', '0', '33305', '32378', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12555', 'Skeleton Guard', '1', '45269', '0', '33298', '32378', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12556', 'Skeleton Guard', '1', '45269', '0', '33292', '32371', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12557', 'Skeleton Guard', '1', '45269', '0', '33300', '32362', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12558', 'Skeleton Guard', '0', '45269', '0', '33312', '32360', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12559', 'Skeleton Guard', '1', '45269', '0', '33326', '32364', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12560', 'Skeleton Guard', '1', '45269', '0', '33336', '32366', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12561', 'Skeleton Guard', '1', '45269', '0', '33327', '32350', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12562', 'Skeleton Guard', '1', '45269', '0', '33350', '32352', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12563', 'Skeleton Guard', '1', '45269', '0', '33358', '32355', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12564', 'Skeleton Guard', '1', '45269', '0', '33371', '32348', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12565', 'Skeleton Guard', '1', '45269', '0', '33370', '32339', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12566', 'Skeleton Guard', '0', '45269', '0', '33364', '32332', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12567', 'Skeleton Guard', '1', '45269', '0', '33365', '32323', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12568', 'Skeleton Guard', '1', '45269', '0', '33351', '32331', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12569', 'Skeleton Guard', '1', '45269', '0', '33386', '32340', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12570', 'Skeleton Guard', '1', '45269', '0', '33386', '32331', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12571', 'Skeleton Guard', '1', '45269', '0', '33334', '32338', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12572', 'Skeleton Guard', '1', '45269', '0', '33403', '32343', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12573', 'Skeleton Guard', '0', '45269', '0', '33382', '32315', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12574', 'Skeleton Guard', '1', '45269', '0', '33376', '32307', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12575', 'Skeleton Guard', '1', '45269', '0', '33374', '32297', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12576', 'Skeleton Guard', '1', '45269', '0', '33342', '32318', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12577', 'Skeleton Guard', '1', '45269', '0', '33333', '32315', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12578', 'Skeleton Guard', '1', '45269', '0', '33316', '32297', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12579', 'Skeleton Guard', '1', '45269', '0', '33303', '32318', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12580', 'Skeleton Guard', '0', '45269', '0', '33325', '32311', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12581', 'Skeleton Guard', '1', '45269', '0', '33340', '32340', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12582', 'Skeleton Guard', '1', '45269', '0', '33349', '32323', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12583', 'Skeleton Guard', '1', '45269', '0', '33349', '32301', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12584', 'Skeleton Guard', '1', '45269', '0', '33365', '32293', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12585', 'Skeleton Guard', '1', '45269', '0', '33349', '32298', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12586', 'Skeleton Guard', '1', '45269', '0', '33362', '32298', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12587', 'Skeleton Guard', '1', '45269', '0', '33393', '32282', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12588', 'Skeleton Guard', '1', '45269', '0', '33403', '32277', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12589', 'Skeleton Guard', '1', '45269', '0', '33414', '32278', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12590', 'Skeleton Guard', '1', '45269', '0', '33427', '32285', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12591', 'Skeleton Guard', '1', '45269', '0', '33422', '32298', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12592', 'Skeleton Guard', '1', '45269', '0', '33437', '32316', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12593', 'Skeleton Guard', '1', '45269', '0', '33443', '32334', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12594', 'Skeleton Guard', '1', '45269', '0', '33449', '32333', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12595', 'Skeleton Guard', '1', '45269', '0', '33438', '32325', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12596', 'Skeleton Guard', '1', '45269', '0', '33447', '32303', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12597', 'Skeleton Guard', '1', '45269', '0', '33438', '32286', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12598', 'Skeleton Guard', '1', '45269', '0', '33447', '32268', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12599', 'Skeleton Guard', '1', '45269', '0', '33438', '32263', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12600', 'Skeleton Guard', '1', '45269', '0', '33429', '32260', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12601', 'Skeleton Guard', '1', '45269', '0', '33423', '32250', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12602', 'Skeleton Guard', '1', '45269', '0', '33413', '32251', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12603', 'Skeleton Guard', '1', '45269', '0', '33403', '32249', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12604', 'Skeleton Guard', '1', '45269', '0', '33388', '32248', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12605', 'Skeleton Guard', '1', '45269', '0', '33399', '32237', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12606', 'Skeleton Guard', '1', '45269', '0', '33384', '32232', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12607', 'Skeleton Guard', '1', '45269', '0', '33370', '32246', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12608', 'Skeleton Guard', '1', '45269', '0', '33366', '32259', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12609', 'Skeleton Guard', '1', '45269', '0', '33376', '32262', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12610', 'Skeleton Guard', '1', '45269', '0', '33438', '32354', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12611', 'Skeleton Guard', '1', '45269', '0', '33431', '32364', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12612', 'Skeleton Guard', '1', '45269', '0', '33434', '32376', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12613', 'Skeleton Guard', '1', '45269', '0', '33403', '32334', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12614', 'Skeleton Guard', '1', '45269', '0', '33412', '32357', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12615', 'Skeleton Guard', '1', '45269', '0', '33413', '32369', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12616', 'Skeleton Guard', '1', '45269', '0', '33405', '32383', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12617', 'Skeleton Guard', '1', '45269', '0', '33391', '32388', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12618', 'Skeleton Guard', '1', '45269', '0', '33380', '32397', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12619', 'Skeleton Guard', '1', '45269', '0', '33404', '32404', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12620', 'Skeleton Guard', '1', '45269', '0', '33405', '32412', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12621', 'Skeleton Guard', '1', '45269', '0', '33385', '32423', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12622', 'Skeleton Guard', '1', '45269', '0', '33372', '32421', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12623', 'Skeleton Guard', '1', '45269', '0', '33381', '32441', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12624', 'Skeleton Guard', '1', '45269', '0', '33367', '32441', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12625', 'Skeleton Guard', '1', '45269', '0', '33358', '32439', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12626', 'Skeleton Guard', '1', '45269', '0', '33347', '32435', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12627', 'Skeleton Guard', '1', '45269', '0', '33339', '32433', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12628', 'Skeleton Guard', '1', '45269', '0', '33343', '32441', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12629', 'Skeleton Guard', '1', '45269', '0', '33329', '32428', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12630', 'Skeleton Guard', '1', '45269', '0', '33319', '32415', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12631', 'Skeleton Guard', '1', '45269', '0', '33311', '32426', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12632', 'Skeleton Guard', '1', '45269', '0', '33236', '32422', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12633', 'Skeleton Guard', '1', '45269', '0', '33229', '32432', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12634', 'Skeleton Guard', '1', '45269', '0', '33264', '32375', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12635', 'Skeleton Guard', '1', '45269', '0', '33257', '32359', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12636', 'Skeleton Guard', '1', '45269', '0', '33272', '32366', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12637', 'Skeleton Guard', '1', '45269', '0', '33270', '32341', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12638', 'Skeleton Guard', '1', '45269', '0', '33297', '32331', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12639', 'Skeleton Guard', '1', '45269', '0', '33397', '32367', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12640', 'Skeleton Guard', '1', '45269', '0', '33388', '32373', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12641', 'Skeleton Guard', '1', '45269', '0', '33374', '32369', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12642', 'Skeleton Guard', '1', '45269', '0', '33366', '32366', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12643', 'Skeleton Guard', '1', '45269', '0', '33364', '32385', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12644', 'Skeleton Guard', '1', '45269', '0', '33356', '32400', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12645', 'Skeleton Guard', '1', '45269', '0', '33337', '32386', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12646', 'Skeleton Guard', '1', '45269', '0', '33360', '32410', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12647', 'Skeleton Guard', '1', '45269', '0', '33331', '32457', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12648', 'Skeleton Guard', '1', '45269', '0', '33342', '32456', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12649', 'Skeleton Guard', '1', '45269', '0', '33351', '32461', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12650', 'Skeleton Guard', '1', '45269', '0', '33358', '32465', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12651', 'Skeleton Guard', '1', '45269', '0', '33367', '32465', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12652', 'Skeleton Guard', '1', '45269', '0', '33374', '32464', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12653', 'Skeleton Guard', '1', '45269', '0', '33384', '32470', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12654', 'Skeleton Guard', '1', '45269', '0', '33390', '32475', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12655', 'Skeleton Guard', '1', '45269', '0', '33394', '32483', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12746', 'Skeleton Marksman', '0', '45270', '0', '33239', '32450', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12747', 'Skeleton Marksman', '1', '45270', '0', '33251', '32449', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12748', 'Skeleton Marksman', '1', '45270', '0', '33262', '32452', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12749', 'Skeleton Marksman', '1', '45270', '0', '33274', '32454', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12750', 'Skeleton Marksman', '1', '45270', '0', '33286', '32460', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12751', 'Skeleton Marksman', '1', '45270', '0', '33292', '32464', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12752', 'Skeleton Marksman', '1', '45270', '0', '33299', '32461', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12753', 'Skeleton Marksman', '1', '45270', '0', '33310', '32456', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12754', 'Skeleton Marksman', '1', '45270', '0', '33324', '32458', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12755', 'Skeleton Marksman', '1', '45270', '0', '33335', '32453', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12756', 'Skeleton Marksman', '1', '45270', '0', '33324', '32436', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12757', 'Skeleton Marksman', '1', '45270', '0', '33316', '32428', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12758', 'Skeleton Marksman', '0', '45270', '0', '33319', '32417', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12759', 'Skeleton Marksman', '1', '45270', '0', '33299', '32431', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12760', 'Skeleton Marksman', '1', '45270', '0', '33294', '32437', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12761', 'Skeleton Marksman', '1', '45270', '0', '33288', '32425', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12762', 'Skeleton Marksman', '1', '45270', '0', '33276', '32431', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12763', 'Skeleton Marksman', '1', '45270', '0', '33265', '32426', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12764', 'Skeleton Marksman', '1', '45270', '0', '33252', '32419', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12765', 'Skeleton Marksman', '1', '45270', '0', '33259', '32404', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12766', 'Skeleton Marksman', '0', '45270', '0', '33256', '32395', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12767', 'Skeleton Marksman', '1', '45270', '0', '33263', '32387', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12768', 'Skeleton Marksman', '1', '45270', '0', '33274', '32390', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12769', 'Skeleton Marksman', '1', '45270', '0', '33282', '32398', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12770', 'Skeleton Marksman', '1', '45270', '0', '33290', '32406', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12771', 'Skeleton Marksman', '1', '45270', '0', '33299', '32395', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12772', 'Skeleton Marksman', '1', '45270', '0', '33312', '32395', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12773', 'Skeleton Marksman', '1', '45270', '0', '33321', '32398', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12774', 'Skeleton Marksman', '1', '45270', '0', '33320', '32383', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12775', 'Skeleton Marksman', '1', '45270', '0', '33305', '32378', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12776', 'Skeleton Marksman', '1', '45270', '0', '33298', '32378', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12777', 'Skeleton Marksman', '1', '45270', '0', '33292', '32371', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12778', 'Skeleton Marksman', '1', '45270', '0', '33300', '32362', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12779', 'Skeleton Marksman', '1', '45270', '0', '33312', '32360', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12780', 'Skeleton Marksman', '1', '45270', '0', '33326', '32364', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12781', 'Skeleton Marksman', '1', '45270', '0', '33336', '32366', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12782', 'Skeleton Marksman', '1', '45270', '0', '33327', '32350', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12783', 'Skeleton Marksman', '1', '45270', '0', '33350', '32352', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12784', 'Skeleton Marksman', '0', '45270', '0', '33358', '32355', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12785', 'Skeleton Marksman', '1', '45270', '0', '33371', '32348', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12786', 'Skeleton Marksman', '1', '45270', '0', '33370', '32339', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12787', 'Skeleton Marksman', '1', '45270', '0', '33364', '32332', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12788', 'Skeleton Marksman', '1', '45270', '0', '33365', '32323', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12789', 'Skeleton Marksman', '1', '45270', '0', '33351', '32331', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12790', 'Skeleton Marksman', '1', '45270', '0', '33386', '32340', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12791', 'Skeleton Marksman', '1', '45270', '0', '33386', '32331', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12792', 'Skeleton Marksman', '1', '45270', '0', '33334', '32338', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12793', 'Skeleton Marksman', '1', '45270', '0', '33403', '32343', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12794', 'Skeleton Marksman', '1', '45270', '0', '33382', '32315', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12795', 'Skeleton Marksman', '0', '45270', '0', '33376', '32307', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12796', 'Skeleton Marksman', '1', '45270', '0', '33374', '32297', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12797', 'Skeleton Marksman', '1', '45270', '0', '33342', '32318', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12798', 'Skeleton Marksman', '1', '45270', '0', '33333', '32315', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12799', 'Skeleton Marksman', '1', '45270', '0', '33316', '32297', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12800', 'Skeleton Marksman', '1', '45270', '0', '33303', '32318', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12801', 'Skeleton Marksman', '1', '45270', '0', '33325', '32311', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12802', 'Skeleton Marksman', '1', '45270', '0', '33340', '32340', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12803', 'Skeleton Marksman', '0', '45270', '0', '33349', '32323', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12804', 'Skeleton Marksman', '1', '45270', '0', '33349', '32301', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12805', 'Skeleton Marksman', '1', '45270', '0', '33365', '32293', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12806', 'Skeleton Marksman', '1', '45270', '0', '33349', '32298', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12807', 'Skeleton Marksman', '1', '45270', '0', '33362', '32298', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12808', 'Skeleton Marksman', '1', '45270', '0', '33393', '32282', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12809', 'Skeleton Marksman', '0', '45270', '0', '33403', '32277', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12810', 'Skeleton Marksman', '1', '45270', '0', '33414', '32278', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12811', 'Skeleton Marksman', '1', '45270', '0', '33427', '32285', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12812', 'Skeleton Marksman', '1', '45270', '0', '33422', '32298', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12813', 'Skeleton Marksman', '1', '45270', '0', '33437', '32316', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12814', 'Skeleton Marksman', '1', '45270', '0', '33443', '32334', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12815', 'Skeleton Marksman', '1', '45270', '0', '33449', '32333', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12816', 'Skeleton Marksman', '0', '45270', '0', '33438', '32325', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12817', 'Skeleton Marksman', '1', '45270', '0', '33447', '32303', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12818', 'Skeleton Marksman', '1', '45270', '0', '33438', '32286', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12819', 'Skeleton Marksman', '1', '45270', '0', '33447', '32268', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12820', 'Skeleton Marksman', '1', '45270', '0', '33438', '32263', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12821', 'Skeleton Marksman', '1', '45270', '0', '33429', '32260', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12822', 'Skeleton Marksman', '1', '45270', '0', '33423', '32250', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12823', 'Skeleton Marksman', '1', '45270', '0', '33413', '32251', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12824', 'Skeleton Marksman', '1', '45270', '0', '33403', '32249', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12825', 'Skeleton Marksman', '1', '45270', '0', '33388', '32248', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12826', 'Skeleton Marksman', '0', '45270', '0', '33399', '32237', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12827', 'Skeleton Marksman', '1', '45270', '0', '33384', '32232', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12828', 'Skeleton Marksman', '1', '45270', '0', '33370', '32246', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12829', 'Skeleton Marksman', '1', '45270', '0', '33366', '32259', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12830', 'Skeleton Marksman', '1', '45270', '0', '33376', '32262', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12831', 'Skeleton Marksman', '1', '45270', '0', '33438', '32354', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12832', 'Skeleton Marksman', '1', '45270', '0', '33431', '32364', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12833', 'Skeleton Marksman', '1', '45270', '0', '33434', '32376', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12834', 'Skeleton Marksman', '1', '45270', '0', '33403', '32334', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12835', 'Skeleton Marksman', '1', '45270', '0', '33412', '32357', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12836', 'Skeleton Marksman', '1', '45270', '0', '33413', '32369', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12837', 'Skeleton Marksman', '1', '45270', '0', '33405', '32383', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12838', 'Skeleton Marksman', '1', '45270', '0', '33391', '32388', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12839', 'Skeleton Marksman', '1', '45270', '0', '33380', '32397', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12840', 'Skeleton Marksman', '1', '45270', '0', '33404', '32404', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12841', 'Skeleton Marksman', '1', '45270', '0', '33405', '32412', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12842', 'Skeleton Marksman', '1', '45270', '0', '33385', '32423', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12843', 'Skeleton Marksman', '1', '45270', '0', '33372', '32421', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12844', 'Skeleton Marksman', '0', '45270', '0', '33381', '32441', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12845', 'Skeleton Marksman', '1', '45270', '0', '33367', '32441', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12846', 'Skeleton Marksman', '1', '45270', '0', '33358', '32439', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12847', 'Skeleton Marksman', '1', '45270', '0', '33347', '32435', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12848', 'Skeleton Marksman', '1', '45270', '0', '33339', '32433', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12849', 'Skeleton Marksman', '1', '45270', '0', '33343', '32441', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12850', 'Skeleton Marksman', '1', '45270', '0', '33329', '32428', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12851', 'Skeleton Marksman', '1', '45270', '0', '33319', '32415', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12852', 'Skeleton Marksman', '1', '45270', '0', '33311', '32426', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12853', 'Skeleton Marksman', '1', '45270', '0', '33236', '32422', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12854', 'Skeleton Marksman', '0', '45270', '0', '33229', '32432', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12855', 'Skeleton Marksman', '1', '45270', '0', '33264', '32375', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12856', 'Skeleton Marksman', '1', '45270', '0', '33257', '32359', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12857', 'Skeleton Marksman', '1', '45270', '0', '33272', '32366', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12858', 'Skeleton Marksman', '1', '45270', '0', '33270', '32341', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12859', 'Skeleton Marksman', '1', '45270', '0', '33297', '32331', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12860', 'Skeleton Marksman', '1', '45270', '0', '33397', '32367', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12861', 'Skeleton Marksman', '1', '45270', '0', '33388', '32373', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12862', 'Skeleton Marksman', '1', '45270', '0', '33374', '32369', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12863', 'Skeleton Marksman', '1', '45270', '0', '33366', '32366', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12864', 'Skeleton Marksman', '1', '45270', '0', '33364', '32385', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12865', 'Skeleton Marksman', '1', '45270', '0', '33356', '32400', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12866', 'Skeleton Marksman', '1', '45270', '0', '33337', '32386', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12867', 'Skeleton Marksman', '0', '45270', '0', '33360', '32410', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12868', 'Skeleton Marksman', '1', '45270', '0', '33331', '32457', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12869', 'Skeleton Marksman', '1', '45270', '0', '33342', '32456', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12870', 'Skeleton Marksman', '1', '45270', '0', '33351', '32461', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12871', 'Skeleton Marksman', '1', '45270', '0', '33358', '32465', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12872', 'Skeleton Marksman', '1', '45270', '0', '33367', '32465', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12873', 'Skeleton Marksman', '1', '45270', '0', '33374', '32464', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12874', 'Skeleton Marksman', '1', '45270', '0', '33384', '32470', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12875', 'Skeleton Marksman', '1', '45270', '0', '33390', '32475', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12876', 'Skeleton Marksman', '1', '45270', '0', '33394', '32483', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12932', 'Dark Elf Thief', '0', '45272', '0', '32798', '32909', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12933', 'Dark Elf Thief', '2', '45272', '0', '32793', '32918', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12934', 'Dark Elf Thief', '0', '45272', '0', '32797', '32923', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12935', 'Dark Elf Thief', '2', '45272', '0', '32806', '32917', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12936', 'Dark Elf Thief', '0', '45272', '0', '32835', '32816', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12937', 'Dark Elf Thief', '2', '45272', '0', '32837', '32801', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12938', 'Dark Elf Thief', '0', '45272', '0', '32869', '32892', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12939', 'Dark Elf Thief', '2', '45272', '0', '32866', '32904', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12941', 'Subterranean Great King Turtle', '2', '45422', '0', '32785', '32975', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12942', 'Skeletal Pirate Soldier', '0', '45274', '0', '32804', '32751', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12943', 'Skeletal Pirate Soldier', '2', '45274', '0', '32790', '32751', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12944', 'Skeletal Pirate Soldier', '0', '45274', '0', '32766', '32755', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12945', 'Skeletal Pirate Soldier', '2', '45274', '0', '32745', '32771', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12946', 'Skeletal Pirate Soldier', '0', '45274', '0', '32736', '32773', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12947', 'Skeletal Pirate Soldier', '2', '45274', '0', '32750', '32779', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12948', 'Skeletal Pirate Soldier', '0', '45274', '0', '32759', '32839', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12949', 'Skeletal Pirate Soldier', '2', '45274', '0', '32787', '32830', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12950', 'Skeletal Pirate Soldier', '0', '45274', '0', '32776', '32823', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12951', 'Skeletal Pirate Soldier', '2', '45274', '0', '32813', '32839', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12952', 'Skeletal Pirate Soldier', '0', '45274', '0', '32834', '32832', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12953', 'Skeletal Pirate Soldier', '2', '45274', '0', '32863', '32788', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12954', 'Skeletal Pirate Soldier', '0', '45274', '0', '32858', '32824', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12955', 'Skeletal Pirate Soldier', '2', '45274', '0', '32855', '32802', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12956', 'Skeletal Pirate Soldier', '0', '45274', '0', '32844', '32809', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12957', 'Skeletal Pirate Soldier', '2', '45274', '0', '32836', '32809', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12958', 'Skeletal Pirate Soldier', '0', '45274', '0', '32845', '32731', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12959', 'Skeletal Pirate Soldier', '2', '45274', '0', '32804', '32761', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12960', 'Skeletal Pirate Soldier', '0', '45274', '0', '32809', '32765', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12961', 'Skeletal Pirate Soldier', '2', '45274', '0', '32657', '33193', '6', '6', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12962', 'Skeletal Pirate Soldier', '0', '45274', '0', '32635', '33186', '6', '6', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12963', 'Skeletal Pirate Soldier', '2', '45274', '0', '32686', '33193', '6', '6', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12964', 'Skeletal Pirate Soldier', '0', '45274', '0', '32834', '32835', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12965', 'Skeletal Pirate Soldier', '2', '45274', '0', '32819', '32831', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12966', 'Skeletal Pirate Soldier', '0', '45274', '0', '32771', '32785', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12967', 'Skeletal Pirate Soldier', '2', '45274', '0', '32763', '32797', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12968', 'Skeletal Pirate Soldier', '0', '45274', '0', '32779', '32814', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12969', 'Skeletal Pirate Soldier', '2', '45274', '0', '32739', '32835', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12970', 'Skeletal Pirate Soldier', '0', '45274', '0', '32749', '32834', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12971', 'Skeletal Pirate Soldier', '2', '45274', '0', '32753', '32844', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12972', 'Skeletal Pirate Soldier', '0', '45274', '0', '32776', '32863', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12973', 'Skeletal Pirate Soldier', '2', '45274', '0', '32753', '32846', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12974', 'Skeletal Pirate Soldier', '0', '45274', '0', '32752', '32782', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12975', 'Skeletal Pirate Soldier', '2', '45274', '0', '32827', '32776', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12976', 'Skeletal Pirate Soldier', '0', '45274', '0', '32799', '32817', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12977', 'Skeletal Pirate Soldier', '2', '45274', '0', '32802', '32825', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12978', 'Skeletal Pirate Soldier', '0', '45274', '0', '32816', '32857', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12979', 'Skeletal Pirate Soldier', '2', '45274', '0', '32837', '32869', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12980', 'Skeletal Pirate Soldier', '0', '45274', '0', '32842', '32850', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12981', 'Skeletal Pirate Soldier', '2', '45274', '0', '32844', '32847', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12982', 'Black Ent', '0', '45275', '0', '32928', '32655', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12983', 'Black Ent', '2', '45275', '0', '32939', '32662', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12984', 'Black Ent', '0', '45275', '0', '32953', '32645', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12985', 'Black Ent', '2', '45275', '0', '32974', '32634', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12986', 'Black Ent', '0', '45275', '0', '32966', '32653', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12987', 'Black Ent', '2', '45275', '0', '32955', '32664', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12988', 'Black Ent', '0', '45275', '0', '32945', '32651', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12989', 'Black Ent', '2', '45275', '0', '32957', '32643', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12990', 'Black Ent', '0', '45275', '0', '32932', '32673', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12991', 'Right-Hand Bandit', '2', '45276', '0', '33865', '32669', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12992', 'Right-Hand Bandit', '0', '45276', '0', '33903', '32749', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12993', 'Right-Hand Bandit', '2', '45276', '0', '33844', '32760', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12994', 'Right-Hand Bandit', '0', '45276', '0', '33795', '32688', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12995', 'Right-Hand Bandit', '2', '45276', '0', '33774', '32710', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12996', 'Right-Hand Bandit', '0', '45276', '0', '33788', '32739', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12997', 'Right-Hand Bandit', '2', '45276', '0', '33831', '32753', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12998', 'Ogre', '0', '45278', '0', '33303', '32311', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12999', 'Ogre', '1', '45278', '0', '33324', '32331', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13000', 'Ogre', '0', '45278', '0', '33319', '32284', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13001', 'Ogre', '1', '45278', '0', '33325', '32300', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13002', 'Ogre', '0', '45278', '0', '32738', '32913', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13003', 'Ogre', '1', '45278', '0', '32712', '32941', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13004', 'Ogre', '0', '45278', '0', '32721', '32958', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13005', 'Ogre', '1', '45278', '0', '32754', '32912', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13006', 'Ogre', '0', '45278', '0', '32714', '32932', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13007', 'Ogre', '1', '45278', '0', '33314', '32437', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13008', 'Ogre', '0', '45278', '0', '33320', '32417', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13009', 'Ogre', '1', '45278', '0', '33294', '32441', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13010', 'Ogre', '0', '45278', '0', '33276', '32420', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13011', 'Ogre', '1', '45278', '0', '33267', '32431', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13012', 'Ogre', '0', '45278', '0', '33291', '32408', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13013', 'Ogre', '1', '45278', '0', '33309', '32409', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13014', 'Ogre', '0', '45278', '0', '33299', '32362', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13015', 'Ogre', '1', '45278', '0', '33333', '32366', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13016', 'Ogre', '0', '45278', '0', '33359', '32354', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13017', 'Ogre', '1', '45278', '0', '33355', '32332', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13018', 'Ogre', '0', '45278', '0', '33386', '32353', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13019', 'Ogre', '1', '45278', '0', '33400', '32367', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13020', 'Ogre', '0', '45278', '0', '33367', '32366', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13021', 'Ogre', '1', '45278', '0', '33364', '32385', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13022', 'Ogre', '0', '45278', '0', '33336', '32386', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13023', 'Ogre', '1', '45278', '0', '33385', '32328', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13024', 'Ogre', '0', '45278', '0', '33372', '32300', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13025', 'Ogre', '1', '45278', '0', '33347', '32297', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13026', 'Ogre', '0', '45278', '0', '33356', '32314', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13027', 'Ogre', '1', '45278', '0', '33379', '32397', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13028', 'Ogre', '0', '45278', '0', '33375', '32422', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13029', 'Ogre', '1', '45278', '0', '33346', '32433', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13030', 'Ogre', '0', '45278', '0', '32568', '32256', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13031', 'Ogre', '1', '45278', '0', '32567', '32221', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13032', 'Ogre', '0', '45278', '0', '32614', '32243', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13033', 'Ogre', '1', '45278', '0', '32649', '32313', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13034', 'Ogre', '0', '45278', '0', '32509', '32408', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13035', 'Ogre', '1', '45278', '0', '33179', '33096', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13036', 'Ogre', '0', '45278', '0', '33201', '33088', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13037', 'Ogre', '1', '45278', '0', '33226', '33075', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13038', 'Ogre', '0', '45278', '0', '33237', '33051', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13039', 'Ogre', '1', '45278', '0', '33228', '33032', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13040', 'Ogre', '0', '45278', '0', '33164', '33071', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13041', 'Ogre', '1', '45278', '0', '33184', '33055', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13042', 'Ogre', '0', '45278', '0', '33202', '33074', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13043', 'Ogre', '1', '45278', '0', '33179', '33038', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13044', 'Ogre', '0', '45278', '0', '33173', '33019', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13045', 'Ogre', '1', '45278', '0', '33154', '33017', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13046', 'Ogre', '0', '45278', '0', '33143', '33030', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13047', 'Ogre', '1', '45278', '0', '33147', '33049', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13048', 'Ogre', '0', '45278', '0', '33131', '33064', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13049', 'Ogre', '1', '45278', '0', '33123', '33056', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13050', 'Ogre', '0', '45278', '0', '33115', '33041', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13051', 'Ogre', '1', '45278', '0', '33102', '33033', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13052', 'Ogre', '0', '45278', '0', '33091', '33021', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13053', 'Ogre', '1', '45278', '0', '33092', '33003', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13054', 'Ogre', '0', '45278', '0', '33096', '32985', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13055', 'Ogre', '1', '45278', '0', '33083', '32987', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13056', 'Ogre', '0', '45278', '0', '33072', '32997', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13057', 'Ogre', '1', '45278', '0', '33059', '32996', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13058', 'Ogre', '0', '45278', '0', '33046', '33003', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13059', 'Ogre', '1', '45278', '0', '33027', '33010', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13060', 'Ogre', '0', '45278', '0', '33029', '32998', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13061', 'Ogre', '1', '45278', '0', '33045', '32984', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13062', 'Ogre', '0', '45278', '0', '33065', '32977', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13063', 'Ogre', '1', '45278', '0', '33083', '32996', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13064', 'Ogre', '0', '45278', '0', '33076', '33024', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13065', 'Ogre', '1', '45278', '0', '33115', '33012', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13066', 'Ogre', '0', '45278', '0', '33063', '32989', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13067', 'Ogre', '1', '45278', '0', '33049', '32965', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13068', 'Ogre', '0', '45278', '0', '33030', '32949', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13069', 'Ogre', '1', '45278', '0', '33041', '33013', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13070', 'Ogre', '0', '45278', '0', '33075', '33016', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13071', 'Ogre', '1', '45278', '0', '33085', '33029', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13072', 'Ogre', '0', '45278', '0', '33102', '33022', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13073', 'Ogre', '1', '45278', '0', '33128', '33027', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13074', 'Ogre', '0', '45278', '0', '33164', '33030', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13075', 'Ogre', '1', '45278', '0', '33180', '33042', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13076', 'Ogre', '0', '45278', '0', '33187', '33073', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13077', 'Ogre', '1', '45278', '0', '33220', '33092', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13078', 'Ogre', '0', '45278', '0', '32963', '32635', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13079', 'Ogre', '1', '45278', '0', '32965', '32601', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13080', 'Ogre', '0', '45278', '0', '32978', '32580', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13081', 'Ogre', '1', '45278', '0', '32948', '32570', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13082', 'Ogre', '0', '45278', '0', '33163', '32593', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13083', 'Ogre', '1', '45278', '0', '33184', '32611', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13084', 'Ogre', '0', '45278', '0', '33201', '32634', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13085', 'Ogre', '1', '45278', '0', '33179', '32657', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13086', 'Ogre', '0', '45278', '0', '33156', '32663', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13087', 'Ogre', '1', '45278', '0', '33123', '32631', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13088', 'Ogre', '0', '45278', '0', '33088', '32596', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13089', 'Ogre', '1', '45278', '0', '33049', '32633', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13090', 'Ogre', '0', '45278', '0', '33078', '32667', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13091', 'Ogre', '1', '45278', '0', '33098', '32621', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13248', 'Fire Warrior', '0', '45284', '0', '33664', '32415', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13249', 'Fire Warrior', '2', '45284', '0', '33642', '32414', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13250', 'Fire Warrior', '0', '45284', '0', '33630', '32399', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13251', 'Fire Warrior', '2', '45284', '0', '33600', '32375', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13252', 'Fire Warrior', '0', '45284', '0', '33614', '32358', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13253', 'Fire Warrior', '2', '45284', '0', '33624', '32360', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13254', 'Fire Warrior', '0', '45284', '0', '33649', '32381', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13255', 'Fire Warrior', '2', '45284', '0', '33568', '32385', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13256', 'Fire Warrior', '0', '45284', '0', '33557', '32401', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13257', 'Fire Warrior', '2', '45284', '0', '33595', '32430', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13258', 'Fire Warrior', '0', '45284', '0', '33539', '32366', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13259', 'Fire Warrior', '2', '45284', '0', '33526', '32362', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13260', 'Fire Warrior', '0', '45284', '0', '33518', '32321', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13261', 'Fire Warrior', '2', '45284', '0', '33523', '32264', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13262', 'Fire Warrior', '0', '45284', '0', '33549', '32317', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13263', 'Fire Warrior', '2', '45284', '0', '33576', '32337', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13264', 'Fire Warrior', '0', '45284', '0', '33592', '32358', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13265', 'Fire Warrior', '2', '45284', '0', '33502', '32320', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13266', 'Fire Warrior', '0', '45284', '0', '33569', '32286', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13267', 'Fire Warrior', '2', '45284', '0', '33544', '32253', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13268', 'Fire Warrior', '0', '45284', '0', '33582', '32254', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13269', 'Fire Warrior', '2', '45284', '0', '33595', '32272', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13270', 'Fire Warrior', '0', '45284', '0', '33610', '32318', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13271', 'Fire Warrior', '2', '45284', '0', '33614', '32251', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13272', 'Fire Warrior', '0', '45284', '0', '33608', '32216', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13273', 'Fire Warrior', '2', '45284', '0', '33637', '32244', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13274', 'Fire Warrior', '0', '45284', '0', '33650', '32279', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13275', 'Fire Warrior', '2', '45284', '0', '33668', '32230', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13276', 'Fire Warrior', '0', '45284', '0', '33688', '32274', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13277', 'Fire Warrior', '2', '45284', '0', '33713', '32307', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13278', 'Fire Warrior', '0', '45284', '0', '33717', '32276', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13279', 'Fire Warrior', '2', '45284', '0', '33732', '32264', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13280', 'Fire Warrior', '0', '45284', '0', '33740', '32276', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13281', 'Fire Warrior', '2', '45284', '0', '33761', '32262', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13282', 'Fire Warrior', '0', '45284', '0', '33767', '32298', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13283', 'Fire Warrior', '2', '45284', '0', '33755', '32324', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13284', 'Fire Warrior', '0', '45284', '0', '33720', '32321', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13285', 'Fire Warrior', '2', '45284', '0', '33725', '32356', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13286', 'Fire Warrior', '0', '45284', '0', '33744', '32305', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13287', 'Fire Warrior', '2', '45284', '0', '33768', '32378', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13288', 'Fire Warrior', '0', '45284', '0', '33749', '32400', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13289', 'Fire Warrior', '2', '45284', '0', '33736', '32407', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13290', 'Fire Warrior', '0', '45284', '0', '33766', '32410', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13291', 'Fire Warrior', '2', '45284', '0', '33734', '32419', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13292', 'Fire Warrior', '0', '45284', '0', '33693', '32408', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13293', 'Fire Warrior', '2', '45284', '0', '33721', '32395', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13294', 'Fire Warrior', '0', '45284', '0', '33639', '32329', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13295', 'Fire Warrior', '2', '45284', '0', '33660', '32369', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13296', 'Fire Warrior', '0', '45284', '0', '33674', '32387', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13297', 'Fire Warrior', '2', '45284', '0', '33651', '32344', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13298', 'Fire Warrior', '0', '45284', '0', '33656', '32317', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13299', 'Fire Warrior', '2', '45284', '0', '33635', '32283', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13300', 'Fire Warrior', '0', '45284', '0', '33690', '32302', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13301', 'Fire Warrior', '2', '45284', '0', '33696', '32351', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13336', 'Skeleton Fighter', '1', '45286', '0', '33239', '32450', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13337', 'Skeleton Fighter', '1', '45286', '0', '33251', '32449', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13338', 'Skeleton Fighter', '1', '45286', '0', '33262', '32452', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13339', 'Skeleton Fighter', '1', '45286', '0', '33274', '32454', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13340', 'Skeleton Fighter', '1', '45286', '0', '33286', '32460', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13341', 'Skeleton Fighter', '1', '45286', '0', '33292', '32464', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13342', 'Skeleton Fighter', '1', '45286', '0', '33299', '32461', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13343', 'Skeleton Fighter', '1', '45286', '0', '33310', '32456', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13344', 'Skeleton Fighter', '1', '45286', '0', '33324', '32458', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13345', 'Skeleton Fighter', '1', '45286', '0', '33335', '32453', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13346', 'Skeleton Fighter', '1', '45286', '0', '33324', '32436', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13347', 'Skeleton Fighter', '1', '45286', '0', '33316', '32428', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13348', 'Skeleton Fighter', '1', '45286', '0', '33319', '32417', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13349', 'Skeleton Fighter', '1', '45286', '0', '33299', '32431', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13350', 'Skeleton Fighter', '1', '45286', '0', '33294', '32437', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13351', 'Skeleton Fighter', '1', '45286', '0', '33288', '32425', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13352', 'Skeleton Fighter', '1', '45286', '0', '33276', '32431', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13353', 'Skeleton Fighter', '1', '45286', '0', '33265', '32426', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13354', 'Skeleton Fighter', '0', '45286', '0', '33252', '32419', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13355', 'Skeleton Fighter', '1', '45286', '0', '33259', '32404', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13356', 'Skeleton Fighter', '1', '45286', '0', '33256', '32395', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13357', 'Skeleton Fighter', '1', '45286', '0', '33263', '32387', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13358', 'Skeleton Fighter', '1', '45286', '0', '33274', '32390', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13359', 'Skeleton Fighter', '1', '45286', '0', '33282', '32398', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13360', 'Skeleton Fighter', '1', '45286', '0', '33290', '32406', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13361', 'Skeleton Fighter', '1', '45286', '0', '33299', '32395', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13362', 'Skeleton Fighter', '1', '45286', '0', '33312', '32395', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13363', 'Skeleton Fighter', '1', '45286', '0', '33321', '32398', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13364', 'Skeleton Fighter', '1', '45286', '0', '33320', '32383', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13365', 'Skeleton Fighter', '1', '45286', '0', '33305', '32378', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13366', 'Skeleton Fighter', '0', '45286', '0', '33298', '32378', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13367', 'Skeleton Fighter', '1', '45286', '0', '33292', '32371', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13368', 'Skeleton Fighter', '1', '45286', '0', '33300', '32362', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13369', 'Skeleton Fighter', '1', '45286', '0', '33312', '32360', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13370', 'Skeleton Fighter', '1', '45286', '0', '33326', '32364', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13371', 'Skeleton Fighter', '1', '45286', '0', '33336', '32366', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13372', 'Skeleton Fighter', '1', '45286', '0', '33327', '32350', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13373', 'Skeleton Fighter', '1', '45286', '0', '33350', '32352', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13374', 'Skeleton Fighter', '1', '45286', '0', '33358', '32355', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13375', 'Skeleton Fighter', '1', '45286', '0', '33371', '32348', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13376', 'Skeleton Fighter', '1', '45286', '0', '33370', '32339', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13377', 'Skeleton Fighter', '1', '45286', '0', '33364', '32332', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13378', 'Skeleton Fighter', '1', '45286', '0', '33365', '32323', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13379', 'Skeleton Fighter', '1', '45286', '0', '33351', '32331', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13380', 'Skeleton Fighter', '0', '45286', '0', '33386', '32340', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13381', 'Skeleton Fighter', '1', '45286', '0', '33386', '32331', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13382', 'Skeleton Fighter', '1', '45286', '0', '33334', '32338', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13383', 'Skeleton Fighter', '1', '45286', '0', '33403', '32343', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13384', 'Skeleton Fighter', '1', '45286', '0', '33382', '32315', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13385', 'Skeleton Fighter', '1', '45286', '0', '33376', '32307', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13386', 'Skeleton Fighter', '1', '45286', '0', '33374', '32297', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13387', 'Skeleton Fighter', '1', '45286', '0', '33342', '32318', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13388', 'Skeleton Fighter', '1', '45286', '0', '33333', '32315', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13389', 'Skeleton Fighter', '1', '45286', '0', '33316', '32297', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13390', 'Skeleton Fighter', '0', '45286', '0', '33303', '32318', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13391', 'Skeleton Fighter', '1', '45286', '0', '33325', '32311', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13392', 'Skeleton Fighter', '1', '45286', '0', '33340', '32340', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13393', 'Skeleton Fighter', '1', '45286', '0', '33349', '32323', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13394', 'Skeleton Fighter', '1', '45286', '0', '33349', '32301', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13395', 'Skeleton Fighter', '1', '45286', '0', '33365', '32293', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13396', 'Skeleton Fighter', '1', '45286', '0', '33349', '32298', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13397', 'Skeleton Fighter', '1', '45286', '0', '33362', '32298', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13398', 'Skeleton Fighter', '1', '45286', '0', '33393', '32282', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13399', 'Skeleton Fighter', '1', '45286', '0', '33403', '32277', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13400', 'Skeleton Fighter', '1', '45286', '0', '33414', '32278', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13401', 'Skeleton Fighter', '0', '45286', '0', '33427', '32285', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13402', 'Skeleton Fighter', '1', '45286', '0', '33422', '32298', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13403', 'Skeleton Fighter', '1', '45286', '0', '33437', '32316', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13404', 'Skeleton Fighter', '1', '45286', '0', '33443', '32334', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13405', 'Skeleton Fighter', '1', '45286', '0', '33449', '32333', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13406', 'Skeleton Fighter', '1', '45286', '0', '33438', '32325', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13407', 'Skeleton Fighter', '1', '45286', '0', '33447', '32303', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13408', 'Skeleton Fighter', '1', '45286', '0', '33438', '32286', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13409', 'Skeleton Fighter', '1', '45286', '0', '33447', '32268', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13410', 'Skeleton Fighter', '1', '45286', '0', '33438', '32263', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13411', 'Skeleton Fighter', '1', '45286', '0', '33429', '32260', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13412', 'Skeleton Fighter', '1', '45286', '0', '33423', '32250', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13413', 'Skeleton Fighter', '1', '45286', '0', '33413', '32251', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13414', 'Skeleton Fighter', '1', '45286', '0', '33403', '32249', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13415', 'Skeleton Fighter', '1', '45286', '0', '33388', '32248', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13416', 'Skeleton Fighter', '1', '45286', '0', '33399', '32237', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13417', 'Skeleton Fighter', '1', '45286', '0', '33384', '32232', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13418', 'Skeleton Fighter', '0', '45286', '0', '33370', '32246', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13419', 'Skeleton Fighter', '1', '45286', '0', '33366', '32259', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13420', 'Skeleton Fighter', '1', '45286', '0', '33376', '32262', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13421', 'Skeleton Fighter', '1', '45286', '0', '33438', '32354', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13422', 'Skeleton Fighter', '1', '45286', '0', '33431', '32364', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13423', 'Skeleton Fighter', '1', '45286', '0', '33434', '32376', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13424', 'Skeleton Fighter', '1', '45286', '0', '33403', '32334', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13425', 'Skeleton Fighter', '1', '45286', '0', '33412', '32357', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13426', 'Skeleton Fighter', '1', '45286', '0', '33413', '32369', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13427', 'Skeleton Fighter', '1', '45286', '0', '33405', '32383', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13428', 'Skeleton Fighter', '1', '45286', '0', '33391', '32388', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13429', 'Skeleton Fighter', '1', '45286', '0', '33380', '32397', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13430', 'Skeleton Fighter', '1', '45286', '0', '33404', '32404', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13431', 'Skeleton Fighter', '1', '45286', '0', '33405', '32412', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13432', 'Skeleton Fighter', '0', '45286', '0', '33385', '32423', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13433', 'Skeleton Fighter', '1', '45286', '0', '33372', '32421', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13434', 'Skeleton Fighter', '1', '45286', '0', '33381', '32441', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13435', 'Skeleton Fighter', '1', '45286', '0', '33367', '32441', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13436', 'Skeleton Fighter', '1', '45286', '0', '33358', '32439', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13437', 'Skeleton Fighter', '1', '45286', '0', '33347', '32435', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13438', 'Skeleton Fighter', '1', '45286', '0', '33339', '32433', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13439', 'Skeleton Fighter', '1', '45286', '0', '33343', '32441', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13440', 'Skeleton Fighter', '1', '45286', '0', '33329', '32428', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13441', 'Skeleton Fighter', '1', '45286', '0', '33319', '32415', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13442', 'Skeleton Fighter', '1', '45286', '0', '33311', '32426', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13443', 'Skeleton Fighter', '0', '45286', '0', '33236', '32422', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13444', 'Skeleton Fighter', '1', '45286', '0', '33229', '32432', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13445', 'Skeleton Fighter', '1', '45286', '0', '33264', '32375', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13446', 'Skeleton Fighter', '1', '45286', '0', '33257', '32359', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13447', 'Skeleton Fighter', '1', '45286', '0', '33272', '32366', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13448', 'Skeleton Fighter', '1', '45286', '0', '33270', '32341', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13449', 'Skeleton Fighter', '1', '45286', '0', '33297', '32331', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13450', 'Skeleton Fighter', '1', '45286', '0', '33397', '32367', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13451', 'Skeleton Fighter', '1', '45286', '0', '33388', '32373', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13452', 'Skeleton Fighter', '1', '45286', '0', '33374', '32369', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13453', 'Skeleton Fighter', '0', '45286', '0', '33366', '32366', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13454', 'Skeleton Fighter', '1', '45286', '0', '33364', '32385', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13455', 'Skeleton Fighter', '1', '45286', '0', '33356', '32400', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13456', 'Skeleton Fighter', '1', '45286', '0', '33337', '32386', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13457', 'Skeleton Fighter', '1', '45286', '0', '33360', '32410', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13458', 'Skeleton Fighter', '1', '45286', '0', '33331', '32457', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13459', 'Skeleton Fighter', '0', '45286', '0', '33342', '32456', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13460', 'Skeleton Fighter', '1', '45286', '0', '33351', '32461', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13461', 'Skeleton Fighter', '1', '45286', '0', '33358', '32465', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13462', 'Skeleton Fighter', '1', '45286', '0', '33367', '32465', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13463', 'Skeleton Fighter', '1', '45286', '0', '33374', '32464', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13464', 'Skeleton Fighter', '1', '45286', '0', '33384', '32470', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13465', 'Skeleton Fighter', '1', '45286', '0', '33390', '32475', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13466', 'Skeleton Fighter', '0', '45286', '0', '33394', '32483', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13539', 'Muryan', '2', '45308', '0', '32946', '32831', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13540', 'Muryan', '0', '45308', '0', '32962', '32829', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13541', 'Muryan', '2', '45308', '0', '32935', '32816', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13542', 'Muryan', '0', '45308', '0', '32942', '32803', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13543', 'Muryan', '2', '45308', '0', '32923', '32787', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13544', 'Muryan', '0', '45308', '0', '32977', '32792', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13545', 'Muryan', '2', '45308', '0', '32981', '32768', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13546', 'Muryan', '0', '45308', '0', '32993', '32763', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13547', 'Muryan', '2', '45308', '0', '32616', '32792', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13548', 'Muryan', '0', '45308', '0', '32627', '32783', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13549', 'Muryan', '2', '45308', '0', '32636', '32788', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13550', 'Muryan', '0', '45308', '0', '32645', '32792', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13551', 'Muryan', '2', '45308', '0', '32657', '32801', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13552', 'Muryan', '0', '45308', '0', '32632', '32767', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13553', 'Muryan', '2', '45308', '0', '32644', '32731', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13554', 'Muryan', '0', '45308', '0', '32608', '32722', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13555', 'Muryan', '2', '45308', '0', '32561', '32727', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13556', 'Muryan', '0', '45308', '0', '32567', '32710', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13557', 'Muryan', '2', '45308', '0', '32611', '32645', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13558', 'Muryan', '0', '45308', '0', '32619', '32641', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13559', 'Muryan', '2', '45308', '0', '32623', '32614', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13560', 'Muryan', '0', '45308', '0', '32619', '32618', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13561', 'Muryan', '2', '45308', '0', '32644', '32614', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13562', 'Muryan', '0', '45308', '0', '32647', '32629', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13563', 'Muryan', '2', '45308', '0', '32652', '32642', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13564', 'Muryan', '0', '45308', '0', '32691', '32635', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13565', 'Muryan', '2', '45308', '0', '32699', '32640', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13566', 'Muryan', '0', '45308', '0', '32688', '32644', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13567', 'Muryan', '2', '45308', '0', '32690', '32635', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13568', 'Muryan', '0', '45308', '0', '32630', '32690', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13569', 'Muryan', '2', '45308', '0', '32618', '32698', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13570', 'Muryan', '0', '45308', '0', '32614', '32702', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13571', 'Muryan', '2', '45308', '0', '32610', '32724', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13572', 'Muryan', '0', '45308', '0', '32625', '32720', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13573', 'Muryan', '2', '45308', '0', '32687', '32735', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13574', 'Muryan', '0', '45308', '0', '32700', '32728', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13575', 'Muryan', '2', '45308', '0', '32718', '32729', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13624', 'Fire Archer', '0', '45291', '0', '33664', '32415', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13625', 'Fire Archer', '2', '45291', '0', '33642', '32400', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13626', 'Fire Archer', '0', '45291', '0', '33600', '32394', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13627', 'Fire Archer', '2', '45291', '0', '33600', '32375', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13628', 'Fire Archer', '0', '45291', '0', '33614', '32358', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13629', 'Fire Archer', '2', '45291', '0', '33637', '32381', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13630', 'Fire Archer', '0', '45291', '0', '33586', '32395', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13631', 'Fire Archer', '2', '45291', '0', '33574', '32416', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13632', 'Fire Archer', '0', '45291', '0', '33574', '32416', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13633', 'Fire Archer', '2', '45291', '0', '33548', '32371', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13634', 'Fire Archer', '0', '45291', '0', '33526', '32371', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13635', 'Fire Archer', '2', '45291', '0', '33525', '32329', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13636', 'Fire Archer', '0', '45291', '0', '33520', '32283', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13637', 'Fire Archer', '2', '45291', '0', '33542', '32313', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13638', 'Fire Archer', '0', '45291', '0', '33568', '32348', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13639', 'Fire Archer', '2', '45291', '0', '33587', '32352', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13640', 'Fire Archer', '0', '45291', '0', '33570', '32363', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13641', 'Fire Archer', '2', '45291', '0', '33554', '32302', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13642', 'Fire Archer', '0', '45291', '0', '33558', '32260', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13643', 'Fire Archer', '2', '45291', '0', '33569', '32249', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13644', 'Fire Archer', '0', '45291', '0', '33609', '32277', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13645', 'Fire Archer', '2', '45291', '0', '33618', '32313', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13646', 'Fire Archer', '0', '45291', '0', '33603', '32255', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13647', 'Fire Archer', '2', '45291', '0', '33600', '32218', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13648', 'Fire Archer', '0', '45291', '0', '33634', '32254', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13649', 'Fire Archer', '2', '45291', '0', '33657', '32277', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13650', 'Fire Archer', '0', '45291', '0', '33676', '32236', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13651', 'Fire Archer', '2', '45291', '0', '33696', '32280', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13652', 'Fire Archer', '0', '45291', '0', '33705', '32315', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13653', 'Fire Archer', '2', '45291', '0', '33707', '32269', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13654', 'Fire Archer', '0', '45291', '0', '33726', '32260', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13655', 'Fire Archer', '2', '45291', '0', '33735', '32288', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13656', 'Fire Archer', '0', '45291', '0', '33751', '32261', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13657', 'Fire Archer', '2', '45291', '0', '33760', '32304', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13658', 'Fire Archer', '0', '45291', '0', '33748', '32327', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13659', 'Fire Archer', '2', '45291', '0', '33715', '32330', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13660', 'Fire Archer', '0', '45291', '0', '33727', '32364', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13661', 'Fire Archer', '2', '45291', '0', '33751', '32299', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13662', 'Fire Archer', '0', '45291', '0', '33769', '32366', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13663', 'Fire Archer', '2', '45291', '0', '33742', '32395', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13664', 'Fire Archer', '0', '45291', '0', '33737', '32415', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13665', 'Fire Archer', '2', '45291', '0', '33761', '32402', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13666', 'Fire Archer', '0', '45291', '0', '32409', '32417', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13667', 'Fire Archer', '2', '45291', '0', '33688', '32403', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13668', 'Fire Archer', '0', '45291', '0', '33727', '32391', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13669', 'Fire Archer', '2', '45291', '0', '33640', '32348', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13670', 'Fire Archer', '0', '45291', '0', '33665', '32374', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13671', 'Fire Archer', '2', '45291', '0', '33684', '32374', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13672', 'Fire Archer', '0', '45291', '0', '33664', '32336', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13673', 'Fire Archer', '2', '45291', '0', '33651', '32309', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13674', 'Fire Archer', '0', '45291', '0', '33652', '32295', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13675', 'Fire Archer', '2', '45291', '0', '33687', '32320', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13676', 'Yeti', '0', '45294', '0', '34239', '32435', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13677', 'Yeti', '2', '45294', '0', '34271', '32410', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13678', 'Yeti', '0', '45294', '0', '34248', '32401', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13679', 'Yeti', '2', '45294', '0', '34253', '32378', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13680', 'Yeti', '0', '45294', '0', '34226', '32345', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13681', 'Yeti', '2', '45294', '0', '34236', '32409', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13682', 'Yeti', '0', '45294', '0', '34214', '32417', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13683', 'Yeti', '2', '45294', '0', '34248', '32331', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13684', 'Yeti', '0', '45294', '0', '34202', '32269', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13685', 'Yeti', '2', '45294', '0', '34197', '32232', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13686', 'Yeti', '0', '45294', '0', '34237', '32253', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13687', 'Yeti', '2', '45294', '0', '34272', '32244', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13688', 'Yeti', '0', '45294', '0', '34275', '32214', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13689', 'Yeti', '2', '45294', '0', '34240', '32190', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13690', 'Yeti', '0', '45294', '0', '34236', '32240', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13691', 'Yeti', '2', '45294', '0', '34245', '32208', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13692', 'Yeti', '0', '45294', '0', '34189', '32207', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13693', 'Yeti', '2', '45294', '0', '34271', '32364', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13694', 'Yeti', '0', '45294', '0', '34266', '32336', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13695', 'Yeti', '2', '45294', '0', '34170', '32223', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13696', 'Yeti', '0', '45294', '0', '34136', '32184', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13697', 'Yeti', '2', '45294', '0', '34139', '32238', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13698', 'Yeti', '0', '45294', '0', '34116', '32210', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13699', 'Yeti', '2', '45294', '0', '34111', '32255', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13700', 'Yeti', '0', '45294', '0', '34167', '32225', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13727', 'Giant', '2', '45295', '0', '34277', '33115', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13728', 'Giant', '0', '45295', '0', '34262', '33135', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13729', 'Giant', '2', '45295', '0', '34235', '33155', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13730', 'Giant', '0', '45295', '0', '34262', '33176', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13731', 'Giant', '2', '45295', '0', '34257', '33187', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13732', 'Giant', '0', '45295', '0', '34278', '33142', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13733', 'Giant', '2', '45295', '0', '34262', '33198', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13734', 'Giant', '0', '45295', '0', '34258', '33213', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13735', 'Giant', '2', '45295', '0', '34259', '33225', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13736', 'Giant', '0', '45295', '0', '34278', '33217', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13737', 'Giant', '2', '45295', '0', '34281', '33187', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13738', 'Giant', '0', '45295', '0', '34285', '33249', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13739', 'Giant', '2', '45295', '0', '34253', '33267', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13740', 'Giant', '0', '45295', '0', '34252', '33283', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13741', 'Giant', '2', '45295', '0', '34247', '33279', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13742', 'Giant', '0', '45295', '0', '34243', '33297', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13743', 'Giant', '2', '45295', '0', '34230', '33316', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13744', 'Giant', '0', '45295', '0', '34228', '33331', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13745', 'Giant', '2', '45295', '0', '34238', '33350', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13746', 'Giant', '0', '45295', '0', '34235', '33371', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13747', 'Giant', '2', '45295', '0', '34216', '33380', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13748', 'Giant', '0', '45295', '0', '34253', '33369', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13749', 'Giant', '2', '45295', '0', '34261', '33369', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13750', 'Giant', '0', '45295', '0', '34273', '33342', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13751', 'Giant', '2', '45295', '0', '34275', '33312', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13752', 'Giant', '0', '45295', '0', '34279', '33281', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13753', 'Giant', '2', '45295', '0', '34272', '33260', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13754', 'Giant', '0', '45295', '0', '33282', '33228', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13755', 'Giant', '2', '45295', '0', '34262', '33305', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13756', 'Giant', '0', '45295', '0', '34266', '33389', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13757', 'Giant', '2', '45295', '0', '34231', '33389', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13758', 'Giant', '0', '45295', '0', '34235', '33405', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13759', 'Giant', '2', '45295', '0', '34229', '33417', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13760', 'Giant', '0', '45295', '0', '34220', '33432', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13761', 'Giant', '2', '45295', '0', '34233', '33444', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13762', 'Giant', '0', '45295', '0', '34264', '33433', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13763', 'Giant', '2', '45295', '0', '34228', '33466', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13764', 'Giant', '0', '45295', '0', '34255', '33480', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13765', 'Giant', '2', '45295', '0', '34284', '33485', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13766', 'Giant', '0', '45295', '0', '34247', '33485', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13767', 'Giant', '2', '45295', '0', '34220', '33490', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13768', 'Giant', '0', '45295', '0', '34221', '33457', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13769', 'Giant', '2', '45295', '0', '34237', '33479', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13770', 'Giant', '0', '45295', '0', '34258', '33326', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13771', 'Giant', '2', '45295', '0', '34253', '33348', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13772', 'Giant', '0', '45295', '0', '34280', '33051', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13773', 'Giant', '2', '45295', '0', '34272', '33005', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13774', 'Giant', '0', '45295', '0', '34267', '32956', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13775', 'Giant', '2', '45295', '0', '34199', '32953', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13776', 'Giant', '0', '45295', '0', '34223', '32907', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13777', 'Giant', '2', '45295', '0', '34253', '32859', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13778', 'Giant', '0', '45295', '0', '34187', '32847', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13779', 'Giant', '2', '45295', '0', '34189', '32927', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13780', 'Giant', '0', '45295', '0', '34174', '33026', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13781', 'Giant', '2', '45295', '0', '34060', '33055', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13782', 'Giant', '0', '45295', '0', '34140', '33063', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13783', 'Giant', '2', '45295', '0', '34111', '33038', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13784', 'Giant', '0', '45295', '0', '34163', '33019', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13811', 'Subterranean Crabman', '2', '45297', '0', '32781', '32880', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13812', 'Subterranean Crabman', '1', '45297', '0', '32790', '32885', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13813', 'Subterranean Crabman', '2', '45297', '0', '32795', '32893', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13814', 'Subterranean Crabman', '1', '45297', '0', '32800', '32903', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13815', 'Subterranean Crabman', '2', '45297', '0', '32760', '32871', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13816', 'Subterranean Crabman', '1', '45297', '0', '32743', '32855', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13817', 'Subterranean Crabman', '2', '45297', '0', '32756', '32900', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13818', 'Subterranean Crabman', '1', '45297', '0', '32762', '32918', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13819', 'Subterranean Crabman', '2', '45297', '0', '32752', '32954', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13820', 'Subterranean Crabman', '1', '45297', '0', '32787', '32970', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13821', 'Subterranean Crabman', '2', '45297', '0', '32789', '33034', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13822', 'Subterranean Crabman', '1', '45297', '0', '32797', '33048', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13823', 'Subterranean Crabman', '2', '45297', '0', '32744', '33027', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13824', 'Subterranean Crabman', '1', '45297', '0', '32733', '33010', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13825', 'Subterranean Crabman', '2', '45297', '0', '32752', '33005', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13948', 'Griffon', '0', '45321', '0', '33715', '32947', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13949', 'Griffon', '2', '45321', '0', '33732', '32958', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13950', 'Griffon', '0', '45321', '0', '33724', '33021', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13951', 'Griffon', '2', '45321', '0', '33703', '33021', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13952', 'Griffon', '0', '45321', '0', '33762', '33024', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13999', 'Bandit', '2', '45324', '0', '33834', '32660', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14000', 'Bandit', '0', '45324', '0', '33807', '32688', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14001', 'Bandit', '2', '45324', '0', '33831', '32725', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14002', 'Bandit', '0', '45324', '0', '33860', '32743', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14003', 'Bandit', '2', '45324', '0', '33909', '32769', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14004', 'Bandit', '0', '45324', '0', '33873', '32741', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14005', 'Bandit', '2', '45324', '0', '33866', '32775', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14006', 'Bandit', '0', '45324', '0', '33768', '32696', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14007', 'Bandit', '2', '45324', '0', '33812', '32752', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14008', 'Bandit', '0', '45324', '0', '33843', '32789', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14009', 'Bandit', '2', '45324', '0', '33854', '32691', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14010', 'Bandit', '0', '45324', '0', '33848', '32715', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14011', 'Bandit', '2', '45324', '0', '33878', '32787', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14012', 'Bandit', '0', '45324', '0', '33852', '32801', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14013', 'Bandit', '2', '45324', '0', '33814', '32770', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14014', 'Bandit', '0', '45324', '0', '33882', '32733', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14015', 'Bandit', '2', '45324', '0', '33864', '32715', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14016', 'Bandit', '0', '45324', '0', '33825', '32697', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14017', 'Bandit', '2', '45324', '0', '33802', '32720', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14018', 'Bandit', '0', '45324', '0', '33811', '32733', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14019', 'Bandit', '2', '45324', '0', '33820', '32789', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14033', 'Dark Forester', '2', '45326', '0', '32777', '32897', '4', '4', '0', '0', '0', '0', '0', '60', '120', '310', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14034', 'Dark Forester', '0', '45326', '0', '32800', '32907', '4', '4', '0', '0', '0', '0', '0', '60', '120', '310', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14035', 'Dark Forester', '2', '45326', '0', '32790', '32923', '4', '4', '0', '0', '0', '0', '0', '60', '120', '310', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14036', 'Dark Elf Ranger', '0', '45397', '0', '32939', '32751', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14037', 'Bandit', '2', '45329', '0', '33834', '32660', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14038', 'Bandit', '0', '45329', '0', '33807', '32688', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14039', 'Bandit', '2', '45329', '0', '33831', '32725', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14040', 'Bandit', '0', '45329', '0', '33860', '32743', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14041', 'Bandit', '2', '45329', '0', '33909', '32769', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14042', 'Bandit', '0', '45329', '0', '33873', '32741', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14043', 'Bandit', '2', '45329', '0', '33866', '32775', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14044', 'Bandit', '0', '45329', '0', '33768', '32696', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14045', 'Bandit', '2', '45329', '0', '33812', '32752', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14046', 'Bandit', '0', '45329', '0', '33843', '32789', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14047', 'Bandit', '2', '45329', '0', '33854', '32691', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14048', 'Bandit', '0', '45329', '0', '33848', '32715', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14049', 'Bandit', '2', '45329', '0', '33878', '32787', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14050', 'Bandit', '0', '45329', '0', '33852', '32801', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14051', 'Bandit', '2', '45329', '0', '33814', '32770', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14052', 'Bandit', '0', '45329', '0', '33882', '32733', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14053', 'Bandit', '2', '45329', '0', '33864', '32715', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14054', 'Bandit', '0', '45329', '0', '33825', '32697', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14055', 'Bandit', '2', '45329', '0', '33802', '32720', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14056', 'Bandit', '0', '45329', '0', '33811', '32733', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14057', 'Bandit', '2', '45329', '0', '33820', '32789', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14058', 'Skeletal Pirate Head', '0', '45330', '0', '32868', '32786', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14059', 'Skeletal Pirate Head', '2', '45330', '0', '32869', '32794', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14060', 'Skeletal Pirate Head', '0', '45330', '0', '32826', '32791', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14061', 'Skeletal Pirate Head', '2', '45330', '0', '32836', '32783', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14062', 'Skeletal Pirate Head', '0', '45330', '0', '32835', '32771', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14063', 'Skeletal Pirate Head', '2', '45330', '0', '32843', '32756', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14064', 'Skeletal Pirate Head', '0', '45330', '0', '32857', '32748', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14065', 'Skeletal Pirate Head', '2', '45330', '0', '32870', '32745', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14066', 'Skeletal Pirate Head', '0', '45330', '0', '32870', '32733', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14067', 'Skeletal Pirate Head', '2', '45330', '0', '32833', '32742', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14068', 'Skeletal Pirate Head', '0', '45330', '0', '32843', '32751', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14069', 'Skeletal Pirate Head', '2', '45330', '0', '32827', '32761', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14070', 'Skeletal Pirate Head', '0', '45330', '0', '32799', '32766', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14071', 'Skeletal Pirate Head', '2', '45330', '0', '32763', '32756', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14072', 'Skeletal Pirate Head', '0', '45330', '0', '32760', '32766', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14073', 'Skeletal Pirate Head', '2', '45330', '0', '32753', '32782', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14074', 'Skeletal Pirate Head', '0', '45330', '0', '32749', '32780', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14075', 'Skeletal Pirate Head', '2', '45330', '0', '32743', '32778', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14076', 'Skeletal Pirate Head', '0', '45330', '0', '32759', '32761', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14077', 'Skeletal Pirate Head', '2', '45330', '0', '32765', '32750', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14078', 'Skeletal Pirate Head', '0', '45330', '0', '32763', '32733', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14079', 'Skeletal Pirate Head', '2', '45330', '0', '32746', '32732', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14080', 'Skeletal Pirate Head', '0', '45330', '0', '32733', '32740', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14081', 'Skeletal Pirate Head', '2', '45330', '0', '32726', '32732', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14082', 'Skeletal Pirate Head', '0', '45330', '0', '32756', '32734', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14083', 'Skeletal Pirate Head', '2', '45330', '0', '32771', '32761', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14084', 'Skeletal Pirate Head', '0', '45330', '0', '32776', '32760', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14085', 'Skeletal Pirate Head', '2', '45330', '0', '32755', '32745', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14086', 'Skeletal Pirate Head', '0', '45330', '0', '32840', '32812', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14087', 'Skeletal Pirate Head', '2', '45330', '0', '32853', '32807', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14091', 'Skeletal Pirate Head', '2', '45330', '0', '32822', '32819', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14092', 'Skeletal Pirate Head', '0', '45330', '0', '32826', '32810', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14093', 'Skeletal Pirate Head', '2', '45330', '0', '32834', '32821', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14094', 'Skeletal Pirate Head', '0', '45330', '0', '32818', '32786', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14095', 'Skeletal Pirate Head', '2', '45330', '0', '32808', '32774', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14096', 'Skeletal Pirate Head', '0', '45330', '0', '32793', '32780', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14097', 'Skeletal Pirate Head', '2', '45330', '0', '32778', '32780', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14098', 'Skeletal Pirate Head', '0', '45330', '0', '32759', '32803', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14099', 'Skeletal Pirate Head', '2', '45330', '0', '32765', '32810', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14100', 'Skeletal Pirate Head', '0', '45330', '0', '32769', '32815', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14101', 'Skeletal Pirate Head', '2', '45330', '0', '32757', '32823', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14102', 'Skeletal Pirate Head', '0', '45330', '0', '32756', '32830', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14103', 'Skeletal Pirate Head', '2', '45330', '0', '32748', '32832', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14104', 'Skeletal Pirate Head', '0', '45330', '0', '32758', '32851', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14105', 'Skeletal Pirate Head', '2', '45330', '0', '32760', '32861', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14106', 'Skeletal Pirate Head', '0', '45330', '0', '32757', '32864', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14107', 'Skeletal Pirate Head', '2', '45330', '0', '32767', '32865', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14108', 'Skeletal Pirate Head', '0', '45330', '0', '32768', '32812', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14109', 'Skeletal Pirate Head', '2', '45330', '0', '32765', '32738', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14110', 'Skeletal Pirate Head', '0', '45330', '0', '32796', '32754', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14111', 'Skeletal Pirate Head', '2', '45330', '0', '32815', '32748', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14112', 'Skeletal Pirate Head', '0', '45330', '0', '32809', '32807', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14113', 'Skeletal Pirate Head', '2', '45330', '0', '32808', '32833', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14114', 'Skeletal Pirate Head', '0', '45330', '0', '32807', '32840', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14115', 'Skeletal Pirate Head', '2', '45330', '0', '32807', '32850', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14116', 'Skeletal Pirate Head', '0', '45330', '0', '32828', '32860', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14117', 'Skeletal Pirate Head', '2', '45330', '0', '32827', '32846', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14118', 'Skeletal Pirate Head', '0', '45330', '0', '32831', '32837', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14119', 'Skeletal Pirate Head', '2', '45330', '0', '32827', '32821', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14196', 'Bandit', '0', '81080', '0', '33871', '32689', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14197', 'Bandit', '2', '81080', '0', '33810', '32673', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14198', 'Bandit', '0', '81080', '0', '33820', '32711', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14199', 'Bandit', '2', '81080', '0', '33846', '32735', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14200', 'Bandit', '0', '81080', '0', '33898', '32763', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14201', 'Bandit', '2', '81080', '0', '33891', '32743', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14202', 'Bandit', '0', '81080', '0', '33839', '32749', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14203', 'Bandit', '2', '81080', '0', '33817', '32700', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14204', 'Bandit', '0', '81080', '0', '33783', '32723', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14205', 'Bandit', '2', '81080', '0', '33835', '32766', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14206', 'Bandit', '0', '81080', '0', '33886', '32823', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14213', 'Giant', '2', '45337', '0', '34265', '33122', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14214', 'Giant', '0', '45337', '0', '34258', '33144', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14215', 'Giant', '2', '45337', '0', '34257', '33161', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14216', 'Giant', '0', '45337', '0', '34270', '33175', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14217', 'Giant', '2', '45337', '0', '34277', '33163', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14218', 'Giant', '0', '45337', '0', '34278', '33132', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14219', 'Giant', '2', '45337', '0', '34261', '33204', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14220', 'Giant', '0', '45337', '0', '34267', '33217', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14221', 'Giant', '2', '45337', '0', '34264', '33231', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14222', 'Giant', '0', '45337', '0', '34276', '33203', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14223', 'Giant', '2', '45337', '0', '34283', '33175', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14224', 'Giant', '0', '45337', '0', '34263', '33252', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14225', 'Giant', '2', '45337', '0', '34262', '33270', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14226', 'Giant', '0', '45337', '0', '34244', '33291', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14227', 'Giant', '2', '45337', '0', '34228', '33291', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14228', 'Giant', '0', '45337', '0', '34222', '33305', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14229', 'Giant', '2', '45337', '0', '34222', '33314', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14230', 'Giant', '0', '45337', '0', '34232', '33341', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14231', 'Giant', '2', '45337', '0', '34245', '33358', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14232', 'Giant', '0', '45337', '0', '34225', '33376', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14233', 'Giant', '2', '45337', '0', '34224', '33382', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14234', 'Giant', '0', '45337', '0', '34252', '33357', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14235', 'Giant', '2', '45337', '0', '34275', '33366', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14236', 'Giant', '0', '45337', '0', '34269', '33329', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14237', 'Giant', '2', '45337', '0', '34275', '33299', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14238', 'Giant', '0', '45337', '0', '34275', '33277', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14239', 'Giant', '2', '45337', '0', '34276', '33247', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14240', 'Giant', '0', '45337', '0', '34273', '33222', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14241', 'Giant', '2', '45337', '0', '34255', '33289', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14242', 'Giant', '0', '45337', '0', '34257', '33386', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14243', 'Giant', '2', '45337', '0', '34221', '33391', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14244', 'Giant', '0', '45337', '0', '34246', '33411', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14245', 'Giant', '2', '45337', '0', '34233', '33421', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14246', 'Giant', '0', '45337', '0', '34227', '33429', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14247', 'Giant', '2', '45337', '0', '34225', '33444', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14248', 'Giant', '0', '45337', '0', '34236', '33745', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14249', 'Giant', '2', '45337', '0', '34240', '33469', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14250', 'Giant', '0', '45337', '0', '34265', '33484', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14251', 'Giant', '2', '45337', '0', '34261', '33494', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14252', 'Giant', '0', '45337', '0', '34240', '33492', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14253', 'Giant', '2', '45337', '0', '34220', '33477', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14254', 'Giant', '0', '45337', '0', '34225', '33468', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14255', 'Giant', '2', '45337', '0', '34242', '33315', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14256', 'Giant', '0', '45337', '0', '34253', '33339', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14257', 'Giant', '2', '45337', '0', '34275', '33033', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14258', 'Giant', '0', '45337', '0', '34287', '32994', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14259', 'Giant', '2', '45337', '0', '34244', '32965', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14260', 'Giant', '0', '45337', '0', '34183', '32932', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14261', 'Giant', '2', '45337', '0', '34252', '32898', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14262', 'Giant', '0', '45337', '0', '34229', '32854', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14263', 'Giant', '2', '45337', '0', '34166', '32859', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14264', 'Giant', '0', '45337', '0', '34169', '32970', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14265', 'Giant', '2', '45337', '0', '34067', '33006', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14266', 'Giant', '0', '45337', '0', '34087', '33065', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14267', 'Giant', '2', '45337', '0', '34147', '33019', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14268', 'Giant', '0', '45337', '0', '34084', '33055', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14269', 'Giant', '2', '45337', '0', '34195', '33006', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14270', 'Plate Worm', '0', '45339', '0', '32848', '32936', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14271', 'Plate Worm', '1', '45339', '0', '32857', '32916', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14272', 'Plate Worm', '0', '45339', '0', '32855', '32889', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14273', 'Plate Worm', '1', '45339', '0', '32840', '32874', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14274', 'Plate Worm', '0', '45339', '0', '32832', '32861', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14275', 'Plate Worm', '1', '45339', '0', '32813', '32857', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14276', 'Plate Worm', '0', '45339', '0', '32813', '32860', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14277', 'Plate Worm', '1', '45339', '0', '32811', '32867', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14278', 'Plate Worm', '0', '45339', '0', '32808', '32876', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14279', 'Plate Worm', '1', '45339', '0', '32796', '32885', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14280', 'Plate Worm', '0', '45339', '0', '32785', '32890', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14281', 'Plate Worm', '1', '45339', '0', '32772', '32887', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14282', 'Plate Worm', '0', '45339', '0', '32767', '32892', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14283', 'Plate Worm', '1', '45339', '0', '32767', '32876', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14284', 'Plate Worm', '0', '45339', '0', '32759', '32865', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14285', 'Plate Worm', '1', '45339', '0', '32749', '32853', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14286', 'Plate Worm', '0', '45339', '0', '32736', '32852', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14287', 'Plate Worm', '1', '45339', '0', '32742', '32842', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14288', 'Plate Worm', '0', '45339', '0', '32741', '32827', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14289', 'Plate Worm', '1', '45339', '0', '32758', '32846', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14290', 'Plate Worm', '0', '45339', '0', '32772', '32853', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14291', 'Plate Worm', '1', '45339', '0', '32784', '32871', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14292', 'Plate Worm', '0', '45339', '0', '32801', '32890', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14293', 'Plate Worm', '1', '45339', '0', '32814', '32904', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14294', 'Plate Worm', '0', '45339', '0', '32828', '32908', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14295', 'Plate Worm', '1', '45339', '0', '32841', '32903', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14296', 'Plate Worm', '0', '45339', '0', '32851', '32894', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14297', 'Plate Worm', '1', '45339', '0', '32864', '32899', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14298', 'Plate Worm', '0', '45339', '0', '32874', '32875', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14299', 'Plate Worm', '1', '45339', '0', '32880', '32865', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14300', 'Plate Worm', '0', '45339', '0', '32872', '32854', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14301', 'Plate Worm', '1', '45339', '0', '32892', '32850', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14302', 'Plate Worm', '0', '45339', '0', '32902', '32860', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14303', 'Plate Worm', '1', '45339', '0', '32894', '32869', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14304', 'Plate Worm', '0', '45339', '0', '32894', '32881', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14305', 'Plate Worm', '1', '45339', '0', '32887', '32891', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14306', 'Plate Worm', '0', '45339', '0', '32894', '32894', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14307', 'Plate Worm', '1', '45339', '0', '32902', '32900', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14308', 'Plate Worm', '0', '45339', '0', '32896', '32906', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14309', 'Plate Worm', '1', '45339', '0', '32889', '32901', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14310', 'Plate Worm', '0', '45339', '0', '32889', '32886', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14311', 'Plate Worm', '1', '45339', '0', '32896', '32871', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14312', 'Plate Worm', '0', '45339', '0', '32902', '32856', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14313', 'Plate Worm', '1', '45339', '0', '32901', '32859', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14314', 'Plate Worm', '0', '45339', '0', '32901', '32863', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14315', 'Plate Worm', '1', '45339', '0', '32883', '32876', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14316', 'Plate Worm', '0', '45339', '0', '32893', '32890', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14317', 'Plate Worm', '1', '45339', '0', '32883', '32901', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14318', 'Plate Worm', '0', '45339', '0', '32884', '32912', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14319', 'Plate Worm', '1', '45339', '0', '32894', '32923', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14320', 'Plate Worm', '0', '45339', '0', '32899', '32926', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14321', 'Plate Worm', '1', '45339', '0', '32892', '32936', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14322', 'Plate Worm', '0', '45339', '0', '32898', '32945', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14323', 'Plate Worm', '1', '45339', '0', '32892', '32946', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14324', 'Plate Worm', '0', '45339', '0', '32884', '32939', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14325', 'Plate Worm', '1', '45339', '0', '32873', '32931', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14326', 'Plate Worm', '0', '45339', '0', '32877', '32916', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14327', 'Plate Worm', '1', '45339', '0', '32869', '32910', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14328', 'Plate Worm', '0', '45339', '0', '32840', '32927', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14329', 'Plate Worm', '1', '45339', '0', '32824', '32933', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14330', 'Plate Worm', '0', '45339', '0', '32816', '32932', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14331', 'Plate Worm', '1', '45339', '0', '32800', '32921', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14332', 'Plate Worm', '0', '45339', '0', '32798', '32908', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14333', 'Plate Worm', '1', '45339', '0', '32801', '32900', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14334', 'Plate Worm', '0', '45339', '0', '32795', '32892', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14335', 'Plate Worm', '1', '45339', '0', '32805', '32885', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14336', 'Taurverus', '0', '45408', '0', '32783', '32747', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14337', 'Taurverus', '2', '45408', '0', '32790', '32746', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14338', 'Taurverus', '0', '45408', '0', '32770', '32749', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14339', 'Taurverus', '2', '45408', '0', '32763', '32743', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14340', 'Taurverus', '0', '45408', '0', '32756', '32753', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14341', 'Taurverus', '2', '45408', '0', '32790', '32746', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14342', 'Taurverus', '0', '45341', '0', '33742', '32310', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14343', 'Taurverus', '2', '45341', '0', '33728', '32308', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14344', 'Taurverus', '0', '45341', '0', '33739', '32292', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14345', 'Taurverus', '2', '45341', '0', '33717', '32261', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14346', 'Taurverus', '0', '45341', '0', '33709', '32250', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14347', 'Taurverus', '2', '45341', '0', '33707', '32302', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14348', 'Taurverus', '0', '45341', '0', '33701', '32336', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14349', 'Taurverus', '2', '45341', '0', '33644', '32305', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14350', 'Taurverus', '0', '45341', '0', '33675', '32307', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14351', 'Taurverus', '2', '45341', '0', '33622', '32326', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14352', 'Taurverus', '0', '45341', '0', '33711', '32349', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14353', 'Taurverus', '2', '45341', '0', '33567', '32332', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14354', 'Taurverus', '0', '45341', '0', '33554', '32219', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14355', 'Taurverus', '2', '45341', '0', '33562', '32224', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14356', 'Taurverus', '0', '45341', '0', '33575', '32230', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14357', 'Taurverus', '2', '45341', '0', '33569', '32241', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14358', 'Taurverus', '0', '45341', '0', '33589', '32273', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14359', 'Taurverus', '2', '45341', '0', '33591', '32301', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14360', 'Taurverus', '0', '45341', '0', '33622', '32269', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14361', 'Taurverus', '2', '45341', '0', '33650', '32224', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14362', 'Taurverus', '0', '45341', '0', '33676', '32228', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14363', 'Taurverus', '2', '45341', '0', '33676', '32228', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14398', 'Ghast Lord', '0', '45346', '0', '32561', '32370', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14399', 'Ghast Lord', '2', '45346', '0', '32576', '32326', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14400', 'Ghast Lord', '0', '45346', '0', '32549', '32308', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14401', 'Ghast Lord', '2', '45346', '0', '32549', '32308', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14402', 'Dark Forester', '0', '45347', '0', '32899', '32874', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14403', 'Dark Forester', '1', '45347', '0', '32898', '32883', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14404', 'Dark Forester', '0', '45347', '0', '32901', '32896', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14405', 'Dark Forester', '1', '45347', '0', '32895', '32903', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14406', 'Dark Forester', '0', '45347', '0', '32902', '32899', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14407', 'Dark Forester', '1', '45347', '0', '32903', '32897', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14408', 'Dark Forester', '0', '45347', '0', '32902', '32895', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14634', 'Beholder', '0', '45349', '0', '33398', '33140', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14644', 'Beholder', '0', '45349', '0', '33511', '33278', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14645', 'Beholder', '2', '45349', '0', '33490', '33280', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14646', 'Beholder', '0', '45349', '0', '33473', '33266', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14647', 'Beholder', '2', '45349', '0', '33438', '33296', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14648', 'Beholder', '0', '45349', '0', '33454', '33361', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14649', 'Beholder', '2', '45349', '0', '33410', '33306', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14650', 'Beholder', '0', '45349', '0', '33391', '33347', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14651', 'Beholder', '2', '45349', '0', '33345', '33379', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14652', 'Beholder', '0', '45349', '0', '33369', '33428', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14653', 'Beholder', '2', '45349', '0', '33328', '33395', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14654', 'Beholder', '0', '45349', '0', '33362', '33348', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14655', 'Beholder', '2', '45349', '0', '33423', '33369', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14656', 'Beholder', '0', '45349', '0', '33454', '33416', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14657', 'Beholder', '2', '45349', '0', '33297', '33262', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14658', 'Beholder', '0', '45349', '0', '33276', '33249', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14659', 'Beholder', '2', '45349', '0', '33277', '33270', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14660', 'Beholder', '0', '45349', '0', '33298', '33343', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14661', 'Beholder', '2', '45349', '0', '33305', '33403', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14662', 'Beholder', '0', '45349', '0', '33396', '33248', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14663', 'Beholder', '2', '45349', '0', '33376', '33197', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14664', 'Beholder', '0', '45349', '0', '33441', '33211', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14665', 'Beholder', '2', '45349', '0', '33409', '33245', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14666', 'Beholder', '0', '45349', '0', '33309', '33160', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14667', 'Beholder', '2', '45349', '0', '33330', '33197', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14668', 'Beholder', '0', '45349', '0', '33367', '33180', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14669', 'Beholder', '2', '45349', '0', '33481', '33292', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14670', 'Beholder', '0', '45349', '0', '33456', '33279', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14671', 'Beholder', '2', '45349', '0', '33339', '33312', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14672', 'Beholder', '0', '45349', '0', '33403', '33200', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14673', 'Beholder', '2', '45349', '0', '33355', '33255', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14674', 'Dark Elf Carrier', '0', '45350', '0', '32752', '32759', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14675', 'Dark Elf Carrier', '2', '45350', '0', '32742', '32759', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14676', 'Dark Elf Carrier', '0', '45350', '0', '32736', '32767', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14677', 'Dark Elf Carrier', '2', '45350', '0', '32744', '32772', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14678', 'Dark Elf Carrier', '0', '45350', '0', '32725', '32778', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14679', 'Dark Elf Carrier', '1', '45293', '0', '32814', '32866', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14680', 'Dark Elf Carrier', '0', '45293', '0', '32808', '32869', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14681', 'Dark Elf Carrier', '1', '45293', '0', '32807', '32879', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14682', 'Dark Elf Carrier', '0', '45293', '0', '32798', '32887', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14683', 'Dark Elf Carrier', '1', '45293', '0', '32784', '32888', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14684', 'Dark Elf Carrier', '0', '45293', '0', '32779', '32892', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14685', 'Dark Elf Carrier', '1', '45293', '0', '32782', '32895', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14686', 'Dark Elf Carrier', '0', '45293', '0', '32785', '32902', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14687', 'Dark Elf Carrier', '1', '45293', '0', '32781', '32909', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14688', 'Dark Elf Carrier', '0', '45293', '0', '32777', '32909', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14689', 'Dark Elf Carrier', '1', '45293', '0', '32778', '32912', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14690', 'Dark Elf Carrier', '0', '45293', '0', '32772', '32917', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14691', 'Dark Elf Carrier', '1', '45293', '0', '32762', '32922', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14692', 'Dark Elf Carrier', '0', '45293', '0', '32758', '32922', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14693', 'Dark Elf Carrier', '1', '45293', '0', '32762', '32916', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14694', 'Dark Elf Carrier', '0', '45293', '0', '32757', '32911', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14695', 'Dark Elf Carrier', '1', '45293', '0', '32749', '32905', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14696', 'Dark Elf Carrier', '0', '45293', '0', '32753', '32895', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14697', 'Dark Elf Carrier', '1', '45293', '0', '32761', '32893', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14698', 'Dark Elf Carrier', '0', '45293', '0', '32752', '32886', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14699', 'Dark Elf Carrier', '1', '45293', '0', '32758', '32882', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14700', 'Dark Elf Carrier', '0', '45293', '0', '32752', '32872', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14701', 'Dark Elf Carrier', '1', '45293', '0', '32754', '32861', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14702', 'Dark Elf Carrier', '0', '45293', '0', '32764', '32859', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14703', 'Dark Elf Carrier', '1', '45293', '0', '32769', '32844', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14704', 'Dark Elf Carrier', '0', '45293', '0', '32757', '32847', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14705', 'Dark Elf Carrier', '1', '45293', '0', '32742', '32850', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14706', 'Dark Elf Carrier', '0', '45293', '0', '32734', '32862', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14707', 'Dark Elf Carrier', '1', '45293', '0', '32759', '32859', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14708', 'Dark Elf Carrier', '0', '45293', '0', '32770', '32862', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14709', 'Dark Elf Carrier', '1', '45293', '0', '32780', '32864', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14710', 'Dark Elf Carrier', '0', '45293', '0', '32786', '32858', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14711', 'Dark Elf Carrier', '1', '45293', '0', '32794', '32865', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14712', 'Dark Elf Carrier', '0', '45293', '0', '32801', '32871', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14713', 'Dark Elf Carrier', '1', '45293', '0', '32801', '32876', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14714', 'Dark Elf Carrier', '0', '45293', '0', '32792', '32880', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14715', 'Dark Elf Carrier', '1', '45293', '0', '32794', '32890', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14716', 'Dark Elf Carrier', '0', '45293', '0', '32804', '32897', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14717', 'Dark Elf Carrier', '1', '45293', '0', '32792', '32902', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14718', 'Dark Elf Carrier', '0', '45293', '0', '32794', '32912', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14719', 'Dark Elf Carrier', '1', '45293', '0', '32794', '32920', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14720', 'Dark Elf Carrier', '0', '45293', '0', '32797', '32921', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14721', 'Dark Elf Carrier', '1', '45293', '0', '32802', '32919', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14722', 'Dark Elf Carrier', '0', '45293', '0', '32795', '32928', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14723', 'Dark Elf Carrier', '1', '45293', '0', '32789', '32923', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14724', 'Dark Elf Carrier', '0', '45293', '0', '32782', '32916', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14725', 'Dark Elf Carrier', '1', '45293', '0', '32781', '32924', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14726', 'Dark Elf Carrier', '0', '45293', '0', '32777', '32933', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14727', 'Dark Elf Carrier', '1', '45293', '0', '32780', '32943', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14728', 'Dark Elf Carrier', '0', '45293', '0', '32779', '32949', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14729', 'Dark Elf Carrier', '1', '45293', '0', '32783', '32955', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14730', 'Dark Elf Carrier', '0', '45293', '0', '32787', '32952', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14731', 'Dark Elf Carrier', '1', '45293', '0', '32786', '32960', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14732', 'Dark Elf Carrier', '0', '45293', '0', '32779', '32964', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14733', 'Dark Elf Carrier', '1', '45293', '0', '32774', '32954', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14734', 'Dark Elf Carrier', '0', '45293', '0', '32768', '32952', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14735', 'Dark Elf Carrier', '1', '45293', '0', '32773', '32944', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14736', 'Dark Elf Carrier', '0', '45293', '0', '32756', '32936', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14737', 'Dark Elf Carrier', '1', '45293', '0', '32747', '32932', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14738', 'Dark Elf Carrier', '0', '45293', '0', '32748', '32925', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14739', 'Dark Elf Carrier', '1', '45293', '0', '32750', '32928', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14740', 'Dark Elf Carrier', '0', '45293', '0', '32734', '32944', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14741', 'Dark Elf Carrier', '1', '45293', '0', '32735', '32943', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14742', 'Dark Elf Carrier', '0', '45293', '0', '32744', '32950', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14743', 'Dark Elf Carrier', '1', '45293', '0', '32748', '32963', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14744', 'Dark Elf Carrier', '0', '45293', '0', '32738', '32967', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14745', 'Dark Elf Carrier', '1', '45293', '0', '32741', '32970', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14746', 'Dark Elf Carrier', '0', '45293', '0', '32745', '32969', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14747', 'Dark Elf Carrier', '1', '45293', '0', '32755', '32974', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14748', 'Dark Elf Carrier', '0', '45293', '0', '32759', '32976', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14749', 'Dark Elf Carrier', '1', '45293', '0', '32764', '32980', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14750', 'Dark Elf Carrier', '0', '45293', '0', '32765', '32981', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14751', 'Dark Elf Carrier', '1', '45293', '0', '32767', '32983', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14752', 'Dark Elf Carrier', '0', '45293', '0', '32776', '32993', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14753', 'Dark Elf Carrier', '1', '45293', '0', '32782', '32986', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14754', 'Dark Elf Carrier', '0', '45293', '0', '32789', '32990', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14755', 'Dark Elf Carrier', '1', '45293', '0', '32794', '32991', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14756', 'Dark Elf Carrier', '0', '45293', '0', '32801', '32992', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14757', 'Dark Elf Carrier', '1', '45293', '0', '32810', '32989', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14758', 'Dark Elf Carrier', '0', '45293', '0', '32822', '32990', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14759', 'Dark Elf Carrier', '1', '45293', '0', '32827', '32991', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14760', 'Dark Elf Carrier', '0', '45293', '0', '32834', '32990', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14761', 'Dark Elf Carrier', '1', '45293', '0', '32846', '32989', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14762', 'Dark Elf Carrier', '0', '45293', '0', '32847', '32992', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14763', 'Dark Elf Carrier', '1', '45293', '0', '32836', '32980', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14764', 'Dark Elf Carrier', '0', '45293', '0', '32829', '32971', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14765', 'Dark Elf Carrier', '1', '45293', '0', '32822', '32962', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14766', 'Dark Elf Carrier', '0', '45293', '0', '32812', '32971', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14767', 'Dark Elf Carrier', '1', '45293', '0', '32802', '32960', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14768', 'Dark Elf Carrier', '0', '45293', '0', '32801', '32950', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14769', 'Dark Elf Carrier', '1', '45293', '0', '32796', '32943', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14770', 'Dark Elf Carrier', '0', '45293', '0', '32803', '32936', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14771', 'Dark Elf Carrier', '1', '45293', '0', '32812', '32925', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14772', 'Dark Elf Carrier', '0', '45293', '0', '32811', '32923', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14773', 'Dark Elf Carrier', '1', '45293', '0', '32812', '32910', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14774', 'Dark Elf Carrier', '0', '45293', '0', '32829', '32889', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14775', 'Dark Elf Carrier', '1', '45293', '0', '32823', '32884', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14776', 'Giant', '0', '45351', '0', '34254', '33131', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14777', 'Giant', '2', '45351', '0', '34249', '33150', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14778', 'Giant', '0', '45351', '0', '34261', '33168', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14779', 'Giant', '2', '45351', '0', '34267', '33184', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14780', 'Giant', '0', '45351', '0', '34272', '33153', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14781', 'Giant', '2', '45351', '0', '34254', '33193', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14782', 'Giant', '0', '45351', '0', '34254', '33205', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14783', 'Giant', '2', '45351', '0', '34270', '33220', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14784', 'Giant', '0', '45351', '0', '34257', '33236', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14785', 'Giant', '2', '45351', '0', '34276', '33195', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14786', 'Giant', '0', '45351', '0', '34259', '33237', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14787', 'Giant', '2', '45351', '0', '34248', '33264', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14788', 'Giant', '0', '45351', '0', '34265', '33279', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14789', 'Giant', '2', '45351', '0', '34239', '33284', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14790', 'Giant', '0', '45351', '0', '34233', '33295', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14791', 'Giant', '2', '45351', '0', '34228', '33308', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14792', 'Giant', '0', '45351', '0', '34223', '33323', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14793', 'Giant', '2', '45351', '0', '34243', '33340', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14794', 'Giant', '0', '45351', '0', '34233', '33364', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14795', 'Giant', '2', '45351', '0', '34223', '33367', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14796', 'Giant', '0', '45351', '0', '34241', '33376', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14797', 'Giant', '2', '45351', '0', '34264', '33360', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14798', 'Giant', '0', '45351', '0', '34277', '33357', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14799', 'Giant', '2', '45351', '0', '34276', '33328', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14800', 'Giant', '0', '45351', '0', '34276', '33289', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14801', 'Giant', '2', '45351', '0', '34278', '33266', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14802', 'Giant', '0', '45351', '0', '34279', '33237', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14803', 'Giant', '2', '45351', '0', '34261', '33297', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14804', 'Giant', '0', '45351', '0', '34274', '33379', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14805', 'Giant', '2', '45351', '0', '34245', '33386', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14806', 'Giant', '0', '45351', '0', '34227', '33398', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14807', 'Giant', '2', '45351', '0', '34255', '33402', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14808', 'Giant', '0', '45351', '0', '34220', '33422', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14809', 'Giant', '2', '45351', '0', '34233', '33436', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14810', 'Giant', '0', '45351', '0', '34221', '33445', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14811', 'Giant', '2', '45351', '0', '34240', '33459', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14812', 'Giant', '0', '45351', '0', '34246', '33478', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14813', 'Giant', '2', '45351', '0', '34274', '33486', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14814', 'Giant', '0', '45351', '0', '34254', '33490', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14815', 'Giant', '2', '45351', '0', '34229', '33486', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14816', 'Giant', '0', '45351', '0', '34215', '33468', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14817', 'Giant', '2', '45351', '0', '34227', '33478', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14818', 'Giant', '0', '45351', '0', '34248', '33319', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14819', 'Giant', '2', '45351', '0', '34253', '33348', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14820', 'Giant', '0', '45351', '0', '34261', '33022', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14821', 'Giant', '2', '45351', '0', '34283', '32971', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14822', 'Giant', '0', '45351', '0', '34231', '32952', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14823', 'Giant', '2', '45351', '0', '34203', '32910', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14824', 'Giant', '0', '45351', '0', '34279', '32885', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14825', 'Giant', '2', '45351', '0', '34209', '32835', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14826', 'Giant', '0', '45351', '0', '34170', '32901', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14827', 'Giant', '2', '45351', '0', '34159', '33000', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14828', 'Giant', '0', '45351', '0', '34068', '33028', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14829', 'Giant', '2', '45351', '0', '34116', '33056', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14830', 'Giant', '0', '45351', '0', '34135', '33040', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14831', 'Giant', '2', '45351', '0', '34115', '33007', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14832', 'Werewolf', '0', '45355', '0', '32827', '33005', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14833', 'Werewolf', '1', '45355', '0', '32786', '33009', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14834', 'Werewolf', '0', '45355', '0', '32748', '32992', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14835', 'Werewolf', '1', '45355', '0', '32737', '32968', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14836', 'Werewolf', '0', '45355', '0', '32683', '32983', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14837', 'Werewolf', '1', '45355', '0', '32670', '32957', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14838', 'Werewolf', '0', '45355', '0', '32695', '32871', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14839', 'Werewolf', '1', '45355', '0', '32701', '32909', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14840', 'Werewolf', '0', '45355', '0', '32674', '32901', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14841', 'Werewolf', '1', '45355', '0', '32813', '32925', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14842', 'Werewolf', '0', '45355', '0', '32789', '32989', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14843', 'Werewolf', '1', '45355', '0', '32771', '32902', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14844', 'Werewolf', '0', '45355', '0', '32736', '32876', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14845', 'Werewolf', '1', '45355', '0', '32698', '32845', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14846', 'Werewolf', '0', '45355', '0', '32648', '32844', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14847', 'Werewolf', '1', '45355', '0', '32667', '32955', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14848', 'Werewolf', '0', '45355', '0', '32788', '33018', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14849', 'Werewolf', '1', '45355', '0', '32811', '32988', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14850', 'Werewolf', '0', '45355', '0', '32733', '32946', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14851', 'Werewolf', '1', '45355', '0', '32782', '32929', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14852', 'Dark Elf Beast Tamer', '0', '45356', '0', '32749', '32832', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14853', 'Dark Elf Beast Tamer', '2', '45356', '0', '32737', '32863', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14854', 'Dark Elf Beast Tamer', '0', '45356', '0', '32758', '32879', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14855', 'Dark Elf Beast Tamer', '2', '45356', '0', '32788', '32809', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14856', 'Dark Elf Beast Tamer', '0', '45356', '0', '32802', '32800', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14857', 'Dark Elf Beast Tamer', '2', '45356', '0', '32785', '32858', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14858', 'Dark Elf Beast Tamer', '0', '45356', '0', '32751', '32913', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14859', 'Dark Elf Beast Tamer', '2', '45356', '0', '32850', '32848', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14860', 'Dark Elf Beast Tamer', '0', '45356', '0', '32843', '32813', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14861', 'Dark Elf Beast Tamer', '2', '45356', '0', '32892', '32909', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14862', 'Dark Elf Beast Tamer', '0', '45356', '0', '32912', '32849', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14863', 'Dark Elf Beast Tamer', '2', '45356', '0', '32977', '32803', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14864', 'Dark Elf Beast Tamer', '0', '45356', '0', '32978', '32800', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14865', 'Dark Elf Beast Tamer', '2', '45356', '0', '32916', '32848', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14866', 'Dark Elf Beast Tamer', '0', '45356', '0', '32960', '32920', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14867', 'Dark Elf Beast Tamer', '2', '45356', '0', '32955', '32886', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14868', 'Dark Elf Beast Tamer', '0', '45356', '0', '33000', '32863', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14869', 'Dark Elf Beast Tamer', '2', '45356', '0', '33004', '32834', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14870', 'Dark Elf Beast Tamer', '0', '45356', '0', '33039', '32814', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14871', 'Dark Elf Beast Tamer', '2', '45356', '0', '33048', '32864', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14872', 'Dark Elf Beast Tamer', '0', '45356', '0', '33045', '32902', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14873', 'Dark Elf Beast Tamer', '2', '45356', '0', '32989', '32884', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14874', 'Black Tiger', '0', '45357', '0', '32905', '32743', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14875', 'Black Tiger', '2', '45357', '0', '32875', '32747', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14876', 'Black Tiger', '0', '45357', '0', '32864', '32749', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14877', 'Black Tiger', '2', '45357', '0', '32854', '32745', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14878', 'Black Tiger', '0', '45357', '0', '32807', '32753', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14879', 'Black Tiger', '2', '45357', '0', '32793', '32747', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14880', 'Black Tiger', '0', '45357', '0', '32807', '32750', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14881', 'Black Tiger', '2', '45357', '0', '32818', '32747', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14882', 'Black Tiger', '0', '45357', '0', '32835', '32744', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14883', 'Arachnevil', '1', '45358', '0', '32839', '32999', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14884', 'Arachnevil', '0', '45358', '0', '32836', '33008', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14885', 'Arachnevil', '1', '45358', '0', '32798', '33002', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14886', 'Arachnevil', '0', '45358', '0', '33790', '32998', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14887', 'Arachnevil', '1', '45358', '0', '32775', '32990', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14888', 'Arachnevil', '0', '45358', '0', '32765', '32990', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14889', 'Arachnevil', '1', '45358', '0', '32737', '32993', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14890', 'Arachnevil', '0', '45358', '0', '32733', '32985', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14891', 'Arachnevil', '1', '45358', '0', '32712', '32975', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14892', 'Arachnevil', '0', '45358', '0', '32703', '32970', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14893', 'Arachnevil', '1', '45358', '0', '32676', '32980', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14894', 'Arachnevil', '0', '45358', '0', '32667', '33001', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14895', 'Arachnevil', '1', '45358', '0', '32651', '33005', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14896', 'Arachnevil', '0', '45358', '0', '32652', '32978', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14897', 'Arachnevil', '1', '45358', '0', '32653', '32963', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14898', 'Arachnevil', '0', '45358', '0', '32679', '32946', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14899', 'Arachnevil', '1', '45358', '0', '32670', '32926', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14900', 'Arachnevil', '0', '45358', '0', '32647', '32922', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14901', 'Arachnevil', '1', '45358', '0', '32666', '32898', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14902', 'Arachnevil', '0', '45358', '0', '32666', '32875', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14903', 'Arachnevil', '1', '45358', '0', '32652', '32849', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14904', 'Arachnevil', '0', '45358', '0', '32671', '32867', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14905', 'Arachnevil', '1', '45358', '0', '32687', '32861', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14906', 'Arachnevil', '0', '45358', '0', '32717', '32802', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14907', 'Arachnevil', '1', '45358', '0', '32712', '32901', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14908', 'Arachnevil', '0', '45358', '0', '32691', '32906', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14909', 'Arachnevil', '1', '45358', '0', '32693', '32922', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14910', 'Arachnevil', '0', '45358', '0', '32702', '32938', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14911', 'Arachnevil', '1', '45358', '0', '32724', '32955', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14912', 'Arachnevil', '0', '45358', '0', '32761', '32930', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14913', 'Arachnevil', '1', '45358', '0', '32771', '32944', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14914', 'Arachnevil', '0', '45358', '0', '32753', '32951', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14915', 'Arachnevil', '1', '45358', '0', '32765', '32977', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14916', 'Arachnevil', '0', '45358', '0', '32792', '32961', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14917', 'Arachnevil', '1', '45358', '0', '32814', '32943', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14918', 'Arachnevil', '0', '45358', '0', '32813', '32917', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14919', 'Arachnevil', '1', '45358', '0', '32822', '32965', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14920', 'Arachnevil', '0', '45358', '0', '32811', '32982', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14921', 'Arachnevil', '1', '45358', '0', '32848', '32953', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14922', 'Arachnevil', '0', '45358', '0', '32664', '32882', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14923', 'Arachnevil', '1', '45358', '0', '32789', '32981', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14924', 'Arachnevil', '0', '45358', '0', '32805', '32924', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14925', 'Astagio', '2', '45359', '0', '33686', '32353', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14926', 'Astagio', '0', '45359', '0', '33679', '32360', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14927', 'Astagio', '2', '45359', '0', '33680', '32325', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14928', 'Astagio', '0', '45359', '0', '33658', '32309', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14929', 'Astagio', '2', '45359', '0', '33636', '32294', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14930', 'Astagio', '0', '45359', '0', '33684', '32303', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14931', 'Astagio', '2', '45359', '0', '33714', '32297', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14932', 'Astagio', '0', '45359', '0', '33708', '32276', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14933', 'Astagio', '2', '45359', '0', '33738', '32265', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14934', 'Astagio', '0', '45359', '0', '33724', '32326', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14935', 'Subterranean Great King Worm', '2', '45360', '0', '32788', '32935', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14936', 'Subterranean Great King Worm', '1', '45360', '0', '32762', '32962', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14937', 'Subterranean Great King Worm', '2', '45360', '0', '32754', '32933', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14938', 'Subterranean Great King Worm', '1', '45360', '0', '32778', '32968', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14939', 'Subterranean Great King Worm', '2', '45360', '0', '32779', '33009', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14940', 'Subterranean Great King Worm', '1', '45360', '0', '32753', '33038', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15090', 'Cockatrice', '0', '45361', '0', '33307', '32340', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15091', 'Cockatrice', '2', '45361', '0', '33365', '32327', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15092', 'Cockatrice', '0', '45361', '0', '33351', '32333', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15093', 'Cockatrice', '2', '45361', '0', '33354', '32358', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15094', 'Cockatrice', '0', '45361', '0', '33318', '32351', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15095', 'Cockatrice', '2', '45361', '0', '33360', '32403', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15096', 'Cockatrice', '0', '45361', '0', '33367', '32364', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15097', 'Cockatrice', '2', '45361', '0', '33391', '32371', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15098', 'Cockatrice', '0', '45361', '0', '33382', '32314', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15099', 'Cockatrice', '2', '45361', '0', '33364', '32290', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15100', 'Cockatrice', '0', '45361', '0', '33343', '32314', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15101', 'Cockatrice', '2', '45361', '0', '33355', '32275', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15102', 'Cockatrice', '0', '45362', '0', '32700', '32705', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15103', 'Cockatrice', '1', '45362', '0', '32693', '32700', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15104', 'Cockatrice', '0', '45362', '0', '32630', '32730', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15105', 'Cockatrice', '1', '45362', '0', '32654', '32779', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15106', 'Dark Elementalist', '0', '45363', '0', '32932', '32749', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15107', 'Dark Elementalist', '2', '45363', '0', '32943', '32751', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15108', 'Dark Elementalist', '0', '45363', '0', '32956', '32753', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15109', 'Dark Elementalist', '2', '45363', '0', '32966', '32724', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15110', 'Dark Elementalist', '0', '45363', '0', '32964', '32713', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15111', 'Dark Elementalist', '2', '45363', '0', '32952', '32708', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15112', 'Dark Elementalist', '0', '45363', '0', '32961', '32697', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15113', 'Dark Elementalist', '2', '45363', '0', '32970', '32695', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15114', 'Dark Elementalist', '0', '45363', '0', '32975', '32699', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15115', 'Dark Elementalist', '2', '45363', '0', '32968', '32711', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15116', 'Dark Elf', '0', '45364', '0', '32701', '32708', '5', '5', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15117', 'Dark Elf', '1', '45364', '0', '32711', '32759', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15118', 'Dark Elf', '0', '45364', '0', '32692', '32774', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15119', 'Dark Elf', '1', '45364', '0', '32640', '32790', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15120', 'Dark Elf', '0', '45364', '0', '32661', '32788', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15121', 'Dark Elf', '1', '45364', '0', '32626', '32747', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15122', 'Dark Elf', '0', '45364', '0', '32644', '32708', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15123', 'Dark Elf', '1', '45364', '0', '32656', '32730', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15124', 'Dark Elf', '0', '45364', '0', '32679', '32727', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15125', 'Dark Elf', '1', '45364', '0', '32668', '32745', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15126', 'Dark Elf', '0', '45364', '0', '32703', '32713', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15127', 'Dark Elf', '1', '45364', '0', '32848', '32899', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15128', 'Dark Elf', '0', '45364', '0', '32873', '32885', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15129', 'Dark Elf', '1', '45364', '0', '32881', '32900', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15130', 'Dark Elf', '0', '45364', '0', '32887', '32922', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15131', 'Dark Elf', '1', '45364', '0', '32872', '32949', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15132', 'Dark Elf', '0', '45364', '0', '32881', '32949', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15133', 'Dark Elf', '1', '45364', '0', '32861', '32934', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15134', 'Dark Elf', '0', '45364', '0', '32861', '32924', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15135', 'Dark Elf', '1', '45364', '0', '32906', '32881', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15136', 'Dark Elf', '0', '45364', '0', '32916', '32880', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15137', 'Dark Elf', '1', '45364', '0', '32911', '32907', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15138', 'Dark Elf', '0', '45364', '0', '32916', '32927', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15139', 'Dark Elf', '1', '45364', '0', '32871', '32864', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15140', 'Dark Elf', '0', '45364', '0', '32861', '32845', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15141', 'Dark Elf', '1', '45364', '0', '32894', '32835', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15142', 'Dark Elf', '0', '45364', '0', '32924', '32871', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15143', 'Dark Elf', '1', '45364', '0', '32944', '32865', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15144', 'Dark Elf', '0', '45364', '0', '32925', '32811', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15145', 'Dark Elf', '1', '45364', '0', '32931', '32774', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15146', 'Dark Elf', '0', '45364', '0', '32951', '32780', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15147', 'Dark Elf', '1', '45364', '0', '32900', '32789', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15148', 'Dark Elf', '0', '45364', '0', '32866', '32801', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15149', 'Dark Elf', '1', '45364', '0', '32862', '32832', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15150', 'Dark Elf', '0', '45364', '0', '32920', '32753', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15151', 'Dark Elf', '1', '45364', '0', '32887', '32806', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15152', 'Dark Elf', '0', '45364', '0', '32889', '32878', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15153', 'Dark Elf', '1', '45364', '0', '32875', '32984', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15154', 'Dark Elf', '0', '45364', '0', '32860', '32987', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15155', 'Dark Elf', '1', '45364', '0', '32829', '32938', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15156', 'Dark Elf', '0', '45364', '0', '32851', '32826', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15157', 'Dark Elf', '1', '45364', '0', '32843', '32957', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15158', 'Dark Elf', '0', '45364', '0', '32888', '32966', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15159', 'Dark Elf', '1', '45364', '0', '32757', '32941', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15160', 'Dark Elf', '0', '45364', '0', '32745', '32948', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15161', 'Dark Elf', '1', '45364', '0', '32754', '32959', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15162', 'Dark Elf', '0', '45364', '0', '32762', '32969', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15163', 'Dark Elf', '1', '45364', '0', '32772', '32966', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15164', 'Dark Elf', '0', '45364', '0', '32781', '32960', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15165', 'Dark Elf', '1', '45364', '0', '32795', '32948', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15166', 'Dark Elf', '0', '45364', '0', '32795', '32936', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15167', 'Dark Elf', '1', '45364', '0', '32792', '32929', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15168', 'Dark Elf', '0', '45364', '0', '32786', '32919', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15169', 'Dark Elf', '1', '45364', '0', '32797', '32917', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15170', 'Dark Elf', '0', '45364', '0', '32794', '32950', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15171', 'Dark Elf', '1', '45364', '0', '32794', '32950', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15172', 'Dark Elf', '0', '45364', '0', '32892', '32826', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15173', 'Dark Elf', '1', '45364', '0', '32891', '32718', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15174', 'Dark Elf', '0', '45364', '0', '32766', '32742', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15175', 'Dark Elf', '1', '45364', '0', '32666', '32749', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15176', 'Dark Elf', '0', '45364', '0', '32667', '32719', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15177', 'Dark Elf', '1', '45364', '0', '32710', '32749', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15178', 'Dark Elf', '0', '45364', '0', '32879', '32892', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15179', 'Dark Elf', '1', '45364', '0', '32858', '32935', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15180', 'Dark Elf', '0', '45364', '0', '32895', '32948', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15181', 'Dark Elf', '1', '45364', '0', '32915', '32930', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15182', 'Dark Elf', '0', '45364', '0', '32942', '32817', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15183', 'Dark Elf', '1', '45364', '0', '32814', '32898', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15184', 'Dark Elf', '0', '45364', '0', '32662', '32853', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15185', 'Dark Elf', '1', '45364', '0', '32659', '32900', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15186', 'Dark Elf', '0', '45364', '0', '32664', '33010', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15187', 'Dark Elf', '1', '45364', '0', '32776', '33010', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15188', 'Dark Elf', '0', '45364', '0', '32770', '32977', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15189', 'Dark Elf', '1', '45364', '0', '32686', '32917', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15190', 'Dark Elf', '0', '45364', '0', '32758', '32928', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15191', 'Dark Elf', '1', '45364', '0', '32806', '32962', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15192', 'Lava Golem', '0', '45365', '0', '33664', '32415', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15193', 'Lava Golem', '2', '45365', '0', '33600', '32394', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15194', 'Lava Golem', '0', '45365', '0', '33607', '32421', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15195', 'Lava Golem', '2', '45365', '0', '33620', '32355', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15196', 'Lava Golem', '0', '45365', '0', '33649', '32381', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15197', 'Lava Golem', '2', '45365', '0', '33568', '32385', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15198', 'Lava Golem', '0', '45365', '0', '33559', '32416', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15199', 'Lava Golem', '2', '45365', '0', '33544', '32386', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15200', 'Lava Golem', '0', '45365', '0', '33532', '32365', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15201', 'Lava Golem', '2', '45365', '0', '33529', '32343', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15202', 'Lava Golem', '0', '45365', '0', '33510', '32304', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15203', 'Lava Golem', '2', '45365', '0', '33549', '32286', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15204', 'Lava Golem', '0', '45365', '0', '33558', '32335', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15205', 'Lava Golem', '2', '45365', '0', '33590', '32329', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15206', 'Lava Golem', '0', '45365', '0', '33590', '32371', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15207', 'Lava Golem', '2', '45365', '0', '33569', '32307', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15208', 'Lava Golem', '0', '45365', '0', '33558', '32281', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15209', 'Lava Golem', '2', '45365', '0', '33540', '32233', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15210', 'Lava Golem', '0', '45365', '0', '33583', '32267', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15211', 'Lava Golem', '2', '45365', '0', '33603', '32309', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15212', 'Lava Golem', '0', '45365', '0', '33620', '32258', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15213', 'Lava Golem', '2', '45365', '0', '33616', '32220', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15214', 'Lava Golem', '0', '45365', '0', '33632', '32230', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15215', 'Lava Golem', '2', '45365', '0', '33654', '32267', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15216', 'Lava Golem', '0', '45365', '0', '33653', '32243', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15217', 'Lava Golem', '2', '45365', '0', '33602', '32265', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15218', 'Lava Golem', '0', '45365', '0', '33704', '32298', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15219', 'Lava Golem', '2', '45365', '0', '33725', '32285', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15220', 'Lava Golem', '0', '45365', '0', '33731', '32274', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15221', 'Lava Golem', '2', '45365', '0', '33716', '32237', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15222', 'Lava Golem', '0', '45365', '0', '33760', '32267', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15223', 'Lava Golem', '2', '45365', '0', '33768', '32288', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15224', 'Lava Golem', '0', '45365', '0', '33764', '32330', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15225', 'Lava Golem', '2', '45365', '0', '33727', '32315', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15226', 'Lava Golem', '0', '45365', '0', '33721', '32351', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15227', 'Lava Golem', '2', '45365', '0', '33734', '32334', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15228', 'Lava Golem', '0', '45365', '0', '33756', '32383', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15229', 'Lava Golem', '2', '45365', '0', '33767', '32333', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15230', 'Lava Golem', '0', '45365', '0', '3729', '32403', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15231', 'Lava Golem', '2', '45365', '0', '33761', '32417', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15232', 'Lava Golem', '0', '45365', '0', '33746', '32428', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15233', 'Lava Golem', '2', '45365', '0', '33702', '32412', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15234', 'Lava Golem', '0', '45365', '0', '33704', '32376', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15235', 'Lava Golem', '2', '45365', '0', '33635', '32340', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15236', 'Lava Golem', '0', '45365', '0', '33658', '32361', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15237', 'Lava Golem', '2', '45365', '0', '33670', '32397', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15238', 'Lava Golem', '0', '45365', '0', '33708', '32355', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15239', 'Lava Golem', '2', '45365', '0', '33660', '32323', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15240', 'Lava Golem', '0', '45365', '0', '33631', '32290', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15241', 'Lava Golem', '2', '45365', '0', '33681', '32310', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15242', 'Lava Golem', '0', '45365', '0', '33702', '32344', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15243', 'Black Ent', '1', '45367', '0', '32823', '32884', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15244', 'Black Ent', '0', '45367', '0', '32816', '32875', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15245', 'Black Ent', '1', '45367', '0', '32809', '32856', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15246', 'Black Ent', '0', '45367', '0', '32798', '32867', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15247', 'Black Ent', '1', '45367', '0', '32796', '32899', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15248', 'Black Ent', '0', '45367', '0', '32802', '32906', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15249', 'Black Ent', '1', '45367', '0', '32783', '32921', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15250', 'Black Ent', '0', '45367', '0', '32769', '32937', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15251', 'Black Ent', '1', '45367', '0', '32750', '32936', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15252', 'Black Ent', '0', '45367', '0', '32738', '32936', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15253', 'Black Ent', '1', '45367', '0', '32747', '32958', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15254', 'Black Ent', '0', '45367', '0', '32764', '32966', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15255', 'Black Ent', '1', '45367', '0', '32776', '32950', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15256', 'Black Ent', '0', '45367', '0', '32781', '32931', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15257', 'Black Ent', '1', '45367', '0', '32798', '32929', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15258', 'Black Ent', '0', '45367', '0', '32805', '32946', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15259', 'Black Ent', '1', '45367', '0', '32799', '32965', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15260', 'Black Ent', '0', '45367', '0', '32788', '32985', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15261', 'Black Ent', '1', '45367', '0', '32808', '32980', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15262', 'Black Ent', '0', '45367', '0', '32814', '32966', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15263', 'Black Ent', '1', '45367', '0', '32824', '32945', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15264', 'Black Ent', '0', '45367', '0', '32828', '32924', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15265', 'Black Ent', '1', '45367', '0', '32842', '32937', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15266', 'Black Ent', '0', '45367', '0', '32845', '32951', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15267', 'Black Ent', '1', '45367', '0', '32837', '32961', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15268', 'Black Ent', '0', '45367', '0', '32851', '32964', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15269', 'Black Ent', '1', '45367', '0', '32869', '32961', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15270', 'Black Ent', '0', '45367', '0', '32883', '32960', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15271', 'Black Ent', '1', '45367', '0', '32899', '32940', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15272', 'Black Ent', '0', '45367', '0', '32909', '32938', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15273', 'Black Ent', '1', '45367', '0', '32910', '32938', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15274', 'Black Ent', '0', '45367', '0', '32912', '32940', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15275', 'Black Ent', '1', '45367', '0', '32921', '32936', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15276', 'Black Ent', '0', '45367', '0', '32918', '32899', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15277', 'Black Ent', '1', '45367', '0', '32906', '32898', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15278', 'Black Ent', '0', '45367', '0', '32899', '32899', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15279', 'Black Ent', '1', '45367', '0', '32886', '32902', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15280', 'Black Ent', '0', '45367', '0', '32887', '32883', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15281', 'Black Ent', '1', '45367', '0', '32860', '32864', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15282', 'Black Ent', '0', '45367', '0', '32862', '32853', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15283', 'Black Ent', '1', '45367', '0', '32843', '32865', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15284', 'Black Ent', '0', '45367', '0', '32847', '32885', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15285', 'Black Ent', '1', '45367', '0', '32842', '32900', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15286', 'Beast Summoner', '0', '45368', '0', '32843', '32907', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15287', 'Beast Summoner', '1', '45368', '0', '32856', '32914', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15288', 'Beast Summoner', '0', '45368', '0', '32862', '32922', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15289', 'Beast Summoner', '1', '45368', '0', '32868', '32908', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15290', 'Beast Summoner', '0', '45368', '0', '32870', '32898', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15291', 'Beast Summoner', '1', '45368', '0', '32874', '32889', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15292', 'Beast Summoner', '0', '45368', '0', '32864', '32882', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15293', 'Beast Summoner', '1', '45368', '0', '32861', '32870', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15294', 'Beast Summoner', '0', '45368', '0', '32845', '32864', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15295', 'Beast Summoner', '1', '45368', '0', '32832', '32878', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15296', 'Beast Summoner', '0', '45368', '0', '32821', '32899', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15297', 'Beast Summoner', '1', '45368', '0', '32862', '32897', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15298', 'Beast Summoner', '0', '45368', '0', '32880', '32894', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15299', 'Beast Summoner', '1', '45368', '0', '32890', '32881', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15300', 'Beast Summoner', '0', '45368', '0', '32891', '32867', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15301', 'Beast Summoner', '1', '45368', '0', '32898', '32858', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15302', 'Beast Summoner', '0', '45368', '0', '32894', '32849', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15303', 'Beast Summoner', '1', '45368', '0', '32900', '32899', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15304', 'Beast Summoner', '0', '45368', '0', '32892', '32892', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15305', 'Beast Summoner', '1', '45368', '0', '32879', '32891', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15306', 'Beast Summoner', '0', '45368', '0', '32891', '32908', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15307', 'Beast Summoner', '1', '45368', '0', '32899', '32914', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15308', 'Beast Summoner', '0', '45368', '0', '32893', '32924', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15309', 'Beast Summoner', '1', '45368', '0', '32893', '32935', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15310', 'Beast Summoner', '0', '45368', '0', '32902', '32941', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15311', 'Beast Summoner', '1', '45368', '0', '32899', '32939', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15312', 'Beast Summoner', '0', '45368', '0', '32898', '32949', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15313', 'Beast Summoner', '1', '45368', '0', '32881', '32950', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15314', 'Beast Summoner', '0', '45368', '0', '32862', '32949', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15315', 'Beast Summoner', '1', '45368', '0', '32856', '32931', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15327', 'Owlbear', '1', '45371', '0', '32661', '32867', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15328', 'Owlbear', '0', '45371', '0', '32656', '32858', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15329', 'Owlbear', '1', '45371', '0', '32694', '32864', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15330', 'Owlbear', '0', '45371', '0', '32684', '32904', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15331', 'Owlbear', '1', '45371', '0', '32705', '32947', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15332', 'Owlbear', '0', '45371', '0', '32713', '32957', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15333', 'Owlbear', '1', '45371', '0', '32779', '32934', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15334', 'Owlbear', '0', '45371', '0', '32753', '32980', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15335', 'Owlbear', '1', '45371', '0', '32823', '32955', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15336', 'Owlbear', '0', '45371', '0', '32718', '32981', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15337', 'Owlbear', '1', '45371', '0', '32690', '32945', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15338', 'Owlbear', '0', '45371', '0', '32673', '32911', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15339', 'Owlbear', '1', '45371', '0', '32732', '32900', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15340', 'Owlbear', '0', '45371', '0', '32748', '32908', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15341', 'Owlbear', '1', '45371', '0', '32739', '32917', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15342', 'Owlbear', '0', '45371', '0', '32750', '32947', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15343', 'Owlbear', '1', '45371', '0', '32718', '32926', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15344', 'Owlbear', '0', '45371', '0', '32700', '32953', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15345', 'Owlbear', '1', '45371', '0', '32657', '32926', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15346', 'Owlbear', '0', '45371', '0', '32645', '32974', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15347', 'Owlbear', '1', '45371', '0', '32674', '32991', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15348', 'Iron Golem', '0', '45372', '0', '34242', '32388', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15349', 'Iron Golem', '2', '45372', '0', '34243', '32350', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15350', 'Iron Golem', '0', '45372', '0', '34232', '32355', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15351', 'Iron Golem', '2', '45372', '0', '34217', '32386', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15352', 'Iron Golem', '0', '45372', '0', '34199', '32280', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15353', 'Iron Golem', '2', '45372', '0', '34251', '32245', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15354', 'Iron Golem', '0', '45372', '0', '34269', '32188', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15355', 'Iron Golem', '2', '45372', '0', '34243', '32194', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15356', 'Iron Golem', '0', '45372', '0', '34230', '32213', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15357', 'Iron Golem', '2', '45372', '0', '34204', '32193', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15358', 'Iron Golem', '0', '45372', '0', '34204', '32205', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15359', 'Iron Golem', '2', '45372', '0', '34271', '32383', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15360', 'Iron Golem', '0', '45372', '0', '34158', '32190', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15361', 'Iron Golem', '2', '45372', '0', '34137', '32196', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15362', 'Iron Golem', '0', '45372', '0', '34109', '32236', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15472', 'Subterranean Lizardman', '1', '45374', '0', '32771', '32905', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15473', 'Subterranean Lizardman', '2', '45374', '0', '32753', '32912', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15474', 'Subterranean Lizardman', '1', '45374', '0', '32778', '32921', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15475', 'Subterranean Lizardman', '2', '45374', '0', '32733', '32922', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15476', 'Subterranean Lizardman', '1', '45374', '0', '32731', '32934', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15477', 'Subterranean Lizardman', '2', '45374', '0', '32772', '32974', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15515', 'Lizardman', '1', '45377', '0', '32876', '32850', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15516', 'Lizardman', '0', '45377', '0', '32878', '32840', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15517', 'Lizardman', '1', '45377', '0', '32878', '32980', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15518', 'Lizardman', '0', '45377', '0', '32919', '32909', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15519', 'Lizardman', '1', '45377', '0', '32734', '32989', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15520', 'Ghast', '0', '45378', '0', '32818', '33010', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15521', 'Ghast', '1', '45378', '0', '32776', '33002', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15522', 'Ghast', '0', '45378', '0', '32694', '32973', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15523', 'Ghast', '1', '45378', '0', '32673', '32994', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15524', 'Ghast', '0', '45378', '0', '32677', '32936', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15525', 'Ghast', '1', '45378', '0', '32655', '32928', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15526', 'Ghast', '0', '45378', '0', '32663', '32851', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15527', 'Ghast', '1', '45378', '0', '32708', '32876', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15528', 'Ghast', '0', '45378', '0', '32665', '32914', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15529', 'Ghast', '1', '45378', '0', '32739', '32937', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15530', 'Ghast', '0', '45378', '0', '32741', '32970', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15531', 'Ghast', '1', '45378', '0', '32804', '32950', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15532', 'Ghast', '0', '45378', '0', '32695', '32954', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15533', 'Ghast', '1', '45378', '0', '32691', '32931', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15534', 'Ghast', '0', '45378', '0', '32720', '32898', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15535', 'Ghast', '1', '45378', '0', '32755', '32889', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15536', 'Ghast', '0', '45378', '0', '32743', '32924', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15537', 'Ghast', '1', '45378', '0', '32742', '32952', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15538', 'Ghast', '0', '45378', '0', '32695', '32915', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15539', 'Ghast', '1', '45378', '0', '32837', '32967', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15540', 'Ghast', '0', '45378', '0', '32649', '32913', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15541', 'Ghast', '1', '45378', '0', '32825', '32992', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15542', 'Ghast', '0', '45378', '0', '32744', '32891', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15543', 'Ghast', '1', '45378', '0', '32833', '32924', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15544', 'Ghast', '1', '45378', '0', '32788', '33019', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15701', 'Basilisk', '2', '45381', '0', '32809', '33204', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15702', 'Basilisk', '0', '45381', '0', '32787', '33210', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15703', 'Basilisk', '2', '45381', '0', '32847', '33302', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15704', 'Basilisk', '0', '45381', '0', '32714', '33188', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15705', 'Basilisk', '2', '45381', '0', '32841', '33200', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15706', 'Basilisk', '0', '45381', '0', '32790', '33123', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15707', 'Basilisk', '2', '45381', '0', '32873', '33202', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15708', 'Basilisk', '0', '45381', '0', '32930', '33247', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15709', 'Subterranean Scormystic', '2', '45382', '0', '32730', '32863', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15710', 'Subterranean Scormystic', '1', '45382', '0', '32764', '32888', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15711', 'Subterranean Scormystic', '2', '45382', '0', '32745', '32924', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15712', 'Subterranean Scormystic', '1', '45382', '0', '32791', '32937', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15713', 'Subterranean Scormystic', '2', '45382', '0', '32743', '32923', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15714', 'Subterranean Scormystic', '1', '45382', '0', '32785', '32985', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15715', 'Subterranean Scormystic', '2', '45382', '0', '32757', '33049', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15716', 'Subterranean Scormystic', '1', '45382', '0', '32757', '33064', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15717', 'Subterranean Scormystic', '2', '45382', '0', '32734', '32950', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15718', 'Subterranean Scorpaitan', '1', '45383', '0', '32786', '32896', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15719', 'Subterranean Scorpaitan', '2', '45383', '0', '32735', '32870', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15720', 'Subterranean Scorpaitan', '1', '45383', '0', '32762', '32878', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15721', 'Subterranean Scorpaitan', '2', '45383', '0', '32788', '32918', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15722', 'Subterranean Scorpaitan', '1', '45383', '0', '32765', '32946', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15723', 'Subterranean Scorpaitan', '2', '45383', '0', '32778', '32990', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15724', 'Subterranean Scorpaitan', '1', '45383', '0', '32790', '32999', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15725', 'Subterranean Scorpaitan', '2', '45383', '0', '32744', '33033', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15726', 'Subterranean Scorpaitan', '1', '45383', '0', '32746', '32983', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15947', 'Ramia', '1', '45387', '0', '32838', '32895', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15948', 'Ramia', '0', '45387', '0', '32873', '32894', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15949', 'Ramia', '1', '45387', '0', '32887', '32922', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15950', 'Ramia', '0', '45387', '0', '32903', '32952', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15951', 'Ramia', '1', '45387', '0', '32844', '32945', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15952', 'Ramia', '0', '45387', '0', '32858', '32913', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15953', 'Ramia', '1', '45387', '0', '32857', '32906', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15954', 'Ramia', '0', '45387', '0', '32925', '32885', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15955', 'Ramia', '1', '45387', '0', '32922', '32905', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15956', 'Ramia', '0', '45387', '0', '32918', '32916', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15957', 'Ramia', '1', '45387', '0', '32902', '32924', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15958', 'Ramia', '0', '45387', '0', '32895', '32857', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15959', 'Ramia', '1', '45387', '0', '32867', '32835', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15960', 'Ramia', '0', '45387', '0', '32902', '32840', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15961', 'Ramia', '1', '45387', '0', '32931', '32852', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15962', 'Ramia', '0', '45387', '0', '32926', '32859', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15963', 'Ramia', '1', '45387', '0', '32929', '32881', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15964', 'Ramia', '0', '45387', '0', '32949', '32875', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15965', 'Ramia', '1', '45387', '0', '32949', '32844', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15966', 'Ramia', '0', '45387', '0', '32944', '32833', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15967', 'Ramia', '1', '45387', '0', '32920', '32803', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15968', 'Ramia', '0', '45387', '0', '32925', '32794', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15969', 'Ramia', '1', '45387', '0', '32933', '32785', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15970', 'Ramia', '0', '45387', '0', '32948', '32758', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15971', 'Ramia', '1', '45387', '0', '32957', '32763', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15972', 'Ramia', '0', '45387', '0', '32884', '32794', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15973', 'Ramia', '1', '45387', '0', '32863', '32816', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15974', 'Ramia', '0', '45387', '0', '32952', '32793', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15975', 'Ramia', '1', '45387', '0', '32907', '32785', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15976', 'Ramia', '0', '45387', '0', '32910', '32799', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15977', 'Ramia', '1', '45387', '0', '32875', '32818', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15978', 'Ramia', '0', '45387', '0', '32878', '32969', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15979', 'Ramia', '1', '45387', '0', '32886', '32980', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15980', 'Ramia', '0', '45387', '0', '32875', '32987', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15981', 'Ramia', '1', '45387', '0', '32836', '32965', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15982', 'Ramia', '0', '45387', '0', '32833', '32950', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15983', 'Ramia', '1', '45387', '0', '32837', '32928', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15984', 'Ramia', '0', '45387', '0', '32838', '32977', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15985', 'Ramia', '1', '45387', '0', '32831', '32972', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15986', 'Ramia', '0', '45387', '0', '32859', '32986', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15987', 'Ramia', '1', '45387', '0', '32881', '32985', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15988', 'Ramia', '0', '45387', '0', '32870', '32801', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15989', 'Ramia', '1', '45387', '0', '32889', '32863', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15990', 'Ramia', '0', '45387', '0', '32895', '32888', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15991', 'Ramia', '1', '45387', '0', '32855', '32920', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15992', 'Ramia', '0', '45387', '0', '32890', '32964', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15993', 'Ramia', '1', '45387', '0', '32900', '32927', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15994', 'Ramia', '0', '45387', '0', '32934', '32899', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15995', 'Ramia', '1', '45387', '0', '32831', '32890', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15996', 'Ramia', '0', '45387', '0', '32728', '32973', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15997', 'Ramia', '1', '45387', '0', '32823', '33010', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15998', 'Lycanthrope', '0', '45389', '0', '32759', '32873', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15999', 'Lycanthrope', '1', '45389', '0', '32719', '32938', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16000', 'Lycanthrope', '0', '45389', '0', '32675', '32896', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16001', 'Lycanthrope', '1', '45389', '0', '32728', '32898', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16002', 'Lycanthrope', '0', '45389', '0', '32779', '32958', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16003', 'Minotaur', '1', '45390', '0', '32707', '32736', '5', '5', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16004', 'Minotaur', '0', '45390', '0', '32733', '32734', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16005', 'Minotaur', '1', '45390', '0', '32721', '32736', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16006', 'Minotaur', '0', '45390', '0', '32710', '32748', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16007', 'Minotaur', '1', '45390', '0', '32695', '32764', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16008', 'Minotaur', '0', '45390', '0', '32679', '32769', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16009', 'Minotaur', '1', '45390', '0', '32657', '32785', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16010', 'Minotaur', '0', '45390', '0', '32643', '32782', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16011', 'Minotaur', '1', '45390', '0', '32636', '32740', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16012', 'Minotaur', '0', '45390', '0', '32642', '32726', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16013', 'Minotaur', '1', '45390', '0', '32641', '32717', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16014', 'Minotaur', '0', '45390', '0', '32653', '32718', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16015', 'Minotaur', '1', '45390', '0', '32668', '32726', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16016', 'Minotaur', '0', '45390', '0', '32672', '32712', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16017', 'Minotaur', '1', '45390', '0', '32683', '32725', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16018', 'Minotaur', '0', '45390', '0', '32686', '32742', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16019', 'Minotaur', '1', '45390', '0', '32669', '32753', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16020', 'Minotaur', '0', '45390', '0', '32665', '32746', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16021', 'Minotaur', '1', '45390', '0', '32695', '32744', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16022', 'Minotaur', '0', '45390', '0', '32697', '32734', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16023', 'Minotaur', '1', '45390', '0', '32714', '32729', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16024', 'Minotaur', '0', '45390', '0', '32715', '32713', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16025', 'Minotaur', '1', '45390', '0', '32733', '32722', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16026', 'Minotaur', '0', '45390', '0', '32714', '32723', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16050', 'Bugbear', '0', '45392', '0', '32769', '32750', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16051', 'Bugbear', '1', '45392', '0', '32781', '32726', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16052', 'Bugbear', '0', '45392', '0', '32804', '32706', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16053', 'Bugbear', '1', '45392', '0', '32812', '32701', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16054', 'Bugbear', '0', '45392', '0', '32841', '32714', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16055', 'Bugbear', '1', '45392', '0', '32844', '32727', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16056', 'Bugbear', '0', '45392', '0', '32837', '32727', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16057', 'Bugbear', '1', '45392', '0', '32822', '32725', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16058', 'Bugbear', '0', '45392', '0', '32799', '32721', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16059', 'Bugbear', '1', '45392', '0', '32783', '32738', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16060', 'Bugbear', '0', '45392', '0', '32782', '32746', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16061', 'Bugbear', '1', '45392', '0', '32757', '32747', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16062', 'Bugbear', '0', '45392', '0', '32779', '32756', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16063', 'Bugbear', '1', '45392', '0', '32808', '32755', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16064', 'Bugbear', '0', '45392', '0', '32809', '32763', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16065', 'Bugbear', '1', '45392', '0', '32818', '32746', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16066', 'Bugbear', '0', '45392', '0', '32826', '32739', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16067', 'Bugbear', '1', '45392', '0', '32850', '32738', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16068', 'Bugbear', '0', '45392', '0', '32847', '32747', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16069', 'Bugbear', '1', '45392', '0', '32832', '32754', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16070', 'Bugbear', '0', '45392', '0', '32822', '32759', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16071', 'Bugbear', '1', '45392', '0', '32832', '32767', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16072', 'Bugbear', '0', '45392', '0', '32850', '32767', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16073', 'Bugbear', '1', '45392', '0', '32856', '32753', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16074', 'Bugbear', '0', '45392', '0', '32882', '32728', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16075', 'Bugbear', '1', '45392', '0', '32889', '32708', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16076', 'Bugbear', '0', '45392', '0', '32855', '32717', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16077', 'Bugbear', '1', '45392', '0', '32844', '32782', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16078', 'Bugbear', '0', '45392', '0', '32946', '32712', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16079', 'Bugbear', '1', '45392', '0', '32907', '32771', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16080', 'Bugbear', '0', '45392', '0', '32922', '32810', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16081', 'Bugbear', '1', '45392', '0', '32883', '32753', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16082', 'Bugbear', '0', '45392', '0', '32872', '32728', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16083', 'Bugbear', '1', '45392', '0', '32809', '32746', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16084', 'Bugbear', '0', '45392', '0', '32787', '32759', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16085', 'Bugbear', '1', '45392', '0', '32806', '32726', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16086', 'Bugbear', '0', '45392', '0', '32821', '32766', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16087', 'Bugbear', '1', '45392', '0', '32948', '32851', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16088', 'Bugbear', '0', '45392', '0', '32946', '32736', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16484', 'Dire Wolf', '0', '45237', '0', '32550', '32799', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16485', 'Dire Wolf', '2', '45237', '0', '32568', '32799', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16486', 'Dire Wolf', '0', '45237', '0', '32575', '32806', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16487', 'Dire Wolf', '2', '45237', '0', '32590', '32800', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16488', 'Dire Wolf', '0', '45237', '0', '32606', '32796', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16489', 'Dark Elf Ranger', '2', '45397', '0', '32694', '32798', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16490', 'Dark Elf Ranger', '0', '45397', '0', '32684', '32797', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16491', 'Dark Elf Ranger', '2', '45397', '0', '32679', '32802', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16492', 'Dark Elf Ranger', '0', '45397', '0', '32667', '32802', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16493', 'Dark Elf Ranger', '2', '45397', '0', '32661', '32799', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16494', 'Dark Elf Ranger', '0', '45397', '0', '32666', '32802', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16495', 'Dark Elf Ranger', '2', '45397', '0', '32677', '32802', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16496', 'Dark Elf Soldier', '0', '45398', '0', '32676', '32801', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16497', 'Dark Elf Soldier', '2', '45398', '0', '32669', '32802', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16498', 'Dark Elf Soldier', '0', '45398', '0', '32651', '32797', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16499', 'Dark Elf Soldier', '2', '45398', '0', '32655', '32802', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16500', 'Dark Elf Soldier', '0', '45398', '0', '32669', '32803', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16553', 'Arachnevil Elder', '1', '45401', '0', '32789', '32907', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16554', 'Arachnevil Elder', '0', '45401', '0', '32716', '32853', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16555', 'Arachnevil Elder', '1', '45401', '0', '32650', '32996', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16556', 'Arachnevil Elder', '0', '45401', '0', '32710', '32973', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16557', 'Arachnevil Elder', '1', '45401', '0', '32742', '32961', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16558', 'Arachnevil Elder', '0', '45401', '0', '32740', '32918', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17000', 'Dark Elf Soldier', '0', '45404', '0', '32790', '32850', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17001', 'Dark Elf Soldier', '2', '45404', '0', '32783', '32852', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17002', 'Dark Elf Soldier', '0', '45404', '0', '32789', '32845', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17003', 'Dark Elf Soldier', '2', '45404', '0', '32760', '32917', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17004', 'Dark Elf Soldier', '0', '45404', '0', '32791', '32806', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17005', 'Dark Elf Soldier', '2', '45404', '0', '32798', '32809', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17006', 'Dark Elf Soldier', '0', '45404', '0', '32793', '32807', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17007', 'Dark Elf Soldier', '2', '45404', '0', '32849', '32928', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17008', 'Dark Elf Soldier', '0', '45404', '0', '32840', '32928', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17009', 'Dark Elf Soldier', '2', '45404', '0', '32883', '32902', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17010', 'Dark Elf Soldier', '0', '45404', '0', '32940', '32896', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17011', 'Dark Elf Soldier', '2', '45404', '0', '32892', '32929', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17012', 'Dark Elf Soldier', '0', '45404', '0', '32936', '32911', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17013', 'Dark Elf Soldier', '2', '45404', '0', '32904', '32835', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17014', 'Dark Elf Soldier', '0', '45404', '0', '32944', '32834', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17015', 'Dark Elf Soldier', '2', '45404', '0', '32947', '32838', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17016', 'Dark Elf Soldier', '0', '45404', '0', '32971', '32830', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17017', 'Dark Elf Soldier', '2', '45404', '0', '32990', '32821', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17018', 'Dark Elf Soldier', '0', '45404', '0', '32987', '32826', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17019', 'Dark Elf Soldier', '2', '45404', '0', '32984', '32875', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17020', 'Dark Elf Soldier', '0', '45404', '0', '32998', '32867', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17021', 'Dark Elf Soldier', '2', '45404', '0', '32995', '32887', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17022', 'Dark Elf Soldier', '0', '45404', '0', '32984', '32892', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17023', 'Dark Elf Soldier', '2', '45404', '0', '32977', '32906', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17024', 'Dark Elf Soldier', '0', '45404', '0', '32976', '32848', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17025', 'Black Wizard', '1', '45405', '0', '32865', '32915', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17026', 'Black Wizard', '0', '45405', '0', '32861', '32905', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17027', 'Black Wizard', '1', '45405', '0', '32854', '32902', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17028', 'Black Wizard', '0', '45405', '0', '32862', '32891', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17029', 'Black Wizard', '1', '45405', '0', '32862', '32877', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17030', 'Black Wizard', '0', '45405', '0', '32863', '32870', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17031', 'Black Wizard', '1', '45405', '0', '32870', '32857', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17032', 'Black Wizard', '0', '45405', '0', '32882', '32853', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17033', 'Black Wizard', '1', '45405', '0', '32892', '32855', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17034', 'Black Wizard', '0', '45405', '0', '32898', '32852', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17035', 'Black Wizard', '1', '45405', '0', '32898', '32857', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17036', 'Black Wizard', '0', '45405', '0', '32897', '32859', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17037', 'Black Wizard', '1', '45405', '0', '32895', '32857', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17038', 'Black Wizard', '0', '45405', '0', '32893', '32860', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17039', 'Black Wizard', '1', '45405', '0', '32895', '32871', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17040', 'Black Wizard', '0', '45405', '0', '32895', '32882', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17041', 'Black Wizard', '1', '45405', '0', '32881', '32882', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17042', 'Black Wizard', '0', '45405', '0', '32892', '32893', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17043', 'Black Wizard', '1', '45405', '0', '32890', '32902', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17044', 'Black Wizard', '0', '45405', '0', '32890', '32909', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17045', 'Black Wizard', '1', '45405', '0', '32900', '32906', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17046', 'Black Wizard', '0', '45405', '0', '32895', '32918', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17047', 'Black Wizard', '1', '45405', '0', '32881', '32911', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17048', 'Black Wizard', '0', '45405', '0', '32893', '32903', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17049', 'Black Wizard', '1', '45405', '0', '32900', '32897', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17050', 'Black Wizard', '0', '45405', '0', '32894', '32923', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17051', 'Black Wizard', '1', '45405', '0', '32897', '32932', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17052', 'Black Wizard', '0', '45405', '0', '32901', '32938', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17053', 'Black Wizard', '1', '45405', '0', '32900', '32942', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17054', 'Black Wizard', '0', '45405', '0', '32901', '32940', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17055', 'Black Wizard', '1', '45405', '0', '32902', '32940', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17056', 'Black Wizard', '0', '45405', '0', '32901', '32945', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17057', 'Black Wizard', '1', '45405', '0', '32898', '32949', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17058', 'Black Wizard', '0', '45405', '0', '32894', '32953', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17059', 'Black Wizard', '1', '45405', '0', '32890', '32941', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17060', 'Black Wizard', '0', '45405', '0', '32890', '32894', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17061', 'Black Wizard', '1', '45405', '0', '32901', '32896', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17062', 'Black Wizard', '0', '45405', '0', '32886', '32873', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17572', 'Dark Elf Guard', '0', '45254', '0', '32688', '32803', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17573', 'Dark Elf Guard', '2', '45254', '0', '32697', '32795', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17574', 'Dark Elf Guard', '0', '45254', '0', '32710', '32785', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17575', 'Dark Elf Guard', '2', '45254', '0', '32720', '32782', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17576', 'Dark Elf Guard', '0', '45411', '0', '32737', '32852', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17577', 'Dark Elf Guard', '2', '45411', '0', '32753', '32848', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17578', 'Dark Elf Guard', '0', '45411', '0', '32750', '32873', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17579', 'Dark Elf Guard', '2', '45411', '0', '32781', '32869', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17580', 'Dark Elf Guard', '0', '45411', '0', '32807', '32847', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17581', 'Dark Elf Guard', '2', '45411', '0', '32789', '32839', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17582', 'Dark Elf Guard', '0', '45411', '0', '32859', '32851', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17583', 'Dark Elf Guard', '2', '45411', '0', '32868', '32850', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17584', 'Dark Elf Guard', '0', '45411', '0', '32896', '32881', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17585', 'Dark Elf Guard', '2', '45411', '0', '32860', '32797', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17586', 'Dark Elf Guard', '0', '45411', '0', '32868', '32805', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17587', 'Dark Elf Guard', '2', '45411', '0', '32917', '32798', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17588', 'Dark Elf Guard', '0', '45411', '0', '32936', '32798', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17589', 'Dark Elf Guard', '2', '45412', '0', '32750', '32832', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17590', 'Dark Elf Guard', '0', '45412', '0', '32757', '32851', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17591', 'Dark Elf Guard', '2', '45412', '0', '32747', '32859', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17592', 'Dark Elf Guard', '0', '45412', '0', '32778', '32879', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17593', 'Dark Elf Guard', '2', '45412', '0', '32820', '32844', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17594', 'Dark Elf Guard', '0', '45412', '0', '32793', '32828', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17595', 'Dark Elf Guard', '2', '45412', '0', '32792', '32848', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17596', 'Dark Elf Guard', '0', '45412', '0', '32863', '32859', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17597', 'Dark Elf Guard', '2', '45412', '0', '32862', '32857', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17598', 'Dark Elf Guard', '0', '45412', '0', '32884', '32898', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17599', 'Dark Elf Guard', '2', '45412', '0', '32867', '32905', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17600', 'Dark Elf Guard', '0', '45412', '0', '32941', '32887', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17601', 'Dark Elf Guard', '2', '45412', '0', '32935', '32915', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17602', 'Dark Elf Guard', '0', '45412', '0', '32876', '32822', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17603', 'Dark Elf Guard', '2', '45412', '0', '32892', '32813', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17604', 'Dark Elf Guard', '0', '45412', '0', '32910', '32808', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17605', 'Dark Elf Guard', '2', '45412', '0', '32924', '32817', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17606', 'Dark Elf Guard', '0', '45412', '0', '32911', '32807', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17607', 'Dark Elf Guard', '2', '45412', '0', '32760', '32884', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17608', 'Dark Elf Guard', '0', '45412', '0', '32744', '32871', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17609', 'Dark Elf Guard', '2', '45412', '0', '32765', '32861', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17610', 'Dark Elf Guard', '0', '45412', '0', '32806', '32813', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17611', 'Dark Elf Guard', '2', '45412', '0', '32800', '32809', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17612', 'Dark Elf Guard', '0', '45412', '0', '32785', '32874', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17613', 'Dark Elf Guard', '2', '45412', '0', '32779', '32886', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17614', 'Dark Elf Guard', '0', '45412', '0', '32764', '32887', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17615', 'Dark Elf Guard', '2', '45412', '0', '32795', '32915', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17616', 'Dark Elf Guard', '0', '45412', '0', '32796', '32915', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17617', 'Dark Elf Guard', '2', '45412', '0', '32837', '32872', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17618', 'Dark Elf Guard', '0', '45412', '0', '32866', '32814', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17619', 'Dark Elf Guard', '2', '45412', '0', '32860', '32820', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17620', 'Dark Elf Guard', '0', '45412', '0', '32855', '32816', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17621', 'Dark Elf Guard', '2', '45412', '0', '32848', '32829', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17622', 'Dark Elf Guard', '0', '45412', '0', '32864', '32844', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17623', 'Dark Elf Guard', '2', '45412', '0', '32910', '32889', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17624', 'Dark Elf Guard', '0', '45412', '0', '32909', '32890', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17625', 'Dark Elf Guard', '2', '45412', '0', '32910', '32890', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17626', 'Dark Elf Guard', '0', '45412', '0', '32892', '32913', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17627', 'Dark Elf Guard', '2', '45412', '0', '32885', '32842', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17628', 'Dark Elf Guard', '0', '45412', '0', '32889', '32840', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17629', 'Dark Elf Guard', '2', '45412', '0', '32899', '32801', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17630', 'Dark Elf Guard', '0', '45412', '0', '32908', '32801', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17631', 'Dark Elf Guard', '2', '45412', '0', '32922', '32798', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17632', 'Dark Elf Guard', '0', '45412', '0', '32957', '32802', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17633', 'Dark Elf Guard', '2', '45412', '0', '32928', '32867', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17634', 'Dark Elf Guard', '0', '45412', '0', '32929', '32868', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17635', 'Dark Elf Guard', '2', '45412', '0', '32920', '32883', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17636', 'Dark Elf Guard', '0', '45412', '0', '32946', '32908', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17637', 'Dark Elf Guard', '2', '45412', '0', '32956', '32911', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17638', 'Dark Elf Guard', '0', '45412', '0', '32944', '32835', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17639', 'Dark Elf Guard', '2', '45412', '0', '32949', '32829', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17640', 'Dark Elf Guard', '0', '45412', '0', '32952', '32855', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17641', 'Dark Elf Guard', '2', '45412', '0', '32952', '32856', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17642', 'Blue Tail', '0', '45239', '0', '32626', '33067', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17643', 'Dark Elf Beast Tamer', '2', '45414', '0', '32912', '32705', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17644', 'Dark Elf Beast Tamer', '0', '45414', '0', '32918', '32694', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17645', 'Dark Elf Beast Tamer', '2', '45414', '0', '32931', '32675', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17646', 'Dark Elf Beast Tamer', '0', '45414', '0', '32959', '32673', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17647', 'Fang of Earth', '1', '45416', '0', '32918', '32850', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17648', 'Fang of Earth', '1', '45416', '0', '32921', '32861', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17649', 'Fang of Earth', '1', '45416', '0', '32929', '32877', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17650', 'Fang of Earth', '0', '45416', '0', '32911', '32891', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17651', 'Fang of Earth', '1', '45416', '0', '32930', '32900', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17652', 'Fang of Earth', '0', '45416', '0', '32926', '32923', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17653', 'Fang of Earth', '1', '45416', '0', '32928', '32944', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17654', 'Fang of Earth', '1', '45416', '0', '32930', '32952', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17655', 'Fang of Earth', '1', '45416', '0', '32914', '32969', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17656', 'Fang of Earth', '0', '45416', '0', '32934', '32956', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17657', 'Fang of Earth', '1', '45416', '0', '32923', '32996', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17658', 'Fang of Earth', '0', '45416', '0', '32910', '32996', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17659', 'Fang of Earth', '1', '45416', '0', '32849', '32973', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17660', 'Fang of Earth', '1', '45416', '0', '32837', '32950', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17661', 'Fang of Earth', '1', '45416', '0', '32821', '32945', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17662', 'Fang of Earth', '0', '45416', '0', '32820', '32993', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17663', 'Fang of Earth', '1', '45416', '0', '32774', '32918', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17664', 'Fang of Earth', '0', '45416', '0', '32785', '32906', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17665', 'Fang of Earth', '1', '45416', '0', '32792', '32920', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17666', 'Fang of Earth', '1', '45416', '0', '32736', '32979', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17667', 'Fang of Wind', '1', '45418', '0', '32889', '32972', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17668', 'Fang of Wind', '0', '45418', '0', '32904', '32968', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17669', 'Fang of Wind', '1', '45418', '0', '32919', '32964', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17670', 'Fang of Wind', '0', '45418', '0', '32926', '32950', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17671', 'Fang of Wind', '1', '45418', '0', '32914', '32933', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17672', 'Fang of Wind', '1', '45418', '0', '32898', '32919', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17673', 'Fang of Wind', '1', '45418', '0', '32881', '32911', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17674', 'Fang of Wind', '0', '45418', '0', '32876', '32901', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17675', 'Fang of Wind', '1', '45418', '0', '32889', '32898', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17676', 'Fang of Wind', '0', '45418', '0', '32904', '32888', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17677', 'Fang of Wind', '1', '45418', '0', '32915', '32858', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17678', 'Fang of Wind', '1', '45418', '0', '32933', '32870', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17679', 'Fang of Wind', '1', '45418', '0', '32924', '32842', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17680', 'Fang of Wind', '0', '45418', '0', '32926', '32824', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17681', 'Fang of Wind', '1', '45418', '0', '32831', '32984', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17682', 'Fang of Wind', '0', '45418', '0', '32816', '32949', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17683', 'Fang of Wind', '1', '45418', '0', '32782', '32927', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17684', 'Fang of Wind', '1', '45418', '0', '32778', '32932', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17685', 'Fang of Wind', '1', '45418', '0', '32777', '32958', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17686', 'Fang of Wind', '0', '45418', '0', '32781', '32970', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17687', 'Fang of Wind', '1', '45418', '0', '32736', '32992', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17688', 'Fang of Wind', '0', '45418', '0', '32749', '32938', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17689', 'Fang of Glacier', '1', '45419', '0', '32922', '32845', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17690', 'Fang of Glacier', '1', '45419', '0', '32921', '32866', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17691', 'Fang of Glacier', '1', '45419', '0', '32918', '32880', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17692', 'Fang of Glacier', '0', '45419', '0', '32889', '32901', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17693', 'Fang of Glacier', '1', '45419', '0', '32901', '32911', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17694', 'Fang of Glacier', '0', '45419', '0', '32904', '32930', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17695', 'Fang of Glacier', '1', '45419', '0', '32905', '32942', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17696', 'Fang of Glacier', '1', '45419', '0', '32902', '32959', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17697', 'Fang of Glacier', '1', '45419', '0', '32843', '32964', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17698', 'Fang of Glacier', '0', '45419', '0', '32824', '32958', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17699', 'Fang of Glacier', '1', '45419', '0', '32817', '32974', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17700', 'Fang of Glacier', '0', '45419', '0', '32795', '32979', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17701', 'Fang of Glacier', '1', '45419', '0', '32800', '32993', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17702', 'Fang of Glacier', '1', '45419', '0', '32812', '32989', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17703', 'Fang of Glacier', '1', '45419', '0', '32760', '32924', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17704', 'Fang of Glacier', '0', '45419', '0', '32775', '32943', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17705', 'Fang of Glacier', '1', '45419', '0', '32745', '32991', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17706', 'Cyclops', '0', '45420', '0', '33708', '32952', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('17707', 'Cyclops', '2', '45420', '0', '33725', '32951', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('17708', 'Cyclops', '0', '45420', '0', '33721', '32984', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('17709', 'Cyclops', '2', '45420', '0', '33713', '32994', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('17710', 'Cyclops', '0', '45420', '0', '33719', '33004', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('17711', 'Cyclops', '2', '45420', '0', '33728', '33010', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('17712', 'Cyclops', '0', '45420', '0', '33713', '33023', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('17713', 'Cyclops', '2', '45420', '0', '33729', '33036', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('17714', 'Cyclops', '0', '45420', '0', '33748', '33096', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('17715', 'Subterranean Great King Turtle', '2', '45422', '0', '32773', '32934', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17716', 'Subterranean Great King Turtle', '1', '45422', '0', '32777', '32964', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17717', 'Subterranean Great King Turtle', '2', '45422', '0', '32762', '32901', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17718', 'Subterranean Great King Turtle', '1', '45422', '0', '32790', '32988', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17719', 'Subterranean Great King Turtle', '2', '45422', '0', '32785', '33048', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17720', 'Subterranean Beholder', '1', '45423', '0', '32787', '32928', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17721', 'Subterranean Beholder', '2', '45423', '0', '32794', '32952', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17722', 'Subterranean Beholder', '1', '45423', '0', '32799', '32990', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17723', 'Subterranean Beholder', '2', '45423', '0', '32796', '33015', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17724', 'Fang of Flame', '0', '45424', '0', '32894', '32964', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17725', 'Fang of Flame', '1', '45424', '0', '32880', '32984', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17726', 'Fang of Flame', '1', '45424', '0', '32905', '32989', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17727', 'Fang of Flame', '1', '45424', '0', '32846', '32974', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17728', 'Fang of Flame', '0', '45424', '0', '32817', '32985', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17729', 'Fang of Flame', '1', '45424', '0', '32822', '32959', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17730', 'Fang of Flame', '0', '45424', '0', '32769', '32963', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17731', 'Fang of Flame', '1', '45424', '0', '32761', '32952', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17732', 'Fang of Flame', '1', '45424', '0', '32753', '32971', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17733', 'Fang of Flame', '1', '45424', '0', '32745', '32985', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17734', 'Fang of Flame', '0', '45424', '0', '32745', '32904', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18077', 'Griffon', '1', '45445', '0', '32643', '32711', '5', '5', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18078', 'Griffon', '0', '45445', '0', '32690', '32758', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18079', 'Griffon', '1', '45445', '0', '32668', '32777', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18080', 'Griffon', '0', '45445', '0', '32636', '32787', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18081', 'Griffon', '1', '45445', '0', '32643', '32753', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18082', 'Griffon', '0', '45445', '0', '32633', '32722', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18083', 'Griffon', '1', '45445', '0', '32658', '32711', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18084', 'Griffon', '0', '45445', '0', '32689', '32699', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18085', 'Griffon', '1', '45445', '0', '32679', '32750', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18086', 'Griffon', '0', '45445', '0', '32708', '32721', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18087', 'Griffon', '1', '45445', '0', '32693', '32705', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18088', 'Griffon', '0', '45445', '0', '32729', '32718', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18089', 'Griffon', '1', '45445', '0', '32725', '32733', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18090', 'Griffon', '0', '45445', '0', '32783', '32716', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18091', 'Griffon', '1', '45445', '0', '32829', '32722', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18092', 'Griffon', '0', '45445', '0', '32790', '32752', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18093', 'Griffon', '1', '45445', '0', '32845', '32726', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18094', 'Griffon', '0', '45445', '0', '32899', '32720', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18095', 'Griffon', '1', '45445', '0', '32884', '32705', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18096', 'Dark Elf Ranger', '0', '45446', '0', '32750', '32832', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18097', 'Dark Elf Ranger', '2', '45446', '0', '32743', '32829', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18098', 'Dark Elf Ranger', '0', '45446', '0', '32745', '32849', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18099', 'Dark Elf Ranger', '2', '45446', '0', '32806', '32849', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18100', 'Dark Elf Ranger', '0', '45446', '0', '32801', '32853', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18101', 'Dark Elf Ranger', '2', '45446', '0', '32805', '32904', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18102', 'Dark Elf Ranger', '0', '45446', '0', '32814', '32897', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18103', 'Dark Elf Ranger', '2', '45446', '0', '32822', '32848', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18104', 'Dark Elf Ranger', '0', '45446', '0', '32827', '32828', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18105', 'Dark Elf Ranger', '2', '45446', '0', '32828', '32811', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18106', 'Dark Elf Ranger', '0', '45446', '0', '32860', '32843', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18107', 'Dark Elf Ranger', '2', '45446', '0', '32868', '32872', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18108', 'Dark Elf Ranger', '0', '45446', '0', '32871', '32871', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18109', 'Dark Elf Ranger', '2', '45446', '0', '32893', '32828', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18110', 'Dark Elf Ranger', '0', '45446', '0', '32941', '32807', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18111', 'Dark Elf Ranger', '2', '45446', '0', '32936', '32809', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18112', 'Dark Elf Ranger', '0', '45446', '0', '32926', '32812', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18113', 'Dark Elf Ranger', '2', '45446', '0', '32931', '32892', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18114', 'Dark Elf Ranger', '0', '45446', '0', '32933', '32892', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18115', 'Dark Elf Ranger', '2', '45446', '0', '32961', '32826', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18116', 'Dark Elf Ranger', '0', '45446', '0', '32962', '32826', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18117', 'Dark Elf Wizard', '2', '45447', '0', '32786', '32857', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18118', 'Dark Elf Wizard', '0', '45447', '0', '32822', '32836', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18119', 'Dark Elf Wizard', '2', '45447', '0', '32829', '32831', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18120', 'Dark Elf Wizard', '0', '45447', '0', '32871', '32845', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18121', 'Dark Elf Wizard', '2', '45447', '0', '32859', '32911', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18122', 'Dark Elf Wizard', '0', '45447', '0', '32848', '32908', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18123', 'Dark Elf Wizard', '2', '45447', '0', '32916', '32889', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18124', 'Dark Elf Wizard', '0', '45447', '0', '32927', '32885', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18125', 'Dark Elf Wizard', '2', '45447', '0', '32910', '32868', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18126', 'Dark Elf Wizard', '0', '45447', '0', '32934', '32831', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18127', 'Dark Elf Wizard', '2', '45447', '0', '32939', '32832', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18128', 'Dark Elf Wizard', '0', '45447', '0', '32987', '32807', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18129', 'Dark Elf Wizard', '2', '45447', '0', '32975', '32842', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18130', 'Dark Elf Wizard', '0', '45447', '0', '32971', '32852', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18131', 'Dark Elf Wizard', '2', '45447', '0', '32761', '32865', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18132', 'Dark Elf Wizard', '0', '45447', '0', '32752', '32886', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18133', 'Dark Elf Wizard', '2', '45447', '0', '32771', '32856', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18134', 'Dark Elf Wizard', '0', '45447', '0', '32769', '32859', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18135', 'Dark Elf Wizard', '2', '45447', '0', '32754', '32913', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18136', 'Dark Elf Wizard', '0', '45447', '0', '32787', '32916', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18137', 'Dark Elf Wizard', '2', '45447', '0', '32863', '32885', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18138', 'Dark Elf Wizard', '0', '45447', '0', '32849', '32900', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18139', 'Dark Elf Wizard', '2', '45447', '0', '32829', '32902', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18140', 'Dark Elf Wizard', '0', '45447', '0', '32828', '32903', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18141', 'Dark Elf Wizard', '2', '45447', '0', '32827', '32902', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18142', 'Dark Elf Wizard', '0', '45447', '0', '32891', '32873', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18143', 'Dark Elf Wizard', '2', '45447', '0', '32891', '32873', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18144', 'Dark Elf Wizard', '0', '45447', '0', '32924', '32876', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18145', 'Dark Elf Wizard', '2', '45447', '0', '32929', '32867', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18146', 'Dark Elf Wizard', '0', '45447', '0', '32879', '32824', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18147', 'Dark Elf Wizard', '2', '45447', '0', '32931', '32808', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18148', 'Dark Elf Wizard', '0', '45447', '0', '32931', '32809', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18149', 'Dark Elf Wizard', '2', '45447', '0', '32934', '32807', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18150', 'Dark Elf Wizard', '0', '45447', '0', '32930', '32907', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18151', 'Dark Elf Wizard', '2', '45447', '0', '32930', '32908', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18152', 'Dark Elf Wizard', '0', '45447', '0', '32931', '32909', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18153', 'Dark Elf Wizard', '2', '45447', '0', '32874', '32921', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18154', 'Dark Elf Wizard', '0', '45447', '0', '32870', '32870', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18155', 'Dark Elf Wizard', '2', '45447', '0', '33008', '32891', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18156', 'Dark Elf Wizard', '0', '45447', '0', '33019', '32888', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18157', 'Dark Elf Wizard', '2', '45447', '0', '33026', '32880', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18158', 'Dark Elf Wizard', '0', '45447', '0', '33012', '32879', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18159', 'Dark Elf Wizard', '2', '45447', '0', '33020', '32878', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18160', 'Dark Elf Wizard', '0', '45447', '0', '33030', '32892', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18161', 'Minotaur', '1', '45449', '0', '32641', '32726', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18162', 'Minotaur', '0', '45449', '0', '32676', '32708', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18163', 'Minotaur', '1', '45449', '0', '32663', '32773', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18164', 'Minotaur', '0', '45449', '0', '32691', '32764', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18193', 'Harpy', '1', '45452', '0', '32823', '32703', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18194', 'Harpy', '0', '45452', '0', '32813', '32723', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18195', 'Harpy', '1', '45452', '0', '32812', '32714', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18196', 'Harpy', '0', '45452', '0', '32774', '32758', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18197', 'Harpy', '1', '45452', '0', '32835', '32732', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18198', 'Harpy', '0', '45452', '0', '32813', '32748', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18199', 'Harpy', '1', '45452', '0', '32856', '32724', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18200', 'Harpy', '0', '45452', '0', '32905', '32712', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18201', 'Harpy', '1', '45452', '0', '32864', '32788', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18202', 'Harpy', '0', '45452', '0', '32894', '32761', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18203', 'Harpy', '1', '45452', '0', '32885', '32748', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18204', 'Harpy', '0', '45452', '0', '32912', '32736', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18205', 'Harpy', '1', '45452', '0', '32885', '32776', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18206', 'Harpy', '0', '45452', '0', '32831', '32733', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18207', 'Harpy', '1', '45452', '0', '32788', '32729', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18208', 'Harpy', '0', '45452', '0', '32649', '32757', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18209', 'Harpy', '1', '45452', '0', '32840', '32773', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18210', 'Harpy', '0', '45452', '0', '32925', '32753', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18211', 'Heavy Oum', '2', '45453', '0', '32753', '32929', '4', '4', '0', '0', '0', '0', '0', '60', '120', '310', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18212', 'Heavy Oum', '0', '45453', '0', '32750', '32855', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18213', 'Heavy Oum', '1', '45453', '0', '32761', '32868', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18214', 'Heavy Oum', '0', '45453', '0', '32758', '32892', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18215', 'Heavy Oum', '1', '45453', '0', '32730', '32886', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18216', 'Heavy Oum', '0', '45453', '0', '32750', '32872', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18217', 'Heavy Oum', '1', '45453', '0', '32772', '32872', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18218', 'Heavy Oum', '0', '45453', '0', '32766', '32848', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18219', 'Heavy Oum', '1', '45453', '0', '32788', '32859', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18220', 'Heavy Oum', '0', '45453', '0', '32802', '32864', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18221', 'Heavy Oum', '1', '45453', '0', '32825', '32861', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18222', 'Heavy Oum', '0', '45453', '0', '32839', '32876', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18223', 'Heavy Oum', '1', '45453', '0', '32832', '32895', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18224', 'Heavy Oum', '0', '45453', '0', '32847', '32910', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18225', 'Heavy Oum', '1', '45453', '0', '32863', '32925', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18226', 'Heavy Oum', '0', '45453', '0', '32886', '32927', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18227', 'Heavy Oum', '1', '45453', '0', '32885', '32901', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18228', 'Heavy Oum', '0', '45453', '0', '32895', '32891', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18229', 'Heavy Oum', '1', '45453', '0', '32899', '32899', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18230', 'Heavy Oum', '0', '45453', '0', '32890', '32901', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18231', 'Heavy Oum', '1', '45453', '0', '32895', '32910', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18232', 'Heavy Oum', '0', '45453', '0', '32900', '32898', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18233', 'Heavy Oum', '1', '45453', '0', '32887', '32872', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18234', 'Heavy Oum', '0', '45453', '0', '32900', '32851', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18235', 'Heavy Oum', '1', '45453', '0', '32903', '32856', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18236', 'Heavy Oum', '0', '45453', '0', '32902', '32861', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18237', 'Heavy Oum', '1', '45453', '0', '32897', '32856', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18238', 'Heavy Oum', '0', '45453', '0', '32896', '32862', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18239', 'Heavy Oum', '1', '45453', '0', '32889', '32856', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18240', 'Heavy Oum', '0', '45453', '0', '32872', '32855', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18241', 'Heavy Oum', '1', '45453', '0', '32865', '32878', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18242', 'Heavy Oum', '0', '45453', '0', '32833', '32908', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18243', 'Heavy Oum', '1', '45453', '0', '32842', '32932', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18244', 'Heavy Oum', '0', '45453', '0', '32858', '32953', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18245', 'Heavy Oum', '1', '45453', '0', '32871', '32975', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18246', 'Heavy Oum', '0', '45453', '0', '32888', '32960', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18247', 'Heavy Oum', '1', '45453', '0', '32901', '32942', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18248', 'Heavy Oum', '0', '45453', '0', '32902', '32938', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18249', 'Heavy Oum', '1', '45453', '0', '32904', '32939', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18250', 'Heavy Oum', '0', '45453', '0', '32909', '32939', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18251', 'Heavy Oum', '1', '45453', '0', '32914', '32932', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18252', 'Heavy Oum', '0', '45453', '0', '32917', '32938', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18253', 'Heavy Oum', '1', '45453', '0', '32918', '32940', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18254', 'Heavy Oum', '0', '45453', '0', '32924', '32932', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18255', 'Heavy Oum', '1', '45453', '0', '32914', '32939', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18256', 'Heavy Oum', '0', '45453', '0', '32905', '32939', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18257', 'Heavy Oum', '1', '45453', '0', '32900', '32946', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18258', 'Heavy Oum', '0', '45453', '0', '32900', '32940', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18259', 'Heavy Oum', '1', '45453', '0', '32912', '32940', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18260', 'Heavy Oum', '0', '45453', '0', '32916', '32938', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18261', 'Heavy Oum', '1', '45453', '0', '32905', '32897', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18262', 'Heavy Oum', '0', '45453', '0', '32911', '32898', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18263', 'Heavy Oum', '1', '45453', '0', '32913', '32899', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18264', 'Heavy Oum', '0', '45453', '0', '32916', '32902', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18265', 'Heavy Oum', '1', '45453', '0', '32919', '32895', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18266', 'Heavy Oum', '0', '45453', '0', '32914', '32890', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18267', 'Heavy Oum', '1', '45453', '0', '32916', '32893', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18268', 'Heavy Oum', '0', '45453', '0', '32910', '32896', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18269', 'Heavy Oum', '1', '45453', '0', '32921', '32887', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18270', 'Heavy Oum', '0', '45453', '0', '32922', '32898', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18271', 'Heavy Oum', '1', '45453', '0', '32918', '32896', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18272', 'Heavy Oum', '0', '45453', '0', '32900', '32896', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18273', 'Heavy Oum', '1', '45453', '0', '32860', '32894', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18274', 'Heavy Oum', '0', '45453', '0', '32836', '32915', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18275', 'Heavy Oum', '1', '45453', '0', '32824', '32931', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18276', 'Heavy Oum', '0', '45453', '0', '32814', '32950', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18277', 'Heavy Oum', '1', '45453', '0', '32800', '32952', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18278', 'Heavy Oum', '0', '45453', '0', '32797', '32940', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18279', 'Heavy Oum', '1', '45453', '0', '32784', '32943', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18280', 'Heavy Oum', '0', '45453', '0', '32764', '32943', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18281', 'Heavy Oum', '1', '45453', '0', '32748', '32928', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18282', 'Heavy Oum', '0', '45453', '0', '32744', '32943', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18283', 'Heavy Oum', '1', '45453', '0', '32756', '32955', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18284', 'Heavy Oum', '0', '45453', '0', '32799', '32964', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18285', 'Heavy Oum', '1', '45453', '0', '32819', '32969', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18286', 'Heavy Oum', '0', '45453', '0', '32824', '32984', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18287', 'Heavy Oum', '1', '45453', '0', '32833', '32993', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18288', 'Heavy Oum', '0', '45453', '0', '32846', '32975', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18289', 'Heavy Oum', '1', '45453', '0', '32861', '32950', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18700', 'Doppelganger', '0', '45457', '0', '32724', '32970', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18701', 'Doppelganger', '1', '45457', '0', '32657', '33008', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18702', 'Doppelganger', '0', '45457', '0', '32652', '32995', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18703', 'Doppelganger', '1', '45457', '0', '32650', '32971', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18704', 'Doppelganger', '0', '45457', '0', '32662', '32930', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18705', 'Doppelganger', '1', '45457', '0', '32653', '32913', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18706', 'Doppelganger', '0', '45457', '0', '32667', '32887', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18707', 'Doppelganger', '1', '45457', '0', '32666', '32860', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18708', 'Doppelganger', '0', '45457', '0', '32701', '32881', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18709', 'Doppelganger', '1', '45457', '0', '32707', '32908', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18710', 'Doppelganger', '0', '45457', '0', '32701', '32928', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18711', 'Doppelganger', '1', '45457', '0', '32733', '32947', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18712', 'Doppelganger', '0', '45457', '0', '32748', '32928', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18713', 'Doppelganger', '1', '45457', '0', '32770', '32928', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18714', 'Doppelganger', '0', '45457', '0', '32749', '32962', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18715', 'Doppelganger', '1', '45457', '0', '32776', '32979', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18716', 'Doppelganger', '0', '45457', '0', '32813', '32924', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18717', 'Doppelganger', '1', '45457', '0', '32812', '32973', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18718', 'Doppelganger', '0', '45457', '0', '32771', '33014', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18719', 'Doppelganger', '1', '45457', '0', '32683', '32923', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18720', 'Doppelganger', '0', '45457', '0', '32652', '32903', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18721', 'Doppelganger', '1', '45457', '0', '32743', '32896', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18722', 'Doppelganger', '0', '45457', '0', '32750', '32933', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18723', 'Doppelganger', '1', '45457', '0', '32728', '32937', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18724', 'Doppelganger', '0', '45457', '0', '32684', '32931', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18725', 'Doppelganger', '1', '45457', '0', '32759', '32888', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18726', 'Doppelganger', '0', '45457', '0', '32674', '32929', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18727', 'Doppelganger', '1', '45457', '0', '32764', '32999', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18728', 'Doppelganger', '0', '45457', '0', '32699', '32940', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18820', 'Crocodile', '0', '45469', '0', '32860', '32879', '3', '3', '0', '0', '0', '0', '0', '300', '900', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18821', 'Crocodile', '1', '45469', '0', '32909', '32913', '3', '3', '0', '0', '0', '0', '0', '300', '900', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18822', 'Crocodile', '0', '45469', '0', '32893', '32913', '3', '3', '0', '0', '0', '0', '0', '300', '900', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18823', 'Crocodile', '1', '45469', '0', '32903', '32815', '3', '3', '0', '0', '0', '0', '0', '300', '900', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18824', 'Crocodile', '0', '45469', '0', '32946', '32864', '3', '3', '0', '0', '0', '0', '0', '300', '900', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18825', 'Ghast Lord', '1', '45470', '0', '33804', '33011', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18826', 'Ghast Lord', '0', '45470', '0', '32755', '32995', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18827', 'Ghast Lord', '1', '45470', '0', '32740', '32976', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18828', 'Ghast Lord', '0', '45470', '0', '32647', '32987', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18829', 'Ghast Lord', '1', '45470', '0', '32663', '32962', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18830', 'Ghast Lord', '0', '45470', '0', '32663', '32908', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18831', 'Ghast Lord', '1', '45470', '0', '32678', '32867', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18832', 'Ghast Lord', '0', '45470', '0', '32717', '32893', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18833', 'Ghast Lord', '1', '45470', '0', '32682', '32919', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18834', 'Ghast Lord', '0', '45470', '0', '32762', '32948', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18835', 'Ghast Lord', '1', '45470', '0', '32785', '32972', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18836', 'Ghast Lord', '0', '45470', '0', '32801', '32991', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18837', 'Ghast Lord', '1', '45470', '0', '32753', '32972', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18838', 'Ghast Lord', '0', '45470', '0', '32822', '32947', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18988', 'Dark Elf General', '0', '45472', '0', '32741', '32830', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18989', 'Dark Elf General', '2', '45472', '0', '32752', '32839', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18990', 'Dark Elf General', '0', '45472', '0', '32747', '32872', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18991', 'Dark Elf General', '2', '45472', '0', '32797', '32823', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18992', 'Dark Elf General', '0', '45472', '0', '32812', '32809', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18993', 'Dark Elf General', '2', '45472', '0', '32806', '32846', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18994', 'Dark Elf General', '0', '45472', '0', '32796', '32915', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18995', 'Dark Elf General', '2', '45472', '0', '32847', '32865', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18996', 'Dark Elf General', '0', '45472', '0', '32863', '32816', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18997', 'Dark Elf General', '2', '45472', '0', '32866', '32874', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18998', 'Dark Elf General', '0', '45472', '0', '32909', '32889', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18999', 'Dark Elf General', '2', '45472', '0', '32880', '32850', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19000', 'Dark Elf General', '0', '45472', '0', '32910', '32812', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19001', 'Dark Elf General', '2', '45472', '0', '32952', '32855', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19002', 'Dark Elf General', '0', '45472', '0', '33004', '32823', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19003', 'Dark Elf General', '2', '45472', '0', '33022', '32810', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19004', 'Dark Elf General', '0', '45472', '0', '33040', '32845', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19005', 'Dark Elf General', '2', '45472', '0', '33048', '32857', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19006', 'Dark Elf General', '0', '45472', '0', '33047', '32878', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19007', 'Dark Elf General', '2', '45472', '0', '33044', '32892', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19008', 'Dark Elf General', '0', '45472', '0', '33004', '32870', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19015', 'Troll', '1', '45477', '0', '32792', '32732', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19016', 'Troll', '0', '45477', '0', '32790', '32772', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19017', 'Troll', '1', '45477', '0', '32840', '32772', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19018', 'Troll', '0', '45477', '0', '32874', '32733', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19019', 'Troll', '1', '45477', '0', '32891', '32731', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19020', 'Troll', '0', '45477', '0', '32853', '32795', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19021', 'Troll', '1', '45477', '0', '32873', '32780', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19022', 'Troll', '0', '45477', '0', '32903', '32753', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19023', 'Troll', '1', '45477', '0', '32874', '32752', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19024', 'Troll', '0', '45477', '0', '32937', '32697', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19025', 'Troll', '1', '45477', '0', '32952', '32725', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19026', 'Troll', '0', '45477', '0', '32926', '32730', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19027', 'Troll', '1', '45477', '0', '32917', '32799', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19028', 'Troll', '0', '45477', '0', '32887', '32764', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19029', 'Troll', '1', '45477', '0', '32872', '32706', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19030', 'Troll', '0', '45477', '0', '32808', '32761', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19031', 'Troll', '1', '45477', '0', '32949', '32832', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19032', 'Troll', '0', '45477', '0', '32953', '32774', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19033', 'Troll', '1', '45477', '0', '32909', '32776', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19234', 'Subterranean Elekkadom', '1', '45487', '0', '32781', '32945', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19235', 'Subterranean Elekkadom', '2', '45487', '0', '32765', '32965', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19236', 'Subterranean Elekkadom', '1', '45487', '0', '32788', '33013', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19237', 'Subterranean Elekkadom', '2', '45487', '0', '32765', '33044', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19244', 'Blue Tail', '0', '45239', '0', '32617', '32930', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20091', 'Grave Guardian', '1', '45498', '0', '32776', '32898', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20092', 'Grave Guardian', '0', '45498', '0', '32781', '32904', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20093', 'Grave Guardian', '1', '45498', '0', '32778', '32903', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20094', 'Grave Guardian', '0', '45498', '0', '32773', '32907', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20095', 'Grave Guardian', '1', '45498', '0', '32774', '32899', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20096', 'Grave Guardian', '0', '45498', '0', '32772', '32915', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20097', 'Grave Guardian', '1', '45498', '0', '32779', '32922', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20098', 'Grave Guardian', '0', '45498', '0', '32777', '32916', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20099', 'Grave Guardian', '1', '45498', '0', '32770', '32919', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20100', 'Grave Guardian', '0', '45498', '0', '32764', '32925', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20101', 'Grave Guardian', '1', '45498', '0', '32764', '32932', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20102', 'Grave Guardian', '0', '45498', '0', '32766', '32922', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20103', 'Grave Guardian', '1', '45498', '0', '32778', '32903', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20104', 'Grave Guardian', '0', '45498', '0', '32781', '32904', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20105', 'Grave Guardian', '1', '45498', '0', '32773', '32907', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20106', 'Grave Guardian', '0', '45498', '0', '32774', '32901', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20107', 'Grave Guardian', '1', '45498', '0', '32776', '32892', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20108', 'Grave Guardian', '0', '45498', '0', '32775', '32881', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20109', 'Grave Guardian', '1', '45498', '0', '32775', '32883', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20110', 'Grave Guardian', '0', '45498', '0', '32773', '32900', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20111', 'Grave Guardian', '1', '45498', '0', '32744', '32969', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20112', 'Grave Guardian', '0', '45498', '0', '32751', '32964', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20113', 'Grave Guardian', '1', '45498', '0', '32749', '32969', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20114', 'Grave Guardian', '0', '45498', '0', '32747', '32971', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20115', 'Grave Guardian', '1', '45498', '0', '32744', '32962', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20116', 'Grave Guardian', '0', '45498', '0', '32749', '32959', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20117', 'Grave Guardian', '1', '45498', '0', '32754', '32951', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20118', 'Grave Guardian', '0', '45498', '0', '32750', '32958', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20119', 'Grave Guardian', '1', '45498', '0', '32751', '32964', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20120', 'Grave Guardian', '0', '45498', '0', '32779', '32951', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20121', 'Grave Guardian', '1', '45498', '0', '32783', '32954', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20122', 'Grave Guardian', '0', '45498', '0', '32775', '32956', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20123', 'Grave Guardian', '1', '45498', '0', '32781', '32947', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20124', 'Grave Guardian', '0', '45498', '0', '32787', '32946', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20126', 'Water Spirit Master', '1', '45500', '0', '32774', '32926', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20127', 'Water Spirit Master', '1', '45500', '0', '32754', '32940', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20128', 'Water Spirit Master', '0', '45500', '0', '32754', '32973', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20129', 'Water Spirit Master', '1', '45500', '0', '32776', '32949', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20130', 'Water Spirit Master', '0', '45500', '0', '32786', '32913', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20131', 'Water Spirit Master', '1', '45500', '0', '32767', '32965', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20132', 'Abyss Ghoul', '1', '45501', '0', '32749', '32870', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20133', 'Abyss Ghoul', '1', '45501', '0', '32742', '32865', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20134', 'Abyss Ghoul', '0', '45501', '0', '32732', '32880', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20135', 'Abyss Ghoul', '1', '45501', '0', '32749', '32897', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20136', 'Abyss Ghoul', '0', '45501', '0', '32746', '32897', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20137', 'Abyss Ghoul', '1', '45501', '0', '32741', '32884', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20138', 'Abyss Ghoul', '1', '45501', '0', '32741', '32875', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20139', 'Abyss Ghoul', '1', '45501', '0', '32756', '32855', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20140', 'Abyss Ghoul', '0', '45501', '0', '32737', '32878', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20141', 'Abyss Ghoul', '1', '45501', '0', '32798', '32832', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20142', 'Abyss Ghoul', '0', '45501', '0', '32828', '32817', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20143', 'Abyss Ghoul', '1', '45501', '0', '32821', '32811', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20144', 'Abyss Ghoul', '1', '45501', '0', '32822', '32827', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20145', 'Abyss Ghoul', '1', '45501', '0', '32822', '32838', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20146', 'Abyss Ghoul', '0', '45501', '0', '32811', '32833', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20147', 'Abyss Ghoul', '1', '45501', '0', '32804', '32839', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20148', 'Abyss Ghoul', '0', '45501', '0', '32800', '32849', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20149', 'Abyss Ghoul', '1', '45501', '0', '32791', '32850', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20150', 'Abyss Ghoul', '1', '45501', '0', '32783', '32840', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20151', 'Abyss Ghoul', '1', '45501', '0', '32767', '32821', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20152', 'Abyss Ghoul', '0', '45501', '0', '32752', '32828', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20153', 'Abyss Ghoul', '1', '45501', '0', '32763', '32819', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20154', 'Abyss Ghoul', '0', '45501', '0', '32785', '32841', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20155', 'Abyss Ghoul', '1', '45501', '0', '32792', '32854', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20156', 'Abyss Ghoul', '1', '45501', '0', '32803', '32847', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20157', 'Abyss Ghoul', '1', '45501', '0', '32810', '32826', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20158', 'Abyss Ghoul', '0', '45501', '0', '32820', '32795', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20159', 'Abyss Ghoul', '1', '45501', '0', '32805', '32798', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20160', 'Abyss Ghoul', '0', '45501', '0', '32809', '32815', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20161', 'Abyss Ghoul', '1', '45501', '0', '32791', '32824', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20162', 'Abyss Archer', '1', '45502', '0', '32741', '32877', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20163', 'Abyss Archer', '1', '45502', '0', '32746', '32856', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20164', 'Abyss Archer', '0', '45502', '0', '32779', '32833', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20165', 'Abyss Archer', '1', '45502', '0', '32792', '32822', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20166', 'Abyss Archer', '0', '45502', '0', '32811', '32817', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20167', 'Abyss Archer', '1', '45502', '0', '32822', '32798', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20168', 'Abyss Archer', '1', '45502', '0', '32833', '32804', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20169', 'Abyss Archer', '1', '45502', '0', '32829', '32817', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20170', 'Abyss Archer', '0', '45502', '0', '32835', '32831', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20171', 'Abyss Archer', '1', '45502', '0', '32766', '32813', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20172', 'Abyss Archer', '0', '45502', '0', '32766', '32829', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20173', 'Abyss Archer', '1', '45502', '0', '32756', '32834', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20487', 'Ettin', '1', '45505', '0', '32896', '32915', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20488', 'Ettin', '0', '45505', '0', '32904', '32943', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20489', 'Ettin', '1', '45505', '0', '32851', '32938', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20490', 'Ettin', '0', '45505', '0', '32895', '32888', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20491', 'Ettin', '1', '45505', '0', '32914', '32899', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20492', 'Ettin', '0', '45505', '0', '32903', '32862', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20493', 'Ettin', '1', '45505', '0', '32884', '32859', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20494', 'Ettin', '0', '45505', '0', '32869', '32827', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20495', 'Ettin', '1', '45505', '0', '32931', '32842', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20496', 'Ettin', '0', '45505', '0', '32950', '32856', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20497', 'Ettin', '1', '45505', '0', '32949', '32822', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20498', 'Ettin', '0', '45505', '0', '32941', '32764', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20499', 'Ettin', '1', '45505', '0', '32924', '32767', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20500', 'Ettin', '0', '45505', '0', '32875', '32804', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20501', 'Ettin', '1', '45505', '0', '32894', '32787', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20502', 'Ettin', '0', '45505', '0', '32853', '32794', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20503', 'Ettin', '1', '45505', '0', '32836', '32985', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20504', 'Ettin', '0', '45505', '0', '32877', '32946', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20505', 'Ettin', '1', '45505', '0', '32944', '32758', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20506', 'Ettin', '0', '45505', '0', '32692', '32981', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20507', 'Ettin', '1', '45505', '0', '32807', '33008', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20711', 'Earth Spirit Master', '1', '45508', '0', '32781', '32927', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20712', 'Earth Spirit Master', '1', '45508', '0', '32755', '32932', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20713', 'Earth Spirit Master', '1', '45508', '0', '32738', '32930', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20714', 'Earth Spirit Master', '0', '45508', '0', '32748', '32938', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20715', 'Earth Spirit Master', '1', '45508', '0', '32780', '32947', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20716', 'Earth Spirit Master', '0', '45508', '0', '32771', '32970', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20717', 'Earth Spirit Master', '1', '45508', '0', '32743', '32983', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20718', 'Earth Spirit Master', '0', '45508', '0', '32737', '32993', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20719', 'Earth Spirit Master', '1', '45508', '0', '32737', '32988', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20720', 'King Bugbear', '0', '45509', '0', '32772', '32736', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20721', 'King Bugbear', '1', '45509', '0', '32793', '32712', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20722', 'King Bugbear', '0', '45509', '0', '32834', '32712', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20723', 'King Bugbear', '1', '45509', '0', '32761', '32756', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20724', 'King Bugbear', '0', '45509', '0', '32803', '32769', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20725', 'King Bugbear', '1', '45509', '0', '32840', '32750', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20726', 'King Bugbear', '0', '45509', '0', '32864', '32727', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20727', 'King Bugbear', '1', '45509', '0', '32836', '32718', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20728', 'King Bugbear', '0', '45509', '0', '32865', '32774', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20729', 'King Bugbear', '1', '45509', '0', '32881', '32762', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20730', 'King Bugbear', '0', '45509', '0', '32895', '32745', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20731', 'King Bugbear', '1', '45509', '0', '32910', '32722', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20732', 'King Bugbear', '0', '45509', '0', '32924', '32707', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20733', 'King Bugbear', '1', '45509', '0', '32940', '32733', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20734', 'King Bugbear', '0', '45509', '0', '32904', '32785', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20735', 'King Bugbear', '1', '45509', '0', '32879', '32733', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20736', 'King Bugbear', '0', '45509', '0', '32855', '32718', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20737', 'King Bugbear', '1', '45509', '0', '32836', '32718', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20738', 'King Bugbear', '0', '45509', '0', '32774', '32753', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20739', 'King Bugbear', '1', '45509', '0', '32744', '32730', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20740', 'King Bugbear', '0', '45509', '0', '32930', '32730', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20741', 'Wind Spirit Master', '1', '45510', '0', '32777', '32951', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20742', 'Wind Spirit Master', '1', '45510', '0', '32781', '32971', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20743', 'Wind Spirit Master', '1', '45510', '0', '32762', '32944', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20744', 'Wind Spirit Master', '0', '45510', '0', '32760', '32927', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20745', 'Wind Spirit Master', '1', '45510', '0', '32774', '32924', '1', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20746', 'Wind Spirit Master', '0', '45510', '0', '32790', '32905', '1', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20747', 'Wind Spirit Master', '1', '45510', '0', '32744', '32933', '1', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20748', 'Fire Spirit Master', '0', '45511', '0', '32739', '32931', '1', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20749', 'Fire Spirit Master', '1', '45511', '0', '32760', '32937', '1', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20750', 'Fire Spirit Master', '1', '45511', '0', '32779', '32953', '1', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20751', 'Fire Spirit Master', '1', '45511', '0', '32763', '32970', '1', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20752', 'Fire Spirit Master', '0', '45511', '0', '32743', '32981', '1', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20753', 'Fire Spirit Master', '1', '45511', '0', '32758', '32976', '1', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20754', 'Fire Spirit Master', '0', '45511', '0', '32763', '32924', '1', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20755', 'Fire Spirit Master', '1', '45511', '0', '32787', '32911', '1', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23173', 'Grave Guardian Mage', '1', '45530', '0', '32771', '3292', '2', '14', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23174', 'Grave Guardian Mage', '0', '45530', '0', '32781', '32904', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23175', 'Grave Guardian Mage', '1', '45530', '0', '32778', '32902', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23176', 'Grave Guardian Mage', '0', '45530', '0', '32780', '32903', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23177', 'Grave Guardian Mage', '1', '45530', '0', '32772', '32907', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23178', 'Grave Guardian Mage', '0', '45530', '0', '32772', '32915', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23179', 'Grave Guardian Mage', '1', '45530', '0', '32770', '32918', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23180', 'Grave Guardian Mage', '0', '45530', '0', '32768', '32911', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23181', 'Grave Guardian Mage', '1', '45530', '0', '32769', '32898', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23182', 'Grave Guardian Mage', '0', '45530', '0', '32776', '32881', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23183', 'Grave Guardian Mage', '1', '45530', '0', '32772', '32886', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23184', 'Grave Guardian Mage', '0', '45530', '0', '32766', '32899', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23185', 'Grave Guardian Mage', '1', '45530', '0', '32782', '32919', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23186', 'Grave Guardian Mage', '0', '45530', '0', '32779', '32923', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23187', 'Grave Guardian Mage', '1', '45530', '0', '32739', '32985', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23188', 'Grave Guardian Mage', '0', '45530', '0', '32741', '32978', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23189', 'Grave Guardian Mage', '1', '45530', '0', '32743', '32971', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23190', 'Grave Guardian Mage', '0', '45530', '0', '32750', '32961', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23191', 'Grave Guardian Mage', '1', '45530', '0', '32751', '32953', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23192', 'Grave Guardian Mage', '0', '45530', '0', '32749', '32967', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23193', 'Grave Guardian Mage', '1', '45530', '0', '32747', '32966', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23194', 'Grave Guardian Mage', '0', '45530', '0', '32784', '32952', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23195', 'Grave Guardian Mage', '1', '45530', '0', '32787', '32943', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23196', 'Grave Guardian Mage', '0', '45530', '0', '32785', '32952', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23197', 'Grave Guardian Mage', '1', '45530', '0', '32788', '32947', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23198', 'Basilisk', '0', '45531', '0', '32674', '32909', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23199', 'Basilisk', '1', '45531', '0', '32683', '32893', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23200', 'Basilisk', '0', '45531', '0', '32702', '32899', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23201', 'Basilisk', '1', '45531', '0', '32716', '32869', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23202', 'Basilisk', '0', '45531', '0', '32678', '32851', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23203', 'Basilisk', '1', '45531', '0', '32655', '32866', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23204', 'Basilisk', '0', '45531', '0', '32658', '32973', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23393', 'Grave Guardian Knight', '1', '45537', '0', '32823', '32943', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23394', 'Grave Guardian Knight', '0', '45537', '0', '32829', '32934', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23395', 'Grave Guardian Knight', '1', '45537', '0', '32841', '32943', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23396', 'Grave Guardian Knight', '0', '45537', '0', '32842', '32951', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23397', 'Grave Guardian Knight', '1', '45537', '0', '32857', '32942', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23398', 'Grave Guardian Knight', '0', '45537', '0', '32850', '32934', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23399', 'Grave Guardian Knight', '1', '45537', '0', '32844', '32940', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23400', 'Grave Guardian Knight', '0', '45537', '0', '32841', '32950', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23401', 'Grave Guardian Knight', '1', '45537', '0', '32853', '32961', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23402', 'Grave Guardian Knight', '0', '45537', '0', '32842', '32968', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23403', 'Grave Guardian Knight', '1', '45537', '0', '32832', '32960', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23404', 'Grave Guardian Knight', '0', '45537', '0', '32825', '32954', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23405', 'Grave Guardian Knight', '1', '45537', '0', '32818', '32945', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23406', 'Grave Guardian Knight', '0', '45537', '0', '32819', '32929', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23407', 'Grave Guardian Knight', '1', '45537', '0', '32828', '32933', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23408', 'Grave Guardian Knight', '0', '45537', '0', '32822', '32913', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23409', 'Grave Guardian Knight', '1', '45537', '0', '32822', '32919', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23410', 'Grave Guardian Knight', '0', '45537', '0', '32829', '32931', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23411', 'Grave Guardian Knight', '1', '45537', '0', '32835', '32946', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23412', 'Grave Guardian Knight', '0', '45537', '0', '32840', '32939', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23413', 'Grave Guardian Knight', '1', '45537', '0', '32841', '32943', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23414', 'Grave Guardian Knight', '0', '45537', '0', '32839', '32949', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23415', 'Grave Guardian Knight', '1', '45537', '0', '32834', '32956', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23416', 'Grave Guardian Knight', '0', '45537', '0', '32821', '32957', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23417', 'Grave Guardian Knight', '1', '45537', '0', '32774', '32994', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23418', 'Grave Guardian Knight', '0', '45537', '0', '32770', '32998', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23419', 'Grave Guardian Knight', '1', '45537', '0', '32767', '32994', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23420', 'Grave Guardian Knight', '0', '45537', '0', '32768', '32998', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23421', 'Grave Guardian Knight', '1', '45537', '0', '32768', '33000', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23422', 'Grave Guardian Knight', '0', '45537', '0', '32768', '33001', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23423', 'Grave Guardian Knight', '1', '45537', '0', '32764', '32997', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23424', 'Grave Guardian Knight', '0', '45537', '0', '32775', '33002', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23425', 'Grave Guardian Knight', '1', '45537', '0', '32770', '32990', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23426', 'Cyclops', '0', '45538', '0', '32895', '32950', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23427', 'Cyclops', '1', '45538', '0', '32854', '32953', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23428', 'Cyclops', '0', '45538', '0', '32932', '32901', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23429', 'Cyclops', '1', '45538', '0', '32859', '32856', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23430', 'Cyclops', '0', '45538', '0', '32912', '32844', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23431', 'Cyclops', '1', '45538', '0', '32933', '32823', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23432', 'Cyclops', '0', '45538', '0', '32952', '32774', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23433', 'Cyclops', '1', '45538', '0', '32860', '32912', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23434', 'Cyclops', '0', '45538', '0', '32947', '32881', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23435', 'Cyclops', '1', '45538', '0', '32951', '32792', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23436', 'Cyclops', '0', '45538', '0', '32743', '32997', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23437', 'Thing', '1', '45539', '0', '32774', '32828', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23438', 'Thing', '0', '45539', '0', '32804', '32839', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23439', 'Thing', '1', '45539', '0', '32825', '32821', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23440', 'Thing', '0', '45539', '0', '32823', '32807', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23441', 'Thing', '1', '45539', '0', '32802', '32802', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23442', 'Thing', '1', '45539', '0', '32792', '32815', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23443', 'Thing', '1', '45539', '0', '32775', '32828', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23444', 'Thing', '0', '45539', '0', '32761', '32843', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('24437', 'Drake', '1', '45578', '0', '32705', '32745', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('24438', 'Drake', '1', '45578', '0', '32673', '32760', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('24439', 'Drake', '1', '45578', '0', '32640', '32790', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('24440', 'Drake', '1', '45578', '0', '32636', '32717', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('24441', 'Drake', '1', '45578', '0', '32678', '32702', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('24442', 'Drake', '1', '45578', '0', '32683', '32741', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('24443', 'Drake', '1', '45578', '0', '32822', '32769', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('24444', 'Drake', '1', '45578', '0', '32797', '32740', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('24445', 'Drake', '1', '45578', '0', '32826', '32711', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('24446', 'Drake', '1', '45578', '0', '32698', '32965', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('24447', 'Drake', '1', '45578', '0', '32820', '32999', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('24448', 'Drake', '1', '45578', '0', '32679', '32853', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('24449', 'Drake', '1', '45578', '0', '32687', '32938', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('24450', 'Drake', '1', '45578', '0', '32697', '32872', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('24451', 'Drake', '1', '45578', '0', '32758', '32950', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25371', 'Large Grave Guardian', '1', '45603', '0', '32830', '32950', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25372', 'Large Grave Guardian', '0', '45603', '0', '32838', '32953', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25373', 'Large Grave Guardian', '1', '45603', '0', '32854', '32947', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25374', 'Large Grave Guardian', '0', '45603', '0', '32849', '32937', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25375', 'Large Grave Guardian', '1', '45603', '0', '32829', '32932', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25376', 'Large Grave Guardian', '0', '45603', '0', '32829', '32940', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25377', 'Large Grave Guardian', '1', '45603', '0', '32833', '32953', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25378', 'Large Grave Guardian', '0', '45603', '0', '32824', '32946', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25379', 'Large Grave Guardian', '1', '45603', '0', '32825', '32941', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25380', 'Large Grave Guardian', '0', '45603', '0', '32833', '32939', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25381', 'Large Grave Guardian', '1', '45603', '0', '32831', '32945', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25382', 'Large Grave Guardian', '0', '45603', '0', '32827', '32959', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25383', 'Large Grave Guardian', '1', '45603', '0', '32832', '32964', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25384', 'Large Grave Guardian', '0', '45603', '0', '32817', '32964', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25385', 'Large Grave Guardian', '1', '45603', '0', '32821', '32955', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25386', 'Large Grave Guardian', '0', '45603', '0', '32820', '32945', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26536', 'Frog', '2', '45005', '0', '33605', '33214', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26545', 'Wicked Yeti', '2', '81043', '0', '34008', '32193', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26546', 'Orc Elder', '2', '45119', '0', '32629', '32809', '3', '3', '0', '0', '0', '0', '0', '60', '120', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26547', 'Orc Elder', '2', '45119', '0', '32641', '32821', '3', '3', '0', '0', '0', '0', '0', '60', '120', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26548', 'Orc Elder', '2', '45119', '0', '32676', '32815', '3', '3', '0', '0', '0', '0', '0', '60', '120', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26549', 'Orc Elder', '2', '45119', '0', '32650', '32827', '3', '3', '0', '0', '0', '0', '0', '60', '120', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26550', 'Orc Elder', '2', '45119', '0', '32680', '32835', '3', '3', '0', '0', '0', '0', '0', '60', '120', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26551', 'Orc Elder', '2', '45119', '0', '32661', '32853', '3', '3', '0', '0', '0', '0', '0', '60', '120', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26552', 'Doppelganger', '2', '81069', '0', '33767', '33236', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '1', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26553', 'Black Knight Search Party', '2', '81066', '0', '32913', '32912', '3', '3', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26554', 'Black Knight Search Party', '2', '81066', '0', '32886', '32907', '3', '3', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26555', 'Black Knight Search Party', '2', '81066', '0', '32848', '32899', '3', '3', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26556', 'Black Knight Search Party', '2', '81066', '0', '32814', '32907', '3', '3', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26557', 'Black Knight Search Party', '2', '81066', '0', '32781', '32949', '3', '3', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26558', 'Black Knight Search Party', '2', '81066', '0', '32915', '32947', '3', '3', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26560', 'Mutant Giant Soldier Ant', '1', '45199', '0', '32687', '32792', '3', '3', '0', '0', '0', '0', '5', '60', '120', '217', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26561', 'Mutant Giant Soldier Ant', '1', '45199', '0', '32679', '32788', '3', '3', '0', '0', '0', '0', '0', '60', '120', '217', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26562', 'Mutant Giant Soldier Ant', '1', '45199', '0', '32667', '32791', '3', '3', '0', '0', '0', '0', '6', '60', '120', '217', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26563', 'Mutant Giant Soldier Ant', '1', '45199', '0', '32671', '32805', '3', '3', '0', '0', '0', '0', '3', '60', '120', '217', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26564', 'Mutant Giant Soldier Ant', '1', '45199', '0', '32681', '32798', '3', '3', '0', '0', '0', '0', '5', '60', '120', '217', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26565', 'Mutant Giant Soldier Ant', '1', '45199', '0', '32693', '32814', '3', '3', '0', '0', '0', '0', '0', '60', '120', '217', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26566', 'Mutant Giant Soldier Ant', '1', '45199', '0', '32696', '32807', '3', '3', '0', '0', '0', '0', '3', '60', '120', '217', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26567', 'Mutant Giant Soldier Ant', '1', '45199', '0', '32717', '32800', '3', '3', '0', '0', '0', '0', '4', '60', '120', '217', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26568', 'Mutant Giant Soldier Ant', '1', '45199', '0', '32719', '32808', '3', '3', '0', '0', '0', '0', '1', '60', '120', '217', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26569', 'Mutant Giant Soldier Ant', '1', '45199', '0', '32726', '32812', '3', '3', '0', '0', '0', '0', '7', '60', '120', '217', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26570', 'Mutant Giant Soldier Ant', '1', '45199', '0', '32736', '32795', '3', '3', '0', '0', '0', '0', '6', '60', '120', '217', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26571', 'Mutant Giant Soldier Ant', '1', '45199', '0', '32738', '32795', '3', '3', '0', '0', '0', '0', '4', '60', '120', '217', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26572', 'Mutant Giant Soldier Ant', '1', '45199', '0', '32735', '32796', '3', '3', '0', '0', '0', '0', '6', '60', '120', '217', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26573', 'Mutant Giant Soldier Ant', '1', '45199', '0', '32732', '32793', '3', '3', '0', '0', '0', '0', '3', '60', '120', '217', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26574', 'Mutant Giant Soldier Ant', '1', '45199', '0', '32731', '32800', '3', '3', '0', '0', '0', '0', '5', '60', '120', '217', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26575', 'Mutant Giant Soldier Ant', '1', '45199', '0', '32738', '32803', '3', '3', '0', '0', '0', '0', '6', '60', '120', '217', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26576', 'Mutant Giant Soldier Ant', '1', '45199', '0', '32743', '32804', '3', '3', '0', '0', '0', '0', '5', '60', '120', '217', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26577', 'Mutant Giant Soldier Ant', '1', '45199', '0', '32742', '32794', '3', '3', '0', '0', '0', '0', '0', '60', '120', '217', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26578', 'Mutant Giant Soldier Ant', '1', '45199', '0', '32738', '32789', '3', '3', '0', '0', '0', '0', '6', '60', '120', '217', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26579', 'Mutant Giant Queen Ant', '1', '45342', '0', '32742', '32797', '3', '3', '0', '0', '0', '0', '6', '60', '120', '217', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26626', 'Giant Guardian', '1', '45302', '0', '34263', '33309', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26627', 'Darkmar', '1', '45343', '0', '32740', '32793', '3', '3', '0', '0', '0', '0', '5', '60', '120', '213', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26628', 'Spirit of Fire', '1', '45303', '0', '32733', '32792', '3', '3', '0', '0', '0', '0', '4', '60', '120', '213', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26629', 'Spirit of Fire', '0', '45303', '0', '32744', '32806', '3', '3', '0', '0', '0', '0', '7', '60', '120', '213', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26630', 'Spirit of Fire', '1', '45303', '0', '32740', '32805', '3', '3', '0', '0', '0', '0', '0', '60', '120', '213', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26631', 'Spirit of Fire', '0', '45303', '0', '32732', '32806', '3', '3', '0', '0', '0', '0', '4', '60', '120', '213', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26632', 'Spirit of Water', '1', '45304', '0', '32739', '32802', '3', '3', '0', '0', '0', '0', '4', '60', '120', '213', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26633', 'Spirit of Water', '0', '45304', '0', '32729', '32800', '3', '3', '0', '0', '0', '0', '1', '60', '120', '213', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26634', 'Spirit of Water', '1', '45304', '0', '32735', '32795', '3', '3', '0', '0', '0', '0', '6', '60', '120', '213', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26635', 'Spirit of Water', '0', '45304', '0', '32730', '32807', '3', '3', '0', '0', '0', '0', '5', '60', '120', '213', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26636', 'Spirit of Wind', '1', '45305', '0', '32724', '32804', '3', '3', '0', '0', '0', '0', '6', '60', '120', '213', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26637', 'Spirit of Wind', '0', '45305', '0', '32739', '32788', '3', '3', '0', '0', '0', '0', '0', '60', '120', '213', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26638', 'Spirit of Wind', '1', '45305', '0', '32744', '32790', '3', '3', '0', '0', '0', '0', '6', '60', '120', '213', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26639', 'Spirit of Wind', '0', '45305', '0', '32739', '32801', '3', '3', '0', '0', '0', '0', '4', '60', '120', '213', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26640', 'Spirit of Earth', '1', '45306', '0', '32728', '32807', '3', '3', '0', '0', '0', '0', '3', '60', '120', '213', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26641', 'Spirit of Earth', '0', '45306', '0', '32725', '32793', '3', '3', '0', '0', '0', '0', '5', '60', '120', '213', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26642', 'Spirit of Earth', '1', '45306', '0', '32742', '32807', '3', '3', '0', '0', '0', '0', '4', '60', '120', '213', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26643', 'Spirit of Earth', '0', '45306', '0', '32730', '32810', '3', '3', '0', '0', '0', '0', '0', '60', '120', '213', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26647', 'Sin of Sepia', '2', '45301', '0', '32731', '32867', '3', '3', '0', '0', '0', '0', '1', '60', '120', '302', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26648', 'Zombie', '1', '81108', '0', '32814', '32864', '3', '3', '0', '0', '0', '0', '6', '60', '120', '201', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26649', 'Skeleton', '1', '81109', '0', '32809', '32926', '3', '3', '0', '0', '0', '0', '4', '60', '120', '201', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26650', 'Betrayer of Undead', '1', '45344', '0', '32923', '32796', '3', '3', '0', '0', '0', '0', '0', '60', '120', '201', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26653', 'Corrupt Guard', '2', '45292', '0', '32647', '32300', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26654', 'Killer Rabbit', '2', '45049', '0', '33044', '33318', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26656', 'Jack-0-Lantern', '2', '45166', '0', '33022', '33441', '12', '12', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26657', 'Jack-0-Lantern', '2', '45166', '0', '33022', '33393', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26658', 'Jack-0-Lantern', '2', '45166', '0', '32975', '33404', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26659', 'Jack-0-Lantern', '2', '45166', '0', '32931', '33444', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26660', 'Jack-0-Lantern', '2', '45166', '0', '32929', '33374', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26661', 'Jack-0-Lantern', '2', '45166', '0', '32871', '33357', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26662', 'Jack-0-Lantern', '2', '45166', '0', '32839', '33263', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26663', 'Jack-O-Lantern', '2', '45167', '0', '32871', '33217', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26664', 'Jack-0-Lantern', '2', '45166', '0', '32791', '33175', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26665', 'Jack-0-Lantern', '2', '45166', '0', '32703', '33198', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26666', 'Jack-0-Lantern', '2', '45166', '0', '32647', '33115', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26667', 'Jack-0-Lantern', '2', '45166', '0', '32575', '33124', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26668', 'Jack-0-Lantern', '2', '45166', '0', '32646', '33049', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26669', 'Jack-O-Lantern', '2', '45167', '0', '32669', '33075', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26670', 'Jack-0-Lantern', '2', '45166', '0', '32649', '32993', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26671', 'Jack-0-Lantern', '2', '45166', '0', '32611', '33040', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26672', 'Jack-0-Lantern', '2', '45166', '0', '32573', '32948', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26673', 'Jack-0-Lantern', '2', '45166', '0', '32552', '32915', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26674', 'Jack-0-Lantern', '2', '45166', '0', '32635', '32970', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26675', 'Jack-O-Lantern', '2', '45167', '0', '32609', '33013', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26676', 'Jack-0-Lantern', '2', '45166', '0', '32580', '32992', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26677', 'Jack-0-Lantern', '2', '45166', '0', '32550', '32899', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26678', 'Jack-0-Lantern', '2', '45166', '0', '32628', '32861', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26679', 'Jack-0-Lantern', '2', '45166', '0', '32697', '32785', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26680', 'Jack-0-Lantern', '2', '45166', '0', '32706', '32725', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26681', 'Jack-O-Lantern', '2', '45167', '0', '32746', '32661', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26682', 'Jack-0-Lantern', '2', '45166', '0', '32806', '32586', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26683', 'Jack-0-Lantern', '2', '45166', '0', '32808', '32566', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26684', 'Jack-0-Lantern', '2', '45166', '0', '32791', '32621', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26685', 'Jack-0-Lantern', '2', '45166', '0', '32782', '32582', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26686', 'Jack-0-Lantern', '2', '45166', '0', '32845', '32681', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26687', 'Jack-O-Lantern', '2', '45167', '0', '32761', '32646', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26688', 'Jack-0-Lantern', '2', '45166', '0', '32722', '32554', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26689', 'Jack-0-Lantern', '2', '45166', '0', '32780', '32545', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26690', 'Jack-0-Lantern', '2', '45166', '0', '32815', '32622', '12', '12', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26691', 'Jack-0-Lantern', '2', '45166', '0', '32670', '32498', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26692', 'Jack-0-Lantern', '2', '45166', '0', '32699', '32439', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26693', 'Jack-0-Lantern', '2', '45166', '0', '32713', '32367', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26694', 'Jack-O-Lantern', '2', '45167', '0', '32715', '32314', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26695', 'Jack-0-Lantern', '2', '45166', '0', '32710', '32331', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26696', 'Jack-0-Lantern', '2', '45166', '0', '32692', '32249', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26697', 'Jack-0-Lantern', '2', '45166', '0', '32631', '32280', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26698', 'Jack-0-Lantern', '2', '45166', '0', '32577', '32210', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26699', 'Jack-0-Lantern', '2', '45166', '0', '33531', '32799', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26700', 'Jack-0-Lantern', '2', '45166', '0', '33554', '32727', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26701', 'Jack-O-Lantern', '2', '45167', '0', '33637', '32824', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26702', 'Jack-0-Lantern', '2', '45166', '0', '33733', '32884', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26703', 'Jack-0-Lantern', '2', '45166', '0', '33793', '32853', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26704', 'Jack-0-Lantern', '2', '45166', '0', '33889', '32759', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26705', 'Jack-0-Lantern', '2', '45166', '0', '33982', '32823', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26706', 'Jack-O-Lantern', '2', '45167', '0', '33965', '32795', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26707', 'Jack-0-Lantern', '2', '45166', '0', '33962', '32876', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26708', 'Jack-0-Lantern', '2', '45166', '0', '33872', '32847', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26709', 'Jack-0-Lantern', '2', '45166', '0', '33943', '32870', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26710', 'Jack-0-Lantern', '2', '45166', '0', '33890', '32936', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26711', 'Jack-O-Lantern', '2', '45167', '0', '34000', '32794', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26712', 'Jack-0-Lantern', '2', '45166', '0', '33910', '32795', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26713', 'Jack-0-Lantern', '2', '45166', '0', '33853', '32839', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26714', 'Jack-0-Lantern', '2', '45166', '0', '33701', '32890', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26715', 'Jack-0-Lantern', '2', '45166', '0', '33697', '32932', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26716', 'Jack-O-Lantern', '2', '45167', '0', '33752', '32981', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26717', 'Jack-O-Lantern', '2', '45167', '0', '34001', '32193', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26718', 'Jack-O-Lantern', '2', '45167', '0', '34107', '32189', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26719', 'Jack-O-Lantern', '2', '45167', '0', '34101', '32321', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26720', 'Jack-O-Lantern', '2', '45167', '0', '34125', '32261', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26721', 'Jack-O-Lantern', '2', '45167', '0', '34118', '32226', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26722', 'Jack-O-Lantern', '2', '45167', '0', '34049', '32194', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26723', 'Jack-0-Lantern', '2', '45166', '0', '33954', '32292', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26724', 'Jack-0-Lantern', '2', '45166', '0', '34009', '32383', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26725', 'Jack-0-Lantern', '2', '45166', '0', '33912', '32326', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26726', 'Jack-0-Lantern', '2', '45166', '0', '33854', '32260', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26727', 'Jack-0-Lantern', '2', '45166', '0', '33919', '32350', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26728', 'Jack-0-Lantern', '2', '45166', '0', '33881', '32310', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26729', 'Jack-O-Lantern', '2', '45167', '0', '33740', '32277', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26730', 'Jack-O-Lantern', '2', '45167', '0', '33653', '32307', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26731', 'Jack-0-Lantern', '2', '45166', '0', '33715', '32397', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26732', 'Jack-0-Lantern', '2', '45166', '0', '33708', '32302', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26733', 'Jack-0-Lantern', '2', '45166', '0', '33661', '32263', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26734', 'Jack-0-Lantern', '2', '45166', '0', '33726', '32248', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26983', 'Spirit of Ancient Person', '2', '45699', '0', '32861', '32995', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26984', 'Spirit of Ancient Person', '2', '45700', '0', '32847', '32996', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26985', 'Spirit of Ancient Person', '2', '45699', '0', '32835', '33002', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26986', 'Spirit of Ancient Person', '2', '45700', '0', '32813', '32998', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26987', 'Spirit of Ancient Person', '2', '45699', '0', '32794', '33001', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26988', 'Spirit of Ancient Person', '2', '45700', '0', '32773', '33003', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26989', 'Spirit of Ancient Person', '2', '45699', '0', '32755', '33003', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26990', 'Spirit of Ancient Person', '2', '45699', '0', '32860', '32987', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26991', 'Spirit of Ancient Person', '2', '45700', '0', '32849', '32983', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26992', 'Spirit of Ancient Person', '2', '45699', '0', '32834', '32983', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26993', 'Spirit of Ancient Person', '2', '45700', '0', '32815', '32987', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26994', 'Spirit of Ancient Person', '2', '45699', '0', '32793', '32984', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26995', 'Spirit of Ancient Person', '2', '45700', '0', '32773', '32982', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26996', 'Spirit of Ancient Person', '2', '45699', '0', '32765', '32980', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26997', 'Spirit of Ancient Person', '2', '45699', '0', '32742', '32868', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26998', 'Spirit of Ancient Person', '2', '45700', '0', '32742', '32894', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26999', 'Spirit of Ancient Person', '2', '45699', '0', '32747', '32912', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27000', 'Spirit of Ancient Person', '2', '45700', '0', '32741', '32932', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27001', 'Spirit of Ancient Person', '2', '45699', '0', '32741', '32941', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27002', 'Spirit of Ancient Person', '2', '45700', '0', '32747', '32953', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27003', 'Spirit of Ancient Person', '2', '45699', '0', '32746', '32970', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27004', 'Spirit of Ancient Person', '2', '45699', '0', '32731', '32868', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27005', 'Spirit of Ancient Person', '2', '45700', '0', '32730', '32893', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27006', 'Spirit of Ancient Person', '2', '45699', '0', '32721', '32905', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27007', 'Spirit of Ancient Person', '2', '45700', '0', '32726', '32922', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27008', 'Spirit of Ancient Person', '2', '45699', '0', '32731', '32937', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27009', 'Spirit of Ancient Person', '2', '45700', '0', '32722', '32944', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27010', 'Spirit of Ancient Person', '2', '45699', '0', '32721', '32962', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27011', 'Spirit of Ancient Person', '2', '45698', '0', '32727', '32984', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27012', 'Spirit of Ancient Person', '2', '45698', '0', '32725', '32990', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27013', 'Spirit of Ancient Person', '2', '45698', '0', '32726', '32999', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27014', 'Spirit of Ancient Person', '2', '45698', '0', '32736', '32998', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27015', 'Spirit of Ancient Person', '2', '45698', '0', '32744', '32999', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27016', 'Spirit of Ancient Person', '2', '45698', '0', '32742', '32990', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27017', 'Spirit of Ancient Person', '2', '45698', '0', '32743', '32983', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27018', 'Spirit of Ancient Person', '2', '45698', '0', '32736', '32981', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27019', 'Spirit of Ancient Person', '2', '45698', '0', '32735', '32989', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27020', 'Spirit of Ancient Person', '2', '45698', '0', '32733', '32993', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27021', 'Spirit of Ancient Person', '2', '45698', '0', '32738', '32992', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27022', 'Spirit of Ancient Person', '2', '45699', '0', '32741', '32997', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27023', 'Spirit of Ancient Person', '2', '45699', '0', '32742', '32987', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27024', 'Spirit of Ancient Person', '2', '45699', '0', '32740', '32985', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27025', 'Spirit of Ancient Person', '2', '45699', '0', '32729', '32985', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27026', 'Spirit of Enraged Ancient Person', '2', '45701', '0', '32739', '32876', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27027', 'Spirit of Enraged Ancient Person', '2', '45702', '0', '32739', '32876', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27028', 'Spirit of Enraged Ancient Person', '2', '45703', '0', '32736', '32875', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27029', 'Spirit of Enraged Ancient Person', '2', '45704', '0', '32725', '32875', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27030', 'Spirit of Enraged Ancient Person', '2', '45701', '0', '32725', '32858', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27031', 'Spirit of Enraged Ancient Person', '2', '45701', '0', '32724', '32850', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27032', 'Spirit of Enraged Ancient Person', '2', '45702', '0', '32735', '32832', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27033', 'Spirit of Enraged Ancient Person', '2', '45704', '0', '32734', '32827', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27034', 'Spirit of Enraged Ancient Person', '2', '45701', '0', '32809', '32794', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27035', 'Spirit of Enraged Ancient Person', '2', '45702', '0', '32808', '32793', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27036', 'Spirit of Enraged Ancient Person', '2', '45703', '0', '32802', '32794', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27037', 'Spirit of Enraged Ancient Person', '2', '45704', '0', '32795', '32793', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27038', 'Spirit of Enraged Ancient Person', '2', '45704', '0', '32790', '32801', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27039', 'Spirit of Enraged Ancient Person', '2', '45704', '0', '32789', '32808', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27040', 'Spirit of Enraged Ancient Person', '2', '45703', '0', '32781', '32810', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27041', 'Spirit of Enraged Ancient Person', '2', '45703', '0', '32775', '32805', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27042', 'Spirit of Enraged Ancient Person', '2', '45704', '0', '32776', '32801', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27043', 'Spirit of Enraged Ancient Person', '2', '45702', '0', '32768', '32800', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27044', 'Spirit of Enraged Ancient Person', '2', '45701', '0', '32743', '32780', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27045', 'Spirit of Enraged Ancient Person', '2', '45702', '0', '32744', '32760', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27046', 'Spirit of Enraged Ancient Person', '2', '45703', '0', '32736', '32761', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27047', 'Spirit of Enraged Ancient Person', '2', '45704', '0', '32731', '32772', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27048', 'Spirit of Enraged Ancient Person', '2', '45703', '0', '32732', '32753', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27049', 'Spirit of Enraged Ancient Person', '2', '45702', '0', '32734', '32741', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27050', 'Spirit of Enraged Ancient Person', '2', '45702', '0', '32741', '32743', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27051', 'Spirit of Enraged Ancient Person', '2', '45703', '0', '32741', '32732', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27052', 'Spirit of Enraged Ancient Person', '2', '45703', '0', '32742', '32731', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27053', 'Spirit of Enraged Ancient Person', '2', '45704', '0', '32742', '32727', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27054', 'Spirit of Enraged Ancient Person', '2', '45701', '0', '32741', '32723', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27055', 'Spirit of Enraged Ancient Person', '2', '45702', '0', '32663', '32809', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27056', 'Spirit of Enraged Ancient Person', '2', '45703', '0', '32670', '32808', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27057', 'Spirit of Enraged Ancient Person', '2', '45704', '0', '32677', '32808', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27058', 'Spirit of Enraged Ancient Person', '2', '45704', '0', '32680', '32800', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27059', 'Spirit of Enraged Ancient Person', '2', '45704', '0', '32680', '32793', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27060', 'Spirit of Enraged Ancient Person', '2', '45703', '0', '32688', '32790', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27061', 'Spirit of Enraged Ancient Person', '2', '45704', '0', '32693', '32797', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27062', 'Spirit of Enraged Ancient Person', '2', '45702', '0', '32693', '32803', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27063', 'Spirit of Enraged Ancient Person', '2', '45701', '0', '32698', '32810', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27064', 'Spirit of Enraged Ancient Person', '2', '45704', '0', '32709', '32809', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27065', 'Spirit of Enraged Ancient Person', '2', '45701', '0', '32715', '32805', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27066', 'Spirit of Enraged Ancient Person', '2', '45704', '0', '32706', '32809', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27067', 'Spirit of Enraged Ancient Person', '2', '45702', '0', '32697', '32809', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27068', 'Creation of Varlok', '2', '45705', '0', '32761', '32837', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27069', 'Creation of Varlok', '2', '45705', '0', '32764', '32847', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27070', 'Creation of Varlok', '2', '45705', '0', '32773', '32835', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27071', 'Creation of Varlok', '2', '45705', '0', '32785', '32818', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27072', 'Creation of Varlok', '2', '45705', '0', '32771', '32812', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27073', 'Creation of Varlok', '2', '45705', '0', '32762', '32814', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27074', 'Creation of Varlok', '2', '45705', '0', '32741', '32813', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27075', 'Creation of Varlok', '2', '45705', '0', '32735', '32834', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27076', 'Creation of Varlok', '2', '45705', '0', '32740', '32869', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27077', 'Creation of Varlok', '2', '45705', '0', '32781', '32863', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27078', 'Creation of Varlok', '2', '45705', '0', '32796', '32830', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27079', 'Creation of Varlok', '2', '45705', '0', '32797', '32794', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27080', 'Creation of Varlok', '2', '45705', '0', '32752', '32800', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27081', 'Creation of Varlok', '2', '45706', '0', '32766', '32821', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27082', 'Creation of Varlok', '2', '45706', '0', '32784', '32811', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27083', 'Creation of Varlok', '2', '45706', '0', '32771', '32846', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27084', 'Creation of Varlok', '2', '45706', '0', '32769', '32807', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27085', 'Creation of Varlok', '2', '45706', '0', '32731', '32812', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27086', 'Creation of Varlok', '2', '45706', '0', '32738', '32829', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27087', 'Creation of Varlok', '2', '45706', '0', '32735', '32856', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27088', 'Creation of Varlok', '2', '45706', '0', '32758', '32868', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27089', 'Creation of Varlok', '2', '45706', '0', '32778', '32871', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27090', 'Creation of Varlok', '2', '45706', '0', '32790', '32850', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27091', 'Creation of Varlok', '2', '45706', '0', '32806', '32809', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27092', 'Creation of Varlok', '2', '45706', '0', '32763', '32794', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27093', 'Creation of Varlok', '2', '45706', '0', '32750', '32805', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27094', 'Creation of Varlok', '2', '45707', '0', '32747', '32843', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27095', 'Creation of Varlok', '2', '45707', '0', '32758', '32843', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27096', 'Creation of Varlok', '2', '45707', '0', '32777', '32830', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27097', 'Creation of Varlok', '2', '45707', '0', '32764', '32808', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27098', 'Creation of Varlok', '2', '45707', '0', '32745', '32812', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27099', 'Creation of Varlok', '2', '45707', '0', '32728', '32846', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27100', 'Creation of Varlok', '2', '45707', '0', '32729', '32872', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27101', 'Creation of Varlok', '2', '45707', '0', '32777', '32860', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27102', 'Creation of Varlok', '2', '45707', '0', '32782', '32858', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27103', 'Creation of Varlok', '2', '45707', '0', '32793', '32841', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27104', 'Creation of Varlok', '2', '45707', '0', '32792', '32793', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27105', 'Creation of Varlok', '2', '45707', '0', '32732', '32796', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27106', 'Creation of Varlok', '2', '45707', '0', '32737', '32822', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27107', 'Creation of Varlok', '2', '45708', '0', '32761', '32837', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27108', 'Creation of Varlok', '2', '45708', '0', '32751', '32847', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27109', 'Creation of Varlok', '2', '45708', '0', '32754', '32838', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27110', 'Creation of Varlok', '2', '45708', '0', '32776', '32836', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27111', 'Creation of Varlok', '2', '45708', '0', '32783', '32824', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27112', 'Creation of Varlok', '2', '45708', '0', '32763', '32808', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27113', 'Creation of Varlok', '2', '45708', '0', '32759', '32821', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27114', 'Creation of Varlok', '2', '45708', '0', '32741', '32819', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27115', 'Creation of Varlok', '2', '45708', '0', '32729', '32847', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27116', 'Creation of Varlok', '2', '45708', '0', '32746', '32869', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27117', 'Creation of Varlok', '2', '45708', '0', '32783', '32864', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27118', 'Creation of Varlok', '2', '45708', '0', '32800', '32823', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27119', 'Creation of Varlok', '2', '45708', '0', '32746', '32798', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27120', 'Varlok\'s Servant', '2', '45709', '0', '32836', '32795', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2003', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27121', 'Incarnation of Varlok', '2', '45611', '0', '32873', '32834', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2003', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27122', 'Salamander', '2', '45369', '0', '32719', '33055', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27123', 'Salamander', '0', '45369', '0', '32713', '33056', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27124', 'Salamander', '2', '45369', '0', '32682', '33067', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27125', 'Salamander', '0', '45369', '0', '32680', '33071', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27126', 'Salamander', '2', '45369', '0', '32719', '33101', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27127', 'Salamander', '0', '45369', '0', '32722', '33101', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27128', 'Salamander', '2', '45369', '0', '32735', '33088', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27129', 'Salamander', '0', '45369', '0', '32734', '33097', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27130', 'Salamander', '2', '45369', '0', '32741', '33060', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27131', 'Salamander', '0', '45369', '0', '32743', '33067', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27132', 'Salamander', '2', '45369', '0', '32744', '33087', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27133', 'Salamander', '0', '45369', '0', '32743', '33102', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27134', 'Salamander', '2', '45369', '0', '32729', '33129', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27135', 'Salamander', '0', '45369', '0', '32725', '33125', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27136', 'Salamander', '2', '45369', '0', '32710', '33109', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27137', 'Salamander', '0', '45369', '0', '32730', '33115', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27138', 'Salamander', '2', '45369', '0', '32696', '33103', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27139', 'Salamander', '0', '45369', '0', '32692', '33099', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27140', 'Salamander', '2', '45369', '0', '32701', '33119', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27141', 'Salamander', '0', '45369', '0', '32698', '33117', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27142', 'Salamander', '2', '45369', '0', '32668', '33128', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27143', 'Salamander', '0', '45369', '0', '32672', '33128', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27144', 'Salamander', '2', '45369', '0', '32675', '33106', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27145', 'Salamander', '0', '45369', '0', '32678', '33087', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27146', 'Salamander', '2', '45369', '0', '32676', '33084', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27147', 'Salamander', '0', '45369', '0', '32667', '33060', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27148', 'Salamander', '2', '45369', '0', '32669', '33064', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27149', 'Salamander', '0', '45369', '0', '32675', '33053', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27150', 'Salamander', '2', '45369', '0', '32707', '33064', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27151', 'Salamander', '0', '45369', '0', '32735', '33053', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27152', 'Cerberus', '2', '45476', '0', '32716', '33057', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27153', 'Cerberus', '0', '45476', '0', '32717', '33051', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27154', 'Cerberus', '2', '45476', '0', '32712', '33074', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27155', 'Cerberus', '0', '45476', '0', '32708', '33075', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27156', 'Cerberus', '2', '45476', '0', '32697', '33068', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27157', 'Cerberus', '0', '45476', '0', '32701', '33079', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27158', 'Cerberus', '2', '45476', '0', '32703', '33081', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27159', 'Cerberus', '0', '45476', '0', '32706', '33096', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27160', 'Cerberus', '2', '45476', '0', '32719', '33094', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27161', 'Cerberus', '0', '45476', '0', '32718', '33113', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27162', 'Cerberus', '2', '45476', '0', '32721', '33112', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27163', 'Cerberus', '0', '45476', '0', '32738', '33113', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27164', 'Cerberus', '2', '45476', '0', '32712', '33129', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27165', 'Cerberus', '0', '45476', '0', '32715', '33127', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27166', 'Cerberus', '2', '45476', '0', '32690', '33119', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27167', 'Cerberus', '0', '45476', '0', '32688', '33096', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27168', 'Cerberus', '2', '45476', '0', '32671', '33079', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27169', 'Cerberus', '0', '45476', '0', '32682', '33084', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27170', 'Cerberus', '2', '45476', '0', '32678', '33064', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27171', 'Cerberus', '0', '45476', '0', '32667', '33098', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27172', 'Cerberus', '2', '45476', '0', '32682', '33094', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27173', 'Cerberus', '0', '45476', '0', '32665', '33099', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27174', 'Cerberus', '2', '45476', '0', '32698', '33123', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27175', 'Cerberus', '0', '45476', '0', '32703', '33106', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27176', 'Cerberus', '2', '45476', '0', '32709', '33120', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27177', 'Cerberus', '0', '45476', '0', '32730', '33106', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27178', 'Cerberus', '2', '45476', '0', '32734', '33065', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27179', 'Cerberus', '0', '45476', '0', '32693', '33060', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27180', 'Cerberus', '2', '45476', '0', '32677', '33056', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27181', 'Cerberus', '0', '45476', '0', '32669', '33061', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27182', 'Nightmare', '2', '45385', '0', '32682', '33076', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27183', 'Nightmare', '0', '45385', '0', '32724', '33052', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27184', 'Nightmare', '2', '45385', '0', '32733', '33057', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27185', 'Nightmare', '0', '45385', '0', '32743', '33064', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27186', 'Nightmare', '2', '45385', '0', '32744', '33083', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27187', 'Nightmare', '0', '45385', '0', '32733', '33123', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27188', 'Nightmare', '2', '45385', '0', '32704', '33120', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27189', 'Nightmare', '0', '45385', '0', '32673', '33121', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27190', 'Nightmare', '2', '45385', '0', '32675', '33103', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27191', 'Nightmare', '0', '45385', '0', '32674', '33081', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27192', 'Nightmare', '2', '45385', '0', '32668', '33068', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27193', 'Nightmare', '0', '45385', '0', '32665', '33051', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27194', 'Nightmare', '2', '45385', '0', '32699', '33090', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27195', 'Nightmare', '0', '45385', '0', '32694', '33076', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27196', 'Nightmare', '2', '45385', '0', '32740', '33078', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27197', 'Succubus', '0', '45400', '0', '32687', '33098', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27198', 'Succubus', '2', '45400', '0', '32689', '33099', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27199', 'Succubus', '0', '45400', '0', '32731', '33081', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27200', 'Succubus', '2', '45400', '0', '32731', '33079', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27201', 'Succubus', '0', '45400', '0', '32736', '33054', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27202', 'Succubus', '2', '45400', '0', '32733', '33055', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27203', 'Succubus', '0', '45400', '0', '32710', '33059', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27204', 'Succubus', '2', '45400', '0', '32711', '33055', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27205', 'Succubus', '0', '45400', '0', '32677', '33068', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27206', 'Succubus', '2', '45400', '0', '32683', '33072', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27207', 'Succubus', '0', '45400', '0', '32670', '33120', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27208', 'Succubus', '2', '45400', '0', '32676', '33121', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27209', 'Succubus', '0', '45400', '0', '32720', '33121', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27210', 'Succubus', '2', '45400', '0', '32735', '33125', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27211', 'Succubus', '0', '45400', '0', '32744', '33098', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27212', 'Succubus', '2', '45400', '0', '32727', '33111', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27213', 'Succubus', '0', '45400', '0', '32725', '33111', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27214', 'Succubus', '2', '45400', '0', '32699', '33113', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27215', 'Succubus', '0', '45400', '0', '32679', '33084', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27216', 'Succubus', '2', '45400', '0', '32712', '33076', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27217', 'Salamander', '0', '45369', '0', '32724', '32864', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27218', 'Salamander', '2', '45369', '0', '32727', '32868', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27219', 'Salamander', '0', '45369', '0', '32744', '32854', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27220', 'Salamander', '2', '45369', '0', '32750', '32855', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27221', 'Salamander', '0', '45369', '0', '32769', '32859', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27222', 'Salamander', '2', '45369', '0', '32804', '32857', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27223', 'Salamander', '0', '45369', '0', '32790', '32862', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27224', 'Salamander', '2', '45369', '0', '32788', '32867', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27225', 'Salamander', '0', '45369', '0', '32807', '32876', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27226', 'Salamander', '2', '45369', '0', '32763', '32896', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27227', 'Salamander', '0', '45369', '0', '32734', '32892', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27228', 'Salamander', '2', '45369', '0', '32724', '32912', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27229', 'Salamander', '0', '45369', '0', '32730', '32933', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27230', 'Salamander', '2', '45369', '0', '32746', '32902', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27231', 'Salamander', '0', '45369', '0', '32760', '32913', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27232', 'Salamander', '2', '45369', '0', '32771', '32930', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27233', 'Salamander', '0', '45369', '0', '32782', '32934', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27234', 'Salamander', '2', '45369', '0', '32788', '32938', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27235', 'Salamander', '0', '45369', '0', '32801', '32929', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27236', 'Salamander', '2', '45369', '0', '32793', '32902', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27237', 'Cerberus', '0', '45476', '0', '32745', '32886', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27238', 'Cerberus', '2', '45476', '0', '32747', '32872', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27239', 'Cerberus', '0', '45476', '0', '32767', '32870', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27240', 'Cerberus', '2', '45476', '0', '32796', '32876', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27241', 'Cerberus', '0', '45476', '0', '32807', '32896', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27242', 'Cerberus', '2', '45476', '0', '32789', '32929', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27243', 'Cerberus', '0', '45476', '0', '32746', '32938', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27244', 'Cerberus', '2', '45476', '0', '32745', '32915', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27245', 'Cerberus', '0', '45476', '0', '32736', '32908', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27246', 'Cerberus', '2', '45476', '0', '32728', '32873', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27247', 'Cerberus', '0', '45476', '0', '32757', '32873', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27248', 'Cerberus', '2', '45476', '0', '32785', '32859', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27249', 'Cerberus', '0', '45476', '0', '32763', '32856', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27250', 'Cerberus', '2', '45476', '0', '32787', '32910', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27251', 'Cerberus', '0', '45476', '0', '32780', '32922', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27252', 'Cerberus', '2', '45476', '0', '32763', '32928', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27253', 'Cerberus', '0', '45476', '0', '32767', '32911', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27254', 'Cerberus', '2', '45476', '0', '32747', '32906', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27255', 'Cerberus', '0', '45476', '0', '32726', '32898', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27256', 'Cerberus', '2', '45476', '0', '32759', '32893', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27257', 'Nightmare', '0', '45385', '0', '32747', '32863', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27258', 'Nightmare', '2', '45385', '0', '32798', '32892', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27259', 'Nightmare', '0', '45385', '0', '32788', '32890', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27260', 'Nightmare', '2', '45385', '0', '32766', '32890', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27261', 'Nightmare', '0', '45385', '0', '32735', '32924', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27262', 'Nightmare', '2', '45385', '0', '32727', '32916', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27263', 'Nightmare', '0', '45385', '0', '32730', '32887', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27264', 'Nightmare', '2', '45385', '0', '32801', '32934', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27265', 'Nightmare', '0', '45385', '0', '32795', '32915', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27266', 'Nightmare', '2', '45385', '0', '32803', '32869', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27267', 'Nightmare', '0', '45385', '0', '32796', '32856', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27268', 'Nightmare', '2', '45385', '0', '32774', '32872', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27269', 'Nightmare', '0', '45385', '0', '32755', '32906', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27270', 'Nightmare', '2', '45385', '0', '32757', '32920', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27271', 'Nightmare', '0', '45385', '0', '32790', '32920', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27272', 'Succubus', '2', '45400', '0', '32770', '32879', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27273', 'Succubus', '0', '45400', '0', '32786', '32872', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27274', 'Succubus', '2', '45400', '0', '32738', '32873', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27275', 'Succubus', '0', '45400', '0', '32806', '32887', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27276', 'Succubus', '2', '45400', '0', '32780', '32891', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27277', 'Succubus', '0', '45400', '0', '32726', '32932', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27278', 'Succubus', '2', '45400', '0', '32734', '32936', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27279', 'Succubus', '0', '45400', '0', '32733', '32901', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27280', 'Succubus', '2', '45400', '0', '32804', '32930', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27281', 'Succubus', '0', '45400', '0', '32795', '32902', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27282', 'Succubus', '2', '45400', '0', '32774', '32861', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27283', 'Succubus', '0', '45400', '0', '32736', '32861', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27284', 'Succubus', '2', '45400', '0', '32730', '32871', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27285', 'Succubus', '0', '45400', '0', '32728', '32886', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27286', 'Succubus', '2', '45400', '0', '32765', '32899', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27287', 'Death', '0', '45417', '0', '32759', '32896', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27288', 'Death', '2', '45417', '0', '32759', '32898', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27289', 'Death', '0', '45417', '0', '32799', '32895', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27290', 'Death', '2', '45417', '0', '32800', '32895', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27291', 'Death', '0', '45417', '0', '32791', '32864', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27292', 'Death', '2', '45417', '0', '32792', '32865', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27293', 'Death', '0', '45417', '0', '32752', '32871', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27294', 'Death', '2', '45417', '0', '32753', '32871', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27295', 'Death', '0', '45417', '0', '32725', '32901', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27296', 'Death', '2', '45417', '0', '32726', '32901', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27297', 'Death', '0', '45417', '0', '32730', '32927', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27298', 'Death', '2', '45417', '0', '32731', '32927', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27299', 'Death', '0', '45417', '0', '32742', '32890', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27300', 'Death', '2', '45417', '0', '32740', '32890', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27301', 'Death', '0', '45417', '0', '32785', '32937', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27302', 'Death', '2', '45417', '0', '32783', '32937', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27303', 'Vampire', '0', '45499', '0', '32805', '32874', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27304', 'Vampire', '2', '45499', '0', '32745', '32870', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27305', 'Vampire', '0', '45499', '0', '32738', '32925', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27306', 'Vampire', '2', '45499', '0', '32750', '32905', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27307', 'Vampire', '0', '45499', '0', '32800', '32922', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27308', 'Vampire', '2', '45499', '0', '32727', '32912', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27309', 'Vampire', '0', '45499', '0', '32785', '32890', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27310', 'Vampire', '2', '45499', '0', '32793', '32940', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27311', 'Vampire', '0', '45499', '0', '32746', '32853', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27312', 'Vampire', '2', '45499', '0', '32725', '32927', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27313', 'Cerberus', '0', '45476', '0', '32735', '32929', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27314', 'Cerberus', '2', '45476', '0', '32758', '32933', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27315', 'Cerberus', '0', '45476', '0', '32810', '32926', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27316', 'Cerberus', '2', '45476', '0', '32793', '32944', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27317', 'Cerberus', '0', '45476', '0', '32795', '32955', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27318', 'Cerberus', '2', '45476', '0', '32797', '32970', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27319', 'Cerberus', '0', '45476', '0', '32781', '32956', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27320', 'Cerberus', '2', '45476', '0', '32782', '32947', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27321', 'Cerberus', '0', '45476', '0', '32771', '32941', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27322', 'Cerberus', '2', '45476', '0', '32755', '32948', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27323', 'Cerberus', '0', '45476', '0', '32734', '32945', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27324', 'Cerberus', '2', '45476', '0', '32745', '32957', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27325', 'Cerberus', '0', '45476', '0', '32759', '32967', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27326', 'Cerberus', '2', '45476', '0', '32747', '32993', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27327', 'Cerberus', '0', '45476', '0', '32765', '32989', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27328', 'Cerberus', '2', '45476', '0', '32794', '32983', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27329', 'Cerberus', '0', '45476', '0', '32786', '32997', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27330', 'Cerberus', '2', '45476', '0', '32727', '32970', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27331', 'Cerberus', '0', '45476', '0', '32733', '32983', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27332', 'Cerberus', '2', '45476', '0', '32783', '32927', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27333', 'Salamander', '0', '45369', '0', '32752', '32937', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27334', 'Salamander', '2', '45369', '0', '32754', '32944', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27335', 'Salamander', '0', '45369', '0', '32768', '32942', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27336', 'Salamander', '2', '45369', '0', '32773', '32944', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27337', 'Salamander', '0', '45369', '0', '32793', '32969', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27338', 'Salamander', '2', '45369', '0', '32782', '32973', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27339', 'Salamander', '0', '45369', '0', '32796', '32944', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27340', 'Salamander', '2', '45369', '0', '32802', '32945', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27341', 'Salamander', '0', '45369', '0', '32767', '32961', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27342', 'Salamander', '2', '45369', '0', '32766', '32955', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27343', 'Nightmare', '0', '45385', '0', '32781', '32925', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27344', 'Nightmare', '2', '45385', '0', '32785', '32932', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27345', 'Nightmare', '0', '45385', '0', '32794', '32959', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27346', 'Nightmare', '2', '45385', '0', '32795', '32964', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27347', 'Nightmare', '0', '45385', '0', '32799', '32984', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27348', 'Nightmare', '2', '45385', '0', '32799', '32976', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27349', 'Nightmare', '0', '45385', '0', '32763', '32953', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27350', 'Nightmare', '2', '45385', '0', '32756', '32953', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27351', 'Nightmare', '0', '45385', '0', '32781', '32951', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27352', 'Nightmare', '2', '45385', '0', '32778', '32952', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27353', 'Succubus', '0', '45400', '0', '32740', '32930', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27354', 'Succubus', '2', '45400', '0', '32745', '32932', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27355', 'Succubus', '0', '45400', '0', '32762', '32926', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27356', 'Succubus', '2', '45400', '0', '32758', '32922', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27357', 'Succubus', '0', '45400', '0', '32809', '32938', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27358', 'Succubus', '2', '45400', '0', '32808', '32932', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27359', 'Succubus', '0', '45400', '0', '32788', '32937', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27360', 'Succubus', '2', '45400', '0', '32790', '32941', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27361', 'Succubus', '0', '45400', '0', '32808', '32954', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27362', 'Succubus', '2', '45400', '0', '32802', '32952', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27363', 'Death', '0', '45417', '0', '32768', '32968', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27364', 'Death', '2', '45417', '0', '32760', '32967', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27365', 'Death', '0', '45417', '0', '32735', '32932', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27366', 'Death', '2', '45417', '0', '32730', '32926', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27367', 'Death', '0', '45417', '0', '32735', '32956', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27368', 'Death', '2', '45417', '0', '32731', '32960', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27369', 'Death', '0', '45417', '0', '32769', '32990', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27370', 'Death', '2', '45417', '0', '32769', '32985', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27371', 'Death', '0', '45417', '0', '32785', '32984', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27372', 'Death', '2', '45417', '0', '32783', '32998', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27373', 'Medusa', '0', '45463', '0', '32786', '32999', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27374', 'Medusa', '2', '45463', '0', '32781', '32995', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27375', 'Medusa', '0', '45463', '0', '32789', '32981', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27376', 'Medusa', '2', '45463', '0', '32783', '32982', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27377', 'Medusa', '0', '45463', '0', '32766', '32985', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27378', 'Medusa', '2', '45463', '0', '32757', '32978', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27379', 'Medusa', '0', '45463', '0', '32746', '32953', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27380', 'Medusa', '2', '45463', '0', '32742', '32958', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27381', 'Medusa', '0', '45463', '0', '32731', '32981', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27382', 'Medusa', '2', '45463', '0', '32735', '32990', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27383', 'Vampire', '0', '45499', '0', '32747', '32998', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27384', 'Vampire', '2', '45499', '0', '32747', '32990', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27385', 'Vampire', '0', '45499', '0', '32729', '32971', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27386', 'Vampire', '2', '45499', '0', '32726', '32966', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27387', 'Vampire', '0', '45499', '0', '32736', '32947', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27388', 'Vampire', '2', '45499', '0', '32732', '32941', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27389', 'Vampire', '0', '45499', '0', '32747', '32963', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27390', 'Vampire', '2', '45499', '0', '32758', '32963', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27391', 'Vampire', '0', '45499', '0', '32764', '32980', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27392', 'Vampire', '2', '45499', '0', '32769', '32980', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27393', 'Nightmare', '0', '45385', '0', '32720', '32871', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27394', 'Nightmare', '2', '45385', '0', '32680', '32875', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27395', 'Nightmare', '0', '45385', '0', '32711', '32895', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27396', 'Nightmare', '2', '45385', '0', '32711', '32929', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27397', 'Nightmare', '0', '45385', '0', '32726', '32959', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27398', 'Nightmare', '2', '45385', '0', '32707', '32971', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27399', 'Nightmare', '0', '45385', '0', '32677', '32980', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27400', 'Nightmare', '2', '45385', '0', '32679', '32955', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27401', 'Nightmare', '0', '45385', '0', '32681', '32909', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27402', 'Nightmare', '2', '45385', '0', '32730', '32980', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27403', 'Nightmare', '0', '45385', '0', '32743', '32869', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27404', 'Nightmare', '2', '45385', '0', '32721', '32916', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27405', 'Nightmare', '0', '45385', '0', '32690', '32917', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27406', 'Nightmare', '2', '45385', '0', '32688', '32938', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27407', 'Nightmare', '0', '45385', '0', '32705', '32942', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27408', 'Death', '2', '45417', '0', '32722', '32966', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27409', 'Death', '0', '45417', '0', '32704', '32935', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27410', 'Death', '2', '45417', '0', '32679', '32947', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27411', 'Death', '0', '45417', '0', '32692', '32982', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27412', 'Death', '2', '45417', '0', '32691', '32881', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27413', 'Death', '0', '45417', '0', '32687', '32925', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27414', 'Death', '2', '45417', '0', '32725', '32904', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27415', 'Death', '0', '45417', '0', '32728', '32877', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27416', 'Death', '2', '45417', '0', '32721', '32981', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27417', 'Death', '0', '45417', '0', '32707', '32885', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27418', 'Death', '2', '45417', '0', '32671', '32873', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27419', 'Death', '0', '45417', '0', '32713', '32922', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27420', 'Death', '2', '45417', '0', '32701', '32902', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27421', 'Death', '0', '45417', '0', '32687', '32891', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27422', 'Death', '2', '45417', '0', '32725', '32991', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27423', 'Cerberus', '0', '45476', '0', '32700', '32955', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27424', 'Cerberus', '2', '45476', '0', '32730', '32895', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27425', 'Cerberus', '0', '45476', '0', '32689', '32903', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27426', 'Cerberus', '2', '45476', '0', '32697', '32954', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27427', 'Cerberus', '0', '45476', '0', '32729', '32969', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27428', 'Cerberus', '2', '45476', '0', '32689', '32968', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27429', 'Cerberus', '0', '45476', '0', '32690', '32930', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27430', 'Cerberus', '2', '45476', '0', '32690', '32945', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27431', 'Cerberus', '0', '45476', '0', '32720', '32927', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27432', 'Cerberus', '2', '45476', '0', '32719', '32879', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27433', 'Cerberus', '0', '45476', '0', '32694', '32867', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27434', 'Cerberus', '2', '45476', '0', '32699', '32882', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27435', 'Cerberus', '0', '45476', '0', '32711', '32935', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27436', 'Cerberus', '2', '45476', '0', '32711', '32977', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27437', 'Cerberus', '0', '45476', '0', '32674', '32911', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27438', 'Vampire', '2', '45499', '0', '32701', '32927', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27439', 'Vampire', '0', '45499', '0', '32702', '32928', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27440', 'Vampire', '2', '45499', '0', '32700', '32929', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27441', 'Vampire', '0', '45499', '0', '32718', '32897', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27442', 'Vampire', '2', '45499', '0', '32719', '32897', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27443', 'Vampire', '0', '45499', '0', '32719', '32898', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27444', 'Vampire', '2', '45499', '0', '32714', '32967', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27445', 'Vampire', '0', '45499', '0', '32715', '32967', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27446', 'Vampire', '2', '45499', '0', '32715', '32968', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27447', 'Vampire', '0', '45499', '0', '32682', '32904', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27448', 'Vampire', '2', '45499', '0', '32683', '32904', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27449', 'Vampire', '0', '45499', '0', '32684', '32905', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27450', 'Vampire', '2', '45499', '0', '32682', '32879', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27451', 'Vampire', '0', '45499', '0', '32683', '32879', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27452', 'Vampire', '2', '45499', '0', '32683', '32880', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27453', 'Vampire', '0', '45499', '0', '32734', '32878', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27454', 'Vampire', '2', '45499', '0', '32734', '32876', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27455', 'Vampire', '0', '45499', '0', '32735', '32877', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27456', 'Vampire', '2', '45499', '0', '32704', '32951', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27457', 'Vampire', '0', '45499', '0', '32705', '32951', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27458', 'Vampire', '2', '45499', '0', '32705', '32952', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27459', 'Vampire', '0', '45499', '0', '32684', '32953', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27460', 'Vampire', '2', '45499', '0', '32684', '32952', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27461', 'Vampire', '0', '45499', '0', '32683', '32952', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27462', 'Vampire', '2', '45499', '0', '32684', '32982', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27463', 'Vampire', '0', '45499', '0', '32685', '32982', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27464', 'Vampire', '2', '45499', '0', '32686', '32983', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27465', 'Alligator', '0', '45101', '0', '33475', '33209', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27466', 'Alligator', '2', '45101', '0', '33480', '33197', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27467', 'Alligator', '0', '45101', '0', '33493', '33188', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27468', 'Alligator', '2', '45101', '0', '33503', '33185', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27469', 'Alligator', '0', '45101', '0', '33512', '33185', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27470', 'Alligator', '2', '45101', '0', '33518', '33191', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27471', 'Alligator', '0', '45101', '0', '33522', '33199', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27472', 'Alligator', '2', '45101', '0', '33526', '33204', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27473', 'Alligator', '0', '45101', '0', '33526', '33214', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27474', 'Alligator', '2', '45101', '0', '33524', '33219', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27475', 'Alligator', '0', '45101', '0', '33519', '33219', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27476', 'Alligator', '2', '45101', '0', '33516', '33224', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27477', 'Alligator', '0', '45101', '0', '33517', '33229', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27478', 'Alligator', '2', '45101', '0', '33513', '33229', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27479', 'Alligator', '0', '45101', '0', '33507', '33225', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27480', 'Alligator', '2', '45101', '0', '33502', '33222', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27481', 'Alligator', '0', '45101', '0', '33496', '33222', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27482', 'Alligator', '2', '45101', '0', '33493', '33227', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27483', 'Alligator', '0', '45101', '0', '33488', '33229', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27484', 'Alligator', '2', '45101', '0', '33488', '33223', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27485', 'Alligator', '0', '45101', '0', '33486', '33219', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27486', 'Alligator', '2', '45101', '0', '33481', '33217', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27487', 'Alligator', '0', '45101', '0', '33479', '33213', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27488', 'Alligator', '2', '45101', '0', '33482', '33208', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27489', 'Alligator', '0', '45101', '0', '33485', '33202', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27490', 'Alligator', '2', '45101', '0', '33492', '33197', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27491', 'Alligator', '0', '45101', '0', '33496', '33195', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27492', 'Alligator', '2', '45101', '0', '33503', '33192', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27493', 'Alligator', '0', '45101', '0', '33515', '33196', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27494', 'Alligator', '2', '45101', '0', '33517', '33204', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27495', 'Alligator', '0', '45101', '0', '33514', '33210', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27496', 'Alligator', '2', '45101', '0', '33513', '33215', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27497', 'Alligator', '0', '45101', '0', '33510', '33219', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27498', 'Alligator', '2', '45101', '0', '33507', '33216', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27499', 'Alligator', '0', '45101', '0', '33501', '33214', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27500', 'Alligator', '2', '45101', '0', '33497', '33211', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27501', 'Alligator', '0', '45101', '0', '33492', '33212', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27502', 'Alligator', '2', '45101', '0', '33528', '33209', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27503', 'Alligator', '0', '45101', '0', '33524', '33210', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27504', 'Alligator', '2', '45101', '0', '33511', '33206', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27505', 'Alligator', '0', '45101', '0', '33506', '33207', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27506', 'Alligator', '2', '45101', '0', '33500', '33207', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27507', 'Alligator', '0', '45101', '0', '33490', '33206', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27508', 'Alligator', '2', '45101', '0', '33498', '33201', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27509', 'Alligator', '0', '45101', '0', '33502', '33199', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27510', 'Alligator', '2', '45101', '0', '33506', '33201', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27511', 'Alligator', '0', '45101', '0', '33509', '33192', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27512', 'Alligator', '2', '45101', '0', '33477', '33205', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27513', 'Alligator', '0', '45101', '0', '33481', '33200', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27514', 'Alligator', '2', '45101', '0', '33499', '33186', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27515', 'Alligator', '0', '45101', '0', '33506', '33182', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27516', 'Alligator', '2', '45101', '0', '33515', '33180', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27517', 'Alligator', '0', '45101', '0', '33517', '33189', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27518', 'Alligator', '2', '45101', '0', '33523', '33189', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27519', 'Alligator', '0', '45101', '0', '33475', '33213', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27521', 'Milk Cow', '1', '70984', '0', '32583', '32946', '10', '10', '0', '0', '0', '0', '0', '30', '30', '0', '1', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27522', 'Milk Cow', '1', '70984', '0', '32562', '32956', '10', '10', '0', '0', '0', '0', '0', '30', '30', '0', '1', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27523', 'Milk Cow', '1', '70984', '0', '32628', '32958', '10', '10', '0', '0', '0', '0', '0', '30', '30', '0', '1', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27524', 'Milk Cow', '1', '70984', '0', '32622', '32805', '10', '10', '0', '0', '0', '0', '0', '30', '30', '4', '1', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27525', 'Milk Cow', '1', '70984', '0', '32608', '32760', '10', '10', '0', '0', '0', '0', '0', '30', '30', '4', '1', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27526', 'Milk Cow', '1', '70984', '0', '32739', '32439', '10', '10', '0', '0', '0', '0', '0', '30', '30', '4', '1', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27527', 'Milk Cow', '1', '70984', '0', '33068', '32800', '10', '10', '0', '0', '0', '0', '0', '30', '30', '4', '1', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27528', 'Milk Cow', '1', '70984', '0', '33055', '32774', '10', '10', '0', '0', '0', '0', '0', '30', '30', '4', '1', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27529', 'Milk Cow', '1', '70984', '0', '32617', '33185', '10', '10', '0', '0', '0', '0', '0', '30', '30', '4', '1', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27530', 'Milk Cow', '1', '70984', '0', '32639', '33202', '10', '10', '0', '0', '0', '0', '0', '30', '30', '4', '1', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27531', 'Milk Cow', '1', '70984', '0', '33083', '33400', '10', '10', '0', '0', '0', '0', '0', '30', '30', '4', '1', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27532', 'Milk Cow', '1', '70984', '0', '33066', '33390', '10', '10', '0', '0', '0', '0', '0', '30', '30', '4', '1', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27533', 'Milk Cow', '1', '70984', '0', '33102', '33366', '10', '10', '0', '0', '0', '0', '0', '30', '30', '4', '1', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27534', 'Milk Cow', '1', '70984', '0', '33432', '32825', '10', '10', '0', '0', '0', '0', '0', '30', '30', '4', '1', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27535', 'Milk Cow', '1', '70984', '0', '33434', '32804', '10', '10', '0', '0', '0', '0', '0', '30', '30', '4', '1', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27536', 'Milk Cow', '1', '70984', '0', '33601', '32236', '10', '10', '0', '0', '0', '0', '0', '30', '30', '4', '1', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27537', 'Milk Cow', '1', '70984', '0', '33581', '32259', '10', '10', '0', '0', '0', '0', '0', '30', '30', '4', '1', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27538', 'Milk Cow', '1', '70984', '0', '33623', '32297', '10', '10', '0', '0', '0', '0', '0', '30', '30', '4', '1', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27539', 'Milk Cow', '1', '70984', '0', '33718', '32494', '10', '10', '0', '0', '0', '0', '0', '30', '30', '4', '1', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27540', 'Milk Cow', '1', '70984', '0', '33699', '32508', '10', '10', '0', '0', '0', '0', '0', '30', '30', '4', '1', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27541', 'Milk Cow', '1', '70984', '0', '34051', '32281', '10', '10', '0', '0', '0', '0', '0', '30', '30', '4', '1', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27542', 'Milk Cow', '1', '70984', '0', '34060', '32314', '10', '10', '0', '0', '0', '0', '0', '30', '30', '4', '1', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27543', 'Milk Cow', '1', '70984', '0', '34041', '32247', '10', '10', '0', '0', '0', '0', '0', '30', '30', '4', '1', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27544', 'Milk Cow', '1', '70984', '0', '33968', '33241', '10', '10', '0', '0', '0', '0', '0', '30', '30', '4', '1', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27545', 'Milk Cow', '1', '70984', '0', '34001', '33247', '10', '10', '0', '0', '0', '0', '0', '30', '30', '4', '1', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27546', 'Birds', '2', '81159', '0', '32579', '32933', '0', '0', '0', '0', '0', '0', '0', '20', '20', '0', '1', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27547', 'Birds', '2', '81159', '0', '33431', '32802', '0', '0', '0', '0', '0', '0', '0', '20', '20', '4', '1', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27548', 'Birds', '2', '81159', '0', '33437', '32825', '0', '0', '0', '0', '0', '0', '0', '20', '20', '4', '1', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27668', 'Priest of Chaos', '1', '45226', '0', '32733', '32957', '0', '0', '0', '0', '0', '0', '4', '0', '0', '521', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27669', 'Priest of Chaos', '1', '45226', '0', '32733', '32962', '0', '0', '0', '0', '0', '0', '0', '0', '0', '521', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27670', 'Priest of Chaos', '1', '45226', '0', '32737', '32957', '0', '0', '0', '0', '0', '0', '4', '0', '0', '521', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27671', 'Priest of Chaos', '1', '45226', '0', '32737', '32962', '0', '0', '0', '0', '0', '0', '0', '0', '0', '521', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27672', 'Priest of Chaos', '1', '45226', '0', '32709', '32958', '6', '6', '0', '0', '0', '0', '0', '0', '0', '521', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27673', 'Priest of Chaos', '1', '45226', '0', '32679', '32973', '6', '6', '0', '0', '0', '0', '0', '0', '0', '521', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27674', 'Priest of Chaos', '1', '45226', '0', '32676', '32962', '6', '6', '0', '0', '0', '0', '0', '0', '0', '521', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27675', 'Priest of Chaos', '1', '45226', '0', '32678', '32943', '6', '6', '0', '0', '0', '0', '0', '0', '0', '521', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27676', 'Priest of Chaos', '1', '45226', '0', '32682', '32928', '6', '6', '0', '0', '0', '0', '0', '0', '0', '521', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27677', 'Priest of Chaos', '1', '45226', '0', '32679', '32929', '6', '6', '0', '0', '0', '0', '0', '0', '0', '521', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27678', 'Priest of Chaos', '1', '45226', '0', '32681', '32943', '6', '6', '0', '0', '0', '0', '0', '0', '0', '521', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27679', 'Priest of Chaos', '1', '45226', '0', '32673', '32962', '6', '6', '0', '0', '0', '0', '0', '0', '0', '521', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27680', 'Priest of Chaos', '1', '45226', '0', '32677', '32974', '6', '6', '0', '0', '0', '0', '0', '0', '0', '521', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27681', 'Priest of Chaos', '1', '45226', '0', '32702', '32959', '6', '6', '0', '0', '0', '0', '0', '0', '0', '521', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27682', 'Priest of Chaos', '1', '45226', '0', '32730', '32959', '6', '6', '0', '0', '0', '0', '0', '0', '0', '521', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27770', 'Priest of Chaos', '2', '45226', '0', '32660', '32891', '0', '0', '0', '0', '0', '0', '4', '0', '0', '522', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27771', 'Priest of Chaos', '2', '45226', '0', '32663', '32900', '0', '0', '0', '0', '0', '0', '0', '0', '0', '522', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27772', 'Priest of Chaos', '2', '45226', '0', '32666', '32891', '0', '0', '0', '0', '0', '0', '4', '0', '0', '522', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27773', 'Priest of Chaos', '2', '45226', '0', '32669', '32900', '0', '0', '0', '0', '0', '0', '0', '0', '0', '522', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27774', 'Priest of Chaos', '2', '45226', '0', '32681', '32891', '0', '0', '0', '0', '0', '0', '4', '0', '0', '522', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27775', 'Priest of Chaos', '2', '45226', '0', '32681', '32900', '0', '0', '0', '0', '0', '0', '0', '0', '0', '522', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27776', 'Priest of Chaos', '2', '45226', '0', '32687', '32891', '0', '0', '0', '0', '0', '0', '4', '0', '0', '522', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27777', 'Priest of Chaos', '2', '45226', '0', '32687', '32900', '0', '0', '0', '0', '0', '0', '0', '0', '0', '522', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27778', 'Priest of Chaos', '2', '45226', '0', '32693', '32891', '0', '0', '0', '0', '0', '0', '4', '0', '0', '522', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27779', 'Priest of Chaos', '2', '45226', '0', '32693', '32900', '0', '0', '0', '0', '0', '0', '0', '0', '0', '522', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27780', 'Priest of Chaos', '2', '45599', '0', '32705', '32891', '0', '0', '0', '0', '0', '0', '4', '0', '0', '522', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27781', 'Priest of Chaos', '2', '45599', '0', '32705', '32900', '0', '0', '0', '0', '0', '0', '0', '0', '0', '522', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27782', 'Priest of Chaos', '2', '45599', '0', '32712', '32891', '0', '0', '0', '0', '0', '0', '4', '0', '0', '522', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27783', 'Priest of Chaos', '2', '45599', '0', '32712', '32900', '0', '0', '0', '0', '0', '0', '0', '0', '0', '522', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27784', 'Priest of Chaos', '2', '45626', '0', '32724', '32891', '0', '0', '0', '0', '0', '0', '4', '0', '0', '522', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27785', 'Priest of Chaos', '2', '45626', '0', '32724', '32900', '0', '0', '0', '0', '0', '0', '0', '0', '0', '522', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27786', 'Priest of Chaos', '2', '45576', '0', '32665', '32869', '6', '6', '0', '0', '0', '0', '0', '0', '0', '522', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27787', 'Priest of Chaos', '2', '45576', '0', '32674', '32868', '6', '6', '0', '0', '0', '0', '0', '0', '0', '522', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27788', 'Priest of Chaos', '2', '45576', '0', '32679', '32867', '6', '6', '0', '0', '0', '0', '0', '0', '0', '522', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27789', 'Priest of Chaos', '2', '45576', '0', '32667', '32918', '6', '6', '0', '0', '0', '0', '0', '0', '0', '522', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27790', 'Priest of Chaos', '2', '45576', '0', '32673', '32924', '6', '6', '0', '0', '0', '0', '0', '0', '0', '522', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27791', 'Priest of Chaos', '2', '45576', '0', '32685', '32924', '6', '6', '0', '0', '0', '0', '0', '0', '0', '522', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27792', 'Priest of Chaos', '2', '45576', '0', '32716', '32912', '6', '6', '0', '0', '0', '0', '0', '0', '0', '522', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27793', 'Priest of Chaos', '2', '45576', '0', '32720', '32920', '6', '6', '0', '0', '0', '0', '0', '0', '0', '522', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27794', 'Priest of Chaos', '2', '45576', '0', '32729', '32917', '6', '6', '0', '0', '0', '0', '0', '0', '0', '522', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27795', 'Priest of Chaos', '2', '45576', '0', '32729', '32875', '6', '6', '0', '0', '0', '0', '0', '0', '0', '522', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27796', 'Priest of Chaos', '2', '45576', '0', '32719', '32866', '6', '6', '0', '0', '0', '0', '0', '0', '0', '522', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27797', 'Priest of Chaos', '2', '45576', '0', '32716', '32874', '6', '6', '0', '0', '0', '0', '0', '0', '0', '522', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('30001', 'Goblin', '2', '45737', '0', '32749', '32722', '0', '0', '0', '0', '0', '0', '4', '12', '12', '8014', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('30002', 'Goblin', '2', '45737', '0', '32749', '32729', '0', '0', '0', '0', '0', '0', '4', '12', '12', '8014', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('30003', 'Goblin', '2', '45737', '0', '32748', '32735', '0', '0', '0', '0', '0', '0', '4', '12', '12', '8014', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('30004', 'Goblin', '2', '45737', '0', '32746', '32740', '0', '0', '0', '0', '0', '0', '4', '12', '12', '8014', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('30005', 'Goblin', '2', '45737', '0', '32749', '32744', '0', '0', '0', '0', '0', '0', '4', '12', '12', '8014', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('30006', 'Goblin', '2', '45737', '0', '32748', '32751', '0', '0', '0', '0', '0', '0', '4', '12', '12', '8014', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('30007', 'Goblin', '2', '45737', '0', '32746', '32755', '0', '0', '0', '0', '0', '0', '4', '12', '12', '8014', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('30008', 'Goblin', '2', '45737', '0', '32742', '32755', '0', '0', '0', '0', '0', '0', '4', '12', '12', '8014', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('30009', 'Goblin', '2', '45737', '0', '32734', '32753', '0', '0', '0', '0', '0', '0', '4', '12', '12', '8014', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('30010', 'Goblin', '2', '45737', '0', '32734', '32750', '0', '0', '0', '0', '0', '0', '4', '12', '12', '8014', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('30011', 'Goblin', '2', '45737', '0', '32744', '32744', '0', '0', '0', '0', '0', '0', '4', '12', '12', '8014', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('30012', 'Goblin', '2', '45737', '0', '32742', '32741', '0', '0', '0', '0', '0', '0', '4', '12', '12', '8014', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('30013', 'Goblin', '2', '45737', '0', '32737', '32743', '0', '0', '0', '0', '0', '0', '4', '12', '12', '8014', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('30014', 'Goblin', '2', '45737', '0', '32736', '32739', '0', '0', '0', '0', '0', '0', '4', '12', '12', '8014', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('30015', 'Goblin', '2', '45737', '0', '32729', '32744', '0', '0', '0', '0', '0', '0', '4', '12', '12', '8014', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('30016', 'Goblin', '2', '45737', '0', '32734', '32735', '0', '0', '0', '0', '0', '0', '4', '12', '12', '8014', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('30017', 'Goblin', '2', '45737', '0', '32738', '32733', '0', '0', '0', '0', '0', '0', '4', '12', '12', '8014', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('30018', 'Goblin', '2', '45737', '0', '32743', '32733', '0', '0', '0', '0', '0', '0', '4', '12', '12', '8014', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('30019', 'Goblin', '2', '45737', '0', '32743', '32727', '0', '0', '0', '0', '0', '0', '4', '12', '12', '8014', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('30020', 'Goblin', '2', '45737', '0', '32740', '32727', '0', '0', '0', '0', '0', '0', '4', '12', '12', '8014', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('30021', 'Goblin', '2', '45737', '0', '32737', '32727', '0', '0', '0', '0', '0', '0', '4', '12', '12', '8014', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('30022', 'Goblin', '2', '45737', '0', '32734', '32727', '0', '0', '0', '0', '0', '0', '4', '12', '12', '8014', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('30023', 'Goblin', '2', '45737', '0', '32730', '32726', '0', '0', '0', '0', '0', '0', '4', '12', '12', '8014', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('30024', 'Goblin', '2', '45737', '0', '32728', '32726', '0', '0', '0', '0', '0', '0', '4', '12', '12', '8014', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('30025', 'Goblin', '2', '45737', '0', '32729', '32724', '0', '0', '0', '0', '0', '0', '4', '12', '12', '8014', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('60000', 'Skeleton Marksman', '50', '45270', '0', '32699', '32763', '0', '0', '32659', '32722', '32740', '32804', '4', '60', '120', '666', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('60001', 'Cerberus', '50', '45241', '0', '32699', '32763', '0', '0', '32659', '32722', '32740', '32804', '4', '60', '120', '666', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('60002', 'Drake', '20', '45529', '0', '32699', '32763', '0', '0', '32659', '32722', '32740', '32804', '4', '60', '120', '666', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('60003', 'Dark Elder', '10', '45550', '0', '32699', '32763', '0', '0', '32659', '32722', '32740', '32804', '4', '60', '120', '666', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('60004', 'Death Knight', '1', '45601', '0', '32699', '32763', '0', '0', '32659', '32722', '32740', '32804', '4', '60', '120', '666', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('60005', 'Baphomet', '1', '45573', '0', '32699', '32763', '0', '0', '32659', '32722', '32740', '32804', '4', '60', '120', '666', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('60006', 'Succubus', '50', '45393', '0', '32699', '32839', '0', '0', '32658', '32803', '32740', '32876', '4', '60', '120', '666', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('60007', 'Succubus Queen', '20', '45451', '0', '32699', '32839', '0', '0', '32658', '32803', '32740', '32876', '4', '60', '120', '666', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('60008', 'Cockatrice', '50', '45361', '0', '32775', '32759', '0', '0', '32738', '32721', '32813', '32797', '4', '60', '120', '666', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('60009', 'Basilisk', '50', '45381', '0', '32775', '32759', '0', '0', '32738', '32721', '32813', '32797', '4', '60', '120', '666', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('60010', 'Demon', '1', '45649', '0', '32775', '32759', '0', '0', '32738', '32721', '32813', '32797', '4', '60', '120', '666', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('60011', 'Skeleton Marksman', '50', '45270', '0', '32779', '32838', '0', '0', '32740', '32798', '32818', '32879', '4', '60', '120', '666', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('60012', 'Cerberus', '50', '45241', '0', '32779', '32838', '0', '0', '32740', '32798', '32818', '32879', '4', '60', '120', '666', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('60013', 'Drake', '20', '45529', '0', '32779', '32838', '0', '0', '32740', '32798', '32818', '32879', '4', '60', '120', '666', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('60014', 'Dark Elder', '10', '45550', '0', '32779', '32838', '0', '0', '32740', '32798', '32818', '32879', '4', '60', '120', '666', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('60015', 'Death Knight', '1', '45601', '0', '32779', '32838', '0', '0', '32740', '32798', '32818', '32879', '4', '60', '120', '666', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('60016', 'Baphomet', '1', '45573', '0', '32779', '32838', '0', '0', '32740', '32798', '32818', '32879', '4', '60', '120', '666', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('60017', 'Imp Elder', '30', '45064', '0', '32779', '32838', '0', '0', '32659', '32721', '32818', '32879', '4', '60', '120', '666', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('60018', 'Orc Scout', '30', '45138', '0', '32779', '32838', '0', '0', '32659', '32721', '32818', '32879', '4', '60', '120', '666', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('60019', 'Slime', '15', '45060', '0', '32779', '32838', '0', '0', '32659', '32721', '32818', '32879', '4', '60', '120', '666', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61000', 'Killer Bee', '50', '45554', '0', '32624', '32749', '0', '0', '32589', '32695', '32659', '32804', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61001', 'Killer Bee', '30', '45554', '0', '32656', '32824', '0', '0', '32588', '32805', '32725', '32843', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61002', 'Killer Bee', '20', '45554', '0', '32625', '32860', '0', '0', '32595', '32843', '32655', '32877', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61003', 'Killer Bee', '30', '45554', '0', '32690', '32860', '0', '0', '32655', '32843', '32725', '32878', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61004', 'Ball Lightning', '50', '45549', '0', '32624', '32750', '0', '0', '32589', '32695', '32659', '32805', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61005', 'Ball Lightning', '30', '45549', '0', '32657', '32824', '0', '0', '32589', '32805', '32725', '32843', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61006', 'Ball Lightning', '20', '45549', '0', '32625', '32860', '0', '0', '32596', '32843', '32654', '32877', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61007', 'Ball Lightning', '30', '45549', '0', '32690', '32860', '0', '0', '32654', '32843', '32726', '32877', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61008', 'Ice Man', '50', '45556', '0', '32646', '32640', '0', '0', '32597', '32596', '32696', '32684', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61009', 'Ice Man', '20', '45556', '0', '32717', '32641', '0', '0', '32696', '32614', '32738', '32669', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61010', 'Ice Man', '30', '45556', '0', '32771', '32616', '0', '0', '32734', '32592', '32808', '32640', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61011', 'Ice Golem', '30', '45553', '0', '32646', '32639', '0', '0', '32597', '32596', '32696', '32683', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61012', 'Ice Golem', '20', '45553', '0', '32718', '32641', '0', '0', '32697', '32614', '32739', '32669', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61013', 'Ice Golem', '30', '45553', '0', '32771', '32616', '0', '0', '32734', '32592', '32809', '32640', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61014', 'Salamander', '50', '45552', '0', '32795', '32845', '0', '0', '32768', '32820', '32823', '32870', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61015', 'Salamander', '40', '45552', '0', '32832', '32782', '0', '0', '32787', '32749', '32878', '32816', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61016', 'Fire Egg', '40', '45555', '0', '32795', '32844', '0', '0', '32768', '32820', '32822', '32869', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61017', 'Fire Egg', '20', '45555', '0', '32853', '32717', '0', '0', '32829', '32685', '32877', '32749', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61018', 'Fungus', '15', '45551', '0', '32657', '32841', '0', '0', '32589', '32805', '32725', '32877', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61019', 'Fungus', '10', '45551', '0', '32624', '32749', '0', '0', '32589', '32695', '32660', '32804', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61020', 'Fungus', '10', '45551', '0', '32646', '32639', '0', '0', '32597', '32595', '32696', '32684', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61021', 'Fungus', '5', '45551', '0', '32718', '32642', '0', '0', '32697', '32615', '32739', '32669', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61022', 'Fungus', '10', '45551', '0', '32771', '32616', '0', '0', '32734', '32592', '32809', '32641', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61023', 'Fungus', '5', '45551', '0', '32849', '32627', '0', '0', '32831', '32612', '32868', '32642', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61024', 'Fungus', '10', '45551', '0', '32853', '32711', '0', '0', '32830', '32673', '32877', '32749', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61025', 'Fungus', '8', '45551', '0', '32832', '32783', '0', '0', '32787', '32749', '32878', '32817', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61026', 'Fungus', '5', '45551', '0', '32794', '32844', '0', '0', '32767', '32820', '32822', '32869', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61027', 'Fungus', '10', '45551', '0', '32718', '32758', '0', '0', '32678', '32722', '32758', '32794', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61028', 'Fungus', '5', '45551', '0', '32736', '32689', '0', '0', '32715', '32670', '32757', '32709', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61029', 'Fungus', '5', '45551', '0', '32782', '32725', '0', '0', '32758', '32704', '32806', '32747', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61030', 'Will O\' Wisp', '8', '45557', '0', '32624', '32749', '0', '0', '32589', '32695', '32660', '32804', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61031', 'Will O\' Wisp', '8', '45557', '0', '32657', '32841', '0', '0', '32589', '32805', '32725', '32877', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61032', 'Will O\' Wisp', '5', '45557', '0', '32795', '32845', '0', '0', '32769', '32821', '32822', '32870', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61033', 'Will O\' Wisp', '5', '45557', '0', '32832', '32783', '0', '0', '32787', '32750', '32878', '32817', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61034', 'Will O\' Wisp', '5', '45557', '0', '32853', '32710', '0', '0', '32830', '32672', '32877', '32749', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61035', 'Will O\' Wisp', '5', '45557', '0', '32718', '32757', '0', '0', '32679', '32722', '32758', '32793', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61036', 'Will O\' Wisp', '5', '45557', '0', '32736', '32689', '0', '0', '32715', '32670', '32758', '32709', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61037', 'Will O\' Wisp', '5', '45557', '0', '32647', '32639', '0', '0', '32599', '32596', '32696', '32682', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61038', 'Will O\' Wisp', '5', '45557', '0', '32718', '32641', '0', '0', '32698', '32616', '32738', '32667', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61039', 'Will O\' Wisp', '5', '45557', '0', '32771', '32617', '0', '0', '32733', '32593', '32810', '32641', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61040', 'Will O\' Wisp', '5', '45557', '0', '32848', '32627', '0', '0', '32831', '32612', '32866', '32643', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61041', 'Will O\' Wisp', '20', '45560', '0', '32733', '32735', '0', '0', '32587', '32592', '32879', '32878', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61042', 'Will O\' Wisp', '20', '45561', '0', '32733', '32735', '0', '0', '32587', '32592', '32880', '32879', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61043', 'Will O\' Wisp', '20', '45558', '0', '32734', '32735', '0', '0', '32589', '32592', '32879', '32878', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61044', 'Will O\' Wisp', '20', '45559', '0', '32733', '32735', '0', '0', '32588', '32592', '32879', '32878', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62000', 'Werewolf', '60', '45024', '0', '32632', '32842', '0', '0', '32559', '32799', '32706', '32885', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62001', 'Werewolf', '140', '45024', '0', '32416', '33028', '0', '0', '32305', '32863', '32527', '33193', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62002', 'Werewolf', '100', '45024', '0', '32628', '33128', '0', '0', '32527', '33030', '32730', '33227', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62003', 'Lycanthrope', '20', '45173', '0', '32633', '32840', '0', '0', '32560', '32796', '32707', '32884', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62004', 'Lycanthrope', '40', '45173', '0', '32415', '33028', '0', '0', '32303', '32862', '32527', '33194', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62005', 'Lycanthrope', '40', '45173', '0', '32628', '33128', '0', '0', '32527', '33030', '32730', '33226', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62006', 'Goblin', '30', '45008', '0', '32634', '32840', '0', '0', '32560', '32796', '32708', '32885', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62007', 'Goblin', '30', '45008', '0', '32509', '32823', '0', '0', '32465', '32789', '32553', '32858', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62008', 'Goblin', '100', '45008', '0', '32415', '33028', '0', '0', '32304', '32862', '32527', '33194', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62009', 'Goblin', '60', '45008', '0', '32628', '33128', '0', '0', '32527', '33030', '32730', '33226', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62010', 'Hobgoblin', '10', '45140', '0', '32633', '32840', '0', '0', '32560', '32796', '32706', '32884', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62011', 'Hobgoblin', '10', '45140', '0', '32633', '32840', '0', '0', '32466', '32784', '32552', '32857', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62012', 'Hobgoblin', '40', '45140', '0', '32416', '33026', '0', '0', '32305', '32862', '32527', '33191', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62013', 'Hobgoblin', '40', '45140', '0', '32629', '33128', '0', '0', '32528', '33031', '32731', '33225', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62014', 'Orc Fighter', '30', '45082', '0', '32634', '32840', '0', '0', '32561', '32796', '32707', '32884', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62015', 'Orc Fighter', '16', '45082', '0', '32508', '32819', '0', '0', '32465', '32782', '32551', '32857', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62016', 'Orc Fighter', '60', '45082', '0', '32415', '33026', '0', '0', '32304', '32860', '32527', '33193', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62017', 'Orc Fighter', '40', '45082', '0', '32629', '33126', '0', '0', '32528', '33028', '32730', '33224', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62018', 'Orc', '60', '45009', '0', '32634', '32841', '0', '0', '32561', '32796', '32708', '32886', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62019', 'Orc', '30', '45009', '0', '32508', '32819', '0', '0', '32464', '32781', '32552', '32858', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62020', 'Orc', '100', '45009', '0', '32415', '32963', '0', '0', '32305', '32863', '32526', '33063', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62021', 'Orc', '60', '45009', '0', '32628', '33126', '0', '0', '32526', '33030', '32730', '33223', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62022', 'Orc Archer', '20', '45019', '0', '32633', '32840', '0', '0', '32561', '32797', '32705', '32884', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62023', 'Orc Archer', '10', '45019', '0', '32507', '32819', '0', '0', '32464', '32782', '32551', '32856', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62024', 'Orc Archer', '60', '45019', '0', '32415', '32963', '0', '0', '32304', '32863', '32526', '33064', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62025', 'Orc Archer', '60', '45019', '0', '32628', '33126', '0', '0', '32527', '33029', '32730', '33224', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62026', 'Kobold', '20', '45016', '0', '32633', '32840', '0', '0', '32560', '32796', '32706', '32884', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62027', 'Kobold', '10', '45016', '0', '32508', '32819', '0', '0', '32465', '32782', '32552', '32856', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62028', 'Kobold', '60', '45016', '0', '32415', '32963', '0', '0', '32304', '32863', '32526', '33063', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62029', 'Kobold', '60', '45016', '0', '32628', '33126', '0', '0', '32528', '33030', '32729', '33223', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62030', 'Dwarf', '20', '45041', '0', '32634', '32840', '0', '0', '32561', '32796', '32708', '32884', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62031', 'Dwarf', '10', '45041', '0', '32508', '32819', '0', '0', '32465', '32782', '32551', '32857', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62032', 'Dwarf', '40', '45041', '0', '32416', '32964', '0', '0', '32306', '32865', '32526', '33064', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62033', 'Dwarf', '40', '45041', '0', '32628', '33126', '0', '0', '32528', '33031', '32728', '33222', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62034', 'Dwarf Warrior', '16', '45092', '0', '32633', '32839', '0', '0', '32562', '32796', '32705', '32883', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62035', 'Gnoll', '20', '45079', '0', '32634', '32840', '0', '0', '32562', '32797', '32707', '32883', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62036', 'Gnoll', '20', '45079', '0', '32508', '32819', '0', '0', '32465', '32782', '32552', '32856', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62037', 'Gnoll', '60', '45079', '0', '32415', '32963', '0', '0', '32306', '32863', '32525', '33064', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62038', 'Gnoll', '60', '45079', '0', '32628', '33127', '0', '0', '32528', '33030', '32729', '33224', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62039', 'Zombie', '16', '45065', '0', '32508', '32820', '0', '0', '32464', '32782', '32553', '32859', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62040', 'Zombie', '60', '45065', '0', '32416', '33027', '0', '0', '32305', '32863', '32527', '33192', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62041', 'Zombie', '60', '45065', '0', '32629', '33127', '0', '0', '32527', '33031', '32731', '33224', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62042', 'Ghoul', '10', '45157', '0', '32508', '32818', '0', '0', '32465', '32781', '32552', '32856', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62043', 'Ghoul', '40', '45157', '0', '32416', '33027', '0', '0', '32305', '32863', '32528', '33191', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62044', 'Ghoul', '40', '45157', '0', '32416', '33027', '0', '0', '32529', '33031', '32731', '33224', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62045', 'Skeleton', '40', '45107', '0', '32417', '33128', '0', '0', '32306', '33066', '32528', '33190', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62046', 'Arachnevil', '40', '45136', '0', '32417', '33128', '0', '0', '32306', '32964', '32457', '33190', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62047', 'Arachnevil', '40', '45136', '0', '32381', '33077', '0', '0', '32460', '33034', '32729', '33221', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62048', 'Arachnevil Elder', '30', '45184', '0', '32382', '33077', '0', '0', '32307', '32965', '32458', '33189', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62049', 'Arachnevil Elder', '30', '45184', '0', '32594', '33129', '0', '0', '32460', '33035', '32728', '33224', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62050', 'Stone Golem', '16', '45126', '0', '32633', '32841', '0', '0', '32562', '32798', '32705', '32884', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62051', 'Stone Golem', '10', '45126', '0', '32510', '32821', '0', '0', '32468', '32786', '32552', '32857', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62052', 'Stone Golem', '20', '45126', '0', '32382', '33030', '0', '0', '32305', '32966', '32459', '33095', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62053', 'Stone Golem', '20', '45126', '0', '32629', '33129', '0', '0', '32528', '33033', '32730', '33225', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62054', 'Floating Eye', '20', '45068', '0', '32635', '32839', '0', '0', '32562', '32797', '32708', '32882', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62055', 'Floating Eye', '10', '45068', '0', '32509', '32818', '0', '0', '32465', '32781', '32554', '32856', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62056', 'Floating Eye', '20', '45068', '0', '32509', '32818', '0', '0', '32305', '32966', '32458', '33093', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62057', 'Floating Eye', '20', '45068', '0', '32594', '33130', '0', '0', '32460', '33037', '32729', '33223', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62058', 'Elder', '10', '45215', '0', '32381', '33076', '0', '0', '32305', '32964', '32458', '33188', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62059', 'Elder', '16', '45215', '0', '32594', '33130', '0', '0', '32459', '33037', '32730', '33224', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62060', 'Shepherd', '16', '45034', '0', '32416', '32964', '0', '0', '32304', '32863', '32528', '33065', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62061', 'Doberman', '10', '45042', '0', '32415', '33014', '0', '0', '32303', '32962', '32527', '33067', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62062', 'Beagle', '10', '45046', '0', '32394', '33030', '0', '0', '32306', '32965', '32482', '33095', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62063', 'Frog', '100', '45005', '0', '32513', '33005', '0', '0', '32298', '32786', '32729', '33225', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62064', 'Rabbit', '100', '45010', '0', '32513', '33004', '0', '0', '32297', '32784', '32730', '33225', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62065', 'Rabbit', '100', '45012', '0', '32514', '33003', '0', '0', '32298', '32783', '32730', '33223', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62066', 'Deer', '2', '45021', '0', '32564', '32882', '0', '0', '32528', '32859', '32601', '32905', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62067', 'Deer', '2', '45021', '0', '32613', '32940', '0', '0', '32606', '32903', '32621', '32978', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62068', 'Deer', '2', '45021', '0', '32637', '32953', '0', '0', '32623', '32936', '32649', '32964', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62069', 'Deer', '2', '45021', '0', '32570', '33001', '0', '0', '32528', '32987', '32613', '33015', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62070', 'Deer', '20', '45021', '0', '32417', '33029', '0', '0', '32305', '32865', '32529', '33193', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62072', 'Deer', '16', '45021', '0', '32628', '33130', '0', '0', '32465', '33036', '32727', '33222', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62073', 'Slime', '10', '45060', '0', '32635', '32843', '0', '0', '32565', '32801', '32706', '32885', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62074', 'Slime', '2', '45060', '0', '32635', '32843', '0', '0', '32606', '32903', '32621', '32977', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62075', 'Slime', '2', '45060', '0', '32636', '32950', '0', '0', '32624', '32937', '32648', '32964', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62076', 'Slime', '5', '45060', '0', '32508', '32821', '0', '0', '32464', '32784', '32553', '32858', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62077', 'Slime', '30', '45060', '0', '32425', '33042', '0', '0', '32304', '32864', '32546', '33221', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62078', 'Slime', '20', '45060', '0', '32637', '33131', '0', '0', '32547', '33037', '32728', '33225', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('100000', 'Slime', '20', '45060', '0', '32700', '32800', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('100001', 'Zombie', '75', '45065', '0', '32700', '32800', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('100002', 'Ghoul', '65', '45157', '0', '32700', '32800', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('100003', 'Skeleton', '140', '45107', '0', '32700', '32800', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('100004', 'Floating Eye', '35', '45068', '0', '32700', '32800', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('100005', 'Betrayer\'s Skeleton Guardsman', '8', '45100', '0', '32700', '32800', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('100006', 'Elder', '15', '45215', '0', '32700', '32800', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('200001', 'Slime', '10', '45060', '0', '32700', '32870', '0', '0', '32640', '32768', '32831', '32895', '5', '0', '0', '2', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('200002', 'Zombie', '20', '45065', '0', '32700', '32870', '0', '0', '32640', '32768', '32831', '32895', '5', '0', '0', '2', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('200003', 'Werewolf', '20', '45024', '0', '32700', '32870', '0', '0', '32640', '32768', '32831', '32895', '5', '0', '0', '2', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('200004', 'Floating Eye', '20', '45068', '0', '32700', '32870', '0', '0', '32640', '32768', '32831', '32895', '5', '0', '0', '2', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('200005', 'Skeleton', '40', '45107', '0', '32700', '32870', '0', '0', '32640', '32768', '32831', '32895', '5', '0', '0', '2', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('200006', 'Skeleton Archer', '40', '45122', '0', '32700', '32870', '0', '0', '32640', '32768', '32831', '32895', '5', '0', '0', '2', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('200007', 'Skeleton Soldier', '40', '45131', '0', '32700', '32870', '0', '0', '32640', '32768', '32831', '32895', '5', '0', '0', '2', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('200008', 'Skeleton Axeman', '40', '45130', '0', '32700', '32870', '0', '0', '32640', '32768', '32831', '32895', '5', '0', '0', '2', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('200009', 'Stone Golem', '20', '45126', '0', '32700', '32870', '0', '0', '32640', '32768', '32831', '32895', '5', '0', '0', '2', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('200010', 'Arachnevil', '40', '45136', '0', '32700', '32870', '0', '0', '32640', '32768', '32831', '32895', '5', '0', '0', '2', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('200011', 'Spartoi', '40', '45161', '0', '32700', '32870', '0', '0', '32640', '32768', '32831', '32895', '5', '0', '0', '2', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('200012', 'Ghoul', '40', '45157', '0', '32700', '32870', '0', '0', '32640', '32768', '32831', '32895', '5', '0', '0', '2', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('200013', 'Lycanthrope', '20', '45173', '0', '32700', '32870', '0', '0', '32640', '32768', '32831', '32895', '5', '0', '0', '2', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('200014', 'Arachnevil Elder', '20', '45184', '0', '32700', '32870', '0', '0', '32640', '32768', '32831', '32895', '5', '0', '0', '2', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('700001', 'Orc', '6', '45009', '0', '32773', '32722', '0', '0', '32773', '32722', '32814', '32750', '5', '0', '0', '7', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('700002', 'Orc Archer', '10', '45019', '0', '32773', '32722', '0', '0', '32773', '32722', '32814', '32750', '5', '0', '0', '7', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('700003', 'Orc Fighter', '10', '45082', '0', '32773', '32722', '0', '0', '32773', '32722', '32814', '32750', '5', '0', '0', '7', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('700004', 'Slime', '10', '45060', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '7', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('700005', 'Skeleton', '80', '45107', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '7', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('700006', 'Skeleton Archer', '40', '45122', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '7', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('700007', 'Spartoi', '20', '45161', '0', '32772', '32756', '0', '0', '32772', '32756', '32809', '32814', '5', '0', '0', '7', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('800001', 'Slime', '5', '45060', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '8', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('800002', 'Zombie', '20', '45065', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '8', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('800003', 'Ghoul', '20', '45157', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '8', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('800004', 'Skeleton', '40', '45107', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '8', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('800005', 'Skeleton Archer', '40', '45122', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '8', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('800006', 'Skeleton Soldier', '10', '45131', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '8', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('800007', 'Spartoi', '10', '45161', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '8', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('800008', 'Arachnevil', '20', '45136', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '8', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('800009', 'Arachnevil Elder', '20', '45184', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '8', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('800010', 'Bugbear', '6', '45223', '0', '32764', '32738', '0', '0', '32764', '32738', '32805', '32779', '5', '0', '0', '8', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('900001', 'Slime', '5', '45060', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '9', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('900002', 'Zombie', '20', '45065', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '9', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('900003', 'Ghoul', '20', '45157', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '9', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('900004', 'Skeleton', '40', '45107', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '9', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('900005', 'Skeleton Archer', '20', '45122', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '9', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('900006', 'Spartoi', '10', '45161', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '9', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('900007', 'Stone Golem', '40', '45126', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '9', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('900008', 'Arachnevil Elder', '40', '45184', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '9', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('900009', 'Bugbear', '40', '45223', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '9', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1000001', 'Slime', '5', '45060', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '10', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1000002', 'Zombie', '20', '45065', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '10', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1000003', 'Ghoul', '20', '45157', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '10', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1000004', 'Skeleton', '6', '45107', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '10', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1000005', 'Skeleton Archer', '6', '45122', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '10', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1000006', 'Spartoi', '10', '45161', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '10', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1000007', 'Stone Golem', '6', '45126', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '10', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1000008', 'Arachnevil', '20', '45136', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '10', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1000009', 'Arachnevil Elder', '20', '45184', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '10', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1000010', 'Bugbear', '40', '45223', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '10', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1000011', 'Cerberus', '40', '45241', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '10', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1100001', 'Slime', '5', '45060', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '11', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1100002', 'Ghoul', '20', '45157', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '11', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1100003', 'Skeleton', '30', '45107', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '11', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1100004', 'Skeleton Archer', '30', '45122', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '11', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1100005', 'Skeleton Axeman', '20', '45130', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '11', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1100006', 'Skeleton Soldier', '20', '45131', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '11', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1100007', 'Spartoi', '10', '45161', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '11', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1100008', 'Arachnevil Elder', '20', '45184', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '11', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1100009', 'Bugbear', '40', '45223', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '11', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1100010', 'Cerberus', '30', '45241', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '11', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1200001', 'Slime', '5', '45060', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '12', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1200002', 'Ghoul', '30', '45157', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '12', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1200003', 'Floating Eye', '4', '45068', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '12', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1200004', 'Spartoi', '10', '45161', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '12', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1200005', 'Crawling Claw', '10', '45083', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '12', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1200006', 'Arachnevil Elder', '20', '45184', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '12', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1200007', 'Bugbear', '30', '45223', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '12', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1200008', 'Cerberus', '40', '45241', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '12', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1200009', 'King Bugbear', '20', '45298', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '12', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1300001', 'Slime', '5', '45060', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '13', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1300002', 'Ghoul', '30', '45157', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '13', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1300003', 'Spartoi', '10', '45161', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '13', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1300004', 'Arachnevil Elder', '30', '45184', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '13', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1300005', 'Bugbear', '30', '45738', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '13', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1300006', 'King Bugbear', '30', '45298', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '13', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1300007', 'Cerberus', '40', '45241', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '13', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1400001', 'Slime', '10', '45060', '0', '32532', '32794', '0', '0', '32512', '32768', '33023', '32831', '5', '0', '0', '14', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1400002', 'Zombie', '30', '45065', '0', '32532', '32794', '0', '0', '32512', '32768', '33023', '32831', '5', '0', '0', '14', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1400003', 'Ghoul', '10', '45157', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '14', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1400004', 'Crawling Claw', '60', '45083', '0', '32532', '32794', '0', '0', '32512', '32768', '33023', '32831', '5', '0', '0', '14', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1900001', 'Contaminated Orc', '20', '45117', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '19', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1900002', 'Contaminated Orc Archer', '30', '45118', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '19', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1900003', 'Contaminated Fungus', '30', '45103', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '19', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1900004', 'Contaminated Orc Warrior', '30', '45128', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '19', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1900005', 'Contaminated Cyclops', '10', '45137', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '19', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2000001', 'Blob', '20', '45032', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '20', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2000002', 'Contaminated Fungus', '20', '45103', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '20', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2000003', 'Contaminated Cyclops', '10', '45137', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '20', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2000004', 'Contaminated Ent', '20', '45152', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '20', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2000005', 'Contaminated Fairy', '10', '45153', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '20', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2000006', 'Contaminated Duda-Mara Orc', '30', '45151', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '20', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2100001', 'Blob', '10', '45032', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '21', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2100002', 'Betrayed Orc Archer', '15', '45135', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '21', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2100003', 'Contaminated Ogre', '10', '45183', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '21', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2100004', 'Betrayed Orc Chief', '3', '45179', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '21', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2100005', 'Contaminated Troll', '10', '45186', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '21', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2100006', 'Assassin', '10', '45336', '0', '32790', '32743', '0', '0', '32790', '32743', '32805', '32749', '5', '0', '0', '21', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2100007', 'Assassin Master', '1', '45504', '0', '32802', '32746', '1', '1', '0', '0', '0', '0', '0', '60', '120', '21', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2200001', 'Ramia', '50', '81107', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '22', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2300001', 'Slime', '5', '45060', '0', '32810', '32723', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '23', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2300002', 'Zombie', '20', '45065', '0', '32810', '32723', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '23', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2300003', 'Ghoul', '20', '45157', '0', '32810', '32723', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '23', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2300004', 'Skeleton', '30', '45107', '0', '32810', '32723', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '23', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2300005', 'Skeleton Archer', '30', '45122', '0', '32810', '32723', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '23', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2300006', 'Skeleton Axeman', '20', '45130', '0', '32810', '32723', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '23', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2300007', 'Skeleton Soldier', '20', '45131', '0', '32810', '32723', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '23', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2300008', 'Spartoi', '10', '45161', '0', '32810', '32723', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '23', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2300009', 'Arachnevil Elder', '30', '45184', '0', '32810', '32723', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '23', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2300010', 'Bugbear', '20', '45223', '0', '32810', '32723', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '23', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2300011', 'Cerberus', '30', '45241', '0', '32810', '32723', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '23', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2300012', 'King Bugbear', '10', '45298', '0', '32810', '32723', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '23', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2400001', 'Slime', '5', '45060', '0', '32809', '32812', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '24', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2400002', 'Zombie', '20', '45065', '0', '32809', '32812', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '24', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2400003', 'Ghoul', '20', '45157', '0', '32809', '32812', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '24', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2400004', 'Crawling Claw', '20', '45083', '0', '32809', '32812', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '24', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2400005', 'Spartoi', '20', '45161', '0', '32809', '32812', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '24', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2400006', 'Arachnevil Elder', '30', '45184', '0', '32809', '32812', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '24', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2400007', 'Bugbear', '30', '45223', '0', '32809', '32812', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '24', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2400008', 'King Bugbear', '30', '45298', '0', '32809', '32812', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '24', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2400009', 'Cerberus', '30', '45241', '0', '32809', '32812', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '24', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2500001', 'Orc', '20', '45009', '0', '32738', '32802', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '25', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2500002', 'Orc Archer', '20', '45019', '0', '32738', '32802', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '25', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2500003', 'Orc Archer', '20', '45019', '0', '32738', '32802', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '25', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2500004', 'Slime', '5', '45060', '0', '32738', '32802', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '25', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2500005', 'Zombie', '20', '45065', '0', '32738', '32802', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '25', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2500006', 'Orc Fighter', '20', '45082', '0', '32738', '32802', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '25', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2500007', 'Werewolf', '10', '45024', '0', '32738', '32802', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '25', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2500008', 'Floating Eye', '10', '45068', '0', '32738', '32802', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '25', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2500009', 'Skeleton', '30', '45107', '0', '32738', '32802', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '25', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2500010', 'Skeleton Archer', '20', '45122', '0', '32738', '32802', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '25', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2500011', 'Stone Golem', '20', '45126', '0', '32738', '32802', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '25', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2500012', 'Arachnevil', '4', '45136', '0', '32720', '32805', '0', '0', '32720', '32805', '32744', '32807', '5', '0', '0', '25', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2600001', 'Slime', '5', '45060', '0', '32802', '32815', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '26', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2600002', 'Zombie', '60', '45065', '0', '32802', '32815', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '26', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2600003', 'Ghoul', '40', '45157', '0', '32802', '32815', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '26', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2600004', 'Spartoi', '20', '45161', '0', '32802', '32815', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '26', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2600005', 'Cerberus', '20', '45241', '0', '32802', '32815', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '26', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2600006', 'Bugbear', '20', '45223', '0', '32802', '32815', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '26', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2700001', 'Slime', '5', '45060', '0', '32807', '32812', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '27', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2700002', 'Ghoul', '60', '45157', '0', '32807', '32812', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '27', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2700003', 'Cerberus', '30', '45241', '0', '32807', '32812', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '27', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2700004', 'Bugbear', '40', '45223', '0', '32807', '32812', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '27', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2700005', 'King Bugbear', '10', '45298', '0', '32807', '32812', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '27', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2800001', 'Slime', '5', '45060', '0', '32799', '32798', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '28', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2800002', 'Cerberus', '50', '45241', '0', '32799', '32798', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '28', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2800003', 'Bugbear', '50', '45223', '0', '32799', '32798', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '28', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2800004', 'King Bugbear', '40', '45298', '0', '32799', '32798', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '28', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3000001', 'Slime', '5', '45060', '0', '32740', '32777', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3000002', 'Skeleton Marksman', '24', '45270', '0', '32740', '32777', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3000003', 'Skeleton Guard', '24', '45269', '0', '32740', '32777', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3000004', 'Skeleton Fighter', '26', '45286', '0', '32740', '32777', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3000005', 'Spartoi', '26', '45161', '0', '32740', '32777', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3000006', 'Arachnevil Elder', '14', '45184', '0', '32740', '32777', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3000007', 'Troll', '20', '45280', '0', '32740', '32777', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3100001', 'Slime', '5', '45060', '0', '32760', '32781', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '31', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3100002', 'Skeleton Marksman', '24', '45270', '0', '32760', '32781', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '31', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3100003', 'Skeleton Guard', '24', '45269', '0', '32760', '32781', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '31', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3100004', 'Skeleton Fighter', '24', '45286', '0', '32760', '32781', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '31', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3100005', 'Troll', '20', '45280', '0', '32760', '32781', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '31', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3100006', 'Muryan', '18', '45289', '0', '32760', '32781', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '31', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3200001', 'Slime', '5', '45060', '0', '32709', '32818', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '32', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3200002', 'Skeleton Marksman', '26', '45270', '0', '32709', '32818', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '32', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3200003', 'Skeleton Guard', '26', '45269', '0', '32709', '32818', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '32', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3200004', 'Skeleton Fighter', '26', '45286', '0', '32709', '32818', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '32', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3200005', 'Troll', '10', '45280', '0', '32709', '32818', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '32', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3200006', 'Muryan', '26', '45289', '0', '32709', '32818', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '32', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3200007', 'Ettin', '8', '45373', '0', '32709', '32818', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '32', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3300001', 'Slime', '5', '45060', '0', '32669', '32869', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '33', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3300002', 'Skeleton Marksman', '26', '45270', '0', '32669', '32869', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '33', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3300003', 'Skeleton Guard', '26', '45269', '0', '32669', '32869', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '33', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3300004', 'Skeleton Fighter', '26', '45286', '0', '32669', '32869', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '33', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3300005', 'Troll', '10', '45280', '0', '32669', '32869', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '33', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3300006', 'Muryan', '26', '45289', '0', '32669', '32869', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '33', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3300007', 'Ettin', '8', '45373', '0', '32669', '32869', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '33', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3300008', 'Succubus', '10', '45393', '0', '32669', '32869', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '33', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3500001', 'Slime', '5', '45060', '0', '32746', '32802', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '35', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3500002', 'Muryan', '26', '45289', '0', '32746', '32802', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '35', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3500003', 'Ettin', '14', '45373', '0', '32746', '32802', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '35', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3500004', 'Succubus', '20', '45393', '0', '32746', '32802', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '35', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3500005', 'Succubus Queen', '8', '45451', '0', '32746', '32802', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '35', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3600001', 'Slime', '5', '45060', '0', '32663', '32846', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '36', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3600002', 'Ettin', '20', '45373', '0', '32663', '32846', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '36', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3600003', 'Succubus', '36', '45393', '0', '32663', '32846', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '36', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3600004', 'Succubus Queen', '18', '45451', '0', '32663', '32846', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '36', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3700001', 'Slime', '15', '45060', '0', '32668', '32867', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '37', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4300001', 'Giant Ant', '100', '45115', '0', '32738', '32799', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '43', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4300002', 'Giant Soldier Ant', '50', '45190', '0', '32738', '32799', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '43', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4400001', 'Giant Ant', '100', '45115', '0', '32738', '32799', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '44', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4400002', 'Giant Soldier Ant', '50', '45190', '0', '32738', '32799', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '44', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4500001', 'Giant Ant', '100', '45115', '0', '32738', '32799', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '45', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4500002', 'Giant Soldier Ant', '50', '45190', '0', '32738', '32799', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '45', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4600001', 'Giant Ant', '100', '45115', '0', '32738', '32799', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '46', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4600002', 'Giant Soldier Ant', '50', '45190', '0', '32738', '32799', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '46', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4700001', 'Giant Ant', '100', '45115', '0', '32738', '32799', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '47', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4700002', 'Giant Soldier Ant', '50', '45190', '0', '32800', '32800', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '47', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4800001', 'Giant Ant', '100', '45115', '0', '32738', '32799', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '48', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4800002', 'Giant Soldier Ant', '50', '45190', '0', '32800', '32800', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '48', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4900001', 'Giant Ant', '100', '45115', '0', '32738', '32799', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '49', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4900002', 'Giant Soldier Ant', '50', '45190', '0', '32800', '32800', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '49', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5000001', 'Giant Ant', '100', '45115', '0', '32740', '32802', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '50', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5000002', 'Giant Soldier Ant', '50', '45190', '0', '32740', '32802', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '50', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5100001', 'Giant Ant', '50', '45115', '0', '32764', '32828', '0', '0', '32640', '32704', '32831', '32895', '5', '0', '0', '51', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5100002', 'Giant Soldier Ant', '100', '45190', '0', '32764', '32828', '0', '0', '32640', '32704', '32831', '32895', '5', '0', '0', '51', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5300001', 'Blob', '10', '45032', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '53', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5300002', 'Giran Imp', '24', '45125', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '53', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5300003', 'Giran Ghast', '60', '45142', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '53', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5300004', 'Giran Imp Elder', '24', '45168', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '53', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5300005', 'Giran Troglodyte', '40', '45170', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '53', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5300006', 'Giran Ghast Lord', '30', '45188', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '53', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5400001', 'Giran Lizardman', '32', '45156', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '54', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5400002', 'Giran Crabman', '32', '45169', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '54', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5400003', 'Giran Vakuuk', '32', '45187', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '54', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5400004', 'Giran Arachnevil Elder', '32', '45312', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '54', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5400005', 'Giran Ramia', '40', '45230', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '54', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5500001', 'Giran Snow Tiger', '24', '45243', '0', '32734', '32728', '0', '0', '32704', '32704', '32767', '32895', '5', '0', '0', '55', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5500002', 'Giran Cerberus', '28', '45283', '0', '32734', '32728', '0', '0', '32704', '32704', '32767', '32895', '5', '0', '0', '55', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5500003', 'Giran Dire Wolf', '30', '45282', '0', '32734', '32728', '0', '0', '32704', '32704', '32767', '32895', '5', '0', '0', '55', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5500004', 'Giran Cimaera', '26', '45325', '0', '32734', '32728', '0', '0', '32704', '32704', '32767', '32895', '5', '0', '0', '55', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5600001', 'Skeleton Marksman', '20', '45270', '0', '32770', '32730', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '56', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5600002', 'Skeleton Fighter', '20', '45286', '0', '32770', '32730', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '56', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5600003', 'Giran Stone Golem', '40', '45281', '0', '32770', '32730', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '56', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5600004', 'Giran Iron Golem', '40', '45345', '0', '32770', '32730', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '56', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5600005', 'Giran Lava Golem', '60', '45376', '0', '32770', '32730', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '56', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5900001', 'Lizardman', '24', '45144', '0', '32727', '32808', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '59', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5900002', 'Ramia', '30', '81076', '0', '32727', '32808', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '59', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5900003', 'Alligator', '24', '45307', '0', '32727', '32808', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '59', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5900004', 'Vakuuk', '24', '45116', '0', '32727', '32808', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '59', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5900005', 'Ratman', '24', '45192', '0', '32727', '32808', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '59', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5900006', 'Troglodyte', '24', '45155', '0', '32727', '32808', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '59', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6000001', 'Alligator', '20', '45307', '0', '32727', '32808', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '60', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6000002', 'Vakuuk', '20', '45116', '0', '32727', '32808', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '60', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6000003', 'Ratman', '20', '45192', '0', '32727', '32808', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '60', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6000004', 'Ramia', '20', '81076', '0', '32727', '32808', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '60', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6000005', 'Scorpion', '20', '81077', '0', '32727', '32808', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '60', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6000006', 'Crabman', '20', '45164', '0', '32727', '32808', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '60', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6000007', 'Beholder', '4', '45349', '0', '32727', '32808', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '60', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6100001', 'Alligator', '30', '45307', '0', '32727', '32808', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '61', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6100002', 'Ratman', '30', '45192', '0', '32727', '32808', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '61', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6100003', 'Crabman', '30', '45164', '0', '32727', '32808', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '61', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6100004', 'Ramia', '50', '81076', '0', '32727', '32808', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '61', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6100005', 'Scorpion', '30', '81077', '0', '32727', '32808', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '61', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6100006', 'Beholder', '10', '45349', '0', '32727', '32808', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '61', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6300001', 'Sea Anemone', '60', '45006', '0', '32804', '32869', '0', '0', '32576', '32640', '32895', '32959', '5', '0', '0', '63', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6300002', 'Acaleph', '100', '45097', '0', '32804', '32869', '0', '0', '32576', '32640', '32895', '32959', '5', '0', '0', '63', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6300003', 'Stingray', '60', '45077', '0', '32804', '32869', '0', '0', '32576', '32640', '32895', '32959', '5', '0', '0', '63', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6300004', 'Coelacanth', '60', '45089', '0', '32804', '32869', '0', '0', '32576', '32640', '32895', '32959', '5', '0', '0', '63', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6300005', 'Crabman', '100', '45164', '0', '32804', '32869', '0', '0', '32576', '32640', '32895', '32959', '5', '0', '0', '63', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6300006', 'Shark', '120', '45160', '0', '32804', '32869', '0', '0', '32576', '32640', '32895', '32959', '5', '0', '0', '63', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6300007', 'Aste', '100', '45195', '0', '32804', '32869', '0', '0', '32576', '32640', '32895', '32959', '5', '0', '0', '63', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6300008', 'Merman', '60', '45159', '0', '32804', '32869', '0', '0', '32576', '32640', '32895', '32959', '5', '0', '0', '63', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6300009', 'Mermaid', '20', '45154', '0', '32804', '32869', '0', '0', '32576', '32640', '32895', '32959', '5', '0', '0', '63', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6300010', 'Turtle Dragon', '60', '45240', '0', '32804', '32869', '0', '0', '32576', '32640', '32895', '32959', '5', '0', '0', '63', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6300011', 'Elekkadom', '60', '45279', '0', '32804', '32869', '0', '0', '32576', '32640', '32895', '32959', '5', '0', '0', '63', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6300012', 'Crustacean', '60', '45285', '0', '32804', '32869', '0', '0', '32576', '32640', '32895', '32959', '5', '0', '0', '63', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7200001', 'Fungus', '10', '45029', '0', '32746', '32787', '0', '0', '32704', '32768', '32831', '32895', '5', '0', '0', '72', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7200002', 'Ice Golem', '30', '45182', '0', '32746', '32787', '0', '0', '32704', '32768', '32831', '32895', '5', '0', '0', '72', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7200003', 'Snowman', '10', '45133', '0', '32746', '32787', '0', '0', '32704', '32768', '32831', '32895', '5', '0', '0', '72', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7200004', 'Ice Man', '30', '45207', '0', '32746', '32787', '0', '0', '32704', '32768', '32831', '32895', '5', '0', '0', '72', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7200005', 'Snow Tiger', '20', '45267', '0', '32746', '32787', '0', '0', '32704', '32768', '32831', '32895', '5', '0', '0', '72', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7200006', 'Yeti', '20', '45294', '0', '32746', '32787', '0', '0', '32704', '32768', '32831', '32895', '5', '0', '0', '72', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7200007', 'Iron Golem', '10', '45372', '0', '32746', '32787', '0', '0', '32704', '32768', '32831', '32895', '5', '0', '0', '72', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7300001', 'Fungus', '10', '45029', '0', '32755', '32871', '0', '0', '32704', '32768', '32831', '32895', '5', '0', '0', '73', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7300002', 'Ice Golem', '30', '45182', '0', '32755', '32871', '0', '0', '32704', '32768', '32831', '32895', '5', '0', '0', '73', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7300003', 'Ice Man', '30', '45207', '0', '32755', '32871', '0', '0', '32704', '32768', '32831', '32895', '5', '0', '0', '73', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7300004', 'Snow Tiger', '20', '45267', '0', '32755', '32871', '0', '0', '32704', '32768', '32831', '32895', '5', '0', '0', '73', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7300005', 'Yeti', '20', '45294', '0', '32755', '32871', '0', '0', '32704', '32768', '32831', '32895', '5', '0', '0', '73', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7300006', 'Iron Golem', '10', '45372', '0', '32755', '32871', '0', '0', '32704', '32768', '32831', '32895', '5', '0', '0', '73', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7400001', 'Ice Golem', '20', '45182', '0', '32731', '32854', '0', '0', '32704', '32832', '32831', '32959', '5', '0', '0', '74', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7400002', 'Ice Man', '20', '45207', '0', '32731', '32854', '0', '0', '32704', '32832', '32831', '32959', '5', '0', '0', '74', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7400003', 'Snow Tiger', '20', '45267', '0', '32731', '32854', '0', '0', '32704', '32832', '32831', '32959', '5', '0', '0', '74', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7400004', 'Yeti', '20', '45294', '0', '32731', '32854', '0', '0', '32704', '32832', '32831', '32959', '5', '0', '0', '74', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7400005', 'Iron Golem', '10', '45372', '0', '32731', '32854', '0', '0', '32704', '32832', '32831', '32959', '5', '0', '0', '74', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7400006', 'Maid of the Ice Queen', '2', '45102', '0', '32767', '32900', '0', '0', '32763', '32886', '32783', '32910', '5', '60', '120', '74', '1', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7500001', 'Paper Man', '10', '45088', '0', '32770', '32821', '0', '0', '32704', '32768', '32831', '32959', '5', '0', '0', '75', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7600001', 'Paper Man', '10', '45088', '0', '32775', '32826', '0', '0', '32704', '32768', '32831', '32895', '5', '0', '0', '76', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7700001', 'Paper Man', '10', '45088', '0', '32767', '32841', '0', '0', '32704', '32768', '32831', '32895', '5', '0', '0', '77', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7800001', 'Paper Man', '10', '45088', '0', '32894', '32771', '0', '0', '32832', '32704', '32959', '32831', '5', '0', '0', '78', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7800002', 'Mimic', '30', '45141', '0', '32894', '32771', '0', '0', '32832', '32704', '32959', '32831', '5', '0', '0', '78', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7800003', 'Living Armor', '30', '45322', '0', '32894', '32771', '0', '0', '32832', '32704', '32959', '32831', '5', '0', '0', '78', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7800004', 'Iron Golem', '10', '45372', '0', '32894', '32771', '0', '0', '32832', '32704', '32959', '32831', '5', '0', '0', '78', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7900001', 'Paper Man', '10', '45088', '0', '32772', '32801', '0', '0', '32704', '32768', '32831', '32895', '5', '0', '0', '79', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7900002', 'Mimic', '30', '45141', '0', '32772', '32801', '0', '0', '32704', '32768', '32831', '32895', '5', '0', '0', '79', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7900003', 'Living Armor', '30', '45322', '0', '32772', '32801', '0', '0', '32704', '32768', '32831', '32895', '5', '0', '0', '79', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7900004', 'Iron Golem', '20', '45372', '0', '32772', '32801', '0', '0', '32704', '32768', '32831', '32895', '5', '0', '0', '79', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8000001', 'Silhouette', '30', '45162', '0', '32771', '32848', '0', '0', '32704', '32768', '32831', '32895', '5', '0', '0', '80', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8000002', 'Ghost', '30', '45174', '0', '32771', '32848', '0', '0', '32704', '32768', '32831', '32895', '5', '0', '0', '80', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8000003', 'Death', '30', '45221', '0', '32771', '32848', '0', '0', '32704', '32768', '32831', '32895', '5', '0', '0', '80', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8100001', 'Silhouette', '30', '45162', '0', '32763', '32848', '0', '0', '32704', '32768', '32831', '32895', '5', '0', '0', '81', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8100002', 'Ghost', '30', '45174', '0', '32763', '32848', '0', '0', '32704', '32768', '32831', '32895', '5', '0', '0', '81', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8100003', 'Death', '30', '45221', '0', '32763', '32848', '0', '0', '32704', '32768', '32831', '32895', '5', '0', '0', '81', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8200001', 'Silhouette', '30', '45162', '0', '32698', '32823', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '82', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8200002', 'Death', '30', '45221', '0', '32698', '32823', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '82', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8200003', 'Living Armor', '30', '45322', '0', '32698', '32823', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '82', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8200004', 'Iron Golem', '30', '45372', '0', '32698', '32823', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '82', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10200001', 'Mutant Ramia', '30', '45332', '0', '32798', '32798', '0', '0', '32704', '32704', '32895', '32895', '0', '0', '0', '102', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10200002', 'Mutant Arachnevil Elder', '90', '45348', '0', '32798', '32798', '0', '0', '32704', '32704', '32895', '32895', '0', '0', '0', '102', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10200003', 'Medusa', '20', '45380', '0', '32798', '32798', '0', '0', '32704', '32704', '32895', '32895', '0', '0', '0', '102', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10300001', 'Mutant Ramia', '30', '45332', '0', '32798', '32798', '0', '0', '32704', '32704', '32895', '32895', '0', '0', '0', '103', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10300002', 'Mutant Arachnevil Elder', '88', '45348', '0', '32798', '32798', '0', '0', '32704', '32704', '32895', '32895', '0', '0', '0', '103', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10300003', 'Medusa', '20', '45380', '0', '32798', '32798', '0', '0', '32704', '32704', '32895', '32895', '0', '0', '0', '103', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10300004', 'Cimaera', '20', '45407', '0', '32798', '32798', '0', '0', '32704', '32704', '32895', '32895', '0', '0', '0', '103', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10400001', 'Mutant Ramia', '32', '45332', '0', '32670', '32861', '0', '0', '32576', '32768', '32767', '32959', '0', '0', '0', '104', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10400002', 'Mutant Arachnevil Elder', '30', '45348', '0', '32670', '32861', '0', '0', '32576', '32768', '32767', '32959', '0', '0', '0', '104', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10400003', 'Medusa', '50', '45380', '0', '32670', '32861', '0', '0', '32576', '32768', '32767', '32959', '0', '0', '0', '104', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10400004', 'Cimaera', '24', '45407', '0', '32670', '32861', '0', '0', '32576', '32768', '32767', '32959', '0', '0', '0', '104', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10500001', 'Cockatrice', '30', '45361', '0', '32670', '32861', '0', '0', '32576', '32768', '32767', '32959', '0', '0', '0', '105', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10500002', 'Medusa', '18', '45380', '0', '32670', '32861', '0', '0', '32576', '32768', '32767', '32959', '0', '0', '0', '105', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10500003', 'Cimaera', '88', '45407', '0', '32670', '32861', '0', '0', '32576', '32768', '32767', '32959', '0', '0', '0', '105', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10700001', 'Cockatrice', '34', '45361', '0', '32670', '32861', '0', '0', '32576', '32768', '32767', '32959', '0', '0', '0', '107', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10700002', 'Medusa', '26', '45380', '0', '32670', '32861', '0', '0', '32576', '32768', '32767', '32959', '0', '0', '0', '107', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10700003', 'Cimaera', '76', '45407', '0', '32670', '32861', '0', '0', '32576', '32768', '32767', '32959', '0', '0', '0', '107', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10800001', 'Cockatrice', '32', '45361', '0', '32670', '32861', '0', '0', '32576', '32768', '32767', '32959', '0', '0', '0', '108', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10800002', 'Medusa', '34', '45380', '0', '32670', '32861', '0', '0', '32576', '32768', '32767', '32959', '0', '0', '0', '108', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10800003', 'Cimaera', '80', '45407', '0', '32670', '32861', '0', '0', '32576', '32768', '32767', '32959', '0', '0', '0', '108', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10900001', 'Cockatrice', '36', '45361', '0', '32670', '32861', '0', '0', '32576', '32768', '32767', '32959', '0', '0', '0', '109', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10900002', 'Medusa', '34', '45380', '0', '32670', '32861', '0', '0', '32576', '32768', '32767', '32959', '0', '0', '0', '109', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10900003', 'Cimaera', '74', '45407', '0', '32670', '32861', '0', '0', '32576', '32768', '32767', '32959', '0', '0', '0', '109', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11000001', 'Cockatrice', '48', '45361', '0', '32800', '32799', '0', '0', '32704', '32704', '32895', '32895', '0', '0', '0', '110', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11000002', 'Medusa', '28', '45380', '0', '32800', '32799', '0', '0', '32704', '32704', '32895', '32895', '0', '0', '0', '110', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11000003', 'Cimaera', '76', '45407', '0', '32800', '32799', '0', '0', '32704', '32704', '32895', '32895', '0', '0', '0', '110', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11100001', 'Succubus', '43', '45394', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '111', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11100002', 'Dire Wolf', '10', '45409', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '111', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11200001', 'Succubus', '44', '45394', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '112', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11200002', 'Wicked Mimic', '8', '45399', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '112', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11200003', 'Dire Wolf', '12', '45409', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '112', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11300001', 'Succubus', '44', '45394', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '113', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11300002', 'Wicked Mimic', '7', '45399', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '113', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11300003', 'Dire Wolf', '13', '45409', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '113', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11400001', 'Succubus', '80', '45394', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '114', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11400002', 'Wicked Mimic', '16', '45399', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '114', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11400003', 'Dire Wolf', '28', '45409', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '114', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11500001', 'Wicked Mimic', '20', '45399', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '115', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11500002', 'Wicked Beholder', '30', '45406', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '115', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11500003', 'Dire Wolf', '78', '45409', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '115', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11700001', 'Dancing Sword', '36', '45386', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '117', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11700002', 'Wicked Beholder', '36', '45406', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '117', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11700003', 'Dire Wolf', '76', '45409', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '117', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11800001', 'Dancing Sword', '40', '45386', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '118', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11800002', 'Wicked Beholder', '40', '45406', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '118', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11800003', 'Dire Wolf', '80', '45409', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '118', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11900001', 'Dancing Sword', '44', '45386', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '119', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11900002', 'Wicked Beholder', '44', '45406', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '119', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11900003', 'Dire Wolf', '80', '45409', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '119', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12000001', 'Dancing Sword', '50', '45386', '0', '32800', '32799', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '120', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12000002', 'Wicked Beholder', '50', '45406', '0', '32800', '32799', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '120', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12000003', 'Dire Wolf', '100', '45409', '0', '32800', '32799', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '120', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12100001', 'Horrific Fire Egg', '45', '45384', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '121', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12100002', 'Nightmare', '25', '45440', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '121', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12200001', 'Horrific Fire Egg', '30', '45384', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '122', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12200002', 'Nightmare', '30', '45440', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '122', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12200003', 'Horrific Cerberus', '30', '45471', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '122', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12300001', 'Horrific Fire Egg', '30', '45384', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '123', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12300002', 'Nightmare', '35', '45440', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '123', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12300003', 'Horrific Cerberus', '35', '45471', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '123', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12400001', 'Horrific Fire Egg', '76', '45384', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '124', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12400002', 'Nightmare', '45', '45440', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '124', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12400003', 'Horrific Cerberus', '45', '45471', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '124', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12500001', 'Nightmare', '60', '45440', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '125', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12500002', 'Horrific Cerberus', '50', '45471', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '125', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12500003', 'Lesser Demon', '80', '45481', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '125', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12700001', 'Horrific Cerberus', '60', '45471', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '127', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12700002', 'Lesser Demon', '70', '45481', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '127', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12700003', 'Ifrit', '22', '45515', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '127', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12800001', 'Horrific Cerberus', '70', '45471', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '128', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12800002', 'Lesser Demon', '70', '45481', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '128', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12800003', 'Ifrit', '26', '45515', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '128', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12900001', 'Horrific Cerberus', '60', '45471', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '129', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12900002', 'Lesser Demon', '70', '45481', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '129', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12900003', 'Ifrit', '30', '45515', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '129', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13000001', 'Nightmare', '60', '45440', '0', '32800', '32799', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '130', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13000002', 'Horrific Cerberus', '60', '45471', '0', '32800', '32799', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '130', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13000003', 'Lesser Demon', '70', '45481', '0', '32800', '32799', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '130', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13000004', 'Ifrit', '40', '45515', '0', '32800', '32799', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '130', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13100001', 'Raging Skeleton Axeman', '43', '45402', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '131', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13100002', 'Raging Ghoul', '20', '45454', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '131', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13200001', 'Raging Skeleton Axeman', '13', '45402', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '132', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13200002', 'Raging Skeleton Pike', '44', '45403', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '132', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13200003', 'Raging Ghoul', '20', '45454', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '132', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13300001', 'Raging Skeleton Pike', '44', '45403', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '133', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13300002', 'Raging Ghoul', '16', '45454', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '133', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13300003', 'Raging Spartoi', '10', '45455', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '133', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13400001', 'Raging Skeleton Pike', '78', '45403', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '134', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13400002', 'Raging Ghoul', '20', '45454', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '134', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13400003', 'Raging Spartoi', '28', '45455', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '134', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13500001', 'Raging Ghoul', '20', '45454', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '135', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13500002', 'Raging Spartoi', '78', '45455', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '135', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13500003', 'Raging Skeleton Marksman', '28', '45494', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '135', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13700001', 'Raging Spartoi', '72', '45455', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '137', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13700002', 'Raging Skeleton Fighter', '30', '45493', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '137', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13700003', 'Raging Skeleton Marksman', '24', '45494', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '137', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13800001', 'Raging Spartoi', '70', '45455', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '138', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13800002', 'Raging Skeleton Fighter', '30', '45493', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '138', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13800003', 'Raging Skeleton Marksman', '28', '45494', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '138', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13900001', 'Raging Spartoi', '68', '45455', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '139', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13900002', 'Raging Skeleton Fighter', '30', '45493', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '139', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13900003', 'Raging Skeleton Marksman', '32', '45494', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '139', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14000001', 'Raging Spartoi', '70', '45455', '0', '32800', '32799', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '140', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14000002', 'Raging Skeleton Fighter', '40', '45493', '0', '32800', '32799', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '140', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14000003', 'Raging Skeleton Marksman', '40', '45494', '0', '32800', '32799', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '140', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14100001', 'Lesser Dragon', '68', '45496', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '141', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14100002', 'Fire Ghost', '16', '45514', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '141', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14100003', 'Fire Ghost', '16', '45519', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '141', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14200001', 'Horrific Iron Golem', '86', '45479', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '142', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14200002', 'Fire Ghost', '18', '45514', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '142', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14200003', 'Fire Ghost', '16', '45519', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '142', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14300001', 'Lesser Dragon', '90', '45496', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '143', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14300002', 'Fire Ghost', '20', '45514', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '143', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14300003', 'Fire Ghost', '18', '45519', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '143', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14400001', 'Lesser Dragon', '76', '45496', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '144', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14400002', 'Fire Ghost', '20', '45514', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '144', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14400003', 'Fire Ghost', '20', '45519', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '144', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14500001', 'Lesser Dragon', '76', '45496', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '145', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14500002', 'Fire Ghost', '20', '45514', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '145', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14500003', 'Fire Ghost', '20', '45519', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '145', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14700001', 'Fire Necromancer', '24', '45480', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '147', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14700002', 'Lesser Dragon', '64', '45496', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '147', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14700003', 'Bone Dragon', '20', '45522', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '147', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14800001', 'Fire Necromancer', '24', '45480', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '148', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14800002', 'Lesser Dragon', '52', '45496', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '148', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14800003', 'Bone Dragon', '22', '45522', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '148', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14900001', 'Fire Necromancer', '26', '45480', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '149', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14900002', 'Lesser Dragon', '52', '45496', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '149', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14900003', 'Bone Dragon', '26', '45522', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '149', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15000001', 'Fire Necromancer', '22', '45480', '0', '32800', '32799', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '150', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15000002', 'Lesser Dragon', '56', '45496', '0', '32800', '32799', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '150', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15000003', 'Bone Dragon', '36', '45522', '0', '32800', '32799', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '150', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15100001', 'Cursed Orc Zombie', '54', '45468', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '151', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15100002', 'Cursed Elmore Soldier', '38', '45524', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '151', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15200001', 'Cursed Orc Zombie', '22', '45468', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '152', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15200002', 'Cursed Elmore Wizard', '30', '45506', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '152', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15200003', 'Cursed Elmore Soldier', '54', '45524', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '152', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15300001', 'Cursed Orc Zombie', '22', '45468', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '153', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15300002', 'Cursed Elmore Soldier', '70', '45524', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '153', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15300003', 'Cursed Elmore General', '16', '45541', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '153', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15400001', 'Cursed Elmore Wizard', '26', '45506', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '154', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15400002', 'Cursed Elmore Soldier', '70', '45524', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '154', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15400003', 'Cursed Elmore General', '20', '45541', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '154', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15500001', 'Cursed Elmore Wizard', '30', '45506', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '155', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15500002', 'Cursed Elmore Soldier', '60', '45524', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '155', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15500003', 'Cursed Elmore General', '26', '45541', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '155', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15700001', 'Cursed Orc Zombie', '60', '45468', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '157', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15700002', 'Cursed Elmore Wizard', '30', '45506', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '157', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15700003', 'Cursed Elmore General', '28', '45541', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '157', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15800001', 'Cursed Orc Zombie', '36', '45468', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '158', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15800002', 'Cursed Elmore Wizard', '28', '45506', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '158', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15800003', 'Cursed Elmore Soldier', '36', '45524', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '158', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15800004', 'Cursed Elmore General', '30', '45541', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '158', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15900001', 'Cursed Elmore Wizard', '30', '45506', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '159', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15900002', 'Cursed Elmore Soldier', '66', '45524', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '159', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15900003', 'Cursed Elmore General', '28', '45541', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '159', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16000001', 'Cursed Elmore Wizard', '14', '45506', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '160', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16000002', 'Cursed Elmore Soldier', '76', '45524', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '160', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16000003', 'Cursed Elmore General', '26', '45541', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '160', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16100001', 'Dark Lycanthrope', '24', '45485', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '161', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16100002', 'Cruel Snow Tiger', '86', '45528', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '161', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16200001', 'Dark Lycanthrope', '28', '45485', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '162', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16200002', 'Spirit Taurverus of Fire', '30', '45520', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '162', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16200003', 'Cruel Snow Tiger', '64', '45528', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '162', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16300001', 'Dark Lycanthrope', '26', '45485', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '163', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16300002', 'Cruel Snow Tiger', '78', '45528', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '163', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16300003', 'Astagio of Fire', '20', '45572', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '163', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16400001', 'Dark Lycanthrope', '26', '45485', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '164', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16400002', 'Spirit Taurverus of Fire', '12', '45520', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '164', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16400003', 'Cruel Snow Tiger', '88', '45528', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '164', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16400004', 'Astagio of Fire', '10', '45572', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '164', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16500001', 'Spirit Taurverus of Fire', '14', '45520', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '165', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16500002', 'Cruel Snow Tiger', '90', '45528', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '165', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16500003', 'Astagio of Fire', '26', '45572', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '165', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16700001', 'Dark Lycanthrope', '70', '45485', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '167', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16700002', 'Spirit Taurverus of Fire', '28', '45520', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '167', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16700003', 'Astagio of Fire', '22', '45572', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '167', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16800001', 'Dark Lycanthrope', '22', '45485', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '168', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16800002', 'Spirit Taurverus of Fire', '28', '45520', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '168', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16800003', 'Cruel Snow Tiger', '68', '45528', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '168', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16800004', 'Astagio of Fire', '22', '45572', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '168', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16900001', 'Spirit Taurverus of Fire', '28', '45520', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '169', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16900002', 'Cruel Snow Tiger', '70', '45528', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '169', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16900003', 'Astagio of Fire', '22', '45572', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '169', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17000001', 'Spirit Taurverus of Fire', '28', '45520', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '170', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17000002', 'Cruel Snow Tiger', '68', '45528', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '170', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17000003', 'Astagio of Fire', '22', '45572', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '170', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17100001', 'Black Knight of Darkness', '98', '45503', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '171', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17100002', 'Fire Warrior of Darkness', '20', '45540', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '171', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17200001', 'Black Knight of Darkness', '90', '45503', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '172', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17200002', 'Fire Archer of Darkness', '14', '45532', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '172', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17200003', 'Fire Warrior of Darkness', '16', '45540', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '172', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17300001', 'Black Knight of Darkness', '90', '45503', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '173', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17300002', 'Fire Warrior of Darkness', '28', '45540', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '173', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17300003', 'Succubus Queen of Darkness', '10', '45580', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '173', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17400001', 'Black Knight of Darkness', '22', '45503', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '174', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17400002', 'Fire Archer of Darkness', '68', '45532', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '174', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17400003', 'Fire Warrior of Darkness', '26', '45540', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '174', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17400004', 'Succubus Queen of Darkness', '10', '45580', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '174', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17500001', 'Fire Archer of Darkness', '26', '45532', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '175', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17500002', 'Fire Warrior of Darkness', '88', '45540', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '175', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17500003', 'Succubus Queen of Darkness', '10', '45580', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '175', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17700001', 'Black Knight of Darkness', '28', '45503', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '177', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17700002', 'Fire Archer of Darkness', '70', '45532', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '177', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17700003', 'Succubus Queen of Darkness', '22', '45580', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '177', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17800001', 'Black Knight of Darkness', '22', '45503', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '178', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17800002', 'Fire Archer of Darkness', '28', '45532', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '178', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17800003', 'Fire Warrior of Darkness', '68', '45540', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '178', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17800004', 'Succubus Queen of Darkness', '22', '45580', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '178', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17900001', 'Fire Archer of Darkness', '28', '45532', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '179', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17900002', 'Fire Warrior of Darkness', '70', '45540', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '179', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17900003', 'Succubus Queen of Darkness', '22', '45580', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '179', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18000001', 'Fire Archer of Darkness', '38', '45532', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '180', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18000002', 'Fire Warrior of Darkness', '72', '45540', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '180', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18000003', 'Succubus Queen of Darkness', '24', '45580', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '180', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18100001', 'Insolent Zenith Queen', '68', '45581', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '181', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18100002', 'Lesser Seer', '24', '45586', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '181', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18100003', 'Marquise Vampire', '24', '45604', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '181', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18200001', 'Insolent Zenith Queen', '62', '45581', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '182', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18200002', 'Lesser Seer', '24', '45586', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '182', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18200003', 'Marquise Vampire', '26', '45604', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '182', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18300001', 'Insolent Zenith Queen', '96', '45581', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '183', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18300002', 'Lesser Seer', '22', '45586', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '183', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18300003', 'Zombie Lord of Fear', '14', '45589', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '5', '0', '0', '183', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18400001', 'Insolent Zenith Queen', '88', '45581', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '184', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18400002', 'Lesser Seer', '28', '45586', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '184', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18400003', 'Zombie Lord of Fear', '24', '45589', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '5', '0', '0', '184', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18400004', 'Marquise Vampire', '10', '45604', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '184', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18500001', 'Lesser Seer', '84', '45586', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '185', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18500002', 'Zombie Lord of Fear', '22', '45589', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '5', '0', '0', '185', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18500003', 'Marquise Vampire', '32', '45604', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '185', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18700001', 'Insolent Zenith Queen', '70', '45581', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '187', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18700002', 'Zombie Lord of Fear', '22', '45589', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '5', '0', '0', '187', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18700003', 'Marquise Vampire', '50', '45604', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '187', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18800001', 'Insolent Zenith Queen', '70', '45581', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '188', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18800002', 'Zombie Lord of Fear', '22', '45589', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '5', '0', '0', '188', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18800003', 'Marquise Vampire', '28', '45604', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '188', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18800004', 'Lesser Seer', '28', '45586', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '188', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18900001', 'Lesser Seer', '52', '45586', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '189', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18900002', 'Zombie Lord of Fear', '40', '45589', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '5', '0', '0', '189', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18900003', 'Marquise Vampire', '46', '45604', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '189', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19000001', 'Lesser Seer', '52', '45586', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '190', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19000002', 'Zombie Lord of Fear', '48', '45589', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '5', '0', '0', '190', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19000003', 'Marquise Vampire', '46', '45604', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '190', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19100001', 'Great Spirit of Earth', '26', '45619', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '191', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19100002', 'Great Spirit of Water', '28', '45620', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '191', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19100003', 'Great Spirit of Wind', '28', '45621', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '191', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19100004', 'Great Spirit of Fire', '28', '45622', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '191', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19200001', 'Iris', '30', '45595', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '192', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19200002', 'Mummy Lord', '24', '45616', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '192', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19200003', 'Great Spirit of Earth', '18', '45619', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '192', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19200004', 'Great Spirit of Water', '14', '45620', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '192', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19200005', 'Great Spirit of Wind', '16', '45621', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '192', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19200006', 'Great Spirit of Fire', '16', '45622', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '192', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19300001', 'Iris', '30', '45595', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '193', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19300002', 'Mummy Lord', '24', '45616', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '193', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19300003', 'Great Spirit of Earth', '16', '45619', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '193', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19300004', 'Great Spirit of Water', '14', '45620', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '193', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19300005', 'Great Spirit of Wind', '18', '45621', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '193', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19300006', 'Great Spirit of Fire', '18', '45622', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '193', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19400001', 'Iris', '28', '45595', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '194', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19400002', 'Mummy Lord', '22', '45616', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '194', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19400003', 'Great Spirit of Earth', '18', '45619', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '194', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19400004', 'Great Spirit of Water', '14', '45620', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '194', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19400005', 'Great Spirit of Wind', '16', '45621', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '194', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19400006', 'Great Spirit of Fire', '16', '45622', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '194', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19400007', 'Knight Vald', '18', '45664', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '194', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19500001', 'Great Spirit of Earth', '30', '45619', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '195', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19500002', 'Great Spirit of Water', '28', '45620', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '195', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19500003', 'Great Spirit of Wind', '30', '45621', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '195', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19500004', 'Great Spirit of Fire', '30', '45622', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '195', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19700001', 'Iris', '10', '45595', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '197', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19700002', 'Mummy Lord', '48', '45616', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '197', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19700003', 'Great Spirit of Earth', '16', '45619', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '197', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19700004', 'Great Spirit of Water', '14', '45620', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '197', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19700005', 'Great Spirit of Wind', '16', '45621', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '197', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19700006', 'Great Spirit of Fire', '14', '45622', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '197', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19700007', 'Knight Vald', '16', '45664', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '5', '0', '0', '197', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19800001', 'Iris', '10', '45595', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '198', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19800002', 'Mummy Lord', '46', '45616', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '198', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19800003', 'Great Spirit of Earth', '12', '45619', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '198', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19800004', 'Great Spirit of Water', '14', '45620', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '198', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19800005', 'Great Spirit of Wind', '24', '45621', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '198', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19800006', 'Great Spirit of Fire', '14', '45622', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '198', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19800007', 'Knight Vald', '42', '45664', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '5', '0', '0', '198', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19900001', 'Iris', '10', '45595', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '199', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19900002', 'Mummy Lord', '48', '45616', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '199', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19900003', 'Great Spirit of Earth', '10', '45619', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '199', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19900004', 'Great Spirit of Water', '8', '45620', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '199', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19900005', 'Great Spirit of Wind', '24', '45621', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '199', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19900006', 'Great Spirit of Fire', '18', '45622', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '199', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19900007', 'Knight Vald', '28', '45664', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '5', '0', '0', '199', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('20000001', 'Great Spirit of Earth', '40', '45619', '0', '32784', '32806', '0', '0', '32576', '32768', '32831', '33023', '0', '0', '0', '200', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('20000002', 'Great Spirit of Water', '40', '45620', '0', '32784', '32806', '0', '0', '32576', '32768', '32831', '33023', '0', '0', '0', '200', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('20000003', 'Great Spirit of Wind', '40', '45621', '0', '32784', '32806', '0', '0', '32576', '32768', '32831', '33023', '0', '0', '0', '200', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('20000004', 'Great Spirit of Fire', '40', '45622', '0', '32784', '32806', '0', '0', '32576', '32768', '32831', '33023', '0', '0', '0', '200', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('24400001', 'Polluted Elf', '40', '45773', '0', '32886', '32811', '0', '0', '32886', '32811', '32986', '32911', '5', '0', '0', '244', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('24400002', 'Contaminated Ent', '40', '45774', '0', '32886', '32811', '0', '0', '32886', '32811', '32986', '32911', '5', '0', '0', '244', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('24400003', 'Polluted Deep Flower', '40', '45775', '0', '32886', '32811', '0', '0', '32886', '32811', '32986', '32911', '5', '0', '0', '244', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('24400004', 'Polluted Pan', '40', '45776', '0', '32886', '32811', '0', '0', '32886', '32811', '32986', '32911', '5', '0', '0', '244', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('24400005', 'Polluted Arachne', '40', '45777', '0', '32886', '32811', '0', '0', '32886', '32811', '32986', '32911', '5', '0', '0', '244', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('24400006', 'Contaminated Fairy', '40', '45771', '0', '32886', '32811', '0', '0', '32886', '32811', '32986', '32911', '5', '0', '0', '244', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('24400007', 'Polluted Human', '20', '45778', '0', '32937', '33016', '0', '0', '32937', '33016', '32997', '33055', '5', '0', '0', '244', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('24400008', 'Polluted Human', '20', '45779', '0', '32937', '33016', '0', '0', '32937', '33016', '32997', '33055', '5', '0', '0', '244', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('24400009', 'Polluted Human', '20', '45780', '0', '32937', '33016', '0', '0', '32937', '33016', '32997', '33055', '5', '0', '0', '244', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('24400010', 'Polluted Human', '20', '45781', '0', '32937', '33016', '0', '0', '32937', '33016', '32997', '33055', '5', '0', '0', '244', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('24400011', 'Polluted Great Spirit of Darkness', '40', '45783', '0', '32723', '32962', '0', '0', '32723', '32962', '32863', '33072', '5', '0', '0', '244', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('24400012', 'Polluted Great Spirit of Light', '40', '45784', '0', '32723', '32962', '0', '0', '32723', '32962', '32863', '33072', '5', '0', '0', '244', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('24400013', 'Polluted Great Spirit of Earth', '40', '45785', '0', '32723', '32962', '0', '0', '32723', '32962', '32863', '33072', '5', '0', '0', '244', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('24400014', 'Polluted Great Spirit of Fire', '40', '45786', '0', '32723', '32962', '0', '0', '32723', '32962', '32863', '33072', '5', '0', '0', '244', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('24400015', 'Polluted Great Spirit of Wind', '40', '45787', '0', '32723', '32962', '0', '0', '32723', '32962', '32863', '33072', '5', '0', '0', '244', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('24400016', 'Polluted Great Spirit of Water', '40', '45788', '0', '32723', '32962', '0', '0', '32723', '32962', '32863', '33072', '5', '0', '0', '244', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('24400017', 'Contaminated Orc', '40', '45789', '0', '32729', '32792', '0', '0', '32729', '32792', '32809', '32930', '5', '0', '0', '244', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('24400018', 'Contaminated Orc Archer', '40', '45790', '0', '32729', '32792', '0', '0', '32729', '32792', '32809', '32930', '5', '0', '0', '244', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('24400019', 'Polluted Orc Axe Fighter', '40', '45791', '0', '32729', '32792', '0', '0', '32729', '32792', '32809', '32930', '5', '0', '0', '244', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('24400020', 'Contaminated Orc Warrior', '40', '45792', '0', '32729', '32792', '0', '0', '32729', '32792', '32809', '32930', '5', '0', '0', '244', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('24400021', 'Contaminated Orc Spearman', '40', '45793', '0', '32729', '32792', '0', '0', '32729', '32792', '32809', '32930', '5', '0', '0', '244', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('24400022', 'Polluted Orc Wizard', '40', '45770', '0', '32729', '32792', '0', '0', '32729', '32792', '32809', '32930', '5', '0', '0', '244', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('25200001', 'Werewolf', '10', '45803', '0', '32746', '32860', '0', '0', '32576', '32832', '32767', '32895', '5', '0', '0', '252', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25200002', 'Vakuuk', '10', '45804', '0', '32746', '32860', '0', '0', '32576', '32832', '32767', '32895', '5', '0', '0', '252', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25200003', 'Lizardman', '10', '45805', '0', '32746', '32860', '0', '0', '32576', '32832', '32767', '32895', '5', '0', '0', '252', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25200004', 'Crabman', '10', '45806', '0', '32746', '32860', '0', '0', '32576', '32832', '32767', '32895', '5', '0', '0', '252', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25200005', 'Doppelganger', '10', '45807', '0', '32746', '32860', '0', '0', '32576', '32832', '32767', '32895', '5', '0', '0', '252', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25200006', 'Lycanthrope', '10', '45808', '0', '32746', '32860', '0', '0', '32576', '32832', '32767', '32895', '5', '0', '0', '252', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25200007', 'Ratman', '10', '45809', '0', '32746', '32860', '0', '0', '32576', '32832', '32767', '32895', '5', '0', '0', '252', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25200008', 'Doppelganger', '10', '45817', '0', '32746', '32860', '0', '0', '32576', '32832', '32767', '32895', '5', '0', '0', '252', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25200009', 'Doppelganger', '10', '45826', '0', '32746', '32860', '0', '0', '32576', '32832', '32767', '32895', '5', '0', '0', '252', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25200010', 'Unknown Doppelganger', '2', '45828', '0', '32746', '32860', '0', '0', '32576', '32832', '32767', '32895', '5', '0', '0', '252', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25300001', 'Merman', '20', '45810', '0', '32756', '32859', '0', '0', '32704', '32832', '32831', '33023', '5', '0', '0', '253', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25300002', 'Unknown Crabman', '20', '45811', '0', '32756', '32859', '0', '0', '32704', '32832', '32831', '33023', '5', '0', '0', '253', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25300003', 'Sea Dancer', '20', '45812', '0', '32756', '32859', '0', '0', '32704', '32832', '32831', '33023', '5', '0', '0', '253', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25300004', 'Unknown Merman', '20', '45813', '0', '32756', '32859', '0', '0', '32704', '32832', '32831', '33023', '5', '0', '0', '253', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25300005', 'Shark', '20', '45816', '0', '32756', '32859', '0', '0', '32704', '32832', '32831', '33023', '5', '0', '0', '253', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25300006', 'Aste', '20', '45818', '0', '32756', '32859', '0', '0', '32704', '32832', '32831', '33023', '5', '0', '0', '253', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25300007', 'Elekkadom', '20', '45819', '0', '32756', '32859', '0', '0', '32704', '32832', '32831', '33023', '5', '0', '0', '253', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25300008', 'Turtle Dragon', '20', '45822', '0', '32756', '32859', '0', '0', '32704', '32832', '32831', '33023', '5', '0', '0', '253', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25300009', 'Crustacean', '20', '45823', '0', '32756', '32859', '0', '0', '32704', '32832', '32831', '33023', '5', '0', '0', '253', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25400001', 'Mutated Alligator', '30', '45814', '0', '32615', '32793', '0', '0', '32576', '32768', '32767', '32959', '5', '0', '0', '254', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25400002', 'Unknown Ramia', '30', '45815', '0', '32615', '32793', '0', '0', '32576', '32768', '32767', '32959', '5', '0', '0', '254', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25400003', 'Unknown Werewolf', '30', '45820', '0', '32615', '32793', '0', '0', '32576', '32768', '32767', '32959', '5', '0', '0', '254', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25400004', 'Unknown Ramia', '30', '45821', '0', '32615', '32793', '0', '0', '32576', '32768', '32767', '32959', '5', '0', '0', '254', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25400005', 'Unknown Lycanthrope', '30', '45824', '0', '32615', '32793', '0', '0', '32576', '32768', '32767', '32959', '5', '0', '0', '254', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25400006', 'Unknown Lizardman', '30', '45874', '0', '32615', '32793', '0', '0', '32576', '32768', '32767', '32959', '5', '0', '0', '254', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25400007', 'Unknown Lizardman', '30', '45825', '0', '32615', '32793', '0', '0', '32576', '32768', '32767', '32959', '5', '0', '0', '254', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25400008', 'Unknown Lizardman', '30', '45827', '0', '32615', '32793', '0', '0', '32576', '32768', '32767', '32959', '5', '0', '0', '254', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25500001', 'Unknown 45796', '30', '45796', '0', '32812', '32813', '0', '0', '32640', '32768', '32831', '32895', '5', '0', '0', '255', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25500002', 'Unknown 45798', '30', '45798', '0', '32812', '32813', '0', '0', '32640', '32768', '32831', '32895', '5', '0', '0', '255', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25500003', 'Unknown 45799', '30', '45799', '0', '32812', '32813', '0', '0', '32640', '32768', '32831', '32895', '5', '0', '0', '255', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25500004', 'Unknown 45800', '30', '45800', '0', '32812', '32813', '0', '0', '32640', '32768', '32831', '32895', '5', '0', '0', '255', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25600001', 'Unknown 45796', '80', '45796', '0', '32696', '32793', '0', '0', '32640', '32768', '32895', '33023', '5', '0', '0', '256', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25600002', 'Unknown 45797', '80', '45797', '0', '32696', '32793', '0', '0', '32640', '32768', '32895', '33023', '5', '0', '0', '256', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25600003', 'Unknown 45798', '80', '45798', '0', '32696', '32793', '0', '0', '32640', '32768', '32895', '33023', '5', '0', '0', '256', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25600004', 'Unknown 45799', '80', '45799', '0', '32696', '32793', '0', '0', '32640', '32768', '32895', '33023', '5', '0', '0', '256', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('30100001', 'Vakuuk', '40', '45116', '0', '32661', '32933', '0', '0', '32640', '32768', '32767', '32959', '5', '0', '0', '301', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('30100002', 'Ramia', '40', '45222', '0', '32661', '32933', '0', '0', '32640', '32768', '32767', '32959', '5', '0', '0', '301', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('30100003', 'Gelatinous Cube', '40', '45296', '0', '32661', '32933', '0', '0', '32640', '32768', '32767', '32959', '5', '0', '0', '301', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('32000001', 'Deep Flower', '30', '45273', '0', '32891', '32936', '0', '0', '32798', '32851', '33005', '33021', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000001', 'Priest of Corruption', '16', '45570', '0', '32820', '32888', '0', '0', '32795', '32802', '32845', '32974', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000002', 'Priest of Corruption', '16', '45571', '0', '32820', '32888', '0', '0', '32795', '32802', '32845', '32974', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000003', 'Priest of Corruption', '16', '45582', '0', '32820', '32888', '0', '0', '32795', '32802', '32845', '32974', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000004', 'Priest of Corruption', '16', '45587', '0', '32820', '32888', '0', '0', '32795', '32802', '32845', '32974', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000005', 'Priest of Corruption', '12', '45570', '0', '32904', '32829', '0', '0', '32875', '32789', '32933', '32870', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000006', 'Priest of Corruption', '12', '45571', '0', '32904', '32829', '0', '0', '32875', '32789', '32933', '32870', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000007', 'Priest of Corruption', '12', '45582', '0', '32904', '32829', '0', '0', '32875', '32789', '32933', '32870', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000008', 'Priest of Corruption', '12', '45587', '0', '32904', '32829', '0', '0', '32875', '32789', '32933', '32870', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000009', 'Priest of Corruption', '12', '45605', '0', '32904', '32829', '0', '0', '32875', '32789', '32933', '32870', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000010', 'Succubus of Varlok', '12', '45391', '0', '32763', '32855', '0', '0', '32728', '32835', '32798', '32875', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000011', 'Succubus Queen of Varlok', '12', '45450', '0', '32763', '32855', '0', '0', '32728', '32835', '32798', '32875', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000012', 'Lesser Demon of Varlok', '12', '45482', '0', '32763', '32855', '0', '0', '32728', '32835', '32798', '32875', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000013', 'Baphomet of Varlok', '6', '45569', '0', '32763', '32855', '0', '0', '32728', '32835', '32798', '32875', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000014', 'Beleth of Varlok', '6', '45579', '0', '32763', '32855', '0', '0', '32728', '32835', '32798', '32875', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000015', 'Incarnation of Varlok', '4', '45315', '0', '32763', '32855', '0', '0', '32728', '32835', '32798', '32875', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000016', 'Demon of Varlok', '4', '45647', '0', '32763', '32855', '0', '0', '32728', '32835', '32798', '32875', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000017', 'Plate Worm', '14', '45299', '0', '32883', '32946', '0', '0', '32848', '32887', '32919', '33006', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000018', 'Middle Oum', '14', '45331', '0', '32883', '32946', '0', '0', '32848', '32887', '32919', '33006', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000019', 'Heavy Oum', '14', '45453', '0', '32883', '32946', '0', '0', '32848', '32887', '32919', '33006', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000020', 'Black Wizard', '14', '45425', '0', '32883', '32946', '0', '0', '32848', '32887', '32919', '33006', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000021', 'Dark Forester', '14', '45326', '0', '32883', '32946', '0', '0', '32848', '32887', '32919', '33006', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000022', 'Grave Guardian', '14', '45498', '0', '32883', '32946', '0', '0', '32848', '32887', '32919', '33006', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000023', 'Plate Worm', '4', '45299', '0', '32784', '32986', '0', '0', '32727', '32966', '32841', '33006', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000024', 'Middle Oum', '4', '45331', '0', '32784', '32986', '0', '0', '32727', '32966', '32841', '33006', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000025', 'Heavy Oum', '4', '45453', '0', '32784', '32986', '0', '0', '32727', '32966', '32841', '33006', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000026', 'Black Wizard', '4', '45425', '0', '32784', '32986', '0', '0', '32727', '32966', '32841', '33006', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000027', 'Dark Forester', '4', '45326', '0', '32784', '32986', '0', '0', '32727', '32966', '32841', '33006', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000028', 'Grave Guardian', '4', '45498', '0', '32784', '32986', '0', '0', '32727', '32966', '32841', '33006', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('43000001', 'Abyss Water Spirit', '1', '45591', '0', '32791', '32839', '0', '0', '32730', '32793', '32852', '32885', '0', '0', '0', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('43000002', 'Abyss Earth Spirit', '1', '45592', '0', '32791', '32839', '0', '0', '32730', '32793', '32852', '32885', '0', '0', '0', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('43000003', 'Abyss Wind Spirit', '1', '45593', '0', '32750', '32956', '0', '0', '32719', '32916', '32782', '32997', '0', '0', '0', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('43000004', 'Abyss Fire Spirit', '1', '45594', '0', '32750', '32956', '0', '0', '32719', '32916', '32782', '32997', '0', '0', '0', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45100001', 'Lastabad Tormenter', '20', '45448', '0', '32724', '32848', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '451', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45100002', 'Dark Elf General', '20', '45669', '0', '32724', '32848', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '451', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45100003', 'Black Tiger', '20', '45836', '0', '32724', '32848', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '451', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45100004', 'Dark Elf Guard', '2', '45412', '0', '32809', '32835', '0', '0', '0', '0', '0', '0', '0', '0', '0', '451', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45200001', 'Dark Elf General', '20', '45669', '0', '32723', '32825', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '452', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45200002', 'Dark Elf General', '20', '45838', '0', '32723', '32825', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '452', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45200003', 'Phantom Knight', '20', '45533', '0', '32723', '32825', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '452', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45300001', 'Black Tiger', '20', '45483', '0', '32723', '32851', '0', '0', '32704', '32704', '32895', '32895', '0', '0', '0', '453', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45300002', 'Hell Bound', '20', '45512', '0', '32723', '32851', '0', '0', '32704', '32704', '32895', '32895', '0', '0', '0', '453', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45300003', 'Wolf Rider', '20', '45467', '0', '32723', '32851', '0', '0', '32704', '32704', '32895', '32895', '0', '0', '0', '453', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45300004', 'Lastabad Tormenter', '20', '45837', '0', '32723', '32851', '0', '0', '32704', '32704', '32895', '32895', '0', '0', '0', '453', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45300005', 'Unknown 45841', '20', '45841', '0', '32723', '32851', '0', '0', '32704', '32704', '32895', '32895', '0', '0', '0', '453', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45300006', 'Phantom Knight', '20', '45533', '0', '32723', '32851', '0', '0', '32704', '32704', '32895', '32895', '0', '0', '0', '453', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45300007', 'Dark Elf Guard', '2', '45412', '0', '32738', '32851', '0', '0', '0', '0', '0', '0', '0', '0', '0', '453', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45300008', 'Dark Elf Guard', '2', '45412', '0', '32767', '32834', '0', '0', '0', '0', '0', '0', '0', '0', '0', '453', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45300009', 'Dark Elf Guard', '2', '45412', '0', '32789', '32853', '0', '0', '0', '0', '0', '0', '0', '0', '0', '453', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45300010', 'Dark Elf Guard', '2', '45412', '0', '32803', '32832', '0', '0', '0', '0', '0', '0', '0', '0', '0', '453', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45400001', 'Lastabad Tormenter', '20', '45448', '0', '32813', '32823', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '454', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45400002', 'Black Tiger', '20', '45483', '0', '32813', '32823', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '454', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45400003', 'Wolf Rider', '20', '45467', '0', '32813', '32823', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '454', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45400004', 'Black Tiger', '20', '45836', '0', '32813', '32823', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '454', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45400005', 'Unknown 45841', '20', '45841', '0', '32813', '32823', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '454', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45400006', 'Dark Elf Guard', '2', '45412', '0', '32747', '32859', '0', '0', '0', '0', '0', '0', '0', '0', '0', '454', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45400007', 'Dark Elf Guard', '2', '45412', '0', '32808', '32824', '0', '0', '0', '0', '0', '0', '0', '0', '0', '454', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45500001', 'Phantom Knight', '20', '45533', '0', '32723', '32853', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '455', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45500002', 'Wolf Rider', '20', '45467', '0', '32723', '32853', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '455', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45500003', 'Unknown 45841', '20', '45841', '0', '32723', '32853', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '455', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45500004', 'Hell Creature', '20', '45521', '0', '32723', '32853', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '455', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45600001', 'Hell Bound', '20', '45512', '0', '32751', '32871', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '456', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45600002', 'Hell Creature', '20', '45521', '0', '32751', '32871', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '456', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45600003', 'Crimson Drake', '20', '45526', '0', '32751', '32871', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '456', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('48000002', 'Heavy Lizardman', '80', '45251', '0', '32791', '32899', '0', '0', '32707', '32791', '32875', '33007', '0', '0', '0', '480', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('48000003', 'Mad Lizardman', '90', '45158', '0', '32791', '32899', '0', '0', '32707', '32791', '32875', '33007', '0', '0', '0', '480', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('48000004', 'Wild Magic', '20', '45197', '0', '32712', '32899', '0', '0', '32660', '32791', '32764', '33007', '0', '0', '0', '480', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('48000005', 'Wild Fang', '20', '45163', '0', '32712', '32899', '0', '0', '32660', '32791', '32764', '33007', '0', '0', '0', '480', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('48000006', 'Wild Venom', '20', '45139', '0', '32712', '32899', '0', '0', '32660', '32791', '32764', '33007', '0', '0', '0', '480', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('48000007', 'Kiwi Parrot', '20', '45249', '0', '32712', '32899', '0', '0', '32660', '32791', '32764', '33007', '0', '0', '0', '480', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('48000008', 'Blue Tail', '20', '45239', '0', '32712', '32899', '0', '0', '32660', '32791', '32764', '33007', '0', '0', '0', '480', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49000001', 'Oum Warrior', '20', '45466', '0', '32727', '32858', '0', '0', '32640', '32768', '32767', '32895', '0', '0', '0', '490', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49000002', 'Dark Elf Sodier', '20', '45830', '0', '32727', '32858', '0', '0', '32640', '32768', '32767', '32895', '0', '0', '0', '490', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49000003', 'Cursed Dark Elf Knight', '20', '45831', '0', '32727', '32858', '0', '0', '32640', '32768', '32767', '32895', '0', '0', '0', '490', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49000004', 'Lastabad Palace Guard', '2', '45495', '0', '32696', '32831', '0', '0', '0', '0', '0', '0', '0', '0', '0', '490', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49100001', 'Oum Warrior', '20', '45466', '0', '32733', '32859', '0', '0', '32640', '32704', '32767', '32895', '0', '0', '0', '491', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49100002', 'Dark Elf Sodier', '20', '45830', '0', '32733', '32859', '0', '0', '32640', '32704', '32767', '32895', '0', '0', '0', '491', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49100003', 'Cursed Dark Elf Knight', '20', '45831', '0', '32733', '32859', '0', '0', '32640', '32704', '32767', '32895', '0', '0', '0', '491', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49100004', 'Dark Elf Guard', '2', '45412', '0', '32710', '32861', '0', '0', '0', '0', '0', '0', '0', '0', '0', '491', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49100005', 'Dark Elf Guard', '2', '45412', '0', '32728', '32861', '0', '0', '0', '0', '0', '0', '0', '0', '0', '491', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49200001', 'Dark Elf Sodier', '20', '45830', '0', '32785', '32813', '0', '0', '32768', '32768', '32895', '32895', '0', '0', '0', '492', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49200002', 'Thief of Darkness', '20', '45475', '0', '32785', '32813', '0', '0', '32768', '32768', '32895', '32895', '0', '0', '0', '492', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49200003', 'Assassin of Blood', '20', '45489', '0', '32785', '32813', '0', '0', '32768', '32768', '32895', '32895', '0', '0', '0', '492', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49200004', 'Cursed Dark Elf Knight', '20', '45831', '0', '32785', '32813', '0', '0', '32768', '32768', '32895', '32895', '0', '0', '0', '492', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49200005', 'Lastabad Palace Guard', '20', '45495', '0', '32785', '32813', '0', '0', '32768', '32768', '32895', '32895', '0', '0', '0', '492', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49300001', 'Oum Warrior', '30', '45466', '0', '32797', '32813', '0', '0', '32704', '32704', '32831', '32831', '0', '0', '0', '493', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49300002', 'Thief of Darkness', '30', '45475', '0', '32797', '32813', '0', '0', '32704', '32704', '32831', '32831', '0', '0', '0', '493', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49300003', 'Dark Elf Guard', '2', '45412', '0', '32751', '32730', '0', '0', '0', '0', '0', '0', '0', '0', '0', '493', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49300004', 'Lastabad Palace Guard', '2', '45495', '0', '32748', '32780', '0', '0', '0', '0', '0', '0', '0', '0', '0', '493', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49400001', 'Dark Elf Sodier', '20', '45830', '0', '32790', '32761', '0', '0', '32768', '32704', '32895', '32831', '0', '0', '0', '494', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49400002', 'Cursed Dark Elf Knight', '20', '45831', '0', '32790', '32761', '0', '0', '32768', '32704', '32895', '32831', '0', '0', '0', '494', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49400003', 'Lastabad Palace Guard', '20', '45495', '0', '32790', '32761', '0', '0', '32768', '32704', '32895', '32831', '0', '0', '0', '494', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49500001', 'Oum Warrior', '20', '45466', '0', '32721', '32861', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '495', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49500002', 'Thief of Darkness', '20', '45475', '0', '32721', '32861', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '495', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49500003', 'Assassin of Blood', '20', '45489', '0', '32721', '32861', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '495', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49600001', 'Oum Warrior', '20', '45466', '0', '32791', '32815', '0', '0', '32768', '32768', '32895', '32895', '0', '0', '0', '496', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49600002', 'Assassin of Blood', '20', '45489', '0', '32791', '32815', '0', '0', '32768', '32768', '32895', '32895', '0', '0', '0', '496', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49600003', 'Heavy Oum Warrior', '20', '45518', '0', '32791', '32815', '0', '0', '32768', '32768', '32895', '32895', '0', '0', '0', '496', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('52300001', 'Priest of Chaos', '20', '45226', '0', '32705', '32895', '0', '0', '32656', '32861', '32750', '32930', '0', '0', '0', '523', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('52300002', 'Priest of Death', '20', '45536', '0', '32705', '32895', '0', '0', '32656', '32861', '32750', '32930', '0', '0', '0', '523', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('52300003', 'Priest of Death', '20', '45542', '0', '32705', '32895', '0', '0', '32656', '32861', '32750', '32930', '0', '0', '0', '523', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('52300004', 'Disciple of Death', '20', '45575', '0', '32703', '32895', '0', '0', '32656', '32861', '32750', '32930', '0', '0', '0', '523', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('52300005', 'Disciple of Death', '20', '45597', '0', '32703', '32895', '0', '0', '32656', '32861', '32750', '32930', '0', '0', '0', '523', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('52300006', 'Disciple of Death', '20', '45598', '0', '32702', '32895', '0', '0', '32656', '32861', '32750', '32930', '0', '0', '0', '523', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('52400001', 'Guardsman of Yahee', '6', '45596', '0', '32702', '32896', '0', '0', '32654', '32853', '32751', '32940', '0', '0', '0', '524', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('52400002', 'Guardsman of Yahee', '6', '45623', '0', '32702', '32896', '0', '0', '32654', '32853', '32751', '32940', '0', '0', '0', '524', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('52400003', 'Guardsman of Yahee', '6', '45624', '0', '32702', '32896', '0', '0', '32654', '32853', '32751', '32940', '0', '0', '0', '524', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('52400004', 'Guardsman of Yahee', '6', '45628', '0', '32702', '32896', '0', '0', '32654', '32853', '32751', '32940', '0', '0', '0', '524', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('52400005', 'Guardsman of Yahee', '6', '45629', '0', '32702', '32896', '0', '0', '32654', '32853', '32751', '32940', '0', '0', '0', '524', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('52400006', 'Guardsman of Yahee', '6', '45630', '0', '32702', '32896', '0', '0', '32654', '32853', '32751', '32940', '0', '0', '0', '524', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('52400007', 'Guardsman of Yahee', '6', '45631', '0', '32702', '32896', '0', '0', '32654', '32853', '32751', '32940', '0', '0', '0', '524', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('52400008', 'Guardsman of Yahee', '6', '45632', '0', '32702', '32896', '0', '0', '32654', '32853', '32751', '32940', '0', '0', '0', '524', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('55000001', 'Sea Depths Zombie', '140', '45715', '0', '32844', '32694', '0', '0', '32384', '32640', '32895', '33151', '0', '0', '0', '550', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('55000002', 'Troglodyte Scout', '140', '45716', '0', '32844', '32694', '0', '0', '32384', '32640', '32895', '33151', '0', '0', '0', '550', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('55000003', 'Sea Depths Ghoul', '140', '45718', '0', '32844', '32694', '0', '0', '32384', '32640', '32895', '33151', '0', '0', '0', '550', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('55000004', 'Forgotten Mimic', '140', '45713', '0', '32844', '32694', '0', '0', '32384', '32640', '32895', '33151', '0', '0', '0', '550', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('55000005', 'Grave Crocodile', '60', '45719', '0', '32844', '32694', '0', '0', '32384', '32640', '32895', '33151', '0', '0', '0', '550', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('55000006', 'Drowned Male', '140', '45720', '0', '32844', '32694', '0', '0', '32384', '32640', '32895', '33151', '0', '0', '0', '550', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('55000007', 'Drowned Female', '140', '45721', '0', '32844', '32694', '0', '0', '32384', '32640', '32895', '33151', '0', '0', '0', '550', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('55000008', 'Dark Elemental', '60', '45723', '0', '32844', '32694', '0', '0', '32384', '32640', '32895', '33151', '0', '0', '0', '550', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('55800001', 'Shark', '140', '45724', '0', '32781', '32799', '0', '0', '32704', '32768', '33215', '33279', '0', '0', '0', '558', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('55800002', 'Grave Crabman', '140', '45725', '0', '32781', '32799', '0', '0', '32704', '32768', '33215', '33279', '0', '0', '0', '558', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('55800003', 'Bone Eel', '140', '45726', '0', '32781', '32799', '0', '0', '32704', '32768', '33215', '33279', '0', '0', '0', '558', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('55800004', 'Grave Sea Dancer', '100', '45727', '0', '32781', '32799', '0', '0', '32704', '32768', '33215', '33279', '0', '0', '0', '558', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('55800005', 'Deep Sea Fish', '100', '45728', '0', '32781', '32799', '0', '0', '32704', '32768', '33215', '33279', '0', '0', '0', '558', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('55800006', 'Ugly Mermaid', '100', '45730', '0', '32781', '32799', '0', '0', '32704', '32768', '33215', '33279', '0', '0', '0', '558', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('55800007', 'Grave Elekkadom', '100', '45732', '0', '32781', '32799', '0', '0', '32704', '32768', '33215', '33279', '0', '0', '0', '558', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('55800008', 'Grave Crustacean', '100', '45733', '0', '32781', '32799', '0', '0', '32704', '32768', '33215', '33279', '0', '0', '0', '558', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('60000001', 'Lesser Demon', '24', '45736', '0', '32757', '32794', '0', '0', '32704', '32768', '32831', '32831', '0', '0', '0', '600', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('60100001', 'Lesser Demon', '50', '45736', '0', '32724', '32830', '0', '0', '32704', '32768', '32895', '32895', '0', '0', '0', '601', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('60100002', 'Shiboin of Earth', '12', '45739', '0', '32736', '32859', '0', '0', '32736', '32859', '32765', '32880', '0', '0', '0', '601', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('60100003', 'Shiboin of Waves', '12', '45740', '0', '32801', '32868', '0', '0', '32801', '32868', '32838', '32881', '0', '0', '0', '601', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('60100004', 'Shiboin of Fire', '12', '45741', '0', '32811', '32793', '0', '0', '32811', '32793', '32840', '32807', '0', '0', '0', '601', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('60100005', 'Shiboin of Wind', '12', '45742', '0', '32739', '32786', '0', '0', '32739', '32786', '32772', '32818', '0', '0', '0', '601', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('60100006', 'Shiboin of Earth', '4', '45739', '0', '32853', '32806', '0', '0', '32853', '32806', '32877', '32861', '0', '0', '0', '601', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('60100007', 'Shiboin of Waves', '4', '45740', '0', '32853', '32806', '0', '0', '32853', '32806', '32877', '32861', '0', '0', '0', '601', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('60100008', 'Shiboin of Fire', '4', '45741', '0', '32853', '32806', '0', '0', '32853', '32806', '32877', '32861', '0', '0', '0', '601', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('60100009', 'Shiboin of Wind', '4', '45742', '0', '32853', '32806', '0', '0', '32853', '32806', '32877', '32861', '0', '0', '0', '601', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('60400001', 'Shiboin of Waves', '40', '45740', '0', '32830', '32822', '0', '0', '32768', '32768', '32895', '32895', '0', '0', '0', '604', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('60400002', 'Judigo', '80', '45744', '0', '32830', '32822', '0', '0', '32768', '32768', '32895', '32895', '0', '0', '0', '604', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('60400003', 'Dego', '80', '45745', '0', '32830', '32822', '0', '0', '32768', '32768', '32895', '32895', '0', '0', '0', '604', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('60500001', 'Shiboin of Fire', '40', '45741', '0', '32835', '32822', '0', '0', '32768', '32768', '32895', '32895', '0', '0', '0', '605', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('60500002', 'Deangus', '40', '45746', '0', '32835', '32822', '0', '0', '32768', '32768', '32895', '32895', '0', '0', '0', '605', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('60500003', 'Angus', '40', '45747', '0', '32835', '32822', '0', '0', '32768', '32768', '32895', '32895', '0', '0', '0', '605', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('60600001', 'Shiboin of Wind', '40', '45742', '0', '32757', '32842', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '606', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('60600002', 'Paj', '40', '45748', '0', '32757', '32842', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '606', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('60600003', 'Pasaj', '40', '45750', '0', '32757', '32842', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '606', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('60700001', 'Shiboin of Earth', '40', '45739', '0', '32757', '32842', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '607', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('60700002', 'Judigo', '80', '45743', '0', '32773', '32835', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '607', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('801500001', 'Monster Mushroom', '8', '45020', '0', '32800', '32778', '0', '0', '32796', '32774', '32804', '32782', '7', '20', '20', '8015', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500002', 'Monster Mushroom', '8', '45020', '0', '32799', '32749', '0', '0', '32796', '32745', '32803', '32753', '4', '20', '20', '8015', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500003', 'Monster Mushroom', '8', '45020', '0', '32807', '32767', '0', '0', '32803', '32763', '32811', '32771', '7', '20', '20', '8015', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500004', 'Monster Mushroom', '8', '45020', '0', '32800', '32787', '0', '0', '32796', '32783', '32804', '32791', '6', '20', '20', '8015', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500005', 'Monster Mushroom', '8', '45020', '0', '32810', '32790', '0', '0', '32806', '32786', '32814', '32794', '4', '20', '20', '8015', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500006', 'Kobold', '8', '45754', '0', '32775', '32800', '0', '0', '32772', '32797', '32778', '32803', '3', '20', '20', '8015', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500007', 'Kobold', '8', '45754', '0', '32739', '32800', '0', '0', '32736', '32797', '32742', '32803', '3', '20', '20', '8015', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500008', 'Kobold', '8', '45754', '0', '32745', '32779', '0', '0', '32742', '32776', '32748', '32782', '3', '20', '20', '8015', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500009', 'Kobold', '8', '45754', '0', '32763', '32782', '0', '0', '32760', '32779', '32766', '32785', '3', '20', '20', '8015', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500010', 'Goblin', '20', '45755', '0', '32800', '32741', '0', '0', '32770', '32711', '32830', '32771', '7', '20', '20', '8015', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500011', 'Goblin', '20', '45755', '0', '32755', '32786', '0', '0', '32735', '32766', '32775', '32806', '7', '20', '20', '8015', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500012', 'Orc', '24', '45756', '0', '32738', '32746', '0', '0', '32700', '32710', '32776', '32760', '4', '20', '20', '8015', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500013', 'Zombie', '6', '45757', '0', '32800', '32741', '0', '0', '32770', '32711', '32830', '32771', '7', '20', '20', '8015', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500014', 'Zombie', '4', '45757', '0', '32751', '32765', '0', '0', '32721', '32735', '32781', '32795', '6', '20', '20', '8015', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500015', 'Milk Cow', '1', '70984', '0', '32755', '32787', '0', '0', '32725', '32767', '32785', '32807', '6', '20', '20', '8015', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500016', 'Wild Boar', '60', '45023', '0', '32810', '32833', '0', '0', '32704', '32768', '32895', '32895', '0', '20', '20', '8012', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500017', 'Slime', '8', '45060', '0', '32810', '32833', '0', '0', '32704', '32768', '32895', '32895', '4', '20', '20', '8012', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500018', 'Zombie', '26', '45757', '0', '32810', '32833', '0', '0', '32704', '32768', '32895', '32895', '4', '20', '20', '8012', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500019', 'Floating Eye', '36', '45760', '0', '32810', '32833', '0', '0', '32704', '32768', '32895', '32895', '5', '20', '20', '8012', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500020', 'Gnoll', '46', '45767', '0', '32810', '32833', '0', '0', '32704', '32768', '32895', '32895', '5', '20', '20', '8012', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500021', 'Dwarf', '8', '45761', '0', '32866', '32831', '0', '0', '32856', '32821', '32876', '32841', '4', '20', '20', '8012', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500022', 'Dwarf', '8', '45761', '0', '32853', '32829', '0', '0', '32843', '32819', '32863', '32839', '5', '20', '20', '8012', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500023', 'Dwarf', '8', '45761', '0', '32870', '32848', '0', '0', '32860', '32838', '32880', '32858', '4', '20', '20', '8012', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500024', 'Dwarf', '8', '45761', '0', '32870', '32866', '0', '0', '32860', '32856', '32880', '32876', '4', '20', '20', '8012', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500025', 'Dwarf', '8', '45761', '0', '32844', '32868', '0', '0', '32843', '32858', '32854', '32878', '4', '20', '20', '8012', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500026', 'Imp', '10', '45762', '0', '32774', '32818', '0', '0', '32744', '32788', '32804', '32848', '4', '20', '20', '8012', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500027', 'Gnoll', '10', '45767', '0', '32750', '32857', '0', '0', '32720', '32827', '32780', '32887', '6', '20', '20', '8012', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500028', 'Imp', '10', '45762', '0', '32738', '32830', '0', '0', '32708', '32800', '32768', '32860', '4', '20', '20', '8012', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500029', 'Gnoll', '10', '45767', '0', '32743', '32736', '0', '0', '32713', '32706', '32773', '32766', '4', '20', '20', '8012', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500030', 'Imp', '10', '45762', '0', '32753', '32737', '0', '0', '32723', '32707', '32783', '32767', '4', '20', '20', '8012', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500031', 'Imp', '10', '45762', '0', '32802', '32745', '0', '0', '32772', '32715', '32832', '32775', '4', '20', '20', '8012', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500032', 'Gnoll', '10', '45767', '0', '32802', '32745', '0', '0', '32772', '32715', '32832', '32775', '4', '20', '20', '8012', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500033', 'Gnoll', '10', '45767', '0', '32844', '32733', '0', '0', '32814', '32704', '32874', '32763', '4', '20', '20', '8012', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500034', 'Floating Eye', '10', '45760', '0', '32844', '32733', '0', '0', '32814', '32704', '32874', '32763', '4', '20', '20', '8012', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500035', 'Orc Archer', '12', '45758', '0', '32862', '32754', '0', '0', '32852', '32744', '32872', '32764', '4', '20', '20', '8012', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500036', 'Orc Fighter', '10', '45759', '0', '32862', '32754', '0', '0', '32852', '32744', '32872', '32764', '4', '20', '20', '8012', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500037', 'Orc Archer', '12', '45758', '0', '32837', '32760', '0', '0', '32827', '32750', '32847', '32770', '4', '20', '20', '8012', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500038', 'Orc Fighter', '10', '45759', '0', '32837', '32760', '0', '0', '32827', '32750', '32847', '32770', '4', '20', '20', '8012', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500039', 'Eidlon', '10', '45873', '0', '32829', '32765', '0', '0', '32769', '32705', '32889', '32825', '4', '20', '20', '8012', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500040', 'Slime', '10', '45060', '0', '32681', '32803', '0', '0', '32576', '32704', '32767', '32895', '4', '20', '20', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500041', 'Zombie', '80', '45757', '0', '32681', '32803', '0', '0', '32576', '32704', '32767', '32895', '4', '20', '20', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500042', 'Werewolf', '140', '45763', '0', '32681', '32803', '0', '0', '32576', '32704', '32767', '32895', '4', '20', '20', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500043', 'Orc Fighter', '30', '45759', '0', '32681', '32803', '0', '0', '32576', '32704', '32767', '32895', '4', '20', '20', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500044', 'Gnoll', '60', '45767', '0', '32681', '32803', '0', '0', '32576', '32704', '32767', '32895', '4', '20', '20', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500045', 'Skeleton Archer', '30', '45765', '0', '32681', '32803', '0', '0', '32576', '32704', '32767', '32895', '4', '20', '20', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500046', 'Skeleton', '30', '45764', '0', '32681', '32803', '0', '0', '32576', '32704', '32767', '32895', '4', '20', '20', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500048', 'Lycanthrope', '2', '45769', '0', '32613', '32735', '0', '0', '0', '0', '0', '0', '3', '0', '0', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500049', 'Werewolf', '20', '45763', '0', '32613', '32735', '0', '0', '32593', '32715', '32633', '32755', '3', '20', '20', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500050', 'Stone Golem', '2', '45768', '0', '32735', '32735', '0', '0', '0', '0', '0', '0', '6', '0', '0', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500051', 'Skeleton', '60', '45764', '0', '32684', '32756', '0', '0', '32604', '32726', '32764', '32786', '6', '20', '20', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500052', 'Skeleton Archer', '60', '45765', '0', '32684', '32756', '0', '0', '32604', '32726', '32674', '32786', '6', '20', '20', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500047', 'Skeleton Soldier', '30', '45766', '0', '32681', '32803', '0', '0', '32576', '32704', '32767', '32895', '4', '20', '20', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500053', 'Skeleton Soldier', '60', '45766', '0', '32684', '32756', '0', '0', '32604', '32726', '32674', '32786', '6', '20', '20', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500054', 'Lycanthrope', '2', '45769', '0', '32838', '32738', '0', '0', '0', '0', '0', '0', '5', '0', '0', '86', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500055', 'Werewolf', '60', '45763', '0', '32838', '32738', '0', '0', '32788', '32688', '32888', '32788', '5', '20', '20', '86', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500056', 'Stone Golem', '2', '45768', '0', '32931', '32735', '0', '0', '0', '0', '0', '0', '6', '0', '0', '86', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500057', 'Skeleton', '70', '45764', '0', '32901', '32736', '0', '0', '32801', '32704', '32959', '32836', '6', '20', '20', '86', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500058', 'Skeleton Archer', '70', '45765', '0', '32901', '32736', '0', '0', '32801', '32704', '32959', '32836', '6', '20', '20', '86', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500059', 'Skeleton Soldier', '70', '45766', '0', '32901', '32736', '0', '0', '32801', '32704', '32959', '32836', '6', '20', '20', '86', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500060', 'Slime', '15', '45060', '0', '32871', '32795', '0', '0', '32801', '32704', '32959', '32836', '5', '20', '20', '86', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500061', 'Zombie', '40', '45757', '0', '32871', '32795', '0', '0', '32768', '32704', '32959', '32895', '5', '20', '20', '86', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500062', 'Orc Fighter', '30', '45759', '0', '32871', '32795', '0', '0', '32768', '32704', '32959', '32895', '5', '20', '20', '86', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500063', 'Gnoll', '60', '45767', '0', '32871', '32795', '0', '0', '32768', '32704', '32959', '32895', '5', '20', '20', '86', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500064', 'Skeleton', '70', '45764', '0', '32871', '32795', '0', '0', '32768', '32704', '32959', '32845', '5', '20', '20', '86', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500065', 'Skeleton Archer', '70', '45765', '0', '32871', '32795', '0', '0', '32768', '32704', '32959', '32845', '5', '20', '20', '86', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500066', 'Skeleton Soldier', '70', '45766', '0', '32871', '32795', '0', '0', '32768', '32704', '32959', '32845', '5', '20', '20', '86', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500067', 'Werewolf', '80', '45763', '0', '32838', '32738', '0', '0', '32768', '32718', '32959', '32895', '5', '20', '20', '86', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500068', 'Wolf', '2', '45043', '0', '32387', '33042', '0', '0', '0', '0', '0', '0', '0', '20', '20', '440', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('801500069', 'Wolf', '2', '45043', '0', '32388', '33044', '0', '0', '0', '0', '0', '0', '0', '20', '20', '440', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('801500070', 'Shepherd', '2', '45034', '0', '32388', '33047', '0', '0', '0', '0', '0', '0', '0', '20', '20', '440', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('801500071', 'Doberman', '2', '45042', '0', '32386', '33044', '0', '0', '0', '0', '0', '0', '0', '20', '20', '440', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('801500072', 'Unknown 45876', '2', '45876', '0', '32674', '32798', '0', '0', '32590', '32714', '32757', '32885', '4', '20', '20', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500073', 'Unknown 45876', '2', '45876', '0', '32869', '32799', '0', '0', '32778', '32714', '32949', '32885', '4', '20', '20', '86', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500074', 'Treasure Chest', '2', '45877', '0', '32511', '33023', '0', '0', '32477', '32778', '32757', '33269', '5', '20', '20', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500075', 'Large Rat', '20', '45235', '0', '32781', '32761', '0', '0', '32751', '32711', '32811', '32811', '4', '20', '20', '482', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500076', 'Dire Bat', '20', '45172', '0', '32778', '32749', '0', '0', '32748', '32705', '32808', '32799', '3', '20', '20', '482', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500077', 'Large Rat', '20', '45235', '0', '32678', '32774', '0', '0', '32648', '32724', '32708', '32824', '4', '20', '20', '482', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500078', 'Dire Bat', '20', '45172', '0', '32678', '32797', '0', '0', '32648', '32747', '32708', '32847', '4', '20', '20', '482', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500079', 'Large Rat', '20', '45235', '0', '32714', '32735', '0', '0', '32684', '32705', '32744', '32785', '2', '20', '20', '482', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500080', 'Dire Bat', '20', '45172', '0', '32720', '32739', '0', '0', '32690', '32705', '32750', '32789', '4', '20', '20', '482', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500081', 'Large Rat', '20', '45235', '0', '32802', '32816', '0', '0', '32772', '32766', '32832', '32866', '2', '20', '20', '482', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500082', 'Dire Bat', '20', '45172', '0', '32797', '32822', '0', '0', '32767', '32772', '32827', '32872', '4', '20', '20', '482', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500083', 'Large Rat', '20', '45235', '0', '32780', '32848', '0', '0', '32750', '32798', '32830', '32890', '4', '20', '20', '482', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500084', 'Dire Bat', '20', '45172', '0', '32788', '32854', '0', '0', '32758', '32804', '32818', '32890', '2', '20', '20', '482', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500085', 'Large Rat', '20', '45235', '0', '32738', '32858', '0', '0', '32708', '32808', '32768', '32890', '6', '20', '20', '482', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500086', 'Dire Bat', '20', '45172', '0', '32743', '32857', '0', '0', '32713', '32807', '32773', '32890', '2', '20', '20', '482', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500087', 'Large Rat', '20', '45235', '0', '32733', '32796', '0', '0', '32703', '32746', '32763', '32846', '2', '20', '20', '482', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500088', 'Dire Bat', '20', '45172', '0', '32739', '32806', '0', '0', '32709', '32756', '32769', '32856', '4', '20', '20', '482', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500089', 'Large Rat', '28', '45235', '0', '32801', '32808', '0', '0', '32710', '32770', '32830', '32895', '6', '20', '20', '484', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500090', 'Skeletal Pirate Soldier', '20', '45274', '0', '32773', '32857', '0', '0', '32730', '32817', '32810', '32895', '5', '20', '20', '484', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500091', 'Skeletal Pirate Rogue', '20', '45314', '0', '32773', '32857', '0', '0', '32730', '32817', '32810', '32895', '5', '20', '20', '484', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500092', 'Skeletal Pirate Head', '20', '45330', '0', '32773', '32857', '0', '0', '32730', '32817', '32810', '32895', '5', '20', '20', '484', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500093', 'Spirit of Drake', '2', '45878', '0', '32798', '32875', '0', '0', '0', '0', '0', '0', '0', '0', '0', '483', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('801500094', 'Diego', '2', '45413', '0', '32737', '32890', '0', '0', '0', '0', '0', '0', '4', '0', '0', '483', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500095', 'Skeletal Pirate Head', '6', '45330', '0', '32737', '32890', '5', '5', '0', '0', '0', '0', '4', '20', '20', '483', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500096', 'Goblin of Ordeal', '2', '45421', '0', '32760', '32928', '0', '0', '0', '0', '0', '0', '6', '0', '0', '483', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('801500097', 'Goblin of Ordeal', '2', '45879', '0', '32764', '32930', '0', '0', '0', '0', '0', '0', '6', '0', '0', '483', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('801500098', 'Goblin of Ordeal', '2', '45880', '0', '32768', '32922', '0', '0', '0', '0', '0', '0', '6', '0', '0', '483', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('801500099', 'Goblin of Ordeal', '2', '45881', '0', '32765', '32920', '0', '0', '0', '0', '0', '0', '6', '0', '0', '483', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('801500100', 'Goblin of Ordeal', '2', '45882', '0', '32761', '32924', '0', '0', '0', '0', '0', '0', '6', '0', '0', '483', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('801500101', 'Orc', '1', '45009', '0', '32724', '32900', '12', '12', '0', '0', '0', '0', '7', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500102', 'Orc', '1', '45009', '0', '32736', '32905', '12', '12', '0', '0', '0', '0', '2', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500103', 'Orc', '1', '45009', '0', '32745', '32908', '12', '12', '0', '0', '0', '0', '2', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500104', 'Orc', '1', '45009', '0', '32733', '32921', '12', '12', '0', '0', '0', '0', '5', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500105', 'Orc', '1', '45009', '0', '32717', '32921', '12', '12', '0', '0', '0', '0', '6', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500106', 'Orc', '1', '45009', '0', '32712', '32896', '12', '12', '0', '0', '0', '0', '6', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500107', 'Crawling Claw', '1', '45084', '0', '32715', '32885', '12', '12', '0', '0', '0', '0', '0', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500108', 'Crawling Claw', '1', '45084', '0', '32732', '32868', '12', '12', '0', '0', '0', '0', '1', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500109', 'Crawling Claw', '1', '45084', '0', '32754', '32870', '12', '12', '0', '0', '0', '0', '2', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500110', 'Crawling Claw', '1', '45084', '0', '32734', '32893', '12', '12', '0', '0', '0', '0', '6', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500111', 'Crawling Claw', '1', '45084', '0', '32722', '32918', '12', '12', '0', '0', '0', '0', '4', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500112', 'Crawling Claw', '1', '45084', '0', '32696', '32919', '12', '12', '0', '0', '0', '0', '6', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500113', 'Fungus', '1', '45030', '0', '32701', '32911', '12', '12', '0', '0', '0', '0', '1', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500114', 'Fungus', '1', '45030', '0', '32709', '32888', '12', '12', '0', '0', '0', '0', '0', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500115', 'Fungus', '1', '45030', '0', '32720', '32872', '12', '12', '0', '0', '0', '0', '0', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500116', 'Fungus', '1', '45030', '0', '32738', '32880', '12', '12', '0', '0', '0', '0', '2', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500117', 'Fungus', '1', '45030', '0', '32731', '32912', '12', '12', '0', '0', '0', '0', '4', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500118', 'Fungus', '1', '45030', '0', '32727', '32936', '12', '12', '0', '0', '0', '0', '4', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500119', 'Fungus', '1', '45030', '0', '32754', '32935', '12', '12', '0', '0', '0', '0', '2', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500120', 'Orc', '1', '45009', '0', '32754', '32942', '12', '12', '0', '0', '0', '0', '2', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500121', 'Stone Golem', '1', '45134', '0', '32700', '32918', '12', '12', '0', '0', '0', '0', '5', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500122', 'Stone Golem', '1', '45134', '0', '32679', '32892', '12', '12', '0', '0', '0', '0', '0', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500123', 'Stone Golem', '1', '45134', '0', '32701', '32859', '12', '12', '0', '0', '0', '0', '0', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500124', 'Stone Golem', '1', '45134', '0', '32716', '32836', '12', '12', '0', '0', '0', '0', '2', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500125', 'Stone Golem', '1', '45134', '0', '32729', '32811', '12', '12', '0', '0', '0', '0', '0', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500126', 'Stone Golem', '1', '45134', '0', '32694', '32818', '12', '12', '0', '0', '0', '0', '5', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500127', 'Stone Golem', '1', '45134', '0', '32662', '32849', '12', '12', '0', '0', '0', '0', '5', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500128', 'Stone Golem', '1', '45134', '0', '32637', '32878', '12', '12', '0', '0', '0', '0', '5', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500129', 'Fungus', '1', '45030', '0', '32633', '32848', '12', '12', '0', '0', '0', '0', '0', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500130', 'Fungus', '1', '45030', '0', '32666', '32829', '12', '12', '0', '0', '0', '0', '2', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500131', 'Fungus', '1', '45030', '0', '32694', '32811', '12', '12', '0', '0', '0', '0', '2', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500132', 'Owlbear', '1', '45148', '0', '32699', '32811', '12', '12', '0', '0', '0', '0', '6', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500133', 'Owlbear', '1', '45148', '0', '32673', '32808', '12', '12', '0', '0', '0', '0', '6', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500134', 'Owlbear', '1', '45148', '0', '32640', '32819', '12', '12', '0', '0', '0', '0', '6', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500135', 'Owlbear', '1', '45148', '0', '32647', '32861', '12', '12', '0', '0', '0', '0', '5', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500136', 'Skeleton Archer', '1', '45123', '0', '32628', '32811', '12', '12', '0', '0', '0', '0', '4', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500137', 'Skeleton Archer', '1', '45123', '0', '32646', '32799', '12', '12', '0', '0', '0', '0', '2', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500138', 'Skeleton Archer', '1', '45123', '0', '32646', '32828', '12', '12', '0', '0', '0', '0', '5', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500139', 'Skeleton Archer', '1', '45123', '0', '32641', '32855', '12', '12', '0', '0', '0', '0', '4', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500140', 'Skeleton Archer', '1', '45123', '0', '32654', '32875', '12', '12', '0', '0', '0', '0', '4', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500141', 'Skeleton Archer', '1', '45123', '0', '32670', '32898', '12', '12', '0', '0', '0', '0', '4', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500142', 'Fungus', '1', '45030', '0', '32663', '32874', '12', '12', '0', '0', '0', '0', '2', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500143', 'Fungus', '1', '45030', '0', '32672', '32867', '12', '12', '0', '0', '0', '0', '2', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500144', 'Fungus', '1', '45030', '0', '32683', '32854', '12', '12', '0', '0', '0', '0', '0', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500145', 'Skeleton Archer', '1', '45123', '0', '32653', '32942', '12', '12', '0', '0', '0', '0', '6', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500146', 'Fungus', '1', '45030', '0', '32694', '32860', '12', '12', '0', '0', '0', '0', '3', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500147', 'Fungus', '1', '45030', '0', '32694', '32871', '12', '12', '0', '0', '0', '0', '3', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500148', 'Fungus', '1', '45030', '0', '32700', '32875', '12', '12', '0', '0', '0', '0', '2', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500149', 'Fungus', '1', '45030', '0', '32712', '32877', '12', '12', '0', '0', '0', '0', '3', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500150', 'Lizardman', '1', '45145', '0', '32653', '32942', '12', '12', '0', '0', '0', '0', '6', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500151', 'Fungus', '1', '45030', '0', '32717', '32884', '12', '12', '0', '0', '0', '0', '4', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500152', 'Fungus', '1', '45030', '0', '32723', '32885', '12', '12', '0', '0', '0', '0', '2', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500153', 'Fungus', '1', '45030', '0', '32729', '32889', '12', '12', '0', '0', '0', '0', '3', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500154', 'Lizardman', '1', '45145', '0', '32668', '32918', '12', '12', '0', '0', '0', '0', '0', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500155', 'Lizardman', '1', '45145', '0', '32674', '32895', '12', '12', '0', '0', '0', '0', '0', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500156', 'Lizardman', '1', '45145', '0', '32669', '32869', '12', '12', '0', '0', '0', '0', '0', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500157', 'Fungus', '1', '45030', '0', '32745', '32909', '12', '12', '0', '0', '0', '0', '5', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500158', 'Fungus', '1', '45030', '0', '32741', '32914', '12', '12', '0', '0', '0', '0', '5', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500159', 'Fungus', '1', '45030', '0', '32737', '32918', '12', '12', '0', '0', '0', '0', '5', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500160', 'Fungus', '1', '45030', '0', '32736', '32924', '12', '12', '0', '0', '0', '0', '4', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500161', 'Fungus', '1', '45030', '0', '32737', '32931', '12', '12', '0', '0', '0', '0', '4', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500162', 'Lizardman', '1', '45145', '0', '32676', '32841', '12', '12', '0', '0', '0', '0', '0', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500163', 'Fungus', '1', '45030', '0', '32743', '32937', '12', '12', '0', '0', '0', '0', '3', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500164', 'Fungus', '1', '45030', '0', '32740', '32942', '12', '12', '0', '0', '0', '0', '4', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500165', 'Fungus', '1', '45030', '0', '32736', '32946', '12', '12', '0', '0', '0', '0', '5', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500166', 'Lizardman', '1', '45145', '0', '32684', '32820', '12', '12', '0', '0', '0', '0', '1', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500167', 'Fungus', '1', '45030', '0', '32733', '32951', '12', '12', '0', '0', '0', '0', '4', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500168', 'Fungus', '1', '45030', '0', '32734', '32956', '12', '12', '0', '0', '0', '0', '4', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500169', 'Fungus', '1', '45030', '0', '32735', '32960', '12', '12', '0', '0', '0', '0', '4', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500170', 'Fungus', '1', '45030', '0', '32739', '32966', '12', '12', '0', '0', '0', '0', '3', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500171', 'Lizardman', '1', '45145', '0', '32694', '32798', '12', '12', '0', '0', '0', '0', '0', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500172', 'Fungus', '1', '45030', '0', '32741', '32974', '12', '12', '0', '0', '0', '0', '4', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500173', 'Fungus', '1', '45030', '0', '32740', '32979', '12', '12', '0', '0', '0', '0', '3', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500174', 'Fungus', '1', '45030', '0', '32736', '32984', '12', '12', '0', '0', '0', '0', '6', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500175', 'Fungus', '1', '45030', '0', '32729', '32982', '12', '12', '0', '0', '0', '0', '7', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500176', 'Fungus', '1', '45030', '0', '32724', '32980', '12', '12', '0', '0', '0', '0', '5', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500177', 'Fungus', '1', '45030', '0', '32720', '32979', '12', '12', '0', '0', '0', '0', '7', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500178', 'Fungus', '1', '45030', '0', '32715', '32977', '12', '12', '0', '0', '0', '0', '6', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500179', 'Fungus', '1', '45030', '0', '32711', '32977', '12', '12', '0', '0', '0', '0', '7', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500180', 'Lizardman', '1', '45145', '0', '32654', '32802', '12', '12', '0', '0', '0', '0', '6', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500181', 'Fungus', '1', '45030', '0', '32706', '32973', '12', '12', '0', '0', '0', '0', '6', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500182', 'Fungus', '1', '45030', '0', '32703', '32972', '12', '12', '0', '0', '0', '0', '7', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500183', 'Lizardman', '1', '45145', '0', '32637', '32808', '12', '12', '0', '0', '0', '0', '4', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500184', 'Owlbear', '1', '45148', '0', '32701', '32972', '12', '12', '0', '0', '0', '0', '1', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500185', 'Owlbear', '1', '45148', '0', '32701', '32972', '12', '12', '0', '0', '0', '0', '1', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500186', 'Owlbear', '1', '45148', '0', '32699', '32975', '12', '12', '0', '0', '0', '0', '4', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500187', 'Owlbear', '1', '45148', '0', '32694', '32985', '12', '12', '0', '0', '0', '0', '4', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500188', 'Owlbear', '1', '45148', '0', '32697', '32989', '12', '12', '0', '0', '0', '0', '3', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500189', 'Owlbear', '1', '45148', '0', '32698', '32996', '12', '12', '0', '0', '0', '0', '4', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500190', 'Owlbear', '1', '45148', '0', '32703', '33002', '12', '12', '0', '0', '0', '0', '3', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500191', 'Lizardman', '1', '45145', '0', '32650', '32844', '12', '12', '0', '0', '0', '0', '4', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500192', 'Owlbear', '1', '45148', '0', '32710', '33000', '12', '12', '0', '0', '0', '0', '1', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500193', 'Owlbear', '1', '45148', '0', '32713', '32993', '12', '12', '0', '0', '0', '0', '7', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500194', 'Owlbear', '1', '45148', '0', '32722', '32987', '12', '12', '0', '0', '0', '0', '1', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500195', 'Owlbear', '1', '45148', '0', '32721', '32981', '12', '12', '0', '0', '0', '0', '1', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500196', 'Owlbear', '1', '45148', '0', '32729', '32974', '12', '12', '0', '0', '0', '0', '1', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500197', 'Owlbear', '1', '45148', '0', '32725', '32968', '12', '12', '0', '0', '0', '0', '7', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500198', 'Owlbear', '1', '45148', '0', '32727', '32961', '12', '12', '0', '0', '0', '0', '0', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500199', 'Lizardman', '1', '45145', '0', '32635', '32877', '12', '12', '0', '0', '0', '0', '6', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500200', 'Owlbear', '1', '45148', '0', '32730', '32953', '12', '12', '0', '0', '0', '0', '7', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500201', 'Owlbear', '1', '45148', '0', '32735', '32945', '12', '12', '0', '0', '0', '0', '1', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500202', 'Owlbear', '1', '45148', '0', '32738', '32938', '12', '12', '0', '0', '0', '0', '1', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500203', 'Owlbear', '1', '45148', '0', '32736', '32932', '12', '12', '0', '0', '0', '0', '7', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500204', 'Owlbear', '1', '45148', '0', '32731', '32926', '12', '12', '0', '0', '0', '0', '7', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500205', 'Owlbear', '1', '45148', '0', '32725', '32920', '12', '12', '0', '0', '0', '0', '7', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500206', 'Owlbear', '1', '45148', '0', '32719', '32915', '12', '12', '0', '0', '0', '0', '6', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500207', 'Owlbear', '1', '45148', '0', '32715', '32912', '12', '12', '0', '0', '0', '0', '7', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500208', 'Owlbear', '1', '45148', '0', '32710', '32910', '12', '12', '0', '0', '0', '0', '7', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500209', 'Owlbear', '1', '45148', '0', '32706', '32906', '12', '12', '0', '0', '0', '0', '7', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500210', 'Owlbear', '1', '45148', '0', '32701', '32903', '12', '12', '0', '0', '0', '0', '7', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500211', 'Owlbear', '1', '45148', '0', '32698', '32898', '12', '12', '0', '0', '0', '0', '7', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500212', 'Owlbear', '1', '45148', '0', '32691', '32890', '12', '12', '0', '0', '0', '0', '6', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500213', 'Spartoi', '1', '45181', '0', '32631', '32851', '12', '12', '0', '0', '0', '0', '0', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500214', 'Owlbear', '1', '45148', '0', '32682', '32901', '12', '12', '0', '0', '0', '0', '5', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500215', 'Spartoi', '1', '45181', '0', '32638', '32812', '12', '12', '0', '0', '0', '0', '0', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500216', 'Spartoi', '1', '45181', '0', '32674', '32800', '12', '12', '0', '0', '0', '0', '2', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500217', 'Orc Archer', '1', '45050', '0', '32666', '32829', '12', '12', '0', '0', '0', '0', '4', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500218', 'Orc Archer', '1', '45050', '0', '32661', '32852', '12', '12', '0', '0', '0', '0', '4', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500219', 'Orc Archer', '1', '45050', '0', '32676', '32878', '12', '12', '0', '0', '0', '0', '3', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500220', 'Orc Archer', '1', '45050', '0', '32685', '32909', '12', '12', '0', '0', '0', '0', '4', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500221', 'Orc Archer', '1', '45050', '0', '32681', '32940', '12', '12', '0', '0', '0', '0', '4', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500222', 'Orc Archer', '1', '45050', '0', '32678', '32971', '12', '12', '0', '0', '0', '0', '6', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500223', 'Orc Archer', '1', '45050', '0', '32697', '32987', '12', '12', '0', '0', '0', '0', '2', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500224', 'Owlbear', '1', '45148', '0', '32666', '32880', '12', '12', '0', '0', '0', '0', '0', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500225', 'Orc Archer', '1', '45050', '0', '32737', '32989', '12', '12', '0', '0', '0', '0', '2', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500226', 'Owlbear', '1', '45148', '0', '32664', '32873', '12', '12', '0', '0', '0', '0', '7', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500227', 'Owlbear', '1', '45148', '0', '32664', '32873', '12', '12', '0', '0', '0', '0', '7', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500228', 'Owlbear', '1', '45148', '0', '32654', '32868', '12', '12', '0', '0', '0', '0', '6', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500229', 'Owlbear', '1', '45148', '0', '32657', '32858', '12', '12', '0', '0', '0', '0', '1', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500230', 'Owlbear', '1', '45148', '0', '32664', '32851', '12', '12', '0', '0', '0', '0', '0', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500231', 'Owlbear', '1', '45148', '0', '32668', '32843', '12', '12', '0', '0', '0', '0', '1', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500232', 'Owlbear', '1', '45148', '0', '32677', '32836', '12', '12', '0', '0', '0', '0', '2', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500233', 'Owlbear', '1', '45148', '0', '32688', '32828', '12', '12', '0', '0', '0', '0', '1', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500234', 'Owlbear', '1', '45148', '0', '32694', '32832', '12', '12', '0', '0', '0', '0', '3', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500235', 'Owlbear', '1', '45148', '0', '32700', '32836', '12', '12', '0', '0', '0', '0', '1', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500236', 'Owlbear', '1', '45148', '0', '32706', '32840', '12', '12', '0', '0', '0', '0', '3', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500237', 'Owlbear', '1', '45148', '0', '32710', '32847', '12', '12', '0', '0', '0', '0', '3', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500238', 'Owlbear', '1', '45148', '0', '32716', '32852', '12', '12', '0', '0', '0', '0', '3', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500239', 'Owlbear', '1', '45148', '0', '32716', '32860', '12', '12', '0', '0', '0', '0', '3', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500240', 'Owlbear', '1', '45148', '0', '32723', '32867', '12', '12', '0', '0', '0', '0', '3', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500241', 'Owlbear', '1', '45148', '0', '32728', '32872', '12', '12', '0', '0', '0', '0', '2', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500242', 'Owlbear', '1', '45148', '0', '32734', '32877', '12', '12', '0', '0', '0', '0', '3', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500243', 'Orc', '1', '45009', '0', '32736', '32885', '12', '12', '0', '0', '0', '0', '4', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500244', 'Orc', '1', '45009', '0', '32738', '32892', '12', '12', '0', '0', '0', '0', '3', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500245', 'Orc', '1', '45009', '0', '32733', '32897', '12', '12', '0', '0', '0', '0', '5', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500246', 'Orc', '1', '45009', '0', '32734', '32902', '12', '12', '0', '0', '0', '0', '3', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500247', 'Orc', '1', '45009', '0', '32738', '32904', '12', '12', '0', '0', '0', '0', '3', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500248', 'Orc', '1', '45009', '0', '32738', '32910', '12', '12', '0', '0', '0', '0', '4', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500249', 'Orc', '1', '45009', '0', '32738', '32916', '12', '12', '0', '0', '0', '0', '5', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500250', 'Orc', '1', '45009', '0', '32733', '32921', '12', '12', '0', '0', '0', '0', '5', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500251', 'Orc', '1', '45009', '0', '32735', '32927', '12', '12', '0', '0', '0', '0', '5', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500252', 'Orc', '1', '45009', '0', '32728', '32933', '12', '12', '0', '0', '0', '0', '5', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500253', 'Orc', '1', '45009', '0', '32725', '32938', '12', '12', '0', '0', '0', '0', '4', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500254', 'Orc', '1', '45009', '0', '32720', '32944', '12', '12', '0', '0', '0', '0', '5', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500255', 'Skeleton', '1', '45114', '0', '32682', '32939', '12', '12', '0', '0', '0', '0', '6', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500256', 'Orc', '1', '45009', '0', '32716', '32950', '12', '12', '0', '0', '0', '0', '5', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500257', 'Orc', '1', '45009', '0', '32718', '32956', '12', '12', '0', '0', '0', '0', '3', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500258', 'Orc', '1', '45009', '0', '32718', '32960', '12', '12', '0', '0', '0', '0', '4', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500259', 'Orc', '1', '45009', '0', '32717', '32966', '12', '12', '0', '0', '0', '0', '6', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500260', 'Orc', '1', '45009', '0', '32719', '32972', '12', '12', '0', '0', '0', '0', '3', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500261', 'Skeleton', '1', '45114', '0', '32667', '32977', '12', '12', '0', '0', '0', '0', '4', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500262', 'Orc', '1', '45009', '0', '32721', '32984', '12', '12', '0', '0', '0', '0', '3', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500263', 'Orc', '1', '45009', '0', '32726', '32994', '12', '12', '0', '0', '0', '0', '3', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500264', 'Skeleton', '1', '45114', '0', '32678', '33002', '12', '12', '0', '0', '0', '0', '4', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500265', 'Skeleton', '1', '45114', '0', '32662', '32930', '12', '12', '0', '0', '0', '0', '0', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500266', 'Skeleton', '1', '45114', '0', '32645', '32902', '12', '12', '0', '0', '0', '0', '7', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500267', 'Skeleton', '1', '45114', '0', '32637', '32890', '12', '12', '0', '0', '0', '0', '0', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500268', 'Skeleton', '1', '45114', '0', '32660', '32863', '12', '12', '0', '0', '0', '0', '7', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500269', 'Skeleton', '1', '45114', '0', '32689', '32839', '12', '12', '0', '0', '0', '0', '1', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500270', 'Skeleton', '1', '45114', '0', '32691', '32793', '12', '12', '0', '0', '0', '0', '0', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500271', 'Skeleton', '1', '45114', '0', '32651', '32807', '12', '12', '0', '0', '0', '0', '5', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500272', 'Skeleton', '1', '45114', '0', '32627', '32815', '12', '12', '0', '0', '0', '0', '5', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500273', 'Skeleton', '1', '45114', '0', '32624', '32807', '12', '12', '0', '0', '0', '0', '1', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500274', 'Orc', '1', '45009', '0', '32777', '32996', '12', '12', '0', '0', '0', '0', '4', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500275', 'Orc', '1', '45009', '0', '32782', '32998', '12', '12', '0', '0', '0', '0', '1', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500276', 'Orc', '1', '45009', '0', '32791', '32988', '12', '12', '0', '0', '0', '0', '0', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500277', 'Orc', '1', '45009', '0', '32776', '32991', '12', '12', '0', '0', '0', '0', '6', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500278', 'Orc', '1', '45009', '0', '32769', '32987', '12', '12', '0', '0', '0', '0', '7', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500279', 'Orc', '1', '45009', '0', '32761', '32982', '12', '12', '0', '0', '0', '0', '7', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500280', 'Orc', '1', '45009', '0', '32754', '32978', '12', '12', '0', '0', '0', '0', '6', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500281', 'Orc', '1', '45009', '0', '32747', '32974', '12', '12', '0', '0', '0', '0', '7', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500282', 'Orc', '1', '45009', '0', '32738', '32967', '12', '12', '0', '0', '0', '0', '7', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500283', 'Orc', '1', '45009', '0', '32732', '32959', '12', '12', '0', '0', '0', '0', '7', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500284', 'Orc', '1', '45009', '0', '32725', '32954', '12', '12', '0', '0', '0', '0', '7', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500285', 'Orc', '1', '45009', '0', '32718', '32948', '12', '12', '0', '0', '0', '0', '0', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500286', 'Orc', '1', '45009', '0', '32713', '32941', '12', '12', '0', '0', '0', '0', '7', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500287', 'Orc Fighter', '1', '45082', '0', '32658', '32796', '12', '12', '0', '0', '0', '0', '7', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500288', 'Orc Fighter', '1', '45082', '0', '32643', '32837', '12', '12', '0', '0', '0', '0', '3', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500289', 'Orc Fighter', '1', '45082', '0', '32675', '32866', '12', '12', '0', '0', '0', '0', '2', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500290', 'Orc Fighter', '1', '45082', '0', '32675', '32881', '12', '12', '0', '0', '0', '0', '5', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500291', 'Orc Fighter', '1', '45082', '0', '32658', '32903', '12', '12', '0', '0', '0', '0', '4', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500292', 'Orc Fighter', '1', '45082', '0', '32661', '32926', '12', '12', '0', '0', '0', '0', '3', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500293', 'Orc Fighter', '1', '45082', '0', '32681', '32944', '12', '12', '0', '0', '0', '0', '3', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500294', 'Orc Fighter', '1', '45082', '0', '32693', '32957', '12', '12', '0', '0', '0', '0', '3', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500295', 'Orc', '1', '45009', '0', '32685', '32921', '12', '12', '0', '0', '0', '0', '7', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500296', 'Orc', '1', '45009', '0', '32677', '32924', '12', '12', '0', '0', '0', '0', '5', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500297', 'Orc', '1', '45009', '0', '32671', '32921', '12', '12', '0', '0', '0', '0', '7', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500298', 'Orc', '1', '45009', '0', '32664', '32916', '12', '12', '0', '0', '0', '0', '6', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500299', 'Orc Fighter', '1', '45082', '0', '32677', '32985', '12', '12', '0', '0', '0', '0', '5', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500300', 'Orc', '1', '45009', '0', '32658', '32911', '12', '12', '0', '0', '0', '0', '7', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500301', 'Orc', '1', '45009', '0', '32650', '32908', '12', '12', '0', '0', '0', '0', '5', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500302', 'Orc Fighter', '1', '45082', '0', '32664', '32999', '12', '12', '0', '0', '0', '0', '4', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500303', 'Orc', '1', '45009', '0', '32643', '32914', '12', '12', '0', '0', '0', '0', '5', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500304', 'Orc', '1', '45009', '0', '32638', '32918', '12', '12', '0', '0', '0', '0', '5', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500305', 'Orc', '1', '45009', '0', '32638', '32924', '12', '12', '0', '0', '0', '0', '4', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500306', 'Orc', '1', '45009', '0', '32642', '32930', '12', '12', '0', '0', '0', '0', '4', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500307', 'Orc', '1', '45009', '0', '32649', '32933', '12', '12', '0', '0', '0', '0', '3', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500308', 'Orc', '1', '45009', '0', '32654', '32939', '12', '12', '0', '0', '0', '0', '3', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500309', 'Orc', '1', '45009', '0', '32651', '32946', '12', '12', '0', '0', '0', '0', '4', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500310', 'Orc', '1', '45009', '0', '32645', '32953', '12', '12', '0', '0', '0', '0', '5', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500311', 'Orc', '1', '45009', '0', '32639', '32958', '12', '12', '0', '0', '0', '0', '5', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500312', 'Orc', '1', '45009', '0', '32645', '32964', '12', '12', '0', '0', '0', '0', '2', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500313', 'Orc', '1', '45009', '0', '32648', '32969', '12', '12', '0', '0', '0', '0', '3', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500314', 'Orc', '1', '45009', '0', '32649', '32975', '12', '12', '0', '0', '0', '0', '3', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500315', 'Orc', '1', '45009', '0', '32655', '32979', '12', '12', '0', '0', '0', '0', '3', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500316', 'Orc', '1', '45009', '0', '32659', '32983', '12', '12', '0', '0', '0', '0', '3', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500317', 'Orc', '1', '45009', '0', '32662', '32987', '12', '12', '0', '0', '0', '0', '3', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500318', 'Orc', '1', '45009', '0', '32665', '32991', '12', '12', '0', '0', '0', '0', '3', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500319', 'Orc', '1', '45009', '0', '32668', '32995', '12', '12', '0', '0', '0', '0', '3', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500320', 'Orc', '1', '45009', '0', '32672', '33000', '12', '12', '0', '0', '0', '0', '4', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500321', 'Orc', '1', '45009', '0', '32672', '33000', '12', '12', '0', '0', '0', '0', '4', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500322', 'Orc', '1', '45009', '0', '32683', '32995', '12', '12', '0', '0', '0', '0', '1', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500323', 'Orc', '1', '45009', '0', '32689', '32995', '12', '12', '0', '0', '0', '0', '1', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500324', 'Orc', '1', '45009', '0', '32694', '32994', '12', '12', '0', '0', '0', '0', '3', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500325', 'Orc', '1', '45009', '0', '32698', '32999', '12', '12', '0', '0', '0', '0', '4', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500326', 'Orc', '1', '45009', '0', '32701', '33002', '12', '12', '0', '0', '0', '0', '3', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500327', 'Orc', '1', '45009', '0', '32707', '32997', '12', '12', '0', '0', '0', '0', '2', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500328', 'Orc', '1', '45009', '0', '32713', '32992', '12', '12', '0', '0', '0', '0', '1', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500329', 'Orc', '1', '45009', '0', '32717', '32995', '12', '12', '0', '0', '0', '0', '3', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500330', 'Orc', '1', '45009', '0', '32722', '32994', '12', '12', '0', '0', '0', '0', '1', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500331', 'Orc', '1', '45009', '0', '32725', '32993', '12', '12', '0', '0', '0', '0', '3', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500332', 'Orc', '1', '45009', '0', '32732', '32993', '12', '12', '0', '0', '0', '0', '3', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500333', 'Orc', '1', '45009', '0', '32741', '32985', '12', '12', '0', '0', '0', '0', '1', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500334', 'Orc', '1', '45009', '0', '32748', '32989', '12', '12', '0', '0', '0', '0', '2', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500335', 'Orc', '1', '45009', '0', '32753', '32985', '12', '12', '0', '0', '0', '0', '1', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500336', 'Orc', '1', '45009', '0', '32762', '32978', '12', '12', '0', '0', '0', '0', '1', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500337', 'Orc', '1', '45009', '0', '32763', '32973', '12', '12', '0', '0', '0', '0', '0', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500338', 'Orc', '1', '45009', '0', '32767', '32967', '12', '12', '0', '0', '0', '0', '1', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500339', 'Orc', '1', '45009', '0', '32765', '32963', '12', '12', '0', '0', '0', '0', '7', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500340', 'Orc', '1', '45009', '0', '32770', '32956', '12', '12', '0', '0', '0', '0', '1', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500341', 'Orc Zombie', '1', '45109', '0', '32753', '32862', '12', '12', '0', '0', '0', '0', '2', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500342', 'Orc Zombie', '1', '45109', '0', '32726', '32855', '12', '12', '0', '0', '0', '0', '7', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500343', 'Orc Zombie', '1', '45109', '0', '32707', '32836', '12', '12', '0', '0', '0', '0', '7', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500344', 'Orc Zombie', '1', '45109', '0', '32682', '32836', '12', '12', '0', '0', '0', '0', '5', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500345', 'Orc Zombie', '1', '45109', '0', '32663', '32837', '12', '12', '0', '0', '0', '0', '5', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500346', 'Orc Zombie', '1', '45109', '0', '32648', '32851', '12', '12', '0', '0', '0', '0', '4', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500347', 'Orc Zombie', '1', '45109', '0', '32638', '32870', '12', '12', '0', '0', '0', '0', '4', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500348', 'Orc Zombie', '1', '45109', '0', '32643', '32893', '12', '12', '0', '0', '0', '0', '3', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500349', 'Orc Zombie', '1', '45109', '0', '32670', '32924', '12', '12', '0', '0', '0', '0', '3', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500350', 'Orc Zombie', '1', '45109', '0', '32680', '32938', '12', '12', '0', '0', '0', '0', '4', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500351', 'Orc Zombie', '1', '45109', '0', '32695', '32949', '12', '12', '0', '0', '0', '0', '2', '20', '20', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500352', 'Kobold', '1', '45016', '0', '33127', '33412', '12', '12', '0', '0', '0', '0', '2', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500353', 'Kobold', '1', '45016', '0', '33104', '33431', '12', '12', '0', '0', '0', '0', '5', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500354', 'Kobold', '1', '45016', '0', '33061', '33439', '12', '12', '0', '0', '0', '0', '6', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500355', 'Kobold', '1', '45016', '0', '33033', '33431', '12', '12', '0', '0', '0', '0', '6', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500356', 'Kobold', '1', '45016', '0', '33014', '33403', '12', '12', '0', '0', '0', '0', '7', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500357', 'Kobold', '1', '45016', '0', '32985', '33363', '12', '12', '0', '0', '0', '0', '7', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500358', 'Kobold', '1', '45016', '0', '33069', '33348', '12', '12', '0', '0', '0', '0', '1', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500359', 'Fire Egg', '1', '45206', '0', '33637', '32421', '12', '12', '0', '0', '0', '0', '7', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500360', 'Fire Egg', '1', '45206', '0', '33648', '32419', '12', '12', '0', '0', '0', '0', '1', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500361', 'Fire Egg', '1', '45206', '0', '33614', '32390', '12', '12', '0', '0', '0', '0', '3', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500362', 'Fire Egg', '1', '45206', '0', '33610', '32382', '12', '12', '0', '0', '0', '0', '0', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500363', 'Fire Egg', '1', '45206', '0', '33613', '32384', '12', '12', '0', '0', '0', '0', '2', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500364', 'Fire Egg', '1', '45206', '0', '33640', '32384', '12', '12', '0', '0', '0', '0', '1', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500365', 'Fire Egg', '1', '45206', '0', '33659', '32375', '12', '12', '0', '0', '0', '0', '1', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500366', 'Fire Egg', '1', '45206', '0', '33662', '32372', '12', '12', '0', '0', '0', '0', '1', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500367', 'Fire Egg', '1', '45206', '0', '33656', '32362', '12', '12', '0', '0', '0', '0', '5', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500368', 'Fire Egg', '1', '45206', '0', '33653', '32365', '12', '12', '0', '0', '0', '0', '5', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500369', 'Fire Egg', '1', '45206', '0', '33644', '32360', '12', '12', '0', '0', '0', '0', '7', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500370', 'Fire Egg', '1', '45206', '0', '33642', '32356', '12', '12', '0', '0', '0', '0', '0', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500371', 'Fire Egg', '1', '45206', '0', '33657', '32343', '12', '12', '0', '0', '0', '0', '2', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500372', 'Fire Egg', '1', '45206', '0', '33659', '32341', '12', '12', '0', '0', '0', '0', '1', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500373', 'Fire Egg', '1', '45206', '0', '33660', '32334', '12', '12', '0', '0', '0', '0', '1', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500374', 'Fire Egg', '1', '45206', '0', '33662', '32332', '12', '12', '0', '0', '0', '0', '1', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500375', 'Fire Egg', '1', '45206', '0', '33653', '32317', '12', '12', '0', '0', '0', '0', '7', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500376', 'Fire Egg', '1', '45206', '0', '33652', '32311', '12', '12', '0', '0', '0', '0', '0', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500377', 'Fire Egg', '1', '45206', '0', '33658', '32297', '12', '12', '0', '0', '0', '0', '2', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500378', 'Fire Egg', '1', '45206', '0', '33660', '32299', '12', '12', '0', '0', '0', '0', '3', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500379', 'Fire Egg', '1', '45206', '0', '33675', '32309', '12', '12', '0', '0', '0', '0', '3', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500380', 'Fire Egg', '1', '45206', '0', '33678', '32316', '12', '12', '0', '0', '0', '0', '3', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500381', 'Fire Egg', '1', '45206', '0', '33704', '32328', '12', '12', '0', '0', '0', '0', '1', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500382', 'Fire Egg', '1', '45206', '0', '33705', '32327', '12', '12', '0', '0', '0', '0', '1', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500383', 'Fire Egg', '1', '45206', '0', '33705', '32309', '12', '12', '0', '0', '0', '0', '0', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500384', 'Fire Egg', '1', '45206', '0', '33713', '32302', '12', '12', '0', '0', '0', '0', '1', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500385', 'Fire Egg', '1', '45206', '0', '33714', '32292', '12', '12', '0', '0', '0', '0', '7', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500386', 'Fire Egg', '1', '45206', '0', '33717', '32284', '12', '12', '0', '0', '0', '0', '1', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500388', 'Tiger', '1', '45313', '0', '32807', '32837', '12', '12', '0', '0', '0', '0', '3', '20', '20', '480', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500389', 'Tiger', '1', '45313', '0', '32729', '32853', '12', '12', '0', '0', '0', '0', '4', '20', '20', '480', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500390', 'Dark Elf Thief', '1', '45272', '0', '32976', '32921', '12', '12', '0', '0', '0', '0', '6', '20', '20', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500391', 'Dark Elf Thief', '1', '45272', '0', '32973', '32913', '12', '12', '0', '0', '0', '0', '7', '20', '20', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500392', 'Dark Elf Thief', '1', '45272', '0', '32978', '32911', '12', '12', '0', '0', '0', '0', '2', '20', '20', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500393', 'Dark Elf Thief', '1', '45272', '0', '32985', '32911', '12', '12', '0', '0', '0', '0', '2', '20', '20', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500394', 'Dark Elf Thief', '1', '45272', '0', '32990', '32909', '12', '12', '0', '0', '0', '0', '7', '20', '20', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500395', 'Dark Elf Thief', '1', '45272', '0', '32978', '32904', '12', '12', '0', '0', '0', '0', '7', '20', '20', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500399', 'Orc', '1', '45017', '0', '33088', '32265', '12', '12', '0', '0', '0', '0', '6', '20', '30', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500400', 'Orc', '1', '45017', '0', '33104', '32283', '12', '12', '0', '0', '0', '0', '3', '20', '30', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500401', 'Fungus', '2', '45029', '0', '33133', '32224', '6', '6', '0', '0', '0', '0', '0', '20', '30', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500398', 'Orc', '1', '45017', '0', '33114', '32253', '12', '12', '0', '0', '0', '0', '2', '20', '30', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500397', 'Orc', '1', '45017', '0', '33095', '32235', '12', '12', '0', '0', '0', '0', '7', '20', '30', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500402', 'Fungus', '2', '45029', '0', '33125', '32222', '6', '6', '0', '0', '0', '0', '7', '20', '30', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist_boss` VALUES ('1', 'Sea Dancer', 'Caspa', '1', '45228', '0', '32804', '32869', '0', '0', '32576', '32640', '32895', '32959', '5', '63', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('2', 'Tiger', 'Unknown', '1', '45313', '0', '32767', '32899', '0', '0', '32660', '32791', '32875', '33007', '0', '480', '0', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('3', 'Bandit', 'DK', '1', '45317', '0', '32770', '32730', '0', '0', '32704', '32704', '32831', '32831', '5', '56', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('4', 'Crocodile', 'Caspa', '1', '45338', '0', '33503', '33205', '0', '0', '33485', '33185', '33522', '33227', '0', '4', '1', '100', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('5', 'Bandit Leader', 'etc1', '1', '45370', '0', '33878', '32749', '10', '10', '0', '0', '0', '0', '0', '4', '0', '100', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('6', 'Bandit Leader', 'etc1', '1', '45370', '0', '33859', '32766', '10', '10', '0', '0', '0', '0', '0', '4', '0', '100', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('7', 'Bandit Leader', 'etc1', '1', '45370', '0', '33781', '32681', '10', '10', '0', '0', '0', '0', '0', '4', '0', '100', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('8', 'Bandit Leader', 'etc1', '1', '45370', '0', '33841', '32778', '10', '10', '0', '0', '0', '0', '0', '4', '0', '100', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('9', 'Bandit Leader', 'etc1', '1', '45370', '0', '33820', '32664', '10', '10', '0', '0', '0', '0', '0', '4', '0', '100', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('10', 'Necromancer', 'etc1', '1', '45456', '0', '32727', '32751', '0', '0', '32704', '32704', '32831', '32831', '0', '12', '0', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('11', 'Spirit of Drake', 'Oren', '1', '45458', '0', '32764', '32837', '0', '0', '0', '0', '0', '0', '5', '443', '0', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('12', 'Sema', 'Caspa', '1', '45464', '0', '32764', '32770', '3', '3', '0', '0', '0', '0', '0', '9', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('13', 'Sema', 'Caspa', '1', '45464', '0', '32741', '32742', '3', '3', '0', '0', '0', '0', '0', '10', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('14', 'Baltuzar', 'Caspa', '1', '45473', '0', '32763', '32769', '3', '3', '0', '0', '0', '0', '0', '9', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('15', 'Baltuzar', 'Caspa', '1', '45473', '0', '32740', '32741', '3', '3', '0', '0', '0', '0', '0', '10', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('16', 'Caspa', 'Caspa', '1', '45488', '0', '32739', '32740', '3', '3', '0', '0', '0', '0', '0', '10', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('17', 'Caspa', 'Caspa', '1', '45488', '0', '32762', '32768', '3', '3', '0', '0', '0', '0', '0', '9', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('18', 'Kuman', 'etc1', '1', '45492', '0', '32767', '32899', '0', '0', '32660', '32791', '32875', '33007', '0', '480', '0', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('19', 'Merkyor', 'Caspa', '1', '45497', '0', '32738', '32739', '3', '3', '0', '0', '0', '0', '0', '10', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('20', 'Merkyor', 'Caspa', '1', '45497', '0', '32761', '32767', '3', '3', '0', '0', '0', '0', '0', '9', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('21', 'Zenith Queen', 'Oren', '1', '45513', '0', '32798', '32798', '0', '0', '32704', '32704', '32895', '32895', '6', '110', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('22', 'Ifrit', '1Drake', '1', '45516', '0', '33644', '32269', '0', '0', '33635', '32232', '33659', '32300', '0', '4', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('23', 'Ifrit', '1Drake', '1', '45516', '0', '33672', '32311', '0', '0', '33655', '32288', '33690', '32335', '0', '4', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('24', 'Ifrit', '1Drake', '1', '45516', '0', '33719', '32269', '0', '0', '33697', '32237', '33740', '32283', '0', '4', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('25', 'Ifrit', '1Drake', '1', '45516', '0', '33737', '32281', '0', '0', '33723', '32270', '33765', '32329', '0', '4', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('26', 'Drake', '2Drake', '2', '45529', '0', '33406', '32412', '0', '0', '33398', '32403', '33410', '32415', '5', '4', '1', '100', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('27', 'Drake', '1Drake', '1', '45529', '0', '33355', '32353', '0', '0', '33339', '32348', '33354', '32363', '5', '4', '1', '100', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('28', 'Drake', '1Drake', '1', '45529', '0', '33389', '32336', '0', '0', '33382', '32330', '33397', '32345', '5', '4', '1', '100', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('29', 'Drake', '2Drake', '2', '45529', '0', '33365', '32384', '0', '0', '33356', '32375', '33371', '32390', '5', '4', '1', '100', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('30', 'Mambo Rabbit', 'Caspa', '1', '45535', '0', '32799', '32839', '0', '0', '32723', '32787', '32875', '32892', '0', '430', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('31', 'Dark Elder', 'Caspa', '1', '45545', '0', '33385', '32349', '1', '1', '0', '0', '0', '0', '0', '4', '1', '100', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('32', 'Dark Elder', 'Caspa', '1', '45545', '0', '33271', '32394', '1', '1', '0', '0', '0', '0', '0', '4', '1', '100', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('33', 'Doppelganger', 'Aden', '1', '45546', '0', '33709', '33307', '0', '0', '33698', '33281', '33745', '33328', '0', '4', '1', '100', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('34', 'Seer', 'Oren', '1', '45547', '0', '32800', '32799', '0', '0', '32722', '32722', '32877', '32877', '0', '120', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('35', 'Baphomet', 'Oren', '1', '45573', '0', '32706', '32846', '0', '0', '32704', '32842', '32711', '32849', '5', '2', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('36', 'Beleth', 'Oren', '1', '45583', '0', '32768', '32768', '0', '0', '32758', '32758', '32777', '32777', '0', '24', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('37', 'Greater Minotaur', 'Aden', '1', '45584', '0', '32652', '32726', '0', '0', '32640', '32713', '32676', '32761', '0', '70', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('38', 'Kurtz', 'Night', '1', '45600', '0', '32635', '32959', '0', '0', '32621', '32951', '32640', '32971', '0', '0', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('39', 'Death Knight', 'DK', '1', '45601', '0', '32799', '32804', '0', '0', '32704', '32704', '32831', '32831', '0', '11', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('40', 'Death Knight', 'DK', '1', '45601', '0', '32793', '32784', '0', '0', '32704', '32704', '32831', '32831', '0', '12', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('42', 'Vampire', 'Oren', '1', '45606', '0', '32799', '32799', '0', '0', '32722', '32722', '32877', '32877', '6', '130', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('43', 'Ice Queen', 'Oren', '1', '45609', '0', '32767', '32900', '0', '0', '32763', '32886', '32783', '32910', '5', '74', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('44', 'Ancient Giant', 'Aden', '1', '45610', '0', '34230', '33369', '0', '0', '34238', '33383', '34254', '33406', '0', '4', '1', '100', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('45', 'Giant Ant Queen', 'DK', '1', '45614', '0', '32730', '32797', '0', '0', '32726', '32793', '32744', '32814', '4', '51', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('46', 'Phoenix', 'DK', '1', '45617', '0', '33723', '32255', '0', '0', '33718', '32240', '33725', '32268', '0', '4', '1', '100', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('47', 'Knight Vald', 'Oren', '1', '45618', '0', '32724', '32822', '0', '0', '32576', '32768', '32767', '32959', '5', '180', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('48', 'Chaos', 'DK', '1', '45625', '0', '32734', '32895', '6', '6', '0', '0', '0', '0', '0', '522', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('49', 'Unicorn', 'Caspa', '3', '45640', '0', '32740', '32735', '0', '0', '32728', '32717', '32752', '32753', '4', '303', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('50', 'Great Spirit of Earth', 'Caspa', '3', '45642', '0', '32727', '32749', '0', '0', '32685', '32701', '32770', '32798', '4', '303', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('51', 'Great Spirit of Water', 'Caspa', '3', '45643', '0', '32762', '32616', '0', '0', '32717', '32593', '32808', '32640', '4', '303', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('52', 'Great Spirit of Wind', 'Caspa', '3', '45644', '0', '32624', '32807', '0', '0', '32588', '32739', '32660', '32876', '4', '303', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('53', 'Great Spirit of Fire', 'Caspa', '3', '45645', '0', '32833', '32778', '0', '0', '32798', '32738', '32869', '32818', '4', '303', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('54', 'Abyss Master', 'Oren', '1', '45646', '0', '32824', '32815', '0', '0', '32704', '32768', '32959', '33023', '0', '430', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('55', 'Demon', 'Oren', '1', '45649', '0', '32698', '32823', '0', '0', '32640', '32768', '32767', '32895', '0', '82', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('56', 'Zombie Lord', 'Oren', '1', '45650', '0', '32800', '32797', '0', '0', '32722', '32722', '32877', '32877', '0', '140', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('57', 'Dread King Baranka', 'Aden', '1', '45651', '0', '32915', '32896', '0', '0', '32964', '32881', '32998', '32915', '0', '320', '0', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('58', 'Cougar', 'Oren', '1', '45652', '0', '32794', '32800', '0', '0', '32722', '32722', '32877', '32877', '5', '150', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('59', 'Mummy Lord', 'Oren', '1', '45653', '0', '32721', '32822', '0', '0', '32576', '32768', '32767', '32959', '3', '160', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('60', 'Iris', 'Oren', '1', '45654', '0', '32721', '32822', '0', '0', '32576', '32768', '32767', '32959', '0', '170', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('61', 'Aaarrrggg...', 'Aden', '1', '45671', '0', '32681', '32947', '0', '0', '32678', '32937', '32692', '32948', '5', '243', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('62', 'Lich', 'Oren', '1', '45672', '0', '32716', '32817', '0', '0', '32576', '32768', '32767', '32959', '0', '190', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('63', 'Grim Reaper', 'Oren', '1', '45673', '0', '32784', '32806', '0', '0', '32576', '32768', '32831', '33023', '6', '200', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('64', 'Death', 'DK', '1', '45674', '0', '32746', '32897', '0', '0', '0', '0', '0', '0', '0', '523', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('65', 'Yahee', 'DK', '1', '45675', '0', '32733', '32894', '0', '0', '0', '0', '0', '0', '0', '524', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('66', 'Laia', 'Aden', '1', '45677', '0', '32919', '32893', '0', '0', '32964', '32881', '32998', '32915', '0', '320', '0', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('67', 'Cerenis', 'Aden', '1', '45678', '0', '34088', '33259', '0', '0', '34079', '33250', '34100', '33271', '0', '4', '0', '100', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('68', 'Ken Rauhel', 'Aden', '1', '45680', '0', '34092', '33262', '0', '0', '34079', '33250', '34100', '33271', '0', '4', '0', '100', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('69', 'Lindvior', 'Dragon', '1', '45681', '0', '34041', '33007', '3', '3', '0', '0', '0', '0', '0', '4', '0', '100', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('70', 'Antharas', 'Dragon', '1', '45682', '0', '32697', '32823', '3', '3', '0', '0', '0', '0', '0', '37', '0', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('71', 'Fafurion', 'Dragon', '1', '45683', '0', '32771', '32831', '3', '3', '0', '0', '0', '0', '0', '65', '0', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('72', 'Valakas', 'Dragon', '1', '45684', '0', '32725', '32800', '3', '3', '0', '0', '0', '0', '0', '67', '0', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('73', 'Tarak', 'DK', '1', '45685', '0', '32904', '32801', '0', '0', '32889', '32788', '32916', '32810', '0', '410', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('74', 'Jindo Puppy', 'Unknown', '1', '45711', '0', '32511', '33024', '0', '0', '32276', '32785', '32746', '33263', '0', '440', '0', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('75', 'Jindo Puppy', 'Unknown', '1', '45711', '0', '32767', '32899', '0', '0', '32660', '32791', '32875', '33007', '0', '480', '0', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('76', 'Jindo Puppy', 'Unknown', '1', '45711', '0', '32796', '32863', '0', '0', '32629', '32692', '32964', '32978', '0', '70', '0', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('77', 'Jindo Puppy', 'Unknown', '1', '45711', '0', '32671', '32862', '0', '0', '32527', '32718', '32815', '33007', '0', '69', '0', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('78', 'Jindo Puppy', 'Unknown', '1', '45711', '0', '32522', '33013', '0', '0', '32299', '32787', '32745', '33240', '0', '0', '0', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('79', 'Jindo Puppy', 'Unknown', '1', '45711', '0', '32804', '32734', '0', '0', '32654', '32591', '32955', '32878', '0', '68', '0', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('80', 'Jindo Puppy', 'Unknown', '5', '45711', '0', '33408', '32834', '0', '0', '32528', '32200', '34288', '33519', '0', '4', '0', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('81', 'Great King Squid', 'Unknown', '1', '45734', '0', '32781', '32799', '0', '0', '32704', '32768', '33215', '33279', '0', '558', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('82', 'Chief Mermaid', 'Unknown', '1', '45735', '0', '32781', '32799', '0', '0', '32704', '32768', '33215', '33279', '0', '558', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('83', 'Varlok', 'DK', '1', '45752', '0', '32726', '32832', '0', '0', '0', '0', '0', '0', '0', '603', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('84', 'Polluted Unkown', 'Unknown', '1', '45772', '0', '32729', '32792', '0', '0', '32729', '32792', '32809', '32930', '5', '244', '1', '100', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('85', 'Spirit', 'Unknown', '1', '45795', '0', '32841', '32913', '0', '0', '32841', '32913', '32880', '32947', '5', '244', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('86', 'Unknown 45801', 'Unknown', '1', '45801', '0', '32778', '32797', '0', '0', '0', '0', '0', '0', '5', '255', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('87', 'Unknown 45802', 'Unknown', '1', '45802', '0', '32696', '32793', '0', '0', '32640', '32768', '32895', '33023', '5', '256', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('88', 'Unknown 45829', 'Unknown', '1', '45829', '0', '32675', '32860', '0', '0', '0', '0', '0', '0', '0', '254', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('89', 'Elindaire', 'Caspa', '1', '81081', '0', '32727', '32808', '0', '0', '32640', '32768', '32767', '32895', '5', '60', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('90', 'Elindaire', 'Caspa', '1', '81081', '0', '32727', '32808', '0', '0', '32640', '32768', '32767', '32895', '5', '61', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_door` VALUES ('1', 'Hidden Valley', '2083', '32681', '32843', '69', '0', '32681', '32844', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('2', 'Hidden Valley', '2089', '32700', '32848', '69', '1', '32699', '32848', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('3', 'Hidden Valley', '2114', '32649', '32844', '69', '0', '32649', '32845', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('4', 'Hidden Valley', '2128', '32690', '32885', '69', '1', '32689', '32885', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('100', 'Talking Island', '2301', '32563', '33085', '0', '0', '32563', '33086', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('101', 'Talking Island', '2346', '32597', '32934', '0', '0', '32597', '32935', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('102', 'Talking Island', '2304', '32586', '32919', '0', '0', '32586', '32920', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('103', 'Talking Island', '2305', '32578', '32918', '0', '0', '32578', '32919', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('104', 'Talking Island', '2303', '32562', '32947', '0', '0', '32562', '32948', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('105', 'Talking Island', '2306', '32559', '32968', '0', '0', '32559', '32969', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('106', 'Talking Island', '2345', '32568', '32969', '0', '0', '32568', '32970', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('107', 'Talking Island', '2344', '32591', '32955', '0', '1', '32590', '32955', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('300', 'Windawood', '447', '32630', '33197', '4', '0', '32630', '33198', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('301', 'Windawood', '448', '32623', '33222', '4', '0', '32623', '33223', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('302', 'Windawood', '446', '32591', '33191', '4', '1', '32590', '33191', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('303', 'Windawood', '845', '32620', '33171', '4', '0', '32620', '33172', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('304', 'Windawood', '446', '32642', '33185', '4', '1', '32641', '33185', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('305', 'Windawood', '444', '33069', '32759', '4', '1', '33068', '32759', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('306', 'Windawood', '446', '33069', '32748', '4', '1', '33068', '32748', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('307', 'Windawood', '447', '33063', '32736', '4', '0', '33063', '32737', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('308', 'Windawood', '442', '33050', '32741', '4', '0', '33050', '32742', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('309', 'Windawood', '446', '33034', '32790', '4', '1', '33033', '32790', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('310', 'Windawood', '447', '33047', '32802', '4', '0', '33047', '32803', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('400', 'Orcish Forest', '766', '32725', '32439', '4', '1', '32724', '32439', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('401', 'Orcish Forest', '768', '32754', '32447', '4', '1', '32753', '32447', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('402', 'Orcish Forest', '766', '32758', '32434', '4', '1', '32757', '32434', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('403', 'Orcish Forest', '767', '32744', '32429', '4', '0', '32744', '32430', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('405', 'Orcish Forest', '767', '32730', '32471', '4', '0', '32730', '32472', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('406', 'Orcish Forest', '766', '32738', '32460', '4', '1', '32737', '32460', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('407', 'Orcish Forest', '1341', '33431', '32792', '4', '0', '33431', '32793', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('500', 'Oren', '2161', '34061', '32293', '4', '0', '34061', '32294', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('501', 'Oren', '2162', '34064', '32297', '4', '1', '34063', '32297', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('502', 'Oren', '2164', '34067', '32299', '4', '0', '34067', '32300', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('503', 'Oren', '2163', '34066', '32299', '4', '0', '34066', '32300', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('504', 'Oren', '2190', '34035', '32264', '4', '0', '34035', '32265', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('505', 'Oren', '2190', '34021', '32264', '4', '1', '34020', '32264', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('506', 'Oren', '2191', '34052', '32230', '4', '1', '34051', '32230', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('507', 'Oren', '2191', '34067', '32235', '4', '1', '34066', '32235', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('508', 'Oren', '2160', '34060', '32259', '4', '0', '34060', '32260', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('509', 'Oren', '2162', '34065', '32263', '4', '1', '34064', '32263', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('510', 'Oren', '2191', '34077', '32277', '4', '1', '34076', '32277', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('511', 'Oren', '2191', '34034', '32257', '4', '1', '34033', '32257', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('600', 'Heine', '1689', '33596', '33278', '4', '0', '33596', '33279', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('601', 'Heine', '1690', '33603', '33283', '4', '0', '33603', '33284', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('602', 'Heine', '1688', '33591', '33275', '4', '1', '33590', '33275', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('603', 'Heine', '1744', '33618', '33285', '4', '1', '33617', '33285', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('604', 'Heine', '1743', '33622', '33291', '4', '0', '33622', '33292', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('605', 'Heine', '1743', '33630', '33287', '4', '0', '33630', '33288', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('606', 'Heine', '1750', '33634', '33289', '4', '1', '33633', '33289', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('607', 'Heine', '1750', '33640', '33296', '4', '1', '33639', '33296', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('608', 'Heine', '1741', '33583', '33306', '4', '1', '33582', '33306', '0', '50617');
INSERT INTO `spawnlist_door` VALUES ('609', 'Heine', '1740', '33584', '33314', '4', '0', '33584', '33315', '0', '50617');
INSERT INTO `spawnlist_door` VALUES ('610', 'Heine', '1737', '33569', '33297', '4', '1', '33568', '33297', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('611', 'Heine', '1665', '33581', '33339', '4', '0', '33581', '33340', '0', '50614');
INSERT INTO `spawnlist_door` VALUES ('612', 'Heine', '1691', '33604', '33365', '4', '0', '33604', '33366', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('613', 'Heine', '1692', '33592', '33395', '4', '1', '33591', '33395', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('614', 'Heine', '1737', '33595', '33410', '4', '1', '33594', '33410', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('615', 'Heine', '1664', '33619', '33381', '4', '1', '33618', '33381', '0', '50618');
INSERT INTO `spawnlist_door` VALUES ('616', 'Heine', '1735', '33628', '33403', '4', '0', '33628', '33404', '0', '50616');
INSERT INTO `spawnlist_door` VALUES ('617', 'Heine', '1736', '33634', '33412', '4', '0', '33634', '33413', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('618', 'Heine', '1664', '33632', '33248', '4', '1', '33631', '33248', '0', '50621');
INSERT INTO `spawnlist_door` VALUES ('619', 'Heine', '1734', '33626', '33226', '4', '1', '33625', '33226', '0', '50619');
INSERT INTO `spawnlist_door` VALUES ('620', 'Heine', '1735', '33630', '33231', '4', '0', '33630', '33232', '0', '50619');
INSERT INTO `spawnlist_door` VALUES ('621', 'Heine', '1736', '33638', '33220', '4', '0', '33638', '33221', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('622', 'Heine', '1691', '33630', '33210', '4', '0', '33630', '33211', '0', '50623');
INSERT INTO `spawnlist_door` VALUES ('623', 'Heine', '1700', '33616', '33213', '4', '0', '33616', '33214', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('624', 'Heine', '1738', '33609', '33218', '4', '0', '33609', '33219', '0', '50620');
INSERT INTO `spawnlist_door` VALUES ('625', 'Heine', '1739', '33601', '33217', '4', '1', '33600', '33217', '0', '50620');
INSERT INTO `spawnlist_door` VALUES ('626', 'Heine', '1691', '33584', '33214', '4', '0', '33584', '33215', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('627', 'Heine', '1692', '33568', '33215', '4', '1', '33567', '33215', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('628', 'Heine', '1750', '33570', '33230', '4', '1', '33569', '33230', '0', '50624');
INSERT INTO `spawnlist_door` VALUES ('629', 'Heine', '1751', '33575', '33234', '4', '0', '33575', '33235', '0', '50624');
INSERT INTO `spawnlist_door` VALUES ('630', 'Heine', '1737', '33565', '33257', '4', '1', '33564', '33257', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('631', 'Heine', '1736', '33562', '33270', '4', '0', '33562', '33271', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('632', 'Heine', '1692', '33561', '33279', '4', '1', '33560', '33279', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('633', 'Heine', '1665', '33625', '33446', '4', '0', '33625', '33447', '0', '50615');
INSERT INTO `spawnlist_door` VALUES ('634', 'Heine', '1691', '33619', '33266', '4', '0', '33619', '33267', '0', '50622');
INSERT INTO `spawnlist_door` VALUES ('635', 'Heine', '1734', '33624', '33398', '4', '1', '33623', '33398', '0', '50616');
INSERT INTO `spawnlist_door` VALUES ('700', 'Giran', '1330', '33449', '32822', '4', '1', '33448', '32822', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('701', 'Giran', '1331', '33433', '32760', '4', '0', '33433', '32761', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('702', 'Giran', '1329', '33433', '32749', '4', '0', '33433', '32750', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('703', 'Giran', '1351', '33451', '32805', '4', '1', '33450', '32805', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('704', 'Giran', '1352', '33453', '32808', '4', '0', '33453', '32809', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('705', 'Giran', '1334', '33397', '32823', '4', '0', '33397', '32824', '0', '50537');
INSERT INTO `spawnlist_door` VALUES ('706', 'Giran', '1332', '33398', '32813', '4', '1', '33397', '32813', '0', '50517');
INSERT INTO `spawnlist_door` VALUES ('707', 'Giran', '1348', '33392', '32806', '4', '0', '33392', '32807', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('708', 'Giran', '1333', '33382', '32805', '4', '0', '33382', '32806', '0', '50535');
INSERT INTO `spawnlist_door` VALUES ('709', 'Giran', '1334', '33376', '32829', '4', '0', '33376', '32830', '0', '50521');
INSERT INTO `spawnlist_door` VALUES ('710', 'Giran', '1334', '33399', '32861', '4', '0', '33399', '32862', '0', '50502');
INSERT INTO `spawnlist_door` VALUES ('711', 'Giran', '1342', '33424', '32787', '4', '1', '33423', '32787', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('712', 'Giran', '1331', '33380', '32735', '4', '0', '33380', '32736', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('713', 'Giran', '1334', '33375', '32874', '4', '0', '33375', '32875', '0', '50522');
INSERT INTO `spawnlist_door` VALUES ('714', 'Giran', '1333', '33358', '32790', '4', '0', '33358', '32791', '0', '50503');
INSERT INTO `spawnlist_door` VALUES ('715', 'Giran', '1332', '33371', '32792', '4', '1', '33370', '32792', '0', '50508');
INSERT INTO `spawnlist_door` VALUES ('716', 'Giran', '1334', '33351', '32776', '4', '0', '33351', '32777', '0', '50501');
INSERT INTO `spawnlist_door` VALUES ('717', 'Giran', '1334', '33366', '32762', '4', '0', '33366', '32763', '0', '50511');
INSERT INTO `spawnlist_door` VALUES ('718', 'Giran', '1373', '33365', '32754', '4', '0', '33365', '32755', '0', '50511');
INSERT INTO `spawnlist_door` VALUES ('719', 'Giran', '1332', '33383', '32776', '4', '1', '33382', '32776', '0', '50514');
INSERT INTO `spawnlist_door` VALUES ('720', 'Giran', '1332', '33390', '32851', '4', '1', '33389', '32851', '0', '50530');
INSERT INTO `spawnlist_door` VALUES ('721', 'Giran', '1373', '33374', '32866', '4', '0', '33374', '32867', '0', '50522');
INSERT INTO `spawnlist_door` VALUES ('722', 'Giran', '1334', '33404', '32740', '4', '0', '33404', '32741', '0', '50513');
INSERT INTO `spawnlist_door` VALUES ('723', 'Giran', '1373', '33403', '32732', '4', '0', '33403', '32733', '0', '50513');
INSERT INTO `spawnlist_door` VALUES ('724', 'Giran', '1371', '33414', '32719', '4', '1', '33413', '32719', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('725', 'Giran', '1327', '33419', '32709', '4', '1', '33418', '32709', '0', '50520');
INSERT INTO `spawnlist_door` VALUES ('726', 'Giran', '1334', '33424', '32719', '4', '0', '33424', '32720', '0', '50528');
INSERT INTO `spawnlist_door` VALUES ('727', 'Giran', '1334', '33375', '32699', '4', '0', '33375', '32700', '0', '50543');
INSERT INTO `spawnlist_door` VALUES ('728', 'Giran', '1373', '33374', '32691', '4', '0', '33374', '32692', '0', '50543');
INSERT INTO `spawnlist_door` VALUES ('729', 'Giran', '1332', '33345', '32675', '4', '1', '33344', '32675', '0', '50504');
INSERT INTO `spawnlist_door` VALUES ('730', 'Giran', '1334', '33341', '32662', '4', '0', '33341', '32663', '0', '50510');
INSERT INTO `spawnlist_door` VALUES ('731', 'Giran', '1334', '33341', '32711', '4', '0', '33341', '32712', '0', '50525');
INSERT INTO `spawnlist_door` VALUES ('732', 'Giran', '1332', '33484', '32794', '4', '1', '33483', '32794', '0', '50544');
INSERT INTO `spawnlist_door` VALUES ('733', 'Giran', '1332', '33498', '32804', '4', '1', '33497', '32804', '0', '50524');
INSERT INTO `spawnlist_door` VALUES ('734', 'Giran', '1371', '33481', '32815', '4', '1', '33480', '32815', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('735', 'Giran', '1334', '33459', '32841', '4', '0', '33459', '32842', '0', '50507');
INSERT INTO `spawnlist_door` VALUES ('736', 'Giran', '1332', '33436', '32844', '4', '1', '33435', '32844', '0', '50539');
INSERT INTO `spawnlist_door` VALUES ('737', 'Giran', '1332', '33414', '32853', '4', '1', '33413', '32853', '0', '50506');
INSERT INTO `spawnlist_door` VALUES ('738', 'Giran', '1348', '33381', '32767', '4', '0', '33381', '32768', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('739', 'Giran', '1332', '33404', '32757', '4', '1', '33403', '32757', '0', '50542');
INSERT INTO `spawnlist_door` VALUES ('740', 'Giran', '1332', '33354', '32734', '4', '1', '33353', '32734', '0', '50534');
INSERT INTO `spawnlist_door` VALUES ('741', 'Giran', '1373', '33340', '32703', '4', '0', '33340', '32704', '0', '50525');
INSERT INTO `spawnlist_door` VALUES ('742', 'Giran', '1334', '33366', '32715', '4', '0', '33366', '32716', '0', '50540');
INSERT INTO `spawnlist_door` VALUES ('743', 'Giran', '1330', '33377', '32730', '4', '1', '33376', '32730', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('744', 'Giran', '1332', '33402', '32794', '4', '1', '33401', '32794', '0', '50532');
INSERT INTO `spawnlist_door` VALUES ('745', 'Giran', '1347', '33416', '32866', '4', '0', '33416', '32867', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('746', 'Giran', '1373', '33427', '32864', '4', '0', '33427', '32865', '0', '50541');
INSERT INTO `spawnlist_door` VALUES ('747', 'Giran', '1371', '33362', '32823', '4', '1', '33361', '32823', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('748', 'Giran', '1348', '33427', '32733', '4', '0', '33427', '32734', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('749', 'Giran', '1334', '33424', '32692', '4', '0', '33424', '32693', '0', '50509');
INSERT INTO `spawnlist_door` VALUES ('750', 'Giran', '1373', '33423', '32684', '4', '0', '33423', '32685', '0', '50509');
INSERT INTO `spawnlist_door` VALUES ('751', 'Giran', '1371', '33411', '32687', '4', '1', '33410', '32687', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('752', 'Giran', '1334', '33409', '32676', '4', '0', '33409', '32677', '0', '50536');
INSERT INTO `spawnlist_door` VALUES ('753', 'Giran', '1331', '33395', '32676', '4', '0', '33395', '32677', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('754', 'Giran', '1330', '33392', '32671', '4', '1', '33391', '32671', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('755', 'Giran', '1334', '33395', '32657', '4', '0', '33395', '32658', '0', '50519');
INSERT INTO `spawnlist_door` VALUES ('756', 'Giran', '1373', '33394', '32649', '4', '0', '33394', '32650', '0', '50519');
INSERT INTO `spawnlist_door` VALUES ('757', 'Giran', '1333', '33384', '32656', '4', '0', '33384', '32657', '0', '50505');
INSERT INTO `spawnlist_door` VALUES ('758', 'Giran', '1332', '33373', '32657', '4', '1', '33372', '32657', '0', '50527');
INSERT INTO `spawnlist_door` VALUES ('759', 'Giran', '1334', '33360', '32671', '4', '0', '33360', '32672', '0', '50512');
INSERT INTO `spawnlist_door` VALUES ('760', 'Giran', '1332', '33362', '32684', '4', '1', '33361', '32684', '0', '50526');
INSERT INTO `spawnlist_door` VALUES ('761', 'Giran', '1332', '33427', '32659', '4', '1', '33426', '32659', '0', '50545');
INSERT INTO `spawnlist_door` VALUES ('762', 'Giran', '1347', '33420', '32652', '4', '0', '33420', '32653', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('763', 'Giran', '1334', '33439', '32667', '4', '0', '33439', '32668', '0', '50531');
INSERT INTO `spawnlist_door` VALUES ('764', 'Giran', '1334', '33457', '32655', '4', '0', '33457', '32656', '0', '50529');
INSERT INTO `spawnlist_door` VALUES ('765', 'Giran', '1373', '33456', '32647', '4', '0', '33456', '32648', '0', '50529');
INSERT INTO `spawnlist_door` VALUES ('766', 'Giran', '1332', '33476', '32668', '4', '1', '33475', '32668', '0', '50516');
INSERT INTO `spawnlist_door` VALUES ('767', 'Giran', '1347', '33472', '32659', '4', '0', '33472', '32660', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('768', 'Giran', '1334', '33471', '32680', '4', '0', '33471', '32681', '0', '50538');
INSERT INTO `spawnlist_door` VALUES ('769', 'Giran', '1332', '33458', '32700', '4', '1', '33457', '32700', '0', '50518');
INSERT INTO `spawnlist_door` VALUES ('770', 'Giran', '1347', '33468', '32722', '4', '0', '33468', '32723', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('771', 'Giran', '1332', '33448', '32732', '4', '1', '33447', '32732', '0', '50533');
INSERT INTO `spawnlist_door` VALUES ('772', 'Giran', '1347', '33458', '32773', '4', '0', '33458', '32774', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('773', 'Giran', '1371', '33469', '32790', '4', '1', '33468', '32790', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('774', 'Giran', '1331', '33452', '32827', '4', '0', '33452', '32828', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('775', 'Giran', '1350', '33472', '32829', '4', '0', '33472', '32830', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('776', 'Giran', '1330', '33430', '32755', '4', '1', '33429', '32755', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('777', 'Giran', '1373', '33375', '32821', '4', '0', '33375', '32822', '0', '50521');
INSERT INTO `spawnlist_door` VALUES ('778', 'Giran', '1329', '33380', '32724', '4', '0', '33380', '32725', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('779', 'Giran', '1332', '33380', '32715', '4', '1', '33379', '32715', '0', '50515');
INSERT INTO `spawnlist_door` VALUES ('780', 'Giran', '1329', '33395', '32665', '4', '0', '33395', '32666', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('781', 'Giran', '1350', '33423', '32670', '4', '0', '33423', '32671', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('782', 'Giran', '1350', '33407', '32706', '4', '0', '33407', '32707', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('783', 'Giran', '1349', '33394', '32695', '4', '0', '33394', '32696', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('784', 'Giran', '1348', '33357', '32712', '4', '0', '33357', '32713', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('785', 'Giran', '1350', '33367', '32730', '4', '0', '33367', '32731', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('786', 'Giran', '1347', '33390', '32738', '4', '0', '33390', '32739', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('787', 'Giran', '1347', '33405', '32769', '4', '0', '33405', '32770', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('788', 'Giran', '1347', '33388', '32788', '4', '0', '33388', '32789', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('789', 'Giran', '1371', '33374', '32847', '4', '1', '33373', '32847', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('790', 'Giran', '1348', '33399', '32852', '4', '0', '33399', '32853', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('791', 'Giran', '1347', '33410', '32844', '4', '0', '33410', '32845', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('792', 'Giran', '1350', '33394', '32695', '4', '0', '33394', '32696', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('793', 'Giran', '1349', '33495', '32816', '4', '0', '33495', '32817', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('794', 'Giran', '1348', '33493', '32796', '4', '0', '33493', '32797', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('795', 'Giran', '1350', '33461', '32794', '4', '0', '33461', '32795', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('796', 'Giran', '1334', '33443', '32871', '4', '0', '33443', '32872', '0', '50523');
INSERT INTO `spawnlist_door` VALUES ('797', 'Giran', '1334', '33428', '32872', '4', '0', '33428', '32873', '0', '50541');
INSERT INTO `spawnlist_door` VALUES ('798', 'Giran', '1349', '33393', '32874', '4', '0', '33393', '32875', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('799', 'Giran', '1349', '33370', '32807', '4', '0', '33370', '32808', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('800', 'Giran', '1349', '33355', '32766', '4', '0', '33355', '32767', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('801', 'Giran', '1350', '33355', '32657', '4', '0', '33355', '32658', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('802', 'Giran', '1349', '33445', '32658', '4', '0', '33445', '32659', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('803', 'Giran', '1350', '33451', '32676', '4', '0', '33451', '32677', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('804', 'Giran', '1371', '33462', '32678', '4', '1', '33461', '32678', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('805', 'Giran', '1350', '33471', '32695', '4', '0', '33471', '32696', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('806', 'Giran', '1349', '33458', '32724', '4', '0', '33458', '32725', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('807', 'Giran', '1349', '33415', '32790', '4', '0', '33415', '32791', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1000', 'Aden', '2581', '34029', '33112', '4', '0', '34029', '33113', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1001', 'Aden', '2558', '34043', '33111', '4', '0', '34043', '33112', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1002', 'Aden', '2556', '34041', '33108', '4', '1', '34040', '33108', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1003', 'Aden', '2556', '34041', '33106', '4', '1', '34040', '33106', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1004', 'Aden', '2580', '34051', '33109', '4', '1', '34050', '33109', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1005', 'Aden', '2582', '34055', '33105', '4', '0', '34055', '33106', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1006', 'Aden', '2581', '34055', '33112', '4', '0', '34055', '33113', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1007', 'Aden', '2583', '34060', '33109', '4', '1', '34059', '33109', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1008', 'Aden', '2580', '34096', '33110', '4', '1', '34095', '33110', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1009', 'Aden', '2582', '34099', '33105', '4', '0', '34099', '33106', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1010', 'Aden', '2583', '34103', '33110', '4', '1', '34102', '33110', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1011', 'Aden', '2603', '34150', '33110', '4', '0', '34150', '33111', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1012', 'Aden', '2583', '33904', '33318', '4', '1', '33903', '33318', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1013', 'Aden', '2581', '34135', '33132', '4', '0', '34135', '33133', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1014', 'Aden', '2582', '34135', '33124', '4', '0', '34135', '33125', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1015', 'Aden', '2578', '34127', '33124', '4', '0', '34127', '33125', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1016', 'Aden', '2585', '34127', '33132', '4', '0', '34127', '33133', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1017', 'Aden', '2580', '34105', '33130', '4', '1', '34104', '33130', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1018', 'Aden', '2583', '34113', '33130', '4', '1', '34112', '33130', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1019', 'Aden', '2583', '34044', '33129', '4', '1', '34043', '33129', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1020', 'Aden', '2581', '34040', '33133', '4', '0', '34040', '33134', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1021', 'Aden', '2630', '34030', '33133', '4', '0', '34030', '33134', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1022', 'Aden', '2558', '34019', '33130', '4', '0', '34019', '33131', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1023', 'Aden', '2580', '33914', '33315', '4', '1', '33913', '33315', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1024', 'Aden', '2580', '33900', '33193', '4', '1', '33899', '33193', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1025', 'Aden', '2582', '33904', '33189', '4', '0', '33904', '33190', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1026', 'Aden', '2581', '33904', '33196', '4', '0', '33904', '33197', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1027', 'Aden', '2583', '33909', '33193', '4', '1', '33908', '33193', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1028', 'Aden', '2581', '33916', '33196', '4', '0', '33916', '33197', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1029', 'Aden', '2582', '33916', '33188', '4', '0', '33916', '33189', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1030', 'Aden', '2580', '33930', '33179', '4', '1', '33929', '33179', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1031', 'Aden', '2581', '33934', '33182', '4', '0', '33934', '33183', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1032', 'Aden', '2582', '33934', '33175', '4', '0', '33634', '33175', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1033', 'Aden', '2580', '33930', '33179', '4', '1', '33929', '33179', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1034', 'Aden', '2583', '33939', '33179', '4', '1', '33938', '33179', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1035', 'Aden', '2610', '34023', '33151', '4', '1', '34022', '33151', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1036', 'Aden', '2583', '34020', '33152', '4', '1', '34019', '33152', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1037', 'Aden', '2581', '34015', '33155', '4', '0', '34015', '33156', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1038', 'Aden', '2580', '34011', '33152', '4', '1', '34010', '33152', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1039', 'Aden', '2582', '34015', '33148', '4', '0', '34015', '33149', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1040', 'Aden', '2558', '34021', '33130', '4', '0', '34021', '33131', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1041', 'Aden', '2583', '33911', '33230', '4', '1', '33910', '33230', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1042', 'Aden', '2556', '34016', '33128', '4', '1', '34015', '33128', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1043', 'Aden', '2582', '34038', '33149', '4', '0', '34038', '33150', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1044', 'Aden', '2580', '34035', '33154', '4', '1', '34034', '33154', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1045', 'Aden', '2583', '34042', '33154', '4', '1', '34041', '33154', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1046', 'Aden', '2600', '33895', '33219', '4', '1', '33894', '33219', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1047', 'Aden', '2600', '33895', '33216', '4', '1', '33894', '33216', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1048', 'Aden', '2580', '33902', '33230', '4', '1', '33901', '33230', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1049', 'Aden', '2581', '33906', '33233', '4', '0', '33906', '33234', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1050', 'Aden', '2582', '33906', '33226', '4', '0', '33906', '33227', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1051', 'Aden', '2580', '33915', '33230', '4', '1', '33914', '33230', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1052', 'Aden', '2583', '33923', '33230', '4', '1', '33922', '33230', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1053', 'Aden', '2556', '33911', '33209', '4', '1', '33910', '33209', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1054', 'Aden', '2558', '33914', '33211', '4', '0', '33914', '33212', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1055', 'Aden', '2558', '33916', '33211', '4', '0', '33916', '33212', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1056', 'Aden', '2581', '33932', '33214', '4', '0', '33932', '33215', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1057', 'Aden', '2583', '33936', '33210', '4', '1', '33935', '33210', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1058', 'Aden', '2582', '33932', '33205', '4', '0', '33932', '33206', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1059', 'Aden', '2582', '33940', '33207', '4', '0', '33940', '33208', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1060', 'Aden', '2581', '33940', '33215', '4', '0', '33940', '33216', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1061', 'Aden', '2581', '33949', '33214', '4', '0', '33949', '33215', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1062', 'Aden', '2582', '33949', '33206', '4', '0', '33949', '33207', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1063', 'Aden', '2580', '33973', '33206', '4', '1', '33972', '33206', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1064', 'Aden', '2580', '33973', '33214', '4', '1', '33972', '33214', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1065', 'Aden', '2580', '33974', '33224', '4', '1', '33973', '33224', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1066', 'Aden', '2581', '33977', '33226', '4', '0', '33977', '33227', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1067', 'Aden', '2581', '33979', '33226', '4', '0', '33979', '33227', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1068', 'Aden', '2580', '33910', '33291', '4', '1', '33909', '33291', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1069', 'Aden', '2580', '33932', '33293', '4', '1', '33931', '33293', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1070', 'Aden', '2580', '33932', '33291', '4', '1', '33931', '33291', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1071', 'Aden', '2581', '33934', '33296', '4', '0', '33934', '33297', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1072', 'Aden', '2581', '33921', '33296', '4', '0', '33921', '33297', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1073', 'Aden', '2582', '33921', '33288', '4', '0', '33921', '33289', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1074', 'Aden', '2581', '33918', '33318', '4', '0', '33918', '33319', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1075', 'Aden', '2582', '33918', '33311', '4', '0', '33918', '33312', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1076', 'Aden', '2582', '33905', '33324', '4', '0', '33905', '33325', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1077', 'Aden', '2581', '33905', '33332', '4', '0', '33905', '33333', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1078', 'Aden', '2575', '33921', '33327', '4', '0', '33921', '33328', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1079', 'Aden', '2583', '33910', '33340', '4', '1', '33909', '33340', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1080', 'Aden', '2580', '33903', '33350', '4', '1', '33902', '33350', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1081', 'Aden', '2583', '33911', '33350', '4', '1', '33910', '33350', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1082', 'Aden', '2583', '33895', '33354', '4', '1', '33894', '33354', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1083', 'Aden', '2582', '33891', '33349', '4', '0', '33891', '33350', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1084', 'Aden', '2605', '33889', '33384', '4', '0', '33889', '33385', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1085', 'Aden', '2606', '33883', '33383', '4', '1', '33882', '33383', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1086', 'Aden', '2606', '33883', '33381', '4', '1', '33882', '33381', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1087', 'Aden', '2556', '33899', '33380', '4', '1', '33898', '33380', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1088', 'Aden', '2558', '33902', '33382', '4', '0', '33902', '33383', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1089', 'Aden', '2628', '33894', '33396', '4', '1', '33893', '33396', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1090', 'Aden', '2629', '33902', '33396', '4', '1', '33901', '33396', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1091', 'Aden', '2582', '33898', '33402', '4', '0', '33898', '33403', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1092', 'Aden', '2583', '33903', '33406', '4', '1', '33902', '33406', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1093', 'Aden', '2583', '33923', '33411', '4', '1', '33922', '33411', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1094', 'Aden', '2582', '33919', '33406', '4', '0', '33919', '33407', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1095', 'Aden', '2580', '33912', '33389', '4', '1', '33911', '33389', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1096', 'Aden', '2575', '33917', '33373', '4', '0', '33917', '33374', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1097', 'Aden', '2580', '33912', '33365', '4', '1', '33911', '33365', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1098', 'Aden', '2583', '33919', '33365', '4', '1', '33918', '33365', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1099', 'Aden', '2581', '33900', '33372', '4', '0', '33900', '33373', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1100', 'Aden', '2582', '33900', '33364', '4', '0', '33900', '33365', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1101', 'Aden', '2583', '33920', '33389', '4', '1', '33919', '33389', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1102', 'Aden', '2582', '33917', '33395', '4', '0', '33917', '33396', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1103', 'Aden', '2630', '33932', '33409', '4', '0', '33932', '33410', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1104', 'Aden', '2631', '33932', '33401', '4', '0', '33932', '33402', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1105', 'Aden', '2589', '33940', '33405', '4', '1', '33939', '33405', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1106', 'Aden', '2628', '33942', '33296', '4', '1', '33941', '33296', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1107', 'Aden', '2629', '33950', '33296', '4', '1', '33949', '33296', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1108', 'Aden', '2581', '33947', '33309', '4', '0', '33947', '33310', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1109', 'Aden', '2582', '33947', '33301', '4', '0', '33947', '33302', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1110', 'Aden', '2591', '33955', '33316', '4', '0', '33955', '33317', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1111', 'Aden', '2610', '33940', '33327', '4', '1', '33939', '33327', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1112', 'Aden', '2610', '33940', '33324', '4', '1', '33939', '33324', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1113', 'Aden', '2580', '33952', '33417', '4', '1', '33951', '33417', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1114', 'Aden', '2582', '33958', '33414', '4', '0', '33958', '33415', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1115', 'Aden', '2580', '33955', '33412', '4', '1', '33954', '33412', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1116', 'Aden', '2574', '33954', '33404', '4', '1', '33953', '33404', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1117', 'Aden', '2583', '33959', '33417', '4', '1', '33958', '33417', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1118', 'Aden', '2581', '33964', '33407', '4', '0', '33964', '33408', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1119', 'Aden', '2582', '33967', '33413', '4', '0', '33967', '33414', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1120', 'Aden', '2582', '33976', '33399', '4', '0', '33976', '33400', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1121', 'Aden', '2581', '33976', '33407', '4', '0', '33976', '33408', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1122', 'Aden', '2582', '33987', '33400', '4', '0', '33987', '33401', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1123', 'Aden', '2583', '33992', '33404', '4', '1', '33991', '33404', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1124', 'Aden', '2628', '34002', '33403', '4', '1', '34001', '33403', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1125', 'Aden', '2629', '34010', '33403', '4', '1', '34009', '33403', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1126', 'Aden', '2574', '34012', '33391', '4', '1', '34011', '33391', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1127', 'Aden', '2629', '34019', '33374', '4', '1', '34018', '33374', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1128', 'Aden', '2597', '34015', '33356', '4', '0', '34015', '33357', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1129', 'Aden', '2599', '34019', '33352', '4', '1', '34018', '33352', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1130', 'Aden', '2598', '34015', '33347', '4', '0', '34015', '33348', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1131', 'Aden', '2596', '34012', '33352', '4', '1', '34011', '33352', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1132', 'Aden', '2580', '34011', '33340', '4', '1', '34010', '33340', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1133', 'Aden', '2583', '34020', '33340', '4', '1', '34019', '33340', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1134', 'Aden', '2582', '34015', '33336', '4', '0', '34015', '33337', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1135', 'Aden', '2582', '33975', '33260', '4', '0', '33975', '33261', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1136', 'Aden', '2580', '33971', '33264', '4', '1', '33970', '33264', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1137', 'Aden', '2583', '33980', '33264', '4', '1', '33979', '33264', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1138', 'Aden', '2628', '33972', '33274', '4', '1', '33971', '33274', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1139', 'Aden', '2629', '33980', '33274', '4', '1', '33979', '33274', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1140', 'Aden', '2581', '33983', '33300', '4', '0', '33983', '33301', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1141', 'Aden', '2581', '33955', '33421', '4', '0', '33955', '33422', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1142', 'Aden', '2628', '34011', '33374', '4', '1', '34010', '33374', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1143', 'Aden', '2579', '34001', '33328', '4', '0', '34001', '33329', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1144', 'Aden', '2578', '34001', '33320', '4', '0', '34001', '33321', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1145', 'Aden', '2580', '33998', '33309', '4', '1', '33997', '33309', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1146', 'Aden', '2583', '34005', '33309', '4', '1', '34004', '33309', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1147', 'Aden', '2582', '34001', '33304', '4', '0', '34001', '33305', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1148', 'Aden', '2581', '33996', '33300', '4', '0', '33996', '33301', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1149', 'Aden', '2580', '33992', '33297', '4', '1', '33991', '33297', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1150', 'Aden', '2582', '33996', '33293', '4', '0', '33996', '33294', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1151', 'Aden', '2575', '33983', '33300', '4', '0', '33983', '33301', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1152', 'Aden', '2630', '33987', '33294', '4', '0', '33987', '33295', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1153', 'Aden', '2631', '33987', '33286', '4', '0', '33987', '33287', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1154', 'Aden', '2583', '33981', '33214', '4', '1', '33980', '33214', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1155', 'Aden', '2580', '33973', '33203', '4', '1', '33972', '33203', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1156', 'Aden', '2558', '33974', '33171', '4', '0', '33974', '33172', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1157', 'Aden', '2556', '33971', '33169', '4', '1', '33970', '33169', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1158', 'Aden', '2606', '34022', '33382', '4', '1', '34021', '33382', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1159', 'Aden', '2606', '34022', '33384', '4', '1', '34021', '33384', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1160', 'Aden', '2608', '34028', '33385', '4', '0', '34028', '33386', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1161', 'Aden', '2588', '34060', '33397', '4', '1', '34059', '33397', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1162', 'Aden', '2589', '34068', '33397', '4', '1', '34067', '33397', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1163', 'Aden', '2591', '34071', '33415', '4', '0', '34071', '33416', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1164', 'Aden', '2590', '34071', '33407', '4', '0', '34071', '33408', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1165', 'Aden', '2581', '34077', '33399', '4', '0', '34077', '33400', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1166', 'Aden', '2582', '34077', '33392', '4', '0', '34077', '33393', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1167', 'Aden', '2583', '34082', '33396', '4', '1', '34081', '33396', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1168', 'Aden', '2610', '34072', '33383', '4', '1', '34071', '33383', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1169', 'Aden', '2610', '34072', '33380', '4', '1', '34071', '33380', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1170', 'Aden', '2581', '34061', '33380', '4', '0', '34061', '33381', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1171', 'Aden', '2580', '34058', '33376', '4', '1', '34057', '33376', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1172', 'Aden', '2583', '34065', '33376', '4', '1', '34064', '33376', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1173', 'Aden', '2582', '34061', '33371', '4', '0', '34061', '33372', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1174', 'Aden', '2580', '34070', '33356', '4', '1', '34069', '33356', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1175', 'Aden', '2581', '34074', '33359', '4', '0', '34074', '33360', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1176', 'Aden', '2583', '34079', '33356', '4', '1', '34078', '33356', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1177', 'Aden', '2582', '34074', '33352', '4', '0', '34074', '33353', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1178', 'Aden', '2591', '34091', '33353', '4', '0', '34091', '33354', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1179', 'Aden', '2590', '34091', '33345', '4', '0', '34091', '33346', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1180', 'Aden', '2634', '34100', '33354', '4', '0', '34100', '33355', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1181', 'Aden', '2635', '34100', '33346', '4', '0', '34100', '33347', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1182', 'Aden', '2591', '34109', '33352', '4', '0', '34109', '33353', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1183', 'Aden', '2590', '34109', '33344', '4', '0', '34109', '33345', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1184', 'Aden', '2590', '34109', '33364', '4', '0', '34109', '33365', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1185', 'Aden', '2591', '34109', '33372', '4', '0', '34109', '33373', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1186', 'Aden', '2581', '34098', '33373', '4', '0', '34098', '33374', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1187', 'Aden', '2582', '34098', '33366', '4', '0', '34098', '33367', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1188', 'Aden', '2580', '34094', '33370', '4', '1', '34093', '33370', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1189', 'Aden', '2582', '34095', '33387', '4', '0', '34095', '33388', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1190', 'Aden', '2581', '34095', '33394', '4', '0', '34095', '33395', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1191', 'Aden', '2583', '34100', '33391', '4', '1', '34099', '33391', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1192', 'Aden', '2580', '34091', '33391', '4', '1', '34090', '33391', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1193', 'Aden', '2634', '34106', '33409', '4', '0', '34106', '33410', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1194', 'Aden', '2635', '34106', '33401', '4', '0', '34106', '33402', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1195', 'Aden', '2581', '34107', '33396', '4', '0', '34107', '33397', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1196', 'Aden', '2583', '34111', '33392', '4', '1', '34110', '33392', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1197', 'Aden', '2582', '34074', '33352', '4', '0', '34074', '33353', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1198', 'Aden', '2580', '34104', '33392', '4', '1', '34103', '33392', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1199', 'Aden', '2582', '34107', '33387', '4', '0', '34107', '33388', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1200', 'Aden', '2580', '34124', '33401', '4', '1', '34123', '33401', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1201', 'Aden', '2583', '34131', '33401', '4', '1', '34130', '33401', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1202', 'Aden', '2581', '34128', '33394', '4', '0', '34128', '33395', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1203', 'Aden', '2580', '34124', '33391', '4', '1', '34123', '33391', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1204', 'Aden', '2582', '34128', '33387', '4', '0', '34128', '33388', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1205', 'Aden', '2581', '34127', '33372', '4', '0', '34127', '33373', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1206', 'Aden', '2583', '34131', '33368', '4', '1', '34130', '33368', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1207', 'Aden', '2580', '34124', '33368', '4', '1', '34123', '33368', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1208', 'Aden', '2582', '34127', '33363', '4', '0', '34127', '33364', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1209', 'Aden', '2580', '34124', '33354', '4', '1', '34123', '33354', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1210', 'Aden', '2583', '34132', '33354', '4', '1', '34131', '33354', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1211', 'Aden', '2580', '34136', '33364', '4', '1', '34135', '33364', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1212', 'Aden', '2580', '34136', '33361', '4', '1', '34135', '33361', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1213', 'Aden', '2580', '34131', '33418', '4', '1', '34130', '33418', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1214', 'Aden', '2581', '34139', '33418', '4', '1', '34138', '33418', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1215', 'Aden', '2581', '34158', '33404', '4', '0', '34158', '33405', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1216', 'Aden', '2580', '34155', '33400', '4', '1', '34154', '33400', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1217', 'Aden', '2583', '34162', '33400', '4', '1', '34161', '33400', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1218', 'Aden', '2582', '34158', '33395', '4', '0', '34158', '33396', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1219', 'Aden', '2608', '34143', '33398', '4', '0', '34143', '33399', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1220', 'Aden', '2591', '34147', '33373', '4', '0', '34147', '33374', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1221', 'Aden', '2590', '34147', '33365', '4', '0', '34147', '33366', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1222', 'Aden', '2581', '34155', '33171', '4', '0', '34155', '33172', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1223', 'Aden', '2582', '34155', '33163', '4', '0', '34155', '33164', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1224', 'Aden', '2583', '34148', '33167', '4', '1', '34147', '33167', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1225', 'Aden', '2580', '34140', '33167', '4', '1', '34139', '33167', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1226', 'Aden', '2581', '34144', '33146', '4', '0', '34144', '33147', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1227', 'Aden', '2583', '34149', '33143', '4', '1', '34148', '33143', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1228', 'Aden', '2582', '34144', '33139', '4', '0', '34144', '33140', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1229', 'Aden', '2581', '34157', '33145', '4', '0', '34157', '33146', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1230', 'Aden', '2583', '34161', '33141', '4', '1', '34160', '33141', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1231', 'Aden', '2582', '34157', '33136', '4', '0', '34157', '33137', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1232', 'Aden', '2581', '34144', '33146', '4', '0', '34144', '33147', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1233', 'Aden', '2580', '34140', '33143', '4', '1', '34139', '33143', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1234', 'Aden', '2582', '34144', '33139', '4', '0', '34144', '33140', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1235', 'Aden', '2580', '34118', '33163', '4', '1', '34117', '33163', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1236', 'Aden', '2583', '34127', '33163', '4', '1', '34126', '33163', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1237', 'Aden', '2582', '34122', '33159', '4', '0', '34122', '33160', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1238', 'Aden', '2581', '34105', '33170', '4', '0', '34105', '33171', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1239', 'Aden', '2583', '34109', '33166', '4', '1', '34108', '33166', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1240', 'Aden', '2582', '34105', '33161', '4', '0', '34105', '33162', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1241', 'Aden', '2580', '34102', '33166', '4', '1', '34101', '33166', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1242', 'Aden', '2600', '34105', '33119', '4', '1', '34104', '33119', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1243', 'Aden', '2581', '34099', '33114', '4', '0', '34099', '33115', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1244', 'Aden', '2578', '34029', '33104', '4', '0', '34029', '33105', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1245', 'Aden', '2631', '34030', '33125', '4', '0', '34030', '33126', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1246', 'Aden', '2581', '33992', '33198', '4', '0', '33992', '33199', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1247', 'Aden', '2581', '33990', '33198', '4', '0', '33990', '33199', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1248', 'Aden', '2580', '33989', '33193', '4', '1', '33988', '33193', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1249', 'Aden', '2558', '33904', '33382', '4', '0', '33904', '33383', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1250', 'Aden', '2558', '33976', '33171', '4', '0', '33976', '33172', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1251', 'Aden', '2608', '34146', '33398', '4', '0', '34146', '33399', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1252', 'Aden', '2610', '34023', '33154', '4', '1', '34022', '33154', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1253', 'Aden', '2580', '33936', '33192', '4', '1', '33935', '33192', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1254', 'Aden', '2580', '33936', '33194', '4', '1', '33935', '33194', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1255', 'Aden', '2581', '33942', '33195', '4', '0', '33942', '33196', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1256', 'Aden', '2600', '34105', '33122', '4', '1', '34104', '33122', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1257', 'Aden', '2558', '34123', '33151', '4', '0', '34123', '33152', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1258', 'Aden', '2558', '34125', '33151', '4', '0', '34125', '33152', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1259', 'Aden', '2556', '34120', '33149', '4', '1', '34119', '33149', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1260', 'Aden', '2603', '34106', '33155', '4', '0', '34106', '33156', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1261', 'Aden', '2603', '34104', '33155', '4', '0', '34104', '33156', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1262', 'Aden', '2582', '34129', '33110', '4', '0', '34129', '33111', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1263', 'Aden', '2580', '33896', '33318', '4', '1', '33897', '33318', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1264', 'Aden', '2581', '34077', '33373', '4', '0', '34077', '33374', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1265', 'Aden', '2582', '34077', '33365', '4', '0', '34077', '33366', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1266', 'Aden', '2580', '34154', '33141', '4', '1', '34153', '33141', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1267', 'Aden', '2583', '34001', '33297', '4', '1', '34000', '33297', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1268', 'Aden', '2589', '33956', '33324', '4', '0', '33956', '33325', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('2000', 'Kent Castle', '339', '33170', '32759', '4', '0', '33170', '32760', '0', '70656');
INSERT INTO `spawnlist_door` VALUES ('2001', 'Kent Castle', '339', '33171', '32759', '4', '0', '33171', '32760', '0', '70656');
INSERT INTO `spawnlist_door` VALUES ('2002', 'Windwood Castle', '339', '32677', '33392', '4', '0', '32677', '33393', '0', '70778');
INSERT INTO `spawnlist_door` VALUES ('2003', 'Windwood Castle', '339', '32678', '33392', '4', '0', '32678', '33393', '0', '70778');
INSERT INTO `spawnlist_door` VALUES ('2004', 'Giran Castle', '1336', '33631', '32660', '4', '0', '33631', '32661', '0', '70817');
INSERT INTO `spawnlist_door` VALUES ('2005', 'Giran Castle', '1336', '33632', '32660', '4', '0', '33632', '32661', '0', '70817');
INSERT INTO `spawnlist_door` VALUES ('2006', 'Heine Castle', '1336', '33522', '33385', '4', '0', '33522', '33386', '0', '70863');
INSERT INTO `spawnlist_door` VALUES ('2007', 'Heine Castle', '1336', '33523', '33385', '4', '0', '33523', '33386', '0', '70863');
INSERT INTO `spawnlist_door` VALUES ('2008', 'Dwarf Castle', '443', '32845', '32812', '66', '1', '32844', '32812', '0', '70995');
INSERT INTO `spawnlist_door` VALUES ('2009', 'Dwarf Castle', '443', '32845', '32813', '66', '1', '32844', '32813', '0', '70995');
INSERT INTO `spawnlist_door` VALUES ('2010', 'Aden Castle', '1336', '34090', '33203', '4', '0', '34090', '33204', '0', '70996');
INSERT INTO `spawnlist_door` VALUES ('2011', 'Aden Castle', '1336', '34091', '33203', '4', '0', '34091', '33204', '0', '70996');
INSERT INTO `spawnlist_npc` VALUES ('50001', 'Novice Teleporter', '1', '50004', '32651', '32848', '0', '0', '4', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('50002', 'Novice Teleporter', '1', '50004', '32731', '32884', '0', '0', '5', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('50003', 'Novice Teleporter', '1', '50004', '32743', '32795', '0', '0', '6', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('50004', 'Novice Teleporter', '1', '50004', '32676', '32846', '0', '0', '6', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('50005', 'Novice Teleporter', '1', '50004', '32725', '32809', '0', '0', '6', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('50006', 'Novice Teleporter', '1', '50004', '32741', '32819', '0', '0', '6', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('50007', 'Novice Teleporter', '1', '50004', '32728', '32872', '0', '0', '6', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('50008', 'Novice Teleporter', '1', '50004', '32706', '32881', '0', '0', '6', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('50009', 'Novice Teleporter', '1', '50004', '32663', '32884', '0', '0', '4', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('50010', 'Novice Teleporter', '1', '50010', '32758', '32765', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('50011', 'Novice Teleporter', '1', '50010', '32798', '32783', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('50012', 'Novice Teleporter', '1', '50010', '32828', '32762', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('50013', 'Novice Teleporter', '1', '50010', '32828', '32741', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('50014', 'Novice Teleporter', '1', '50010', '32827', '32726', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('50015', 'Novice Teleporter', '1', '50010', '32728', '32751', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('50016', 'Drist', '1', '50055', '33087', '33388', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50017', 'Matt', '1', '50056', '33080', '33385', '0', '0', '7', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50018', 'Trey', '1', '50054', '32640', '33204', '0', '0', '7', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50019', 'Stevie', '1', '50024', '32611', '32732', '0', '0', '1', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50020', 'Lucas', '1', '50015', '32583', '32922', '0', '0', '4', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('50021', 'Stanley', '1', '50020', '33050', '32783', '0', '0', '7', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50022', 'Riol', '1', '50066', '33613', '33257', '0', '0', '7', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50023', 'Sirius', '1', '50044', '33964', '33252', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50024', 'Elleris', '1', '50046', '33933', '33352', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50025', 'Kinin', '1', '50608', '34109', '33350', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50026', 'Kirius', '1', '50051', '34063', '32278', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50027', 'Leslie', '1', '50039', '33709', '32499', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50028', 'Wilma', '1', '50036', '33437', '32795', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50029', 'Daniel', '1', '50079', '32659', '32524', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50030', 'Paul', '1', '50080', '32657', '32540', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50031', 'Ribian', '0', '50065', '33054', '32348', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50032', 'Coco', '1', '50006', '32680', '32811', '0', '0', '6', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('50034', 'Illdrath', '1', '50003', '32688', '32871', '0', '0', '4', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('50035', 'Barnia', '1', '50001', '32697', '32852', '0', '0', '6', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('50036', 'Market Teleporter', '0', '50060', '33077', '33383', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50037', 'Market Teleporter', '0', '50060', '33095', '33358', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50038', 'Market Teleporter', '0', '50027', '32621', '32773', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50039', 'Market Teleporter', '0', '50027', '32624', '32803', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50040', 'Market Teleporter', '0', '50027', '32606', '32731', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50041', 'Market Teleporter', '0', '50050', '34061', '32305', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50042', 'Market Teleporter', '0', '50050', '34062', '32273', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50043', 'Market Teleporter', '0', '50034', '33438', '32809', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50044', 'Market Teleporter', '0', '50034', '33510', '32766', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50045', 'Esmeralda', '1', '50007', '32721', '32885', '0', '0', '4', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('50046', 'Market Teleporter', '1', '50026', '33077', '33383', '0', '0', '5', '0', '340', '0');
INSERT INTO `spawnlist_npc` VALUES ('50047', 'Market Teleporter', '1', '50026', '33095', '33358', '0', '0', '5', '0', '340', '0');
INSERT INTO `spawnlist_npc` VALUES ('50048', 'Market Teleporter', '1', '50026', '32621', '32773', '0', '0', '5', '0', '340', '0');
INSERT INTO `spawnlist_npc` VALUES ('50049', 'Market Teleporter', '1', '50026', '32621', '32773', '0', '0', '5', '0', '340', '0');
INSERT INTO `spawnlist_npc` VALUES ('50050', 'Market Teleporter', '1', '50059', '32624', '32803', '0', '0', '5', '0', '370', '0');
INSERT INTO `spawnlist_npc` VALUES ('50051', 'Market Teleporter', '1', '50059', '34061', '32305', '0', '0', '4', '0', '370', '0');
INSERT INTO `spawnlist_npc` VALUES ('50052', 'Market Teleporter', '1', '50049', '32624', '32803', '0', '0', '5', '0', '360', '0');
INSERT INTO `spawnlist_npc` VALUES ('50053', 'Market Teleporter', '1', '50049', '34061', '32305', '0', '0', '4', '0', '360', '0');
INSERT INTO `spawnlist_npc` VALUES ('50054', 'Market Teleporter', '1', '50033', '32624', '32803', '0', '0', '5', '0', '350', '0');
INSERT INTO `spawnlist_npc` VALUES ('50055', 'Market Teleporter', '1', '50033', '34061', '32305', '0', '0', '4', '0', '350', '0');
INSERT INTO `spawnlist_npc` VALUES ('50056', 'Market Teleporter', '1', '50033', '32624', '32803', '0', '0', '5', '0', '350', '0');
INSERT INTO `spawnlist_npc` VALUES ('50057', 'Esmeralda', '1', '50007', '32802', '32776', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('50058', 'Ishtar', '1', '50009', '32795', '32773', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('50059', 'Zeno', '0', '50016', '32600', '32914', '0', '0', '5', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('50060', 'Ishiris', '1', '50071', '32623', '32692', '0', '0', '7', '0', '70', '0');
INSERT INTO `spawnlist_npc` VALUES ('50061', 'Lucky', '1', '50070', '32852', '32890', '0', '0', '6', '0', '70', '0');
INSERT INTO `spawnlist_npc` VALUES ('50062', 'Kun', '1', '50011', '32785', '32851', '0', '0', '6', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('50064', 'Eldin', '1', '50045', '33978', '32923', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50065', 'Karen', '1', '50005', '32685', '32847', '0', '0', '4', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('50066', 'Enya', '1', '50069', '32918', '32802', '0', '0', '4', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('50067', 'Deanos', '1', '50068', '32894', '32886', '0', '0', '6', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('50068', 'Bunch', '1', '50057', '33075', '33405', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50069', 'Keith', '1', '50017', '32577', '32957', '0', '0', '6', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('50070', 'Hooper', '1', '50030', '32614', '32773', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50071', 'Harrison', '1', '50022', '33060', '32756', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50072', 'Cobb', '1', '50053', '32626', '33182', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50073', 'Ramuda', '1', '50043', '32793', '32796', '0', '0', '4', '0', '102', '0');
INSERT INTO `spawnlist_npc` VALUES ('50074', 'Dilong', '1', '50014', '32669', '32811', '0', '0', '6', '0', '1', '0');
INSERT INTO `spawnlist_npc` VALUES ('50075', 'Assistant Manager of the Coliseum', '1', '50019', '33140', '33355', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50076', 'Arena Guide', '1', '50013', '32829', '32774', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('50077', 'Assistant Manager of the Coliseum', '1', '50019', '32838', '32782', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('50078', 'Arena Guide', '1', '50008', '32701', '32787', '0', '0', '4', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('50079', 'Assistant Manager of the Coliseum', '1', '50019', '32709', '32770', '0', '0', '4', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('50080', 'Coliseum Manager', '1', '50061', '33055', '33362', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50081', 'Assistant Manager of the Coliseum', '1', '50062', '33055', '33362', '0', '0', '5', '0', '95', '0');
INSERT INTO `spawnlist_npc` VALUES ('50082', 'Coliseum Manager', '1', '50037', '33505', '32762', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('50083', 'Assistant Manager of the Coliseum', '1', '50038', '33497', '32761', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('50084', 'Guard', '1', '50084', '33516', '32739', '0', '0', '6', '0', '88', '0');
INSERT INTO `spawnlist_npc` VALUES ('50085', 'Assistant Manager of the Coliseum', '1', '50019', '33678', '33223', '0', '0', '5', '0', '97', '0');
INSERT INTO `spawnlist_npc` VALUES ('50086', 'Coliseum Manager', '1', '50018', '32551', '33006', '0', '0', '4', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('50087', 'Assistant Manager of the Coliseum', '1', '50019', '32546', '33006', '0', '0', '5', '0', '91', '0');
INSERT INTO `spawnlist_npc` VALUES ('50088', 'Coliseum Manager', '1', '50028', '32573', '32751', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50089', 'Assistant Manager of the Coliseum', '1', '50029', '32573', '32756', '0', '0', '5', '0', '92', '0');
INSERT INTO `spawnlist_npc` VALUES ('50090', 'Assistant Manager of the Coliseum', '1', '50019', '33093', '32750', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50091', 'Assistant Manager of the Coliseum', '1', '50019', '33093', '32750', '0', '0', '5', '0', '93', '0');
INSERT INTO `spawnlist_npc` VALUES ('50092', 'Assistant Manager of the Coliseum', '1', '50019', '32599', '33141', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50093', 'Assistant Manager of the Coliseum', '1', '50019', '32599', '33141', '0', '0', '5', '0', '94', '0');
INSERT INTO `spawnlist_npc` VALUES ('50094', 'Coliseum Manager', '1', '50041', '33746', '32528', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50095', 'Assistant Manager of the Coliseum', '1', '50042', '33746', '32528', '0', '0', '5', '0', '98', '0');
INSERT INTO `spawnlist_npc` VALUES ('50096', 'Ober', '1', '50023', '32751', '32796', '0', '0', '4', '0', '15', '0');
INSERT INTO `spawnlist_npc` VALUES ('50097', 'Castle Gatekeeper', '1', '50021', '32734', '32784', '0', '0', '4', '0', '15', '0');
INSERT INTO `spawnlist_npc` VALUES ('50098', 'Castle Gatekeeper', '1', '50052', '32733', '32784', '0', '0', '4', '0', '29', '0');
INSERT INTO `spawnlist_npc` VALUES ('50099', 'Fortress Gatekeeper', '1', '50063', '32801', '32268', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50100', 'Castle Gatekeeper', '1', '50035', '32733', '32789', '0', '0', '5', '0', '52', '0');
INSERT INTO `spawnlist_npc` VALUES ('50101', 'Castle Gatekeeper', '1', '50067', '32579', '32811', '0', '0', '6', '0', '64', '0');
INSERT INTO `spawnlist_npc` VALUES ('50102', 'Castle Gatekeeper', '1', '50040', '32865', '32803', '0', '0', '6', '0', '66', '0');
INSERT INTO `spawnlist_npc` VALUES ('50103', 'Castle Gatekeeper', '1', '50047', '32891', '32524', '0', '0', '4', '0', '300', '0');
INSERT INTO `spawnlist_npc` VALUES ('50104', 'Fairy Princess', '1', '70853', '32968', '32443', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50105', 'Sepia', '1', '50031', '32713', '32842', '0', '0', '6', '0', '32', '0');
INSERT INTO `spawnlist_npc` VALUES ('50111', 'Niki', '1', '50118', '32749', '32795', '0', '0', '4', '0', '15', '0');
INSERT INTO `spawnlist_npc` VALUES ('50112', 'Consul', '1', '50127', '32754', '32822', '0', '0', '7', '0', '307', '0');
INSERT INTO `spawnlist_npc` VALUES ('50201', 'Assistant Manager of the Coliseum', '1', '50019', '32546', '33006', '0', '0', '6', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('50202', 'Market Guard', '0', '50025', '0', '0', '0', '0', '6', '0', '340', '0');
INSERT INTO `spawnlist_npc` VALUES ('50203', 'Market Guard', '0', '50025', '0', '0', '0', '0', '6', '0', '340', '0');
INSERT INTO `spawnlist_npc` VALUES ('50204', 'Market Guard', '0', '50025', '0', '0', '0', '0', '6', '0', '340', '0');
INSERT INTO `spawnlist_npc` VALUES ('50205', 'Market Guard', '0', '50025', '0', '0', '0', '0', '6', '0', '340', '0');
INSERT INTO `spawnlist_npc` VALUES ('50206', 'Market Guard', '0', '50025', '0', '0', '0', '0', '6', '0', '340', '0');
INSERT INTO `spawnlist_npc` VALUES ('50207', 'Market Guard', '0', '50025', '0', '0', '0', '0', '6', '0', '340', '0');
INSERT INTO `spawnlist_npc` VALUES ('50208', 'Market Guard', '0', '50025', '0', '0', '0', '0', '6', '0', '340', '0');
INSERT INTO `spawnlist_npc` VALUES ('50209', 'Market Guard', '0', '50025', '0', '0', '0', '0', '6', '0', '340', '0');
INSERT INTO `spawnlist_npc` VALUES ('50210', 'Assistant Manager of the Coliseum', '1', '50019', '32573', '32756', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50211', 'Market Guard', '1', '50032', '32703', '32806', '0', '0', '4', '0', '350', '0');
INSERT INTO `spawnlist_npc` VALUES ('50212', 'Market Guard', '1', '50032', '32708', '32806', '0', '0', '4', '0', '350', '0');
INSERT INTO `spawnlist_npc` VALUES ('50213', 'Market Guard', '1', '50032', '32726', '32842', '0', '0', '6', '0', '350', '0');
INSERT INTO `spawnlist_npc` VALUES ('50214', 'Market Guard', '1', '50032', '32671', '32852', '0', '0', '2', '0', '350', '0');
INSERT INTO `spawnlist_npc` VALUES ('50215', 'Market Guard', '1', '50032', '32671', '32847', '0', '0', '2', '0', '350', '0');
INSERT INTO `spawnlist_npc` VALUES ('50216', 'Assistant Manager of the Coliseum', '0', '50019', '0', '0', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50217', 'Assistant Manager of the Coliseum', '0', '50019', '0', '0', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50218', 'Assistant Manager of the Coliseum', '0', '50019', '0', '0', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50219', 'Assistant Manager of the Coliseum', '0', '50019', '0', '0', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50220', 'Assistant Manager of the Coliseum', '1', '50019', '33751', '32528', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50221', 'Market Guard', '0', '50048', '0', '0', '0', '0', '6', '0', '360', '0');
INSERT INTO `spawnlist_npc` VALUES ('50222', 'Market Guard', '0', '50048', '0', '0', '0', '0', '6', '0', '360', '0');
INSERT INTO `spawnlist_npc` VALUES ('50223', 'Market Guard', '0', '50048', '0', '0', '0', '0', '6', '0', '360', '0');
INSERT INTO `spawnlist_npc` VALUES ('50224', 'Market Guard', '0', '50048', '0', '0', '0', '0', '6', '0', '360', '0');
INSERT INTO `spawnlist_npc` VALUES ('50225', 'Market Guard', '0', '50058', '0', '0', '0', '0', '6', '0', '370', '0');
INSERT INTO `spawnlist_npc` VALUES ('50226', 'Market Guard', '0', '50058', '0', '0', '0', '0', '6', '0', '370', '0');
INSERT INTO `spawnlist_npc` VALUES ('50227', 'Market Guard', '0', '50058', '0', '0', '0', '0', '6', '0', '370', '0');
INSERT INTO `spawnlist_npc` VALUES ('50228', 'Market Guard', '0', '50058', '0', '0', '0', '0', '6', '0', '370', '0');
INSERT INTO `spawnlist_npc` VALUES ('50229', 'Assistant Manager of the Coliseum', '1', '50019', '33060', '33362', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50230', 'Duvall', '1', '50064', '32721', '32443', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50231', 'Teleporter Diarus', '1', '50072', '32805', '32794', '0', '0', '3', '0', '310', '0');
INSERT INTO `spawnlist_npc` VALUES ('50232', 'Teleporter Diabes', '1', '50073', '32958', '32857', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('50233', 'Large Cave Teleporter', '1', '50074', '32963', '32938', '0', '0', '6', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('50234', 'Fortress Gatekeeper', '1', '50075', '33000', '32928', '0', '0', '4', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('50235', 'Orb of Spirit', '1', '50076', '32922', '32798', '0', '0', '6', '0', '430', '0');
INSERT INTO `spawnlist_npc` VALUES ('50236', 'Orb of Spirit', '1', '50077', '32804', '33047', '0', '0', '6', '0', '420', '0');
INSERT INTO `spawnlist_npc` VALUES ('50237', 'Orb of Spirit', '1', '50078', '32736', '32807', '0', '0', '6', '0', '444', '0');
INSERT INTO `spawnlist_npc` VALUES ('50301', 'Gleda', '1', '50501', '33352', '32776', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50302', 'Ginevra', '1', '50502', '33400', '32861', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50303', 'Noela', '1', '50503', '33359', '32790', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50304', 'Nicoline', '1', '50504', '33345', '32674', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50305', 'Diane', '1', '50505', '33385', '32656', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50306', 'Duana', '1', '50506', '33414', '32852', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50307', 'Leonora', '1', '50507', '33460', '32841', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50308', 'Lucinda', '1', '50508', '33371', '32791', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50309', 'Livia', '1', '50509', '33425', '32692', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50310', 'Marina', '1', '50510', '33342', '32662', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50311', 'Margery', '1', '50511', '33367', '32762', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50312', 'Mary', '1', '50512', '33361', '32671', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50313', 'Mennefer', '1', '50513', '33405', '32740', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50314', 'Minerva', '1', '50514', '33383', '32775', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50315', 'Miryam', '1', '50515', '33380', '32714', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50316', 'Valeska', '1', '50516', '33476', '32667', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50317', 'Bernice', '1', '50517', '33398', '32812', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50318', 'Vevina', '1', '50518', '33458', '32699', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50319', 'Beth', '1', '50519', '33397', '32657', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50320', 'Sarah', '1', '50520', '33419', '32708', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50321', 'Saloma', '1', '50521', '33378', '32829', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50322', 'Sigrid', '1', '50522', '33376', '32874', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50323', 'Erma', '1', '50523', '33444', '32871', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50324', 'Emilia', '1', '50524', '33498', '32803', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50325', 'Eulalia', '1', '50525', '33342', '32711', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50326', 'Eleanora', '1', '50526', '33362', '32683', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50327', 'Emma', '1', '50527', '33373', '32656', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50328', 'Osa', '1', '50528', '33425', '32719', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50329', 'Even', '1', '50529', '33458', '32655', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50330', 'Ione', '1', '50530', '33390', '32850', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50331', 'Justine', '1', '50531', '33440', '32667', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50332', 'Geraldine', '1', '50532', '33402', '32793', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50333', 'Joanna', '1', '50533', '33448', '32731', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50334', 'Julia', '1', '50534', '33354', '32733', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50335', 'Juliana', '1', '50535', '33383', '32805', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50336', 'Jilda', '1', '50536', '33410', '32676', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50337', 'Karelia', '1', '50537', '33398', '32823', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50338', 'Carmel', '1', '50538', '33472', '32680', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50339', 'Karine', '1', '50539', '33436', '32843', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50340', 'Catriona', '1', '50540', '33367', '32715', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50341', 'Tessa', '1', '50541', '33429', '32872', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50342', 'Teodora', '1', '50542', '33404', '32756', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50343', 'Tekla', '1', '50543', '33376', '32699', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50344', 'Paulina', '1', '50544', '33484', '32793', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50345', 'Henrietta', '1', '50545', '33427', '32658', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50346', 'Nadine', '1', '50546', '33914', '33388', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50347', 'Nash', '1', '50547', '34092', '33352', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50348', 'Natalia', '1', '50548', '33899', '33216', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50349', 'Nona', '1', '50549', '33931', '33212', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50350', 'Nita', '1', '50550', '34042', '33111', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50351', 'Diana', '1', '50551', '34125', '33369', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50352', 'Doria', '1', '50552', '34041', '33131', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50353', 'Dina', '1', '50553', '34105', '33393', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50354', 'Levins', '1', '50554', '34061', '33398', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50355', 'Lucie', '1', '50555', '34100', '33112', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50356', 'Rociri', '1', '50556', '33933', '33407', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50357', 'Locis', '1', '50557', '34002', '33326', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50358', 'Ressie', '1', '50558', '33964', '33416', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50359', 'Lucinda', '1', '50559', '34128', '33112', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50360', 'Liz', '1', '50560', '34072', '33354', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50361', 'Rija', '1', '50561', '34092', '33392', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50362', 'Mariel', '1', '50562', '33933', '33296', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50363', 'McCauley', '1', '50563', '34028', '33110', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50364', 'Meyo', '1', '50564', '34003', '33402', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50365', 'May', '1', '50565', '33897', '33317', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50366', 'Mella', '1', '50566', '33977', '33203', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50367', 'Morin', '1', '50567', '34144', '33398', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50368', 'Mitchel', '1', '50568', '34095', '33371', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50369', 'Michelli', '1', '50569', '33956', '33323', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50370', 'Mindy', '1', '50570', '34072', '33381', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50371', 'Beverly', '1', '50571', '33954', '33402', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50372', 'Beth', '1', '50572', '34125', '33355', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50373', 'Bella', '1', '50573', '33911', '33290', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50374', 'Bonie', '1', '50574', '33890', '33352', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50375', 'Bobby', '1', '50575', '34074', '33397', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50376', 'Brittainy', '1', '50576', '34158', '33143', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50377', 'Bianca', '1', '50577', '33920', '33295', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50378', 'Violet', '1', '50578', '33948', '33307', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50379', 'Sadie', '1', '50579', '33915', '33194', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50380', 'Cellay', '1', '50580', '33890', '33384', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50381', 'Celina', '1', '50581', '34125', '33392', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50382', 'Sophia', '1', '50582', '33918', '33408', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50383', 'Sherrie', '1', '50583', '33895', '33395', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50384', 'Sibia', '1', '50584', '33916', '33398', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50385', 'Cindy', '1', '50585', '34125', '33402', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50386', 'Sylvia', '1', '50586', '34146', '33166', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50387', 'Arana', '1', '50587', '34012', '33373', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50388', 'Amie', '1', '50588', '34146', '33372', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50389', 'Aberi', '1', '50589', '33913', '33364', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50390', 'Acacia', '1', '50590', '34059', '33377', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50391', 'Angelina', '1', '50591', '33923', '33303', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50392', 'Angelica', '1', '50592', '34125', '33161', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50393', 'Edie', '1', '50593', '34023', '33385', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50394', 'Ebony', '1', '50594', '34105', '33408', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50395', 'Angeline', '1', '50595', '34078', '33372', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50396', 'Odia', '1', '50596', '34159', '33403', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50397', 'Ophelia', '1', '50597', '33904', '33349', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50398', 'Wanda', '1', '50598', '33922', '33327', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50399', 'Isabelle', '1', '50599', '33940', '33404', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50400', 'Genesse', '1', '50600', '33973', '33273', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50401', 'Zenith', '1', '50601', '34056', '33110', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50402', 'Joanne', '1', '50602', '33906', '33330', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50403', 'Judith', '1', '50603', '33985', '33300', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50404', 'Chellany', '1', '50604', '34128', '33130', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50405', 'Karot', '1', '50605', '33916', '33373', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50406', 'Karisha', '1', '50606', '34105', '33120', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50407', 'Candice', '1', '50607', '34132', '33419', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50408', 'Kinin', '0', '50608', '34109', '33350', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50409', 'Tamara', '1', '50609', '34142', '33142', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50410', 'Teresa', '1', '50610', '33916', '33229', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50411', 'Prolance', '1', '50611', '33986', '33402', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50412', 'Florina', '1', '50612', '33919', '33316', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50413', 'Helena', '1', '50613', '34031', '33132', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50414', 'Novita', '1', '50614', '33582', '33339', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50415', 'Dain', '1', '50615', '33626', '33446', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50416', 'Delia', '1', '50616', '33625', '33397', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50417', 'Lorena', '1', '50617', '33583', '33305', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50418', 'Morna', '1', '50618', '33619', '33380', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50419', 'Miriam', '1', '50619', '33626', '33225', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50420', 'Adina', '1', '50620', '33610', '33218', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50421', 'Edry', '1', '50621', '33632', '33247', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50422', 'Elsha', '1', '50622', '33618', '33266', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50423', 'Zenia', '1', '50623', '33629', '33209', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50424', 'Triona', '1', '50624', '33576', '33233', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60001', 'Gotham', '1', '60024', '33079', '33395', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60002', 'Nodim', '1', '60008', '33431', '32816', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60003', 'Tarkin', '1', '60023', '32610', '33184', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60004', 'Karim', '1', '60007', '32630', '32806', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60005', 'Karudim', '1', '60017', '33922', '33345', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60006', 'Calvas', '1', '60018', '33962', '33243', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60007', 'Hakim', '1', '60030', '33601', '33235', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60008', 'Hirim', '1', '60021', '34054', '32287', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60009', 'Dorin', '1', '60001', '32575', '32946', '0', '0', '5', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('60010', 'Juke', '1', '60016', '34001', '33351', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60011', 'Timpukin', '1', '60019', '34086', '33144', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60012', 'Thram', '1', '60003', '33073', '32799', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60013', 'Kuhatin', '1', '60027', '32746', '32444', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60014', 'Axellon', '1', '60013', '33723', '32490', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60015', 'Sauram', '1', '60009', '33422', '32812', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60016', 'El', '1', '60028', '33079', '32334', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60017', 'Ogi', '1', '60015', '32873', '32535', '0', '0', '4', '0', '300', '0');
INSERT INTO `spawnlist_npc` VALUES ('60018', 'Rayearth', '1', '60031', '32877', '32910', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('60019', 'Bahof', '1', '60002', '32749', '32786', '0', '0', '5', '0', '15', '0');
INSERT INTO `spawnlist_npc` VALUES ('60020', 'Borgin', '1', '60022', '32749', '32786', '0', '0', '5', '0', '29', '0');
INSERT INTO `spawnlist_npc` VALUES ('60021', 'Orclon', '1', '60026', '32804', '32283', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60022', 'Tofen', '1', '60012', '32742', '32815', '0', '0', '7', '0', '52', '0');
INSERT INTO `spawnlist_npc` VALUES ('60023', 'Kriom', '1', '60014', '32851', '32796', '0', '0', '2', '0', '66', '0');
INSERT INTO `spawnlist_npc` VALUES ('60024', 'Haidrim', '1', '60029', '32558', '32847', '0', '0', '7', '0', '64', '0');
INSERT INTO `spawnlist_npc` VALUES ('60025', 'Storage House Keeper Garin', '1', '60032', '32978', '32860', '0', '0', '4', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('60026', 'Denitz', '1', '60004', '32745', '32842', '0', '0', '5', '0', '340', '0');
INSERT INTO `spawnlist_npc` VALUES ('60027', 'Luke', '1', '60005', '32778', '32853', '0', '0', '5', '0', '340', '0');
INSERT INTO `spawnlist_npc` VALUES ('60028', 'Jianku', '1', '60006', '32783', '32818', '0', '0', '5', '0', '340', '0');
INSERT INTO `spawnlist_npc` VALUES ('60029', 'Kasham', '1', '60010', '32693', '32844', '0', '0', '5', '0', '350', '0');
INSERT INTO `spawnlist_npc` VALUES ('60030', 'Kuron', '1', '60011', '32707', '32819', '0', '0', '5', '0', '350', '0');
INSERT INTO `spawnlist_npc` VALUES ('60031', 'Kusian', '1', '60025', '32733', '32797', '0', '0', '5', '0', '370', '0');
INSERT INTO `spawnlist_npc` VALUES ('60032', 'Tulak', '1', '60020', '32733', '32800', '0', '0', '5', '0', '360', '0');
INSERT INTO `spawnlist_npc` VALUES ('60033', 'Zidar', '1', '60035', '32609', '32920', '0', '0', '6', '0', '400', '0');
INSERT INTO `spawnlist_npc` VALUES ('60034', 'Storage House Keeper Gaul', '1', '60033', '32806', '32797', '0', '0', '4', '0', '310', '0');
INSERT INTO `spawnlist_npc` VALUES ('60035', 'Kuud', '1', '60034', '32425', '33068', '0', '0', '5', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('60036', 'Tigus', '1', '60036', '32575', '32664', '0', '0', '5', '0', '401', '0');
INSERT INTO `spawnlist_npc` VALUES ('60051', 'Cove', '1', '70664', '33690', '32499', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60052', 'Hans', '1', '70836', '32763', '32448', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60053', 'Rick', '1', '70544', '33039', '32746', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60054', 'Ellan', '1', '70873', '33649', '33410', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60055', 'Johnson', '1', '70532', '32450', '32990', '0', '0', '5', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('60056', 'Kevin', '1', '70632', '33492', '32688', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60057', 'Almon', '1', '70617', '33340', '32724', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60058', 'Marbin', '1', '70773', '32604', '33200', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60059', 'Milo', '1', '70749', '34079', '32296', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60060', 'Pau', '1', '70723', '33921', '33174', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60801', 'Pandora', '1', '70014', '32645', '32951', '0', '0', '5', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('60802', 'Fraoun', '1', '70008', '32675', '32841', '0', '0', '5', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('60803', 'Mellin', '1', '70074', '33097', '33385', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60804', 'Verita', '1', '70033', '33383', '32730', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60805', 'Randal', '1', '70028', '33488', '32777', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60806', 'Mayer', '1', '70030', '33455', '32820', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60807', 'Unknown 70004', '1', '70004', '32757', '32757', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('60808', 'Pago', '1', '70005', '32735', '32798', '0', '0', '5', '0', '87', '0');
INSERT INTO `spawnlist_npc` VALUES ('60809', 'Britt', '1', '70082', '33641', '33286', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60810', 'Chicky', '1', '70090', '32649', '33020', '0', '0', '6', '0', '70', '0');
INSERT INTO `spawnlist_npc` VALUES ('60811', 'Tilon', '1', '70091', '32634', '32682', '0', '0', '6', '0', '70', '0');
INSERT INTO `spawnlist_npc` VALUES ('60812', 'Bius', '1', '70063', '34065', '32289', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60813', 'Dico', '1', '70059', '34257', '32287', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60814', 'Pagoru', '1', '70067', '32790', '32817', '0', '0', '7', '0', '75', '0');
INSERT INTO `spawnlist_npc` VALUES ('60815', 'Melissa', '1', '70052', '33999', '33141', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60816', 'Rozen', '1', '70049', '34003', '33248', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60817', 'Raon', '1', '70048', '34152', '33124', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60818', 'Magus', '1', '70051', '34137', '33406', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60819', 'Catherine', '1', '70057', '34126', '33149', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60820', 'Balsim', '1', '70010', '32436', '32983', '0', '0', '6', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('60821', 'Orim', '1', '70017', '32814', '32803', '0', '0', '6', '0', '13', '0');
INSERT INTO `spawnlist_npc` VALUES ('60822', 'Luth', '1', '70021', '32599', '32733', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60823', 'Ysorya', '1', '70018', '33065', '32733', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60824', 'Elmina', '1', '70072', '32632', '33194', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60825', 'Ashur', '1', '70071', '32866', '33250', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60826', 'Jackson', '1', '70079', '32752', '32432', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60827', 'Berry', '1', '70045', '33739', '32492', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60828', 'Pasim', '1', '70025', '32629', '32651', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60829', 'Buakheu', '1', '70081', '32799', '32896', '0', '0', '4', '0', '63', '0');
INSERT INTO `spawnlist_npc` VALUES ('60830', 'Squalid', '1', '70088', '32870', '32893', '0', '0', '6', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('60831', 'Sasha', '0', '70002', '0', '0', '0', '0', '0', '0', '57', '0');
INSERT INTO `spawnlist_npc` VALUES ('60832', 'Kiris', '0', '70006', '0', '0', '0', '0', '0', '0', '58', '0');
INSERT INTO `spawnlist_npc` VALUES ('60833', 'Trader Emart', '1', '70092', '32986', '32861', '0', '0', '4', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('60834', 'Trader Carupu', '1', '70093', '32788', '32806', '0', '0', '4', '0', '310', '0');
INSERT INTO `spawnlist_npc` VALUES ('60835', 'Foni', '1', '70097', '32424', '33032', '0', '0', '4', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('60836', 'Bobo', '1', '70098', '32848', '32991', '0', '0', '7', '0', '410', '0');
INSERT INTO `spawnlist_npc` VALUES ('60901', 'Glen', '1', '70073', '33096', '33402', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60902', 'Werner', '1', '70039', '33398', '32669', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60903', 'Shivan', '1', '70083', '33624', '33283', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60904', 'Mandra', '1', '70061', '34068', '32295', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60905', 'Defman', '1', '70047', '34006', '33110', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60906', 'Catty', '1', '70024', '32629', '32816', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60907', 'Andyn', '1', '70016', '33070', '32754', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60908', 'Ralf', '1', '70044', '33717', '32517', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60909', 'Vergil', '1', '70032', '33436', '32751', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60910', 'Fega', '1', '70058', '34152', '33103', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60911', 'Derek', '1', '70026', '33496', '32777', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60912', 'Duron', '1', '70095', '32433', '33032', '0', '0', '6', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('60931', 'Varyeth', '1', '70062', '32793', '32811', '0', '0', '7', '0', '76', '0');
INSERT INTO `spawnlist_npc` VALUES ('60932', 'Kreister', '1', '70066', '32769', '32852', '0', '0', '3', '0', '76', '0');
INSERT INTO `spawnlist_npc` VALUES ('60933', 'Horun', '1', '70080', '32730', '32788', '0', '0', '4', '0', '16', '0');
INSERT INTO `spawnlist_npc` VALUES ('60934', 'Siriss', '1', '70003', '32825', '32721', '0', '0', '5', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('60935', 'Linda', '1', '70060', '32791', '32818', '0', '0', '4', '0', '75', '0');
INSERT INTO `spawnlist_npc` VALUES ('60936', 'Sedia', '1', '70087', '32878', '32904', '0', '0', '4', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('60951', 'Tina', '1', '70007', '32656', '32864', '0', '0', '5', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('60952', 'Rose', '1', '70001', '32807', '32735', '0', '0', '2', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('60953', 'Stella', '1', '70036', '33476', '32734', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60954', 'Old', '1', '70085', '33618', '33238', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60955', 'Ruky', '1', '70050', '33953', '33361', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60956', 'Cole', '1', '70013', '32635', '32951', '0', '0', '4', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('60957', 'Arieh', '1', '70015', '33057', '32768', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60958', 'Momo', '1', '70069', '32623', '33201', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60959', 'Orcm', '1', '70078', '32738', '32448', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60960', 'Jin', '1', '70046', '33716', '32498', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60981', 'Franko', '1', '70068', '34017', '32262', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60982', 'Rollko', '1', '70020', '32601', '32724', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60983', 'Jode', '1', '70056', '33969', '32959', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60991', 'Isvall', '1', '70086', '33446', '33476', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60992', 'Oblivion', '1', '70089', '32932', '33046', '0', '0', '6', '0', '70', '0');
INSERT INTO `spawnlist_npc` VALUES ('60993', 'Harbor Master', '1', '70011', '32633', '32968', '0', '0', '7', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('60994', 'Harbor Master', '1', '70022', '32560', '32723', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60995', 'Duran', '1', '70094', '32753', '32860', '0', '0', '6', '0', '445', '0');
INSERT INTO `spawnlist_npc` VALUES ('61001', 'Dio', '1', '70027', '33453', '32805', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('61002', 'Philip', '1', '70043', '33451', '32756', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('61003', 'Evert', '1', '70038', '33416', '32771', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('61004', 'Ashinnue', '1', '70055', '33941', '33188', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('61005', 'Shara', '1', '70053', '34022', '33112', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('61006', 'Rodney', '1', '70077', '32798', '32419', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('61007', 'Margaret', '1', '70029', '33451', '32751', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('61008', 'Jason', '1', '70040', '33452', '32764', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('61009', 'Tanaka', '1', '70042', '33528', '32873', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('61010', 'Izawa', '1', '70035', '33525', '32851', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('61011', 'Maeno', '1', '70041', '33516', '32857', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('61012', 'Aden Chamber of Commerce', '1', '70023', '32789', '32845', '0', '0', '6', '0', '340', '0');
INSERT INTO `spawnlist_npc` VALUES ('61015', 'Aden Chamber of Commerce', '1', '70037', '32688', '32835', '0', '0', '4', '0', '350', '0');
INSERT INTO `spawnlist_npc` VALUES ('61017', 'Aden Chamber of Commerce', '1', '70064', '32745', '32803', '0', '0', '6', '0', '360', '0');
INSERT INTO `spawnlist_npc` VALUES ('61018', 'Aden Chamber of Commerce', '1', '70076', '32744', '32802', '0', '0', '6', '0', '370', '0');
INSERT INTO `spawnlist_npc` VALUES ('61121', 'Lolia', '1', '70019', '32621', '32748', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('61122', 'Selena', '1', '70012', '32596', '32929', '0', '0', '4', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('61123', 'Sabin', '1', '70054', '33988', '33311', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('61124', 'Elly', '1', '70084', '33599', '33273', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('61125', 'Velisa', '1', '70070', '32618', '33166', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('61126', 'Miranda', '1', '70075', '33106', '33377', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('61127', 'Molly', '1', '70031', '33431', '32785', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('61128', 'Enke', '1', '70065', '34062', '32252', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('61129', 'Millay', '1', '70096', '32448', '33045', '0', '0', '4', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('61130', 'Explorer\'s Assistant', '1', '50081', '32852', '32798', '0', '0', '5', '0', '480', '0');
INSERT INTO `spawnlist_npc` VALUES ('87191', 'Hector', '1', '70642', '33471', '32775', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87192', 'Ladar', '1', '70523', '32589', '32957', '0', '0', '6', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('87193', 'Raidar', '1', '70526', '32593', '32931', '0', '0', '4', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('87194', 'Paruit', '1', '70722', '34018', '33112', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87195', 'Ryumiel', '1', '70676', '34122', '33148', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87196', 'Luudiel', '1', '70841', '33035', '32325', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87197', 'Narhen', '1', '70837', '33070', '32337', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87198', 'Eveurol', '1', '70872', '32739', '32815', '0', '0', '5', '0', '62', '0');
INSERT INTO `spawnlist_npc` VALUES ('87199', 'Lavienue', '1', '70524', '32558', '32965', '0', '0', '4', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('87200', 'Farlin', '1', '70537', '32413', '32983', '0', '0', '5', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('87201', 'Lien', '1', '70525', '32575', '32920', '0', '0', '4', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('87202', 'Julie', '1', '70805', '33112', '33357', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87203', 'Pin', '1', '70807', '33071', '33383', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87204', 'Joel', '1', '70804', '33089', '33355', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87205', 'Vincent', '1', '70034', '33480', '32777', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87206', 'Moria', '1', '70598', '33404', '32834', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87207', 'Fairy Queen', '1', '70852', '33157', '32276', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('87208', 'Nerupa', '1', '70838', '32741', '32787', '0', '0', '5', '0', '17', '0');
INSERT INTO `spawnlist_npc` VALUES ('87209', 'Arachne', '1', '70846', '33139', '32262', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87210', 'Arachne', '1', '70846', '33113', '32241', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87211', 'Arachne', '1', '70846', '33086', '32229', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87212', 'Arachne', '1', '70846', '33063', '32232', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87213', 'Arachne', '1', '70846', '33057', '32266', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87214', 'Arachne', '1', '70846', '33087', '32297', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87215', 'Arachne', '1', '70846', '33098', '32354', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87216', 'Arachne', '1', '70846', '33110', '32386', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87217', 'Arachne', '1', '70846', '33086', '32400', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87218', 'Arachne', '1', '70846', '33053', '32389', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87219', 'Pan', '1', '70850', '33009', '32403', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87220', 'Pan', '1', '70850', '32987', '32378', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87221', 'Pan', '1', '70850', '32971', '32350', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87222', 'Pan', '1', '70850', '33004', '32327', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87223', 'Pan', '1', '70850', '33031', '32306', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87224', 'Pan', '1', '70850', '33014', '32273', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87225', 'Pan', '1', '70850', '33042', '32263', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87226', 'Pan', '1', '70850', '33070', '32262', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87227', 'Pan', '1', '70850', '33103', '32294', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87228', 'Pan', '1', '70850', '33155', '32328', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87229', 'Helen', '1', '70641', '33503', '32777', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87230', 'Bamute', '1', '70690', '33976', '33166', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87231', 'Nose', '1', '70671', '33918', '33174', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87232', 'Fairy', '1', '70851', '33158', '32276', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87233', 'Fairy', '1', '70851', '33155', '32276', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87234', 'Fairy', '1', '70851', '33156', '32277', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87235', 'Fairy', '1', '70851', '33156', '32274', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87236', 'Fairy', '1', '70851', '33144', '32343', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87237', 'Fairy', '1', '70851', '33121', '32376', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87238', 'Fairy', '1', '70851', '33099', '32369', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87239', 'Fairy', '1', '70851', '33073', '32374', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87240', 'Fairy', '1', '70851', '33032', '32422', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87241', 'Fairy', '1', '70851', '33003', '32414', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87242', 'Fairy', '1', '70851', '32984', '32386', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87243', 'Fairy', '1', '70851', '32964', '32351', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87244', 'Fairy', '1', '70851', '33020', '32299', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87245', 'Fairy', '1', '70851', '33072', '32246', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87246', 'Koup', '1', '70904', '32830', '32971', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('87247', 'Karif', '1', '70762', '32748', '32929', '0', '0', '5', '0', '74', '0');
INSERT INTO `spawnlist_npc` VALUES ('87248', 'Ivelviin', '1', '70662', '32814', '32854', '0', '0', '5', '0', '66', '0');
INSERT INTO `spawnlist_npc` VALUES ('87301', 'Cuse', '1', '70517', '32712', '32865', '0', '0', '4', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('87302', 'Touma', '1', '70536', '32417', '32984', '0', '0', '4', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('87303', 'Randith', '1', '70771', '32644', '33369', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87304', 'Rion', '1', '70507', '32738', '32759', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('87341', 'Montes', '1', '70683', '33926', '33352', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87342', 'Est', '1', '70847', '33079', '32338', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87343', 'Robiel', '1', '70840', '33060', '32311', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87344', 'Yuno', '1', '70568', '32617', '32722', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87345', 'Eno', '1', '70707', '33931', '33356', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87346', 'Reona', '1', '70674', '34073', '33147', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87347', 'Peria', '1', '70519', '32673', '32840', '0', '0', '4', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('87348', 'Sarsha', '1', '70607', '33403', '32833', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87349', 'Ruba', '1', '70506', '32777', '32779', '0', '0', '5', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('87350', 'Tio', '1', '70518', '32715', '32883', '0', '0', '5', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('87351', 'Pierce', '1', '70908', '32859', '32879', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('87352', 'Blaise', '1', '70605', '33538', '32847', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87353', 'Alchemist', '1', '70520', '33072', '33395', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87354', 'Alchemist', '1', '70520', '33429', '32812', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87355', 'Alchemist', '1', '70520', '33603', '33240', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87356', 'Alchemist', '1', '70520', '34056', '32291', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87357', 'Alchemist', '1', '70520', '33926', '33342', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87358', 'Alchemist', '1', '70520', '32573', '32936', '0', '0', '5', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('87359', 'Alchemist', '1', '70520', '32616', '32734', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87360', 'Alchemist', '1', '70520', '33057', '32782', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87361', 'Alchemist', '1', '70520', '32615', '33174', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87362', 'Alchemist', '1', '70520', '32754', '32437', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87363', 'Alchemist', '1', '70520', '33723', '32483', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87364', 'Lyra', '1', '70811', '32745', '32428', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87365', 'Alchemist', '1', '70520', '32429', '33037', '0', '0', '4', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('87366', 'Alchemist', '1', '70520', '32988', '32982', '0', '0', '6', '0', '400', '0');
INSERT INTO `spawnlist_npc` VALUES ('87367', 'Alchemist', '1', '70520', '32574', '32686', '0', '0', '6', '0', '400', '0');
INSERT INTO `spawnlist_npc` VALUES ('87401', 'Ent', '1', '70848', '33121', '32236', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87402', 'Ent', '1', '70848', '33140', '32253', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87403', 'Ent', '1', '70848', '33168', '32286', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87404', 'Ent', '1', '70848', '33152', '32312', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87405', 'Ent', '1', '70848', '33128', '32336', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87406', 'Ent', '1', '70848', '33103', '32349', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87407', 'Ent', '1', '70848', '33118', '32368', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87408', 'Ent', '1', '70848', '33088', '32375', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87409', 'Ent', '1', '70848', '33066', '32414', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87410', 'Ent', '1', '70848', '33044', '32423', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87411', 'Ent', '1', '70848', '33018', '32424', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87412', 'Ent', '1', '70848', '33002', '32428', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87413', 'Ent', '1', '70848', '32984', '32416', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87414', 'Ent', '1', '70848', '32968', '32418', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87415', 'Ent', '1', '70848', '32959', '32405', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87416', 'Ent', '1', '70848', '32941', '32375', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87417', 'Ent', '1', '70848', '32953', '32349', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87418', 'Ent', '1', '70848', '32979', '32313', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87419', 'Ent', '1', '70848', '32999', '32289', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87420', 'Ent', '1', '70848', '33026', '32306', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87501', 'Jem', '1', '70531', '32587', '32927', '0', '0', '4', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('87502', 'Gereng', '1', '70009', '32561', '33082', '0', '0', '4', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('87503', 'Talass', '1', '70763', '32769', '32796', '0', '0', '4', '0', '77', '0');
INSERT INTO `spawnlist_npc` VALUES ('87504', 'Mysterious Rock', '1', '81105', '33780', '33278', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87505', 'Ricky', '1', '70798', '33127', '33366', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87506', 'Aanon', '1', '70802', '33069', '33383', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87507', 'Mark', '1', '70775', '32861', '33246', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87508', 'Gunter', '1', '70522', '32669', '32788', '0', '0', '5', '0', '3', '0');
INSERT INTO `spawnlist_npc` VALUES ('87509', 'Gerard', '1', '70794', '33098', '33352', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87510', 'Jim', '1', '70555', '32746', '32807', '0', '0', '6', '0', '237', '0');
INSERT INTO `spawnlist_npc` VALUES ('87511', 'Marshall', '1', '70653', '33714', '32503', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87512', 'Jimu', '1', '70715', '34260', '33341', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87513', 'Giant Elder', '1', '70711', '34242', '33403', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87514', 'Giant Elder', '0', '70711', '34238', '33406', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87515', 'Soldier of Dicarding', '1', '70740', '34043', '32234', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87516', 'Zero', '1', '70554', '33048', '32755', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87517', 'Aria', '1', '70783', '32647', '33204', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87518', 'Search Ant', '1', '70782', '32775', '32728', '0', '0', '5', '0', '45', '0');
INSERT INTO `spawnlist_npc` VALUES ('87519', 'Gatekeeper Ant', '1', '70779', '32740', '32730', '0', '0', '5', '0', '45', '0');
INSERT INTO `spawnlist_npc` VALUES ('87520', 'Richard', '1', '70545', '33079', '32764', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87521', 'Mack', '1', '70776', '32646', '33217', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87522', 'Brad', '1', '70751', '32808', '32790', '0', '0', '5', '0', '73', '0');
INSERT INTO `spawnlist_npc` VALUES ('87523', 'Sabin', '1', '70758', '32808', '32793', '0', '0', '5', '0', '73', '0');
INSERT INTO `spawnlist_npc` VALUES ('87524', 'Oth', '1', '70826', '32745', '32452', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87525', 'Unknown 70844', '1', '70844', '33055', '32336', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87526', 'Heit', '1', '70724', '33975', '32930', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87528', 'Head Guardsman Kan', '1', '70885', '32803', '32895', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('87529', 'Ronde', '1', '70892', '32862', '32891', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('87530', 'Bludika', '1', '70895', '32743', '32797', '0', '0', '5', '0', '305', '0');
INSERT INTO `spawnlist_npc` VALUES ('87531', 'Roje', '1', '70744', '34036', '32259', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87532', 'Assassin Master\'s Apprentice', '1', '70824', '32929', '32276', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87533', 'Kima', '1', '70906', '32908', '32947', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('87534', 'Kima', '1', '70906', '33158', '32314', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87535', 'Kima', '1', '70906', '32856', '32935', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87536', 'Dicarding', '1', '70739', '32765', '32796', '0', '0', '5', '0', '77', '0');
INSERT INTO `spawnlist_npc` VALUES ('87537', 'Chico', '1', '50114', '32872', '32508', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87538', 'Porikan', '1', '50124', '33713', '32491', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87539', 'Honin', '1', '50121', '32754', '32443', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87540', 'Oshillia', '1', '50119', '32615', '33194', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87541', 'Syria', '1', '50117', '33069', '32790', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87542', 'Liri', '0', '50111', '32583', '32935', '0', '0', '6', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('87543', 'Jerik', '1', '50126', '33970', '33243', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87544', 'Hob', '1', '50120', '33100', '33374', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87545', 'Galleon', '1', '50123', '33619', '33247', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87546', 'Serian', '1', '50112', '32788', '32785', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('87547', 'Lekman', '1', '50113', '32716', '32865', '0', '0', '5', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('87548', 'Tuck', '0', '50122', '0', '0', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87549', 'Gion', '1', '50116', '32612', '32723', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87550', 'Gilbert', '1', '50125', '34053', '32271', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87551', 'Jaruman', '1', '50115', '32853', '32899', '0', '0', '6', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('87552', 'Kuper', '1', '70099', '32600', '32920', '0', '0', '6', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('87553', 'Lengo', '1', '70100', '32575', '32946', '25', '25', '0', '90', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('87554', 'Fiin', '1', '70101', '32575', '32946', '25', '25', '0', '90', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('87555', 'Judice', '1', '70102', '32575', '32946', '25', '25', '0', '90', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('87556', 'Mona', '1', '70529', '32575', '32946', '25', '25', '0', '90', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('87655', 'Dicarding', '1', '70739', '32705', '32890', '0', '0', '5', '0', '89', '0');
INSERT INTO `spawnlist_npc` VALUES ('87656', 'Dicarding', '1', '70739', '32702', '32890', '0', '0', '5', '0', '89', '0');
INSERT INTO `spawnlist_npc` VALUES ('87657', 'Dicarding', '1', '70739', '32699', '32890', '0', '0', '5', '0', '89', '0');
INSERT INTO `spawnlist_npc` VALUES ('87658', 'Dicarding', '1', '70739', '32696', '32890', '0', '0', '5', '0', '89', '0');
INSERT INTO `spawnlist_npc` VALUES ('87659', 'Dicarding', '1', '70739', '32693', '32890', '0', '0', '5', '0', '89', '0');
INSERT INTO `spawnlist_npc` VALUES ('87670', 'Dicarding', '1', '70739', '32705', '32893', '0', '0', '5', '0', '89', '0');
INSERT INTO `spawnlist_npc` VALUES ('87671', 'Dicarding', '1', '70739', '32702', '32893', '0', '0', '5', '0', '89', '0');
INSERT INTO `spawnlist_npc` VALUES ('87672', 'Dicarding', '1', '70739', '32699', '32893', '0', '0', '5', '0', '89', '0');
INSERT INTO `spawnlist_npc` VALUES ('87673', 'Dicarding', '1', '70739', '32696', '32893', '0', '0', '5', '0', '89', '0');
INSERT INTO `spawnlist_npc` VALUES ('87674', 'Dicarding', '1', '70739', '32693', '32893', '0', '0', '5', '0', '89', '0');
INSERT INTO `spawnlist_npc` VALUES ('87675', 'Dicarding', '1', '70739', '32705', '32896', '0', '0', '5', '0', '89', '0');
INSERT INTO `spawnlist_npc` VALUES ('87676', 'Dicarding', '1', '70739', '32702', '32896', '0', '0', '5', '0', '89', '0');
INSERT INTO `spawnlist_npc` VALUES ('87677', 'Dicarding', '1', '70739', '32699', '32896', '0', '0', '5', '0', '89', '0');
INSERT INTO `spawnlist_npc` VALUES ('87678', 'Dicarding', '1', '70739', '32696', '32896', '0', '0', '5', '0', '89', '0');
INSERT INTO `spawnlist_npc` VALUES ('87679', 'Dicarding', '1', '70739', '32693', '32896', '0', '0', '5', '0', '89', '0');
INSERT INTO `spawnlist_npc` VALUES ('87680', 'Dicarding', '1', '70739', '32705', '32899', '0', '0', '5', '0', '89', '0');
INSERT INTO `spawnlist_npc` VALUES ('87681', 'Dicarding', '1', '70739', '32702', '32899', '0', '0', '5', '0', '89', '0');
INSERT INTO `spawnlist_npc` VALUES ('87682', 'Dicarding', '1', '70739', '32699', '32899', '0', '0', '5', '0', '89', '0');
INSERT INTO `spawnlist_npc` VALUES ('87683', 'Dicarding', '1', '70739', '32696', '32899', '0', '0', '5', '0', '89', '0');
INSERT INTO `spawnlist_npc` VALUES ('87684', 'Dicarding', '1', '70739', '32693', '32899', '0', '0', '5', '0', '89', '0');
INSERT INTO `spawnlist_npc` VALUES ('87685', 'Dicarding', '1', '70739', '32705', '32902', '0', '0', '5', '0', '89', '0');
INSERT INTO `spawnlist_npc` VALUES ('87686', 'Dicarding', '1', '70739', '32702', '32902', '0', '0', '5', '0', '89', '0');
INSERT INTO `spawnlist_npc` VALUES ('87687', 'Dicarding', '1', '70739', '32699', '32902', '0', '0', '5', '0', '89', '0');
INSERT INTO `spawnlist_npc` VALUES ('87688', 'Dicarding', '1', '70739', '32696', '32902', '0', '0', '5', '0', '89', '0');
INSERT INTO `spawnlist_npc` VALUES ('87689', 'Dicarding', '1', '70739', '32693', '32902', '0', '0', '5', '0', '89', '0');
INSERT INTO `spawnlist_npc` VALUES ('87785', 'Haste Master', '1', '70514', '32677', '32862', '0', '0', '5', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('87786', 'Healer', '1', '70512', '32728', '32866', '0', '0', '5', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('87787', 'Healer', '1', '70512', '32733', '32888', '0', '0', '5', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('87788', 'Healer', '1', '70512', '32667', '32890', '0', '0', '5', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('87789', 'Healer', '1', '70512', '32645', '32856', '0', '0', '5', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('87790', 'Healer', '1', '70512', '32665', '32839', '0', '0', '5', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('87791', 'Haste Master', '1', '70514', '32814', '32744', '0', '0', '5', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('87792', 'Healer', '1', '70512', '32731', '32767', '0', '0', '5', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('87793', 'Healer', '1', '70512', '32782', '32755', '0', '0', '5', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('87794', 'Healer', '1', '70512', '32821', '32758', '0', '0', '5', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('87795', 'Healer', '1', '70512', '32823', '32718', '0', '0', '5', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('87796', 'Healer', '1', '70512', '32780', '32785', '0', '0', '5', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('87797', 'Hadesty', '1', '70910', '32859', '32899', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('87798', 'Timon', '1', '70721', '32898', '32524', '0', '0', '4', '0', '300', '0');
INSERT INTO `spawnlist_npc` VALUES ('87799', 'Othmond', '1', '70784', '32737', '32784', '0', '0', '5', '0', '29', '0');
INSERT INTO `spawnlist_npc` VALUES ('87800', 'Orville', '1', '70623', '32732', '32789', '0', '0', '5', '0', '52', '0');
INSERT INTO `spawnlist_npc` VALUES ('87801', 'Ishmael', '1', '70553', '32738', '32784', '0', '0', '5', '0', '15', '0');
INSERT INTO `spawnlist_npc` VALUES ('87802', 'Fisher', '1', '70880', '32579', '32813', '0', '0', '5', '0', '64', '0');
INSERT INTO `spawnlist_npc` VALUES ('87803', 'Saghem Atuba', '1', '70822', '32803', '32268', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87804', 'Potempin', '1', '70665', '32865', '32808', '0', '0', '5', '0', '66', '0');
INSERT INTO `spawnlist_npc` VALUES ('87805', 'Polymorph Magician', '1', '70510', '32679', '32858', '0', '0', '4', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('87806', 'Weapon Enchanter', '1', '70508', '32683', '32858', '0', '0', '4', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('87807', 'Armor Enchanter', '1', '70509', '32681', '32858', '0', '0', '4', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('87808', 'Polymorph Magician', '1', '70510', '32817', '32739', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('87809', 'Weapon Enchanter', '1', '70508', '32821', '32739', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('87810', 'Armor Enchanter', '1', '70509', '32819', '32739', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('87811', 'Weapon Enchanter', '1', '70547', '32747', '32785', '0', '0', '5', '0', '15', '0');
INSERT INTO `spawnlist_npc` VALUES ('87812', 'Armor Enchanter', '1', '70550', '32747', '32784', '0', '0', '5', '0', '15', '0');
INSERT INTO `spawnlist_npc` VALUES ('87813', 'Weapon Enchanter', '1', '70777', '32747', '32786', '0', '0', '5', '0', '29', '0');
INSERT INTO `spawnlist_npc` VALUES ('87814', 'Armor Enchanter', '1', '70780', '32746', '32786', '0', '0', '5', '0', '29', '0');
INSERT INTO `spawnlist_npc` VALUES ('87815', 'Weapon Enchanter', '1', '70816', '32784', '32291', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87816', 'Armor Enchanter', '1', '70820', '32783', '32290', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87817', 'Weapon Enchanter', '1', '70599', '32742', '32813', '0', '0', '5', '0', '52', '0');
INSERT INTO `spawnlist_npc` VALUES ('87818', 'Armor Enchanter', '1', '70601', '32741', '32813', '0', '0', '5', '0', '52', '0');
INSERT INTO `spawnlist_npc` VALUES ('87819', 'Weapon Enchanter', '1', '70861', '32557', '32846', '0', '0', '5', '0', '64', '0');
INSERT INTO `spawnlist_npc` VALUES ('87820', 'Armor Enchanter', '1', '70865', '32557', '32845', '0', '0', '5', '0', '64', '0');
INSERT INTO `spawnlist_npc` VALUES ('87821', 'Weapon Enchanter', '1', '70655', '32861', '32800', '0', '0', '5', '0', '66', '0');
INSERT INTO `spawnlist_npc` VALUES ('87822', 'Armor Enchanter', '1', '70657', '32860', '32800', '0', '0', '5', '0', '66', '0');
INSERT INTO `spawnlist_npc` VALUES ('87823', 'Weapon Enchanter', '1', '70686', '32876', '32536', '0', '0', '5', '0', '300', '0');
INSERT INTO `spawnlist_npc` VALUES ('87824', 'Armor Enchanter', '1', '70692', '32875', '32536', '0', '0', '5', '0', '300', '0');
INSERT INTO `spawnlist_npc` VALUES ('87827', 'Goddess of Atonement', '1', '70801', '33149', '33348', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87828', 'Goddess of Atonement', '1', '70611', '33551', '32710', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87829', 'Goddess of Atonement', '1', '70781', '33657', '33186', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87830', 'Goddess of Atonement', '1', '70757', '34115', '32236', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87831', 'Goddess of Atonement', '1', '70530', '32634', '32812', '0', '0', '5', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('87832', 'Goddess of Atonement', '1', '70781', '32654', '33144', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87833', 'Goddess of Atonement', '1', '70823', '32778', '32389', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87834', 'Goddess of Atonement', '1', '70658', '33762', '32477', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87835', 'Goddess Ariel', '1', '70702', '33958', '33361', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87836', 'Goddess Agata', '1', '70701', '33958', '33366', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87837', 'Blood Pledge Administrator', '1', '70644', '33425', '32795', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87838', 'Blood Pledge Administrator', '1', '70884', '33604', '33225', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87839', 'Blood Pledge Administrator', '1', '70725', '33956', '33243', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87840', 'Blood Pledge Administrator', '1', '70538', '32579', '32922', '0', '0', '5', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('87841', 'Blood Pledge Administrator', '1', '70560', '33066', '32747', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87842', 'Blood Pledge Administrator', '1', '70790', '32639', '33182', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87843', 'Blood Pledge Administrator', '1', '70667', '33707', '32486', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87844', 'Secretary to the Mayor', '1', '70806', '33103', '33357', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87845', 'Secratary to the Mayor', '1', '70631', '33450', '32793', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87846', 'Secretary to the Mayor', '1', '70876', '33613', '33229', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87847', 'Secretary to the Mayor', '1', '70761', '34063', '32268', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87848', 'Secratary to the Mayor', '1', '70534', '32588', '32952', '0', '0', '6', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('87849', 'Secratary to the Mayor', '1', '70572', '32609', '32815', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87850', 'Secratary to the Mayor', '1', '70556', '33050', '32745', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87851', 'Secretary to the Mayor', '1', '70788', '32618', '33175', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87852', 'Secretary to the Mayor', '1', '70830', '32729', '32452', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87853', 'Secratary to the Mayor', '1', '70663', '33729', '32485', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87854', 'Village Manager', '1', '70799', '33102', '33357', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87855', 'Village Manager', '1', '70594', '33451', '32794', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87856', 'Village Manager', '1', '70860', '33611', '33229', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87857', 'Village Manager', '1', '70748', '34062', '32268', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87858', 'Village Manager', '1', '70528', '32588', '32953', '0', '0', '6', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('87859', 'Village Manager', '1', '70567', '32609', '32816', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87860', 'Village Manager', '1', '70546', '33049', '32745', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87861', 'Village Manager', '1', '70774', '32617', '33175', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87862', 'Village Manager', '1', '70815', '32728', '32452', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87863', 'Village Manager', '1', '70654', '33728', '32485', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87870', 'Detector', '1', '70742', '32795', '32841', '0', '0', '6', '0', '77', '0');
INSERT INTO `spawnlist_npc` VALUES ('87871', 'Ellyonne', '1', '70760', '32748', '32847', '0', '0', '5', '0', '76', '0');
INSERT INTO `spawnlist_npc` VALUES ('87872', 'Spirit of Kamyla', '1', '71036', '32736', '32819', '0', '0', '4', '0', '481', '0');
INSERT INTO `spawnlist_npc` VALUES ('88001', 'Guard', '1', '60513', '32739', '32788', '0', '0', '0', '0', '15', '0');
INSERT INTO `spawnlist_npc` VALUES ('88002', 'Guard', '1', '60513', '32739', '32792', '0', '0', '0', '0', '15', '0');
INSERT INTO `spawnlist_npc` VALUES ('88003', 'Guard', '1', '60513', '32739', '32796', '0', '0', '0', '0', '15', '0');
INSERT INTO `spawnlist_npc` VALUES ('88004', 'Guard', '1', '60513', '32739', '32800', '0', '0', '0', '0', '15', '0');
INSERT INTO `spawnlist_npc` VALUES ('88005', 'Guard', '1', '60513', '32734', '32788', '0', '0', '0', '0', '15', '0');
INSERT INTO `spawnlist_npc` VALUES ('88006', 'Guard', '1', '60513', '32734', '32792', '0', '0', '0', '0', '15', '0');
INSERT INTO `spawnlist_npc` VALUES ('88007', 'Guard', '1', '60513', '32734', '32796', '0', '0', '0', '0', '15', '0');
INSERT INTO `spawnlist_npc` VALUES ('88008', 'Guard', '1', '60513', '32734', '32800', '0', '0', '0', '0', '15', '0');
INSERT INTO `spawnlist_npc` VALUES ('88009', 'Court Guard', '1', '60514', '33107', '32769', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88010', 'Court Guard', '1', '60514', '33107', '32773', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88011', 'Court Guard', '1', '60514', '33149', '32812', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88012', 'Court Guard', '1', '60514', '33154', '32812', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88013', 'Court Guard', '1', '60514', '33167', '32766', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88014', 'Court Guard', '1', '60514', '33172', '32766', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88015', 'Gatekeeper', '1', '70549', '33110', '32769', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88016', 'Gatekeeper', '1', '70985', '33153', '32809', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88017', 'Gatekeeper', '1', '70656', '33172', '32761', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88018', 'Mercenary Captain Hunt', '1', '70562', '33125', '32799', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88019', 'Kent Mercenary Squad', '1', '60516', '33122', '32787', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88020', 'Kent Mercenary Squad', '1', '60516', '33123', '32787', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88021', 'Kent Mercenary Squad', '1', '60515', '33123', '32786', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88022', 'Kent Mercenary Squad', '1', '60515', '33122', '32786', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88023', 'Kent Mercenary Squad', '1', '60516', '33122', '32784', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88024', 'Kent Mercenary Squad', '1', '60516', '33123', '32784', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88025', 'Kent Mercenary Squad', '1', '60515', '33123', '32783', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88026', 'Kent Mercenary Squad', '1', '60515', '33122', '32783', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88027', 'Kent Mercenary Squad', '1', '60516', '33125', '32787', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88028', 'Kent Mercenary Squad', '1', '60516', '33126', '32787', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88029', 'Kent Mercenary Squad', '1', '60515', '33126', '32786', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88030', 'Kent Mercenary Squad', '1', '60515', '33125', '32786', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88031', 'Kent Mercenary Squad', '1', '60516', '33125', '32784', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88032', 'Kent Mercenary Squad', '1', '60516', '33126', '32784', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88033', 'Kent Mercenary Squad', '1', '60515', '33126', '32783', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88034', 'Kent Mercenary Squad', '1', '60515', '33125', '32783', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88035', 'Orcish Court Guard', '1', '60560', '32783', '32314', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88036', 'Orcish Court Guard', '1', '60560', '32784', '32314', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88037', 'Orcish Court Guard', '1', '60560', '32793', '32314', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88038', 'Orcish Court Guard', '1', '60560', '32794', '32314', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88039', 'Orcish Court Guard', '1', '60560', '32778', '32330', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88040', 'Gatekeeper', '1', '70600', '32788', '32324', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88041', 'Kentu Neruga', '1', '70831', '32774', '32305', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88042', 'Gludin Guard', '1', '60528', '32725', '32792', '0', '0', '5', '0', '52', '0');
INSERT INTO `spawnlist_npc` VALUES ('88043', 'Gludin Guard', '1', '60528', '32725', '32796', '0', '0', '5', '0', '52', '0');
INSERT INTO `spawnlist_npc` VALUES ('88044', 'Gludin Guard', '1', '60528', '32725', '32803', '0', '0', '5', '0', '52', '0');
INSERT INTO `spawnlist_npc` VALUES ('88045', 'Gludin Guard', '1', '60528', '32725', '32807', '0', '0', '5', '0', '52', '0');
INSERT INTO `spawnlist_npc` VALUES ('88046', 'Gludin Guard', '1', '60528', '32732', '32792', '0', '0', '5', '0', '52', '0');
INSERT INTO `spawnlist_npc` VALUES ('88047', 'Gludin Guard', '1', '60528', '32732', '32796', '0', '0', '5', '0', '52', '0');
INSERT INTO `spawnlist_npc` VALUES ('88048', 'Gludin Guard', '1', '60528', '32732', '32803', '0', '0', '5', '0', '52', '0');
INSERT INTO `spawnlist_npc` VALUES ('88049', 'Gludin Guard', '1', '60528', '32732', '32807', '0', '0', '5', '0', '52', '0');
INSERT INTO `spawnlist_npc` VALUES ('88050', 'Court Guard', '1', '60529', '33636', '32741', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88051', 'Court Guard', '1', '60529', '33626', '32741', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88052', 'Court Guard', '1', '60529', '33575', '32674', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88053', 'Court Guard', '1', '60529', '33575', '32682', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88054', 'Court Guard', '1', '60529', '33603', '32674', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88055', 'Court Guard', '1', '60529', '33603', '32682', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88056', 'Court Guard', '1', '60529', '33628', '32707', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88057', 'Court Guard', '1', '60529', '33635', '32707', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88058', 'Court Guard', '1', '60529', '33660', '32674', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88059', 'Court Guard', '1', '60529', '33660', '32681', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88060', 'Gatekeeper', '1', '70800', '33635', '32738', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88061', 'Gatekeeper', '1', '70988', '33578', '32675', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88062', 'Gatekeeper', '1', '70989', '33607', '32679', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88063', 'Gatekeeper', '1', '70990', '33635', '32704', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88064', 'Gatekeeper', '1', '70991', '33657', '32679', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88065', 'Gatekeeper', '1', '70817', '33633', '32662', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88066', 'Colbert', '1', '70633', '33669', '32694', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88067', 'Giran Mercenary Squad', '1', '60527', '33641', '32660', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88068', 'Giran Mercenary Squad', '1', '60527', '33642', '32660', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88069', 'Giran Mercenary Squad', '1', '60526', '33649', '32661', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88070', 'Giran Mercenary Squad', '1', '60526', '33648', '32661', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88071', 'Giran Mercenary Squad', '1', '60527', '33643', '32660', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88072', 'Giran Mercenary Squad', '1', '60527', '33644', '32660', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88073', 'Giran Mercenary Squad', '1', '60526', '33647', '32661', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88074', 'Giran Mercenary Squad', '1', '60526', '33646', '32661', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88075', 'Giran Mercenary Squad', '1', '60527', '33646', '32660', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88076', 'Giran Mercenary Squad', '1', '60527', '33647', '32660', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88077', 'Giran Mercenary Squad', '1', '60526', '33644', '32661', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88078', 'Giran Mercenary Squad', '1', '60526', '33643', '32661', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88079', 'Giran Mercenary Squad', '1', '60527', '33648', '32660', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88080', 'Giran Mercenary Squad', '1', '60527', '33649', '32660', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88081', 'Giran Mercenary Squad', '1', '60526', '33642', '32661', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88082', 'Giran Mercenary Squad', '1', '60526', '33641', '32661', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88083', 'Windawood Castle Guard', '1', '60551', '32732', '32789', '0', '0', '5', '0', '29', '0');
INSERT INTO `spawnlist_npc` VALUES ('88084', 'Windawood Castle Guard', '1', '60551', '32732', '32794', '0', '0', '5', '0', '29', '0');
INSERT INTO `spawnlist_npc` VALUES ('88085', 'Windawood Castle Guard', '1', '60551', '32732', '32798', '0', '0', '5', '0', '29', '0');
INSERT INTO `spawnlist_npc` VALUES ('88086', 'Windawood Castle Guard', '1', '60551', '32732', '32802', '0', '0', '5', '0', '29', '0');
INSERT INTO `spawnlist_npc` VALUES ('88087', 'Windawood Castle Guard', '1', '60551', '32737', '32789', '0', '0', '5', '0', '29', '0');
INSERT INTO `spawnlist_npc` VALUES ('88088', 'Windawood Castle Guard', '1', '60551', '32737', '32794', '0', '0', '5', '0', '29', '0');
INSERT INTO `spawnlist_npc` VALUES ('88089', 'Windawood Castle Guard', '1', '60551', '32737', '32798', '0', '0', '5', '0', '29', '0');
INSERT INTO `spawnlist_npc` VALUES ('88090', 'Windawood Castle Guard', '1', '60551', '32737', '32802', '0', '0', '5', '0', '29', '0');
INSERT INTO `spawnlist_npc` VALUES ('88091', 'Court Guard', '1', '60552', '32622', '33441', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88092', 'Court Guard', '1', '60552', '32627', '33441', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88093', 'Court Guard', '1', '60552', '32585', '33407', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88094', 'Court Guard', '1', '60552', '32585', '33411', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88095', 'Court Guard', '1', '60552', '32616', '33401', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88096', 'Court Guard', '1', '60552', '32625', '33401', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88097', 'Court Guard', '1', '60552', '32673', '33400', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88098', 'Court Guard', '1', '60552', '32678', '33400', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88099', 'Gatekeeper', '1', '70986', '32830', '32291', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88103', 'Gatekeeper', '1', '70687', '32626', '33438', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88104', 'Gatekeeper', '1', '70987', '32588', '33407', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88105', 'Gatekeeper', '1', '70778', '32679', '33393', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88106', 'Halt', '1', '70789', '32644', '33426', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88107', 'Windawood Mercenary Squad', '1', '60553', '32643', '33417', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88108', 'Windawood Mercenary Squad', '1', '60553', '32642', '33417', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88109', 'Windawood Mercenary Squad', '1', '60554', '32639', '33418', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88110', 'Windawood Mercenary Squad', '1', '60554', '32640', '33418', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88111', 'Windawood Mercenary Squad', '1', '60553', '32640', '33417', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88112', 'Windawood Mercenary Squad', '1', '60553', '32639', '33417', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88113', 'Windawood Mercenary Squad', '1', '60554', '32642', '33418', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88114', 'Windawood Mercenary Squad', '1', '60554', '32643', '33418', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88115', 'Windawood Mercenary Squad', '1', '60553', '32643', '33414', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88116', 'Windawood Mercenary Squad', '1', '60553', '32642', '33414', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88117', 'Windawood Mercenary Squad', '1', '60554', '32639', '33415', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88118', 'Windawood Mercenary Squad', '1', '60554', '32640', '33415', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88119', 'Windawood Mercenary Squad', '1', '60553', '32640', '33414', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88120', 'Windawood Mercenary Squad', '1', '60553', '32639', '33414', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88121', 'Windawood Mercenary Squad', '1', '60554', '32642', '33415', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88122', 'Windawood Mercenary Squad', '1', '60554', '32643', '33415', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88123', 'Heine Guard', '1', '70857', '32568', '32841', '0', '0', '4', '0', '64', '0');
INSERT INTO `spawnlist_npc` VALUES ('88124', 'Heine Guard', '1', '70857', '32576', '32841', '0', '0', '4', '0', '64', '0');
INSERT INTO `spawnlist_npc` VALUES ('88125', 'Heine Guard', '1', '70857', '32565', '32829', '0', '0', '6', '0', '64', '0');
INSERT INTO `spawnlist_npc` VALUES ('88126', 'Heine Guard', '1', '70857', '32565', '32837', '0', '0', '6', '0', '64', '0');
INSERT INTO `spawnlist_npc` VALUES ('88127', 'Heine Guard', '1', '70857', '32568', '32820', '0', '0', '4', '0', '64', '0');
INSERT INTO `spawnlist_npc` VALUES ('88128', 'Heine Guard', '1', '70857', '32576', '32820', '0', '0', '4', '0', '64', '0');
INSERT INTO `spawnlist_npc` VALUES ('88129', 'Heine Guard', '1', '70857', '32579', '32829', '0', '0', '2', '0', '64', '0');
INSERT INTO `spawnlist_npc` VALUES ('88130', 'Heine Guard', '1', '70857', '32579', '32837', '0', '0', '2', '0', '64', '0');
INSERT INTO `spawnlist_npc` VALUES ('88131', 'Heine Guard', '1', '70857', '33522', '33325', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88132', 'Heine Guard', '1', '70857', '33527', '33325', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88133', 'Heine Guard', '1', '70857', '33516', '33433', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88134', 'Heine Guard', '1', '70857', '33528', '33433', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88135', 'Heine Guard', '1', '70857', '33520', '33389', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88136', 'Heine Guard', '1', '70857', '33526', '33389', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88137', 'Heine Guard', '1', '70857', '33521', '33482', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88138', 'Heine Guard', '1', '70857', '33525', '33482', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88139', 'Heine Guard', '1', '70857', '33499', '33372', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88140', 'Heine Guard', '1', '70857', '33551', '33372', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88141', 'Heine Gatekeeper', '1', '70862', '33526', '33330', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88142', 'Heine Gatekeeper', '1', '70862', '33526', '33352', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88143', 'Heine Gatekeeper', '1', '70863', '33520', '33387', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88144', 'Gatekeeper', '1', '70992', '33525', '33475', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88145', 'Gatekeeper', '1', '70992', '33524', '33455', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88146', 'Vaiger', '1', '70882', '33515', '33444', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88147', 'Heine Mercenary Squad', '1', '70881', '33494', '33406', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88148', 'Heine Mercenary Squad', '1', '70881', '33495', '33406', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88149', 'Heine Mercenary Squad', '1', '70881', '33496', '33406', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88150', 'Heine Mercenary Squad', '1', '70881', '33498', '33406', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88151', 'Heine Mercenary Squad', '1', '70881', '33499', '33406', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88152', 'Heine Mercenary Squad', '1', '70881', '33500', '33406', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88153', 'Heine Mercenary Squad', '1', '70881', '33494', '33405', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88154', 'Heine Mercenary Squad', '1', '70881', '33495', '33405', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88155', 'Heine Mercenary Squad', '1', '70881', '33496', '33405', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88156', 'Heine Mercenary Squad', '1', '70881', '33498', '33405', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88157', 'Heine Mercenary Squad', '1', '70881', '33499', '33405', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88158', 'Heine Mercenary Squad', '1', '70881', '33500', '33405', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88159', 'Heine Mercenary Squad', '1', '70881', '33494', '33403', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88160', 'Heine Mercenary Squad', '1', '70881', '33495', '33403', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88161', 'Heine Mercenary Squad', '1', '70881', '33496', '33403', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88162', 'Heine Mercenary Squad', '1', '70881', '33498', '33403', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88163', 'Heine Mercenary Squad', '1', '70881', '33499', '33403', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88164', 'Heine Mercenary Squad', '1', '70881', '33500', '33403', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88165', 'Heine Mercenary Squad', '1', '70881', '33494', '33402', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88166', 'Heine Mercenary Squad', '1', '70881', '33495', '33402', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88167', 'Heine Mercenary Squad', '1', '70881', '33496', '33402', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88168', 'Heine Mercenary Squad', '1', '70881', '33498', '33402', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88169', 'Heine Mercenary Squad', '1', '70881', '33499', '33402', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88170', 'Heine Mercenary Squad', '1', '70881', '33500', '33402', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88171', 'Gatekeeper', '1', '70993', '32814', '32889', '0', '0', '4', '0', '66', '0');
INSERT INTO `spawnlist_npc` VALUES ('88172', 'Gatekeeper', '1', '70994', '32778', '32856', '0', '0', '6', '0', '66', '0');
INSERT INTO `spawnlist_npc` VALUES ('88173', 'Gatekeeper', '1', '70995', '32844', '32812', '0', '0', '6', '0', '66', '0');
INSERT INTO `spawnlist_npc` VALUES ('88185', 'Dwarf Guard', '1', '60531', '33627', '32367', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88186', 'Dwarf Guard', '1', '60531', '33627', '32374', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88187', 'Dwarf Guard', '1', '60531', '33671', '32413', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88188', 'Dwarf Guard', '1', '60531', '33678', '32413', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88189', 'Freckson', '1', '70666', '32864', '32804', '0', '0', '5', '0', '66', '0');
INSERT INTO `spawnlist_npc` VALUES ('88190', 'Biust', '1', '70695', '32892', '32524', '0', '0', '4', '0', '300', '0');
INSERT INTO `spawnlist_npc` VALUES ('88191', 'Gatekeeper', '1', '70996', '34092', '33205', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88192', 'Aden Castle Guard', '1', '60533', '34096', '33206', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88193', 'Aden Castle Guard', '1', '60534', '34094', '33323', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88194', 'Aden Castle Guard', '1', '60534', '34084', '33306', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88195', 'Aden Castle Guard', '1', '60534', '34018', '33237', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88196', 'Aden Castle Guard', '1', '60534', '34034', '33236', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88197', 'Aden Castle Guard', '1', '60534', '34154', '33253', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88198', 'Aden Castle Guard', '1', '60534', '34140', '33254', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88199', 'Aden Castle Guard', '1', '60534', '34081', '33252', '0', '0', '7', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88200', 'Aden Castle Guard', '1', '60534', '34096', '33214', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88201', 'Aden Castle Guard', '1', '60534', '34060', '33227', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88202', 'Aden Castle Guard', '1', '60534', '34126', '33288', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88203', 'Aden Castle Guard', '1', '60533', '34080', '33323', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88204', 'Aden Castle Guard', '1', '60533', '34094', '33306', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88205', 'Aden Castle Guard', '1', '60533', '34018', '33259', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88206', 'Aden Castle Guard', '1', '60533', '34034', '33251', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88207', 'Aden Castle Guard', '1', '60533', '34154', '33265', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88208', 'Aden Castle Guard', '1', '60533', '34140', '33266', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88209', 'Aden Castle Guard', '1', '60533', '34098', '33269', '0', '0', '3', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88210', 'Aden Castle Guard', '1', '60533', '34082', '33214', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88211', 'Aden Castle Guard', '1', '60533', '34060', '33288', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88212', 'Aden Castle Guard', '1', '60533', '34126', '33227', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88213', 'Aden Mercenary Squad', '1', '60539', '34111', '33207', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88214', 'Aden Mercenary Squad', '1', '60539', '34112', '33207', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88215', 'Aden Mercenary Squad', '1', '60540', '34111', '33209', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88216', 'Aden Mercenary Squad', '1', '60540', '34112', '33209', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88217', 'Aden Mercenary Squad', '1', '60539', '34113', '33207', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88218', 'Aden Mercenary Squad', '1', '60539', '34114', '33207', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88219', 'Aden Mercenary Squad', '1', '60540', '34113', '33209', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88220', 'Aden Mercenary Squad', '1', '60540', '34114', '33209', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88221', 'Aden Mercenary Squad', '1', '60539', '34116', '33207', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88222', 'Aden Mercenary Squad', '1', '60539', '34117', '33207', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88223', 'Aden Mercenary Squad', '1', '60540', '34116', '33209', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88224', 'Aden Mercenary Squad', '1', '60540', '34117', '33209', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88225', 'Aden Mercenary Squad', '1', '60539', '34118', '33207', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88226', 'Aden Mercenary Squad', '1', '60539', '34119', '33207', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88227', 'Aden Mercenary Squad', '1', '60540', '34118', '33209', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88228', 'Aden Mercenary Squad', '1', '60540', '34119', '33209', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89001', 'Guard', '1', '70809', '32671', '32787', '0', '0', '5', '0', '3', '0');
INSERT INTO `spawnlist_npc` VALUES ('89002', 'Guard', '1', '70809', '32667', '32787', '0', '0', '5', '0', '3', '0');
INSERT INTO `spawnlist_npc` VALUES ('89003', 'Gerard Mercenary Squad', '1', '60558', '33099', '33351', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89004', 'Gerard Mercenary Squad', '1', '60559', '33097', '33351', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89005', 'Guard', '1', '60501', '33067', '33421', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89006', 'Guard', '1', '60502', '33061', '33421', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89007', 'Guard', '1', '60501', '33081', '33360', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89008', 'Guard', '1', '60502', '33081', '33368', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89009', 'Guard', '1', '60501', '33120', '33351', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89010', 'Guard', '1', '60502', '33123', '33353', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89011', 'Guard', '1', '60501', '33110', '33400', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89012', 'Guard', '1', '60502', '33115', '33400', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89013', 'Guard', '1', '60510', '32582', '33191', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89014', 'Guard', '1', '60517', '32582', '33197', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89015', 'Guard', '1', '60510', '32610', '33152', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89016', 'Guard', '1', '60517', '32619', '33152', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89017', 'Guard', '1', '60510', '32645', '33168', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89018', 'Guard', '1', '60517', '32645', '33175', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89019', 'Guard', '1', '60510', '32645', '33220', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89020', 'Guard', '1', '60517', '32638', '33222', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89021', 'Guard', '1', '60508', '33030', '32771', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89022', 'Guard', '1', '60509', '33030', '32763', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89023', 'Guard', '1', '60501', '32565', '32930', '0', '0', '6', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('89024', 'Guard', '1', '60502', '32565', '32925', '0', '0', '6', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('89025', 'Guard', '1', '60502', '32591', '32905', '0', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('89026', 'Guard', '1', '60501', '32596', '32905', '0', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('89027', 'Guard', '1', '60501', '32607', '32947', '0', '0', '2', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('89028', 'Guard', '1', '60502', '32607', '32941', '0', '0', '2', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('89029', 'Guard', '1', '60501', '32574', '32980', '0', '0', '4', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('89030', 'Guard', '1', '60502', '32569', '32980', '0', '0', '4', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('89031', 'Guard', '1', '60501', '32543', '32962', '0', '0', '6', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('89032', 'Guard', '1', '60502', '32543', '32955', '0', '0', '6', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('89033', 'Guard', '1', '60502', '32561', '33086', '0', '0', '5', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('89034', 'Guard', '1', '60506', '32620', '32829', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89035', 'Guard', '1', '60507', '32623', '32829', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89036', 'Guard', '1', '60506', '32633', '32757', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89037', 'Guard', '1', '60507', '32633', '32760', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89038', 'Guard', '1', '60506', '32632', '32727', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89039', 'Guard', '1', '60507', '32632', '32731', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89040', 'Guard', '1', '60506', '32615', '32707', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89041', 'Guard', '1', '60507', '32620', '32707', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89042', 'Dwarf Guard', '1', '60530', '33680', '32513', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89043', 'Dwarf Guard', '1', '60530', '33680', '32515', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89044', 'Dwarf Guard', '1', '60530', '33718', '32470', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89045', 'Dwarf Guard', '1', '60530', '33723', '32470', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89046', 'Dwarf Guard', '1', '60530', '33727', '32521', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89047', 'Dwarf Guard', '1', '60530', '33732', '32521', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89048', 'Dwarf Guard', '1', '60530', '33664', '32479', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89050', 'Heine Guard', '1', '70857', '33590', '33193', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89051', 'Heine Guard', '1', '70857', '33597', '33193', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89052', 'Heine Guard', '1', '70857', '33655', '33224', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89053', 'Heine Guard', '1', '70857', '33655', '33230', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89054', 'Heine Guard', '1', '70857', '33613', '33323', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89055', 'Heine Guard', '1', '70857', '33613', '33330', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89056', 'Heine Guard', '1', '70857', '33647', '33436', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89057', 'Heine Guard', '1', '70857', '33604', '33445', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89058', 'Heine Guard', '1', '70857', '33558', '33237', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89059', 'Heine Guard', '1', '70857', '33558', '33244', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89060', 'Guard', '1', '60523', '34029', '32276', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89061', 'Guard', '1', '60522', '34029', '32288', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89062', 'Guard', '1', '60523', '34064', '32330', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89063', 'Guard', '1', '60522', '34053', '32330', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89064', 'Aden Guard', '1', '60537', '34039', '33434', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89065', 'Aden Guard', '1', '60538', '34044', '33434', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89066', 'Aden Guard', '1', '60537', '33856', '33359', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89067', 'Aden Guard', '1', '60538', '33856', '33366', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89068', 'Aden Guard', '1', '60537', '33853', '33246', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89069', 'Aden Guard', '1', '60538', '33853', '33254', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89070', 'Aden Guard', '1', '60537', '33856', '33136', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89071', 'Aden Guard', '1', '60538', '33856', '33143', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89072', 'Aden Guard', '1', '60537', '34164', '33151', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89073', 'Aden Guard', '1', '60538', '34164', '33158', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89074', 'Court Guard', '1', '60525', '33513', '32784', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89075', 'Court Guard', '1', '60524', '33512', '32791', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89076', 'Court Guard', '1', '60525', '33362', '32886', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89077', 'Court Guard', '1', '60524', '33365', '32890', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89078', 'Court Guard', '1', '60525', '33346', '32825', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89079', 'Court Guard', '1', '60524', '33344', '32835', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89080', 'Court Guard', '1', '60525', '33338', '32742', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89081', 'Court Guard', '1', '60524', '33339', '32751', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89082', 'Court Guard', '1', '60525', '33332', '32689', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89083', 'Court Guard', '1', '60524', '33332', '32698', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89084', 'Court Guard', '1', '60525', '33358', '32642', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89085', 'Court Guard', '1', '60524', '33366', '32643', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89086', 'Court Guard', '1', '60525', '33407', '32635', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89087', 'Court Guard', '1', '60524', '33416', '32636', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89091', 'Guard', '1', '60501', '32619', '32957', '0', '0', '6', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('89092', 'Guard', '1', '60502', '32619', '32963', '0', '0', '6', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('89501', 'Evilman', '1', '70511', '32682', '32866', '0', '0', '4', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('89502', 'Goodman', '1', '70503', '32678', '32866', '0', '0', '4', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('89503', 'Neutralman', '1', '70504', '32680', '32866', '0', '0', '4', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('89504', 'Evilman', '1', '70511', '32819', '32748', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('89505', 'Goodman', '1', '70503', '32815', '32748', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('89506', 'Neutralman', '1', '70504', '32817', '32748', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('89507', 'Dunham', '1', '70796', '33087', '33385', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89508', 'Shop (Daggers)', '1', '81003', '33063', '33390', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89509', 'Shop (Swords)', '1', '81004', '33063', '33391', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89510', 'Shop (Swords)', '1', '81005', '33063', '33392', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89511', 'Shop (Polearm)', '1', '81006', '33063', '33393', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89512', 'Shop (Blunts)', '1', '81007', '33063', '33394', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89513', 'Shop (Edoryu)', '1', '81008', '33063', '33395', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89514', 'Shop (Claws)', '1', '81009', '33063', '33396', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89515', 'Shop (Staves)', '1', '81010', '33063', '33397', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89516', 'Shop (Bows)', '1', '81011', '33063', '33398', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89517', 'Shop (Helmets)', '1', '81012', '33079', '33383', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89518', 'Shop (Shields)', '1', '81013', '33078', '33383', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89519', 'Shop (Gloves)', '1', '81014', '33077', '33383', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89520', 'Shop (Boots)', '1', '81015', '33076', '33383', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89521', 'Shop (Shirts)', '1', '81016', '33075', '33383', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89522', 'Shop (Armor)', '1', '81017', '33074', '33383', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89523', 'Shop (Cloaks)', '1', '81018', '33073', '33383', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89524', 'Shop (Amulets)', '1', '81019', '33088', '33390', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89525', 'Shop (Rings)', '1', '81020', '33089', '33390', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89526', 'Shop (Belt)', '1', '81021', '33090', '33390', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89527', 'Magic Shop (Spellbooks)', '1', '81022', '33094', '33401', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89528', 'Magic Shop (Elf)', '1', '81023', '33094', '33402', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89529', 'Magic Shop (Dark Elf)', '1', '81024', '33094', '33403', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89530', 'Magic Shop (Knights)', '1', '81025', '33094', '33404', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89531', 'Magic Shop (Royals)', '1', '81026', '33094', '33405', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89532', 'Shop (Pots)', '1', '81027', '33091', '33390', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89533', 'Shop (Scrolls)', '1', '81028', '33092', '33390', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89534', 'Shop (Tel Scrolls)', '1', '81029', '33093', '33390', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89535', 'Shop (Earrings)', '1', '81002', '33072', '33383', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('89536', 'Unknown 81110', '1', '81110', '32565', '33082', '0', '0', '4', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('89537', 'Guardian Tower', '1', '81111', '32800', '32290', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89538', 'Guardian Tower', '1', '81111', '33170', '32774', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89539', 'Guardian Tower', '1', '81111', '32675', '33408', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89540', 'Guardian Tower', '1', '81111', '33631', '32678', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89541', 'Guardian Tower', '1', '81111', '33524', '33396', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89542', 'Guardian Tower', '1', '81111', '32828', '32818', '0', '0', '5', '0', '66', '0');
INSERT INTO `spawnlist_npc` VALUES ('89543', 'Guardian Tower', '1', '81111', '34090', '33260', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89544', 'Guardian Tower', '1', '81111', '33033', '32895', '0', '0', '5', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('89545', 'Rader', '1', '81112', '32782', '32785', '0', '0', '4', '0', '25', '0');
INSERT INTO `spawnlist_npc` VALUES ('89546', 'Psuedo Shadow of Flame', '1', '81114', '32733', '32796', '0', '0', '4', '0', '12', '0');
INSERT INTO `spawnlist_npc` VALUES ('89547', 'Black Knight Captainn', '1', '81115', '32750', '32735', '0', '0', '4', '0', '28', '0');
INSERT INTO `spawnlist_npc` VALUES ('89548', 'Hagutin', '1', '81113', '32966', '32923', '0', '0', '6', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('89551', 'Fettered Soul', '1', '81118', '32736', '32796', '0', '0', '5', '0', '12', '0');
INSERT INTO `spawnlist_npc` VALUES ('89552', 'Anton', '1', '70614', '33447', '32743', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89553', 'Lary\'s Assistant', '1', '81119', '33798', '32230', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89554', 'Servant of Kalbas', '1', '81120', '32775', '32992', '0', '0', '6', '0', '400', '0');
INSERT INTO `spawnlist_npc` VALUES ('89555', 'Ancient Spirit', '1', '81121', '32731', '32804', '0', '0', '4', '0', '444', '0');
INSERT INTO `spawnlist_npc` VALUES ('89556', 'Ancient Person', '1', '50625', '32746', '32875', '0', '0', '6', '0', '2001', '0');
INSERT INTO `spawnlist_npc` VALUES ('89557', 'Ancient Person', '1', '50625', '32812', '32793', '0', '0', '6', '0', '2001', '0');
INSERT INTO `spawnlist_npc` VALUES ('89558', 'Ancient Person', '1', '50625', '32742', '32721', '0', '0', '4', '0', '2001', '0');
INSERT INTO `spawnlist_npc` VALUES ('89559', 'Ancient Person', '1', '50625', '32658', '32809', '0', '0', '2', '0', '2001', '0');
INSERT INTO `spawnlist_npc` VALUES ('89561', 'Chamberlain of Yahee', '1', '80047', '32741', '32865', '0', '0', '4', '0', '522', '0');
INSERT INTO `spawnlist_npc` VALUES ('89562', 'Twisting of Space', '1', '80048', '34267', '32188', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('89563', 'Unknown 80049', '1', '80049', '32734', '32923', '0', '0', '0', '0', '522', '0');
INSERT INTO `spawnlist_npc` VALUES ('89564', 'Unknown 80050', '1', '80050', '32734', '32865', '0', '0', '4', '0', '522', '0');
INSERT INTO `spawnlist_npc` VALUES ('89565', 'Harbor Master', '0', '81000', '32652', '32953', '0', '0', '4', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('89566', 'Yahee', '1', '80051', '32684', '32871', '0', '0', '6', '0', '608', '0');
INSERT INTO `spawnlist_npc` VALUES ('89567', 'Unknown 80052', '1', '80052', '32733', '32891', '0', '0', '6', '0', '608', '0');
INSERT INTO `spawnlist_npc` VALUES ('89568', 'Unknown 80053', '1', '80053', '32703', '32889', '0', '0', '0', '0', '608', '0');
INSERT INTO `spawnlist_npc` VALUES ('89569', 'Unknown 80054', '1', '80054', '32709', '32895', '0', '0', '2', '0', '608', '0');
INSERT INTO `spawnlist_npc` VALUES ('89570', 'Unknown 80055', '1', '80055', '32702', '32900', '0', '0', '4', '0', '608', '0');
INSERT INTO `spawnlist_npc` VALUES ('89571', 'Unknown 80056', '1', '80056', '32697', '32895', '0', '0', '6', '0', '608', '0');
INSERT INTO `spawnlist_npc` VALUES ('89572', 'Alfons', '1', '80057', '33453', '32848', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('89573', 'Unknown 80058', '1', '80058', '32760', '33459', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('89574', 'Unknown 80059', '1', '80059', '32743', '32858', '0', '0', '4', '0', '601', '0');
INSERT INTO `spawnlist_npc` VALUES ('89575', 'Unknown 80060', '1', '80060', '32754', '32786', '0', '0', '4', '0', '601', '0');
INSERT INTO `spawnlist_npc` VALUES ('89576', 'Unknown 80061', '1', '80061', '32839', '32870', '0', '0', '4', '0', '601', '0');
INSERT INTO `spawnlist_npc` VALUES ('89577', 'Unknown 80062', '1', '80062', '32832', '32787', '0', '0', '4', '0', '601', '0');
INSERT INTO `spawnlist_npc` VALUES ('89578', 'Unknown 80063', '1', '80063', '32868', '32834', '0', '0', '4', '0', '601', '0');
INSERT INTO `spawnlist_npc` VALUES ('89579', 'Unknown 80064', '1', '80064', '32848', '32826', '0', '0', '4', '0', '601', '0');
INSERT INTO `spawnlist_npc` VALUES ('89580', 'Agent of Varlok', '1', '80065', '32852', '32838', '0', '0', '0', '0', '601', '0');
INSERT INTO `spawnlist_npc` VALUES ('89581', 'Unknown 80066', '1', '80066', '32848', '32838', '0', '0', '0', '0', '601', '0');
INSERT INTO `spawnlist_npc` VALUES ('89582', 'Unknown 80067', '1', '80067', '32831', '32793', '0', '0', '2', '0', '778', '0');
INSERT INTO `spawnlist_npc` VALUES ('89583', 'Incarnation of Varlok', '1', '80068', '32730', '32831', '0', '0', '6', '0', '602', '0');
INSERT INTO `spawnlist_npc` VALUES ('89584', 'Lesser Demon', '1', '80069', '32728', '32828', '0', '0', '4', '0', '602', '0');
INSERT INTO `spawnlist_npc` VALUES ('89585', 'Lesser Demon', '1', '80070', '32728', '32834', '0', '0', '0', '0', '602', '0');
INSERT INTO `spawnlist_npc` VALUES ('89586', 'Assistant of Varlok', '1', '80071', '32724', '32834', '0', '0', '0', '0', '602', '0');
INSERT INTO `spawnlist_npc` VALUES ('89587', 'Blacksmith of Varlok', '1', '80072', '32724', '32828', '0', '0', '4', '0', '602', '0');
INSERT INTO `spawnlist_npc` VALUES ('89588', 'Unknown 80073', '1', '80073', '32721', '32830', '0', '0', '6', '0', '602', '0');
INSERT INTO `spawnlist_npc` VALUES ('89589', 'Unknown 80074', '1', '80074', '32722', '32823', '0', '0', '6', '0', '602', '0');
INSERT INTO `spawnlist_npc` VALUES ('89590', 'Beheak', '1', '80075', '32831', '32695', '0', '0', '6', '0', '550', '0');
INSERT INTO `spawnlist_npc` VALUES ('89591', 'Rotting Voyager', '1', '80076', '32756', '32852', '0', '0', '5', '0', '550', '0');
INSERT INTO `spawnlist_npc` VALUES ('89592', 'Unknown 80077', '1', '80077', '32846', '32691', '0', '0', '6', '0', '550', '0');
INSERT INTO `spawnlist_npc` VALUES ('90001', 'Unknown 70997', '1', '70997', '32738', '32798', '0', '0', '6', '0', '8013', '0');
INSERT INTO `spawnlist_npc` VALUES ('90002', 'Unknown 70999', '1', '70999', '32832', '32845', '0', '0', '6', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90003', 'Unknown 71000', '1', '71000', '32742', '32720', '0', '0', '4', '0', '8014', '0');
INSERT INTO `spawnlist_npc` VALUES ('90004', 'Haste Master', '1', '70514', '32740', '32720', '0', '0', '4', '0', '8014', '0');
INSERT INTO `spawnlist_npc` VALUES ('90005', 'Haste Master', '1', '70514', '32750', '32737', '0', '0', '6', '0', '8014', '0');
INSERT INTO `spawnlist_npc` VALUES ('90006', 'Haste Master', '1', '70514', '32740', '32738', '0', '0', '4', '0', '8014', '0');
INSERT INTO `spawnlist_npc` VALUES ('90007', 'Haste Master', '1', '70514', '32740', '32753', '0', '0', '4', '0', '8014', '0');
INSERT INTO `spawnlist_npc` VALUES ('90008', 'Healer', '1', '71037', '32744', '32720', '0', '0', '4', '0', '8014', '0');
INSERT INTO `spawnlist_npc` VALUES ('90009', 'Healer', '1', '71037', '32750', '32738', '0', '0', '6', '0', '8014', '0');
INSERT INTO `spawnlist_npc` VALUES ('90010', 'Healer', '1', '71037', '32739', '32738', '0', '0', '4', '0', '8014', '0');
INSERT INTO `spawnlist_npc` VALUES ('90011', 'Healer', '1', '71037', '32739', '32753', '0', '0', '4', '0', '8014', '0');
INSERT INTO `spawnlist_npc` VALUES ('90012', 'Unknown 70998', '1', '70998', '32832', '32841', '0', '0', '5', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90013', 'Unknown 60037', '1', '60037', '32826', '32851', '0', '0', '5', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90014', 'Unknown 70004', '1', '70004', '32821', '32847', '0', '0', '4', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90015', 'Unknown 71001', '1', '71001', '32809', '32845', '0', '0', '6', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90016', 'Siriss', '1', '70003', '32857', '32839', '0', '0', '4', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90017', 'Haste Master', '1', '70514', '32816', '32847', '0', '0', '4', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90018', 'Haste Master', '1', '70514', '32830', '32860', '0', '0', '6', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90019', 'Haste Master', '1', '70514', '32797', '32804', '0', '0', '5', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90020', 'Haste Master', '1', '70514', '32835', '32790', '0', '0', '6', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90021', 'Haste Master', '1', '70514', '32864', '32800', '0', '0', '4', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90022', 'Haste Master', '1', '70514', '32873', '32824', '0', '0', '4', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90023', 'Haste Master', '1', '70514', '32806', '32860', '0', '0', '2', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90024', 'Healer', '1', '70512', '32814', '32847', '0', '0', '4', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90025', 'Healer', '1', '70512', '32827', '32786', '0', '0', '4', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90026', 'Healer', '1', '70512', '32874', '32833', '0', '0', '7', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90027', 'Unknown 71002', '1', '71002', '32830', '32861', '0', '0', '6', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90028', 'Unknown 71002', '1', '71002', '32806', '32861', '0', '0', '2', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90029', 'Unknown 71002', '1', '71002', '32798', '32805', '0', '0', '5', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90030', 'Unknown 71002', '1', '71002', '32835', '32791', '0', '0', '6', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90031', 'Unknown 71002', '1', '71002', '32863', '32800', '0', '0', '4', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90032', 'Unknown 71002', '1', '71002', '32872', '32824', '0', '0', '4', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90033', 'Unknown 50082', '1', '50082', '32840', '32849', '0', '0', '6', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90034', 'Unknown 50082', '1', '50082', '32804', '32857', '0', '0', '2', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90035', 'Unknown 50082', '1', '50082', '32791', '32790', '0', '0', '4', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90036', 'Unknown 50082', '1', '50082', '32872', '32806', '0', '0', '4', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90037', 'Barnia', '1', '50001', '32809', '32828', '0', '0', '5', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90038', 'Unknown 71003', '1', '71003', '32800', '32785', '0', '0', '4', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90039', 'Unknown 71004', '1', '71004', '32801', '32786', '0', '0', '6', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90040', 'Ruba', '1', '70506', '32794', '32839', '0', '0', '4', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90041', 'Unknown 71005', '1', '71005', '32835', '32849', '0', '0', '4', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90042', 'Unknown 71006', '1', '71006', '32841', '32846', '0', '0', '5', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90043', 'Unknown 71007', '1', '71007', '32862', '32797', '0', '0', '6', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90044', 'Unknown 71014', '1', '71014', '32876', '32828', '0', '0', '6', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90045', 'Unknown 71015', '1', '71015', '32831', '32786', '0', '0', '4', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90046', 'Unknown 71016', '1', '71016', '32801', '32873', '0', '0', '6', '0', '8012', '0');
INSERT INTO `spawnlist_npc` VALUES ('90047', 'Unknown 71009', '1', '71009', '32808', '32843', '0', '0', '5', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90048', 'Unknown 71011', '1', '71011', '32875', '32824', '0', '0', '5', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90049', 'Karen', '1', '71013', '32851', '32790', '0', '0', '4', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90050', 'Garrett', '1', '71024', '32865', '32824', '0', '0', '2', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90051', 'Unknown 71021', '1', '71021', '32810', '32870', '0', '0', '6', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90052', 'Unknown 71025', '1', '71025', '32815', '32789', '0', '0', '4', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90053', 'Unknown 71031', '1', '71031', '32835', '32787', '0', '0', '5', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90054', 'Unknown 71032', '1', '71032', '32803', '32862', '0', '0', '4', '0', '8012', '0');
INSERT INTO `spawnlist_npc` VALUES ('90055', 'Unknown 71026', '1', '71026', '32820', '32789', '0', '0', '4', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90056', 'Unknown 71027', '1', '71027', '32786', '32839', '0', '0', '2', '0', '8012', '0');
INSERT INTO `spawnlist_npc` VALUES ('90057', 'Unknown 71019', '1', '71019', '32808', '32820', '0', '0', '5', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90058', 'Unknown 71018', '1', '71018', '32810', '32814', '0', '0', '4', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90059', 'Unknown 71033', '1', '71033', '32777', '32868', '0', '0', '6', '0', '8012', '0');
INSERT INTO `spawnlist_npc` VALUES ('90060', 'Unknown 71034', '1', '71034', '32849', '32753', '0', '0', '6', '0', '8012', '0');
INSERT INTO `spawnlist_npc` VALUES ('90061', 'Healer', '1', '71030', '32806', '32862', '0', '0', '4', '0', '8012', '0');
INSERT INTO `spawnlist_npc` VALUES ('90062', 'Healer', '1', '71030', '32755', '32868', '0', '0', '4', '0', '8012', '0');
INSERT INTO `spawnlist_npc` VALUES ('90063', 'Healer', '1', '71030', '32755', '32763', '0', '0', '4', '0', '8012', '0');
INSERT INTO `spawnlist_npc` VALUES ('90064', 'Healer', '1', '71030', '32857', '32815', '0', '0', '4', '0', '8012', '0');
INSERT INTO `spawnlist_npc` VALUES ('90065', 'Healer', '1', '71030', '32804', '32779', '0', '0', '6', '0', '8012', '0');
INSERT INTO `spawnlist_npc` VALUES ('90066', 'Unknown 71035', '1', '71035', '33053', '32349', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90067', 'Unknown 71035', '1', '71035', '32600', '32914', '0', '0', '5', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('130892', ' ', '1', '45003', '32609', '32925', '0', '0', '4', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('90069', 'Unknown 71035', '1', '71035', '32918', '32802', '0', '0', '4', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90070', 'Unknown 71028', '1', '71028', '32680', '32865', '0', '0', '6', '0', '85', '0');
INSERT INTO `spawnlist_npc` VALUES ('90071', 'Unknown 71029', '1', '71029', '32871', '32870', '0', '0', '7', '0', '86', '0');
INSERT INTO `spawnlist_npc` VALUES ('90072', 'Unknown 71023', '1', '71023', '32907', '32737', '0', '0', '6', '0', '86', '0');
INSERT INTO `spawnlist_npc` VALUES ('90073', 'Unknown 71020', '1', '71020', '32797', '32868', '0', '0', '5', '0', '86', '0');
INSERT INTO `spawnlist_npc` VALUES ('90074', 'Unknown 71022', '1', '71022', '32674', '32863', '0', '0', '4', '0', '85', '0');
INSERT INTO `spawnlist_npc` VALUES ('90075', 'Elder Nanome', '1', '71038', '32777', '32299', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90076', 'Unknown 71039', '1', '71039', '32777', '32298', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90077', 'Noah', '1', '71040', '32991', '32810', '0', '0', '6', '0', '244', '0');
INSERT INTO `spawnlist_npc` VALUES ('90078', 'Hoomo', '1', '71041', '32984', '32825', '0', '0', '6', '0', '244', '0');
INSERT INTO `spawnlist_npc` VALUES ('90079', 'Vakumo', '1', '71042', '32976', '32802', '0', '0', '6', '0', '244', '0');
INSERT INTO `spawnlist_npc` VALUES ('90080', 'Booka', '1', '71043', '32979', '32818', '0', '0', '6', '0', '244', '0');
INSERT INTO `spawnlist_npc` VALUES ('90081', 'Camay', '1', '71044', '32993', '32801', '0', '0', '6', '0', '244', '0');
INSERT INTO `spawnlist_npc` VALUES ('90082', 'Unknown 71045', '1', '71045', '32992', '32814', '0', '0', '6', '0', '244', '0');
INSERT INTO `spawnlist_npc` VALUES ('90083', 'Berik', '1', '71053', '32391', '33042', '0', '0', '2', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('90084', 'Roxanne', '1', '71054', '32292', '33067', '0', '0', '4', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('90085', 'Doyle\'s Dog', '1', '71058', '32417', '33078', '0', '0', '6', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('90086', 'Doyle', '1', '71057', '32418', '33078', '0', '0', '6', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('90087', 'Rudian', '1', '71059', '32423', '33048', '0', '0', '4', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('90088', 'Resta', '1', '71060', '32404', '33033', '0', '0', '4', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('90089', 'Simizz', '1', '71056', '32405', '33044', '0', '0', '5', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('90090', 'Roberto', '1', '71046', '32430', '33046', '0', '0', '5', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('90091', 'Lukein', '1', '71055', '32438', '33050', '0', '0', '4', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('90092', 'Cadmus', '1', '71061', '32450', '33050', '0', '0', '6', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('90093', 'Lupus', '1', '71047', '32436', '33039', '0', '0', '4', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('90094', 'Karu', '1', '71048', '32448', '33058', '0', '0', '3', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('90095', 'Rooney', '1', '71049', '32441', '33082', '0', '0', '4', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('90096', 'Lizardman Elder', '1', '71074', '32733', '32857', '0', '0', '6', '0', '480', '0');
INSERT INTO `spawnlist_npc` VALUES ('90097', 'Young Lizardman Warrior', '1', '71076', '32736', '32858', '0', '0', '6', '0', '480', '0');
INSERT INTO `spawnlist_npc` VALUES ('90098', 'Exhausted Lizardman Warrior', '1', '71075', '32749', '32980', '50', '50', '6', '0', '480', '0');
INSERT INTO `spawnlist_npc` VALUES ('90099', 'Geographical Explorer', '1', '71077', '32852', '32800', '0', '0', '5', '0', '480', '0');
INSERT INTO `spawnlist_npc` VALUES ('90100', 'Shian', '1', '71050', '32815', '32826', '0', '0', '4', '0', '480', '0');
INSERT INTO `spawnlist_npc` VALUES ('90101', 'Monett', '1', '71051', '32818', '32837', '0', '0', '2', '0', '480', '0');
INSERT INTO `spawnlist_npc` VALUES ('90102', 'Enishia', '1', '71052', '32846', '32846', '0', '0', '2', '0', '480', '0');
INSERT INTO `spawnlist_npc` VALUES ('90103', 'Kamit', '1', '71062', '32606', '33031', '100', '100', '6', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('90104', 'Small Box', '1', '71063', '32341', '32828', '0', '0', '4', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('90105', 'Small Box', '1', '71064', '32309', '33165', '0', '0', '4', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('90106', 'Small Box', '1', '71065', '32387', '33224', '0', '0', '4', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('90107', 'Small Box', '1', '71066', '32390', '33180', '0', '0', '4', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('90108', 'Small Box', '1', '71067', '32494', '33222', '0', '0', '4', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('90109', 'Small Box', '1', '71068', '32524', '33012', '0', '0', '4', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('90110', 'Small Box', '1', '71069', '32359', '32992', '0', '0', '4', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('90111', 'Small Box', '1', '71070', '32318', '32954', '0', '0', '4', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('90112', 'Small Box', '1', '71071', '32605', '32872', '0', '0', '4', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('90113', 'Small Box', '1', '71072', '32345', '33004', '0', '0', '4', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('90114', 'Small Box', '1', '71073', '32521', '33033', '0', '0', '4', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('90115', 'Unknown 71078', '1', '71078', '32863', '32800', '0', '0', '4', '0', '66', '0');
INSERT INTO `spawnlist_npc` VALUES ('90116', 'Unknown 71079', '1', '71079', '32864', '32800', '0', '0', '4', '0', '66', '0');
INSERT INTO `spawnlist_npc` VALUES ('90117', 'Unknown 71080', '1', '71080', '32575', '32812', '0', '0', '4', '0', '64', '0');
INSERT INTO `spawnlist_npc` VALUES ('90118', 'Unknown 71081', '1', '71081', '32687', '32867', '0', '0', '6', '0', '85', '0');
INSERT INTO `spawnlist_npc` VALUES ('90119', 'Unknown 71082', '1', '71082', '32670', '32787', '0', '0', '6', '0', '85', '0');
INSERT INTO `spawnlist_npc` VALUES ('90120', 'Unknown 71083', '1', '71083', '32682', '32738', '0', '0', '6', '0', '85', '0');
INSERT INTO `spawnlist_npc` VALUES ('90121', 'Unknown 71084', '1', '71084', '32750', '32846', '0', '0', '6', '0', '85', '0');
INSERT INTO `spawnlist_npc` VALUES ('90122', 'One of the Red Key\'s Secrets', '1', '71085', '32878', '32864', '0', '0', '6', '0', '86', '0');
INSERT INTO `spawnlist_npc` VALUES ('90123', 'Unknown 71086', '1', '71086', '32871', '32790', '0', '0', '6', '0', '86', '0');
INSERT INTO `spawnlist_npc` VALUES ('90124', 'Unknown 71087', '1', '71087', '32862', '32756', '0', '0', '6', '0', '86', '0');
INSERT INTO `spawnlist_npc` VALUES ('90125', 'Unknown 71088', '1', '71088', '32805', '32871', '0', '0', '6', '0', '86', '0');
INSERT INTO `spawnlist_npc` VALUES ('90126', 'Light Rays', '1', '81166', '32613', '32808', '0', '0', '6', '0', '85', '0');
INSERT INTO `spawnlist_npc` VALUES ('90127', 'Light Rays', '1', '81166', '32615', '32735', '0', '0', '6', '0', '85', '0');
INSERT INTO `spawnlist_npc` VALUES ('90128', 'Light Rays', '1', '81166', '32706', '32733', '0', '0', '6', '0', '85', '0');
INSERT INTO `spawnlist_npc` VALUES ('90129', 'Light Rays', '1', '81166', '32742', '32777', '0', '0', '6', '0', '85', '0');
INSERT INTO `spawnlist_npc` VALUES ('90130', 'Light Rays', '1', '81166', '32612', '32865', '0', '0', '6', '0', '85', '0');
INSERT INTO `spawnlist_npc` VALUES ('90131', 'Light Rays', '1', '81166', '32681', '32798', '0', '0', '6', '0', '85', '0');
INSERT INTO `spawnlist_npc` VALUES ('90132', 'Light Rays', '1', '81166', '32681', '32805', '0', '0', '6', '0', '85', '0');
INSERT INTO `spawnlist_npc` VALUES ('90133', 'Light Rays', '1', '81167', '32741', '32772', '0', '0', '6', '0', '85', '0');
INSERT INTO `spawnlist_npc` VALUES ('90134', 'Light Rays', '1', '81166', '32680', '32865', '0', '0', '6', '0', '85', '0');
INSERT INTO `spawnlist_npc` VALUES ('90135', 'Fire', '1', '81164', '32874', '32872', '0', '0', '6', '0', '86', '0');
INSERT INTO `spawnlist_npc` VALUES ('90136', 'Fire', '1', '81164', '32867', '32872', '0', '0', '6', '0', '86', '0');
INSERT INTO `spawnlist_npc` VALUES ('90137', 'Fire', '1', '81164', '32930', '32738', '0', '0', '6', '0', '86', '0');
INSERT INTO `spawnlist_npc` VALUES ('90138', 'Fire', '1', '81165', '32913', '32859', '0', '0', '6', '0', '86', '0');
INSERT INTO `spawnlist_npc` VALUES ('90139', 'Fire', '1', '81165', '32921', '32816', '0', '0', '6', '0', '86', '0');
INSERT INTO `spawnlist_npc` VALUES ('90140', 'Fire', '1', '81165', '32868', '32789', '0', '0', '6', '0', '86', '0');
INSERT INTO `spawnlist_npc` VALUES ('90141', 'Fire', '1', '81165', '32868', '32804', '0', '0', '6', '0', '86', '0');
INSERT INTO `spawnlist_npc` VALUES ('90142', 'Fire', '1', '81165', '32796', '32870', '0', '0', '6', '0', '86', '0');
INSERT INTO `spawnlist_npc` VALUES ('90143', 'Fire', '1', '81165', '32830', '32827', '0', '0', '6', '0', '86', '0');
INSERT INTO `spawnlist_npc` VALUES ('90144', 'Fire', '1', '81165', '32797', '32816', '0', '0', '6', '0', '86', '0');
INSERT INTO `spawnlist_npc` VALUES ('90145', 'Fire', '1', '81165', '32803', '32776', '0', '0', '6', '0', '86', '0');
INSERT INTO `spawnlist_npc` VALUES ('90146', 'Fire', '1', '81165', '32800', '32754', '0', '0', '6', '0', '86', '0');
INSERT INTO `spawnlist_npc` VALUES ('90147', 'Fire', '1', '81165', '32792', '32745', '0', '0', '6', '0', '86', '0');
INSERT INTO `spawnlist_npc` VALUES ('90148', 'Fire', '1', '81165', '32907', '32745', '0', '0', '6', '0', '86', '0');
INSERT INTO `spawnlist_npc` VALUES ('90149', 'Fire', '1', '81165', '32906', '32732', '0', '0', '6', '0', '86', '0');
INSERT INTO `spawnlist_npc` VALUES ('130408', 'Oasis Stuff', '1', '80001', '32647', '32950', '0', '0', '5', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('130409', 'Oasis Stuff', '1', '80001', '32754', '32431', '1', '1', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('130410', 'Ant Cave Entrance', '1', '81106', '32755', '33208', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('130411', 'Ant Cave Entrance', '1', '81106', '32914', '33220', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('130412', 'Ant Cave Entrance', '1', '81106', '32789', '33255', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('130413', 'Ant Cave Entrance', '1', '81106', '32848', '33294', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('130414', 'Ant Cave Entrance', '1', '81106', '32839', '33172', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('130415', 'Ant Cave Entrance', '1', '81106', '32795', '33189', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('130416', 'Ant Cave Entrance', '1', '81106', '32924', '33252', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('130417', 'Ant Cave Entrance', '1', '81106', '32788', '33149', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('130852', 'Jack-O-Latern', '1', '81123', '32575', '32950', '0', '0', '6', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('130853', 'Jack-O-Latern', '1', '81123', '32608', '32723', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('130854', 'Jack-O-Latern', '1', '81123', '32613', '33184', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('130855', 'Jack-O-Latern', '1', '81123', '33074', '33397', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('130856', 'Jack-O-Latern', '1', '81123', '33076', '32795', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('130857', 'Jack-O-Latern', '1', '81123', '33421', '32809', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('130858', 'Jack-O-Latern', '1', '81123', '33607', '33229', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('130859', 'Jack-O-Latern', '1', '81123', '33726', '32485', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('130860', 'Jack-O-Latern', '1', '81123', '34053', '32282', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('130861', 'Jack-O-Latern', '1', '81123', '33967', '33239', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('130862', 'Jack-O-Lantern', '1', '81124', '33421', '32804', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('130863', 'Message Board', '1', '80006', '32578', '32941', '0', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('130864', 'Message Board', '1', '80006', '33070', '33401', '0', '0', '0', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('130865', 'Message Board', '1', '80006', '33421', '32806', '0', '0', '0', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('130866', 'Message Board', '1', '80006', '32615', '33190', '0', '0', '0', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('130867', 'Message Board', '1', '80006', '32607', '32765', '0', '0', '0', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('130868', 'Message Board', '1', '80006', '33051', '32756', '0', '0', '0', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('130869', 'Message Board', '1', '80006', '33584', '33266', '0', '0', '0', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('130870', 'Message Board', '1', '81130', '34063', '32275', '0', '0', '0', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('130871', 'Message Board', '1', '81126', '33977', '33239', '0', '0', '0', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('130872', 'Message Board', '1', '80006', '32856', '32902', '0', '0', '0', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('130873', 'Olle', '1', '81155', '32739', '32983', '0', '0', '6', '0', '330', '0');
INSERT INTO `spawnlist_npc` VALUES ('130874', 'Aden Reconnaissance Soldier', '1', '81156', '32728', '32852', '0', '0', '6', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('130875', 'Torch Fire', '1', '81160', '33430', '32805', '0', '0', '0', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('130876', 'Torch Fire', '1', '81160', '33429', '32822', '0', '0', '0', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('130877', 'Auction Board', '1', '81161', '33421', '32823', '0', '0', '0', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('130878', 'Auctioneer', '1', '70577', '33423', '32823', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('130879', 'Auction Board', '1', '81161', '33585', '33235', '0', '0', '0', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('130880', 'Auction Board', '1', '81161', '33959', '33253', '0', '0', '0', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('130881', 'Auctioneer', '1', '70577', '33961', '33253', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('130882', 'Message Board', '1', '71008', '32829', '32854', '0', '0', '4', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('130883', 'Unknown 71017', '1', '71017', '32720', '32767', '0', '0', '2', '0', '8015', '0');
INSERT INTO `spawnlist_npc` VALUES ('130884', 'Unknown 71012', '1', '71012', '32759', '32773', '0', '0', '4', '0', '8015', '0');
INSERT INTO `spawnlist_npc` VALUES ('130885', 'Haste Master', '1', '70514', '32758', '32765', '0', '0', '6', '0', '8015', '0');
INSERT INTO `spawnlist_npc` VALUES ('130886', 'Unknown 71010', '1', '71010', '32800', '32731', '0', '0', '4', '0', '8015', '0');
INSERT INTO `spawnlist_npc` VALUES ('130887', 'Lekman', '1', '50113', '33090', '33390', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('130893', ' ', '1', '45003', '32619', '32922', '0', '0', '5', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('130894', ' ', '1', '45003', '32619', '32928', '0', '0', '4', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('130895', ' ', '1', '45003', '32615', '32933', '0', '0', '4', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('130896', ' ', '1', '45003', '32613', '32928', '0', '0', '4', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('130897', ' ', '1', '45003', '32614', '32919', '0', '0', '0', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('130898', ' ', '1', '45003', '32706', '32773', '0', '0', '5', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('130899', ' ', '1', '45003', '32703', '32769', '0', '0', '0', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('130900', ' ', '1', '45003', '32697', '32770', '0', '0', '5', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('130901', ' ', '1', '45003', '32699', '32775', '0', '0', '2', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('130902', ' ', '1', '45003', '32705', '32779', '0', '0', '6', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('130903', ' ', '1', '45003', '32694', '32777', '0', '0', '5', '0', '68', '0');
INSERT INTO `spawnlist_trap` VALUES ('1', null, '8', '104', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('2', null, '2', '104', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('3', null, '3', '104', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('4', null, '4', '104', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('5', null, '5', '104', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('6', null, '6', '104', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('7', null, '7', '104', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('8', null, '9', '108', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('9', null, '2', '108', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('10', null, '3', '108', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('11', null, '4', '108', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('12', null, '5', '108', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('13', null, '6', '108', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('14', null, '7', '108', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('15', null, '10', '114', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('16', null, '2', '114', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('17', null, '3', '114', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('18', null, '4', '114', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('19', null, '5', '114', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('20', null, '6', '114', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('21', null, '7', '114', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('22', null, '11', '118', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('23', null, '2', '118', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('24', null, '3', '118', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('25', null, '4', '118', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('26', null, '5', '118', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('27', null, '6', '118', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('28', null, '7', '118', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('29', null, '12', '124', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('30', null, '2', '124', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('31', null, '3', '124', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('32', null, '4', '124', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('33', null, '5', '124', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('34', null, '6', '124', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('35', null, '7', '124', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('36', null, '13', '128', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('37', null, '2', '128', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('38', null, '3', '128', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('39', null, '4', '128', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('40', null, '5', '128', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('41', null, '6', '128', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('42', null, '7', '128', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('43', null, '14', '134', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('44', null, '2', '134', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('45', null, '3', '134', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('46', null, '4', '134', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('47', null, '5', '134', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('48', null, '6', '134', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('49', null, '7', '134', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('50', null, '15', '138', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('51', null, '2', '138', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('52', null, '3', '138', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('53', null, '4', '138', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('54', null, '5', '138', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('55', null, '6', '138', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('56', null, '7', '138', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('57', null, '16', '144', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('58', null, '2', '144', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('59', null, '3', '144', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('60', null, '4', '144', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('61', null, '5', '144', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('62', null, '6', '144', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('63', null, '7', '144', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('64', null, '17', '148', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('65', null, '2', '148', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('66', null, '3', '148', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('67', null, '4', '148', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('68', null, '5', '148', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('69', null, '6', '148', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('70', null, '7', '148', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('71', null, '18', '154', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('72', null, '2', '154', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('73', null, '3', '154', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('74', null, '4', '154', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('75', null, '5', '154', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('76', null, '6', '154', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('77', null, '7', '154', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('78', null, '18', '158', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('79', null, '2', '158', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('80', null, '3', '158', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('81', null, '4', '158', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('82', null, '5', '158', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('83', null, '6', '158', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('84', null, '7', '158', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('85', null, '19', '164', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('86', null, '2', '164', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('87', null, '3', '164', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('88', null, '4', '164', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('89', null, '5', '164', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('90', null, '6', '164', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('91', null, '7', '164', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('92', null, '19', '168', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('93', null, '2', '168', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('94', null, '3', '168', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('95', null, '4', '168', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('96', null, '5', '168', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('97', null, '6', '168', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('98', null, '7', '168', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('99', null, '20', '174', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('100', null, '2', '174', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('101', null, '3', '174', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('102', null, '4', '174', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('103', null, '5', '174', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('104', null, '6', '174', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('105', null, '7', '174', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('106', null, '21', '178', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('107', null, '2', '178', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('108', null, '3', '178', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('109', null, '4', '178', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('110', null, '5', '178', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('111', null, '6', '178', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('112', null, '7', '178', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('113', null, '22', '184', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('114', null, '2', '184', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('115', null, '3', '184', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('116', null, '4', '184', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('117', null, '5', '184', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('118', null, '6', '184', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('119', null, '7', '184', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('120', null, '22', '188', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('121', null, '2', '188', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('122', null, '3', '188', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('123', null, '4', '188', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('124', null, '5', '188', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('125', null, '6', '188', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('126', null, '7', '188', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('127', null, '23', '194', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('128', null, '2', '194', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('129', null, '3', '194', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('130', null, '4', '194', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('131', null, '5', '194', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('132', null, '6', '194', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('133', null, '7', '194', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('134', null, '23', '198', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('135', null, '2', '198', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('136', null, '3', '198', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('137', null, '4', '198', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('138', null, '5', '198', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('139', null, '6', '198', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('140', null, '7', '198', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('141', null, '24', '78', '32896', '32770', '50', '10', '30', '0');
INSERT INTO `spawnlist_trap` VALUES ('142', null, '25', '78', '32896', '32770', '50', '10', '30', '0');
INSERT INTO `spawnlist_trap` VALUES ('143', null, '26', '78', '32896', '32770', '50', '10', '30', '0');
INSERT INTO `spawnlist_trap` VALUES ('144', null, '27', '79', '32770', '32834', '50', '10', '25', '0');
INSERT INTO `spawnlist_trap` VALUES ('145', null, '28', '79', '32770', '32834', '50', '10', '25', '0');
INSERT INTO `spawnlist_trap` VALUES ('146', null, '29', '79', '32770', '32834', '50', '10', '25', '0');
INSERT INTO `spawnlist_trap` VALUES ('147', null, '30', '80', '32767', '32833', '50', '50', '100', '0');
INSERT INTO `spawnlist_trap` VALUES ('148', null, '31', '80', '32767', '32833', '50', '50', '100', '0');
INSERT INTO `spawnlist_trap` VALUES ('149', null, '32', '81', '32762', '32829', '50', '50', '120', '0');
INSERT INTO `spawnlist_trap` VALUES ('150', null, '33', '81', '32762', '32829', '50', '50', '120', '0');
INSERT INTO `spawnlist_trap` VALUES ('151', null, '34', '82', '32701', '32834', '50', '50', '50', '0');
INSERT INTO `spawnlist_trap` VALUES ('152', null, '35', '82', '32701', '32834', '50', '50', '50', '0');
INSERT INTO `spawnlist_trap` VALUES ('153', null, '36', '82', '32701', '32834', '50', '50', '50', '0');
INSERT INTO `spawnlist_trap` VALUES ('154', null, '37', '82', '32701', '32834', '50', '50', '50', '0');
INSERT INTO `spawnlist_ub` VALUES ('1', '1', '1', '1', '', '45133', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('2', '1', '1', '1', '', '45121', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('3', '1', '1', '1', '', '45116', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('4', '1', '1', '1', '', '45126', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('5', '1', '1', '1', '', '45129', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('6', '1', '1', '1', '', '45130', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('7', '1', '1', '1', '', '45131', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('8', '1', '1', '1', '', '45136', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('9', '1', '1', '1', '', '45138', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('10', '1', '1', '1', '', '45144', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('11', '1', '1', '1', '', '45157', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('12', '1', '1', '1', '', '45161', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('13', '1', '1', '1', '', '45164', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('14', '1', '1', '1', '', '45173', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('15', '1', '1', '1', '', '45184', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('16', '1', '1', '1', '', '45190', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('17', '1', '1', '1', '', '45192', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('18', '1', '1', '1', '', '45215', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('19', '1', '1', '1', '', '45213', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('20', '1', '1', '1', '', '45223', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('21', '1', '1', '1', '', '45216', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('22', '1', '1', '1', '', '45224', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('23', '1', '1', '1', '', '45248', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('24', '1', '1', '1', '', '45241', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('25', '1', '1', '1', '', '45259', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('26', '1', '1', '2', '', '45269', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('27', '1', '1', '2', '', '45270', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('28', '1', '1', '2', '', '45286', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('29', '1', '1', '2', '', '45263', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('30', '1', '1', '2', '', '45267', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('31', '1', '1', '2', '', '45278', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('32', '1', '1', '2', '', '45280', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('33', '1', '1', '2', '', '45364', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('34', '1', '1', '2', '', '45284', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('35', '1', '1', '2', '', '45291', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('36', '1', '1', '2', '', '45298', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('37', '1', '1', '2', '', '45289', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('38', '1', '1', '2', '', '45294', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('39', '1', '1', '2', '', '45322', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('40', '1', '1', '2', '', '45203', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('41', '1', '1', '3', '', '45346', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('42', '1', '1', '3', '', '45550', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('43', '1', '1', '3', '', '45359', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('44', '1', '1', '3', '', '45373', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('45', '1', '1', '3', '', '45365', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('46', '1', '1', '3', '', '45372', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('47', '1', '1', '3', '', '45393', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('48', '1', '1', '3', '', '45341', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('49', '1', '1', '3', '', '45420', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('50', '1', '1', '4', '', '45649', '1', '15');
INSERT INTO `spawnlist_ub` VALUES ('51', '1', '2', '1', '', '45088', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('52', '1', '2', '1', '', '45121', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('53', '1', '2', '1', '', '45040', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('54', '1', '2', '1', '', '45126', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('55', '1', '2', '1', '', '45129', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('56', '1', '2', '1', '', '45130', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('57', '1', '2', '1', '', '45131', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('58', '1', '2', '1', '', '45136', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('59', '1', '2', '1', '', '45138', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('60', '1', '2', '1', '', '45144', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('61', '1', '2', '1', '', '45157', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('62', '1', '2', '1', '', '45161', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('63', '1', '2', '1', '', '45164', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('64', '1', '2', '1', '', '45173', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('65', '1', '2', '1', '', '45184', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('66', '1', '2', '1', '', '45190', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('67', '1', '2', '1', '', '45192', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('68', '1', '2', '1', '', '45215', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('69', '1', '2', '1', '', '45213', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('70', '1', '2', '1', '', '45223', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('71', '1', '2', '1', '', '45216', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('72', '1', '2', '1', '', '45224', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('73', '1', '2', '1', '', '45248', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('74', '1', '2', '1', '', '45241', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('75', '1', '2', '1', '', '45259', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('76', '1', '2', '2', '', '45269', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('77', '1', '2', '2', '', '45270', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('78', '1', '2', '2', '', '45286', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('79', '1', '2', '2', '', '45263', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('80', '1', '2', '2', '', '45267', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('81', '1', '2', '2', '', '45278', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('82', '1', '2', '2', '', '45280', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('83', '1', '2', '2', '', '45364', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('84', '1', '2', '2', '', '45284', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('85', '1', '2', '2', '', '45291', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('86', '1', '2', '2', '', '45298', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('87', '1', '2', '2', '', '45289', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('88', '1', '2', '2', '', '45294', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('89', '1', '2', '2', '', '45322', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('90', '1', '2', '2', '', '45203', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('91', '1', '2', '3', '', '45346', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('92', '1', '2', '3', '', '45550', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('93', '1', '2', '3', '', '45359', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('94', '1', '2', '3', '', '45373', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('95', '1', '2', '3', '', '45365', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('96', '1', '2', '3', '', '45372', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('97', '1', '2', '3', '', '45393', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('98', '1', '2', '3', '', '45341', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('99', '1', '2', '3', '', '45420', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('100', '1', '2', '4', '', '45583', '3', '15');
INSERT INTO `spawnlist_ub` VALUES ('101', '1', '3', '1', '', '45092', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('102', '1', '3', '1', '', '45121', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('103', '1', '3', '1', '', '45116', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('104', '1', '3', '1', '', '45126', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('105', '1', '3', '1', '', '45129', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('106', '1', '3', '1', '', '45130', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('107', '1', '3', '1', '', '45131', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('108', '1', '3', '1', '', '45136', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('109', '1', '3', '1', '', '45138', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('110', '1', '3', '1', '', '45144', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('111', '1', '3', '1', '', '45157', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('112', '1', '3', '1', '', '45161', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('113', '1', '3', '1', '', '45164', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('114', '1', '3', '1', '', '45173', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('115', '1', '3', '1', '', '45184', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('116', '1', '3', '1', '', '45190', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('117', '1', '3', '1', '', '45192', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('118', '1', '3', '1', '', '45215', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('119', '1', '3', '1', '', '45213', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('120', '1', '3', '1', '', '45223', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('121', '1', '3', '1', '', '45216', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('122', '1', '3', '1', '', '45224', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('123', '1', '3', '1', '', '45248', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('124', '1', '3', '1', '', '45241', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('125', '1', '3', '1', '', '45259', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('126', '1', '3', '2', '', '45269', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('127', '1', '3', '2', '', '45270', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('128', '1', '3', '2', '', '45286', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('129', '1', '3', '2', '', '45263', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('130', '1', '3', '2', '', '45267', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('131', '1', '3', '2', '', '45278', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('132', '1', '3', '2', '', '45280', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('133', '1', '3', '2', '', '45364', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('134', '1', '3', '2', '', '45284', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('135', '1', '3', '2', '', '45291', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('136', '1', '3', '2', '', '45298', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('137', '1', '3', '2', '', '45289', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('138', '1', '3', '2', '', '45294', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('139', '1', '3', '2', '', '45322', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('140', '1', '3', '2', '', '45203', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('141', '1', '3', '3', '', '45346', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('142', '1', '3', '3', '', '45550', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('143', '1', '3', '3', '', '45359', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('144', '1', '3', '3', '', '45373', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('145', '1', '3', '3', '', '45365', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('146', '1', '3', '3', '', '45372', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('147', '1', '3', '3', '', '45393', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('148', '1', '3', '3', '', '45341', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('149', '1', '3', '3', '', '45420', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('150', '1', '3', '4', '', '45617', '1', '15');
INSERT INTO `spawnlist_ub` VALUES ('151', '1', '4', '1', '', '45101', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('152', '1', '4', '1', '', '45121', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('153', '1', '4', '1', '', '45116', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('154', '1', '4', '1', '', '45126', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('155', '1', '4', '1', '', '45129', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('156', '1', '4', '1', '', '45130', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('157', '1', '4', '1', '', '45131', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('158', '1', '4', '1', '', '45136', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('159', '1', '4', '1', '', '45138', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('160', '1', '4', '1', '', '45144', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('161', '1', '4', '1', '', '45157', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('162', '1', '4', '1', '', '45161', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('163', '1', '4', '1', '', '45164', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('164', '1', '4', '1', '', '45173', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('165', '1', '4', '1', '', '45184', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('166', '1', '4', '1', '', '45190', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('167', '1', '4', '1', '', '45192', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('168', '1', '4', '1', '', '45215', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('169', '1', '4', '1', '', '45213', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('170', '1', '4', '1', '', '45223', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('171', '1', '4', '1', '', '45216', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('172', '1', '4', '1', '', '45224', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('173', '1', '4', '1', '', '45248', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('174', '1', '4', '1', '', '45241', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('175', '1', '4', '1', '', '45259', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('176', '1', '4', '2', '', '45269', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('177', '1', '4', '2', '', '45270', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('178', '1', '4', '2', '', '45286', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('179', '1', '4', '2', '', '45263', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('180', '1', '4', '2', '', '45267', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('181', '1', '4', '2', '', '45278', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('182', '1', '4', '2', '', '45280', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('183', '1', '4', '2', '', '45364', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('184', '1', '4', '2', '', '45284', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('185', '1', '4', '2', '', '45291', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('186', '1', '4', '2', '', '45298', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('187', '1', '4', '2', '', '45289', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('188', '1', '4', '2', '', '45294', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('189', '1', '4', '2', '', '45322', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('190', '1', '4', '2', '', '45203', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('191', '1', '4', '3', '', '45346', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('192', '1', '4', '3', '', '45550', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('193', '1', '4', '3', '', '45359', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('194', '1', '4', '3', '', '45373', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('195', '1', '4', '3', '', '45365', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('196', '1', '4', '3', '', '45372', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('197', '1', '4', '3', '', '45393', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('198', '1', '4', '3', '', '45341', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('199', '1', '4', '3', '', '45420', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('200', '1', '4', '4', '', '45573', '3', '15');
INSERT INTO `spawnlist_ub` VALUES ('201', '1', '5', '1', '', '45140', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('202', '1', '5', '1', '', '45121', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('203', '1', '5', '1', '', '45116', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('204', '1', '5', '1', '', '45126', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('205', '1', '5', '1', '', '45129', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('206', '1', '5', '1', '', '45130', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('207', '1', '5', '1', '', '45131', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('208', '1', '5', '1', '', '45136', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('209', '1', '5', '1', '', '45138', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('210', '1', '5', '1', '', '45144', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('211', '1', '5', '1', '', '45157', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('212', '1', '5', '1', '', '45161', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('213', '1', '5', '1', '', '45164', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('214', '1', '5', '1', '', '45173', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('215', '1', '5', '1', '', '45184', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('216', '1', '5', '1', '', '45190', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('217', '1', '5', '1', '', '45192', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('218', '1', '5', '1', '', '45215', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('219', '1', '5', '1', '', '45213', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('220', '1', '5', '1', '', '45223', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('221', '1', '5', '1', '', '45216', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('222', '1', '5', '1', '', '45224', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('223', '1', '5', '1', '', '45248', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('224', '1', '5', '1', '', '45241', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('225', '1', '5', '1', '', '45259', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('226', '1', '5', '2', '', '45269', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('227', '1', '5', '2', '', '45270', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('228', '1', '5', '2', '', '45286', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('229', '1', '5', '2', '', '45263', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('230', '1', '5', '2', '', '45267', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('231', '1', '5', '2', '', '45278', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('232', '1', '5', '2', '', '45280', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('233', '1', '5', '2', '', '45364', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('234', '1', '5', '2', '', '45284', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('235', '1', '5', '2', '', '45291', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('236', '1', '5', '2', '', '45298', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('237', '1', '5', '2', '', '45289', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('238', '1', '5', '2', '', '45294', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('239', '1', '5', '2', '', '45322', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('240', '1', '5', '2', '', '45203', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('241', '1', '5', '3', '', '45346', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('242', '1', '5', '3', '', '45550', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('243', '1', '5', '3', '', '45359', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('244', '1', '5', '3', '', '45373', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('245', '1', '5', '3', '', '45365', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('246', '1', '5', '3', '', '45372', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('247', '1', '5', '3', '', '45393', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('248', '1', '5', '3', '', '45341', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('249', '1', '5', '3', '', '45420', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('250', '1', '5', '4', '', '45614', '1', '15');
INSERT INTO `spawnlist_ub` VALUES ('251', '1', '6', '1', '', '45115', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('252', '1', '6', '1', '', '45121', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('253', '1', '6', '1', '', '45116', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('254', '1', '6', '1', '', '45126', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('255', '1', '6', '1', '', '45129', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('256', '1', '6', '1', '', '45130', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('257', '1', '6', '1', '', '45131', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('258', '1', '6', '1', '', '45136', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('259', '1', '6', '1', '', '45138', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('260', '1', '6', '1', '', '45144', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('261', '1', '6', '1', '', '45157', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('262', '1', '6', '1', '', '45161', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('263', '1', '6', '1', '', '45164', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('264', '1', '6', '1', '', '45173', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('265', '1', '6', '1', '', '45184', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('266', '1', '6', '1', '', '45190', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('267', '1', '6', '1', '', '45192', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('268', '1', '6', '1', '', '45215', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('269', '1', '6', '1', '', '45213', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('270', '1', '6', '1', '', '45223', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('271', '1', '6', '1', '', '45216', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('272', '1', '6', '1', '', '45224', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('273', '1', '6', '1', '', '45248', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('274', '1', '6', '1', '', '45241', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('275', '1', '6', '1', '', '45259', '40', '10');
INSERT INTO `spawnlist_ub` VALUES ('276', '1', '6', '2', '', '45165', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('277', '1', '6', '2', '', '45600', '3', '15');
INSERT INTO `spawnlist_ub` VALUES ('278', '1', '6', '2', '', '45263', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('279', '1', '6', '2', '', '45267', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('280', '1', '6', '2', '', '45278', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('281', '1', '6', '2', '', '45280', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('282', '1', '6', '2', '', '45364', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('283', '1', '6', '2', '', '45284', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('284', '1', '6', '2', '', '45291', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('285', '1', '6', '2', '', '45298', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('286', '1', '6', '2', '', '45289', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('287', '1', '6', '2', '', '45294', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('288', '1', '6', '2', '', '45322', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('289', '1', '6', '2', '', '45203', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('290', '1', '6', '3', '', '45346', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('291', '1', '6', '3', '', '45550', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('292', '1', '6', '3', '', '45359', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('293', '1', '6', '3', '', '45373', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('294', '1', '6', '3', '', '45365', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('295', '1', '6', '3', '', '45372', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('296', '1', '6', '3', '', '45393', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('297', '1', '6', '3', '', '45341', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('298', '1', '6', '3', '', '45420', '40', '15');
INSERT INTO `spawnlist_ub` VALUES ('299', '1', '6', '4', '', '45684', '1', '15');
INSERT INTO `spawnlist_ub` VALUES ('304', '2', '1', '1', '', '45140', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('305', '2', '1', '1', '', '45115', '15', '10');
INSERT INTO `spawnlist_ub` VALUES ('306', '2', '1', '1', '', '45157', '15', '4');
INSERT INTO `spawnlist_ub` VALUES ('307', '2', '1', '1', '', '45190', '15', '10');
INSERT INTO `spawnlist_ub` VALUES ('308', '2', '1', '1', '', '45115', '15', '10');
INSERT INTO `spawnlist_ub` VALUES ('309', '2', '1', '1', '', '45107', '20', '4');
INSERT INTO `spawnlist_ub` VALUES ('310', '2', '1', '1', '', '45131', '18', '10');
INSERT INTO `spawnlist_ub` VALUES ('311', '2', '1', '1', '', '45122', '20', '10');
INSERT INTO `spawnlist_ub` VALUES ('312', '2', '1', '1', '', '45372', '20', '10');
INSERT INTO `spawnlist_ub` VALUES ('313', '2', '1', '1', '', '45223', '20', '14');
INSERT INTO `spawnlist_ub` VALUES ('314', '2', '1', '1', '', '45364', '10', '4');
INSERT INTO `spawnlist_ub` VALUES ('315', '2', '1', '1', '', '45105', '25', '4');
INSERT INTO `spawnlist_ub` VALUES ('316', '2', '1', '1', '', '45298', '20', '10');
INSERT INTO `spawnlist_ub` VALUES ('317', '2', '1', '1', '', '45060', '10', '4');
INSERT INTO `spawnlist_ub` VALUES ('318', '2', '1', '1', '', '45359', '15', '40');
INSERT INTO `spawnlist_ub` VALUES ('319', '2', '1', '2', '', '45269', '15', '14');
INSERT INTO `spawnlist_ub` VALUES ('320', '2', '1', '2', '', '45267', '20', '14');
INSERT INTO `spawnlist_ub` VALUES ('321', '2', '1', '2', '', '45206', '30', '10');
INSERT INTO `spawnlist_ub` VALUES ('322', '2', '1', '2', '', '45278', '20', '10');
INSERT INTO `spawnlist_ub` VALUES ('323', '2', '1', '2', '', '45373', '15', '14');
INSERT INTO `spawnlist_ub` VALUES ('324', '2', '1', '2', '', '45445', '10', '10');
INSERT INTO `spawnlist_ub` VALUES ('325', '2', '1', '2', '', '45221', '15', '10');
INSERT INTO `spawnlist_ub` VALUES ('326', '2', '1', '2', '', '45190', '25', '48');
INSERT INTO `spawnlist_ub` VALUES ('327', '2', '1', '2', '', '45162', '25', '24');
INSERT INTO `spawnlist_ub` VALUES ('328', '2', '1', '2', '', '45298', '20', '0');
INSERT INTO `spawnlist_ub` VALUES ('329', '2', '1', '2', '', '45213', '15', '10');
INSERT INTO `spawnlist_ub` VALUES ('330', '2', '1', '2', '', '45393', '20', '40');
INSERT INTO `spawnlist_ub` VALUES ('331', '2', '1', '3', '', '45278', '25', '14');
INSERT INTO `spawnlist_ub` VALUES ('332', '2', '1', '3', '', '45184', '25', '34');
INSERT INTO `spawnlist_ub` VALUES ('333', '2', '1', '3', '', '45122', '15', '14');
INSERT INTO `spawnlist_ub` VALUES ('334', '2', '1', '3', '', '45364', '15', '24');
INSERT INTO `spawnlist_ub` VALUES ('335', '2', '1', '3', '', '45162', '15', '10');
INSERT INTO `spawnlist_ub` VALUES ('336', '2', '1', '3', '', '45182', '15', '4');
INSERT INTO `spawnlist_ub` VALUES ('337', '2', '1', '3', '', '45051', '25', '10');
INSERT INTO `spawnlist_ub` VALUES ('338', '2', '1', '3', '', '45174', '20', '34');
INSERT INTO `spawnlist_ub` VALUES ('339', '2', '1', '3', '', '45298', '20', '14');
INSERT INTO `spawnlist_ub` VALUES ('340', '2', '1', '3', '', '45420', '25', '14');
INSERT INTO `spawnlist_ub` VALUES ('341', '2', '1', '3', '', '45341', '15', '14');
INSERT INTO `spawnlist_ub` VALUES ('342', '2', '1', '3', '', '45372', '5', '14');
INSERT INTO `spawnlist_ub` VALUES ('343', '2', '1', '4', '', '45617', '1', '15');
INSERT INTO `spawnlist_ub` VALUES ('344', '2', '1', '4', '', '45578', '2', '15');
INSERT INTO `spawnlist_ub` VALUES ('345', '2', '2', '1', '', '45140', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('346', '2', '2', '1', '', '45115', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('347', '2', '2', '1', '', '45157', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('348', '2', '2', '1', '', '45190', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('349', '2', '2', '1', '', '45115', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('350', '2', '2', '1', '', '45107', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('351', '2', '2', '1', '', '45131', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('352', '2', '2', '1', '', '45122', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('353', '2', '2', '1', '', '45372', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('354', '2', '2', '1', '', '45223', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('355', '2', '2', '1', '', '45364', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('356', '2', '2', '1', '', '45105', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('357', '2', '2', '1', '', '45298', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('358', '2', '2', '1', '', '45060', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('359', '2', '2', '1', '', '45359', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('360', '2', '2', '2', '', '45269', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('361', '2', '2', '2', '', '45277', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('362', '2', '2', '2', '', '45206', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('363', '2', '2', '2', '', '45280', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('364', '2', '2', '2', '', '45263', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('365', '2', '2', '2', '', '45291', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('366', '2', '2', '2', '', '45221', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('367', '2', '2', '2', '', '45190', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('368', '2', '2', '2', '', '45349', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('369', '2', '2', '2', '', '45298', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('370', '2', '2', '2', '', '45213', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('371', '2', '2', '2', '', '45393', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('372', '2', '2', '2', '', '45040', '30', '15');
INSERT INTO `spawnlist_ub` VALUES ('373', '2', '2', '3', '', '45278', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('374', '2', '2', '3', '', '45184', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('375', '2', '2', '3', '', '45129', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('376', '2', '2', '3', '', '45364', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('377', '2', '2', '3', '', '45294', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('378', '2', '2', '3', '', '45182', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('379', '2', '2', '3', '', '45051', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('380', '2', '2', '3', '', '45174', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('381', '2', '2', '3', '', '45138', '30', '15');
INSERT INTO `spawnlist_ub` VALUES ('382', '2', '2', '3', '', '45298', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('383', '2', '2', '3', '', '45420', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('384', '2', '2', '3', '', '45341', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('385', '2', '2', '3', '', '45372', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('386', '2', '2', '4', '', '45578', '2', '15');
INSERT INTO `spawnlist_ub` VALUES ('387', '2', '2', '4', '', '45617', '1', '15');
INSERT INTO `spawnlist_ub` VALUES ('388', '2', '3', '1', '', '45140', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('389', '2', '3', '1', '', '45115', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('390', '2', '3', '1', '', '45157', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('391', '2', '3', '1', '', '45190', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('392', '2', '3', '1', '', '45115', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('393', '2', '3', '1', '', '45107', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('394', '2', '3', '1', '', '45131', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('395', '2', '3', '1', '', '45129', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('396', '2', '3', '1', '', '45372', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('397', '2', '3', '1', '', '45223', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('398', '2', '3', '1', '', '45364', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('399', '2', '3', '1', '', '45105', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('400', '2', '3', '1', '', '45298', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('401', '2', '3', '1', '', '45060', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('402', '2', '3', '1', '', '45359', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('403', '2', '3', '2', '', '45269', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('404', '2', '3', '2', '', '45267', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('405', '2', '3', '2', '', '45248', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('406', '2', '3', '2', '', '45262', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('407', '2', '3', '2', '', '45241', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('408', '2', '3', '2', '', '45224', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('409', '2', '3', '2', '', '45221', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('410', '2', '3', '2', '', '45190', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('411', '2', '3', '2', '', '45228', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('412', '2', '3', '2', '', '45298', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('413', '2', '3', '2', '', '45213', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('414', '2', '3', '2', '', '45393', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('415', '2', '3', '3', '', '45278', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('416', '2', '3', '3', '', '45184', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('417', '2', '3', '3', '', '45129', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('418', '2', '3', '3', '', '45364', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('419', '2', '3', '3', '', '45362', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('420', '2', '3', '3', '', '45182', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('421', '2', '3', '3', '', '45051', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('422', '2', '3', '3', '', '45174', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('423', '2', '3', '3', '', '45346', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('424', '2', '3', '3', '', '45298', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('425', '2', '3', '3', '', '45420', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('426', '2', '3', '3', '', '45341', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('427', '2', '3', '3', '', '45372', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('428', '2', '3', '4', '', '45578', '2', '15');
INSERT INTO `spawnlist_ub` VALUES ('429', '2', '3', '4', '', '45617', '1', '15');
INSERT INTO `spawnlist_ub` VALUES ('430', '2', '4', '1', '', '45140', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('431', '2', '4', '1', '', '45115', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('432', '2', '4', '1', '', '45157', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('433', '2', '4', '1', '', '45190', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('434', '2', '4', '1', '', '45115', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('435', '2', '4', '1', '', '45107', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('436', '2', '4', '1', '', '45131', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('437', '2', '4', '1', '', '45129', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('438', '2', '4', '1', '', '45372', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('439', '2', '4', '1', '', '45223', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('440', '2', '4', '1', '', '45364', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('441', '2', '4', '1', '', '45105', '30', '15');
INSERT INTO `spawnlist_ub` VALUES ('442', '2', '4', '1', '', '45298', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('443', '2', '4', '1', '', '45060', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('444', '2', '4', '1', '', '45359', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('445', '2', '4', '2', '', '45269', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('446', '2', '4', '2', '', '45267', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('447', '2', '4', '2', '', '45284', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('448', '2', '4', '2', '', '45291', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('449', '2', '4', '2', '', '45203', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('450', '2', '4', '2', '', '45445', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('451', '2', '4', '2', '', '45221', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('452', '2', '4', '2', '', '45190', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('453', '2', '4', '2', '', '45531', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('454', '2', '4', '2', '', '45298', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('455', '2', '4', '2', '', '45213', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('456', '2', '4', '2', '', '45393', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('457', '2', '4', '3', '', '45278', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('458', '2', '4', '3', '', '45184', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('459', '2', '4', '3', '', '45129', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('460', '2', '4', '3', '', '45364', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('462', '2', '4', '3', '', '45349', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('463', '2', '4', '3', '', '45182', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('464', '2', '4', '3', '', '45051', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('465', '2', '4', '3', '', '45174', '30', '15');
INSERT INTO `spawnlist_ub` VALUES ('466', '2', '4', '3', '', '45545', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('467', '2', '4', '3', '', '45298', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('468', '2', '4', '3', '', '45373', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('469', '2', '4', '3', '', '45341', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('470', '2', '4', '3', '', '45372', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('471', '2', '4', '4', '', '45578', '2', '15');
INSERT INTO `spawnlist_ub` VALUES ('472', '2', '4', '4', '', '45617', '1', '15');
INSERT INTO `spawnlist_ub` VALUES ('473', '2', '5', '1', '', '45140', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('474', '2', '5', '1', '', '45115', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('475', '2', '5', '1', '', '45157', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('476', '2', '5', '1', '', '45190', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('477', '2', '5', '1', '', '45115', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('478', '2', '5', '1', '', '45107', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('479', '2', '5', '1', '', '45131', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('480', '2', '5', '1', '', '45129', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('481', '2', '5', '1', '', '45372', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('482', '2', '5', '1', '', '45223', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('483', '2', '5', '1', '', '45364', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('484', '2', '5', '1', '', '45105', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('485', '2', '5', '1', '', '45298', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('486', '2', '5', '1', '', '45060', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('487', '2', '5', '1', '', '45359', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('488', '2', '5', '2', '', '45269', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('489', '2', '5', '2', '', '45267', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('490', '2', '5', '2', '', '45206', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('491', '2', '5', '2', '', '45278', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('492', '2', '5', '2', '', '45373', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('493', '2', '5', '2', '', '45420', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('494', '2', '5', '2', '', '45121', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('495', '2', '5', '2', '', '45104', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('496', '2', '5', '2', '', '45138', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('497', '2', '5', '2', '', '45162', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('498', '2', '5', '2', '', '45298', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('499', '2', '5', '2', '', '45213', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('500', '2', '5', '2', '', '45393', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('501', '2', '5', '3', '', '45278', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('502', '2', '5', '3', '', '45184', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('503', '2', '5', '3', '', '45129', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('504', '2', '5', '3', '', '45364', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('505', '2', '5', '3', '', '45162', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('506', '2', '5', '3', '', '45182', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('507', '2', '5', '3', '', '45051', '30', '15');
INSERT INTO `spawnlist_ub` VALUES ('508', '2', '5', '3', '', '45174', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('509', '2', '5', '3', '', '45346', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('510', '2', '5', '3', '', '45298', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('511', '2', '5', '3', '', '45420', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('512', '2', '5', '3', '', '45341', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('513', '2', '5', '3', '', '45372', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('514', '2', '5', '4', '', '45617', '1', '15');
INSERT INTO `spawnlist_ub` VALUES ('515', '2', '5', '4', '', '45578', '2', '15');
INSERT INTO `spawnlist_ub` VALUES ('516', '2', '6', '1', '', '45140', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('517', '2', '6', '1', '', '45115', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('518', '2', '6', '1', '', '45157', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('519', '2', '6', '1', '', '45190', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('520', '2', '6', '1', '', '45115', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('521', '2', '6', '1', '', '45107', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('522', '2', '6', '1', '', '45131', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('523', '2', '6', '1', '', '45129', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('524', '2', '6', '1', '', '45372', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('525', '2', '6', '1', '', '45223', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('526', '2', '6', '1', '', '45364', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('527', '2', '6', '1', '', '45105', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('528', '2', '6', '1', '', '45298', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('529', '2', '6', '1', '', '45060', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('530', '2', '6', '1', '', '45359', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('531', '2', '6', '2', '', '45269', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('532', '2', '6', '2', '', '45267', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('533', '2', '6', '2', '', '45228', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('534', '2', '6', '2', '', '45278', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('535', '2', '6', '2', '', '45364', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('536', '2', '6', '2', '', '45294', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('537', '2', '6', '2', '', '45373', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('538', '2', '6', '2', '', '45221', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('539', '2', '6', '2', '', '45190', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('540', '2', '6', '2', '', '45280', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('541', '2', '6', '2', '', '45162', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('542', '2', '6', '2', '', '45298', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('543', '2', '6', '2', '', '45213', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('544', '2', '6', '2', '', '45393', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('545', '2', '6', '3', '', '45278', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('546', '2', '6', '3', '', '45184', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('547', '2', '6', '3', '', '45129', '30', '15');
INSERT INTO `spawnlist_ub` VALUES ('548', '2', '6', '3', '', '45364', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('549', '2', '6', '3', '', '45162', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('550', '2', '6', '3', '', '45182', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('551', '2', '6', '3', '', '45298', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('552', '2', '6', '3', '', '45420', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('553', '2', '6', '3', '', '45341', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('554', '2', '6', '3', '', '45372', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('555', '2', '6', '4', '', '45617', '1', '15');
INSERT INTO `spawnlist_ub` VALUES ('556', '2', '6', '4', '', '45578', '2', '15');
INSERT INTO `spawnlist_ub` VALUES ('557', '3', '1', '1', '', '45161', '22', '15');
INSERT INTO `spawnlist_ub` VALUES ('558', '3', '1', '1', '', '45040', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('559', '3', '1', '1', '', '45130', '17', '15');
INSERT INTO `spawnlist_ub` VALUES ('560', '3', '1', '1', '', '45131', '17', '15');
INSERT INTO `spawnlist_ub` VALUES ('561', '3', '1', '1', '', '45082', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('562', '3', '1', '1', '', '45138', '17', '15');
INSERT INTO `spawnlist_ub` VALUES ('563', '3', '1', '1', '', '45121', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('564', '3', '1', '1', '', '45192', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('565', '3', '1', '1', '', '45144', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('566', '3', '1', '1', '', '45164', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('567', '3', '1', '1', '', '45223', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('568', '3', '1', '1', '', '45173', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('569', '3', '1', '1', '', '45136', '22', '15');
INSERT INTO `spawnlist_ub` VALUES ('570', '3', '1', '1', '', '45184', '17', '15');
INSERT INTO `spawnlist_ub` VALUES ('571', '3', '1', '1', '', '45216', '22', '15');
INSERT INTO `spawnlist_ub` VALUES ('572', '3', '1', '1', '', '45224', '17', '15');
INSERT INTO `spawnlist_ub` VALUES ('573', '3', '1', '1', '', '45248', '17', '15');
INSERT INTO `spawnlist_ub` VALUES ('574', '3', '1', '1', '', '45215', '17', '15');
INSERT INTO `spawnlist_ub` VALUES ('575', '3', '1', '1', '', '45213', '17', '15');
INSERT INTO `spawnlist_ub` VALUES ('576', '3', '1', '1', '', '45223', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('577', '3', '1', '2', '', '45269', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('578', '3', '1', '2', '', '45270', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('579', '3', '1', '2', '', '45286', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('580', '3', '1', '2', '', '45284', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('581', '3', '1', '2', '', '45291', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('582', '3', '1', '2', '', '45322', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('583', '3', '1', '2', '', '45278', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('584', '3', '1', '2', '', '45280', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('585', '3', '1', '2', '', '45364', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('586', '3', '1', '2', '', '45267', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('587', '3', '1', '2', '', '45223', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('588', '3', '1', '2', '', '45298', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('589', '3', '1', '2', '', '45294', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('590', '3', '1', '3', '', '45365', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('591', '3', '1', '3', '', '45346', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('592', '3', '1', '3', '', '45359', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('593', '3', '1', '3', '', '45545', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('594', '3', '1', '3', '', '45373', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('595', '3', '1', '3', '', '45531', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('596', '3', '1', '3', '', '45393', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('597', '3', '1', '3', '', '45372', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('598', '3', '1', '3', '', '45341', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('599', '3', '1', '3', '', '45420', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('600', '3', '1', '4', '', '45578', '2', '15');
INSERT INTO `spawnlist_ub` VALUES ('601', '3', '2', '1', '', '45161', '22', '15');
INSERT INTO `spawnlist_ub` VALUES ('602', '3', '2', '1', '', '45040', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('603', '3', '2', '1', '', '45192', '17', '15');
INSERT INTO `spawnlist_ub` VALUES ('604', '3', '2', '1', '', '45131', '17', '15');
INSERT INTO `spawnlist_ub` VALUES ('605', '3', '2', '1', '', '45082', '22', '15');
INSERT INTO `spawnlist_ub` VALUES ('606', '3', '2', '1', '', '45138', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('607', '3', '2', '1', '', '45121', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('608', '3', '2', '1', '', '45372', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('609', '3', '2', '1', '', '45144', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('610', '3', '2', '1', '', '45164', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('611', '3', '2', '1', '', '45223', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('612', '3', '2', '1', '', '45173', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('613', '3', '2', '1', '', '45136', '22', '15');
INSERT INTO `spawnlist_ub` VALUES ('614', '3', '2', '1', '', '45184', '17', '15');
INSERT INTO `spawnlist_ub` VALUES ('615', '3', '2', '1', '', '45216', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('616', '3', '2', '1', '', '45224', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('617', '3', '2', '1', '', '45248', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('618', '3', '2', '1', '', '45215', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('619', '3', '2', '1', '', '45060', '22', '15');
INSERT INTO `spawnlist_ub` VALUES ('620', '3', '2', '1', '', '45223', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('621', '3', '2', '2', '', '45269', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('622', '3', '2', '2', '', '45270', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('623', '3', '2', '2', '', '45286', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('624', '3', '2', '2', '', '45284', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('625', '3', '2', '2', '', '45291', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('626', '3', '2', '2', '', '45322', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('627', '3', '2', '2', '', '45278', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('628', '3', '2', '2', '', '45280', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('629', '3', '2', '2', '', '45364', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('630', '3', '2', '2', '', '45267', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('631', '3', '2', '2', '', '45223', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('632', '3', '2', '2', '', '45298', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('633', '3', '2', '2', '', '45294', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('635', '3', '2', '3', '', '45365', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('636', '3', '2', '3', '', '45346', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('637', '3', '2', '3', '', '45359', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('638', '3', '2', '3', '', '45545', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('639', '3', '2', '3', '', '45373', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('640', '3', '2', '3', '', '45531', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('641', '3', '2', '3', '', '45393', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('642', '3', '2', '3', '', '45372', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('643', '3', '2', '3', '', '45341', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('644', '3', '2', '3', '', '45420', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('645', '3', '2', '4', '', '45578', '2', '15');
INSERT INTO `spawnlist_ub` VALUES ('646', '3', '3', '1', '', '45161', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('647', '3', '3', '1', '', '45040', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('648', '3', '3', '1', '', '45192', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('649', '3', '3', '1', '', '45131', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('650', '3', '3', '1', '', '45082', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('651', '3', '3', '1', '', '45138', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('652', '3', '3', '1', '', '45121', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('653', '3', '3', '1', '', '45372', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('654', '3', '3', '1', '', '45144', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('655', '3', '3', '1', '', '45164', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('656', '3', '3', '1', '', '45223', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('657', '3', '3', '1', '', '45173', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('658', '3', '3', '1', '', '45136', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('659', '3', '3', '1', '', '45184', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('660', '3', '3', '1', '', '45216', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('661', '3', '3', '1', '', '45224', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('662', '3', '3', '1', '', '45248', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('663', '3', '3', '1', '', '45215', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('664', '3', '3', '1', '', '45060', '22', '15');
INSERT INTO `spawnlist_ub` VALUES ('665', '3', '3', '1', '', '45223', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('666', '3', '3', '2', '', '45269', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('667', '3', '3', '2', '', '45270', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('668', '3', '3', '2', '', '45286', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('669', '3', '3', '2', '', '45284', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('670', '3', '3', '2', '', '45291', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('671', '3', '3', '2', '', '45322', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('672', '3', '3', '2', '', '45278', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('673', '3', '3', '2', '', '45280', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('674', '3', '3', '2', '', '45364', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('675', '3', '3', '2', '', '45267', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('676', '3', '3', '2', '', '45223', '14', '15');
INSERT INTO `spawnlist_ub` VALUES ('678', '3', '3', '2', '', '45298', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('679', '3', '3', '3', '', '45203', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('680', '3', '3', '3', '', '45346', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('681', '3', '3', '3', '', '45359', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('682', '3', '3', '3', '', '45545', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('683', '3', '3', '3', '', '45349', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('684', '3', '3', '3', '', '45362', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('685', '3', '3', '3', '', '45393', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('686', '3', '3', '3', '', '45206', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('687', '3', '3', '3', '', '45341', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('688', '3', '3', '3', '', '45420', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('689', '3', '3', '4', '', '45515', '1', '15');
INSERT INTO `spawnlist_ub` VALUES ('690', '3', '3', '4', '', '45578', '1', '15');
INSERT INTO `spawnlist_ub` VALUES ('691', '3', '4', '1', '', '45161', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('692', '3', '4', '1', '', '45040', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('693', '3', '4', '1', '', '45192', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('694', '3', '4', '1', '', '45131', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('695', '3', '4', '1', '', '45082', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('696', '3', '4', '1', '', '45138', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('697', '3', '4', '1', '', '45121', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('698', '3', '4', '1', '', '45372', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('699', '3', '4', '1', '', '45144', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('700', '3', '4', '1', '', '45164', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('701', '3', '4', '1', '', '45223', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('702', '3', '4', '1', '', '45173', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('703', '3', '4', '1', '', '45136', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('704', '3', '4', '1', '', '45184', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('705', '3', '4', '1', '', '45216', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('706', '3', '4', '1', '', '45224', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('707', '3', '4', '1', '', '45248', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('708', '3', '4', '1', '', '45215', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('709', '3', '4', '1', '', '45060', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('710', '3', '4', '1', '', '45223', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('711', '3', '4', '2', '', '45269', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('712', '3', '4', '2', '', '45270', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('713', '3', '4', '2', '', '45286', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('714', '3', '4', '2', '', '45284', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('715', '3', '4', '2', '', '45291', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('716', '3', '4', '2', '', '45322', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('717', '3', '4', '2', '', '45278', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('718', '3', '4', '2', '', '45280', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('719', '3', '4', '2', '', '45364', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('720', '3', '4', '2', '', '45267', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('721', '3', '4', '2', '', '45223', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('722', '3', '4', '2', '', '45298', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('723', '3', '4', '2', '', '45294', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('724', '3', '4', '3', '', '45365', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('725', '3', '4', '3', '', '45346', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('726', '3', '4', '3', '', '45359', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('727', '3', '4', '3', '', '45373', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('728', '3', '4', '3', '', '45206', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('729', '3', '4', '3', '', '45341', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('730', '3', '4', '3', '', '45469', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('731', '3', '4', '4', '', '45515', '1', '15');
INSERT INTO `spawnlist_ub` VALUES ('732', '3', '4', '4', '', '45578', '1', '15');
INSERT INTO `spawnlist_ub` VALUES ('733', '3', '5', '1', '', '45161', '22', '15');
INSERT INTO `spawnlist_ub` VALUES ('734', '3', '5', '1', '', '45040', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('735', '3', '5', '1', '', '45130', '17', '15');
INSERT INTO `spawnlist_ub` VALUES ('736', '3', '5', '1', '', '45131', '17', '15');
INSERT INTO `spawnlist_ub` VALUES ('737', '3', '5', '1', '', '45082', '22', '15');
INSERT INTO `spawnlist_ub` VALUES ('738', '3', '5', '1', '', '45138', '17', '15');
INSERT INTO `spawnlist_ub` VALUES ('739', '3', '5', '1', '', '45121', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('740', '3', '5', '1', '', '45192', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('741', '3', '5', '1', '', '45144', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('742', '3', '5', '1', '', '45164', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('743', '3', '5', '1', '', '45223', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('744', '3', '5', '1', '', '45173', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('745', '3', '5', '1', '', '45136', '22', '15');
INSERT INTO `spawnlist_ub` VALUES ('746', '3', '5', '1', '', '45184', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('747', '3', '5', '1', '', '45216', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('748', '3', '5', '1', '', '45224', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('749', '3', '5', '1', '', '45248', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('750', '3', '5', '1', '', '45215', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('751', '3', '5', '1', '', '45213', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('752', '3', '5', '1', '', '45223', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('753', '3', '5', '2', '', '45269', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('754', '3', '5', '2', '', '45270', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('755', '3', '5', '2', '', '45286', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('756', '3', '5', '2', '', '45284', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('757', '3', '5', '2', '', '45291', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('758', '3', '5', '2', '', '45322', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('759', '3', '5', '2', '', '45278', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('760', '3', '5', '2', '', '45280', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('761', '3', '5', '2', '', '45364', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('762', '3', '5', '2', '', '45267', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('763', '3', '5', '2', '', '45223', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('764', '3', '5', '2', '', '45298', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('765', '3', '5', '2', '', '45294', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('766', '3', '5', '3', '', '45203', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('767', '3', '5', '3', '', '45346', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('768', '3', '5', '3', '', '45359', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('769', '3', '5', '3', '', '45545', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('770', '3', '5', '3', '', '45349', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('771', '3', '5', '3', '', '45362', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('772', '3', '5', '3', '', '45393', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('773', '3', '5', '3', '', '45206', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('774', '3', '5', '3', '', '45341', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('775', '3', '5', '3', '', '45420', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('777', '3', '5', '4', '', '45515', '1', '15');
INSERT INTO `spawnlist_ub` VALUES ('778', '3', '5', '4', '', '45578', '1', '15');
INSERT INTO `spawnlist_ub` VALUES ('779', '3', '6', '1', '', '45161', '22', '15');
INSERT INTO `spawnlist_ub` VALUES ('780', '3', '6', '1', '', '45040', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('781', '3', '6', '1', '', '45192', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('782', '3', '6', '1', '', '45131', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('783', '3', '6', '1', '', '45082', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('784', '3', '6', '1', '', '45138', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('785', '3', '6', '1', '', '45121', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('786', '3', '6', '1', '', '45372', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('787', '3', '6', '1', '', '45144', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('788', '3', '6', '1', '', '45164', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('789', '3', '6', '1', '', '45140', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('790', '3', '6', '1', '', '45173', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('791', '3', '6', '1', '', '45136', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('792', '3', '6', '1', '', '45184', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('793', '3', '6', '1', '', '45216', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('794', '3', '6', '1', '', '45141', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('795', '3', '6', '1', '', '45248', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('796', '3', '6', '1', '', '45215', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('797', '3', '6', '1', '', '45060', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('798', '3', '6', '1', '', '45223', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('799', '3', '6', '2', '', '45269', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('800', '3', '6', '2', '', '45270', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('801', '3', '6', '2', '', '45286', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('802', '3', '6', '2', '', '45284', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('803', '3', '6', '2', '', '45291', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('804', '3', '6', '2', '', '45206', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('805', '3', '6', '2', '', '45278', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('806', '3', '6', '2', '', '45280', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('807', '3', '6', '2', '', '45364', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('808', '3', '6', '2', '', '45267', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('809', '3', '6', '2', '', '45223', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('810', '3', '6', '2', '', '45298', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('811', '3', '6', '2', '', '45294', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('812', '3', '6', '3', '', '45365', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('813', '3', '6', '3', '', '45346', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('814', '3', '6', '3', '', '45359', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('815', '3', '6', '3', '', '45373', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('816', '3', '6', '3', '', '45206', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('817', '3', '6', '3', '', '45341', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('818', '3', '6', '3', '', '45469', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('819', '3', '6', '4', '', '45515', '1', '15');
INSERT INTO `spawnlist_ub` VALUES ('820', '3', '6', '4', '', '45578', '1', '15');
INSERT INTO `spawnlist_ub` VALUES ('821', '4', '1', '1', '', '45041', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('822', '4', '1', '1', '', '45051', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('823', '4', '1', '1', '', '45060', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('824', '4', '1', '1', '', '45068', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('825', '4', '1', '1', '', '45041', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('826', '4', '1', '1', '', '45092', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('827', '4', '1', '1', '', '45107', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('828', '4', '1', '1', '', '45129', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('829', '4', '1', '1', '', '45131', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('830', '4', '1', '1', '', '45130', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('831', '4', '1', '1', '', '45136', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('832', '4', '1', '1', '', '45060', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('833', '4', '1', '2', '', '45107', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('834', '4', '1', '2', '', '45129', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('835', '4', '1', '2', '', '45131', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('836', '4', '1', '2', '', '45130', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('837', '4', '1', '2', '', '45105', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('838', '4', '1', '2', '', '45130', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('839', '4', '1', '2', '', '45131', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('840', '4', '1', '2', '', '45107', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('841', '4', '1', '2', '', '45129', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('842', '4', '1', '2', '', '45161', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('843', '4', '1', '3', '', '45126', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('844', '4', '1', '3', '', '45141', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('845', '4', '1', '3', '', '45174', '1', '15');
INSERT INTO `spawnlist_ub` VALUES ('846', '4', '1', '3', '', '45371', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('847', '4', '1', '3', '', '45107', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('848', '4', '1', '3', '', '45129', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('849', '4', '1', '3', '', '45184', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('850', '4', '1', '3', '', '45136', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('851', '4', '1', '4', '', '45545', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('852', '4', '2', '1', '', '45041', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('853', '4', '2', '1', '', '45027', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('854', '4', '2', '1', '', '45079', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('855', '4', '2', '1', '', '45088', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('856', '4', '2', '1', '', '45082', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('857', '4', '2', '1', '', '45107', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('858', '4', '2', '1', '', '45129', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('859', '4', '2', '1', '', '45131', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('860', '4', '2', '1', '', '45130', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('861', '4', '2', '1', '', '45136', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('862', '4', '2', '1', '', '45060', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('863', '4', '2', '2', '', '45107', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('864', '4', '2', '2', '', '45129', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('865', '4', '2', '2', '', '45131', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('866', '4', '2', '2', '', '45130', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('867', '4', '2', '2', '', '45048', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('868', '4', '2', '2', '', '45130', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('869', '4', '2', '2', '', '45551', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('870', '4', '2', '2', '', '45040', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('871', '4', '2', '2', '', '45129', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('872', '4', '2', '2', '', '45161', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('873', '4', '2', '3', '', '45126', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('874', '4', '2', '3', '', '45141', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('875', '4', '2', '3', '', '45174', '1', '15');
INSERT INTO `spawnlist_ub` VALUES ('876', '4', '2', '3', '', '45371', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('877', '4', '2', '3', '', '45223', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('878', '4', '2', '3', '', '45129', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('879', '4', '2', '3', '', '45131', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('880', '4', '2', '3', '', '45127', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('881', '4', '2', '3', '', '45173', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('882', '4', '2', '3', '', '45136', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('883', '4', '2', '3', '', '45184', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('884', '4', '2', '3', '', '45155', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('885', '4', '2', '4', '', '45545', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('886', '4', '3', '1', '', '45041', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('887', '4', '3', '1', '', '45017', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('888', '4', '3', '1', '', '45068', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('889', '4', '3', '1', '', '45551', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('890', '4', '3', '1', '', '45079', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('891', '4', '3', '1', '', '45082', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('892', '4', '3', '1', '', '45101', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('893', '4', '3', '1', '', '45104', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('894', '4', '3', '1', '', '45121', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('895', '4', '3', '1', '', '45136', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('896', '4', '3', '1', '', '45060', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('897', '4', '3', '2', '', '45107', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('898', '4', '3', '2', '', '45129', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('899', '4', '3', '2', '', '45131', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('900', '4', '3', '2', '', '45130', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('901', '4', '3', '2', '', '45105', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('902', '4', '3', '2', '', '45115', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('903', '4', '3', '2', '', '45136', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('904', '4', '3', '2', '', '45144', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('905', '4', '3', '2', '', '45161', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('906', '4', '3', '3', '', '45126', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('907', '4', '3', '3', '', '45141', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('908', '4', '3', '3', '', '45174', '1', '15');
INSERT INTO `spawnlist_ub` VALUES ('909', '4', '3', '3', '', '45371', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('910', '4', '3', '3', '', '45164', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('911', '4', '3', '3', '', '45131', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('912', '4', '3', '3', '', '45130', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('913', '4', '3', '3', '', '45184', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('914', '4', '3', '3', '', '45136', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('915', '4', '3', '4', '', '45545', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('916', '4', '4', '1', '', '45041', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('917', '4', '4', '1', '', '45048', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('918', '4', '4', '1', '', '45068', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('919', '4', '4', '1', '', '45041', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('920', '4', '4', '1', '', '45079', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('921', '4', '4', '1', '', '45082', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('922', '4', '4', '1', '', '45129', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('923', '4', '4', '1', '', '45131', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('924', '4', '4', '1', '', '45130', '7', '15');
INSERT INTO `spawnlist_ub` VALUES ('925', '4', '4', '1', '', '45136', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('926', '4', '4', '1', '', '45060', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('927', '4', '4', '2', '', '45107', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('928', '4', '4', '2', '', '45129', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('929', '4', '4', '2', '', '45131', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('930', '4', '4', '2', '', '45130', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('931', '4', '4', '2', '', '45105', '25', '15');
INSERT INTO `spawnlist_ub` VALUES ('932', '4', '4', '2', '', '45115', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('933', '4', '4', '2', '', '45136', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('934', '4', '4', '2', '', '45144', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('935', '4', '4', '2', '', '45161', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('936', '4', '4', '3', '', '45126', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('937', '4', '4', '3', '', '45141', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('938', '4', '4', '3', '', '45174', '2', '15');
INSERT INTO `spawnlist_ub` VALUES ('939', '4', '4', '3', '', '45371', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('940', '4', '4', '3', '', '45164', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('941', '4', '4', '3', '', '45131', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('942', '4', '4', '3', '', '45130', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('943', '4', '4', '3', '', '45184', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('944', '4', '4', '3', '', '45136', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('945', '4', '4', '4', '', '45545', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('946', '5', '1', '1', '', '45019', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('947', '5', '1', '1', '', '45082', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('948', '5', '1', '1', '', '45088', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('949', '5', '1', '1', '', '45107', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('950', '5', '1', '1', '', '45040', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('951', '5', '1', '1', '', '45121', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('952', '5', '1', '1', '', '45223', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('953', '5', '1', '1', '', '45048', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('954', '5', '1', '1', '', '45051', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('955', '5', '1', '1', '', '45064', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('956', '5', '1', '1', '', '45115', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('957', '5', '1', '1', '', '45105', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('958', '5', '1', '1', '', '45079', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('959', '5', '1', '1', '', '45129', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('960', '5', '1', '2', '', '45141', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('961', '5', '1', '2', '', '45140', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('962', '5', '1', '2', '', '45371', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('963', '5', '1', '2', '', '45155', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('964', '5', '1', '2', '', '45164', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('965', '5', '1', '2', '', '45083', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('966', '5', '1', '2', '', '45092', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('967', '5', '1', '2', '', '45107', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('968', '5', '1', '2', '', '45136', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('969', '5', '1', '2', '', '45157', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('970', '5', '1', '2', '', '45161', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('971', '5', '1', '2', '', '45060', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('972', '5', '1', '3', '', '45157', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('973', '5', '1', '3', '', '45027', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('974', '5', '1', '3', '', '45064', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('975', '5', '1', '3', '', '45155', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('976', '5', '1', '3', '', '45140', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('977', '5', '1', '3', '', '45115', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('978', '5', '1', '3', '', '45136', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('979', '5', '1', '3', '', '45092', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('980', '5', '1', '3', '', '45182', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('981', '5', '1', '3', '', '45126', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('982', '5', '1', '3', '', '45190', '2', '15');
INSERT INTO `spawnlist_ub` VALUES ('983', '5', '1', '3', '', '45551', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('984', '5', '1', '3', '', '45079', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('985', '5', '1', '3', '', '45259', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('986', '5', '1', '4', '', '45213', '2', '15');
INSERT INTO `spawnlist_ub` VALUES ('987', '5', '1', '4', '', '45346', '1', '15');
INSERT INTO `spawnlist_ub` VALUES ('988', '5', '2', '1', '', '45105', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('989', '5', '2', '1', '', '45079', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('990', '5', '2', '1', '', '45101', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('991', '5', '2', '1', '', '45023', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('992', '5', '2', '1', '', '45551', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('993', '5', '2', '1', '', '45027', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('994', '5', '2', '1', '', '45082', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('995', '5', '2', '1', '', '45149', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('996', '5', '2', '1', '', '45143', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('997', '5', '2', '1', '', '45104', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('998', '5', '2', '1', '', '45138', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('999', '5', '2', '1', '', '45121', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('1000', '5', '2', '1', '', '45126', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('1001', '5', '2', '2', '', '45144', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('1002', '5', '2', '2', '', '45140', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('1003', '5', '2', '2', '', '45130', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('1004', '5', '2', '2', '', '45131', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('1005', '5', '2', '2', '', '45129', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('1006', '5', '2', '2', '', '45161', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('1007', '5', '2', '2', '', '45136', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('1008', '5', '2', '2', '', '45371', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('1009', '5', '2', '2', '', '45105', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('1010', '5', '2', '2', '', '45068', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('1011', '5', '2', '2', '', '45155', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('1012', '5', '2', '2', '', '45060', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('1013', '5', '2', '3', '', '45105', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('1014', '5', '2', '3', '', '45082', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('1015', '5', '2', '3', '', '45101', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('1016', '5', '2', '3', '', '45223', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('1017', '5', '2', '3', '', '45060', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('1018', '5', '2', '3', '', '45115', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('1019', '5', '2', '3', '', '45136', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('1020', '5', '2', '3', '', '45092', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('1021', '5', '2', '3', '', '45182', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('1022', '5', '2', '3', '', '45126', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('1023', '5', '2', '3', '', '45190', '2', '15');
INSERT INTO `spawnlist_ub` VALUES ('1024', '5', '2', '3', '', '45107', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('1025', '5', '2', '3', '', '45079', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('1026', '5', '2', '3', '', '45387', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('1027', '5', '2', '3', '', '45141', '7', '15');
INSERT INTO `spawnlist_ub` VALUES ('1028', '5', '2', '4', '', '45213', '2', '15');
INSERT INTO `spawnlist_ub` VALUES ('1029', '5', '2', '4', '', '45346', '1', '15');
INSERT INTO `spawnlist_ub` VALUES ('1030', '5', '3', '1', '', '45551', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('1031', '5', '3', '1', '', '45048', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('1032', '5', '3', '1', '', '45115', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('1033', '5', '3', '1', '', '45136', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('1034', '5', '3', '1', '', '45105', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('1035', '5', '3', '1', '', '45041', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('1036', '5', '3', '1', '', '45092', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('1037', '5', '3', '1', '', '45107', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('1038', '5', '3', '1', '', '45129', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('1039', '5', '3', '1', '', '45130', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('1040', '5', '3', '1', '', '45131', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('1041', '5', '3', '1', '', '45126', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('1042', '5', '3', '1', '', '45138', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('1043', '5', '3', '2', '', '45164', '13', '15');
INSERT INTO `spawnlist_ub` VALUES ('1044', '5', '3', '2', '', '45223', '2', '15');
INSERT INTO `spawnlist_ub` VALUES ('1045', '5', '3', '2', '', '45182', '1', '15');
INSERT INTO `spawnlist_ub` VALUES ('1046', '5', '3', '2', '', '45184', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('1047', '5', '3', '2', '', '45140', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('1048', '5', '3', '2', '', '45371', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('1049', '5', '3', '2', '', '45155', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('1050', '5', '3', '2', '', '45121', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('1051', '5', '3', '2', '', '45192', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('1052', '5', '3', '2', '', '45173', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('1053', '5', '3', '2', '', '45060', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('1054', '5', '3', '3', '', '45157', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('1055', '5', '3', '3', '', '45551', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('1056', '5', '3', '3', '', '45105', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('1057', '5', '3', '3', '', '45040', '13', '15');
INSERT INTO `spawnlist_ub` VALUES ('1058', '5', '3', '3', '', '45155', '13', '15');
INSERT INTO `spawnlist_ub` VALUES ('1059', '5', '3', '3', '', '45140', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('1060', '5', '3', '3', '', '45115', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('1061', '5', '3', '3', '', '45136', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('1062', '5', '3', '3', '', '45079', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('1063', '5', '3', '3', '', '45182', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('1064', '5', '3', '3', '', '45121', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('1065', '5', '3', '3', '', '45190', '2', '15');
INSERT INTO `spawnlist_ub` VALUES ('1066', '5', '3', '3', '', '45184', '3', '15');
INSERT INTO `spawnlist_ub` VALUES ('1067', '5', '3', '3', '', '45079', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('1068', '5', '3', '3', '', '45192', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('1069', '5', '3', '3', '', '45371', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('1070', '5', '3', '4', '', '45213', '2', '15');
INSERT INTO `spawnlist_ub` VALUES ('1071', '5', '3', '4', '', '45346', '1', '15');
INSERT INTO `spawnlist_ub` VALUES ('1072', '5', '4', '1', '', '45068', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('1073', '5', '4', '1', '', '45083', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('1074', '5', '4', '1', '', '45051', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('1075', '5', '4', '1', '', '45064', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('1076', '5', '4', '1', '', '45023', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('1077', '5', '4', '1', '', '45041', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('1078', '5', '4', '1', '', '45092', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('1079', '5', '4', '1', '', '45107', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('1080', '5', '4', '1', '', '45040', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('1081', '5', '4', '1', '', '45223', '12', '15');
INSERT INTO `spawnlist_ub` VALUES ('1082', '5', '4', '1', '', '45140', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('1083', '5', '4', '1', '', '45136', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('1084', '5', '4', '1', '', '45144', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('1085', '5', '4', '1', '', '45155', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('1086', '5', '4', '2', '', '45115', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('1087', '5', '4', '2', '', '45104', '13', '15');
INSERT INTO `spawnlist_ub` VALUES ('1088', '5', '4', '2', '', '45121', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('1089', '5', '4', '2', '', '45082', '13', '15');
INSERT INTO `spawnlist_ub` VALUES ('1090', '5', '4', '2', '', '45048', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('1091', '5', '4', '2', '', '45027', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('1092', '5', '4', '2', '', '45079', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('1093', '5', '4', '2', '', '45101', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('1094', '5', '4', '2', '', '45098', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('1095', '5', '4', '2', '', '45127', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('1096', '5', '4', '2', '', '45149', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('1097', '5', '4', '2', '', '45143', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('1098', '5', '4', '2', '', '45060', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('1099', '5', '4', '3', '', '45157', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('1100', '5', '4', '3', '', '45551', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('1101', '5', '4', '3', '', '45105', '20', '15');
INSERT INTO `spawnlist_ub` VALUES ('1102', '5', '4', '3', '', '45040', '13', '15');
INSERT INTO `spawnlist_ub` VALUES ('1103', '5', '4', '3', '', '45155', '13', '15');
INSERT INTO `spawnlist_ub` VALUES ('1104', '5', '4', '3', '', '45140', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('1105', '5', '4', '3', '', '45115', '8', '15');
INSERT INTO `spawnlist_ub` VALUES ('1106', '5', '4', '3', '', '45136', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('1107', '5', '4', '3', '', '45079', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('1108', '5', '4', '3', '', '45182', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('1109', '5', '4', '3', '', '45121', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('1110', '5', '4', '3', '', '45190', '2', '15');
INSERT INTO `spawnlist_ub` VALUES ('1111', '5', '4', '3', '', '45184', '5', '15');
INSERT INTO `spawnlist_ub` VALUES ('1112', '5', '4', '3', '', '45079', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('1113', '5', '4', '3', '', '45192', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('1114', '5', '4', '3', '', '45371', '10', '15');
INSERT INTO `spawnlist_ub` VALUES ('1115', '5', '4', '4', '', '45213', '2', '15');
INSERT INTO `spawnlist_ub` VALUES ('1116', '5', '4', '4', '', '45346', '1', '15');
INSERT INTO `town` VALUES ('1', 'Talking Island Village', '0', null, '0', '0', '0', '0', '0', '0');
INSERT INTO `town` VALUES ('2', 'Silver Knight Town', '0', null, '0', '0', '0', '0', '0', '0');
INSERT INTO `town` VALUES ('3', 'Gludio', '0', 'null', '0', '0', '0', '0', '0', '0');
INSERT INTO `town` VALUES ('4', 'Fire Farmers Town', '0', 'null', '0', '0', '0', '0', '0', '0');
INSERT INTO `town` VALUES ('5', 'Windawood', '0', null, '0', '0', '0', '0', '0', '0');
INSERT INTO `town` VALUES ('6', 'Kent Village', '0', null, '0', '0', '0', '0', '0', '0');
INSERT INTO `town` VALUES ('7', 'Giran', '0', 'null', '0', '0', '0', '0', '0', '0');
INSERT INTO `town` VALUES ('8', 'Heine', '0', null, '0', '0', '0', '0', '0', '0');
INSERT INTO `town` VALUES ('9', 'Werldern Village', '0', 'null', '0', '0', '0', '0', '0', '0');
INSERT INTO `town` VALUES ('10', 'Oren', '0', 'null', '0', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('1', 'Damage 1', 'L1DamageTrap', '1065', '1', '10', '10', '1', '-', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('2', 'Damage 2', 'L1HealingTrap', '1074', '0', '10', '10', '1', '-', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('3', 'Normal Poison', 'L1PoisonTrap', '1066', '1', '0', '0', '0', 'd', '0', '5000', '10', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('4', 'Silence Poison', 'L1PoisonTrap', '1066', '1', '0', '0', '0', 's', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('5', 'Paralysis Poison', 'L1PoisonTrap', '1066', '1', '0', '0', '0', 'p', '5000', '5000', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('6', 'Damage 3', 'L1DamageTrap', '1085', '1', '10', '10', '1', '-', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('7', 'Damage 4', 'L1DamageTrap', '1070', '1', '10', '10', '1', '-', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('8', 'TOI4F: Mutant Arachnevil Elder', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45348', '2', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('9', 'TOI8F: Cimaera', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45407', '2', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('10', 'TOI14F: Succubus', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45394', '2', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('11', 'TOI18F: Wicked Beholder', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45406', '2', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('12', 'TOI24F: Horrific Fire Egg', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45384', '2', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('13', 'TOI28F: Horrific Cerberus', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45471', '2', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('14', 'TOI34F: Raging Skeleton Pike', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45403', '2', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('15', 'TOI38F: Raging Spartoi', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45455', '2', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('16', 'TOI44F: Fire Ghost', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45514', '2', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('17', 'TOI48F: Bone Dragon', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45522', '2', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('18', 'TOI54F: Cursed Elmore Soldier', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45524', '2', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('19', 'TOI64F: Cruel Snow Tiger', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45528', '2', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('20', 'TOI74F: Black Knight of Darkness', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45503', '2', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('21', 'TOI78F: Fire Archer of Darkness', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45532', '2', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('22', 'TOI84F: Lesser Seer', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45586', '2', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('23', 'TOI94F: Great Spirit of Wind', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45621', '2', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('24', 'IT4F: Iron Golem', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45372', '2', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('25', 'IT4F: Mimic', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45141', '2', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('26', 'IT4F: Living Armor', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45322', '2', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('27', 'IT5F: Iron Golem', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45372', '3', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('28', 'IT5F: Mimic', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45141', '3', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('29', 'IT5F: Living Armor', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45322', '3', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('30', 'IT6F: Silhouette', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45162', '3', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('31', 'IT6F: Death', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45221', '3', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('32', 'IT7F: Silhouette', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45162', '4', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('33', 'IT7F: Death', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45221', '4', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('34', 'IT8F: Iron Golem', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45372', '5', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('35', 'IT8F: Silhouette', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45162', '5', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('36', 'IT8F: Death', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45221', '5', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('37', 'IT8F: Living Armor', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45322', '5', '0', '0', '0', '0', '0');
INSERT INTO `ub_managers` VALUES ('1', '50037');
INSERT INTO `ub_managers` VALUES ('1', '50038');
INSERT INTO `ub_managers` VALUES ('2', '50041');
INSERT INTO `ub_managers` VALUES ('2', '50042');
INSERT INTO `ub_managers` VALUES ('3', '50028');
INSERT INTO `ub_managers` VALUES ('3', '50029');
INSERT INTO `ub_managers` VALUES ('4', '50018');
INSERT INTO `ub_managers` VALUES ('4', '50019');
INSERT INTO `ub_managers` VALUES ('5', '50061');
INSERT INTO `ub_managers` VALUES ('5', '50062');
INSERT INTO `ub_settings` VALUES ('1', 'Giran UB', '88', '33494', '32724', '33516', '32746', '40', '99', '20', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0');
INSERT INTO `ub_settings` VALUES ('2', 'Werldern UB', '98', '32682', '32878', '32717', '32913', '30', '48', '20', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0');
INSERT INTO `ub_settings` VALUES ('3', 'Gludio UB', '92', '32682', '32878', '32717', '32913', '25', '45', '20', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0');
INSERT INTO `ub_settings` VALUES ('4', 'TI UB', '91', '32682', '32878', '32717', '32913', '10', '20', '20', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0');
INSERT INTO `ub_settings` VALUES ('5', 'SKT UB', '95', '32682', '32878', '32717', '32913', '1', '15', '20', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0');
INSERT INTO `ub_times` VALUES ('1', '500');
INSERT INTO `ub_times` VALUES ('1', '1600');
INSERT INTO `ub_times` VALUES ('1', '2100');
INSERT INTO `ub_times` VALUES ('2', '400');
INSERT INTO `ub_times` VALUES ('2', '1500');
INSERT INTO `ub_times` VALUES ('2', '2000');
INSERT INTO `ub_times` VALUES ('3', '300');
INSERT INTO `ub_times` VALUES ('3', '1400');
INSERT INTO `ub_times` VALUES ('3', '1900');
INSERT INTO `ub_times` VALUES ('4', '200');
INSERT INTO `ub_times` VALUES ('4', '1300');
INSERT INTO `ub_times` VALUES ('4', '1800');
INSERT INTO `ub_times` VALUES ('5', '100');
INSERT INTO `ub_times` VALUES ('5', '600');
INSERT INTO `ub_times` VALUES ('5', '1700');
INSERT INTO `weapon` VALUES ('1', 'Orcish Dagger', '$13', 'dagger', 'iron', '10000', '34', '68', '0', '2', '3', '6', '1', '1', '1', '1', '1', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('2', 'Dice Dagger', '$416', 'dagger', 'iron', '10000', '144', '354', '142', '1', '3', '6', '1', '1', '1', '1', '1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('3', 'Body of Shortsword', '$785', 'sword', 'mithril', '20000', '322', '68', '0', '2', '2', '6', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('4', 'Dagger', '$70', 'dagger', 'iron', '10000', '35', '68', '0', '4', '2', '6', '1', '1', '1', '1', '1', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('5', 'Elven Dagger', '$12', 'dagger', 'mithril', '10000', '33', '68', '0', '4', '3', '6', '1', '1', '1', '1', '1', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('6', 'Lastabad Dagger', '$2905', 'dagger', 'iron', '20000', '1332', '3433', '1078', '4', '3', '6', '1', '1', '1', '1', '1', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('7', 'Ivory Tower Dagger', '$3288', 'dagger', 'iron', '20000', '34', '68', '1329', '5', '5', '-1', '1', '1', '1', '1', '1', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '1');
INSERT INTO `weapon` VALUES ('8', 'Mithril Dagger', '$3248', 'dagger', 'mithril', '50000', '1629', '4112', '1283', '6', '5', '6', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '3', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('9', 'Oriharukon Dagger', '$3247', 'dagger', 'oriharukon', '50000', '1635', '4118', '1282', '7', '7', '6', '1', '1', '1', '1', '1', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('10', 'Lastabad Blade', '$2920', 'dagger', 'iron', '30000', '1341', '3441', '1079', '8', '8', '6', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('11', 'Dagger of Crystal', '$3867', 'dagger', 'silver', '45000', '1921', '68', '0', '10', '4', '6', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('12', 'Wind Blade Dagger', '$3835', 'dagger', 'blackmithril', '60000', '1947', '5003', '0', '23', '16', '0', '1', '1', '1', '1', '1', '0', '6', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('13', 'Finger of Death', '$2648', 'dagger', 'iron', '20000', '1317', '68', '1049', '16', '4', '6', '0', '0', '0', '0', '1', '2', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '50', '0', '1', '1');
INSERT INTO `weapon` VALUES ('14', 'Claw of Chaos', '$3737', 'dagger', 'bone', '10000', '1995', '68', '1706', '18', '2', '0', '1', '1', '1', '1', '1', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '45', '0', '1', '0');
INSERT INTO `weapon` VALUES ('15', 'Sword of Kurtz', '$2777', 'sword', 'iron', '1000', '1243', '3266', '1011', '0', '0', '6', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '1');
INSERT INTO `weapon` VALUES ('16', 'Blade of Revenge', '$2762', 'tohandsword', 'bone', '40000', '1241', '3308', '0', '1', '33', '0', '0', '1', '0', '0', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('17', 'Sealed Forgotten Great Sword', '$1958 $1938', 'tohandsword', 'iron', '80000', '90', '76', '0', '2', '3', '0', '1', '1', '0', '0', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '45', '0', '1', '0');
INSERT INTO `weapon` VALUES ('18', 'Sealed Forgotten Sword', '$1958 $1939', 'sword', 'iron', '40000', '103', '26', '0', '3', '2', '0', '1', '1', '0', '1', '1', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '45', '0', '1', '0');
INSERT INTO `weapon` VALUES ('19', 'Body of Long Sword', '$786', 'sword', 'mithril', '30000', '321', '890', '0', '3', '3', '6', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('20', 'Body of Oriharukon Sword', '$787', 'sword', 'oriharukon', '35000', '321', '890', '0', '4', '4', '6', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('21', 'Orcish Short Sword', '$99', 'sword', 'iron', '30000', '105', '26', '0', '4', '4', '6', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('22', 'Mail Breaker', '$793', 'sword', 'oriharukon', '40000', '276', '26', '0', '4', '5', '6', '1', '1', '1', '1', '1', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('23', 'Broad Sword', '$66', 'sword', 'iron', '70000', '21', '82', '0', '4', '6', '6', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('24', 'Short Sword', '$100', 'sword', 'iron', '30000', '106', '26', '0', '6', '8', '6', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('25', 'Silver Sword', '$1148', 'sword', 'silver', '40000', '156', '26', '0', '7', '7', '6', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('26', 'Dwarvish Short Sword', '$97', 'sword', 'iron', '40000', '103', '26', '0', '7', '8', '6', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('27', 'Scimitar', '$92', 'sword', 'iron', '40000', '90', '76', '0', '8', '8', '6', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('28', 'Elven Short Sword', '$98', 'sword', 'mithril', '20000', '325', '26', '0', '8', '8', '6', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('29', 'Long Silver Sword', '$1147', 'sword', 'silver', '50000', '163', '356', '0', '8', '12', '6', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('30', 'Sword of the Red Knight', '$313', 'sword', 'iron', '40000', '441', '3', '123', '8', '12', '6', '1', '1', '1', '1', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('31', 'Long Sword', '$0', 'sword', 'iron', '40000', '2', '3', '0', '8', '12', '6', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('32', 'Gradius', '$415', 'sword', 'iron', '40000', '151', '355', '0', '9', '11', '6', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('33', 'Sword of Honor', '$3790', 'sword', 'iron', '50000', '1871', '3', '1807', '9', '12', '6', '0', '1', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('34', 'Sword of Red Desire', '$3795', 'dagger', 'mithril', '20000', '1872', '3', '1812', '10', '8', '6', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('35', 'IT One-Handed Sword', '$3279', 'sword', 'iron', '40000', '2', '26', '1320', '10', '10', '-1', '1', '1', '0', '1', '1', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '1');
INSERT INTO `weapon` VALUES ('36', 'Eva\'s Scorn', 'Eva\'s Scorn', 'sword', 'iron', '40000', '932', '26', '0', '9', '9', '6', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('37', 'Damascus Sword', '$598', 'sword', 'iron', '45000', '298', '3', '0', '10', '11', '6', '1', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('38', 'Lastabad Long Sword', '$2903', 'sword', 'iron', '30000', '1335', '3422', '1076', '10', '12', '6', '0', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('39', 'Cutlass', '$3504', 'sword', 'iron', '50000', '1778', '4352', '0', '10', '12', '6', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('40', 'Large Sword of Blood', '$3864', 'tohandsword', 'iron', '160000', '1918', '3', '0', '10', '12', '6', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('41', 'Katana', '$16', 'sword', 'iron', '40000', '58', '26', '0', '10', '12', '6', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('42', 'Rapier', '$789', 'sword', 'oriharukon', '60000', '104', '3', '0', '11', '6', '6', '0', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('43', 'Shamshir', '$3505', 'sword', 'oriharukon', '60000', '1779', '4353', '0', '11', '6', '6', '0', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('44', 'Sword of Ancient Elf', '$2772', 'sword', 'mithril', '20000', '1250', '3314', '1006', '11', '10', '6', '0', '0', '0', '1', '0', '0', '0', '0', '0', '1', '0', '-1', '0', '-15', '0', '0', '0', '1', '4', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('45', 'Sword of Lord Porche', '$428', 'sword', 'iron', '50000', '155', '355', '0', '11', '12', '9', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('46', 'Sword of Life', '$1553', 'sword', 'iron', '40000', '58', '26', '0', '11', '12', '9', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('47', 'Sword of Silence', '$3110', 'sword', 'iron', '60000', '1511', '3733', '1198', '12', '12', '6', '0', '1', '0', '1', '1', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('48', 'IT Two-Handed Sword', '$3280', 'tohandsword', 'iron', '150000', '21', '82', '1321', '12', '12', '-1', '1', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '1');
INSERT INTO `weapon` VALUES ('49', 'Long Sword of Pretender King', '$3840', 'sword', 'iron', '120000', '1894', '26', '0', '13', '10', '6', '1', '1', '0', '1', '0', '1', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('50', 'Sword of Flames', '$2353', 'sword', 'silver', '80000', '1019', '3', '790', '14', '6', '6', '0', '0', '0', '1', '0', '4', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '50', '0', '1', '1');
INSERT INTO `weapon` VALUES ('51', 'Gold Scepter', '$2354', 'sword', 'gold', '110000', '1020', '781', '791', '14', '14', '6', '1', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '50', '0', '1', '1');
INSERT INTO `weapon` VALUES ('52', 'Two Handed Sword', '$3', 'tohandsword', 'iron', '150000', '4', '59', '0', '14', '16', '6', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('53', 'Sword of Brave Lizardman Soldier', '$3796', 'tohandsword', 'iron', '150000', '1876', '3', '1813', '14', '18', '6', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('54', 'Sword of Kurtz', '$2994', 'sword', 'iron', '40000', '1243', '3266', '1098', '15', '11', '6', '0', '1', '0', '0', '0', '4', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('55', 'Blade of Darkness', '$3863', 'sword', 'iron', '100000', '1917', '3', '0', '15', '12', '6', '1', '1', '0', '0', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('56', 'Death Blade', '$2350', 'sword', 'iron', '100000', '1016', '3', '0', '16', '8', '6', '0', '1', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '50', '0', '1', '1');
INSERT INTO `weapon` VALUES ('57', 'Tsuguri', '$17', 'sword', 'steel', '120000', '112', '3', '9', '16', '10', '6', '0', '1', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('58', 'Fire Sword of Death Knight', '$2758', 'sword', 'iron', '40000', '1259', '3304', '992', '16', '10', '6', '0', '1', '0', '0', '0', '5', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('59', 'Sword of Knight Vald', '$2859', 'sword', 'steel', '150000', '1181', '3131', '0', '16', '16', '6', '0', '1', '0', '0', '0', '-1', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('60', 'Doom Blade', '$417', 'sword', 'iron', '50000', '58', '26', '0', '16', '16', '6', '1', '1', '1', '1', '1', '20', '120', '5', '5', '5', '5', '5', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '52', '0', '1', '0');
INSERT INTO `weapon` VALUES ('61', 'Executuion Sword of Fidelity', '$3834', 'tohandsword', 'blackmithril', '100000', '1945', '5002', '0', '25', '30', '0', '0', '1', '0', '0', '0', '5', '20', '2', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('62', 'Two-Handed Sword of Pretender King', '$3839', 'tohandsword', 'iron', '180000', '1893', '26', '0', '16', '20', '6', '0', '1', '0', '0', '0', '1', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('63', 'Devil\'s Knife', '$3375', 'sword', 'iron', '40000', '1720', '26', '1411', '17', '9', '6', '1', '1', '0', '1', '0', '4', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('64', 'Great Sword', '$1048', 'tohandsword', 'iron', '150000', '463', '3', '0', '17', '14', '6', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('65', 'Sword of Heaven', '$2253', 'sword', 'iron', '5000', '1010', '26', '0', '17', '19', '-1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '50', '0', '1', '1');
INSERT INTO `weapon` VALUES ('66', 'Dragon Slayer', '$1020', 'tohandsword', 'steel', '180000', '438', '3', '0', '21', '30', '6', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('67', 'Ancient Great Sword', '$1951', 'tohandsword', 'iron', '70000', '897', '3', '671', '24', '42', '-1', '1', '1', '0', '0', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '45', '0', '1', '0');
INSERT INTO `weapon` VALUES ('68', 'Ancient Sword', '$1950', 'sword', 'iron', '30000', '902', '26', '672', '35', '20', '-1', '1', '1', '0', '1', '1', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '45', '0', '1', '0');
INSERT INTO `weapon` VALUES ('69', 'Bronze Edoryu', '$2458 $2449', 'edoryu', 'iron', '20000', '1067', '2923', '862', '8', '6', '6', '0', '0', '0', '0', '1', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('70', 'Edoryu of Auger Blade', '$3866', 'edoryu', 'iron', '30000', '1920', '2923', '859', '8', '8', '6', '0', '0', '0', '0', '1', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('71', 'Steel Edoryu', '$2459 $2449', 'edoryu', 'iron', '30000', '1090', '2929', '863', '10', '7', '6', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('72', 'Shadow Edoryu', '$2460 $2449', 'edoryu', 'iron', '30000', '1083', '2930', '859', '11', '7', '6', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('73', 'Ivory Tower Edoryu', '$3286', 'edoryu', 'iron', '20000', '1072', '2923', '1327', '11', '8', '-1', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '1');
INSERT INTO `weapon` VALUES ('74', 'Silver Edoryu', '$2454 $2449', 'edoryu', 'silver', '20000', '1085', '2926', '849', '11', '8', '6', '0', '0', '0', '0', '1', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('75', 'Dark Edoryu', '$2452 $2449', 'edoryu', 'steel', '20000', '1072', '2927', '846', '12', '8', '6', '0', '0', '0', '0', '1', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('76', 'Edoryu of Ronde', '$2759', 'edoryu', 'iron', '30000', '1260', '3305', '993', '12', '8', '6', '0', '0', '0', '0', '1', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('77', 'Stealth Edoryu', '$2461 $2449', 'edoryu', 'iron', '25000', '1088', '2924', '860', '13', '8', '6', '0', '0', '0', '0', '1', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('78', 'Assassin Sword of Assassin King', '$3860', 'edoryu', 'platinum', '20000', '1914', '2928', '0', '13', '13', '6', '0', '0', '0', '0', '1', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('79', 'Edoryu of Abyss', '$3791', 'edoryu', 'steel', '20000', '1875', '2928', '0', '14', '10', '6', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('80', 'Damascus Edoryu', '$2462 $2449', 'edoryu', 'iron', '40000', '1069', '2931', '861', '15', '9', '6', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('81', 'Edoryu of Bravery', '$2449 $2453', 'edoryu', 'steel', '30000', '1064', '2925', '851', '15', '10', '6', '0', '0', '0', '0', '1', '3', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('82', 'Lastabad Edoryu', '$2904', 'edoryu', 'iron', '40000', '1324', '3431', '1077', '15', '10', '6', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('83', 'Diad Fortress Edoryu', '$3111', 'edoryu', 'iron', '40000', '1512', '3734', '0', '15', '11', '6', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('84', 'Kaiser Edoryu', '$2455', 'edoryu', 'platinum', '40000', '1078', '2928', '854', '17', '13', '6', '0', '0', '0', '0', '1', '4', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('85', 'Devil\'s Edoryu', '$3376', 'edoryu', 'iron', '30000', '1785', '4362', '1412', '18', '13', '6', '0', '0', '0', '0', '1', '3', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('86', 'Edoryu of Red Shadow', '$3836', 'edoryu', 'blackmithril', '50000', '1949', '5004', '0', '20', '15', '0', '0', '0', '0', '0', '1', '2', '8', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('87', 'Unknown Spear', '$2760', 'spear', 'bone', '0', '1228', '3306', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('88', 'Pan\'s Horn', '$783', 'singlespear', 'bone', '12000', '317', '887', '0', '2', '2', '6', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('89', 'Mithril-coated Horn', '$791', 'singlespear', 'steel', '24000', '315', '887', '0', '4', '4', '6', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('90', 'Bardiche', '$62', 'spear', 'steel', '120000', '11', '5', '0', '4', '6', '6', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('91', 'Orcish Spear', '$96', 'singlespear', 'steel', '30000', '100', '27', '0', '4', '6', '6', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('92', 'Bill-guisarme', '$63', 'spear', 'steel', '120000', '13', '5', '0', '4', '11', '6', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('93', 'Trident', '$102', 'singlespear', 'steel', '25000', '111', '77', '0', '5', '4', '6', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('94', 'Partisan', '$87', 'singlespear', 'steel', '80000', '72', '5', '0', '6', '6', '6', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('95', 'Lance', '$81', 'singlespear', 'steel', '180000', '60', '71', '0', '6', '8', '6', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('96', 'Spear', '$25', 'singlespear', 'steel', '80000', '98', '27', '0', '6', '8', '6', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('97', 'Guisarme', '$76', 'spear', 'steel', '80000', '48', '5', '0', '6', '8', '6', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('98', 'Glaive', '$75', 'spear', 'steel', '75000', '45', '5', '0', '6', '10', '6', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('99', 'Elven Spear', '$95', 'singlespear', 'mithril', '30000', '99', '5', '0', '7', '8', '6', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('100', 'Oriharukon-coated Horn', '$792', 'singlespear', 'oriharukon', '55000', '316', '887', '0', '7', '8', '6', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('101', 'Lastabad One-Handed Spear', '$2906', 'singlespear', 'steel', '80000', '1333', '3432', '1080', '8', '8', '6', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('102', 'Lucern Hammer', '$83', 'spear', 'steel', '150000', '66', '5', '0', '9', '11', '6', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('103', 'Halbred', '$77', 'spear', 'steel', '150000', '50', '5', '0', '10', '6', '6', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('104', 'Fauchard', '$73', 'spear', 'oriharukon', '60000', '41', '5', '0', '10', '10', '6', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('105', 'Ivory Tower Spear', '$3282', 'spear', 'steel', '100000', '98', '27', '1323', '10', '11', '-1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1');
INSERT INTO `weapon` VALUES ('106', 'Bec de Corbin', '$71', 'spear', 'steel', '100000', '38', '5', '0', '11', '11', '6', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('107', 'Crimson Lance', '$3250', 'spear', 'mithril', '100000', '38', '4119', '1285', '15', '15', '6', '1', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('108', 'Staff of Demon', '$2764', 'staff', 'bone', '1000', '1240', '3310', '998', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1');
INSERT INTO `weapon` VALUES ('109', 'Staff of Baphomet', '$2766', 'staff', 'bone', '1000', '1255', '3264', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1');
INSERT INTO `weapon` VALUES ('110', 'Staff of Beleth', '$2768', 'staff', 'bone', '1000', '1257', '3265', '1002', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1');
INSERT INTO `weapon` VALUES ('111', 'Staff of Ice Queen', '$2754', 'staff', 'steel', '20000', '1239', '3262', '1094', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1');
INSERT INTO `weapon` VALUES ('112', 'Elven Sword of Magic Resistance', '$801', 'sword', 'mithril', '20000', '325', '26', '0', '8', '8', '6', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '15', '0', '1', '0');
INSERT INTO `weapon` VALUES ('113', 'Elven Sword of Dexterity', '$802', 'sword', 'mithril', '20000', '325', '26', '347', '8', '8', '6', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', '-1', '0', '0', '-15', '0', '0', '0', '0', '0', '0', '0', '0', '15', '0', '1', '0');
INSERT INTO `weapon` VALUES ('114', 'Symbol of Dignity', '$4386', 'blunt', 'iron', '20000', '2228', '5606', '2102', '14', '16', '6', '1', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '40', '0', '1', '0');
INSERT INTO `weapon` VALUES ('115', 'Crystal Staff', '$2080', 'staff', 'wood', '15000', '939', '75', '711', '1', '1', '6', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('116', 'Staff of Black Wizard', '$3089', 'staff', 'steel', '15000', '1487', '3709', '1177', '1', '1', '6', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '5', '2', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('117', 'Wand of Laia', '$3078', 'staff', 'wood', '15000', '1516', '3791', '1166', '1', '1', '6', '0', '0', '1', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '10', '0', '0', '1', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('118', 'Jet-Black Crystal Ball', '$3793', 'staff', 'steel', '15000', '1878', '773', '1810', '1', '1', '6', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('119', 'Staff of Demon', '$2991', 'staff', 'bone', '1000', '1240', '3310', '1095', '1', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('120', 'Ivory Tower Staff', '$3285', 'staff', 'wood', '15000', '83', '75', '1326', '2', '2', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '1', '0', '0', '0', '0', '0', '0', '1', '1');
INSERT INTO `weapon` VALUES ('121', 'Staff of Ice Queen', '$2990', 'staff', 'steel', '20000', '1239', '3262', '1094', '2', '3', '6', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('122', 'Lastabad Staff', '$2909', 'staff', 'wood', '15000', '1334', '3428', '1084', '2', '3', '6', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '8', '1', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('123', 'Staff of Beleth', '$2993', 'staff', 'bone', '15000', '1257', '3265', '1097', '2', '3', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '10', '2', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('124', 'Staff of Baphomet', '$2992', 'staff', 'bone', '15000', '1255', '3264', '1096', '2', '3', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('125', 'Staff of Sorcery', '$572', 'staff', 'wood', '15000', '292', '75', '232', '2', '3', '6', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('126', 'Staff of Mana', '$1063', 'staff', 'wood', '15000', '293', '75', '342', '3', '3', '6', '0', '0', '1', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('127', 'Steel Staff of Mana', '$2003', 'staff', 'iron', '30000', '293', '75', '0', '3', '3', '6', '0', '0', '1', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('128', 'Oak Staff', '$570', 'staff', 'wood', '15000', '291', '75', '230', '3', '4', '6', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('129', 'Wizard\'s Staff', '$571', 'staff', 'wood', '20000', '297', '75', '231', '4', '5', '6', '0', '0', '1', '0', '0', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '3', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('130', 'Staff of Red Crystal', '$3865', 'tohandstaff', 'steel', '60000', '1919', '75', '0', '8', '8', '6', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '40', '0', '1', '0');
INSERT INTO `weapon` VALUES ('131', 'Staff of Strength', '$573', 'staff', 'wood', '15000', '293', '75', '233', '9', '9', '6', '0', '0', '1', '0', '0', '0', '3', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-2', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('132', 'Staff of New King', '$3847', 'tohandstaff', 'silver', '70000', '1901', '75', '0', '9', '9', '6', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('133', 'Wisdom of the Ancient People', '$2241', 'staff', 'wood', '5000', '1003', '75', '0', '10', '10', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '50', '0', '1', '1');
INSERT INTO `weapon` VALUES ('134', 'Crystalized Staff', '$3838', 'staff', 'blackmithril', '60000', '1953', '5006', '0', '13', '15', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '50', '0', '12', '3', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('135', 'Unknown Axe', '$2761', 'blunt', 'bone', '0', '1227', '3307', '0', '0', '0', '6', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('136', 'Axe', '$1', 'blunt', 'steel', '60000', '1', '2', '0', '3', '5', '6', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('137', 'Athame', '$14', 'blunt', 'steel', '10000', '8', '14', '0', '4', '4', '6', '1', '1', '0', '1', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('138', 'Club', '$69', 'blunt', 'steel', '30000', '31', '14', '0', '6', '3', '6', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('139', 'Flail', '$74', 'blunt', 'steel', '15000', '42', '83', '0', '6', '4', '6', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('140', 'Mace', '$20', 'blunt', 'steel', '30000', '67', '60', '0', '6', '8', '6', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('141', 'War Hammer', '$111', 'tohandblunt', 'steel', '50000', '119', '358', '0', '7', '9', '6', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('142', 'Silver Axe', '$1149', 'tohandblunt', 'silver', '270000', '173', '358', '0', '7', '14', '6', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('143', 'Battle Axe', '$60', 'tohandblunt', 'steel', '120000', '9', '58', '0', '8', '8', '6', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('144', 'Dwarvish Axe', '$94', 'tohandblunt', 'steel', '280000', '172', '358', '0', '8', '14', '6', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('145', 'Berserker Axe', '$418', 'tohandblunt', 'steel', '200000', '439', '358', '0', '9', '9', '6', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('146', 'Morning Star', '$84', 'blunt', 'steel', '120000', '68', '68', '0', '9', '10', '6', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('147', 'Ivory Tower Axe', '$3281', 'blunt', 'steel', '200000', '1', '2', '1322', '10', '13', '-1', '1', '1', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1');
INSERT INTO `weapon` VALUES ('148', 'Great Axe', '$412', 'tohandblunt', 'steel', '250000', '171', '358', '0', '10', '16', '6', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('149', 'Axe of Minotaur', '$2214', 'tohandblunt', 'steel', '250000', '980', '3287', '0', '12', '14', '6', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('150', 'Hammer of the Heavens', '$3735', 'tohandblunt', 'oriharukon', '10000', '2009', '5059', '0', '15', '16', '6', '1', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('151', 'Demon Axe', '$3249', 'tohandblunt', 'blackmithril', '180000', '1627', '4110', '1284', '20', '20', '0', '1', '1', '0', '0', '0', '-2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('152', 'Bronze Claw', '$2458 $372', 'claw', 'iron', '20000', '1068', '2908', '862', '8', '7', '6', '0', '0', '0', '0', '1', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('153', 'Steel Claw', '$2459 $372', 'claw', 'iron', '30000', '1091', '2914', '863', '10', '8', '6', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('154', 'Shadow Claw', '$2460 $372', 'claw', 'iron', '30000', '1084', '2915', '864', '12', '10', '6', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('155', 'Claw of Magic Power King', '$3861', 'claw', 'iron', '100000', '1915', '2913', '0', '12', '12', '6', '0', '0', '0', '0', '1', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('156', 'Ivory Tower Claw', '$3287', 'claw', 'iron', '20000', '1073', '2914', '1328', '12', '10', '-1', '0', '0', '0', '0', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1');
INSERT INTO `weapon` VALUES ('157', 'Silver Claw', '$2454 $372', 'claw', 'silver', '20000', '1086', '2911', '850', '13', '10', '6', '0', '0', '0', '0', '1', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('158', 'Dark Claw', '$2452 $372', 'claw', 'steel', '20000', '1073', '2912', '847', '14', '11', '6', '0', '0', '0', '0', '1', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('159', 'Stealth Claw', '$2461 $372', 'claw', 'iron', '25000', '1089', '2909', '865', '14', '12', '6', '0', '0', '0', '0', '1', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('160', 'Claw of Savage King', '$3837', 'claw', 'blackmithril', '70000', '1951', '5005', '0', '25', '20', '0', '0', '0', '0', '0', '1', '0', '10', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('161', 'Damascus Claw', '$2462 $372', 'claw', 'iron', '40000', '1070', '2916', '866', '17', '13', '6', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('162', 'Claw of Bravery', '$372 $2453', 'claw', 'steel', '30000', '1065', '2910', '852', '17', '15', '6', '0', '0', '0', '0', '1', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('163', 'Claw of Baranka', '$3073', 'claw', 'iron', '40000', '1534', '3850', '1161', '18', '18', '6', '0', '0', '0', '0', '1', '0', '8', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('164', 'Kaiser Claw', '$2456', 'claw', 'iron', '40000', '1079', '2913', '855', '20', '16', '6', '0', '0', '0', '0', '1', '2', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('165', 'Devil\'s Claw', '$3377', 'claw', 'iron', '30000', '1721', '4318', '1413', '20', '18', '6', '0', '0', '0', '0', '1', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('166', 'Claw of Hate', '$2763', 'claw', 'iron', '30000', '1242', '3309', '0', '26', '15', '0', '0', '0', '0', '0', '1', '2', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('167', 'Sealed Forgotten Bowgun', '$1958 $1940', 'bow', 'wood', '50000', '278', '12', '0', '1', '1', '6', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '45', '0', '1', '0');
INSERT INTO `weapon` VALUES ('168', 'Dark Crossbow', '$2452 $2451', 'bow', 'steel', '30000', '1075', '12', '848', '2', '2', '6', '0', '0', '0', '1', '1', '4', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('169', 'Hunter Bow', '$1244', 'bow', 'wood', '30000', '279', '12', '0', '2', '2', '6', '1', '1', '1', '1', '0', '5', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('170', 'Elven Bow', '$64', 'bow', 'wood', '30000', '18', '12', '0', '2', '2', '6', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('171', 'Orcish Bow', '$65', 'bow', 'wood', '30000', '19', '12', '0', '2', '2', '6', '1', '1', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('172', 'Bow', '$24', 'bow', 'wood', '30000', '278', '12', '0', '2', '2', '6', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('173', 'Short Bow', '$759', 'bow', 'wood', '30000', '20', '12', '0', '2', '2', '6', '1', '1', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('174', 'Ivory Tower Stone Bow', '$3284', 'bow', 'wood', '50000', '18', '12', '1325', '2', '2', '-1', '0', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1');
INSERT INTO `weapon` VALUES ('175', 'Ivory Tower Bow', '$3283', 'bow', 'wood', '40000', '278', '12', '1324', '2', '2', '-1', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1');
INSERT INTO `weapon` VALUES ('176', 'Lastabad Bow', '$2907', 'bow', 'steel', '50000', '1326', '3423', '1081', '2', '2', '6', '1', '1', '0', '1', '0', '2', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('177', 'Crossbow of Bravery', '$2451 $2453', 'bow', 'steel', '40000', '1066', '2919', '853', '3', '2', '6', '0', '0', '0', '1', '1', '5', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('178', 'Crossbow of Silence', '$3792', 'singlebow', 'wood', '50000', '1873', '12', '1809', '3', '2', '6', '0', '0', '0', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('179', 'Bow of Ancient Elf', '$2771', 'singlebow', 'wood', '30000', '1251', '3313', '1005', '3', '2', '6', '0', '0', '0', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('180', 'Crossbow', '$784', 'bow', 'wood', '50000', '305', '12', '0', '3', '2', '6', '0', '1', '0', '1', '1', '3', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('181', 'Yumi', '$105', 'bow', 'wood', '40000', '123', '12', '0', '3', '3', '6', '0', '0', '0', '1', '0', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('182', 'Ancient Bowgun', '$1952', 'singlebow', 'wood', '30000', '896', '12', '673', '3', '3', '6', '0', '0', '0', '1', '1', '5', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45', '0', '1', '0');
INSERT INTO `weapon` VALUES ('183', 'Bow of Illusion', '$1999', 'bow', 'wood', '40000', '931', '12', '0', '3', '3', '4', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('184', 'Bow of Flames', '$2352', 'bow', 'silver', '30000', '1018', '12', '789', '3', '3', '6', '0', '0', '0', '1', '0', '2', '4', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '50', '0', '1', '1');
INSERT INTO `weapon` VALUES ('185', 'Devil\'s Crossbow', '$3374', 'singlebow', 'steel', '30000', '1719', '4316', '1410', '3', '3', '6', '0', '0', '0', '1', '0', '2', '4', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('186', 'Diad Fortress Crossbow', '$3112', 'bow', 'wood', '50000', '1513', '3735', '0', '3', '3', '6', '0', '0', '0', '1', '1', '2', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('187', 'Lastabad Cross Bow', '$2915', 'bow', 'wood', '70000', '1336', '3436', '1082', '3', '3', '6', '0', '0', '0', '1', '1', '2', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('188', 'Lastabad Heavy Cross Bow', '$2908', 'bow', 'wood', '100000', '1328', '3424', '1083', '3', '3', '6', '0', '0', '0', '1', '0', '2', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('189', 'Kaiser Crossbow', '$2457', 'bow', 'platinum', '50000', '1080', '2920', '856', '4', '3', '6', '0', '0', '0', '1', '1', '1', '6', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('190', 'Sayhas Bow', '$1821', 'bow', 'wood', '30000', '705', '12', '0', '4', '4', '6', '0', '0', '0', '1', '0', '2', '4', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('191', 'Bow of Cold Mastery', '$3736', 'bow', 'oriharukon', '30000', '2005', '5055', '0', '5', '5', '6', '0', '0', '0', '1', '0', '8', '8', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '52', '0', '1', '0');
INSERT INTO `weapon` VALUES ('192', 'Bow of Ancients', '$2252', 'bow', 'wood', '5000', '1008', '12', '0', '10', '9', '-1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '50', '0', '1', '1');
INSERT INTO `weapon` VALUES ('193', 'Gauntlet', '$2464', 'gauntlet', 'steel', '20000', '1095', '2921', '868', '2', '2', '6', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('194', 'Jin Gauntlet', '$2626', 'gauntlet', 'steel', '40000', '1095', '2921', '868', '2', '2', '6', '0', '0', '0', '0', '1', '3', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('195', 'Cursed Sword of Dantes', '$4338', 'sword', 'iron', '100000', '1341', '3441', '0', '19', '22', '6', '1', '1', '1', '1', '1', '4', '0', '0', '0', '0', '0', '0', '0', '0', '0', '50', '0', '0', '0', '0', '0', '0', '50', '0', '1', '0');
INSERT INTO `weapon` VALUES ('196', 'Two-Handed Sword of Varlok', '$4423', 'tohandsword', 'blackmithril', '60000', '2268', '5426', '0', '3', '5', '0', '1', '1', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1');
INSERT INTO `weapon` VALUES ('197', 'Two-Handed Sword of Varlok', '$4423', 'tohandsword', 'blackmithril', '60000', '2268', '5426', '0', '4', '6', '0', '1', '1', '0', '0', '0', '2', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1');
INSERT INTO `weapon` VALUES ('198', 'Two-Handed Sword of Varlok', '$4423', 'tohandsword', 'blackmithril', '60000', '2268', '5426', '0', '5', '7', '0', '1', '1', '0', '0', '0', '3', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1');
INSERT INTO `weapon` VALUES ('199', 'Two-Handed Sword of Varlok', '$4423', 'tohandsword', 'blackmithril', '60000', '2268', '5426', '0', '6', '8', '0', '1', '1', '0', '0', '0', '4', '4', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1');
INSERT INTO `weapon` VALUES ('200', 'Two-Handed Sword of Varlok', '$4423', 'tohandsword', 'blackmithril', '60000', '2268', '5426', '0', '7', '9', '0', '1', '1', '0', '0', '0', '5', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1');
INSERT INTO `weapon` VALUES ('201', 'Two-Handed Sword of Varlok', '$4423', 'tohandsword', 'blackmithril', '60000', '2268', '5426', '0', '8', '10', '0', '1', '1', '0', '0', '0', '6', '6', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1');
INSERT INTO `weapon` VALUES ('202', 'Two-Handed Sword of Varlok', '$4423', 'tohandsword', 'blackmithril', '60000', '2268', '5426', '0', '9', '11', '0', '1', '1', '0', '0', '0', '7', '7', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1');
INSERT INTO `weapon` VALUES ('203', 'Two-Handed Sword of Varlok', '$4423', 'tohandsword', 'blackmithril', '60000', '2268', '5426', '0', '10', '12', '0', '1', '1', '0', '0', '0', '8', '8', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1');
INSERT INTO `weapon` VALUES ('204', 'Impartial Arbalest', '$4387', 'bow', 'iron', '25000', '2230', '5601', '2103', '3', '3', '6', '0', '0', '0', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '40', '0', '1', '0');
INSERT INTO `weapon` VALUES ('205', 'Longbow of Moon', '$4350', 'bow', 'wood', '25000', '2168', '5402', '0', '4', '4', '6', '0', '0', '0', '1', '0', '3', '4', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('206', 'Dark Elf\'s Training Sword', '$2536', 'sword', 'iron', '40000', '1145', '2981', '0', '7', '8', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('207', 'Claw of Purgatory', '$4384', 'claw', 'blackmithril', '50000', '2225', '5605', '2100', '14', '12', '0', '0', '0', '0', '0', '1', '-5', '4', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('208', 'Elven Sword of Constitution', '$803', 'sword', 'mithril', '20000', '235', '2981', '346', '8', '8', '6', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '-15', '0', '0', '0', '1', '0', '0', '0', '1', '15', '0', '1', '0');
INSERT INTO `weapon` VALUES ('209', 'Elven Short Sword of Constitution', '$1098', 'sword', 'mithril', '20000', '1145', '2981', '0', '8', '8', '6', '1', '1', '1', '1', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '15', '0', '1', '0');
INSERT INTO `weapon` VALUES ('210', 'Spear of Sheba Human', '$4429', 'spear', 'platinum', '50000', '2200', '5504', '0', '5', '20', '6', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1');
INSERT INTO `weapon` VALUES ('211', 'Unicorn Horn', '$103', 'singlespear', 'bone', '100000', '113', '5', '0', '12', '12', '6', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('212', 'Trident of the Sea God', '$4385', 'spear', 'iron', '40000', '2226', '5607', '2101', '14', '16', '6', '1', '1', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('213', 'Staff of Kirtas', '$4376', 'tohandstaff', 'blackmithril', '100000', '2161', '5404', '0', '15', '15', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '2', '0', '0', '0', '0', '15', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('214', 'Heavy Throwing Knife', '$2517', 'bow', 'wood', '30000', '1145', '12', '1852', '3', '3', '6', '0', '0', '0', '1', '0', '2', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('215', 'Elven Bow of Dexterity', '$1099', 'bow', 'wood', '30000', '18', '12', '0', '2', '2', '6', '1', '1', '1', '1', '0', '0', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '15', '0', '1', '0');
INSERT INTO `weapon` VALUES ('216', 'Apprentice Elf Bow', '$1766', 'bow', 'wood', '30000', '18', '12', '0', '2', '2', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('217', 'Sword of Kirtas', '$4375', 'tohandsword', 'blackmithril', '100000', '2160', '5316', '0', '40', '50', '0', '0', '1', '0', '0', '0', '7', '30', '2', '1', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('218', 'Iron Mace of Angus', '$4442', 'tohandblunt', 'platinum', '120000', '2213', '5493', '0', '16', '16', '6', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1');
INSERT INTO `weapon` VALUES ('219', 'Axe of Maphr', '$2208', 'tohandblunt', 'iron', '250000', '1145', '2981', '0', '16', '18', '6', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('220', 'Apprentice Wizard Staff', '$1770', 'staff', 'wood', '60000', '297', '2981', '0', '4', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('223', 'Mystery Staff', '$2079', 'staff', 'wood', '11000', '946', '2981', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('224', 'Ivory Tower Staff', '$3285', 'staff', 'wood', '15000', '83', '75', '1326', '2', '2', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '3', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('225', 'Apprentice Sword', '$1762', 'sword', 'iron', '40000', '2', '2981', '0', '7', '8', '0', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('226', 'Apprentice Knight Sword', '$2293', 'sword', 'iron', '40000', '2', '2981', '0', '8', '8', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('228', 'Sword of Legend', '$3612', 'dagger', 'silver', '30000', '1795', '68', '0', '8', '8', '6', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('230', 'Sword of Kirtas', '$4375', 'tohandsword', 'gold', '150000', '2160', '59', '0', '40', '45', '0', '0', '1', '0', '0', '0', '10', '30', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('231', 'Unknown 231', '$5122', 'dagger', 'steel', '40000', '2524', '68', '0', '8', '6', '-1', '1', '1', '1', '1', '1', '12', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('232', 'Unknown 232', '$5117', 'sword', 'steel', '20000', '2523', '26', '0', '12', '12', '-1', '1', '1', '0', '1', '0', '2', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('233', 'Unknown 233', '$5118', 'tohandsword', 'steel', '90000', '2525', '82', '0', '18', '20', '-1', '1', '1', '0', '0', '0', '1', '6', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('234', 'Unknown 234', '$5121', 'singlespear', 'steel', '90000', '2529', '27', '0', '12', '14', '-1', '1', '1', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('235', 'Unknown 235', '$5119', 'blunt', 'steel', '80000', '2526', '2', '0', '14', '10', '-1', '1', '1', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('236', 'Unknown 236', '$5123', 'edoryu', 'steel', '60000', '2527', '2923', '0', '16', '10', '-1', '0', '0', '0', '0', '1', '2', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('237', 'Unknown 237', '$5124', 'claw', 'steel', '60000', '2530', '2914', '0', '18', '14', '-1', '0', '0', '0', '0', '1', '0', '6', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('238', 'Unknown 238', '$5125', 'staff', 'steel', '80000', '2528', '75', '0', '8', '5', '-1', '0', '0', '1', '0', '0', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '8', '1', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('239', 'Unknown 239', '$5120', 'bow', 'steel', '60000', '2531', '12', '0', '3', '3', '-1', '1', '0', '0', '1', '0', '2', '8', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('240', 'Unknown 240', '$5126', 'gauntlet', 'steel', '60000', '2522', '2921', '868', '3', '3', '-1', '0', '0', '0', '0', '1', '4', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('241', 'Unknown 241', 'Unknown 241', 'sword', 'oriharukon', '60000', '902', '26', '0', '10', '12', '-1', '1', '1', '1', '1', '1', '4', '7', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('242', 'Unknown 242', 'Unknown Crossbow', 'singlebow', 'oriharukon', '50000', '1873', '12', '0', '3', '2', '-1', '0', '0', '0', '1', '0', '3', '8', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('243', 'Unknown 243', 'Unknown Quaterstaff', 'staff', 'oriharukon', '15000', '291', '75', '0', '1', '1', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('244', 'Unknown 244', 'Unknown Claw', 'claw', 'steel', '30000', '1065', '2910', '0', '17', '15', '-1', '0', '0', '0', '0', '1', '4', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('245', 'Unknown 245', '$4962', 'blunt', 'leather', '50000', '2509', '6008', '0', '1', '1', '6', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('100004', 'Dagger', '$70', 'dagger', 'iron', '10000', '35', '68', '0', '4', '2', '6', '1', '1', '1', '1', '1', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100005', 'Elven Dagger', '$12', 'dagger', 'mithril', '10000', '33', '68', '0', '4', '3', '6', '1', '1', '1', '1', '1', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100008', 'Mithril Dagger', '$3248', 'dagger', 'mithril', '50000', '1629', '4112', '1283', '6', '5', '6', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '3', '0', '0', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100009', 'Oriharukon Dagger', '$3247', 'dagger', 'oriharukon', '50000', '1635', '4118', '1282', '7', '7', '6', '1', '1', '1', '1', '1', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100025', 'Silver Sword', '$1148', 'sword', 'silver', '40000', '156', '26', '0', '7', '7', '6', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100027', 'Scimitar', '$92', 'sword', 'iron', '40000', '90', '76', '0', '8', '8', '6', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100028', 'Elven Short Sword', '$98', 'sword', 'mithril', '20000', '325', '26', '0', '8', '8', '6', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100029', 'Long Silver Sword', '$1147', 'sword', 'silver', '50000', '163', '356', '0', '8', '12', '6', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100037', 'Damascus Sword', '$598', 'sword', 'iron', '45000', '298', '3', '0', '10', '11', '6', '1', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100041', 'Katana', '$16', 'sword', 'iron', '40000', '58', '26', '0', '10', '12', '6', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100042', 'Rapier', '$789', 'sword', 'oriharukon', '60000', '104', '3', '0', '11', '6', '6', '0', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100049', 'Long Sword of Pretender King', '$3840', 'sword', 'iron', '120000', '1894', '26', '0', '13', '10', '6', '1', '1', '0', '1', '0', '1', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100052', 'Two-Handed Sword', '$3', 'tohandsword', 'iron', '150000', '4', '59', '0', '14', '16', '6', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100057', 'Tsurugi', '$17', 'sword', 'steel', '120000', '112', '3', '0', '16', '10', '6', '0', '1', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100062', 'Two-Handed Sword of Pretender King', '$3839', 'tohandsword', 'iron', '180000', '1893', '26', '0', '16', '20', '6', '0', '1', '0', '0', '0', '1', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100064', 'Great Sword', '$1048', 'tohandsword', 'iron', '150000', '463', '3', '0', '17', '14', '6', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100074', 'Silver Edoryu', '$2454 $2449', 'edoryu', 'silver', '20000', '1085', '2926', '849', '11', '8', '6', '0', '0', '0', '0', '1', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100084', 'Kaiser Edoryu', '$2455', 'edoryu', 'platinum', '40000', '1078', '2928', '854', '17', '13', '6', '0', '0', '0', '0', '1', '4', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100095', 'Lance', '$81', 'singlespear', 'steel', '180000', '60', '71', '0', '6', '8', '6', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100098', 'Glaive', '$75', 'spear', 'steel', '75000', '45', '5', '0', '6', '10', '6', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100099', 'Elven Spear', '$95', 'singlespear', 'mithril', '30000', '99', '5', '0', '7', '8', '6', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100102', 'Lucern Hammer', '$83', 'spear', 'steel', '150000', '66', '5', '0', '9', '11', '6', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100103', 'Halberd', '$77', 'spear', 'steel', '150000', '50', '5', '0', '10', '6', '6', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100107', 'Crimson Lance', '$3250', 'spear', 'mithril', '100000', '38', '4119', '1285', '15', '15', '6', '1', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100132', 'Staff of New King', '$3847', 'tohandstaff', 'silver', '70000', '1901', '75', '0', '9', '9', '6', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100143', 'Battle Axe', '$60', 'tohandblunt', 'steel', '120000', '9', '58', '0', '8', '8', '6', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100146', 'Morning Star', '$84', 'blunt', 'steel', '120000', '68', '68', '0', '9', '10', '6', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100151', 'Demon Axe', '$3249', 'tohandblunt', 'blackmithril', '180000', '1627', '4110', '1284', '20', '20', '0', '1', '1', '0', '0', '0', '-2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100164', 'Kaiser Claw', '$2456', 'claw', 'steel', '40000', '1079', '2913', '855', '20', '16', '6', '0', '0', '0', '0', '1', '2', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100169', 'Hunters Bow', '$1244', 'bow', 'wood', '30000', '279', '12', '0', '2', '2', '6', '1', '1', '1', '1', '0', '5', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100170', 'Elven Bow', '$64', 'bow', 'wood', '30000', '18', '12', '0', '2', '2', '6', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100172', 'Bow', '$24', 'bow', 'wood', '30000', '278', '12', '0', '2', '2', '6', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100180', 'Crossbow', '$784', 'bow', 'wood', '50000', '305', '12', '0', '3', '2', '6', '0', '1', '0', '1', '1', '3', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100181', 'Yumi', '$105', 'bow', 'wood', '40000', '123', '12', '0', '3', '3', '6', '0', '0', '0', '1', '0', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100189', 'Kaiser Crossbow', '$2457', 'bow', 'platinum', '50000', '1080', '2920', '856', '4', '3', '6', '0', '0', '0', '1', '1', '1', '6', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100212', 'Trident of the Sea God', '$4385', 'spear', 'iron', '40000', '2226', '77', '2101', '14', '16', '6', '1', '1', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('200001', 'Orcish Dagger', '$13', 'dagger', 'iron', '10000', '34', '68', '0', '2', '3', '6', '1', '1', '1', '1', '1', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '2', '0');
INSERT INTO `weapon` VALUES ('200002', 'Dice Dagger', '$416', 'dagger', 'iron', '10000', '144', '354', '142', '1', '3', '6', '1', '1', '1', '1', '1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '2', '0');
INSERT INTO `weapon` VALUES ('200027', 'Scimitar', '$92', 'sword', 'iron', '40000', '90', '76', '0', '8', '8', '6', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '2', '0');
INSERT INTO `weapon` VALUES ('200032', 'Gradius', '$415', 'sword', 'iron', '40000', '151', '355', '0', '9', '11', '6', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '2', '0');
INSERT INTO `weapon` VALUES ('200041', 'Katana', '$16', 'sword', 'iron', '40000', '58', '26', '0', '10', '12', '6', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '2', '0');
INSERT INTO `weapon` VALUES ('200052', 'Two-Handed Sword', '$3', 'tohandsword', 'iron', '150000', '4', '59', '0', '14', '16', '6', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '2', '0');
INSERT INTO `weapon` VALUES ('200171', 'Orcish Bow', '$65', 'bow', 'wood', '30000', '19', '12', '0', '2', '2', '6', '1', '1', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0');
INSERT INTO `weapon` VALUES ('450000', 'Thor\'s Hammer', 'Thor\'s Hammer', 'sword', 'platinum', '40000', '119', '5', '0', '7', '12', '6', '1', '1', '0', '1', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('450001', 'Paagrio\'s Hatred', 'Paagrio\'s Hatred', 'sword', 'iron', '40000', '984', '3', '0', '13', '9', '6', '0', '1', '0', '0', '0', '2', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('450002', 'Maphr\'s Retribution', 'Maphr\'s Retribution', 'tohandblunt', 'platinum', '50000', '974', '58', '0', '4', '5', '6', '0', '1', '0', '1', '0', '0', '11', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('450003', 'Orcish Bume Smache', 'Orcish Bume Smache', 'blunt', 'iron', '50000', '67', '60', '0', '8', '9', '6', '1', '1', '0', '0', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `weapon` VALUES ('450004', 'Diamond Sword', 'Diamond Sword', 'sword', 'steel', '90000', '1350', '26', '0', '14', '12', '6', '1', '0', '0', '0', '0', '2', '0', '0', '0', '2', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '50', '0', '1', '0');
INSERT INTO `weapon_skill` VALUES ('47', 'Sword of Silence', '7', '0', '0', '64', '16', '2177', '0');
INSERT INTO `weapon_skill` VALUES ('54', 'Sword of Kurtz ', '15', '35', '25', '0', '0', '10', '0');
INSERT INTO `weapon_skill` VALUES ('58', 'Fire Sword of Death Knight', '7', '75', '15', '0', '0', '1811', '0');
INSERT INTO `weapon_skill` VALUES ('76', 'Edoryu of Ronde', '15', '35', '25', '0', '0', '1805', '0');
INSERT INTO `weapon_skill` VALUES ('121', 'Staff of Ice Queen', '25', '95', '55', '0', '0', '1810', '0');
INSERT INTO `weapon_skill` VALUES ('450000', 'Thor\'s Hammer', '16', '20', '25', '0', '0', '10', '0');
INSERT INTO `weapon_skill` VALUES ('450001', 'Paagrio\'s Hatred', '12', '25', '20', '0', '0', '245', '0');
INSERT INTO `weapon_skill` VALUES ('450002', 'Maphr\'s Retribution', '10', '20', '30', '0', '0', '1812', '0');
INSERT INTO `weapon_skill` VALUES ('450003', 'Orcish Bume Smache', '15', '15', '30', '0', '0', '762', '0');
INSERT INTO `weapon_skill` VALUES ('36', 'Eva\'s Scorn', '16', '20', '15', '0', '0', '1714', '0');
