-- update 56

-- FINALIZED.  DO NOT EDIT, MAKE CHANGES IN THE NEXT UPDATE.

-- STRUCTURE CHANGES / New Tables (no data)

-- accounts
alter table accounts add character_slot int(2) unsigned NOT NULL default '0' after banned;

-- armor
alter table armor add unidentified_name_id varchar(45) NOT NULL default '' after name;
alter table armor add identified_name_id varchar(45) NOT NULL default '' after unidentified_name_id;
alter table armor add use_dragonknight int(2) unsigned NOT NULL default '0' after use_darkelf;
alter table armor add use_illusionist int(2) unsigned NOT NULL default '0' after use_dragonknight;
alter table armor add hit_modifier int(10) NOT NULL default '0' after weight_reduction;
alter table armor add dmg_modifier int(10) NOT NULL default '0' after hit_modifier;
alter table armor add bow_hit_modifier int(10) NOT NULL default '0' after dmg_modifier;
alter table armor add bow_dmg_modifier int(10) NOT NULL default '0' after bow_hit_modifier;
alter table armor drop name_id;
alter table armor drop bow_hit_rate;

-- armor_set

alter table armor_set drop fire;
alter table armor_set add defense_water int(2) NOT NULL default '0' after intl;
alter table armor_set add defense_wind int(2) NOT NULL default '0' after defense_water;
alter table armor_set add defense_fire int(2) NOT NULL default '0' after defense_wind;
alter table armor_set add defense_earth int(2) NOT NULL default '0' after defense_fire;

-- characters
alter table characters add PkCountForElf int(10) NOT NULL default '0' after Pkcount;
alter table characters add LastPkForElf datetime default NULL after LastPk;
alter table characters add OriginalStr int(3) NOT NULL default '0' after DeleteTime;
alter table characters add OriginalCon int(3) NOT NULL default '0' after OriginalStr;
alter table characters add OriginalDex int(3) NOT NULL default '0' after OriginalCon;
alter table characters add OriginalCha int(3) NOT NULL default '0' after OriginalDex;
alter table characters add OriginalInt int(3) NOT NULL default '0' after OriginalCha;
alter table characters add OriginalWis int(3) NOT NULL default '0' after OriginalInt;

-- character_elf_warehouse
alter table character_elf_warehouse add bless int(11) default NULL after last_used;
alter table character_elf_warehouse add attr_enchant_kind int(11) default NULL after bless;
alter table character_elf_warehouse add attr_enchant_level int(11) default NULL after bless;

-- character_items
alter table character_items add bless int(11) default NULL after last_used;
alter table character_items add attr_enchant_kind int(11) default NULL after bless;
alter table character_items add attr_enchant_level int(11) default NULL after bless;

-- character_warehouse
alter table character_warehouse add bless int(11) default NULL after last_used;
alter table character_warehouse add attr_enchant_kind int(11) default NULL after bless;
alter table character_warehouse add attr_enchant_level int(11) default NULL after bless;

-- clan_warehouse
alter table clan_warehouse add bless int(11) default NULL after last_used;
alter table clan_warehouse add attr_enchant_kind int(11) default NULL after bless;
alter table clan_warehouse add attr_enchant_level int(11) default NULL after bless;

-- etcitem
alter table etcitem add unidentified_name_id varchar(45) NOT NULL default '' after name;
alter table etcitem add identified_name_id varchar(45) NOT NULL default '' after unidentified_name_id;
alter table etcitem add can_seal int(2) unsigned NOT NULL default '0' after cant_delete;
alter table etcitem drop name_id;
-- mail
CREATE TABLE `mail` (
  `id` int(10) unsigned NOT NULL default '0',
  `type` int(10) unsigned NOT NULL default '0',
  `sender` varchar(16) default NULL,
  `receiver` varchar(16) default NULL,
  `date` varchar(16) default NULL,
  `read_status` tinyint(1) unsigned NOT NULL default '0',
  `subject` BLOB,
  `content` BLOB,
  PRIMARY KEY (`id`)
);

-- mobgroup
alter table mobgroup add minion6_id int(10) unsigned NOT NULL default '0' after minion5_count;
alter table mobgroup add minion6_count int(10) unsigned NOT NULL default '0' after minion6_id;
alter table mobgroup add minion7_id int(10) unsigned NOT NULL default '0' after minion6_count;
alter table mobgroup add minion7_count int(10) unsigned NOT NULL default '0' after minion7_id;

-- npc
alter table npc add alt_atk_speed int(10) unsigned not null default '0' after atkspeed;

-- npcchat
alter table npcchat add is_world_chat tinyint(1) unsigned not null default '0' after is_shout;
alter table npcchat add game_time int(10) unsigned NOT NULL default '0' after repeat_interval;

-- skills
alter table skills add castgfx2 int(10) unsigned NOT NULL default '0' after castgfx;

-- ub_settings
alter table ub_settings add enter_dragonknight tinyint(3) unsigned not null after enter_darkelf;
alter table ub_settings add enter_illusionist tinyint(3) unsigned not null after enter_dragonknight;

-- weapon
alter table weapon add unidentified_name_id varchar(45) NOT NULL default '' after name;
alter table weapon add identified_name_id varchar(45) NOT NULL default '' after unidentified_name_id;
alter table weapon add `range` int(10) NOT NULL default '0' after dmg_large;
alter table weapon add use_dragonknight int(2) unsigned NOT NULL default '0' after use_darkelf;
alter table weapon add use_illusionist int(2) unsigned NOT NULL default '0' after use_dragonknight;
alter table weapon drop name_id;

-- NEW DATA

-- area
INSERT INTO area VALUES(780, 780, 'Thebes Desert', 0, 0, 0, 0, 0, 0);
INSERT INTO area VALUES(781, 781, 'Thebes Pyramid Inside', 0, 0, 0, 0, 0, 0);
INSERT INTO area VALUES(782, 782, 'Thebes Osiris Altar', 0, 0, 0, 0, 0, 0);
INSERT INTO area VALUES(783, 783, 'Tikal Temple', 0, 0, 0, 0, 0, 0);
INSERT INTO area VALUES(784, 784, 'Kukulcan altar', 0, 0, 0, 0, 0, 0);
INSERT INTO area VALUES(1000, 1000, 'Silveria', 0, 0, 0, 0, 0, 0);
INSERT INTO area VALUES(1001, 1001, 'Behemoth', 0, 0, 0, 0, 0, 0);

-- armor
UPDATE armor SET unidentified_name_id = '$1021', identified_name_id = '$1021', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20001;
UPDATE armor SET unidentified_name_id = '$1023', identified_name_id = '$1023', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20002;
UPDATE armor SET unidentified_name_id = '$1209', identified_name_id = '$1209', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20003;
UPDATE armor SET unidentified_name_id = '$2410', identified_name_id = '$2410', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20004;
UPDATE armor SET unidentified_name_id = '$1923', identified_name_id = '$1923', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20005;
UPDATE armor SET unidentified_name_id = '$414', identified_name_id = '$414', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20006;
UPDATE armor SET unidentified_name_id = '$122', identified_name_id = '$122', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20007;
UPDATE armor SET unidentified_name_id = '$1941', identified_name_id = '$1941', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20008;
UPDATE armor SET unidentified_name_id = '$1808', identified_name_id = '$1808', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20009;
UPDATE armor SET unidentified_name_id = '$1812', identified_name_id = '$1812', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20010;
UPDATE armor SET unidentified_name_id = '$569', identified_name_id = '$569', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20011;
UPDATE armor SET unidentified_name_id = '$1206', identified_name_id = '$1206', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20012;
UPDATE armor SET unidentified_name_id = '$939', identified_name_id = '$939', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20013;
UPDATE armor SET unidentified_name_id = '$938', identified_name_id = '$938', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20014;
UPDATE armor SET unidentified_name_id = '$940', identified_name_id = '$940', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20015;
UPDATE armor SET unidentified_name_id = '$3252', identified_name_id = '$3252', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20016;
UPDATE armor SET unidentified_name_id = '$3022', identified_name_id = '$3022', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20017;
UPDATE armor SET unidentified_name_id = '$2748', identified_name_id = '$2748', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20018;
UPDATE armor SET unidentified_name_id = '$413', identified_name_id = '$413', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20019;
UPDATE armor SET unidentified_name_id = '$3842', identified_name_id = '$3842', use_dragonknight = 1, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20020;
UPDATE armor SET unidentified_name_id = '$1903', identified_name_id = '$1903', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20021;
UPDATE armor SET unidentified_name_id = '$3075', identified_name_id = '$3075', use_dragonknight = 1, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20022;
UPDATE armor SET unidentified_name_id = '$1942', identified_name_id = '$1942', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20023;
UPDATE armor SET unidentified_name_id = '$2192', identified_name_id = '$2192', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20024;
UPDATE armor SET unidentified_name_id = '$2746', identified_name_id = '$2746', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20025;
UPDATE armor SET unidentified_name_id = '$2245', identified_name_id = '$2245', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20026;
UPDATE armor SET unidentified_name_id = '$1924', identified_name_id = '$1924', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20027;
UPDATE armor SET unidentified_name_id = '$3289', identified_name_id = '$3289', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20028;
UPDATE armor SET unidentified_name_id = '$2749', identified_name_id = '$2749', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20029;
UPDATE armor SET unidentified_name_id = '$3849', identified_name_id = '$3849', use_dragonknight = 0, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20030;
UPDATE armor SET unidentified_name_id = '$3746', identified_name_id = '$3746', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20031;
UPDATE armor SET unidentified_name_id = '$2452 $2468', identified_name_id = '$2452 $2468', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20032;
UPDATE armor SET unidentified_name_id = '$790', identified_name_id = '$790', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20033;
UPDATE armor SET unidentified_name_id = '$120', identified_name_id = '$120', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20034;
UPDATE armor SET unidentified_name_id = '$118', identified_name_id = '$118', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20035;
UPDATE armor SET unidentified_name_id = '$1008', identified_name_id = '$1008', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20036;
UPDATE armor SET unidentified_name_id = '$2651', identified_name_id = '$2651', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20037;
UPDATE armor SET unidentified_name_id = '$1022', identified_name_id = '$1022', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20038;
UPDATE armor SET unidentified_name_id = '$1904', identified_name_id = '$1904', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20039;
UPDATE armor SET unidentified_name_id = '$2747', identified_name_id = '$2747', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20040;
UPDATE armor SET unidentified_name_id = '$2776', identified_name_id = '$2776', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20041;
UPDATE armor SET unidentified_name_id = '$2199', identified_name_id = '$2199', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20042;
UPDATE armor SET unidentified_name_id = '$128', identified_name_id = '$128', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20043;
UPDATE armor SET unidentified_name_id = '$3495', identified_name_id = '$3495', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20044;
UPDATE armor SET unidentified_name_id = '$1024', identified_name_id = '$1024', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20045;
UPDATE armor SET unidentified_name_id = '$2067', identified_name_id = '$2067', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20046;
UPDATE armor SET unidentified_name_id = '$2072', identified_name_id = '$2072', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20047;
UPDATE armor SET unidentified_name_id = '$3741', identified_name_id = '$3741', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20048;
UPDATE armor SET unidentified_name_id = '$2769', identified_name_id = '$2769', use_dragonknight = 1, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20049;
UPDATE armor SET unidentified_name_id = '$2770', identified_name_id = '$2770', use_dragonknight = 0, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20050;
UPDATE armor SET unidentified_name_id = '$2076', identified_name_id = '$2076', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20051;
UPDATE armor SET unidentified_name_id = '$174', identified_name_id = '$174', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20052;
UPDATE armor SET unidentified_name_id = '$2918', identified_name_id = '$2918', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20053;
UPDATE armor SET unidentified_name_id = '$2473 $225', identified_name_id = '$2473 $225', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20054;
UPDATE armor SET unidentified_name_id = '$2250', identified_name_id = '$2250', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20055;
UPDATE armor SET unidentified_name_id = '$182', identified_name_id = '$182', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20056;
UPDATE armor SET unidentified_name_id = '$3854', identified_name_id = '$3854', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20057;
UPDATE armor SET unidentified_name_id = '$3843', identified_name_id = '$3843', use_dragonknight = 1, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20058;
UPDATE armor SET unidentified_name_id = '$2471 $225', identified_name_id = '$2471 $225', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20059;
UPDATE armor SET unidentified_name_id = '$3498', identified_name_id = '$3498', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20060;
UPDATE armor SET unidentified_name_id = '$2472 $225', identified_name_id = '$2472 $225', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20061;
UPDATE armor SET unidentified_name_id = '$3373', identified_name_id = '$3373', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20062;
UPDATE armor SET unidentified_name_id = '$178', identified_name_id = '$178', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20063;
UPDATE armor SET unidentified_name_id = '$312', identified_name_id = '$312', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20064;
UPDATE armor SET unidentified_name_id = '$1918', identified_name_id = '$1918', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20065;
UPDATE armor SET unidentified_name_id = '$3109', identified_name_id = '$3109', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20066;
UPDATE armor SET unidentified_name_id = '$2556 $225', identified_name_id = '$2556 $225', use_dragonknight = 0, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20067;
UPDATE armor SET unidentified_name_id = '$2714', identified_name_id = '$2714', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20068;
UPDATE armor SET unidentified_name_id = '$3749', identified_name_id = '$3749', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20069;
UPDATE armor SET unidentified_name_id = '$2452 $225', identified_name_id = '$2452 $225', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20070;
UPDATE armor SET unidentified_name_id = '$2470 $225', identified_name_id = '$2470 $225', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20071;
UPDATE armor SET unidentified_name_id = '$172', identified_name_id = '$172', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20072;
UPDATE armor SET unidentified_name_id = '$170', identified_name_id = '$170', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20073;
UPDATE armor SET unidentified_name_id = '$656 $225', identified_name_id = '$656 $225', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20074;
UPDATE armor SET unidentified_name_id = '$3744', identified_name_id = '$3744', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20075;
UPDATE armor SET unidentified_name_id = '$3345', identified_name_id = '$3345', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20076;
UPDATE armor SET unidentified_name_id = '$180', identified_name_id = '$180', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20077;
UPDATE armor SET unidentified_name_id = '$3740', identified_name_id = '$3740', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20078;
UPDATE armor SET unidentified_name_id = '$3068', identified_name_id = '$3068', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20079;
UPDATE armor SET unidentified_name_id = '$184', identified_name_id = '$184', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20080;
UPDATE armor SET unidentified_name_id = '$176', identified_name_id = '$176', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20081;
UPDATE armor SET unidentified_name_id = '$3295', identified_name_id = '$3295', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20082;
UPDATE armor SET unidentified_name_id = '$3747', identified_name_id = '$3747', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20083;
UPDATE armor SET unidentified_name_id = '$2075', identified_name_id = '$2075', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20084;
UPDATE armor SET unidentified_name_id = '$168', identified_name_id = '$168', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20085;
UPDATE armor SET unidentified_name_id = '$3623', identified_name_id = '$3623', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20086;
UPDATE armor SET unidentified_name_id = '$3631', identified_name_id = '$3631', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20087;
UPDATE armor SET unidentified_name_id = '$3627', identified_name_id = '$3627', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20088;
UPDATE armor SET unidentified_name_id = '$116', identified_name_id = '$116', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20089;
UPDATE armor SET unidentified_name_id = '$1031', identified_name_id = '$1031', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20090;
UPDATE armor SET unidentified_name_id = '$1212', identified_name_id = '$1212', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20091;
UPDATE armor SET unidentified_name_id = '$1947', identified_name_id = '$1947', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20092;
UPDATE armor SET unidentified_name_id = '$1948', identified_name_id = '$1948', use_dragonknight = 0, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20093;
UPDATE armor SET unidentified_name_id = '$1949', identified_name_id = '$1949', use_dragonknight = 1, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20094;
UPDATE armor SET unidentified_name_id = '$1946', identified_name_id = '$1946', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20095;
UPDATE armor SET unidentified_name_id = '$164', identified_name_id = '$164', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20096;
UPDATE armor SET unidentified_name_id = '$781', identified_name_id = '$781', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20097;
UPDATE armor SET unidentified_name_id = '$3092', identified_name_id = '$3092', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20098;
UPDATE armor SET unidentified_name_id = '$1806', identified_name_id = '$1806', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20099;
UPDATE armor SET unidentified_name_id = '$1810', identified_name_id = '$1810', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20100;
UPDATE armor SET unidentified_name_id = '$156', identified_name_id = '$156', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20101;
UPDATE armor SET unidentified_name_id = '$2916', identified_name_id = '$2916', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20102;
UPDATE armor SET unidentified_name_id = '$2912', identified_name_id = '$2912', use_dragonknight = 0, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20103;
UPDATE armor SET unidentified_name_id = '$2911', identified_name_id = '$2911', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20104;
UPDATE armor SET unidentified_name_id = '$2910', identified_name_id = '$2910', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20105;
UPDATE armor SET unidentified_name_id = '$3081', identified_name_id = '$3081', use_dragonknight = 0, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20106;
UPDATE armor SET unidentified_name_id = '$2212', identified_name_id = '$2212', use_dragonknight = 0, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20107;
UPDATE armor SET unidentified_name_id = '$2097', identified_name_id = '$2097', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20108;
UPDATE armor SET unidentified_name_id = '$3855', identified_name_id = '$3855', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20109;
UPDATE armor SET unidentified_name_id = '$516', identified_name_id = '$516', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20110;
UPDATE armor SET unidentified_name_id = '$1207', identified_name_id = '$1207', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20111;
UPDATE armor SET unidentified_name_id = '$3251', identified_name_id = '$3251', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20112;
UPDATE armor SET unidentified_name_id = '$3841', identified_name_id = '$3841', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20113;
UPDATE armor SET unidentified_name_id = '$580', identified_name_id = '$580', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20114;
UPDATE armor SET unidentified_name_id = '$155', identified_name_id = '$155', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20115;
UPDATE armor SET unidentified_name_id = '$3074', identified_name_id = '$3074', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20116;
UPDATE armor SET unidentified_name_id = '$2765', identified_name_id = '$2765', use_dragonknight = 1, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20117;
UPDATE armor SET unidentified_name_id = '$2189', identified_name_id = '$2189', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20118;
UPDATE armor SET unidentified_name_id = '$2096', identified_name_id = '$2096', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20119;
UPDATE armor SET unidentified_name_id = '$1032', identified_name_id = '$1032', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20120;
UPDATE armor SET unidentified_name_id = '$3088', identified_name_id = '$3088', use_dragonknight = 0, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20121;
UPDATE armor SET unidentified_name_id = '$162', identified_name_id = '$162', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20122;
UPDATE armor SET unidentified_name_id = '$3084', identified_name_id = '$3084', use_dragonknight = 0, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20123;
UPDATE armor SET unidentified_name_id = '$1035', identified_name_id = '$1035', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20124;
UPDATE armor SET unidentified_name_id = '$159', identified_name_id = '$159', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20125;
UPDATE armor SET unidentified_name_id = '$3290', identified_name_id = '$3290', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20126;
UPDATE armor SET unidentified_name_id = '$141', identified_name_id = '$141', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20127;
UPDATE armor SET unidentified_name_id = '$153', identified_name_id = '$153', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20128;
UPDATE armor SET unidentified_name_id = '$3848', identified_name_id = '$3848', use_dragonknight = 0, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20129;
UPDATE armor SET unidentified_name_id = '$2095', identified_name_id = '$2095', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20130;
UPDATE armor SET unidentified_name_id = '$3748', identified_name_id = '$3748', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20131;
UPDATE armor SET unidentified_name_id = '$2452 $2466', identified_name_id = '$2452 $2466', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20132;
UPDATE armor SET unidentified_name_id = '$2571? $152', identified_name_id = '$2571? $152', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20133;
UPDATE armor SET unidentified_name_id = '$2753', identified_name_id = '$2753', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20134;
UPDATE armor SET unidentified_name_id = '$165', identified_name_id = '$165', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20135;
UPDATE armor SET unidentified_name_id = '$160', identified_name_id = '$160', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20136;
UPDATE armor SET unidentified_name_id = '$595', identified_name_id = '$595', use_dragonknight = 1, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20137;
UPDATE armor SET unidentified_name_id = '$788', identified_name_id = '$788', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20138;
UPDATE armor SET unidentified_name_id = '$782', identified_name_id = '$782', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20139;
UPDATE armor SET unidentified_name_id = '$1934', identified_name_id = '$1934', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20140;
UPDATE armor SET unidentified_name_id = '$1935', identified_name_id = '$1935', use_dragonknight = 0, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20141;
UPDATE armor SET unidentified_name_id = '$1936', identified_name_id = '$1936', use_dragonknight = 1, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20142;
UPDATE armor SET unidentified_name_id = '$1933', identified_name_id = '$1933', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20143;
UPDATE armor SET unidentified_name_id = '$3742', identified_name_id = '$3742', use_dragonknight = 1, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20144;
UPDATE armor SET unidentified_name_id = '$1034', identified_name_id = '$1034', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20145;
UPDATE armor SET unidentified_name_id = '$142', identified_name_id = '$142', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20146;
UPDATE armor SET unidentified_name_id = '$163', identified_name_id = '$163', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20147;
UPDATE armor SET unidentified_name_id = '$1033', identified_name_id = '$1033', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20148;
UPDATE armor SET unidentified_name_id = '$154', identified_name_id = '$154', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20149;
UPDATE armor SET unidentified_name_id = '$2774', identified_name_id = '$2774', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20150;
UPDATE armor SET unidentified_name_id = '$2202', identified_name_id = '$2202', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20151;
UPDATE armor SET unidentified_name_id = '$3343', identified_name_id = '$3343', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20152;
UPDATE armor SET unidentified_name_id = '$2094', identified_name_id = '$2094', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20153;
UPDATE armor SET unidentified_name_id = '$152', identified_name_id = '$152', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20154;
UPDATE armor SET unidentified_name_id = '$3499', identified_name_id = '$3499', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20155;
UPDATE armor SET unidentified_name_id = '$138', identified_name_id = '$138', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20156;
UPDATE armor SET unidentified_name_id = '$3108', identified_name_id = '$3108', use_dragonknight = 1, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20157;
UPDATE armor SET unidentified_name_id = '$3738', identified_name_id = '$3738', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20158;
UPDATE armor SET unidentified_name_id = '$137', identified_name_id = '$137', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20159;
UPDATE armor SET unidentified_name_id = '$2744', identified_name_id = '$2744', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20160;
UPDATE armor SET unidentified_name_id = '$1998', identified_name_id = '$1998', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20161;
UPDATE armor SET unidentified_name_id = '$198', identified_name_id = '$198', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20162;
UPDATE armor SET unidentified_name_id = '$1208', identified_name_id = '$1208', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20163;
UPDATE armor SET unidentified_name_id = '$2412', identified_name_id = '$2412', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20164;
UPDATE armor SET unidentified_name_id = '$1805', identified_name_id = '$1805', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20165;
UPDATE armor SET unidentified_name_id = '$1809', identified_name_id = '$1809', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20166;
UPDATE armor SET unidentified_name_id = '$3797', identified_name_id = '$3797', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 1, bow_dmg_modifier = 0 WHERE item_id = 20167;
UPDATE armor SET unidentified_name_id = '$3844', identified_name_id = '$3844', use_dragonknight = 1, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20168;
UPDATE armor SET unidentified_name_id = '$3076', identified_name_id = '$3076', use_dragonknight = 1, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20169;
UPDATE armor SET unidentified_name_id = '$2191', identified_name_id = '$2191', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20170;
UPDATE armor SET unidentified_name_id = '$2249', identified_name_id = '$2249', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20171;
UPDATE armor SET unidentified_name_id = '$3254', identified_name_id = '$3254', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20172;
UPDATE armor SET unidentified_name_id = '$3292', identified_name_id = '$3292', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20173;
UPDATE armor SET unidentified_name_id = '$1801', identified_name_id = '$1801', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20174;
UPDATE armor SET unidentified_name_id = '$1800', identified_name_id = '$1800', use_dragonknight = 1, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20175;
UPDATE armor SET unidentified_name_id = '$3851', identified_name_id = '$3851', use_dragonknight = 0, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20176;
UPDATE armor SET unidentified_name_id = '$3256', identified_name_id = '$3256', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20177;
UPDATE armor SET unidentified_name_id = '$3857', identified_name_id = '$3857', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20178;
UPDATE armor SET unidentified_name_id = '$3751', identified_name_id = '$3751', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20179;
UPDATE armor SET unidentified_name_id = '$2452 $330', identified_name_id = '$2452 $330', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 2, bow_dmg_modifier = 0 WHERE item_id = 20180;
UPDATE armor SET unidentified_name_id = '$3253', identified_name_id = '$3253', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20181;
UPDATE armor SET unidentified_name_id = '$330', identified_name_id = '$330', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20182;
UPDATE armor SET unidentified_name_id = '$3743', identified_name_id = '$3743', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20183;
UPDATE armor SET unidentified_name_id = '$2773', identified_name_id = '$2773', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20184;
UPDATE armor SET unidentified_name_id = '$2201', identified_name_id = '$2201', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20185;
UPDATE armor SET unidentified_name_id = '$3344', identified_name_id = '$3344', use_dragonknight = 1, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20186;
UPDATE armor SET unidentified_name_id = '$795', identified_name_id = '$795', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20187;
UPDATE armor SET unidentified_name_id = '$3496', identified_name_id = '$3496', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20188;
UPDATE armor SET unidentified_name_id = '$3255', identified_name_id = '$3255', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20189;
UPDATE armor SET unidentified_name_id = '$3739', identified_name_id = '$3739', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 5, bow_dmg_modifier = 0 WHERE item_id = 20190;
UPDATE armor SET unidentified_name_id = '$775', identified_name_id = '$775', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 2, bow_dmg_modifier = 0 WHERE item_id = 20191;
UPDATE armor SET unidentified_name_id = '$1027', identified_name_id = '$1027', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20192;
UPDATE armor SET unidentified_name_id = '$1025', identified_name_id = '$1025', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20193;
UPDATE armor SET unidentified_name_id = '$1211', identified_name_id = '$1211', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20194;
UPDATE armor SET unidentified_name_id = '$2423', identified_name_id = '$2423', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20195;
UPDATE armor SET unidentified_name_id = '$3091', identified_name_id = '$3091', use_dragonknight = 1, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20196;
UPDATE armor SET unidentified_name_id = '$1807', identified_name_id = '$1807', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20197;
UPDATE armor SET unidentified_name_id = '$1811', identified_name_id = '$1811', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20198;
UPDATE armor SET unidentified_name_id = '$2913', identified_name_id = '$2913', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20199;
UPDATE armor SET unidentified_name_id = '$3856', identified_name_id = '$3856', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20200;
UPDATE armor SET unidentified_name_id = '$3845', identified_name_id = '$3845', use_dragonknight = 1, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20201;
UPDATE armor SET unidentified_name_id = '$3077', identified_name_id = '$3077', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20202;
UPDATE armor SET unidentified_name_id = '$2190', identified_name_id = '$2190', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20203;
UPDATE armor SET unidentified_name_id = '$2767', identified_name_id = '$2767', use_dragonknight = 1, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20204;
UPDATE armor SET unidentified_name_id = '$207', identified_name_id = '$207', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20205;
UPDATE armor SET unidentified_name_id = '$3291', identified_name_id = '$3291', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20206;
UPDATE armor SET unidentified_name_id = '$1804', identified_name_id = '$1804', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20207;
UPDATE armor SET unidentified_name_id = '$3852', identified_name_id = '$3852', use_dragonknight = 0, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20208;
UPDATE armor SET unidentified_name_id = '$3750', identified_name_id = '$3750', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20209;
UPDATE armor SET unidentified_name_id = '$2452 $207', identified_name_id = '$2452 $207', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20210;
UPDATE armor SET unidentified_name_id = '$2752', identified_name_id = '$2752', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20211;
UPDATE armor SET unidentified_name_id = '$1026', identified_name_id = '$1026', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20212;
UPDATE armor SET unidentified_name_id = '$206', identified_name_id = '$206', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20213;
UPDATE armor SET unidentified_name_id = '$2775', identified_name_id = '$2775', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20214;
UPDATE armor SET unidentified_name_id = '$2194', identified_name_id = '$2194', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20215;
UPDATE armor SET unidentified_name_id = '$3346', identified_name_id = '$3346', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20216;
UPDATE armor SET unidentified_name_id = '$3497', identified_name_id = '$3497', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20217;
UPDATE armor SET unidentified_name_id = '$2745', identified_name_id = '$2745', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20218;
UPDATE armor SET unidentified_name_id = '$1028', identified_name_id = '$1028', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20219;
UPDATE armor SET unidentified_name_id = '$1210', identified_name_id = '$1210', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20220;
UPDATE armor SET unidentified_name_id = '$1030', identified_name_id = '$1030', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20221;
UPDATE armor SET unidentified_name_id = '$778', identified_name_id = '$778', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20222;
UPDATE armor SET unidentified_name_id = '$194', identified_name_id = '$194', use_dragonknight = 1, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20223;
UPDATE armor SET unidentified_name_id = '$2914', identified_name_id = '$2914', use_dragonknight = 1, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20224;
UPDATE armor SET unidentified_name_id = '$2351', identified_name_id = '$2351', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20225;
UPDATE armor SET unidentified_name_id = '$1917', identified_name_id = '$1917', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20226;
UPDATE armor SET unidentified_name_id = '$2213', identified_name_id = '$2213', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20227;
UPDATE armor SET unidentified_name_id = '$3846', identified_name_id = '$3846', use_dragonknight = 1, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20228;
UPDATE armor SET unidentified_name_id = '$196', identified_name_id = '$196', use_dragonknight = 1, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20229;
UPDATE armor SET unidentified_name_id = '$192', identified_name_id = '$192', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20230;
UPDATE armor SET unidentified_name_id = '$429', identified_name_id = '$429', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20231;
UPDATE armor SET unidentified_name_id = '$3293', identified_name_id = '$3293', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20232;
UPDATE armor SET unidentified_name_id = '$3853', identified_name_id = '$3853', use_dragonknight = 0, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20233;
UPDATE armor SET unidentified_name_id = '$3794', identified_name_id = '$3794', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20234;
UPDATE armor SET unidentified_name_id = '$419', identified_name_id = '$419', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20235;
UPDATE armor SET unidentified_name_id = '$187', identified_name_id = '$187', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20236;
UPDATE armor SET unidentified_name_id = '$189', identified_name_id = '$189', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20237;
UPDATE armor SET unidentified_name_id = '$922', identified_name_id = '$922', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20238;
UPDATE armor SET unidentified_name_id = '$186', identified_name_id = '$186', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20239;
UPDATE armor SET unidentified_name_id = '$3745', identified_name_id = '$3745', use_dragonknight = 1, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20240;
UPDATE armor SET unidentified_name_id = '$1029', identified_name_id = '$1029', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20241;
UPDATE armor SET unidentified_name_id = '$193', identified_name_id = '$193', use_dragonknight = 1, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20242;
UPDATE armor SET unidentified_name_id = '$1758', identified_name_id = '$1758', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20243;
UPDATE armor SET unidentified_name_id = '$1667 $1007', identified_name_id = '$1667 $1007', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20244;
UPDATE armor SET unidentified_name_id = '$1667 $1003', identified_name_id = '$1667 $1003', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20245;
UPDATE armor SET unidentified_name_id = '$1667 $1002', identified_name_id = '$1667 $1002', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20246;
UPDATE armor SET unidentified_name_id = '$1667 $1005', identified_name_id = '$1667 $1005', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20247;
UPDATE armor SET unidentified_name_id = '$1667 $1006', identified_name_id = '$1667 $1006', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20248;
UPDATE armor SET unidentified_name_id = '$1667 $1004', identified_name_id = '$1667 $1004', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20249;
UPDATE armor SET unidentified_name_id = '$2757', identified_name_id = '$2757', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20250;
UPDATE armor SET unidentified_name_id = '??????????????', identified_name_id = '??????????????', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20251;
UPDATE armor SET unidentified_name_id = '$3079', identified_name_id = '$3079', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20252;
UPDATE armor SET unidentified_name_id = '$3859', identified_name_id = '$3859', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20253;
UPDATE armor SET unidentified_name_id = '$1007', identified_name_id = '$1007', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20254;
UPDATE armor SET unidentified_name_id = '$3858', identified_name_id = '$3858', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20255;
UPDATE armor SET unidentified_name_id = '$1003', identified_name_id = '$1003', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20256;
UPDATE armor SET unidentified_name_id = '$3087', identified_name_id = '$3087', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20257;
UPDATE armor SET unidentified_name_id = '$3083', identified_name_id = '$3083', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20258;
UPDATE armor SET unidentified_name_id = '$1757', identified_name_id = '$1757', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20259;
UPDATE armor SET unidentified_name_id = '$2858', identified_name_id = '$2858', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20260;
UPDATE armor SET unidentified_name_id = '$3753', identified_name_id = '$3753', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20261;
UPDATE armor SET unidentified_name_id = '$3671', identified_name_id = '$3671', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20262;
UPDATE armor SET unidentified_name_id = '$1013', identified_name_id = '$1013', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20263;
UPDATE armor SET unidentified_name_id = '$1002', identified_name_id = '$1002', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20264;
UPDATE armor SET unidentified_name_id = '$3193', identified_name_id = '$3193', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20265;
UPDATE armor SET unidentified_name_id = '$1005', identified_name_id = '$1005', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20266;
UPDATE armor SET unidentified_name_id = '$1006', identified_name_id = '$1006', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20267;
UPDATE armor SET unidentified_name_id = '$1004', identified_name_id = '$1004', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20268;
UPDATE armor SET unidentified_name_id = '$3500', identified_name_id = '$3500', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20269;
UPDATE armor SET unidentified_name_id = '????????', identified_name_id = '????????', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20270;
UPDATE armor SET unidentified_name_id = '$2756', identified_name_id = '$2756', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20277;
UPDATE armor SET unidentified_name_id = '$2755', identified_name_id = '$2755', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20278;
UPDATE armor SET unidentified_name_id = '$3080', identified_name_id = '$3080', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20279;
UPDATE armor SET unidentified_name_id = '$1662', identified_name_id = '$1662', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20280;
UPDATE armor SET unidentified_name_id = '$261', identified_name_id = '$261', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20281;
UPDATE armor SET unidentified_name_id = '$3294', identified_name_id = '$3294', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20282;
UPDATE armor SET unidentified_name_id = '$1937', identified_name_id = '$1937', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20284;
UPDATE armor SET unidentified_name_id = '$1664', identified_name_id = '$1664', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20285;
UPDATE armor SET unidentified_name_id = '???????????', identified_name_id = '???????????', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20286;
UPDATE armor SET unidentified_name_id = '$2225', identified_name_id = '$2225', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20287;
UPDATE armor SET unidentified_name_id = '$241', identified_name_id = '$241', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20288;
UPDATE armor SET unidentified_name_id = '$3257', identified_name_id = '$3257', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20289;
UPDATE armor SET unidentified_name_id = '$3752', identified_name_id = '$3752', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20290;
UPDATE armor SET unidentified_name_id = '$3672', identified_name_id = '$3672', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20291;
UPDATE armor SET unidentified_name_id = '$3503', identified_name_id = '$3503', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20293;
UPDATE armor SET unidentified_name_id = '$3501', identified_name_id = '$3501', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20294;
UPDATE armor SET unidentified_name_id = '$3502', identified_name_id = '$3502', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20295;
UPDATE armor SET unidentified_name_id = '$3528', identified_name_id = '$3528', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20296;
UPDATE armor SET unidentified_name_id = '$3194', identified_name_id = '$3194', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20297;
UPDATE armor SET unidentified_name_id = '$2406', identified_name_id = '$2406', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20298;
UPDATE armor SET unidentified_name_id = '$3097', identified_name_id = '$3097', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20299;
UPDATE armor SET unidentified_name_id = '$1665', identified_name_id = '$1665', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20300;
UPDATE armor SET unidentified_name_id = '$3195', identified_name_id = '$3195', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20301;
UPDATE armor SET unidentified_name_id = '$1666', identified_name_id = '$1666', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20302;
UPDATE armor SET unidentified_name_id = '$1661', identified_name_id = '$1661', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20303;
UPDATE armor SET unidentified_name_id = '$1663', identified_name_id = '$1663', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20304;
UPDATE armor SET unidentified_name_id = '??????', identified_name_id = '??????', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20305;
UPDATE armor SET unidentified_name_id = '$1667 $1669', identified_name_id = '$1667 $1669', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20306;
UPDATE armor SET unidentified_name_id = '$1667 $1671', identified_name_id = '$1667 $1671', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20307;
UPDATE armor SET unidentified_name_id = '$1667 $1670', identified_name_id = '$1667 $1670', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20308;
UPDATE armor SET unidentified_name_id = '$2601', identified_name_id = '$2601', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20309;
UPDATE armor SET unidentified_name_id = '$2603', identified_name_id = '$2603', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20310;
UPDATE armor SET unidentified_name_id = '$2602', identified_name_id = '$2602', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20311;
UPDATE armor SET unidentified_name_id = '$1669', identified_name_id = '$1669', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20312;
UPDATE armor SET unidentified_name_id = '$3862', identified_name_id = '$3862', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20313;
UPDATE armor SET unidentified_name_id = '$2215', identified_name_id = '$2215', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20314;
UPDATE armor SET unidentified_name_id = '$3673', identified_name_id = '$3673', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20315;
UPDATE armor SET unidentified_name_id = '$1671', identified_name_id = '$1671', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20316;
UPDATE armor SET unidentified_name_id = '$1819', identified_name_id = '$1819', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20317;
UPDATE armor SET unidentified_name_id = '$2251', identified_name_id = '$2251', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20318;
UPDATE armor SET unidentified_name_id = '$1670', identified_name_id = '$1670', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20319;
UPDATE armor SET unidentified_name_id = '$1820', identified_name_id = '$1820', use_dragonknight = 1, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20320;
UPDATE armor SET unidentified_name_id = '$1818', identified_name_id = '$1818', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20321;
UPDATE armor SET unidentified_name_id = '$167', identified_name_id = '$167', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20322;
UPDATE armor SET unidentified_name_id = '$3069', identified_name_id = '$3069', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20342;
UPDATE armor SET unidentified_name_id = '$3713', identified_name_id = '$3713', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20343;
UPDATE armor SET unidentified_name_id = '$3713', identified_name_id = '$3713', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20344;
UPDATE armor SET unidentified_name_id = '$3724', identified_name_id = '$3724', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20345;
UPDATE armor SET unidentified_name_id = '$3725', identified_name_id = '$3725', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20346;
UPDATE armor SET unidentified_name_id = '?', identified_name_id = '?', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20347;
UPDATE armor SET unidentified_name_id = '??', identified_name_id = '??', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20348;
UPDATE armor SET unidentified_name_id = '????????????', identified_name_id = '????????????', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20349;
UPDATE armor SET unidentified_name_id = '??????????', identified_name_id = '??????????', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20350;
UPDATE armor SET unidentified_name_id = '????????', identified_name_id = '????????', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20351;
UPDATE armor SET unidentified_name_id = '????????', identified_name_id = '????????', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20352;
UPDATE armor SET unidentified_name_id = '$3608', identified_name_id = '$3608', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20353;
UPDATE armor SET unidentified_name_id = '$3610', identified_name_id = '$3610', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20354;
UPDATE armor SET unidentified_name_id = '$3609', identified_name_id = '$3609', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20355;
UPDATE armor SET unidentified_name_id = '$3607', identified_name_id = '$3607', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20356;
UPDATE armor SET unidentified_name_id = '$3611', identified_name_id = '$3611', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20357;
UPDATE armor SET unidentified_name_id = '$4445', identified_name_id = '$4445', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20358;
UPDATE armor SET unidentified_name_id = '$4446', identified_name_id = '$4446', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20359;
UPDATE armor SET unidentified_name_id = '$4447', identified_name_id = '$4447', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20360;
UPDATE armor SET unidentified_name_id = '$4448', identified_name_id = '$4448', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20361;
UPDATE armor SET unidentified_name_id = '$4449', identified_name_id = '$4449', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20362;
UPDATE armor SET unidentified_name_id = '$4450', identified_name_id = '$4450', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20363;
UPDATE armor SET unidentified_name_id = '$4451', identified_name_id = '$4451', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20364;
UPDATE armor SET unidentified_name_id = '$4452', identified_name_id = '$4452', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20365;
UPDATE armor SET unidentified_name_id = '??? $162', identified_name_id = '??? $162', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20366;
UPDATE armor SET unidentified_name_id = '??? $152', identified_name_id = '??? $152', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20367;
UPDATE armor SET unidentified_name_id = '??? $116', identified_name_id = '??? $116', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20368;
UPDATE armor SET unidentified_name_id = '??? $2466', identified_name_id = '??? $2466', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20369;
UPDATE armor SET unidentified_name_id = '??? $225', identified_name_id = '??? $225', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20370;
UPDATE armor SET unidentified_name_id = '??? $207', identified_name_id = '??? $207', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20371;
UPDATE armor SET unidentified_name_id = '??? $330', identified_name_id = '??? $330', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20372;
UPDATE armor SET unidentified_name_id = '??? $128', identified_name_id = '??? $128', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20373;
UPDATE armor SET unidentified_name_id = '??? $4196', identified_name_id = '??? $4196', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20374;
UPDATE armor SET unidentified_name_id = '??? $3617', identified_name_id = '??? $3617', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20375;
UPDATE armor SET unidentified_name_id = '?????????', identified_name_id = '?????????', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20376;
UPDATE armor SET unidentified_name_id = '?????????', identified_name_id = '?????????', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20377;
UPDATE armor SET unidentified_name_id = '?????????', identified_name_id = '?????????', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20378;
UPDATE armor SET unidentified_name_id = '?????????', identified_name_id = '?????????', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20379;
UPDATE armor SET unidentified_name_id = '$4323', identified_name_id = '$4323', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20380;
UPDATE armor SET unidentified_name_id = '$4388', identified_name_id = '$4388', use_dragonknight = 0, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20381;
UPDATE armor SET unidentified_name_id = '$4946', identified_name_id = '$4946', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20382;
UPDATE armor SET unidentified_name_id = '$5163', identified_name_id = '$5163', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20383;
UPDATE armor SET unidentified_name_id = '$1765', identified_name_id = '$1765', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20384;
UPDATE armor SET unidentified_name_id = '$1761', identified_name_id = '$1761', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20385;
UPDATE armor SET unidentified_name_id = '$1901', identified_name_id = '$1901', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20386;
UPDATE armor SET unidentified_name_id = '$1769', identified_name_id = '$1769', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20387;
UPDATE armor SET unidentified_name_id = '$2537', identified_name_id = '$2537', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20388;
UPDATE armor SET unidentified_name_id = '$4000', identified_name_id = '$4000', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20389;
UPDATE armor SET unidentified_name_id = '$4380', identified_name_id = '$4380', use_dragonknight = 1, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20390;
UPDATE armor SET unidentified_name_id = '$1763', identified_name_id = '$1763', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20391;
UPDATE armor SET unidentified_name_id = '$1899', identified_name_id = '$1899', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20392;
UPDATE armor SET unidentified_name_id = '$3999', identified_name_id = '$3999', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20393;
UPDATE armor SET unidentified_name_id = '$1759', identified_name_id = '$1759', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20394;
UPDATE armor SET unidentified_name_id = '$4378', identified_name_id = '$4378', use_dragonknight = 1, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20395;
UPDATE armor SET unidentified_name_id = '$4430', identified_name_id = '$4430', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20396;
UPDATE armor SET unidentified_name_id = '$1764', identified_name_id = '$1764', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20397;
UPDATE armor SET unidentified_name_id = '$1760', identified_name_id = '$1760', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20398;
UPDATE armor SET unidentified_name_id = '$1767', identified_name_id = '$1767', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20399;
UPDATE armor SET unidentified_name_id = '$2539', identified_name_id = '$2539', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20400;
UPDATE armor SET unidentified_name_id = '$4002', identified_name_id = '$4002', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20401;
UPDATE armor SET unidentified_name_id = '$4381', identified_name_id = '$4381', use_dragonknight = 1, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20402;
UPDATE armor SET unidentified_name_id = '$1900', identified_name_id = '$1900', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20403;
UPDATE armor SET unidentified_name_id = '$1768', identified_name_id = '$1768', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20404;
UPDATE armor SET unidentified_name_id = '$2538', identified_name_id = '$2538', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20405;
UPDATE armor SET unidentified_name_id = '$4001', identified_name_id = '$4001', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20406;
UPDATE armor SET unidentified_name_id = '$4067', identified_name_id = '$4067', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20407;
UPDATE armor SET unidentified_name_id = '$4379', identified_name_id = '$4379', use_dragonknight = 1, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20408;
UPDATE armor SET unidentified_name_id = '$3998', identified_name_id = '$3998', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20409;
UPDATE armor SET unidentified_name_id = '$4377', identified_name_id = '$4377', use_dragonknight = 1, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20410;
UPDATE armor SET unidentified_name_id = '$4389', identified_name_id = '$4389', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20411;
UPDATE armor SET unidentified_name_id = '$4390', identified_name_id = '$4390', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20412;
UPDATE armor SET unidentified_name_id = '$1649', identified_name_id = '$1649', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20413;
UPDATE armor SET unidentified_name_id = '$1648', identified_name_id = '$1648', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20414;
UPDATE armor SET unidentified_name_id = '$1647', identified_name_id = '$1647', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20415;
UPDATE armor SET unidentified_name_id = '$1646', identified_name_id = '$1646', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20416;
UPDATE armor SET unidentified_name_id = '$1650', identified_name_id = '$1650', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20417;
UPDATE armor SET unidentified_name_id = '$3241', identified_name_id = '$3241', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20418;
UPDATE armor SET unidentified_name_id = '$4945', identified_name_id = '$4945', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20419;
UPDATE armor SET unidentified_name_id = '$4623', identified_name_id = '$4623', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20420;
UPDATE armor SET unidentified_name_id = '$4341', identified_name_id = '$4341', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20421;
UPDATE armor SET unidentified_name_id = '$4838', identified_name_id = '$4838', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20422;
UPDATE armor SET unidentified_name_id = '$4093', identified_name_id = '$4093', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20423;
UPDATE armor SET unidentified_name_id = '$4094', identified_name_id = '$4094', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20424;
UPDATE armor SET unidentified_name_id = '$4095', identified_name_id = '$4095', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20425;
UPDATE armor SET unidentified_name_id = '$4963', identified_name_id = '$4963', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20426;
UPDATE armor SET unidentified_name_id = '$1205', identified_name_id = '$1205', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20427;
UPDATE armor SET unidentified_name_id = '$1689', identified_name_id = '$1689', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20428;
UPDATE armor SET unidentified_name_id = '$1692', identified_name_id = '$1692', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20429;
UPDATE armor SET unidentified_name_id = '$1690', identified_name_id = '$1690', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20430;
UPDATE armor SET unidentified_name_id = '$1693', identified_name_id = '$1693', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20431;
UPDATE armor SET unidentified_name_id = '$1691', identified_name_id = '$1691', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20432;
UPDATE armor SET unidentified_name_id = '$3240', identified_name_id = '$3240', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20433;
UPDATE armor SET unidentified_name_id = '$4342', identified_name_id = '$4342', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20434;
UPDATE armor SET unidentified_name_id = '$4555', identified_name_id = '$4555', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20435;
UPDATE armor SET unidentified_name_id = '$4547', identified_name_id = '$4547', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20436;
UPDATE armor SET unidentified_name_id = '$4539', identified_name_id = '$4539', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20437;
UPDATE armor SET unidentified_name_id = '$4563', identified_name_id = '$4563', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20438;
UPDATE armor SET unidentified_name_id = '$4556', identified_name_id = '$4556', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20439;
UPDATE armor SET unidentified_name_id = '$4548', identified_name_id = '$4548', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20440;
UPDATE armor SET unidentified_name_id = '$4540', identified_name_id = '$4540', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20441;
UPDATE armor SET unidentified_name_id = '$4564', identified_name_id = '$4564', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20442;
UPDATE armor SET unidentified_name_id = '$4557', identified_name_id = '$4557', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20443;
UPDATE armor SET unidentified_name_id = '$4549', identified_name_id = '$4549', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20444;
UPDATE armor SET unidentified_name_id = '$4541', identified_name_id = '$4541', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20445;
UPDATE armor SET unidentified_name_id = '$4565', identified_name_id = '$4565', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20446;
UPDATE armor SET unidentified_name_id = '$4558', identified_name_id = '$4558', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20447;
UPDATE armor SET unidentified_name_id = '$4550', identified_name_id = '$4550', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20448;
UPDATE armor SET unidentified_name_id = '$4542', identified_name_id = '$4542', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20449;
UPDATE armor SET unidentified_name_id = '$4566', identified_name_id = '$4566', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20450;
UPDATE armor SET unidentified_name_id = '$4062', identified_name_id = '$4062', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20451;
UPDATE armor SET unidentified_name_id = '$5132', identified_name_id = '$5132', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20452;
UPDATE armor SET unidentified_name_id = '$5137', identified_name_id = '$5137', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20453;
UPDATE armor SET unidentified_name_id = '$5136', identified_name_id = '$5136', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20454;
UPDATE armor SET unidentified_name_id = '$5135', identified_name_id = '$5135', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20455;
UPDATE armor SET unidentified_name_id = '$4065', identified_name_id = '$4065', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20456;
UPDATE armor SET unidentified_name_id = '$4066', identified_name_id = '$4066', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20457;
UPDATE armor SET unidentified_name_id = '$5229', identified_name_id = '$5229', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20458;
UPDATE armor SET unidentified_name_id = '$5230', identified_name_id = '$5230', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20459;
UPDATE armor SET unidentified_name_id = '$4038', identified_name_id = '$4038', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 20460;
UPDATE armor SET unidentified_name_id = '$1000 ??', identified_name_id = '$1000 ??', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21000;
UPDATE armor SET unidentified_name_id = '$1783 ??', identified_name_id = '$1783 ??', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21001;
UPDATE armor SET unidentified_name_id = '$1395 ??', identified_name_id = '$1395 ??', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21002;
UPDATE armor SET unidentified_name_id = '$4032', identified_name_id = '$4032', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21003;
UPDATE armor SET unidentified_name_id = '$4039', identified_name_id = '$4039', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21004;
UPDATE armor SET unidentified_name_id = '$4040', identified_name_id = '$4040', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21005;
UPDATE armor SET unidentified_name_id = '$4456', identified_name_id = '$4456', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21006;
UPDATE armor SET unidentified_name_id = '$4456', identified_name_id = '$4456', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21007;
UPDATE armor SET unidentified_name_id = '$4460', identified_name_id = '$4460', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21008;
UPDATE armor SET unidentified_name_id = '$4463', identified_name_id = '$4463', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21009;
UPDATE armor SET unidentified_name_id = '$4461', identified_name_id = '$4461', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21010;
UPDATE armor SET unidentified_name_id = '$4462', identified_name_id = '$4462', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21011;
UPDATE armor SET unidentified_name_id = '$4464', identified_name_id = '$4464', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21012;
UPDATE armor SET unidentified_name_id = '$4506', identified_name_id = '$4506', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21013;
UPDATE armor SET unidentified_name_id = '$4456', identified_name_id = '$4456', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21014;
UPDATE armor SET unidentified_name_id = '$4457', identified_name_id = '$4457', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21015;
UPDATE armor SET unidentified_name_id = '$4458', identified_name_id = '$4458', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21016;
UPDATE armor SET unidentified_name_id = '$4459', identified_name_id = '$4459', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21017;
UPDATE armor SET unidentified_name_id = '$4068', identified_name_id = '$4068', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21018;
UPDATE armor SET unidentified_name_id = '$4092', identified_name_id = '$4092', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21019;
UPDATE armor SET unidentified_name_id = '$3755', identified_name_id = '$3755', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21020;
UPDATE armor SET unidentified_name_id = '$3756', identified_name_id = '$3756', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21021;
UPDATE armor SET unidentified_name_id = '$3757', identified_name_id = '$3757', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21022;
UPDATE armor SET unidentified_name_id = '$3758', identified_name_id = '$3758', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21023;
UPDATE armor SET unidentified_name_id = '$3759', identified_name_id = '$3759', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21024;
UPDATE armor SET unidentified_name_id = '$3760', identified_name_id = '$3760', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21025;
UPDATE armor SET unidentified_name_id = '$3761', identified_name_id = '$3761', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21026;
UPDATE armor SET unidentified_name_id = '$3762', identified_name_id = '$3762', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21027;
UPDATE armor SET unidentified_name_id = '$569', identified_name_id = '$569', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 120011;
UPDATE armor SET unidentified_name_id = '$3252', identified_name_id = '$3252', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 120016;
UPDATE armor SET unidentified_name_id = '$128', identified_name_id = '$128', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 120043;
UPDATE armor SET unidentified_name_id = '$182', identified_name_id = '$182', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 120056;
UPDATE armor SET unidentified_name_id = '$656 $225', identified_name_id = '$656 $225', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 120074;
UPDATE armor SET unidentified_name_id = '$180', identified_name_id = '$180', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 120077;
UPDATE armor SET unidentified_name_id = '$168', identified_name_id = '$168', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 120085;
UPDATE armor SET unidentified_name_id = '$156', identified_name_id = '$156', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 120101;
UPDATE armor SET unidentified_name_id = '$3251', identified_name_id = '$3251', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 120112;
UPDATE armor SET unidentified_name_id = '$153', identified_name_id = '$153', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 120128;
UPDATE armor SET unidentified_name_id = '$595', identified_name_id = '$595', use_dragonknight = 1, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 120137;
UPDATE armor SET unidentified_name_id = '$154', identified_name_id = '$154', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 120149;
UPDATE armor SET unidentified_name_id = '$152', identified_name_id = '$152', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 120154;
UPDATE armor SET unidentified_name_id = '$330', identified_name_id = '$330', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 120182;
UPDATE armor SET unidentified_name_id = '$193', identified_name_id = '$193', use_dragonknight = 1, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 120242;
UPDATE armor SET unidentified_name_id = '$1667 $1007', identified_name_id = '$1667 $1007', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 120244;
UPDATE armor SET unidentified_name_id = '$1667 $1003', identified_name_id = '$1667 $1003', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 120245;
UPDATE armor SET unidentified_name_id = '$1667 $1002', identified_name_id = '$1667 $1002', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 120246;
UPDATE armor SET unidentified_name_id = '$1667 $1005', identified_name_id = '$1667 $1005', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 120247;
UPDATE armor SET unidentified_name_id = '$1667 $1006', identified_name_id = '$1667 $1006', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 120248;
UPDATE armor SET unidentified_name_id = '$1667 $1004', identified_name_id = '$1667 $1004', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 120249;
UPDATE armor SET unidentified_name_id = '$1007', identified_name_id = '$1007', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 120254;
UPDATE armor SET unidentified_name_id = '$1003', identified_name_id = '$1003', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 120256;
UPDATE armor SET unidentified_name_id = '$1002', identified_name_id = '$1002', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 120264;
UPDATE armor SET unidentified_name_id = '$1005', identified_name_id = '$1005', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 120266;
UPDATE armor SET unidentified_name_id = '$1006', identified_name_id = '$1006', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 120267;
UPDATE armor SET unidentified_name_id = '$1004', identified_name_id = '$1004', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 120268;
UPDATE armor SET unidentified_name_id = '$1662', identified_name_id = '$1662', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 120280;
UPDATE armor SET unidentified_name_id = '$1664', identified_name_id = '$1664', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 120285;
UPDATE armor SET unidentified_name_id = '$3257', identified_name_id = '$3257', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 120289;
UPDATE armor SET unidentified_name_id = '$1665', identified_name_id = '$1665', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 120300;
UPDATE armor SET unidentified_name_id = '$1666', identified_name_id = '$1666', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 120302;
UPDATE armor SET unidentified_name_id = '$1663', identified_name_id = '$1663', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 120304;
UPDATE armor SET unidentified_name_id = '$1667 $1669', identified_name_id = '$1667 $1669', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 120306;
UPDATE armor SET unidentified_name_id = '$1667 $1671', identified_name_id = '$1667 $1671', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 120307;
UPDATE armor SET unidentified_name_id = '$1667 $1670', identified_name_id = '$1667 $1670', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 120308;
UPDATE armor SET unidentified_name_id = '$2601', identified_name_id = '$2601', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 120309;
UPDATE armor SET unidentified_name_id = '$2603', identified_name_id = '$2603', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 120310;
UPDATE armor SET unidentified_name_id = '$2602', identified_name_id = '$2602', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 120311;
UPDATE armor SET unidentified_name_id = '$1669', identified_name_id = '$1669', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 120312;
UPDATE armor SET unidentified_name_id = '$1671', identified_name_id = '$1671', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 120316;
UPDATE armor SET unidentified_name_id = '$1819', identified_name_id = '$1819', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 120317;
UPDATE armor SET unidentified_name_id = '$1670', identified_name_id = '$1670', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 120319;
UPDATE armor SET unidentified_name_id = '$1820', identified_name_id = '$1820', use_dragonknight = 1, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 120320;
UPDATE armor SET unidentified_name_id = '$1818', identified_name_id = '$1818', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 120321;
UPDATE armor SET unidentified_name_id = '$120', identified_name_id = '$120', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 220034;
UPDATE armor SET unidentified_name_id = '$128', identified_name_id = '$128', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 220043;
UPDATE armor SET unidentified_name_id = '$182', identified_name_id = '$182', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 220056;
UPDATE armor SET unidentified_name_id = '$156', identified_name_id = '$156', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 220101;
UPDATE armor SET unidentified_name_id = '$155', identified_name_id = '$155', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 220115;
UPDATE armor SET unidentified_name_id = '$162', identified_name_id = '$162', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 220122;
UPDATE armor SET unidentified_name_id = '$159', identified_name_id = '$159', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 220125;
UPDATE armor SET unidentified_name_id = '$165', identified_name_id = '$165', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 220135;
UPDATE armor SET unidentified_name_id = '$160', identified_name_id = '$160', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 220136;
UPDATE armor SET unidentified_name_id = '$163', identified_name_id = '$163', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 220147;
UPDATE armor SET unidentified_name_id = '$152', identified_name_id = '$152', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 220154;
UPDATE armor SET unidentified_name_id = '$206', identified_name_id = '$206', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 220213;
UPDATE armor SET unidentified_name_id = '$189', identified_name_id = '$189', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 220237;
UPDATE armor SET unidentified_name_id = '$3503', identified_name_id = '$3503', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 220293;
UPDATE armor SET unidentified_name_id = '$3501', identified_name_id = '$3501', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 220294;
UPDATE armor SET unidentified_name_id = '$3502', identified_name_id = '$3502', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 220295;
UPDATE armor SET unidentified_name_id = '$3528', identified_name_id = '$3528', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 220296;
UPDATE armor SET unidentified_name_id = '$5356', identified_name_id = '$5356', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21028;
UPDATE armor SET unidentified_name_id = '$5357', identified_name_id = '$5357', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21029;
UPDATE armor SET unidentified_name_id = '$5358', identified_name_id = '$5358', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21030;
UPDATE armor SET unidentified_name_id = '$5359', identified_name_id = '$5359', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21031;
UPDATE armor SET unidentified_name_id = '$5360', identified_name_id = '$5360', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21032;
UPDATE armor SET unidentified_name_id = '$5361', identified_name_id = '$5361', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21033;
UPDATE armor SET unidentified_name_id = '$3714', identified_name_id = '$3714', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21034;
UPDATE armor SET unidentified_name_id = '??????? ????', identified_name_id = '??????? ????', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21037;
UPDATE armor SET unidentified_name_id = '??????? ???', identified_name_id = '??????? ???', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21036;
UPDATE armor SET unidentified_name_id = '??????? ???', identified_name_id = '??????? ???', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21035;
UPDATE armor SET unidentified_name_id = '??????? ???', identified_name_id = '??????? ???', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21038;
UPDATE armor SET unidentified_name_id = '?????????', identified_name_id = '?????????', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21039;
UPDATE armor SET unidentified_name_id = '???????', identified_name_id = '???????', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21040;
UPDATE armor SET unidentified_name_id = '??????', identified_name_id = '??????', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21041;
UPDATE armor SET unidentified_name_id = '???????', identified_name_id = '???????', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21042;
UPDATE armor SET unidentified_name_id = '?????', identified_name_id = '?????', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21043;
UPDATE armor SET unidentified_name_id = '?????', identified_name_id = '?????', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21044;
UPDATE armor SET unidentified_name_id = '?????', identified_name_id = '?????', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21045;
UPDATE armor SET unidentified_name_id = '?????', identified_name_id = '?????', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21046;
UPDATE armor SET unidentified_name_id = '???????', identified_name_id = '???????', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21047;
UPDATE armor SET unidentified_name_id = '$5266', identified_name_id = '$5266', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21048;
UPDATE armor SET unidentified_name_id = '$5267', identified_name_id = '$5267', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21049;
UPDATE armor SET unidentified_name_id = '$5268', identified_name_id = '$5268', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21050;
UPDATE armor SET unidentified_name_id = '$5269', identified_name_id = '$5269', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21051;
UPDATE armor SET unidentified_name_id = '$5270', identified_name_id = '$5270', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21052;
UPDATE armor SET unidentified_name_id = '$5271', identified_name_id = '$5271', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21053;
UPDATE armor SET unidentified_name_id = '$5272', identified_name_id = '$5272', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21054;
UPDATE armor SET unidentified_name_id = '$5273', identified_name_id = '$5273', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21055;
UPDATE armor SET unidentified_name_id = '$5274', identified_name_id = '$5274', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21056;
UPDATE armor SET unidentified_name_id = '$5021', identified_name_id = '$5021', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21057;
UPDATE armor SET unidentified_name_id = '$5021', identified_name_id = '$5021', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21058;
UPDATE armor SET unidentified_name_id = '$5022', identified_name_id = '$5022', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21059;
UPDATE armor SET unidentified_name_id = '$5255', identified_name_id = '$5255', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21060;
UPDATE armor SET unidentified_name_id = '????????', identified_name_id = '????????', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21061;
UPDATE armor SET unidentified_name_id = '????????', identified_name_id = '????????', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21062;
UPDATE armor SET unidentified_name_id = '?????????', identified_name_id = '?????????', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21063;
UPDATE armor SET unidentified_name_id = '??????????', identified_name_id = '??????????', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21064;
UPDATE armor SET unidentified_name_id = '??????????', identified_name_id = '??????????', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21065;
UPDATE armor SET unidentified_name_id = '????????', identified_name_id = '????????', use_dragonknight = 0, use_illusionist = 0, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21066;
UPDATE armor SET unidentified_name_id = '$10090', identified_name_id = '$10090', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21067;
UPDATE armor SET unidentified_name_id = '$10092', identified_name_id = '$10092', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21068;
UPDATE armor SET unidentified_name_id = '$5545', identified_name_id = '$5545', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21085;
UPDATE armor SET unidentified_name_id = '$5545', identified_name_id = '$5545', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21084;
UPDATE armor SET unidentified_name_id = '$5545', identified_name_id = '$5545', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21083;
UPDATE armor SET unidentified_name_id = '$5545', identified_name_id = '$5545', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21082;
UPDATE armor SET unidentified_name_id = '$5545', identified_name_id = '$5545', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21081;
UPDATE armor SET unidentified_name_id = '$5549', identified_name_id = '$5549', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21080;
UPDATE armor SET unidentified_name_id = '$5549', identified_name_id = '$5549', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21079;
UPDATE armor SET unidentified_name_id = '$5549', identified_name_id = '$5549', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21078;
UPDATE armor SET unidentified_name_id = '$5549', identified_name_id = '$5549', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21077;
UPDATE armor SET unidentified_name_id = '$5549', identified_name_id = '$5549', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21076;
UPDATE armor SET unidentified_name_id = '$5549', identified_name_id = '$5549', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21075;
UPDATE armor SET unidentified_name_id = '$5549', identified_name_id = '$5549', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21074;
UPDATE armor SET unidentified_name_id = '$5551', identified_name_id = '$5551', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21073;
UPDATE armor SET unidentified_name_id = '$5550', identified_name_id = '$5550', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21072;
UPDATE armor SET unidentified_name_id = '$5550', identified_name_id = '$5550', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21071;
UPDATE armor SET unidentified_name_id = '$5548', identified_name_id = '$5548', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21070;
UPDATE armor SET unidentified_name_id = '$5548', identified_name_id = '$5548', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21069;
UPDATE armor SET unidentified_name_id = '$5545', identified_name_id = '$5545', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21086;
UPDATE armor SET unidentified_name_id = '$5545', identified_name_id = '$5545', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21087;
UPDATE armor SET unidentified_name_id = '$5545', identified_name_id = '$5545', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21088;
UPDATE armor SET unidentified_name_id = '$5545', identified_name_id = '$5545', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21089;
UPDATE armor SET unidentified_name_id = '$5545', identified_name_id = '$5545', use_dragonknight = 1, use_illusionist = 1, hit_modifier = 0, dmg_modifier = 0, bow_hit_modifier = 0, bow_dmg_modifier = 0 WHERE item_id = 21090;
INSERT INTO armor VALUES(21092, '??????', '$10100', '$10100', 'ring', 'gold', 3000, 2921, 6954, 0, 0, -1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 2, 0, 0, 3, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO armor VALUES(21093, '??? ??? ???', '$5723', '$5723', 'ring', 'gold', 5000, 3055, 6960, 3268, 0, -1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO armor VALUES(21094, '??? ???? ???', '$5724', '$5724', 'ring', 'gold', 5000, 3044, 6954, 3269, 0, -1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0);
INSERT INTO armor VALUES(21095, '??? ???? ???', '$5722', '$5722', 'belt', 'gold', 50000, 3045, 6955, 3267, 0, -1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 10, 0, 2, 0, 0, 0, 0, 0, 0, 30, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO armor VALUES(21096, '????????', '$5573', '$5573', 'earring', 'gemstone', 1000, 2978, 7069, 0, 0, -1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO armor VALUES(21097, '?????????', '$5574', '$5574', 'earring', 'gemstone', 1000, 2979, 7070, 0, 0, -1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO armor VALUES(21098, '?????????', '$5575', '$5575', 'earring', 'gemstone', 1000, 2980, 7071, 0, 0, -1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO armor VALUES(21099, '??????????', '$5576', '$5576', 'earring', 'gemstone', 1000, 2983, 7072, 0, 0, -1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO armor VALUES(21100, '?????????????', '$5659', '$5659', 'cloak', 'cloth', 10000, 3004, 6356, 3214, -1, 6, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 20, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO armor VALUES(21101, '?????????????', '$5660', '$5660', 'shield', 'paper', 30000, 3006, 6964, 3215, -2, 6, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 20, 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO armor VALUES(21102, '???????????', '$5665', '$5665', 'cloak', 'cloth', 18000, 3023, 6356, 3222, -1, 6, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 30, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO armor VALUES(21103, '???? ???? ????', '$5666', '$5666', 'guarder', 'bone', 30000, 3024, 7045, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO armor VALUES(21104, '????? ????', '$5667', '$5667', 'guarder', 'bone', 30000, 3041, 6951, 0, 0, 0, 1, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO armor VALUES(21105, '??????????', '$6094', '$6094', 'guarder', 'blackmithril', 30000, 3230, 6947, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO armor VALUES(21106, '?????????', '$6095', '$6095', 'guarder', 'blackmithril', 30000, 3231, 7046, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 5, 5, 5, 5, 0, 0, 0, 0, 0, 0);
INSERT INTO armor VALUES(21107, '???? ?????', '$798', '$798', 'armor', 'wood', 30000, 51, 9, 0, -1, 4, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO armor VALUES(21108, '?????????????????', '$5362', '$5362', 'T', 'cloth', 10000, 2663, 24, 0, 0, 4, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);

-- armor_set
INSERT INTO armor_set VALUES(56, '????????', '21062', 5412, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO armor_set VALUES(57, '?????????', '21063', 6746, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO armor_set VALUES(58, '??????????', '21064', 6747, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO armor_set VALUES(59, '??????????', '21065', 6749, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO armor_set VALUES(60, '????????', '21066', 6750, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);

-- etcitem
INSERT INTO etcitem VALUES(49142, 'Candle of Reminiscence', '$5589', '$5589', 'other', 'normal', 'web', 1000, 2923, 6, 3120, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
UPDATE etcitem SET unidentified_name_id = '$2', identified_name_id = '$2', can_seal = 0 WHERE item_id = 40001;
UPDATE etcitem SET unidentified_name_id = '$326', identified_name_id = '$326', can_seal = 0 WHERE item_id = 40002;
UPDATE etcitem SET unidentified_name_id = '$327', identified_name_id = '$327', can_seal = 0 WHERE item_id = 40003;
UPDATE etcitem SET unidentified_name_id = '$3426', identified_name_id = '$3426', can_seal = 0 WHERE item_id = 40004;
UPDATE etcitem SET unidentified_name_id = '$67', identified_name_id = '$67', can_seal = 0 WHERE item_id = 40005;
UPDATE etcitem SET unidentified_name_id = '$28', identified_name_id = '$258', can_seal = 0 WHERE item_id = 40006;
UPDATE etcitem SET unidentified_name_id = '$263', identified_name_id = '$262', can_seal = 0 WHERE item_id = 40007;
UPDATE etcitem SET unidentified_name_id = '$27', identified_name_id = '$260', can_seal = 0 WHERE item_id = 40008;
UPDATE etcitem SET unidentified_name_id = '$975', identified_name_id = '$975', can_seal = 0 WHERE item_id = 40009;
UPDATE etcitem SET unidentified_name_id = '$26', identified_name_id = '$26', can_seal = 0 WHERE item_id = 40010;
UPDATE etcitem SET unidentified_name_id = '$235', identified_name_id = '$235', can_seal = 0 WHERE item_id = 40011;
UPDATE etcitem SET unidentified_name_id = '$238', identified_name_id = '$238', can_seal = 0 WHERE item_id = 40012;
UPDATE etcitem SET unidentified_name_id = '$234', identified_name_id = '$264', can_seal = 0 WHERE item_id = 40013;
UPDATE etcitem SET unidentified_name_id = '$943', identified_name_id = '$943', can_seal = 0 WHERE item_id = 40014;
UPDATE etcitem SET unidentified_name_id = '$232', identified_name_id = '$507', can_seal = 0 WHERE item_id = 40015;
UPDATE etcitem SET unidentified_name_id = '$944', identified_name_id = '$944', can_seal = 0 WHERE item_id = 40016;
UPDATE etcitem SET unidentified_name_id = '$233', identified_name_id = '$233', can_seal = 0 WHERE item_id = 40017;
UPDATE etcitem SET unidentified_name_id = '$1652 $234', identified_name_id = '$1652 $264', can_seal = 0 WHERE item_id = 40018;
UPDATE etcitem SET unidentified_name_id = '$1251', identified_name_id = '$1251', can_seal = 0 WHERE item_id = 40019;
UPDATE etcitem SET unidentified_name_id = '$1252', identified_name_id = '$1252', can_seal = 0 WHERE item_id = 40020;
UPDATE etcitem SET unidentified_name_id = '$1253', identified_name_id = '$1253', can_seal = 0 WHERE item_id = 40021;
UPDATE etcitem SET unidentified_name_id = '$2575', identified_name_id = '$2575', can_seal = 0 WHERE item_id = 40022;
UPDATE etcitem SET unidentified_name_id = '$2576', identified_name_id = '$2576', can_seal = 0 WHERE item_id = 40023;
UPDATE etcitem SET unidentified_name_id = '$2577', identified_name_id = '$2577', can_seal = 0 WHERE item_id = 40024;
UPDATE etcitem SET unidentified_name_id = '$239', identified_name_id = '$242', can_seal = 0 WHERE item_id = 40025;
UPDATE etcitem SET unidentified_name_id = '$107 $2372', identified_name_id = '$107 $2372', can_seal = 0 WHERE item_id = 40026;
UPDATE etcitem SET unidentified_name_id = '$85 $2372', identified_name_id = '$85 $2372', can_seal = 0 WHERE item_id = 40027;
UPDATE etcitem SET unidentified_name_id = '$106 $2372', identified_name_id = '$106 $2372', can_seal = 0 WHERE item_id = 40028;
UPDATE etcitem SET unidentified_name_id = '$3301', identified_name_id = '$3301', can_seal = 0 WHERE item_id = 40029;
UPDATE etcitem SET unidentified_name_id = '$2653', identified_name_id = '$2653', can_seal = 0 WHERE item_id = 40582;
UPDATE etcitem SET unidentified_name_id = '$3372', identified_name_id = '$3372', can_seal = 0 WHERE item_id = 40031;
UPDATE etcitem SET unidentified_name_id = '$1507', identified_name_id = '$1507', can_seal = 0 WHERE item_id = 40032;
UPDATE etcitem SET unidentified_name_id = '$2530', identified_name_id = '$2530', can_seal = 0 WHERE item_id = 40033;
UPDATE etcitem SET unidentified_name_id = '$2531', identified_name_id = '$2531', can_seal = 0 WHERE item_id = 40034;
UPDATE etcitem SET unidentified_name_id = '$2532', identified_name_id = '$2532', can_seal = 0 WHERE item_id = 40035;
UPDATE etcitem SET unidentified_name_id = '$2533', identified_name_id = '$2533', can_seal = 0 WHERE item_id = 40036;
UPDATE etcitem SET unidentified_name_id = '$2534', identified_name_id = '$2534', can_seal = 0 WHERE item_id = 40037;
UPDATE etcitem SET unidentified_name_id = '$2535', identified_name_id = '$2535', can_seal = 0 WHERE item_id = 40038;
UPDATE etcitem SET unidentified_name_id = '$3405', identified_name_id = '$3405', can_seal = 0 WHERE item_id = 40039;
UPDATE etcitem SET unidentified_name_id = '$3406', identified_name_id = '$3406', can_seal = 0 WHERE item_id = 40040;
UPDATE etcitem SET unidentified_name_id = '$1508', identified_name_id = '$1508', can_seal = 0 WHERE item_id = 40041;
UPDATE etcitem SET unidentified_name_id = '$3370', identified_name_id = '$3370', can_seal = 0 WHERE item_id = 40042;
UPDATE etcitem SET unidentified_name_id = '$1943', identified_name_id = '$1943', can_seal = 0 WHERE item_id = 40043;
UPDATE etcitem SET unidentified_name_id = '$512', identified_name_id = '$512', can_seal = 0 WHERE item_id = 40044;
UPDATE etcitem SET unidentified_name_id = '$513', identified_name_id = '$513', can_seal = 0 WHERE item_id = 40045;
UPDATE etcitem SET unidentified_name_id = '$514', identified_name_id = '$514', can_seal = 0 WHERE item_id = 40046;
UPDATE etcitem SET unidentified_name_id = '$515', identified_name_id = '$515', can_seal = 0 WHERE item_id = 40047;
UPDATE etcitem SET unidentified_name_id = '$799 $512', identified_name_id = '$799 $512', can_seal = 0 WHERE item_id = 40048;
UPDATE etcitem SET unidentified_name_id = '$799 $513', identified_name_id = '$799 $513', can_seal = 0 WHERE item_id = 40049;
UPDATE etcitem SET unidentified_name_id = '$799 $514', identified_name_id = '$799 $514', can_seal = 0 WHERE item_id = 40050;
UPDATE etcitem SET unidentified_name_id = '$799 $515', identified_name_id = '$799 $515', can_seal = 0 WHERE item_id = 40051;
UPDATE etcitem SET unidentified_name_id = '$800 $512', identified_name_id = '$800 $512', can_seal = 0 WHERE item_id = 40052;
UPDATE etcitem SET unidentified_name_id = '$800 $513', identified_name_id = '$800 $513', can_seal = 0 WHERE item_id = 40053;
UPDATE etcitem SET unidentified_name_id = '$800 $514', identified_name_id = '$800 $514', can_seal = 0 WHERE item_id = 40054;
UPDATE etcitem SET unidentified_name_id = '$800 $515', identified_name_id = '$800 $515', can_seal = 0 WHERE item_id = 40055;
UPDATE etcitem SET unidentified_name_id = '$23', identified_name_id = '$23', can_seal = 0 WHERE item_id = 40056;
UPDATE etcitem SET unidentified_name_id = '$6 $23', identified_name_id = '$6 $23', can_seal = 0 WHERE item_id = 40057;
UPDATE etcitem SET unidentified_name_id = '$3403', identified_name_id = '$3403', can_seal = 0 WHERE item_id = 40058;
UPDATE etcitem SET unidentified_name_id = '$72', identified_name_id = '$72', can_seal = 0 WHERE item_id = 40059;
UPDATE etcitem SET unidentified_name_id = '$68', identified_name_id = '$68', can_seal = 0 WHERE item_id = 40060;
UPDATE etcitem SET unidentified_name_id = '$82', identified_name_id = '$82', can_seal = 0 WHERE item_id = 40061;
UPDATE etcitem SET unidentified_name_id = '$107', identified_name_id = '$107', can_seal = 0 WHERE item_id = 40062;
UPDATE etcitem SET unidentified_name_id = '$1619 $1622', identified_name_id = '$1619 $1622', can_seal = 0 WHERE item_id = 40063;
UPDATE etcitem SET unidentified_name_id = '$106', identified_name_id = '$106', can_seal = 0 WHERE item_id = 40064;
UPDATE etcitem SET unidentified_name_id = '$1179', identified_name_id = '$1179', can_seal = 0 WHERE item_id = 40065;
UPDATE etcitem SET unidentified_name_id = '$2578', identified_name_id = '$2578', can_seal = 0 WHERE item_id = 40066;
UPDATE etcitem SET unidentified_name_id = '$2579', identified_name_id = '$2579', can_seal = 0 WHERE item_id = 40067;
UPDATE etcitem SET unidentified_name_id = '$110', identified_name_id = '$110', can_seal = 0 WHERE item_id = 40068;
UPDATE etcitem SET unidentified_name_id = '$85', identified_name_id = '$85', can_seal = 0 WHERE item_id = 40069;
UPDATE etcitem SET unidentified_name_id = '$2810', identified_name_id = '$2810', can_seal = 0 WHERE item_id = 40070;
UPDATE etcitem SET unidentified_name_id = '$3404', identified_name_id = '$3404', can_seal = 0 WHERE item_id = 40071;
UPDATE etcitem SET unidentified_name_id = '$86', identified_name_id = '$86', can_seal = 0 WHERE item_id = 40072;
UPDATE etcitem SET unidentified_name_id = '???? ?????', identified_name_id = '???? ?????', can_seal = 0 WHERE item_id = 40073;
UPDATE etcitem SET unidentified_name_id = '$249', identified_name_id = '$249', can_seal = 0 WHERE item_id = 40074;
UPDATE etcitem SET unidentified_name_id = '$254', identified_name_id = '$254', can_seal = 0 WHERE item_id = 40075;
UPDATE etcitem SET unidentified_name_id = '$1957', identified_name_id = '$1957', can_seal = 0 WHERE item_id = 40076;
UPDATE etcitem SET unidentified_name_id = '$3363', identified_name_id = '$3363', can_seal = 0 WHERE item_id = 40077;
UPDATE etcitem SET unidentified_name_id = '$3366', identified_name_id = '$3366', can_seal = 0 WHERE item_id = 40078;
UPDATE etcitem SET unidentified_name_id = '$505', identified_name_id = '$505', can_seal = 0 WHERE item_id = 40079;
UPDATE etcitem SET unidentified_name_id = '$3304', identified_name_id = '$3304', can_seal = 0 WHERE item_id = 40080;
UPDATE etcitem SET unidentified_name_id = '$1410', identified_name_id = '$1410', can_seal = 0 WHERE item_id = 40081;
UPDATE etcitem SET unidentified_name_id = '$1411', identified_name_id = '$1411', can_seal = 0 WHERE item_id = 40082;
UPDATE etcitem SET unidentified_name_id = '??? $230', identified_name_id = '??? $230', can_seal = 0 WHERE item_id = 40083;
UPDATE etcitem SET unidentified_name_id = '$3554', identified_name_id = '$3554', can_seal = 0 WHERE item_id = 40084;
UPDATE etcitem SET unidentified_name_id = '$3303', identified_name_id = '$3303', can_seal = 0 WHERE item_id = 40085;
UPDATE etcitem SET unidentified_name_id = '$618', identified_name_id = '$618', can_seal = 0 WHERE item_id = 40086;
UPDATE etcitem SET unidentified_name_id = '$244', identified_name_id = '$244', can_seal = 0 WHERE item_id = 40087;
UPDATE etcitem SET unidentified_name_id = '$971', identified_name_id = '$971', can_seal = 0 WHERE item_id = 40088;
UPDATE etcitem SET unidentified_name_id = '$257', identified_name_id = '$257', can_seal = 0 WHERE item_id = 40089;
UPDATE etcitem SET unidentified_name_id = '$1486', identified_name_id = '$1486', can_seal = 0 WHERE item_id = 40090;
UPDATE etcitem SET unidentified_name_id = '$1892', identified_name_id = '$1892', can_seal = 0 WHERE item_id = 40091;
UPDATE etcitem SET unidentified_name_id = '$1893', identified_name_id = '$1893', can_seal = 0 WHERE item_id = 40092;
UPDATE etcitem SET unidentified_name_id = '$1894', identified_name_id = '$1894', can_seal = 0 WHERE item_id = 40093;
UPDATE etcitem SET unidentified_name_id = '$1895', identified_name_id = '$1895', can_seal = 0 WHERE item_id = 40094;
UPDATE etcitem SET unidentified_name_id = '$3297', identified_name_id = '$3297', can_seal = 0 WHERE item_id = 40095;
UPDATE etcitem SET unidentified_name_id = '$3300', identified_name_id = '$3300', can_seal = 0 WHERE item_id = 40096;
UPDATE etcitem SET unidentified_name_id = '$3299', identified_name_id = '$3299', can_seal = 0 WHERE item_id = 40097;
UPDATE etcitem SET unidentified_name_id = '$3298', identified_name_id = '$3298', can_seal = 0 WHERE item_id = 40098;
UPDATE etcitem SET unidentified_name_id = '$3296', identified_name_id = '$3296', can_seal = 0 WHERE item_id = 40099;
UPDATE etcitem SET unidentified_name_id = '$230', identified_name_id = '$230', can_seal = 0 WHERE item_id = 40100;
UPDATE etcitem SET unidentified_name_id = '$1424', identified_name_id = '$1424', can_seal = 0 WHERE item_id = 40101;
UPDATE etcitem SET unidentified_name_id = '$3314', identified_name_id = '$3314', can_seal = 0 WHERE item_id = 40102;
UPDATE etcitem SET unidentified_name_id = '$3312', identified_name_id = '$3312', can_seal = 0 WHERE item_id = 40103;
UPDATE etcitem SET unidentified_name_id = '$2169', identified_name_id = '$2169', can_seal = 0 WHERE item_id = 40104;
UPDATE etcitem SET unidentified_name_id = '$2168', identified_name_id = '$2168', can_seal = 0 WHERE item_id = 40105;
UPDATE etcitem SET unidentified_name_id = '$2404', identified_name_id = '$2404', can_seal = 0 WHERE item_id = 40106;
UPDATE etcitem SET unidentified_name_id = '$2405', identified_name_id = '$2405', can_seal = 0 WHERE item_id = 40107;
UPDATE etcitem SET unidentified_name_id = '$2673', identified_name_id = '$2673', can_seal = 0 WHERE item_id = 40108;
UPDATE etcitem SET unidentified_name_id = '$2674', identified_name_id = '$2674', can_seal = 0 WHERE item_id = 40109;
UPDATE etcitem SET unidentified_name_id = '$2675', identified_name_id = '$2675', can_seal = 0 WHERE item_id = 40110;
UPDATE etcitem SET unidentified_name_id = '$2676', identified_name_id = '$2676', can_seal = 0 WHERE item_id = 40111;
UPDATE etcitem SET unidentified_name_id = '$2677', identified_name_id = '$2677', can_seal = 0 WHERE item_id = 40112;
UPDATE etcitem SET unidentified_name_id = '$2862', identified_name_id = '$2862', can_seal = 0 WHERE item_id = 40113;
UPDATE etcitem SET unidentified_name_id = '$3308', identified_name_id = '$3308', can_seal = 0 WHERE item_id = 40114;
UPDATE etcitem SET unidentified_name_id = '$3306', identified_name_id = '$3306', can_seal = 0 WHERE item_id = 40115;
UPDATE etcitem SET unidentified_name_id = '$3313', identified_name_id = '$3313', can_seal = 0 WHERE item_id = 40116;
UPDATE etcitem SET unidentified_name_id = '$3309', identified_name_id = '$3309', can_seal = 0 WHERE item_id = 40117;
UPDATE etcitem SET unidentified_name_id = '$3547', identified_name_id = '$3547', can_seal = 0 WHERE item_id = 40118;
UPDATE etcitem SET unidentified_name_id = '$243', identified_name_id = '$243', can_seal = 0 WHERE item_id = 40119;
UPDATE etcitem SET unidentified_name_id = '$3546', identified_name_id = '$3546', can_seal = 0 WHERE item_id = 40120;
UPDATE etcitem SET unidentified_name_id = '?????????? $230', identified_name_id = '?????????? $230', can_seal = 0 WHERE item_id = 40121;
UPDATE etcitem SET unidentified_name_id = '$3305', identified_name_id = '$3305', can_seal = 0 WHERE item_id = 40122;
UPDATE etcitem SET unidentified_name_id = '$3311', identified_name_id = '$3311', can_seal = 0 WHERE item_id = 40123;
UPDATE etcitem SET unidentified_name_id = '$2380', identified_name_id = '$2380', can_seal = 0 WHERE item_id = 40124;
UPDATE etcitem SET unidentified_name_id = '$3307', identified_name_id = '$3307', can_seal = 0 WHERE item_id = 40125;
UPDATE etcitem SET unidentified_name_id = '$55', identified_name_id = '$55', can_seal = 0 WHERE item_id = 40126;
UPDATE etcitem SET unidentified_name_id = '$2001', identified_name_id = '$2001', can_seal = 0 WHERE item_id = 40127;
UPDATE etcitem SET unidentified_name_id = '$2000', identified_name_id = '$2000', can_seal = 0 WHERE item_id = 40128;
UPDATE etcitem SET unidentified_name_id = '$3359', identified_name_id = '$3359', can_seal = 0 WHERE item_id = 40129;
UPDATE etcitem SET unidentified_name_id = '$3360', identified_name_id = '$3360', can_seal = 0 WHERE item_id = 40130;
UPDATE etcitem SET unidentified_name_id = '$501', identified_name_id = '$501', can_seal = 0 WHERE item_id = 40131;
UPDATE etcitem SET unidentified_name_id = '$500', identified_name_id = '$500', can_seal = 0 WHERE item_id = 40132;
UPDATE etcitem SET unidentified_name_id = '$503', identified_name_id = '$503', can_seal = 0 WHERE item_id = 40133;
UPDATE etcitem SET unidentified_name_id = '$502', identified_name_id = '$502', can_seal = 0 WHERE item_id = 40134;
UPDATE etcitem SET unidentified_name_id = '$499', identified_name_id = '$499', can_seal = 0 WHERE item_id = 40135;
UPDATE etcitem SET unidentified_name_id = '$1654 $1616', identified_name_id = '$1654 $1616', can_seal = 0 WHERE item_id = 40136;
UPDATE etcitem SET unidentified_name_id = '$1655 $1616', identified_name_id = '$1655 $1616', can_seal = 0 WHERE item_id = 40137;
UPDATE etcitem SET unidentified_name_id = '$799 $1655 $1616', identified_name_id = '$799 $1655 $1616', can_seal = 0 WHERE item_id = 40138;
UPDATE etcitem SET unidentified_name_id = '$1627 $1630 $1616', identified_name_id = '$1627 $1630 $1616', can_seal = 0 WHERE item_id = 40139;
UPDATE etcitem SET unidentified_name_id = '$1627 $1656', identified_name_id = '$1627 $1656', can_seal = 0 WHERE item_id = 40140;
UPDATE etcitem SET unidentified_name_id = '$1627 $1616', identified_name_id = '$1627 $1616', can_seal = 0 WHERE item_id = 40141;
UPDATE etcitem SET unidentified_name_id = '$1627 $1631 $1616', identified_name_id = '$1627 $1631 $1616', can_seal = 0 WHERE item_id = 40142;
UPDATE etcitem SET unidentified_name_id = '$1625 $1630 $1616', identified_name_id = '$1625 $1630 $1616', can_seal = 0 WHERE item_id = 40143;
UPDATE etcitem SET unidentified_name_id = '$1625 $1656', identified_name_id = '$1625 $1656', can_seal = 0 WHERE item_id = 40144;
UPDATE etcitem SET unidentified_name_id = '$1625 $1616', identified_name_id = '$1625 $1616', can_seal = 0 WHERE item_id = 40145;
UPDATE etcitem SET unidentified_name_id = '$1625 $1631 $1616', identified_name_id = '$1625 $1631 $1616', can_seal = 0 WHERE item_id = 40146;
UPDATE etcitem SET unidentified_name_id = '$1626 $1630 $1629 $1616', identified_name_id = '$1626 $1630 $1629 $1616', can_seal = 0 WHERE item_id = 40147;
UPDATE etcitem SET unidentified_name_id = '$1626 $1630 $1616', identified_name_id = '$1626 $1630 $1616', can_seal = 0 WHERE item_id = 40148;
UPDATE etcitem SET unidentified_name_id = '$1626 $1632 $1616', identified_name_id = '$1626 $1632 $1616', can_seal = 0 WHERE item_id = 40149;
UPDATE etcitem SET unidentified_name_id = '$1626 $1656', identified_name_id = '$1626 $1656', can_seal = 0 WHERE item_id = 40150;
UPDATE etcitem SET unidentified_name_id = '$1626 $1629 $1616', identified_name_id = '$1626 $1629 $1616', can_seal = 0 WHERE item_id = 40151;
UPDATE etcitem SET unidentified_name_id = '$1626 $1616', identified_name_id = '$1626 $1616', can_seal = 0 WHERE item_id = 40152;
UPDATE etcitem SET unidentified_name_id = '$1626 $1631 $1616', identified_name_id = '$1626 $1631 $1616', can_seal = 0 WHERE item_id = 40153;
UPDATE etcitem SET unidentified_name_id = '$2683', identified_name_id = '$2683', can_seal = 0 WHERE item_id = 40154;
UPDATE etcitem SET unidentified_name_id = '$1628 $1630 $1629 $1616', identified_name_id = '$1628 $1630 $1629 $1616', can_seal = 0 WHERE item_id = 40155;
UPDATE etcitem SET unidentified_name_id = '$1628 $1630 $1616', identified_name_id = '$1628 $1630 $1616', can_seal = 0 WHERE item_id = 40156;
UPDATE etcitem SET unidentified_name_id = '$1628 $1632 $1616', identified_name_id = '$1628 $1632 $1616', can_seal = 0 WHERE item_id = 40157;
UPDATE etcitem SET unidentified_name_id = '$1628 $1656', identified_name_id = '$1628 $1656', can_seal = 0 WHERE item_id = 40158;
UPDATE etcitem SET unidentified_name_id = '$1628 $1629 $1616', identified_name_id = '$1628 $1629 $1616', can_seal = 0 WHERE item_id = 40159;
UPDATE etcitem SET unidentified_name_id = '$1628 $1616', identified_name_id = '$1628 $1616', can_seal = 0 WHERE item_id = 40160;
UPDATE etcitem SET unidentified_name_id = '$1628 $1631 $1616', identified_name_id = '$1628 $1631 $1616', can_seal = 0 WHERE item_id = 40161;
UPDATE etcitem SET unidentified_name_id = '$3060', identified_name_id = '$3060', can_seal = 0 WHERE item_id = 40162;
UPDATE etcitem SET unidentified_name_id = '$307', identified_name_id = '$307', can_seal = 0 WHERE item_id = 40163;
UPDATE etcitem SET unidentified_name_id = '$3259', identified_name_id = '$3259', can_seal = 0 WHERE item_id = 40164;
UPDATE etcitem SET unidentified_name_id = '$4007', identified_name_id = '$4007', can_seal = 0 WHERE item_id = 40165;
UPDATE etcitem SET unidentified_name_id = '$4008', identified_name_id = '$4008', can_seal = 0 WHERE item_id = 40166;
UPDATE etcitem SET unidentified_name_id = '$3390', identified_name_id = '$3390', can_seal = 0 WHERE item_id = 40167;
UPDATE etcitem SET unidentified_name_id = '$3391', identified_name_id = '$3391', can_seal = 0 WHERE item_id = 40168;
UPDATE etcitem SET unidentified_name_id = '$3063', identified_name_id = '$3063', can_seal = 0 WHERE item_id = 40169;
UPDATE etcitem SET unidentified_name_id = '$532', identified_name_id = '$532', can_seal = 0 WHERE item_id = 40170;
UPDATE etcitem SET unidentified_name_id = '$533', identified_name_id = '$533', can_seal = 0 WHERE item_id = 40171;
UPDATE etcitem SET unidentified_name_id = '$534', identified_name_id = '$534', can_seal = 0 WHERE item_id = 40172;
UPDATE etcitem SET unidentified_name_id = '$535', identified_name_id = '$535', can_seal = 0 WHERE item_id = 40173;
UPDATE etcitem SET unidentified_name_id = '$536', identified_name_id = '$536', can_seal = 0 WHERE item_id = 40174;
UPDATE etcitem SET unidentified_name_id = '$1860', identified_name_id = '$1860', can_seal = 0 WHERE item_id = 40175;
UPDATE etcitem SET unidentified_name_id = '$1861', identified_name_id = '$1861', can_seal = 0 WHERE item_id = 40176;
UPDATE etcitem SET unidentified_name_id = '$1586', identified_name_id = '$1586', can_seal = 0 WHERE item_id = 40177;
UPDATE etcitem SET unidentified_name_id = '$537', identified_name_id = '$537', can_seal = 0 WHERE item_id = 40178;
UPDATE etcitem SET unidentified_name_id = '$538', identified_name_id = '$538', can_seal = 0 WHERE item_id = 40179;
UPDATE etcitem SET unidentified_name_id = '$539', identified_name_id = '$539', can_seal = 0 WHERE item_id = 40180;
UPDATE etcitem SET unidentified_name_id = '$540', identified_name_id = '$540', can_seal = 0 WHERE item_id = 40181;
UPDATE etcitem SET unidentified_name_id = '$541', identified_name_id = '$541', can_seal = 0 WHERE item_id = 40182;
UPDATE etcitem SET unidentified_name_id = '$1587', identified_name_id = '$1587', can_seal = 0 WHERE item_id = 40183;
UPDATE etcitem SET unidentified_name_id = '$1862', identified_name_id = '$1862', can_seal = 0 WHERE item_id = 40184;
UPDATE etcitem SET unidentified_name_id = '$1863', identified_name_id = '$1863', can_seal = 0 WHERE item_id = 40185;
UPDATE etcitem SET unidentified_name_id = '$542', identified_name_id = '$542', can_seal = 0 WHERE item_id = 40186;
UPDATE etcitem SET unidentified_name_id = '$543', identified_name_id = '$543', can_seal = 0 WHERE item_id = 40187;
UPDATE etcitem SET unidentified_name_id = '$544', identified_name_id = '$544', can_seal = 0 WHERE item_id = 40188;
UPDATE etcitem SET unidentified_name_id = '$545', identified_name_id = '$545', can_seal = 0 WHERE item_id = 40189;
UPDATE etcitem SET unidentified_name_id = '$546', identified_name_id = '$546', can_seal = 0 WHERE item_id = 40190;
UPDATE etcitem SET unidentified_name_id = '$1588', identified_name_id = '$1588', can_seal = 0 WHERE item_id = 40191;
UPDATE etcitem SET unidentified_name_id = '$1864', identified_name_id = '$1864', can_seal = 0 WHERE item_id = 40192;
UPDATE etcitem SET unidentified_name_id = '$1865', identified_name_id = '$1865', can_seal = 0 WHERE item_id = 40193;
UPDATE etcitem SET unidentified_name_id = '$547', identified_name_id = '$547', can_seal = 0 WHERE item_id = 40194;
UPDATE etcitem SET unidentified_name_id = '$548', identified_name_id = '$548', can_seal = 0 WHERE item_id = 40195;
UPDATE etcitem SET unidentified_name_id = '$549', identified_name_id = '$549', can_seal = 0 WHERE item_id = 40196;
UPDATE etcitem SET unidentified_name_id = '$550', identified_name_id = '$550', can_seal = 0 WHERE item_id = 40197;
UPDATE etcitem SET unidentified_name_id = '$551', identified_name_id = '$551', can_seal = 0 WHERE item_id = 40198;
UPDATE etcitem SET unidentified_name_id = '$1651', identified_name_id = '$1651', can_seal = 0 WHERE item_id = 40199;
UPDATE etcitem SET unidentified_name_id = '$1866', identified_name_id = '$1866', can_seal = 0 WHERE item_id = 40200;
UPDATE etcitem SET unidentified_name_id = '$1867', identified_name_id = '$1867', can_seal = 0 WHERE item_id = 40201;
UPDATE etcitem SET unidentified_name_id = '$552', identified_name_id = '$552', can_seal = 0 WHERE item_id = 40202;
UPDATE etcitem SET unidentified_name_id = '$553', identified_name_id = '$553', can_seal = 0 WHERE item_id = 40203;
UPDATE etcitem SET unidentified_name_id = '$554', identified_name_id = '$554', can_seal = 0 WHERE item_id = 40204;
UPDATE etcitem SET unidentified_name_id = '$555', identified_name_id = '$555', can_seal = 0 WHERE item_id = 40205;
UPDATE etcitem SET unidentified_name_id = '$556', identified_name_id = '$556', can_seal = 0 WHERE item_id = 40206;
UPDATE etcitem SET unidentified_name_id = '$1589', identified_name_id = '$1589', can_seal = 0 WHERE item_id = 40207;
UPDATE etcitem SET unidentified_name_id = '$1868', identified_name_id = '$1868', can_seal = 0 WHERE item_id = 40208;
UPDATE etcitem SET unidentified_name_id = '$1869', identified_name_id = '$1869', can_seal = 0 WHERE item_id = 40209;
UPDATE etcitem SET unidentified_name_id = '$557', identified_name_id = '$557', can_seal = 0 WHERE item_id = 40210;
UPDATE etcitem SET unidentified_name_id = '$558', identified_name_id = '$558', can_seal = 0 WHERE item_id = 40211;
UPDATE etcitem SET unidentified_name_id = '$559', identified_name_id = '$559', can_seal = 0 WHERE item_id = 40212;
UPDATE etcitem SET unidentified_name_id = '$560', identified_name_id = '$560', can_seal = 0 WHERE item_id = 40213;
UPDATE etcitem SET unidentified_name_id = '$561', identified_name_id = '$561', can_seal = 0 WHERE item_id = 40214;
UPDATE etcitem SET unidentified_name_id = '$1590', identified_name_id = '$1590', can_seal = 0 WHERE item_id = 40215;
UPDATE etcitem SET unidentified_name_id = '$1870', identified_name_id = '$1870', can_seal = 0 WHERE item_id = 40216;
UPDATE etcitem SET unidentified_name_id = '$1871', identified_name_id = '$1871', can_seal = 0 WHERE item_id = 40217;
UPDATE etcitem SET unidentified_name_id = '$562', identified_name_id = '$562', can_seal = 0 WHERE item_id = 40218;
UPDATE etcitem SET unidentified_name_id = '$563', identified_name_id = '$563', can_seal = 0 WHERE item_id = 40219;
UPDATE etcitem SET unidentified_name_id = '$564', identified_name_id = '$564', can_seal = 0 WHERE item_id = 40220;
UPDATE etcitem SET unidentified_name_id = '$565', identified_name_id = '$565', can_seal = 0 WHERE item_id = 40221;
UPDATE etcitem SET unidentified_name_id = '$566', identified_name_id = '$566', can_seal = 0 WHERE item_id = 40222;
UPDATE etcitem SET unidentified_name_id = '$1872', identified_name_id = '$1872', can_seal = 0 WHERE item_id = 40223;
UPDATE etcitem SET unidentified_name_id = '$1873', identified_name_id = '$1873', can_seal = 0 WHERE item_id = 40224;
UPDATE etcitem SET unidentified_name_id = '$1874', identified_name_id = '$1874', can_seal = 0 WHERE item_id = 40225;
UPDATE etcitem SET unidentified_name_id = '$1959', identified_name_id = '$1959', can_seal = 0 WHERE item_id = 40226;
UPDATE etcitem SET unidentified_name_id = '$1960', identified_name_id = '$1960', can_seal = 0 WHERE item_id = 40227;
UPDATE etcitem SET unidentified_name_id = '$2089', identified_name_id = '$2089', can_seal = 0 WHERE item_id = 40228;
UPDATE etcitem SET unidentified_name_id = '$3175', identified_name_id = '$3175', can_seal = 0 WHERE item_id = 40229;
UPDATE etcitem SET unidentified_name_id = '$3176', identified_name_id = '$3176', can_seal = 0 WHERE item_id = 40230;
UPDATE etcitem SET unidentified_name_id = '$3260', identified_name_id = '$3260', can_seal = 0 WHERE item_id = 40231;
UPDATE etcitem SET unidentified_name_id = '$1829', identified_name_id = '$1829', can_seal = 0 WHERE item_id = 40232;
UPDATE etcitem SET unidentified_name_id = '$1830', identified_name_id = '$1830', can_seal = 0 WHERE item_id = 40233;
UPDATE etcitem SET unidentified_name_id = '$1831', identified_name_id = '$1831', can_seal = 0 WHERE item_id = 40234;
UPDATE etcitem SET unidentified_name_id = '$1832', identified_name_id = '$1832', can_seal = 0 WHERE item_id = 40235;
UPDATE etcitem SET unidentified_name_id = '$1833', identified_name_id = '$1833', can_seal = 0 WHERE item_id = 40236;
UPDATE etcitem SET unidentified_name_id = '$1834', identified_name_id = '$1834', can_seal = 0 WHERE item_id = 40237;
UPDATE etcitem SET unidentified_name_id = '$1835', identified_name_id = '$1835', can_seal = 0 WHERE item_id = 40238;
UPDATE etcitem SET unidentified_name_id = '$1836', identified_name_id = '$1836', can_seal = 0 WHERE item_id = 40239;
UPDATE etcitem SET unidentified_name_id = '$3261', identified_name_id = '$3261', can_seal = 0 WHERE item_id = 40240;
UPDATE etcitem SET unidentified_name_id = '$3262', identified_name_id = '$3262', can_seal = 0 WHERE item_id = 40241;
UPDATE etcitem SET unidentified_name_id = '$1842', identified_name_id = '$1842', can_seal = 0 WHERE item_id = 40242;
UPDATE etcitem SET unidentified_name_id = '$1843', identified_name_id = '$1843', can_seal = 0 WHERE item_id = 40243;
UPDATE etcitem SET unidentified_name_id = '$1849', identified_name_id = '$1849', can_seal = 0 WHERE item_id = 40244;
UPDATE etcitem SET unidentified_name_id = '$1850', identified_name_id = '$1850', can_seal = 0 WHERE item_id = 40245;
UPDATE etcitem SET unidentified_name_id = '$3263', identified_name_id = '$3263', can_seal = 0 WHERE item_id = 40246;
UPDATE etcitem SET unidentified_name_id = '$1840', identified_name_id = '$1840', can_seal = 0 WHERE item_id = 40247;
UPDATE etcitem SET unidentified_name_id = '$1841', identified_name_id = '$1841', can_seal = 0 WHERE item_id = 40248;
UPDATE etcitem SET unidentified_name_id = '$1846', identified_name_id = '$1846', can_seal = 0 WHERE item_id = 40249;
UPDATE etcitem SET unidentified_name_id = '$1848', identified_name_id = '$1848', can_seal = 0 WHERE item_id = 40250;
UPDATE etcitem SET unidentified_name_id = '$1856', identified_name_id = '$1856', can_seal = 0 WHERE item_id = 40251;
UPDATE etcitem SET unidentified_name_id = '$3265', identified_name_id = '$3265', can_seal = 0 WHERE item_id = 40252;
UPDATE etcitem SET unidentified_name_id = '$3266', identified_name_id = '$3266', can_seal = 0 WHERE item_id = 40253;
UPDATE etcitem SET unidentified_name_id = '$1847', identified_name_id = '$1847', can_seal = 0 WHERE item_id = 40254;
UPDATE etcitem SET unidentified_name_id = '$1852', identified_name_id = '$1852', can_seal = 0 WHERE item_id = 40255;
UPDATE etcitem SET unidentified_name_id = '$1837', identified_name_id = '$1837', can_seal = 0 WHERE item_id = 40256;
UPDATE etcitem SET unidentified_name_id = '$1844', identified_name_id = '$1844', can_seal = 0 WHERE item_id = 40257;
UPDATE etcitem SET unidentified_name_id = '$1851', identified_name_id = '$1851', can_seal = 0 WHERE item_id = 40258;
UPDATE etcitem SET unidentified_name_id = '$3267', identified_name_id = '$3267', can_seal = 0 WHERE item_id = 40259;
UPDATE etcitem SET unidentified_name_id = '$1838', identified_name_id = '$1838', can_seal = 0 WHERE item_id = 40260;
UPDATE etcitem SET unidentified_name_id = '$1839', identified_name_id = '$1839', can_seal = 0 WHERE item_id = 40261;
UPDATE etcitem SET unidentified_name_id = '$1845', identified_name_id = '$1845', can_seal = 0 WHERE item_id = 40262;
UPDATE etcitem SET unidentified_name_id = '$1854', identified_name_id = '$1854', can_seal = 0 WHERE item_id = 40263;
UPDATE etcitem SET unidentified_name_id = '$1855', identified_name_id = '$1855', can_seal = 0 WHERE item_id = 40264;
UPDATE etcitem SET unidentified_name_id = '$2518', identified_name_id = '$2518', can_seal = 0 WHERE item_id = 40265;
UPDATE etcitem SET unidentified_name_id = '$2519', identified_name_id = '$2519', can_seal = 0 WHERE item_id = 40266;
UPDATE etcitem SET unidentified_name_id = '$2520', identified_name_id = '$2520', can_seal = 0 WHERE item_id = 40267;
UPDATE etcitem SET unidentified_name_id = '$2521', identified_name_id = '$2521', can_seal = 0 WHERE item_id = 40268;
UPDATE etcitem SET unidentified_name_id = '$3172', identified_name_id = '$3172', can_seal = 0 WHERE item_id = 40269;
UPDATE etcitem SET unidentified_name_id = '$2522', identified_name_id = '$2522', can_seal = 0 WHERE item_id = 40270;
UPDATE etcitem SET unidentified_name_id = '$2523', identified_name_id = '$2523', can_seal = 0 WHERE item_id = 40271;
UPDATE etcitem SET unidentified_name_id = '$2524', identified_name_id = '$2524', can_seal = 0 WHERE item_id = 40272;
UPDATE etcitem SET unidentified_name_id = '$2525', identified_name_id = '$2525', can_seal = 0 WHERE item_id = 40273;
UPDATE etcitem SET unidentified_name_id = '$3173', identified_name_id = '$3173', can_seal = 0 WHERE item_id = 40274;
UPDATE etcitem SET unidentified_name_id = '$2526', identified_name_id = '$2526', can_seal = 0 WHERE item_id = 40275;
UPDATE etcitem SET unidentified_name_id = '$2527', identified_name_id = '$2527', can_seal = 0 WHERE item_id = 40276;
UPDATE etcitem SET unidentified_name_id = '$2528', identified_name_id = '$2528', can_seal = 0 WHERE item_id = 40277;
UPDATE etcitem SET unidentified_name_id = '$2529', identified_name_id = '$2529', can_seal = 0 WHERE item_id = 40278;
UPDATE etcitem SET unidentified_name_id = '$3174', identified_name_id = '$3174', can_seal = 0 WHERE item_id = 40279;
UPDATE etcitem SET unidentified_name_id = '$2582', identified_name_id = '$2582', can_seal = 0 WHERE item_id = 40280;
UPDATE etcitem SET unidentified_name_id = '$2583', identified_name_id = '$2583', can_seal = 0 WHERE item_id = 40281;
UPDATE etcitem SET unidentified_name_id = '$2584', identified_name_id = '$2584', can_seal = 0 WHERE item_id = 40282;
UPDATE etcitem SET unidentified_name_id = '$2585', identified_name_id = '$2585', can_seal = 0 WHERE item_id = 40283;
UPDATE etcitem SET unidentified_name_id = '$2668', identified_name_id = '$2668', can_seal = 0 WHERE item_id = 40284;
UPDATE etcitem SET unidentified_name_id = '$2669', identified_name_id = '$2669', can_seal = 0 WHERE item_id = 40285;
UPDATE etcitem SET unidentified_name_id = '$2670', identified_name_id = '$2670', can_seal = 0 WHERE item_id = 40286;
UPDATE etcitem SET unidentified_name_id = '$2671', identified_name_id = '$2671', can_seal = 0 WHERE item_id = 40287;
UPDATE etcitem SET unidentified_name_id = '$2672', identified_name_id = '$2672', can_seal = 0 WHERE item_id = 40288;
UPDATE etcitem SET unidentified_name_id = '$2400', identified_name_id = '$2400', can_seal = 0 WHERE item_id = 40289;
UPDATE etcitem SET unidentified_name_id = '$2401', identified_name_id = '$2401', can_seal = 0 WHERE item_id = 40290;
UPDATE etcitem SET unidentified_name_id = '$2402', identified_name_id = '$2402', can_seal = 0 WHERE item_id = 40291;
UPDATE etcitem SET unidentified_name_id = '$2403', identified_name_id = '$2403', can_seal = 0 WHERE item_id = 40292;
UPDATE etcitem SET unidentified_name_id = '$2678', identified_name_id = '$2678', can_seal = 0 WHERE item_id = 40293;
UPDATE etcitem SET unidentified_name_id = '$2679', identified_name_id = '$2679', can_seal = 0 WHERE item_id = 40294;
UPDATE etcitem SET unidentified_name_id = '$2680', identified_name_id = '$2680', can_seal = 0 WHERE item_id = 40295;
UPDATE etcitem SET unidentified_name_id = '$2681', identified_name_id = '$2681', can_seal = 0 WHERE item_id = 40296;
UPDATE etcitem SET unidentified_name_id = '$2682', identified_name_id = '$2682', can_seal = 0 WHERE item_id = 40297;
UPDATE etcitem SET unidentified_name_id = '$315', identified_name_id = '$315', can_seal = 0 WHERE item_id = 40298;
UPDATE etcitem SET unidentified_name_id = '$314', identified_name_id = '$314', can_seal = 0 WHERE item_id = 40299;
UPDATE etcitem SET unidentified_name_id = '$1930', identified_name_id = '$1930', can_seal = 0 WHERE item_id = 40300;
UPDATE etcitem SET unidentified_name_id = '$1945', identified_name_id = '$1945', can_seal = 0 WHERE item_id = 40301;
UPDATE etcitem SET unidentified_name_id = '$3439', identified_name_id = '$3439', can_seal = 0 WHERE item_id = 40302;
UPDATE etcitem SET unidentified_name_id = '$3440', identified_name_id = '$3440', can_seal = 0 WHERE item_id = 40303;
UPDATE etcitem SET unidentified_name_id = '$3064', identified_name_id = '$3064', can_seal = 0 WHERE item_id = 40304;
UPDATE etcitem SET unidentified_name_id = '$3065', identified_name_id = '$3065', can_seal = 0 WHERE item_id = 40305;
UPDATE etcitem SET unidentified_name_id = '$3066', identified_name_id = '$3066', can_seal = 0 WHERE item_id = 40306;
UPDATE etcitem SET unidentified_name_id = '$3067', identified_name_id = '$3067', can_seal = 0 WHERE item_id = 40307;
UPDATE etcitem SET unidentified_name_id = '$4', identified_name_id = '$4', can_seal = 0 WHERE item_id = 40308;
UPDATE etcitem SET unidentified_name_id = '$954', identified_name_id = '$954', can_seal = 0 WHERE item_id = 40312;
UPDATE etcitem SET unidentified_name_id = '$1075', identified_name_id = '$1075', can_seal = 0 WHERE item_id = 40310;
UPDATE etcitem SET unidentified_name_id = '$1146', identified_name_id = '$1146', can_seal = 0 WHERE item_id = 40311;
UPDATE etcitem SET unidentified_name_id = '$308', identified_name_id = '$308', can_seal = 0 WHERE item_id = 40313;
UPDATE etcitem SET unidentified_name_id = '$1173', identified_name_id = '$1173', can_seal = 1 WHERE item_id = 40314;
UPDATE etcitem SET unidentified_name_id = '$1086', identified_name_id = '$1086', can_seal = 0 WHERE item_id = 40315;
UPDATE etcitem SET unidentified_name_id = '$1173', identified_name_id = '$1173', can_seal = 1 WHERE item_id = 40316;
UPDATE etcitem SET unidentified_name_id = '$1100', identified_name_id = '$1100', can_seal = 0 WHERE item_id = 40317;
UPDATE etcitem SET unidentified_name_id = '$508', identified_name_id = '$508', can_seal = 0 WHERE item_id = 40318;
UPDATE etcitem SET unidentified_name_id = '$1822', identified_name_id = '$1822', can_seal = 0 WHERE item_id = 40319;
UPDATE etcitem SET unidentified_name_id = '$2474', identified_name_id = '$2474', can_seal = 0 WHERE item_id = 40320;
UPDATE etcitem SET unidentified_name_id = '$2475', identified_name_id = '$2475', can_seal = 0 WHERE item_id = 40321;
UPDATE etcitem SET unidentified_name_id = '$2476', identified_name_id = '$2476', can_seal = 0 WHERE item_id = 40322;
UPDATE etcitem SET unidentified_name_id = '$2477', identified_name_id = '$2477', can_seal = 0 WHERE item_id = 40323;
UPDATE etcitem SET unidentified_name_id = '$2478', identified_name_id = '$2478', can_seal = 0 WHERE item_id = 40324;
UPDATE etcitem SET unidentified_name_id = '$2719', identified_name_id = '$2719', can_seal = 0 WHERE item_id = 40325;
UPDATE etcitem SET unidentified_name_id = '$2720', identified_name_id = '$2720', can_seal = 0 WHERE item_id = 40326;
UPDATE etcitem SET unidentified_name_id = '$2721', identified_name_id = '$2721', can_seal = 0 WHERE item_id = 40327;
UPDATE etcitem SET unidentified_name_id = '$2722', identified_name_id = '$2722', can_seal = 0 WHERE item_id = 40328;
UPDATE etcitem SET unidentified_name_id = '$3494', identified_name_id = '$3494', can_seal = 0 WHERE item_id = 40329;
UPDATE etcitem SET unidentified_name_id = '$3493', identified_name_id = '$3493', can_seal = 0 WHERE item_id = 40330;
UPDATE etcitem SET unidentified_name_id = '$3393', identified_name_id = '$3393', can_seal = 0 WHERE item_id = 40331;
UPDATE etcitem SET unidentified_name_id = '$3394', identified_name_id = '$3394', can_seal = 0 WHERE item_id = 40332;
UPDATE etcitem SET unidentified_name_id = '$3395', identified_name_id = '$3395', can_seal = 0 WHERE item_id = 40333;
UPDATE etcitem SET unidentified_name_id = '$3396', identified_name_id = '$3396', can_seal = 0 WHERE item_id = 40334;
UPDATE etcitem SET unidentified_name_id = '$3397', identified_name_id = '$3397', can_seal = 0 WHERE item_id = 40335;
UPDATE etcitem SET unidentified_name_id = '$3398', identified_name_id = '$3398', can_seal = 0 WHERE item_id = 40336;
UPDATE etcitem SET unidentified_name_id = '$3399', identified_name_id = '$3399', can_seal = 0 WHERE item_id = 40337;
UPDATE etcitem SET unidentified_name_id = '$3400', identified_name_id = '$3400', can_seal = 0 WHERE item_id = 40338;
UPDATE etcitem SET unidentified_name_id = '$3401', identified_name_id = '$3401', can_seal = 0 WHERE item_id = 40339;
UPDATE etcitem SET unidentified_name_id = '$3402', identified_name_id = '$3402', can_seal = 0 WHERE item_id = 40340;
UPDATE etcitem SET unidentified_name_id = '$2778', identified_name_id = '$2778', can_seal = 0 WHERE item_id = 40341;
UPDATE etcitem SET unidentified_name_id = '$2779', identified_name_id = '$2779', can_seal = 0 WHERE item_id = 40342;
UPDATE etcitem SET unidentified_name_id = '$2780', identified_name_id = '$2780', can_seal = 0 WHERE item_id = 40343;
UPDATE etcitem SET unidentified_name_id = '$2781', identified_name_id = '$2781', can_seal = 0 WHERE item_id = 40344;
UPDATE etcitem SET unidentified_name_id = '$2782', identified_name_id = '$2782', can_seal = 0 WHERE item_id = 40345;
UPDATE etcitem SET unidentified_name_id = '$2783', identified_name_id = '$2783', can_seal = 0 WHERE item_id = 40346;
UPDATE etcitem SET unidentified_name_id = '$2784', identified_name_id = '$2784', can_seal = 0 WHERE item_id = 40347;
UPDATE etcitem SET unidentified_name_id = '$2785', identified_name_id = '$2785', can_seal = 0 WHERE item_id = 40348;
UPDATE etcitem SET unidentified_name_id = '$2786', identified_name_id = '$2786', can_seal = 0 WHERE item_id = 40349;
UPDATE etcitem SET unidentified_name_id = '$2787', identified_name_id = '$2787', can_seal = 0 WHERE item_id = 40350;
UPDATE etcitem SET unidentified_name_id = '$2788', identified_name_id = '$2788', can_seal = 0 WHERE item_id = 40351;
UPDATE etcitem SET unidentified_name_id = '$2789', identified_name_id = '$2789', can_seal = 0 WHERE item_id = 40352;
UPDATE etcitem SET unidentified_name_id = '$2790', identified_name_id = '$2790', can_seal = 0 WHERE item_id = 40353;
UPDATE etcitem SET unidentified_name_id = '$2791', identified_name_id = '$2791', can_seal = 0 WHERE item_id = 40354;
UPDATE etcitem SET unidentified_name_id = '$2792', identified_name_id = '$2792', can_seal = 0 WHERE item_id = 40355;
UPDATE etcitem SET unidentified_name_id = '$2793', identified_name_id = '$2793', can_seal = 0 WHERE item_id = 40356;
UPDATE etcitem SET unidentified_name_id = '$2794', identified_name_id = '$2794', can_seal = 0 WHERE item_id = 40357;
UPDATE etcitem SET unidentified_name_id = '$2795', identified_name_id = '$2795', can_seal = 0 WHERE item_id = 40358;
UPDATE etcitem SET unidentified_name_id = '$2796', identified_name_id = '$2796', can_seal = 0 WHERE item_id = 40359;
UPDATE etcitem SET unidentified_name_id = '$2797', identified_name_id = '$2797', can_seal = 0 WHERE item_id = 40360;
UPDATE etcitem SET unidentified_name_id = '$2798', identified_name_id = '$2798', can_seal = 0 WHERE item_id = 40361;
UPDATE etcitem SET unidentified_name_id = '$2799', identified_name_id = '$2799', can_seal = 0 WHERE item_id = 40362;
UPDATE etcitem SET unidentified_name_id = '$2800', identified_name_id = '$2800', can_seal = 0 WHERE item_id = 40363;
UPDATE etcitem SET unidentified_name_id = '$2801', identified_name_id = '$2801', can_seal = 0 WHERE item_id = 40364;
UPDATE etcitem SET unidentified_name_id = '$2802', identified_name_id = '$2802', can_seal = 0 WHERE item_id = 40365;
UPDATE etcitem SET unidentified_name_id = '$2803', identified_name_id = '$2803', can_seal = 0 WHERE item_id = 40366;
UPDATE etcitem SET unidentified_name_id = '$2804', identified_name_id = '$2804', can_seal = 0 WHERE item_id = 40367;
UPDATE etcitem SET unidentified_name_id = '$2805', identified_name_id = '$2805', can_seal = 0 WHERE item_id = 40368;
UPDATE etcitem SET unidentified_name_id = '$2806', identified_name_id = '$2806', can_seal = 0 WHERE item_id = 40369;
UPDATE etcitem SET unidentified_name_id = '$2807', identified_name_id = '$2807', can_seal = 0 WHERE item_id = 40370;
UPDATE etcitem SET unidentified_name_id = '$2808', identified_name_id = '$2808', can_seal = 0 WHERE item_id = 40371;
UPDATE etcitem SET unidentified_name_id = '$2809', identified_name_id = '$2809', can_seal = 0 WHERE item_id = 40372;
UPDATE etcitem SET unidentified_name_id = '$1101', identified_name_id = '$1101', can_seal = 0 WHERE item_id = 40373;
UPDATE etcitem SET unidentified_name_id = '$1102', identified_name_id = '$1102', can_seal = 0 WHERE item_id = 40374;
UPDATE etcitem SET unidentified_name_id = '$1103', identified_name_id = '$1103', can_seal = 0 WHERE item_id = 40375;
UPDATE etcitem SET unidentified_name_id = '$1104', identified_name_id = '$1104', can_seal = 0 WHERE item_id = 40376;
UPDATE etcitem SET unidentified_name_id = '$1105', identified_name_id = '$1105', can_seal = 0 WHERE item_id = 40377;
UPDATE etcitem SET unidentified_name_id = '$1106', identified_name_id = '$1106', can_seal = 0 WHERE item_id = 40378;
UPDATE etcitem SET unidentified_name_id = '$1107', identified_name_id = '$1107', can_seal = 0 WHERE item_id = 40379;
UPDATE etcitem SET unidentified_name_id = '$1108', identified_name_id = '$1108', can_seal = 0 WHERE item_id = 40380;
UPDATE etcitem SET unidentified_name_id = '$1109', identified_name_id = '$1109', can_seal = 0 WHERE item_id = 40381;
UPDATE etcitem SET unidentified_name_id = '$1188', identified_name_id = '$1188', can_seal = 0 WHERE item_id = 40382;
UPDATE etcitem SET unidentified_name_id = '$1533', identified_name_id = '$1533', can_seal = 0 WHERE item_id = 40383;
UPDATE etcitem SET unidentified_name_id = '$1534', identified_name_id = '$1534', can_seal = 0 WHERE item_id = 40384;
UPDATE etcitem SET unidentified_name_id = '$1535', identified_name_id = '$1535', can_seal = 0 WHERE item_id = 40385;
UPDATE etcitem SET unidentified_name_id = '$1607', identified_name_id = '$1607', can_seal = 0 WHERE item_id = 40386;
UPDATE etcitem SET unidentified_name_id = '$1889', identified_name_id = '$1889', can_seal = 0 WHERE item_id = 40387;
UPDATE etcitem SET unidentified_name_id = '$2203', identified_name_id = '$2203', can_seal = 0 WHERE item_id = 40388;
UPDATE etcitem SET unidentified_name_id = '$2543', identified_name_id = '$2543', can_seal = 0 WHERE item_id = 40389;
UPDATE etcitem SET unidentified_name_id = '$3616', identified_name_id = '$3616', can_seal = 0 WHERE item_id = 40390;
UPDATE etcitem SET unidentified_name_id = '$3235', identified_name_id = '$3235', can_seal = 0 WHERE item_id = 40391;
UPDATE etcitem SET unidentified_name_id = '$2687', identified_name_id = '$2687', can_seal = 0 WHERE item_id = 40392;
UPDATE etcitem SET unidentified_name_id = '$145', identified_name_id = '$145', can_seal = 0 WHERE item_id = 40393;
UPDATE etcitem SET unidentified_name_id = '$146', identified_name_id = '$146', can_seal = 0 WHERE item_id = 40394;
UPDATE etcitem SET unidentified_name_id = '$149', identified_name_id = '$149', can_seal = 0 WHERE item_id = 40395;
UPDATE etcitem SET unidentified_name_id = '$150', identified_name_id = '$150', can_seal = 0 WHERE item_id = 40396;
UPDATE etcitem SET unidentified_name_id = '$2195', identified_name_id = '$2195', can_seal = 0 WHERE item_id = 40397;
UPDATE etcitem SET unidentified_name_id = '$2196', identified_name_id = '$2196', can_seal = 0 WHERE item_id = 40398;
UPDATE etcitem SET unidentified_name_id = '$2197', identified_name_id = '$2197', can_seal = 0 WHERE item_id = 40399;
UPDATE etcitem SET unidentified_name_id = '$2198', identified_name_id = '$2198', can_seal = 0 WHERE item_id = 40400;
UPDATE etcitem SET unidentified_name_id = '$2593', identified_name_id = '$2593', can_seal = 0 WHERE item_id = 40401;
UPDATE etcitem SET unidentified_name_id = '$2594', identified_name_id = '$2594', can_seal = 0 WHERE item_id = 40402;
UPDATE etcitem SET unidentified_name_id = '$2595', identified_name_id = '$2595', can_seal = 0 WHERE item_id = 40403;
UPDATE etcitem SET unidentified_name_id = '$2596', identified_name_id = '$2596', can_seal = 0 WHERE item_id = 40404;
UPDATE etcitem SET unidentified_name_id = '$1036', identified_name_id = '$1036', can_seal = 0 WHERE item_id = 40405;
UPDATE etcitem SET unidentified_name_id = '$1039', identified_name_id = '$1039', can_seal = 0 WHERE item_id = 40406;
UPDATE etcitem SET unidentified_name_id = '$1040', identified_name_id = '$1040', can_seal = 0 WHERE item_id = 40407;
UPDATE etcitem SET unidentified_name_id = '$1037', identified_name_id = '$1037', can_seal = 0 WHERE item_id = 40408;
UPDATE etcitem SET unidentified_name_id = '$3061', identified_name_id = '$3061', can_seal = 0 WHERE item_id = 40409;
UPDATE etcitem SET unidentified_name_id = '$3095', identified_name_id = '$3095', can_seal = 0 WHERE item_id = 40410;
UPDATE etcitem SET unidentified_name_id = '$3096', identified_name_id = '$3096', can_seal = 0 WHERE item_id = 40411;
UPDATE etcitem SET unidentified_name_id = '$3094', identified_name_id = '$3094', can_seal = 0 WHERE item_id = 40412;
UPDATE etcitem SET unidentified_name_id = '$3062', identified_name_id = '$3062', can_seal = 0 WHERE item_id = 40413;
UPDATE etcitem SET unidentified_name_id = '$3369', identified_name_id = '$3369', can_seal = 0 WHERE item_id = 40414;
UPDATE etcitem SET unidentified_name_id = '$3392', identified_name_id = '$3392', can_seal = 0 WHERE item_id = 40415;
UPDATE etcitem SET unidentified_name_id = '$3371', identified_name_id = '$3371', can_seal = 0 WHERE item_id = 40416;
UPDATE etcitem SET unidentified_name_id = '$3521', identified_name_id = '$3521', can_seal = 0 WHERE item_id = 40417;
UPDATE etcitem SET unidentified_name_id = '$3348', identified_name_id = '$3348', can_seal = 0 WHERE item_id = 40418;
UPDATE etcitem SET unidentified_name_id = '$3538', identified_name_id = '$3538', can_seal = 0 WHERE item_id = 40419;
UPDATE etcitem SET unidentified_name_id = '$3357', identified_name_id = '$3357', can_seal = 0 WHERE item_id = 40420;
UPDATE etcitem SET unidentified_name_id = '$3361', identified_name_id = '$3361', can_seal = 0 WHERE item_id = 40421;
UPDATE etcitem SET unidentified_name_id = '$3364', identified_name_id = '$3364', can_seal = 0 WHERE item_id = 40422;
UPDATE etcitem SET unidentified_name_id = '$3367', identified_name_id = '$3367', can_seal = 0 WHERE item_id = 40423;
UPDATE etcitem SET unidentified_name_id = '$3533', identified_name_id = '$3533', can_seal = 0 WHERE item_id = 40424;
UPDATE etcitem SET unidentified_name_id = '$3093', identified_name_id = '$3093', can_seal = 0 WHERE item_id = 40425;
UPDATE etcitem SET unidentified_name_id = '$3090', identified_name_id = '$3090', can_seal = 0 WHERE item_id = 40426;
UPDATE etcitem SET unidentified_name_id = '$3536', identified_name_id = '$3536', can_seal = 0 WHERE item_id = 40427;
UPDATE etcitem SET unidentified_name_id = '$2864', identified_name_id = '$2864', can_seal = 0 WHERE item_id = 40428;
UPDATE etcitem SET unidentified_name_id = '$3544', identified_name_id = '$3544', can_seal = 0 WHERE item_id = 40429;
UPDATE etcitem SET unidentified_name_id = '$3542', identified_name_id = '$3542', can_seal = 0 WHERE item_id = 40430;
UPDATE etcitem SET unidentified_name_id = '$3106', identified_name_id = '$3106', can_seal = 0 WHERE item_id = 40431;
UPDATE etcitem SET unidentified_name_id = '$3553', identified_name_id = '$3553', can_seal = 0 WHERE item_id = 40432;
UPDATE etcitem SET unidentified_name_id = '$3540', identified_name_id = '$3540', can_seal = 0 WHERE item_id = 40433;
UPDATE etcitem SET unidentified_name_id = '$3107', identified_name_id = '$3107', can_seal = 0 WHERE item_id = 40434;
UPDATE etcitem SET unidentified_name_id = '$3102', identified_name_id = '$3102', can_seal = 0 WHERE item_id = 40435;
UPDATE etcitem SET unidentified_name_id = '$3101', identified_name_id = '$3101', can_seal = 0 WHERE item_id = 40436;
UPDATE etcitem SET unidentified_name_id = '$3534', identified_name_id = '$3534', can_seal = 0 WHERE item_id = 40437;
UPDATE etcitem SET unidentified_name_id = '$3532', identified_name_id = '$3532', can_seal = 0 WHERE item_id = 40438;
UPDATE etcitem SET unidentified_name_id = '$3035', identified_name_id = '$3035', can_seal = 0 WHERE item_id = 40439;
UPDATE etcitem SET unidentified_name_id = '$3033', identified_name_id = '$3033', can_seal = 0 WHERE item_id = 40440;
UPDATE etcitem SET unidentified_name_id = '$3034', identified_name_id = '$3034', can_seal = 0 WHERE item_id = 40441;
UPDATE etcitem SET unidentified_name_id = '$3115', identified_name_id = '$3115', can_seal = 0 WHERE item_id = 40442;
UPDATE etcitem SET unidentified_name_id = '$3020', identified_name_id = '$3020', can_seal = 0 WHERE item_id = 40443;
UPDATE etcitem SET unidentified_name_id = '$3019', identified_name_id = '$3019', can_seal = 0 WHERE item_id = 40444;
UPDATE etcitem SET unidentified_name_id = '$3021', identified_name_id = '$3021', can_seal = 0 WHERE item_id = 40445;
UPDATE etcitem SET unidentified_name_id = '$3086', identified_name_id = '$3086', can_seal = 0 WHERE item_id = 40446;
UPDATE etcitem SET unidentified_name_id = '$3098', identified_name_id = '$3098', can_seal = 0 WHERE item_id = 40447;
UPDATE etcitem SET unidentified_name_id = '$3100', identified_name_id = '$3100', can_seal = 0 WHERE item_id = 40448;
UPDATE etcitem SET unidentified_name_id = '$3099', identified_name_id = '$3099', can_seal = 0 WHERE item_id = 40449;
UPDATE etcitem SET unidentified_name_id = '$3094', identified_name_id = '$3094', can_seal = 0 WHERE item_id = 40450;
UPDATE etcitem SET unidentified_name_id = '$3535', identified_name_id = '$3535', can_seal = 0 WHERE item_id = 40451;
UPDATE etcitem SET unidentified_name_id = '$3082', identified_name_id = '$3082', can_seal = 0 WHERE item_id = 40452;
UPDATE etcitem SET unidentified_name_id = '$3085', identified_name_id = '$3085', can_seal = 0 WHERE item_id = 40453;
UPDATE etcitem SET unidentified_name_id = '$2917', identified_name_id = '$2917', can_seal = 0 WHERE item_id = 40454;
UPDATE etcitem SET unidentified_name_id = '$1197', identified_name_id = '$1197', can_seal = 0 WHERE item_id = 40455;
UPDATE etcitem SET unidentified_name_id = '$1199', identified_name_id = '$1199', can_seal = 0 WHERE item_id = 40456;
UPDATE etcitem SET unidentified_name_id = '$1200', identified_name_id = '$1200', can_seal = 0 WHERE item_id = 40457;
UPDATE etcitem SET unidentified_name_id = '$2600', identified_name_id = '$2600', can_seal = 0 WHERE item_id = 40458;
UPDATE etcitem SET unidentified_name_id = '$3537', identified_name_id = '$3537', can_seal = 0 WHERE item_id = 40459;
UPDATE etcitem SET unidentified_name_id = '$1608', identified_name_id = '$1608', can_seal = 0 WHERE item_id = 40460;
UPDATE etcitem SET unidentified_name_id = '$3358', identified_name_id = '$3358', can_seal = 0 WHERE item_id = 40461;
UPDATE etcitem SET unidentified_name_id = '$3362', identified_name_id = '$3362', can_seal = 0 WHERE item_id = 40462;
UPDATE etcitem SET unidentified_name_id = '$3365', identified_name_id = '$3365', can_seal = 0 WHERE item_id = 40463;
UPDATE etcitem SET unidentified_name_id = '$3368', identified_name_id = '$3368', can_seal = 0 WHERE item_id = 40464;
UPDATE etcitem SET unidentified_name_id = '$2919', identified_name_id = '$2919', can_seal = 0 WHERE item_id = 40465;
UPDATE etcitem SET unidentified_name_id = '$2200', identified_name_id = '$2200', can_seal = 0 WHERE item_id = 40466;
UPDATE etcitem SET unidentified_name_id = '$656', identified_name_id = '$656', can_seal = 0 WHERE item_id = 40467;
UPDATE etcitem SET unidentified_name_id = '$3031', identified_name_id = '$3031', can_seal = 0 WHERE item_id = 40468;
UPDATE etcitem SET unidentified_name_id = '$3032', identified_name_id = '$3032', can_seal = 0 WHERE item_id = 40469;
UPDATE etcitem SET unidentified_name_id = '$3543', identified_name_id = '$3543', can_seal = 0 WHERE item_id = 40470;
UPDATE etcitem SET unidentified_name_id = '$3522', identified_name_id = '$3522', can_seal = 0 WHERE item_id = 40471;
UPDATE etcitem SET unidentified_name_id = '$3541', identified_name_id = '$3541', can_seal = 0 WHERE item_id = 40472;
UPDATE etcitem SET unidentified_name_id = '$3347', identified_name_id = '$3347', can_seal = 0 WHERE item_id = 40473;
UPDATE etcitem SET unidentified_name_id = '$3352', identified_name_id = '$3352', can_seal = 0 WHERE item_id = 40474;
UPDATE etcitem SET unidentified_name_id = '$3342', identified_name_id = '$3342', can_seal = 0 WHERE item_id = 40475;
UPDATE etcitem SET unidentified_name_id = '$3356', identified_name_id = '$3356', can_seal = 0 WHERE item_id = 40476;
UPDATE etcitem SET unidentified_name_id = '$3349', identified_name_id = '$3349', can_seal = 0 WHERE item_id = 40477;
UPDATE etcitem SET unidentified_name_id = '$3351', identified_name_id = '$3351', can_seal = 0 WHERE item_id = 40478;
UPDATE etcitem SET unidentified_name_id = '$3353', identified_name_id = '$3353', can_seal = 0 WHERE item_id = 40479;
UPDATE etcitem SET unidentified_name_id = '$3355', identified_name_id = '$3355', can_seal = 0 WHERE item_id = 40480;
UPDATE etcitem SET unidentified_name_id = '$3354', identified_name_id = '$3354', can_seal = 0 WHERE item_id = 40481;
UPDATE etcitem SET unidentified_name_id = '$3350', identified_name_id = '$3350', can_seal = 0 WHERE item_id = 40482;
UPDATE etcitem SET unidentified_name_id = '$3105', identified_name_id = '$3105', can_seal = 0 WHERE item_id = 40483;
UPDATE etcitem SET unidentified_name_id = '$3103', identified_name_id = '$3103', can_seal = 0 WHERE item_id = 40484;
UPDATE etcitem SET unidentified_name_id = '$3104', identified_name_id = '$3104', can_seal = 0 WHERE item_id = 40485;
UPDATE etcitem SET unidentified_name_id = '$3116', identified_name_id = '$3116', can_seal = 0 WHERE item_id = 40486;
UPDATE etcitem SET unidentified_name_id = '$3029', identified_name_id = '$3029', can_seal = 0 WHERE item_id = 40487;
UPDATE etcitem SET unidentified_name_id = '$3027', identified_name_id = '$3027', can_seal = 0 WHERE item_id = 40488;
UPDATE etcitem SET unidentified_name_id = '$3028', identified_name_id = '$3028', can_seal = 0 WHERE item_id = 40489;
UPDATE etcitem SET unidentified_name_id = '$3117', identified_name_id = '$3117', can_seal = 0 WHERE item_id = 40490;
UPDATE etcitem SET unidentified_name_id = '$1890', identified_name_id = '$1890', can_seal = 0 WHERE item_id = 40491;
UPDATE etcitem SET unidentified_name_id = '$3970', identified_name_id = '$3970', can_seal = 0 WHERE item_id = 40492;
UPDATE etcitem SET unidentified_name_id = '$777', identified_name_id = '$777', can_seal = 0 WHERE item_id = 40493;
UPDATE etcitem SET unidentified_name_id = '$767', identified_name_id = '$767', can_seal = 0 WHERE item_id = 40494;
UPDATE etcitem SET unidentified_name_id = '$772', identified_name_id = '$772', can_seal = 0 WHERE item_id = 40495;
UPDATE etcitem SET unidentified_name_id = '$761', identified_name_id = '$761', can_seal = 0 WHERE item_id = 40496;
UPDATE etcitem SET unidentified_name_id = '$779', identified_name_id = '$779', can_seal = 0 WHERE item_id = 40497;
UPDATE etcitem SET unidentified_name_id = '$1891', identified_name_id = '$1891', can_seal = 0 WHERE item_id = 40498;
UPDATE etcitem SET unidentified_name_id = '$764', identified_name_id = '$764', can_seal = 0 WHERE item_id = 40499;
UPDATE etcitem SET unidentified_name_id = '$3973', identified_name_id = '$3973', can_seal = 0 WHERE item_id = 40500;
UPDATE etcitem SET unidentified_name_id = '$3972', identified_name_id = '$3972', can_seal = 0 WHERE item_id = 40501;
UPDATE etcitem SET unidentified_name_id = '$766', identified_name_id = '$766', can_seal = 0 WHERE item_id = 40502;
UPDATE etcitem SET unidentified_name_id = '$769', identified_name_id = '$769', can_seal = 0 WHERE item_id = 40503;
UPDATE etcitem SET unidentified_name_id = '$774', identified_name_id = '$774', can_seal = 0 WHERE item_id = 40504;
UPDATE etcitem SET unidentified_name_id = '$770', identified_name_id = '$770', can_seal = 0 WHERE item_id = 40505;
UPDATE etcitem SET unidentified_name_id = '$794', identified_name_id = '$794', can_seal = 0 WHERE item_id = 40506;
UPDATE etcitem SET unidentified_name_id = '$763', identified_name_id = '$763', can_seal = 0 WHERE item_id = 40507;
UPDATE etcitem SET unidentified_name_id = '$771', identified_name_id = '$771', can_seal = 0 WHERE item_id = 40508;
UPDATE etcitem SET unidentified_name_id = '$780', identified_name_id = '$780', can_seal = 0 WHERE item_id = 40509;
UPDATE etcitem SET unidentified_name_id = '$3985', identified_name_id = '$3985', can_seal = 0 WHERE item_id = 40510;
UPDATE etcitem SET unidentified_name_id = '$3987', identified_name_id = '$3987', can_seal = 0 WHERE item_id = 40511;
UPDATE etcitem SET unidentified_name_id = '$3986', identified_name_id = '$3986', can_seal = 0 WHERE item_id = 40512;
UPDATE etcitem SET unidentified_name_id = '$765', identified_name_id = '$765', can_seal = 0 WHERE item_id = 40513;
UPDATE etcitem SET unidentified_name_id = '$3977', identified_name_id = '$3977', can_seal = 0 WHERE item_id = 40514;
UPDATE etcitem SET unidentified_name_id = '$762', identified_name_id = '$762', can_seal = 0 WHERE item_id = 40515;
UPDATE etcitem SET unidentified_name_id = '$3975', identified_name_id = '$3975', can_seal = 0 WHERE item_id = 40516;
UPDATE etcitem SET unidentified_name_id = '$3976', identified_name_id = '$3976', can_seal = 0 WHERE item_id = 40517;
UPDATE etcitem SET unidentified_name_id = '$3974', identified_name_id = '$3974', can_seal = 0 WHERE item_id = 40518;
UPDATE etcitem SET unidentified_name_id = '$760', identified_name_id = '$760', can_seal = 0 WHERE item_id = 40519;
UPDATE etcitem SET unidentified_name_id = '$768', identified_name_id = '$768', can_seal = 0 WHERE item_id = 40520;
UPDATE etcitem SET unidentified_name_id = '$776', identified_name_id = '$776', can_seal = 0 WHERE item_id = 40521;
UPDATE etcitem SET unidentified_name_id = '$3969', identified_name_id = '$3969', can_seal = 0 WHERE item_id = 40522;
UPDATE etcitem SET unidentified_name_id = '$3971', identified_name_id = '$3971', can_seal = 0 WHERE item_id = 40523;
UPDATE etcitem SET unidentified_name_id = '$2592', identified_name_id = '$2592', can_seal = 0 WHERE item_id = 40524;
UPDATE etcitem SET unidentified_name_id = '$2591', identified_name_id = '$2591', can_seal = 0 WHERE item_id = 40525;
UPDATE etcitem SET unidentified_name_id = '$3236', identified_name_id = '$3236', can_seal = 0 WHERE item_id = 40526;
UPDATE etcitem SET unidentified_name_id = '$3150', identified_name_id = '$3150', can_seal = 0 WHERE item_id = 40527;
UPDATE etcitem SET unidentified_name_id = '$2264', identified_name_id = '$2264', can_seal = 0 WHERE item_id = 40528;
UPDATE etcitem SET unidentified_name_id = '$2026', identified_name_id = '$2026', can_seal = 0 WHERE item_id = 40529;
UPDATE etcitem SET unidentified_name_id = '$2363', identified_name_id = '$2363', can_seal = 0 WHERE item_id = 40530;
UPDATE etcitem SET unidentified_name_id = '$2364', identified_name_id = '$2364', can_seal = 0 WHERE item_id = 40531;
UPDATE etcitem SET unidentified_name_id = '$2366', identified_name_id = '$2366', can_seal = 0 WHERE item_id = 40532;
UPDATE etcitem SET unidentified_name_id = '$2378', identified_name_id = '$2378', can_seal = 0 WHERE item_id = 40533;
UPDATE etcitem SET unidentified_name_id = '$2240', identified_name_id = '$2240', can_seal = 0 WHERE item_id = 40534;
UPDATE etcitem SET unidentified_name_id = '$2365', identified_name_id = '$2365', can_seal = 0 WHERE item_id = 40535;
UPDATE etcitem SET unidentified_name_id = '$2242', identified_name_id = '$2242', can_seal = 0 WHERE item_id = 40536;
UPDATE etcitem SET unidentified_name_id = '$2246', identified_name_id = '$2246', can_seal = 0 WHERE item_id = 40537;
UPDATE etcitem SET unidentified_name_id = '$1920', identified_name_id = '$1920', can_seal = 0 WHERE item_id = 40538;
UPDATE etcitem SET unidentified_name_id = '$1921', identified_name_id = '$1921', can_seal = 0 WHERE item_id = 40539;
UPDATE etcitem SET unidentified_name_id = '$1905', identified_name_id = '$1905', can_seal = 0 WHERE item_id = 40540;
UPDATE etcitem SET unidentified_name_id = '$2649', identified_name_id = '$2649', can_seal = 0 WHERE item_id = 40541;
UPDATE etcitem SET unidentified_name_id = '$2239', identified_name_id = '$2239', can_seal = 0 WHERE item_id = 40542;
UPDATE etcitem SET unidentified_name_id = '$2088', identified_name_id = '$2088', can_seal = 0 WHERE item_id = 40543;
UPDATE etcitem SET unidentified_name_id = '$2024', identified_name_id = '$2024', can_seal = 0 WHERE item_id = 40544;
UPDATE etcitem SET unidentified_name_id = '$2541', identified_name_id = '$2541', can_seal = 0 WHERE item_id = 40545;
UPDATE etcitem SET unidentified_name_id = '$2265', identified_name_id = '$2265', can_seal = 0 WHERE item_id = 40546;
UPDATE etcitem SET unidentified_name_id = '$2027', identified_name_id = '$2027', can_seal = 0 WHERE item_id = 40547;
UPDATE etcitem SET unidentified_name_id = '$2270', identified_name_id = '$2270', can_seal = 0 WHERE item_id = 40548;
UPDATE etcitem SET unidentified_name_id = '$2346', identified_name_id = '$2346', can_seal = 0 WHERE item_id = 40549;
UPDATE etcitem SET unidentified_name_id = '$2347', identified_name_id = '$2347', can_seal = 0 WHERE item_id = 40550;
UPDATE etcitem SET unidentified_name_id = '$2348', identified_name_id = '$2348', can_seal = 0 WHERE item_id = 40551;
UPDATE etcitem SET unidentified_name_id = '$2349', identified_name_id = '$2349', can_seal = 0 WHERE item_id = 40552;
UPDATE etcitem SET unidentified_name_id = '$2542', identified_name_id = '$2542', can_seal = 0 WHERE item_id = 40553;
UPDATE etcitem SET unidentified_name_id = '$2413', identified_name_id = '$2413', can_seal = 0 WHERE item_id = 40554;
UPDATE etcitem SET unidentified_name_id = '$2022', identified_name_id = '$2022', can_seal = 0 WHERE item_id = 40555;
UPDATE etcitem SET unidentified_name_id = '$2421', identified_name_id = '$2421', can_seal = 0 WHERE item_id = 40556;
UPDATE etcitem SET unidentified_name_id = '$2414', identified_name_id = '$2414', can_seal = 0 WHERE item_id = 40557;
UPDATE etcitem SET unidentified_name_id = '$2420', identified_name_id = '$2420', can_seal = 0 WHERE item_id = 40558;
UPDATE etcitem SET unidentified_name_id = '$2419', identified_name_id = '$2419', can_seal = 0 WHERE item_id = 40559;
UPDATE etcitem SET unidentified_name_id = '$2417', identified_name_id = '$2417', can_seal = 0 WHERE item_id = 40560;
UPDATE etcitem SET unidentified_name_id = '$2416', identified_name_id = '$2416', can_seal = 0 WHERE item_id = 40561;
UPDATE etcitem SET unidentified_name_id = '$2418', identified_name_id = '$2418', can_seal = 0 WHERE item_id = 40562;
UPDATE etcitem SET unidentified_name_id = '$2415', identified_name_id = '$2415', can_seal = 0 WHERE item_id = 40563;
UPDATE etcitem SET unidentified_name_id = '$1961', identified_name_id = '$1961', can_seal = 0 WHERE item_id = 40564;
UPDATE etcitem SET unidentified_name_id = '$1908', identified_name_id = '$1908', can_seal = 0 WHERE item_id = 40565;
UPDATE etcitem SET unidentified_name_id = '$2244', identified_name_id = '$2244', can_seal = 0 WHERE item_id = 40566;
UPDATE etcitem SET unidentified_name_id = '$2078', identified_name_id = '$2078', can_seal = 0 WHERE item_id = 40567;
UPDATE etcitem SET unidentified_name_id = '$2224', identified_name_id = '$2224', can_seal = 0 WHERE item_id = 40568;
UPDATE etcitem SET unidentified_name_id = '$2079', identified_name_id = '$2079', can_seal = 0 WHERE item_id = 40569;
UPDATE etcitem SET unidentified_name_id = '$2090', identified_name_id = '$2090', can_seal = 0 WHERE item_id = 40570;
UPDATE etcitem SET unidentified_name_id = '$2429', identified_name_id = '$2429', can_seal = 0 WHERE item_id = 40571;
UPDATE etcitem SET unidentified_name_id = '$2426', identified_name_id = '$2426', can_seal = 0 WHERE item_id = 40572;
UPDATE etcitem SET unidentified_name_id = '$2222', identified_name_id = '$2222', can_seal = 0 WHERE item_id = 40573;
UPDATE etcitem SET unidentified_name_id = '$2222', identified_name_id = '$2222', can_seal = 0 WHERE item_id = 40574;
UPDATE etcitem SET unidentified_name_id = '$2222', identified_name_id = '$2222', can_seal = 0 WHERE item_id = 40575;
UPDATE etcitem SET unidentified_name_id = '$2221', identified_name_id = '$2221', can_seal = 0 WHERE item_id = 40576;
UPDATE etcitem SET unidentified_name_id = '$2221', identified_name_id = '$2221', can_seal = 0 WHERE item_id = 40577;
UPDATE etcitem SET unidentified_name_id = '$2221', identified_name_id = '$2221', can_seal = 0 WHERE item_id = 40578;
UPDATE etcitem SET unidentified_name_id = '$2033', identified_name_id = '$2033', can_seal = 0 WHERE item_id = 40579;
UPDATE etcitem SET unidentified_name_id = '$2034', identified_name_id = '$2034', can_seal = 0 WHERE item_id = 40580;
UPDATE etcitem SET unidentified_name_id = '$2030', identified_name_id = '$2030', can_seal = 0 WHERE item_id = 40581;
UPDATE etcitem SET unidentified_name_id = '$1247', identified_name_id = '$1247', can_seal = 0 WHERE item_id = 40309;
UPDATE etcitem SET unidentified_name_id = '$2654', identified_name_id = '$2654', can_seal = 0 WHERE item_id = 40583;
UPDATE etcitem SET unidentified_name_id = '$2424', identified_name_id = '$2424', can_seal = 0 WHERE item_id = 40584;
UPDATE etcitem SET unidentified_name_id = '$2411', identified_name_id = '$2411', can_seal = 0 WHERE item_id = 40585;
UPDATE etcitem SET unidentified_name_id = '$2223', identified_name_id = '$2223', can_seal = 0 WHERE item_id = 40586;
UPDATE etcitem SET unidentified_name_id = '$2223', identified_name_id = '$2223', can_seal = 0 WHERE item_id = 40587;
UPDATE etcitem SET unidentified_name_id = '$2091', identified_name_id = '$2091', can_seal = 0 WHERE item_id = 40588;
UPDATE etcitem SET unidentified_name_id = '$2367', identified_name_id = '$2367', can_seal = 0 WHERE item_id = 40589;
UPDATE etcitem SET unidentified_name_id = '$2023', identified_name_id = '$2023', can_seal = 0 WHERE item_id = 40590;
UPDATE etcitem SET unidentified_name_id = '$1916', identified_name_id = '$1916', can_seal = 0 WHERE item_id = 40591;
UPDATE etcitem SET unidentified_name_id = '$2029', identified_name_id = '$2029', can_seal = 0 WHERE item_id = 40592;
UPDATE etcitem SET unidentified_name_id = '$2248', identified_name_id = '$2248', can_seal = 0 WHERE item_id = 40593;
UPDATE etcitem SET unidentified_name_id = '$2031', identified_name_id = '$2031', can_seal = 0 WHERE item_id = 40594;
UPDATE etcitem SET unidentified_name_id = '$2428', identified_name_id = '$2428', can_seal = 0 WHERE item_id = 40595;
UPDATE etcitem SET unidentified_name_id = '$2422', identified_name_id = '$2422', can_seal = 0 WHERE item_id = 40596;
UPDATE etcitem SET unidentified_name_id = '$2247', identified_name_id = '$2247', can_seal = 0 WHERE item_id = 40597;
UPDATE etcitem SET unidentified_name_id = '$2540', identified_name_id = '$2540', can_seal = 0 WHERE item_id = 40598;
UPDATE etcitem SET unidentified_name_id = '$2292', identified_name_id = '$2292', can_seal = 0 WHERE item_id = 40599;
UPDATE etcitem SET unidentified_name_id = '$2652', identified_name_id = '$2652', can_seal = 0 WHERE item_id = 40600;
UPDATE etcitem SET unidentified_name_id = '$1922', identified_name_id = '$1922', can_seal = 0 WHERE item_id = 40601;
UPDATE etcitem SET unidentified_name_id = '$2243', identified_name_id = '$2243', can_seal = 0 WHERE item_id = 40602;
UPDATE etcitem SET unidentified_name_id = '$2425', identified_name_id = '$2425', can_seal = 0 WHERE item_id = 40603;
UPDATE etcitem SET unidentified_name_id = '$2032', identified_name_id = '$2032', can_seal = 0 WHERE item_id = 40604;
UPDATE etcitem SET unidentified_name_id = '$1919', identified_name_id = '$1919', can_seal = 0 WHERE item_id = 40605;
UPDATE etcitem SET unidentified_name_id = '$2884', identified_name_id = '$2884', can_seal = 0 WHERE item_id = 40606;
UPDATE etcitem SET unidentified_name_id = '$2025', identified_name_id = '$2025', can_seal = 0 WHERE item_id = 40607;
UPDATE etcitem SET unidentified_name_id = '$1911', identified_name_id = '$1911', can_seal = 0 WHERE item_id = 40608;
UPDATE etcitem SET unidentified_name_id = '$1914', identified_name_id = '$1914', can_seal = 0 WHERE item_id = 40609;
UPDATE etcitem SET unidentified_name_id = '$1913', identified_name_id = '$1913', can_seal = 0 WHERE item_id = 40610;
UPDATE etcitem SET unidentified_name_id = '$1912', identified_name_id = '$1912', can_seal = 0 WHERE item_id = 40611;
UPDATE etcitem SET unidentified_name_id = '$1915', identified_name_id = '$1915', can_seal = 0 WHERE item_id = 40612;
UPDATE etcitem SET unidentified_name_id = '$1756', identified_name_id = '$1756', can_seal = 0 WHERE item_id = 40613;
UPDATE etcitem SET unidentified_name_id = '$3113', identified_name_id = '$3113', can_seal = 0 WHERE item_id = 40614;
UPDATE etcitem SET unidentified_name_id = '$3945', identified_name_id = '$3945', can_seal = 0 WHERE item_id = 40615;
UPDATE etcitem SET unidentified_name_id = '$3946', identified_name_id = '$3946', can_seal = 0 WHERE item_id = 40616;
UPDATE etcitem SET unidentified_name_id = '$1014', identified_name_id = '$1014', can_seal = 0 WHERE item_id = 40617;
UPDATE etcitem SET unidentified_name_id = '$3871', identified_name_id = '$3871', can_seal = 0 WHERE item_id = 40618;
UPDATE etcitem SET unidentified_name_id = '$3483', identified_name_id = '$3483', can_seal = 0 WHERE item_id = 40619;
UPDATE etcitem SET unidentified_name_id = '$4021', identified_name_id = '$4021', can_seal = 0 WHERE item_id = 40620;
UPDATE etcitem SET unidentified_name_id = '$3488', identified_name_id = '$3488', can_seal = 0 WHERE item_id = 40621;
UPDATE etcitem SET unidentified_name_id = '$1012', identified_name_id = '$1012', can_seal = 0 WHERE item_id = 40622;
UPDATE etcitem SET unidentified_name_id = '$3334', identified_name_id = '$3334', can_seal = 0 WHERE item_id = 40623;
UPDATE etcitem SET unidentified_name_id = '$3335', identified_name_id = '$3335', can_seal = 0 WHERE item_id = 40624;
UPDATE etcitem SET unidentified_name_id = '$3336', identified_name_id = '$3336', can_seal = 0 WHERE item_id = 40625;
UPDATE etcitem SET unidentified_name_id = '$3337', identified_name_id = '$3337', can_seal = 0 WHERE item_id = 40626;
UPDATE etcitem SET unidentified_name_id = '$3338', identified_name_id = '$3338', can_seal = 0 WHERE item_id = 40627;
UPDATE etcitem SET unidentified_name_id = '$3339', identified_name_id = '$3339', can_seal = 0 WHERE item_id = 40628;
UPDATE etcitem SET unidentified_name_id = '$3340', identified_name_id = '$3340', can_seal = 0 WHERE item_id = 40629;
UPDATE etcitem SET unidentified_name_id = '$3786', identified_name_id = '$3786', can_seal = 0 WHERE item_id = 40630;
UPDATE etcitem SET unidentified_name_id = '$3598', identified_name_id = '$3598', can_seal = 0 WHERE item_id = 40631;
UPDATE etcitem SET unidentified_name_id = '$3158', identified_name_id = '$3158', can_seal = 0 WHERE item_id = 40632;
UPDATE etcitem SET unidentified_name_id = '$3788', identified_name_id = '$3788', can_seal = 0 WHERE item_id = 40633;
UPDATE etcitem SET unidentified_name_id = '$3789', identified_name_id = '$3789', can_seal = 0 WHERE item_id = 40634;
UPDATE etcitem SET unidentified_name_id = '$3882', identified_name_id = '$3882', can_seal = 0 WHERE item_id = 40635;
UPDATE etcitem SET unidentified_name_id = '$3881', identified_name_id = '$3881', can_seal = 0 WHERE item_id = 40636;
UPDATE etcitem SET unidentified_name_id = '$4003', identified_name_id = '$4003', can_seal = 0 WHERE item_id = 40637;
UPDATE etcitem SET unidentified_name_id = '$3884', identified_name_id = '$3884', can_seal = 0 WHERE item_id = 40638;
UPDATE etcitem SET unidentified_name_id = '$3883', identified_name_id = '$3883', can_seal = 0 WHERE item_id = 40639;
UPDATE etcitem SET unidentified_name_id = '$3879', identified_name_id = '$3879', can_seal = 0 WHERE item_id = 40640;
UPDATE etcitem SET unidentified_name_id = '$3278', identified_name_id = '$3278', can_seal = 0 WHERE item_id = 40641;
UPDATE etcitem SET unidentified_name_id = '$3880', identified_name_id = '$3880', can_seal = 0 WHERE item_id = 40642;
UPDATE etcitem SET unidentified_name_id = '$3869', identified_name_id = '$3869', can_seal = 0 WHERE item_id = 40643;
UPDATE etcitem SET unidentified_name_id = '$4020', identified_name_id = '$4020', can_seal = 0 WHERE item_id = 40644;
UPDATE etcitem SET unidentified_name_id = '$3870', identified_name_id = '$3870', can_seal = 0 WHERE item_id = 40645;
UPDATE etcitem SET unidentified_name_id = '$1011', identified_name_id = '$1011', can_seal = 0 WHERE item_id = 40646;
UPDATE etcitem SET unidentified_name_id = '$3484', identified_name_id = '$3484', can_seal = 0 WHERE item_id = 40647;
UPDATE etcitem SET unidentified_name_id = '$2427', identified_name_id = '$2427', can_seal = 0 WHERE item_id = 40648;
UPDATE etcitem SET unidentified_name_id = '$3482', identified_name_id = '$3482', can_seal = 0 WHERE item_id = 40649;
UPDATE etcitem SET unidentified_name_id = '$3423', identified_name_id = '$3423', can_seal = 0 WHERE item_id = 40650;
UPDATE etcitem SET unidentified_name_id = '$3868', identified_name_id = '$3868', can_seal = 0 WHERE item_id = 40651;
UPDATE etcitem SET unidentified_name_id = '$3873', identified_name_id = '$3873', can_seal = 0 WHERE item_id = 40652;
UPDATE etcitem SET unidentified_name_id = '$1755', identified_name_id = '$1755', can_seal = 0 WHERE item_id = 40653;
UPDATE etcitem SET unidentified_name_id = '$4022', identified_name_id = '$4022', can_seal = 0 WHERE item_id = 40654;
UPDATE etcitem SET unidentified_name_id = '$3875', identified_name_id = '$3875', can_seal = 0 WHERE item_id = 40655;
UPDATE etcitem SET unidentified_name_id = '$4023', identified_name_id = '$4023', can_seal = 0 WHERE item_id = 40656;
UPDATE etcitem SET unidentified_name_id = '$4024', identified_name_id = '$4024', can_seal = 0 WHERE item_id = 40657;
UPDATE etcitem SET unidentified_name_id = '$4025', identified_name_id = '$4025', can_seal = 0 WHERE item_id = 40658;
UPDATE etcitem SET unidentified_name_id = '$4026', identified_name_id = '$4026', can_seal = 0 WHERE item_id = 40659;
UPDATE etcitem SET unidentified_name_id = '$4027', identified_name_id = '$4027', can_seal = 0 WHERE item_id = 40660;
UPDATE etcitem SET unidentified_name_id = '$3486', identified_name_id = '$3486', can_seal = 0 WHERE item_id = 40661;
UPDATE etcitem SET unidentified_name_id = '$3490', identified_name_id = '$3490', can_seal = 0 WHERE item_id = 40662;
UPDATE etcitem SET unidentified_name_id = '$3485', identified_name_id = '$3485', can_seal = 0 WHERE item_id = 40663;
UPDATE etcitem SET unidentified_name_id = '$4004', identified_name_id = '$4004', can_seal = 0 WHERE item_id = 40664;
UPDATE etcitem SET unidentified_name_id = '$3988', identified_name_id = '$3988', can_seal = 0 WHERE item_id = 40665;
UPDATE etcitem SET unidentified_name_id = '$3341', identified_name_id = '$3341', can_seal = 0 WHERE item_id = 40666;
UPDATE etcitem SET unidentified_name_id = '$3886', identified_name_id = '$3886', can_seal = 0 WHERE item_id = 40667;
UPDATE etcitem SET unidentified_name_id = '$3885', identified_name_id = '$3885', can_seal = 0 WHERE item_id = 40668;
UPDATE etcitem SET unidentified_name_id = '$3771', identified_name_id = '$3771', can_seal = 0 WHERE item_id = 40669;
UPDATE etcitem SET unidentified_name_id = '$3773', identified_name_id = '$3773', can_seal = 0 WHERE item_id = 40670;
UPDATE etcitem SET unidentified_name_id = '$3774', identified_name_id = '$3774', can_seal = 0 WHERE item_id = 40671;
UPDATE etcitem SET unidentified_name_id = '$3775', identified_name_id = '$3775', can_seal = 0 WHERE item_id = 40672;
UPDATE etcitem SET unidentified_name_id = '$3770', identified_name_id = '$3770', can_seal = 0 WHERE item_id = 40673;
UPDATE etcitem SET unidentified_name_id = '$3772', identified_name_id = '$3772', can_seal = 0 WHERE item_id = 40674;
UPDATE etcitem SET unidentified_name_id = '$3876', identified_name_id = '$3876', can_seal = 0 WHERE item_id = 40675;
UPDATE etcitem SET unidentified_name_id = '$3872', identified_name_id = '$3872', can_seal = 0 WHERE item_id = 40676;
UPDATE etcitem SET unidentified_name_id = '$3877', identified_name_id = '$3877', can_seal = 0 WHERE item_id = 40677;
UPDATE etcitem SET unidentified_name_id = '$3776', identified_name_id = '$3776', can_seal = 0 WHERE item_id = 40678;
UPDATE etcitem SET unidentified_name_id = '$3980', identified_name_id = '$3980', can_seal = 0 WHERE item_id = 40679;
UPDATE etcitem SET unidentified_name_id = '$3984', identified_name_id = '$3984', can_seal = 0 WHERE item_id = 40680;
UPDATE etcitem SET unidentified_name_id = '$3983', identified_name_id = '$3983', can_seal = 0 WHERE item_id = 40681;
UPDATE etcitem SET unidentified_name_id = '$3981', identified_name_id = '$3981', can_seal = 0 WHERE item_id = 40682;
UPDATE etcitem SET unidentified_name_id = '$3982', identified_name_id = '$3982', can_seal = 0 WHERE item_id = 40683;
UPDATE etcitem SET unidentified_name_id = '$3979', identified_name_id = '$3979', can_seal = 0 WHERE item_id = 40684;
UPDATE etcitem SET unidentified_name_id = '$3155', identified_name_id = '$3155', can_seal = 0 WHERE item_id = 40685;
UPDATE etcitem SET unidentified_name_id = '$3157', identified_name_id = '$3157', can_seal = 0 WHERE item_id = 40686;
UPDATE etcitem SET unidentified_name_id = '$3151', identified_name_id = '$3151', can_seal = 0 WHERE item_id = 40687;
UPDATE etcitem SET unidentified_name_id = '$3156', identified_name_id = '$3156', can_seal = 0 WHERE item_id = 40688;
UPDATE etcitem SET unidentified_name_id = '$3153', identified_name_id = '$3153', can_seal = 0 WHERE item_id = 40689;
UPDATE etcitem SET unidentified_name_id = '$3154', identified_name_id = '$3154', can_seal = 0 WHERE item_id = 40690;
UPDATE etcitem SET unidentified_name_id = '$3152', identified_name_id = '$3152', can_seal = 0 WHERE item_id = 40691;
UPDATE etcitem SET unidentified_name_id = '$3487', identified_name_id = '$3487', can_seal = 0 WHERE item_id = 40692;
UPDATE etcitem SET unidentified_name_id = '$3993', identified_name_id = '$3993', can_seal = 0 WHERE item_id = 40693;
UPDATE etcitem SET unidentified_name_id = '$3996', identified_name_id = '$3996', can_seal = 0 WHERE item_id = 40694;
UPDATE etcitem SET unidentified_name_id = '$3995', identified_name_id = '$3995', can_seal = 0 WHERE item_id = 40695;
UPDATE etcitem SET unidentified_name_id = '$3978', identified_name_id = '$3978', can_seal = 0 WHERE item_id = 40696;
UPDATE etcitem SET unidentified_name_id = '$3992', identified_name_id = '$3992', can_seal = 0 WHERE item_id = 40697;
UPDATE etcitem SET unidentified_name_id = '$3994', identified_name_id = '$3994', can_seal = 0 WHERE item_id = 40698;
UPDATE etcitem SET unidentified_name_id = '$3991', identified_name_id = '$3991', can_seal = 0 WHERE item_id = 40699;
UPDATE etcitem SET unidentified_name_id = '$3588', identified_name_id = '$3588', can_seal = 0 WHERE item_id = 40700;
UPDATE etcitem SET unidentified_name_id = '$3491', identified_name_id = '$3491', can_seal = 0 WHERE item_id = 40701;
UPDATE etcitem SET unidentified_name_id = '$3568', identified_name_id = '$3568', can_seal = 0 WHERE item_id = 40702;
UPDATE etcitem SET unidentified_name_id = '$3878', identified_name_id = '$3878', can_seal = 0 WHERE item_id = 40703;
UPDATE etcitem SET unidentified_name_id = '$3769', identified_name_id = '$3769', can_seal = 0 WHERE item_id = 40704;
UPDATE etcitem SET unidentified_name_id = '$3766', identified_name_id = '$3766', can_seal = 0 WHERE item_id = 40705;
UPDATE etcitem SET unidentified_name_id = '$3765', identified_name_id = '$3765', can_seal = 0 WHERE item_id = 40706;
UPDATE etcitem SET unidentified_name_id = '$3764', identified_name_id = '$3764', can_seal = 0 WHERE item_id = 40707;
UPDATE etcitem SET unidentified_name_id = '$3767', identified_name_id = '$3767', can_seal = 0 WHERE item_id = 40708;
UPDATE etcitem SET unidentified_name_id = '$3768', identified_name_id = '$3768', can_seal = 0 WHERE item_id = 40709;
UPDATE etcitem SET unidentified_name_id = '$3589', identified_name_id = '$3589', can_seal = 0 WHERE item_id = 40710;
UPDATE etcitem SET unidentified_name_id = '$3492', identified_name_id = '$3492', can_seal = 0 WHERE item_id = 40711;
UPDATE etcitem SET unidentified_name_id = '$3184', identified_name_id = '$3184', can_seal = 0 WHERE item_id = 40712;
UPDATE etcitem SET unidentified_name_id = '$3052', identified_name_id = '$3052', can_seal = 0 WHERE item_id = 40713;
UPDATE etcitem SET unidentified_name_id = '$3489', identified_name_id = '$3489', can_seal = 0 WHERE item_id = 40714;
UPDATE etcitem SET unidentified_name_id = '$2627', identified_name_id = '$2627', can_seal = 0 WHERE item_id = 40715;
UPDATE etcitem SET unidentified_name_id = '$3569', identified_name_id = '$3569', can_seal = 0 WHERE item_id = 40716;
UPDATE etcitem SET unidentified_name_id = '$3787', identified_name_id = '$3787', can_seal = 0 WHERE item_id = 40717;
UPDATE etcitem SET unidentified_name_id = '$3956', identified_name_id = '$3956', can_seal = 0 WHERE item_id = 40718;
UPDATE etcitem SET unidentified_name_id = '$3763', identified_name_id = '$3763', can_seal = 0 WHERE item_id = 40719;
UPDATE etcitem SET unidentified_name_id = '$3874', identified_name_id = '$3874', can_seal = 0 WHERE item_id = 40720;
UPDATE etcitem SET unidentified_name_id = '$2066', identified_name_id = '$2066', can_seal = 0 WHERE item_id = 40721;
UPDATE etcitem SET unidentified_name_id = '$2069', identified_name_id = '$2069', can_seal = 0 WHERE item_id = 40722;
UPDATE etcitem SET unidentified_name_id = '$2070', identified_name_id = '$2070', can_seal = 0 WHERE item_id = 40723;
UPDATE etcitem SET unidentified_name_id = '$2071', identified_name_id = '$2071', can_seal = 0 WHERE item_id = 40724;
UPDATE etcitem SET unidentified_name_id = '$2068', identified_name_id = '$2068', can_seal = 0 WHERE item_id = 40725;
UPDATE etcitem SET unidentified_name_id = '$2065', identified_name_id = '$2065', can_seal = 0 WHERE item_id = 40726;
UPDATE etcitem SET unidentified_name_id = '$2685', identified_name_id = '$2685', can_seal = 0 WHERE item_id = 40727;
UPDATE etcitem SET unidentified_name_id = '$617', identified_name_id = '$617', can_seal = 0 WHERE item_id = 40728;
UPDATE etcitem SET unidentified_name_id = '$3205', identified_name_id = '$3205', can_seal = 0 WHERE item_id = 40729;
UPDATE etcitem SET unidentified_name_id = '$1606', identified_name_id = '$1606', can_seal = 0 WHERE item_id = 40730;
UPDATE etcitem SET unidentified_name_id = '$1619 $1623', identified_name_id = '$1619 $1623', can_seal = 0 WHERE item_id = 40731;
UPDATE etcitem SET unidentified_name_id = '$1620 $1623', identified_name_id = '$1620 $1623', can_seal = 0 WHERE item_id = 40732;
UPDATE etcitem SET unidentified_name_id = '$3056', identified_name_id = '$3056', can_seal = 0 WHERE item_id = 40733;
UPDATE etcitem SET unidentified_name_id = '$3057', identified_name_id = '$3057', can_seal = 0 WHERE item_id = 40734;
UPDATE etcitem SET unidentified_name_id = '$3059', identified_name_id = '$3059', can_seal = 0 WHERE item_id = 40735;
UPDATE etcitem SET unidentified_name_id = '$3058', identified_name_id = '$3058', can_seal = 0 WHERE item_id = 40736;
UPDATE etcitem SET unidentified_name_id = '$2408', identified_name_id = '$2408', can_seal = 0 WHERE item_id = 40737;
UPDATE etcitem SET unidentified_name_id = '$2516', identified_name_id = '$2516', can_seal = 0 WHERE item_id = 40738;
UPDATE etcitem SET unidentified_name_id = '$2463', identified_name_id = '$2463', can_seal = 0 WHERE item_id = 40739;
UPDATE etcitem SET unidentified_name_id = '$2517', identified_name_id = '$2517', can_seal = 0 WHERE item_id = 40740;
UPDATE etcitem SET unidentified_name_id = '$3784', identified_name_id = '$3784', can_seal = 0 WHERE item_id = 40741;
UPDATE etcitem SET unidentified_name_id = '$2377', identified_name_id = '$2377', can_seal = 0 WHERE item_id = 40742;
UPDATE etcitem SET unidentified_name_id = '$61', identified_name_id = '$61', can_seal = 0 WHERE item_id = 40743;
UPDATE etcitem SET unidentified_name_id = '$93', identified_name_id = '$93', can_seal = 0 WHERE item_id = 40744;
UPDATE etcitem SET unidentified_name_id = '$3512', identified_name_id = '$3512', can_seal = 0 WHERE item_id = 40745;
UPDATE etcitem SET unidentified_name_id = '$773', identified_name_id = '$773', can_seal = 0 WHERE item_id = 40746;
UPDATE etcitem SET unidentified_name_id = '$3514', identified_name_id = '$3514', can_seal = 0 WHERE item_id = 40747;
UPDATE etcitem SET unidentified_name_id = '$3513', identified_name_id = '$3513', can_seal = 0 WHERE item_id = 40748;
UPDATE etcitem SET unidentified_name_id = '$2866', identified_name_id = '$2866', can_seal = 0 WHERE item_id = 40749;
UPDATE etcitem SET unidentified_name_id = '$2868', identified_name_id = '$2868', can_seal = 0 WHERE item_id = 40750;
UPDATE etcitem SET unidentified_name_id = '$2869', identified_name_id = '$2869', can_seal = 0 WHERE item_id = 40751;
UPDATE etcitem SET unidentified_name_id = '$2872', identified_name_id = '$2872', can_seal = 0 WHERE item_id = 40752;
UPDATE etcitem SET unidentified_name_id = '??', identified_name_id = '??', can_seal = 0 WHERE item_id = 40753;
UPDATE etcitem SET unidentified_name_id = '??', identified_name_id = '??', can_seal = 0 WHERE item_id = 40754;
UPDATE etcitem SET unidentified_name_id = '??', identified_name_id = '??', can_seal = 0 WHERE item_id = 40755;
UPDATE etcitem SET unidentified_name_id = '$2871', identified_name_id = '$2871', can_seal = 0 WHERE item_id = 40756;
UPDATE etcitem SET unidentified_name_id = '$2873', identified_name_id = '$2873', can_seal = 0 WHERE item_id = 40757;
UPDATE etcitem SET unidentified_name_id = '$2874', identified_name_id = '$2874', can_seal = 0 WHERE item_id = 40758;
UPDATE etcitem SET unidentified_name_id = '??', identified_name_id = '??', can_seal = 0 WHERE item_id = 40759;
UPDATE etcitem SET unidentified_name_id = '??', identified_name_id = '??', can_seal = 0 WHERE item_id = 40760;
UPDATE etcitem SET unidentified_name_id = '$2878', identified_name_id = '$2878', can_seal = 0 WHERE item_id = 40761;
UPDATE etcitem SET unidentified_name_id = '$2881', identified_name_id = '$2881', can_seal = 0 WHERE item_id = 40762;
UPDATE etcitem SET unidentified_name_id = '$2882', identified_name_id = '$2882', can_seal = 0 WHERE item_id = 40763;
UPDATE etcitem SET unidentified_name_id = '$2879', identified_name_id = '$2879', can_seal = 0 WHERE item_id = 40764;
UPDATE etcitem SET unidentified_name_id = '$2877', identified_name_id = '$2877', can_seal = 0 WHERE item_id = 40765;
UPDATE etcitem SET unidentified_name_id = '$2876', identified_name_id = '$2876', can_seal = 0 WHERE item_id = 40766;
UPDATE etcitem SET unidentified_name_id = '$1038', identified_name_id = '$1038', can_seal = 0 WHERE item_id = 40778;
UPDATE etcitem SET unidentified_name_id = '$1201', identified_name_id = '$1201', can_seal = 0 WHERE item_id = 40779;
UPDATE etcitem SET unidentified_name_id = '$3764', identified_name_id = '$3764', can_seal = 0 WHERE item_id = 40780;
UPDATE etcitem SET unidentified_name_id = '$3764', identified_name_id = '$3764', can_seal = 0 WHERE item_id = 40781;
UPDATE etcitem SET unidentified_name_id = '$3946', identified_name_id = '$3946', can_seal = 0 WHERE item_id = 40782;
UPDATE etcitem SET unidentified_name_id = '$3946', identified_name_id = '$3946', can_seal = 0 WHERE item_id = 40783;
UPDATE etcitem SET unidentified_name_id = '????? $230', identified_name_id = '????? $230', can_seal = 0 WHERE item_id = 40801;
UPDATE etcitem SET unidentified_name_id = '????? $230', identified_name_id = '????? $230', can_seal = 0 WHERE item_id = 40802;
UPDATE etcitem SET unidentified_name_id = '??? $230', identified_name_id = '??? $230', can_seal = 0 WHERE item_id = 40803;
UPDATE etcitem SET unidentified_name_id = '????? $230', identified_name_id = '????? $230', can_seal = 0 WHERE item_id = 40804;
UPDATE etcitem SET unidentified_name_id = '????? $230', identified_name_id = '????? $230', can_seal = 0 WHERE item_id = 40805;
UPDATE etcitem SET unidentified_name_id = '????? $230', identified_name_id = '????? $230', can_seal = 0 WHERE item_id = 40806;
UPDATE etcitem SET unidentified_name_id = '??????3? $230', identified_name_id = '??????3? $230', can_seal = 0 WHERE item_id = 40807;
UPDATE etcitem SET unidentified_name_id = '??????4? $230', identified_name_id = '??????4? $230', can_seal = 0 WHERE item_id = 40808;
UPDATE etcitem SET unidentified_name_id = '??? $230', identified_name_id = '??? $230', can_seal = 0 WHERE item_id = 40809;
UPDATE etcitem SET unidentified_name_id = '??????? $230', identified_name_id = '??????? $230', can_seal = 0 WHERE item_id = 40810;
UPDATE etcitem SET unidentified_name_id = '???? $230', identified_name_id = '???? $230', can_seal = 0 WHERE item_id = 40811;
UPDATE etcitem SET unidentified_name_id = '???? $230', identified_name_id = '???? $230', can_seal = 0 WHERE item_id = 40812;
UPDATE etcitem SET unidentified_name_id = '?????????? $230', identified_name_id = '?????????? $230', can_seal = 0 WHERE item_id = 40813;
UPDATE etcitem SET unidentified_name_id = '?????????? $230', identified_name_id = '?????????? $230', can_seal = 0 WHERE item_id = 40814;
UPDATE etcitem SET unidentified_name_id = '????????1???? $230', identified_name_id = '????????1???? $230', can_seal = 0 WHERE item_id = 40815;
UPDATE etcitem SET unidentified_name_id = '????????2???? $230', identified_name_id = '????????2???? $230', can_seal = 0 WHERE item_id = 40816;
UPDATE etcitem SET unidentified_name_id = '??????1? $230', identified_name_id = '??????1? $230', can_seal = 0 WHERE item_id = 40817;
UPDATE etcitem SET unidentified_name_id = '??????2? $230', identified_name_id = '??????2? $230', can_seal = 0 WHERE item_id = 40818;
UPDATE etcitem SET unidentified_name_id = '??????3? $230', identified_name_id = '??????3? $230', can_seal = 0 WHERE item_id = 40819;
UPDATE etcitem SET unidentified_name_id = '????5? $230', identified_name_id = '????5? $230', can_seal = 0 WHERE item_id = 40820;
UPDATE etcitem SET unidentified_name_id = '????6? $230', identified_name_id = '????6? $230', can_seal = 0 WHERE item_id = 40821;
UPDATE etcitem SET unidentified_name_id = '????7? $230', identified_name_id = '????7? $230', can_seal = 0 WHERE item_id = 40822;
UPDATE etcitem SET unidentified_name_id = '????8? $230', identified_name_id = '????8? $230', can_seal = 0 WHERE item_id = 40823;
UPDATE etcitem SET unidentified_name_id = '?????????????2? $230', identified_name_id = '?????????????2? $230', can_seal = 0 WHERE item_id = 40824;
UPDATE etcitem SET unidentified_name_id = '?????????????3? $230', identified_name_id = '?????????????3? $230', can_seal = 0 WHERE item_id = 40825;
UPDATE etcitem SET unidentified_name_id = '?????????????4? $230', identified_name_id = '?????????????4? $230', can_seal = 0 WHERE item_id = 40826;
UPDATE etcitem SET unidentified_name_id = '??????2? $230', identified_name_id = '??????2? $230', can_seal = 0 WHERE item_id = 40827;
UPDATE etcitem SET unidentified_name_id = '??????3? $230', identified_name_id = '??????3? $230', can_seal = 0 WHERE item_id = 40828;
UPDATE etcitem SET unidentified_name_id = '??????4? $230', identified_name_id = '??????4? $230', can_seal = 0 WHERE item_id = 40829;
UPDATE etcitem SET unidentified_name_id = '?????????3? $230', identified_name_id = '?????????3? $230', can_seal = 0 WHERE item_id = 40830;
UPDATE etcitem SET unidentified_name_id = '?????????4? $230', identified_name_id = '?????????4? $230', can_seal = 0 WHERE item_id = 40831;
UPDATE etcitem SET unidentified_name_id = '?????????5? $230', identified_name_id = '?????????5? $230', can_seal = 0 WHERE item_id = 40832;
UPDATE etcitem SET unidentified_name_id = '?????????6? $230', identified_name_id = '?????????6? $230', can_seal = 0 WHERE item_id = 40833;
UPDATE etcitem SET unidentified_name_id = '?????????7? $230', identified_name_id = '?????????7? $230', can_seal = 0 WHERE item_id = 40834;
UPDATE etcitem SET unidentified_name_id = '??????????1? $230', identified_name_id = '??????????1? $230', can_seal = 0 WHERE item_id = 40835;
UPDATE etcitem SET unidentified_name_id = '??????????2? $230', identified_name_id = '??????????2? $230', can_seal = 0 WHERE item_id = 40836;
UPDATE etcitem SET unidentified_name_id = '??????????3? $230', identified_name_id = '??????????3? $230', can_seal = 0 WHERE item_id = 40837;
UPDATE etcitem SET unidentified_name_id = '??????????4? $230', identified_name_id = '??????????4? $230', can_seal = 0 WHERE item_id = 40838;
UPDATE etcitem SET unidentified_name_id = '??????????5? $230', identified_name_id = '??????????5? $230', can_seal = 0 WHERE item_id = 40839;
UPDATE etcitem SET unidentified_name_id = '??????????6? $230', identified_name_id = '??????????6? $230', can_seal = 0 WHERE item_id = 40840;
UPDATE etcitem SET unidentified_name_id = '????? $230', identified_name_id = '????? $230', can_seal = 0 WHERE item_id = 40841;
UPDATE etcitem SET unidentified_name_id = '$951 $230', identified_name_id = '$951 $230', can_seal = 0 WHERE item_id = 40842;
UPDATE etcitem SET unidentified_name_id = '?? $230', identified_name_id = '?? $230', can_seal = 0 WHERE item_id = 40843;
UPDATE etcitem SET unidentified_name_id = '???????? $230', identified_name_id = '???????? $230', can_seal = 0 WHERE item_id = 40844;
UPDATE etcitem SET unidentified_name_id = '????? $230', identified_name_id = '????? $230', can_seal = 0 WHERE item_id = 40845;
UPDATE etcitem SET unidentified_name_id = '?????1? $230', identified_name_id = '?????1? $230', can_seal = 0 WHERE item_id = 40846;
UPDATE etcitem SET unidentified_name_id = '?????2? $230', identified_name_id = '?????2? $230', can_seal = 0 WHERE item_id = 40847;
UPDATE etcitem SET unidentified_name_id = '?????3? $230', identified_name_id = '?????3? $230', can_seal = 0 WHERE item_id = 40848;
UPDATE etcitem SET unidentified_name_id = '?????1? $230', identified_name_id = '?????1? $230', can_seal = 0 WHERE item_id = 40849;
UPDATE etcitem SET unidentified_name_id = '?????2? $230', identified_name_id = '?????2? $230', can_seal = 0 WHERE item_id = 40850;
UPDATE etcitem SET unidentified_name_id = '?????4? $230', identified_name_id = '?????4? $230', can_seal = 0 WHERE item_id = 40851;
UPDATE etcitem SET unidentified_name_id = '?????? $230', identified_name_id = '?????? $230', can_seal = 0 WHERE item_id = 40852;
UPDATE etcitem SET unidentified_name_id = '??? $230', identified_name_id = '??? $230', can_seal = 0 WHERE item_id = 40853;
UPDATE etcitem SET unidentified_name_id = '????? $230', identified_name_id = '????? $230', can_seal = 0 WHERE item_id = 40854;
UPDATE etcitem SET unidentified_name_id = '???? $230', identified_name_id = '???? $230', can_seal = 0 WHERE item_id = 40855;
UPDATE etcitem SET unidentified_name_id = '??? $230', identified_name_id = '??? $230', can_seal = 0 WHERE item_id = 40856;
UPDATE etcitem SET unidentified_name_id = '?????? $230', identified_name_id = '?????? $230', can_seal = 0 WHERE item_id = 40857;
UPDATE etcitem SET unidentified_name_id = 'liquor', identified_name_id = 'liquor', can_seal = 0 WHERE item_id = 40858;
UPDATE etcitem SET unidentified_name_id = '$1487 $1436', identified_name_id = '$1487 $1436', can_seal = 0 WHERE item_id = 40859;
UPDATE etcitem SET unidentified_name_id = '$1487 $1437', identified_name_id = '$1487 $1437', can_seal = 0 WHERE item_id = 40860;
UPDATE etcitem SET unidentified_name_id = '$1487 $1438', identified_name_id = '$1487 $1438', can_seal = 0 WHERE item_id = 40861;
UPDATE etcitem SET unidentified_name_id = '$1487 $1439', identified_name_id = '$1487 $1439', can_seal = 0 WHERE item_id = 40862;
UPDATE etcitem SET unidentified_name_id = '$1487 $1440', identified_name_id = '$1487 $1440', can_seal = 0 WHERE item_id = 40863;
UPDATE etcitem SET unidentified_name_id = '$1487 $1966', identified_name_id = '$1487 $1966', can_seal = 0 WHERE item_id = 40864;
UPDATE etcitem SET unidentified_name_id = '$1487 $1967', identified_name_id = '$1487 $1967', can_seal = 0 WHERE item_id = 40865;
UPDATE etcitem SET unidentified_name_id = '$1487 $1977', identified_name_id = '$1487 $1977', can_seal = 0 WHERE item_id = 40866;
UPDATE etcitem SET unidentified_name_id = '$1487 $1441', identified_name_id = '$1487 $1441', can_seal = 0 WHERE item_id = 40867;
UPDATE etcitem SET unidentified_name_id = '$1487 $1442', identified_name_id = '$1487 $1442', can_seal = 0 WHERE item_id = 40868;
UPDATE etcitem SET unidentified_name_id = '$1487 $1443', identified_name_id = '$1487 $1443', can_seal = 0 WHERE item_id = 40869;
UPDATE etcitem SET unidentified_name_id = '$1487 $1444', identified_name_id = '$1487 $1444', can_seal = 0 WHERE item_id = 40870;
UPDATE etcitem SET unidentified_name_id = '$1487 $1445', identified_name_id = '$1487 $1445', can_seal = 0 WHERE item_id = 40871;
UPDATE etcitem SET unidentified_name_id = '$1487 $1978', identified_name_id = '$1487 $1978', can_seal = 0 WHERE item_id = 40872;
UPDATE etcitem SET unidentified_name_id = '$1487 $1968', identified_name_id = '$1487 $1968', can_seal = 0 WHERE item_id = 40873;
UPDATE etcitem SET unidentified_name_id = '$1487 $1969', identified_name_id = '$1487 $1969', can_seal = 0 WHERE item_id = 40874;
UPDATE etcitem SET unidentified_name_id = '$1487 $1446', identified_name_id = '$1487 $1446', can_seal = 0 WHERE item_id = 40875;
UPDATE etcitem SET unidentified_name_id = '$1487 $1447', identified_name_id = '$1487 $1447', can_seal = 0 WHERE item_id = 40876;
UPDATE etcitem SET unidentified_name_id = '$1487 $1448', identified_name_id = '$1487 $1448', can_seal = 0 WHERE item_id = 40877;
UPDATE etcitem SET unidentified_name_id = '$1487 $1449', identified_name_id = '$1487 $1449', can_seal = 0 WHERE item_id = 40878;
UPDATE etcitem SET unidentified_name_id = '$1487 $1450', identified_name_id = '$1487 $1450', can_seal = 0 WHERE item_id = 40879;
UPDATE etcitem SET unidentified_name_id = '$1487 $1970', identified_name_id = '$1487 $1970', can_seal = 0 WHERE item_id = 40880;
UPDATE etcitem SET unidentified_name_id = '$1487 $1979', identified_name_id = '$1487 $1979', can_seal = 0 WHERE item_id = 40881;
UPDATE etcitem SET unidentified_name_id = '$1487 $1451', identified_name_id = '$1487 $1451', can_seal = 0 WHERE item_id = 40883;
UPDATE etcitem SET unidentified_name_id = '$1487 $1452', identified_name_id = '$1487 $1452', can_seal = 0 WHERE item_id = 40884;
UPDATE etcitem SET unidentified_name_id = '$1487 $1453', identified_name_id = '$1487 $1453', can_seal = 0 WHERE item_id = 40885;
UPDATE etcitem SET unidentified_name_id = '$1487 $1454', identified_name_id = '$1487 $1454', can_seal = 0 WHERE item_id = 40886;
UPDATE etcitem SET unidentified_name_id = '$1487 $1455', identified_name_id = '$1487 $1455', can_seal = 0 WHERE item_id = 40887;
UPDATE etcitem SET unidentified_name_id = '$1487 $1971', identified_name_id = '$1487 $1971', can_seal = 0 WHERE item_id = 40888;
UPDATE etcitem SET unidentified_name_id = '$1487 $1980', identified_name_id = '$1487 $1980', can_seal = 0 WHERE item_id = 40889;
UPDATE etcitem SET unidentified_name_id = '$1487 $1981', identified_name_id = '$1487 $1981', can_seal = 0 WHERE item_id = 40890;
UPDATE etcitem SET unidentified_name_id = '$1487 $1456', identified_name_id = '$1487 $1456', can_seal = 0 WHERE item_id = 40891;
UPDATE etcitem SET unidentified_name_id = '$1487 $1457', identified_name_id = '$1487 $1457', can_seal = 0 WHERE item_id = 40892;
UPDATE etcitem SET unidentified_name_id = '$1487 $1458', identified_name_id = '$1487 $1458', can_seal = 0 WHERE item_id = 40893;
UPDATE etcitem SET unidentified_name_id = '$1487 $1459', identified_name_id = '$1487 $1459', can_seal = 0 WHERE item_id = 40894;
UPDATE etcitem SET unidentified_name_id = '$1487 $1460', identified_name_id = '$1487 $1460', can_seal = 0 WHERE item_id = 40895;
UPDATE etcitem SET unidentified_name_id = '$1487 $1972', identified_name_id = '$1487 $1972', can_seal = 0 WHERE item_id = 40896;
UPDATE etcitem SET unidentified_name_id = '$1487 $1982', identified_name_id = '$1487 $1982', can_seal = 0 WHERE item_id = 40897;
UPDATE etcitem SET unidentified_name_id = '$1487 $1983', identified_name_id = '$1487 $1983', can_seal = 0 WHERE item_id = 40898;
UPDATE etcitem SET unidentified_name_id = '$1203', identified_name_id = '$1203', can_seal = 0 WHERE item_id = 40899;
UPDATE etcitem SET unidentified_name_id = '$2376', identified_name_id = '$2376', can_seal = 0 WHERE item_id = 40901;
UPDATE etcitem SET unidentified_name_id = '$2375', identified_name_id = '$2375', can_seal = 0 WHERE item_id = 40902;
UPDATE etcitem SET unidentified_name_id = '$2268', identified_name_id = '$2268', can_seal = 0 WHERE item_id = 40903;
UPDATE etcitem SET unidentified_name_id = '$2373', identified_name_id = '$2373', can_seal = 0 WHERE item_id = 40904;
UPDATE etcitem SET unidentified_name_id = '$2374', identified_name_id = '$2374', can_seal = 0 WHERE item_id = 40905;
UPDATE etcitem SET unidentified_name_id = '$2269', identified_name_id = '$2269', can_seal = 0 WHERE item_id = 40906;
UPDATE etcitem SET unidentified_name_id = '$2751', identified_name_id = '$2751', can_seal = 0 WHERE item_id = 40907;
UPDATE etcitem SET unidentified_name_id = '$2750', identified_name_id = '$2750', can_seal = 0 WHERE item_id = 40908;
UPDATE etcitem SET unidentified_name_id = '$4635', identified_name_id = '$4635', can_seal = 0 WHERE item_id = 40909;
UPDATE etcitem SET unidentified_name_id = '$4632', identified_name_id = '$4632', can_seal = 0 WHERE item_id = 40910;
UPDATE etcitem SET unidentified_name_id = '$4633', identified_name_id = '$4633', can_seal = 0 WHERE item_id = 40911;
UPDATE etcitem SET unidentified_name_id = '$4634', identified_name_id = '$4634', can_seal = 0 WHERE item_id = 40912;
UPDATE etcitem SET unidentified_name_id = '$4631', identified_name_id = '$4631', can_seal = 0 WHERE item_id = 40913;
UPDATE etcitem SET unidentified_name_id = '$4628', identified_name_id = '$4628', can_seal = 0 WHERE item_id = 40914;
UPDATE etcitem SET unidentified_name_id = '$4629', identified_name_id = '$4629', can_seal = 0 WHERE item_id = 40915;
UPDATE etcitem SET unidentified_name_id = '$4630', identified_name_id = '$4630', can_seal = 0 WHERE item_id = 40916;
UPDATE etcitem SET unidentified_name_id = '$4639', identified_name_id = '$4639', can_seal = 0 WHERE item_id = 40917;
UPDATE etcitem SET unidentified_name_id = '$4636', identified_name_id = '$4636', can_seal = 0 WHERE item_id = 40918;
UPDATE etcitem SET unidentified_name_id = '$4637', identified_name_id = '$4637', can_seal = 0 WHERE item_id = 40919;
UPDATE etcitem SET unidentified_name_id = '$4638', identified_name_id = '$4638', can_seal = 0 WHERE item_id = 40920;
UPDATE etcitem SET unidentified_name_id = '$4640', identified_name_id = '$4640', can_seal = 0 WHERE item_id = 40921;
UPDATE etcitem SET unidentified_name_id = '$4949', identified_name_id = '$4949', can_seal = 0 WHERE item_id = 40922;
UPDATE etcitem SET unidentified_name_id = '$4950', identified_name_id = '$4950', can_seal = 0 WHERE item_id = 40923;
UPDATE etcitem SET unidentified_name_id = '$4951', identified_name_id = '$4951', can_seal = 0 WHERE item_id = 40924;
UPDATE etcitem SET unidentified_name_id = '$4478', identified_name_id = '$4478', can_seal = 0 WHERE item_id = 40925;
UPDATE etcitem SET unidentified_name_id = '$4482', identified_name_id = '$4482', can_seal = 0 WHERE item_id = 40926;
UPDATE etcitem SET unidentified_name_id = '$4483', identified_name_id = '$4483', can_seal = 0 WHERE item_id = 40927;
UPDATE etcitem SET unidentified_name_id = '$4484', identified_name_id = '$4484', can_seal = 0 WHERE item_id = 40928;
UPDATE etcitem SET unidentified_name_id = '$4485', identified_name_id = '$4485', can_seal = 0 WHERE item_id = 40929;
UPDATE etcitem SET unidentified_name_id = '$4363', identified_name_id = '$4363', can_seal = 0 WHERE item_id = 40930;
UPDATE etcitem SET unidentified_name_id = '$4527', identified_name_id = '$4527', can_seal = 0 WHERE item_id = 40931;
UPDATE etcitem SET unidentified_name_id = '$4523', identified_name_id = '$4523', can_seal = 0 WHERE item_id = 40932;
UPDATE etcitem SET unidentified_name_id = '$4531', identified_name_id = '$4531', can_seal = 0 WHERE item_id = 40933;
UPDATE etcitem SET unidentified_name_id = '$4528', identified_name_id = '$4528', can_seal = 0 WHERE item_id = 40934;
UPDATE etcitem SET unidentified_name_id = '$4524', identified_name_id = '$4524', can_seal = 0 WHERE item_id = 40935;
UPDATE etcitem SET unidentified_name_id = '$4532', identified_name_id = '$4532', can_seal = 0 WHERE item_id = 40936;
UPDATE etcitem SET unidentified_name_id = '$4529', identified_name_id = '$4529', can_seal = 0 WHERE item_id = 40937;
UPDATE etcitem SET unidentified_name_id = '$4525', identified_name_id = '$4525', can_seal = 0 WHERE item_id = 40938;
UPDATE etcitem SET unidentified_name_id = '$4533', identified_name_id = '$4533', can_seal = 0 WHERE item_id = 40939;
UPDATE etcitem SET unidentified_name_id = '$4530', identified_name_id = '$4530', can_seal = 0 WHERE item_id = 40940;
UPDATE etcitem SET unidentified_name_id = '$4526', identified_name_id = '$4526', can_seal = 0 WHERE item_id = 40941;
UPDATE etcitem SET unidentified_name_id = '$4534', identified_name_id = '$4534', can_seal = 0 WHERE item_id = 40942;
UPDATE etcitem SET unidentified_name_id = '$4583', identified_name_id = '$4583', can_seal = 0 WHERE item_id = 40943;
UPDATE etcitem SET unidentified_name_id = '$4579', identified_name_id = '$4579', can_seal = 0 WHERE item_id = 40944;
UPDATE etcitem SET unidentified_name_id = '$4535', identified_name_id = '$4535', can_seal = 0 WHERE item_id = 40945;
UPDATE etcitem SET unidentified_name_id = '$4587', identified_name_id = '$4587', can_seal = 0 WHERE item_id = 40946;
UPDATE etcitem SET unidentified_name_id = '$4584', identified_name_id = '$4584', can_seal = 0 WHERE item_id = 40947;
UPDATE etcitem SET unidentified_name_id = '$4580', identified_name_id = '$4580', can_seal = 0 WHERE item_id = 40948;
UPDATE etcitem SET unidentified_name_id = '$4536', identified_name_id = '$4536', can_seal = 0 WHERE item_id = 40949;
UPDATE etcitem SET unidentified_name_id = '$4588', identified_name_id = '$4588', can_seal = 0 WHERE item_id = 40950;
UPDATE etcitem SET unidentified_name_id = '$4585', identified_name_id = '$4585', can_seal = 0 WHERE item_id = 40951;
UPDATE etcitem SET unidentified_name_id = '$4581', identified_name_id = '$4581', can_seal = 0 WHERE item_id = 40952;
UPDATE etcitem SET unidentified_name_id = '$4537', identified_name_id = '$4537', can_seal = 0 WHERE item_id = 40953;
UPDATE etcitem SET unidentified_name_id = '$4589', identified_name_id = '$4589', can_seal = 0 WHERE item_id = 40954;
UPDATE etcitem SET unidentified_name_id = '$4586', identified_name_id = '$4586', can_seal = 0 WHERE item_id = 40955;
UPDATE etcitem SET unidentified_name_id = '$4582', identified_name_id = '$4582', can_seal = 0 WHERE item_id = 40956;
UPDATE etcitem SET unidentified_name_id = '$4538', identified_name_id = '$4538', can_seal = 0 WHERE item_id = 40957;
UPDATE etcitem SET unidentified_name_id = '$4590', identified_name_id = '$4590', can_seal = 0 WHERE item_id = 40958;
UPDATE etcitem SET unidentified_name_id = '$4061', identified_name_id = '$4061', can_seal = 0 WHERE item_id = 40959;
UPDATE etcitem SET unidentified_name_id = '$4059', identified_name_id = '$4059', can_seal = 0 WHERE item_id = 40960;
UPDATE etcitem SET unidentified_name_id = '$4058', identified_name_id = '$4058', can_seal = 0 WHERE item_id = 40961;
UPDATE etcitem SET unidentified_name_id = '$4060', identified_name_id = '$4060', can_seal = 0 WHERE item_id = 40962;
UPDATE etcitem SET unidentified_name_id = '$4009', identified_name_id = '$4009', can_seal = 0 WHERE item_id = 40964;
UPDATE etcitem SET unidentified_name_id = '$4613', identified_name_id = '$4613', can_seal = 0 WHERE item_id = 40965;
UPDATE etcitem SET unidentified_name_id = '$4627', identified_name_id = '$4627', can_seal = 0 WHERE item_id = 40966;
UPDATE etcitem SET unidentified_name_id = '$4643', identified_name_id = '$4643', can_seal = 0 WHERE item_id = 40967;
UPDATE etcitem SET unidentified_name_id = '$4644', identified_name_id = '$4644', can_seal = 0 WHERE item_id = 40968;
UPDATE etcitem SET unidentified_name_id = '$4344', identified_name_id = '$4344', can_seal = 0 WHERE item_id = 40969;
UPDATE etcitem SET unidentified_name_id = '$4440', identified_name_id = '$4440', can_seal = 0 WHERE item_id = 40970;
UPDATE etcitem SET unidentified_name_id = '$4441', identified_name_id = '$4441', can_seal = 0 WHERE item_id = 40971;
UPDATE etcitem SET unidentified_name_id = '$4439', identified_name_id = '$4439', can_seal = 0 WHERE item_id = 40972;
UPDATE etcitem SET unidentified_name_id = '$4438', identified_name_id = '$4438', can_seal = 0 WHERE item_id = 40973;
UPDATE etcitem SET unidentified_name_id = '$4443', identified_name_id = '$4443', can_seal = 0 WHERE item_id = 40974;
UPDATE etcitem SET unidentified_name_id = '$4444', identified_name_id = '$4444', can_seal = 0 WHERE item_id = 40975;
UPDATE etcitem SET unidentified_name_id = '$4436', identified_name_id = '$4436', can_seal = 0 WHERE item_id = 40976;
UPDATE etcitem SET unidentified_name_id = '$4437', identified_name_id = '$4437', can_seal = 0 WHERE item_id = 40977;
UPDATE etcitem SET unidentified_name_id = '$4428', identified_name_id = '$4428', can_seal = 0 WHERE item_id = 40978;
UPDATE etcitem SET unidentified_name_id = '$4426', identified_name_id = '$4426', can_seal = 0 WHERE item_id = 40979;
UPDATE etcitem SET unidentified_name_id = '$4427', identified_name_id = '$4427', can_seal = 0 WHERE item_id = 40980;
UPDATE etcitem SET unidentified_name_id = '$4425', identified_name_id = '$4425', can_seal = 0 WHERE item_id = 40981;
UPDATE etcitem SET unidentified_name_id = '$4435', identified_name_id = '$4435', can_seal = 0 WHERE item_id = 40982;
UPDATE etcitem SET unidentified_name_id = '$4433', identified_name_id = '$4433', can_seal = 0 WHERE item_id = 40983;
UPDATE etcitem SET unidentified_name_id = '$4434', identified_name_id = '$4434', can_seal = 0 WHERE item_id = 40984;
UPDATE etcitem SET unidentified_name_id = '$4432', identified_name_id = '$4432', can_seal = 0 WHERE item_id = 40985;
UPDATE etcitem SET unidentified_name_id = '$4431', identified_name_id = '$4431', can_seal = 0 WHERE item_id = 40986;
UPDATE etcitem SET unidentified_name_id = '$4354', identified_name_id = '$4354', can_seal = 0 WHERE item_id = 40987;
UPDATE etcitem SET unidentified_name_id = '$4354', identified_name_id = '$4354', can_seal = 0 WHERE item_id = 40988;
UPDATE etcitem SET unidentified_name_id = '$4354', identified_name_id = '$4354', can_seal = 0 WHERE item_id = 40989;
UPDATE etcitem SET unidentified_name_id = '$4417', identified_name_id = '$4417', can_seal = 0 WHERE item_id = 40990;
UPDATE etcitem SET unidentified_name_id = '$4423', identified_name_id = '$4423', can_seal = 0 WHERE item_id = 40991;
UPDATE etcitem SET unidentified_name_id = '$4416', identified_name_id = '$4416', can_seal = 0 WHERE item_id = 40992;
UPDATE etcitem SET unidentified_name_id = '$4424', identified_name_id = '$4424', can_seal = 0 WHERE item_id = 40993;
UPDATE etcitem SET unidentified_name_id = '$4419', identified_name_id = '$4419', can_seal = 0 WHERE item_id = 40994;
UPDATE etcitem SET unidentified_name_id = '$4418', identified_name_id = '$4418', can_seal = 0 WHERE item_id = 40995;
UPDATE etcitem SET unidentified_name_id = '$4420', identified_name_id = '$4420', can_seal = 0 WHERE item_id = 40996;
UPDATE etcitem SET unidentified_name_id = '$4422', identified_name_id = '$4422', can_seal = 0 WHERE item_id = 40997;
UPDATE etcitem SET unidentified_name_id = '$4421', identified_name_id = '$4421', can_seal = 0 WHERE item_id = 40998;
UPDATE etcitem SET unidentified_name_id = '$3006', identified_name_id = '$3006', can_seal = 0 WHERE item_id = 40999;
UPDATE etcitem SET unidentified_name_id = '$3007', identified_name_id = '$3007', can_seal = 0 WHERE item_id = 41000;
UPDATE etcitem SET unidentified_name_id = '$3018', identified_name_id = '$3018', can_seal = 0 WHERE item_id = 41001;
UPDATE etcitem SET unidentified_name_id = '$3114', identified_name_id = '$3114', can_seal = 0 WHERE item_id = 41002;
UPDATE etcitem SET unidentified_name_id = '$3422', identified_name_id = '$3422', can_seal = 0 WHERE item_id = 41003;
UPDATE etcitem SET unidentified_name_id = '$3199', identified_name_id = '$3199', can_seal = 0 WHERE item_id = 41004;
UPDATE etcitem SET unidentified_name_id = '$3185', identified_name_id = '$3185', can_seal = 0 WHERE item_id = 41005;
UPDATE etcitem SET unidentified_name_id = '$3186', identified_name_id = '$3186', can_seal = 0 WHERE item_id = 41006;
UPDATE etcitem SET unidentified_name_id = '$4353', identified_name_id = '$4353', can_seal = 0 WHERE item_id = 41007;
UPDATE etcitem SET unidentified_name_id = '$4343', identified_name_id = '$4343', can_seal = 0 WHERE item_id = 41008;
UPDATE etcitem SET unidentified_name_id = '$4470', identified_name_id = '$4470', can_seal = 0 WHERE item_id = 41009;
UPDATE etcitem SET unidentified_name_id = '$4469', identified_name_id = '$4469', can_seal = 0 WHERE item_id = 41010;
UPDATE etcitem SET unidentified_name_id = '$4600', identified_name_id = '$4600', can_seal = 0 WHERE item_id = 41011;
UPDATE etcitem SET unidentified_name_id = '$4601', identified_name_id = '$4601', can_seal = 0 WHERE item_id = 41012;
UPDATE etcitem SET unidentified_name_id = '$4602', identified_name_id = '$4602', can_seal = 0 WHERE item_id = 41013;
UPDATE etcitem SET unidentified_name_id = '$4603', identified_name_id = '$4603', can_seal = 0 WHERE item_id = 41014;
UPDATE etcitem SET unidentified_name_id = '$4604', identified_name_id = '$4604', can_seal = 0 WHERE item_id = 41015;
UPDATE etcitem SET unidentified_name_id = '$4605', identified_name_id = '$4605', can_seal = 0 WHERE item_id = 41016;
UPDATE etcitem SET unidentified_name_id = '$4606', identified_name_id = '$4606', can_seal = 0 WHERE item_id = 41017;
UPDATE etcitem SET unidentified_name_id = '$4607', identified_name_id = '$4607', can_seal = 0 WHERE item_id = 41018;
UPDATE etcitem SET unidentified_name_id = '$4611', identified_name_id = '$4611', can_seal = 0 WHERE item_id = 41019;
UPDATE etcitem SET unidentified_name_id = '$4612', identified_name_id = '$4612', can_seal = 0 WHERE item_id = 41020;
UPDATE etcitem SET unidentified_name_id = '$4695', identified_name_id = '$4695', can_seal = 0 WHERE item_id = 41021;
UPDATE etcitem SET unidentified_name_id = '$4696', identified_name_id = '$4696', can_seal = 0 WHERE item_id = 41022;
UPDATE etcitem SET unidentified_name_id = '$4697', identified_name_id = '$4697', can_seal = 0 WHERE item_id = 41023;
UPDATE etcitem SET unidentified_name_id = '$4698', identified_name_id = '$4698', can_seal = 0 WHERE item_id = 41024;
UPDATE etcitem SET unidentified_name_id = '$4699', identified_name_id = '$4699', can_seal = 0 WHERE item_id = 41025;
UPDATE etcitem SET unidentified_name_id = '$4700', identified_name_id = '$4700', can_seal = 0 WHERE item_id = 41026;
UPDATE etcitem SET unidentified_name_id = '$4576', identified_name_id = '$4576', can_seal = 0 WHERE item_id = 41027;
UPDATE etcitem SET unidentified_name_id = '$4575', identified_name_id = '$4575', can_seal = 0 WHERE item_id = 41028;
UPDATE etcitem SET unidentified_name_id = '$4616', identified_name_id = '$4616', can_seal = 0 WHERE item_id = 41029;
UPDATE etcitem SET unidentified_name_id = '$4617', identified_name_id = '$4617', can_seal = 0 WHERE item_id = 41030;
UPDATE etcitem SET unidentified_name_id = '$4618', identified_name_id = '$4618', can_seal = 0 WHERE item_id = 41031;
UPDATE etcitem SET unidentified_name_id = '$4619', identified_name_id = '$4619', can_seal = 0 WHERE item_id = 41032;
UPDATE etcitem SET unidentified_name_id = '$4620', identified_name_id = '$4620', can_seal = 0 WHERE item_id = 41033;
UPDATE etcitem SET unidentified_name_id = '$4621', identified_name_id = '$4621', can_seal = 0 WHERE item_id = 41034;
UPDATE etcitem SET unidentified_name_id = '$4622', identified_name_id = '$4622', can_seal = 0 WHERE item_id = 41035;
UPDATE etcitem SET unidentified_name_id = '$4405', identified_name_id = '$4405', can_seal = 0 WHERE item_id = 41036;
UPDATE etcitem SET unidentified_name_id = '$4403', identified_name_id = '$4403', can_seal = 0 WHERE item_id = 41037;
UPDATE etcitem SET unidentified_name_id = '$4393', identified_name_id = '$4393', can_seal = 0 WHERE item_id = 41038;
UPDATE etcitem SET unidentified_name_id = '$4394', identified_name_id = '$4394', can_seal = 0 WHERE item_id = 41039;
UPDATE etcitem SET unidentified_name_id = '$4395', identified_name_id = '$4395', can_seal = 0 WHERE item_id = 41040;
UPDATE etcitem SET unidentified_name_id = '$4396', identified_name_id = '$4396', can_seal = 0 WHERE item_id = 41041;
UPDATE etcitem SET unidentified_name_id = '$4397', identified_name_id = '$4397', can_seal = 0 WHERE item_id = 41042;
UPDATE etcitem SET unidentified_name_id = '$4398', identified_name_id = '$4398', can_seal = 0 WHERE item_id = 41043;
UPDATE etcitem SET unidentified_name_id = '$4399', identified_name_id = '$4399', can_seal = 0 WHERE item_id = 41044;
UPDATE etcitem SET unidentified_name_id = '$4400', identified_name_id = '$4400', can_seal = 0 WHERE item_id = 41045;
UPDATE etcitem SET unidentified_name_id = '$4401', identified_name_id = '$4401', can_seal = 0 WHERE item_id = 41046;
UPDATE etcitem SET unidentified_name_id = '$4402', identified_name_id = '$4402', can_seal = 0 WHERE item_id = 41047;
UPDATE etcitem SET unidentified_name_id = '$4406', identified_name_id = '$4406', can_seal = 0 WHERE item_id = 41048;
UPDATE etcitem SET unidentified_name_id = '$4407', identified_name_id = '$4407', can_seal = 0 WHERE item_id = 41049;
UPDATE etcitem SET unidentified_name_id = '$4408', identified_name_id = '$4408', can_seal = 0 WHERE item_id = 41050;
UPDATE etcitem SET unidentified_name_id = '$4409', identified_name_id = '$4409', can_seal = 0 WHERE item_id = 41051;
UPDATE etcitem SET unidentified_name_id = '$4410', identified_name_id = '$4410', can_seal = 0 WHERE item_id = 41052;
UPDATE etcitem SET unidentified_name_id = '$4411', identified_name_id = '$4411', can_seal = 0 WHERE item_id = 41053;
UPDATE etcitem SET unidentified_name_id = '$4412', identified_name_id = '$4412', can_seal = 0 WHERE item_id = 41054;
UPDATE etcitem SET unidentified_name_id = '$4413', identified_name_id = '$4413', can_seal = 0 WHERE item_id = 41055;
UPDATE etcitem SET unidentified_name_id = '$4414', identified_name_id = '$4414', can_seal = 0 WHERE item_id = 41056;
UPDATE etcitem SET unidentified_name_id = '$4415', identified_name_id = '$4415', can_seal = 0 WHERE item_id = 41057;
UPDATE etcitem SET unidentified_name_id = '$4404', identified_name_id = '$4404', can_seal = 0 WHERE item_id = 41058;
UPDATE etcitem SET unidentified_name_id = '$4455', identified_name_id = '$4455', can_seal = 0 WHERE item_id = 41059;
UPDATE etcitem SET unidentified_name_id = '$4657', identified_name_id = '$4657', can_seal = 0 WHERE item_id = 41060;
UPDATE etcitem SET unidentified_name_id = '$4659', identified_name_id = '$4659', can_seal = 0 WHERE item_id = 41061;
UPDATE etcitem SET unidentified_name_id = '$4660', identified_name_id = '$4660', can_seal = 0 WHERE item_id = 41062;
UPDATE etcitem SET unidentified_name_id = '$4661', identified_name_id = '$4661', can_seal = 0 WHERE item_id = 41063;
UPDATE etcitem SET unidentified_name_id = '$4662', identified_name_id = '$4662', can_seal = 0 WHERE item_id = 41064;
UPDATE etcitem SET unidentified_name_id = '$4658', identified_name_id = '$4658', can_seal = 0 WHERE item_id = 41065;
UPDATE etcitem SET unidentified_name_id = '$4670', identified_name_id = '$4670', can_seal = 0 WHERE item_id = 41066;
UPDATE etcitem SET unidentified_name_id = '$4665', identified_name_id = '$4665', can_seal = 0 WHERE item_id = 41067;
UPDATE etcitem SET unidentified_name_id = '$4667', identified_name_id = '$4667', can_seal = 0 WHERE item_id = 41068;
UPDATE etcitem SET unidentified_name_id = '$4669', identified_name_id = '$4669', can_seal = 0 WHERE item_id = 41069;
UPDATE etcitem SET unidentified_name_id = '$4684', identified_name_id = '$4684', can_seal = 0 WHERE item_id = 41070;
UPDATE etcitem SET unidentified_name_id = '$4176', identified_name_id = '$4176', can_seal = 0 WHERE item_id = 41071;
UPDATE etcitem SET unidentified_name_id = '$4177', identified_name_id = '$4177', can_seal = 0 WHERE item_id = 41072;
UPDATE etcitem SET unidentified_name_id = '$4181', identified_name_id = '$4181', can_seal = 0 WHERE item_id = 41073;
UPDATE etcitem SET unidentified_name_id = '$4182', identified_name_id = '$4182', can_seal = 0 WHERE item_id = 41074;
UPDATE etcitem SET unidentified_name_id = '$4685', identified_name_id = '$4685', can_seal = 0 WHERE item_id = 41075;
UPDATE etcitem SET unidentified_name_id = '$4678', identified_name_id = '$4678', can_seal = 0 WHERE item_id = 41076;
UPDATE etcitem SET unidentified_name_id = '$4674', identified_name_id = '$4674', can_seal = 0 WHERE item_id = 41077;
UPDATE etcitem SET unidentified_name_id = '$4676', identified_name_id = '$4676', can_seal = 0 WHERE item_id = 41078;
UPDATE etcitem SET unidentified_name_id = '$4672', identified_name_id = '$4672', can_seal = 0 WHERE item_id = 41079;
UPDATE etcitem SET unidentified_name_id = '$4680', identified_name_id = '$4680', can_seal = 0 WHERE item_id = 41080;
UPDATE etcitem SET unidentified_name_id = '$4187', identified_name_id = '$4187', can_seal = 0 WHERE item_id = 41081;
UPDATE etcitem SET unidentified_name_id = '$4188', identified_name_id = '$4188', can_seal = 0 WHERE item_id = 41082;
UPDATE etcitem SET unidentified_name_id = '$4189', identified_name_id = '$4189', can_seal = 0 WHERE item_id = 41083;
UPDATE etcitem SET unidentified_name_id = '$4198', identified_name_id = '$4198', can_seal = 0 WHERE item_id = 41084;
UPDATE etcitem SET unidentified_name_id = '$4178', identified_name_id = '$4178', can_seal = 0 WHERE item_id = 41085;
UPDATE etcitem SET unidentified_name_id = '$4687', identified_name_id = '$4687', can_seal = 0 WHERE item_id = 41086;
UPDATE etcitem SET unidentified_name_id = '$4688', identified_name_id = '$4688', can_seal = 0 WHERE item_id = 41087;
UPDATE etcitem SET unidentified_name_id = '$4689', identified_name_id = '$4689', can_seal = 0 WHERE item_id = 41088;
UPDATE etcitem SET unidentified_name_id = '$4690', identified_name_id = '$4690', can_seal = 0 WHERE item_id = 41089;
UPDATE etcitem SET unidentified_name_id = '$500', identified_name_id = '$500', can_seal = 0 WHERE item_id = 41090;
UPDATE etcitem SET unidentified_name_id = '$503', identified_name_id = '$503', can_seal = 0 WHERE item_id = 41091;
UPDATE etcitem SET unidentified_name_id = '$499', identified_name_id = '$499', can_seal = 0 WHERE item_id = 41092;
UPDATE etcitem SET unidentified_name_id = '$4826', identified_name_id = '$4826', can_seal = 0 WHERE item_id = 41093;
UPDATE etcitem SET unidentified_name_id = '$4827', identified_name_id = '$4827', can_seal = 0 WHERE item_id = 41094;
UPDATE etcitem SET unidentified_name_id = '$4828', identified_name_id = '$4828', can_seal = 0 WHERE item_id = 41095;
UPDATE etcitem SET unidentified_name_id = '$4829', identified_name_id = '$4829', can_seal = 0 WHERE item_id = 41096;
UPDATE etcitem SET unidentified_name_id = '$4830', identified_name_id = '$4830', can_seal = 0 WHERE item_id = 41097;
UPDATE etcitem SET unidentified_name_id = '$4842', identified_name_id = '$4842', can_seal = 0 WHERE item_id = 41098;
UPDATE etcitem SET unidentified_name_id = '$4843', identified_name_id = '$4843', can_seal = 0 WHERE item_id = 41099;
UPDATE etcitem SET unidentified_name_id = '$4844', identified_name_id = '$4844', can_seal = 0 WHERE item_id = 41100;
UPDATE etcitem SET unidentified_name_id = '$4845', identified_name_id = '$4845', can_seal = 0 WHERE item_id = 41101;
UPDATE etcitem SET unidentified_name_id = '$4846', identified_name_id = '$4846', can_seal = 0 WHERE item_id = 41102;
UPDATE etcitem SET unidentified_name_id = '$4876', identified_name_id = '$4876', can_seal = 0 WHERE item_id = 41103;
UPDATE etcitem SET unidentified_name_id = '$4879', identified_name_id = '$4879', can_seal = 0 WHERE item_id = 41104;
UPDATE etcitem SET unidentified_name_id = '$4878', identified_name_id = '$4878', can_seal = 0 WHERE item_id = 41105;
UPDATE etcitem SET unidentified_name_id = '$4875', identified_name_id = '$4875', can_seal = 0 WHERE item_id = 41106;
UPDATE etcitem SET unidentified_name_id = '$4880', identified_name_id = '$4880', can_seal = 0 WHERE item_id = 41107;
UPDATE etcitem SET unidentified_name_id = '$4877', identified_name_id = '$4877', can_seal = 0 WHERE item_id = 41108;
UPDATE etcitem SET unidentified_name_id = '$4874', identified_name_id = '$4874', can_seal = 0 WHERE item_id = 41109;
UPDATE etcitem SET unidentified_name_id = '$4852', identified_name_id = '$4852', can_seal = 0 WHERE item_id = 41110;
UPDATE etcitem SET unidentified_name_id = '$4853', identified_name_id = '$4853', can_seal = 0 WHERE item_id = 41111;
UPDATE etcitem SET unidentified_name_id = '$4854', identified_name_id = '$4854', can_seal = 0 WHERE item_id = 41112;
UPDATE etcitem SET unidentified_name_id = '$4855', identified_name_id = '$4855', can_seal = 0 WHERE item_id = 41113;
UPDATE etcitem SET unidentified_name_id = '$4856', identified_name_id = '$4856', can_seal = 0 WHERE item_id = 41114;
UPDATE etcitem SET unidentified_name_id = '$4857', identified_name_id = '$4857', can_seal = 0 WHERE item_id = 41115;
UPDATE etcitem SET unidentified_name_id = '$4858', identified_name_id = '$4858', can_seal = 0 WHERE item_id = 41116;
UPDATE etcitem SET unidentified_name_id = '$4859', identified_name_id = '$4859', can_seal = 0 WHERE item_id = 41117;
UPDATE etcitem SET unidentified_name_id = '$4860', identified_name_id = '$4860', can_seal = 0 WHERE item_id = 41118;
UPDATE etcitem SET unidentified_name_id = '$4861', identified_name_id = '$4861', can_seal = 0 WHERE item_id = 41119;
UPDATE etcitem SET unidentified_name_id = '$4862', identified_name_id = '$4862', can_seal = 0 WHERE item_id = 41120;
UPDATE etcitem SET unidentified_name_id = '$5188', identified_name_id = '$5188', can_seal = 0 WHERE item_id = 41121;
UPDATE etcitem SET unidentified_name_id = '$5160', identified_name_id = '$5160', can_seal = 0 WHERE item_id = 41122;
UPDATE etcitem SET unidentified_name_id = '$5145', identified_name_id = '$5145', can_seal = 0 WHERE item_id = 41123;
UPDATE etcitem SET unidentified_name_id = '$5146', identified_name_id = '$5146', can_seal = 0 WHERE item_id = 41124;
UPDATE etcitem SET unidentified_name_id = '$5147', identified_name_id = '$5147', can_seal = 0 WHERE item_id = 41125;
UPDATE etcitem SET unidentified_name_id = '$5148', identified_name_id = '$5148', can_seal = 0 WHERE item_id = 41126;
UPDATE etcitem SET unidentified_name_id = '$5149', identified_name_id = '$5149', can_seal = 0 WHERE item_id = 41127;
UPDATE etcitem SET unidentified_name_id = '$5150', identified_name_id = '$5150', can_seal = 0 WHERE item_id = 41128;
UPDATE etcitem SET unidentified_name_id = '$5158', identified_name_id = '$5158', can_seal = 0 WHERE item_id = 41129;
UPDATE etcitem SET unidentified_name_id = '$5189', identified_name_id = '$5189', can_seal = 0 WHERE item_id = 41130;
UPDATE etcitem SET unidentified_name_id = '$5161', identified_name_id = '$5161', can_seal = 0 WHERE item_id = 41131;
UPDATE etcitem SET unidentified_name_id = '$5151', identified_name_id = '$5151', can_seal = 0 WHERE item_id = 41132;
UPDATE etcitem SET unidentified_name_id = '$5152', identified_name_id = '$5152', can_seal = 0 WHERE item_id = 41133;
UPDATE etcitem SET unidentified_name_id = '$5153', identified_name_id = '$5153', can_seal = 0 WHERE item_id = 41134;
UPDATE etcitem SET unidentified_name_id = '$5154', identified_name_id = '$5154', can_seal = 0 WHERE item_id = 41135;
UPDATE etcitem SET unidentified_name_id = '$5155', identified_name_id = '$5155', can_seal = 0 WHERE item_id = 41136;
UPDATE etcitem SET unidentified_name_id = '$5156', identified_name_id = '$5156', can_seal = 0 WHERE item_id = 41137;
UPDATE etcitem SET unidentified_name_id = '$5157', identified_name_id = '$5157', can_seal = 0 WHERE item_id = 41138;
UPDATE etcitem SET unidentified_name_id = '$4836', identified_name_id = '$4836', can_seal = 0 WHERE item_id = 41139;
UPDATE etcitem SET unidentified_name_id = '$4837', identified_name_id = '$4837', can_seal = 0 WHERE item_id = 41140;
UPDATE etcitem SET unidentified_name_id = '$5127', identified_name_id = '$5127', can_seal = 0 WHERE item_id = 41141;
UPDATE etcitem SET unidentified_name_id = '$5128', identified_name_id = '$5128', can_seal = 0 WHERE item_id = 41142;
UPDATE etcitem SET unidentified_name_id = '$5129', identified_name_id = '$5129', can_seal = 0 WHERE item_id = 41143;
UPDATE etcitem SET unidentified_name_id = '$5133', identified_name_id = '$5133', can_seal = 0 WHERE item_id = 41144;
UPDATE etcitem SET unidentified_name_id = '$5134', identified_name_id = '$5134', can_seal = 0 WHERE item_id = 41145;
UPDATE etcitem SET unidentified_name_id = '$10001', identified_name_id = '$10001', can_seal = 0 WHERE item_id = 41146;
UPDATE etcitem SET unidentified_name_id = '$4712', identified_name_id = '$4712', can_seal = 0 WHERE item_id = 41147;
UPDATE etcitem SET unidentified_name_id = '$4713', identified_name_id = '$4713', can_seal = 0 WHERE item_id = 41148;
UPDATE etcitem SET unidentified_name_id = '$4714', identified_name_id = '$4714', can_seal = 0 WHERE item_id = 41149;
UPDATE etcitem SET unidentified_name_id = '$4715', identified_name_id = '$4715', can_seal = 0 WHERE item_id = 41150;
UPDATE etcitem SET unidentified_name_id = '$4716', identified_name_id = '$4716', can_seal = 0 WHERE item_id = 41151;
UPDATE etcitem SET unidentified_name_id = '$4717', identified_name_id = '$4717', can_seal = 0 WHERE item_id = 41152;
UPDATE etcitem SET unidentified_name_id = '$4718', identified_name_id = '$4718', can_seal = 0 WHERE item_id = 41153;
UPDATE etcitem SET unidentified_name_id = '$4474', identified_name_id = '$4474', can_seal = 0 WHERE item_id = 41154;
UPDATE etcitem SET unidentified_name_id = '$4475', identified_name_id = '$4475', can_seal = 0 WHERE item_id = 41155;
UPDATE etcitem SET unidentified_name_id = '$4476', identified_name_id = '$4476', can_seal = 0 WHERE item_id = 41156;
UPDATE etcitem SET unidentified_name_id = '$4392', identified_name_id = '$4392', can_seal = 0 WHERE item_id = 41157;
UPDATE etcitem SET unidentified_name_id = '$4864', identified_name_id = '$4864', can_seal = 0 WHERE item_id = 41158;
UPDATE etcitem SET unidentified_name_id = '$5116', identified_name_id = '$5116', can_seal = 0 WHERE item_id = 41159;
UPDATE etcitem SET unidentified_name_id = '$4288', identified_name_id = '$4288', can_seal = 0 WHERE item_id = 41160;
UPDATE etcitem SET unidentified_name_id = '$4502', identified_name_id = '$4502', can_seal = 0 WHERE item_id = 41161;
UPDATE etcitem SET unidentified_name_id = '$4502', identified_name_id = '$4502', can_seal = 0 WHERE item_id = 41162;
UPDATE etcitem SET unidentified_name_id = '$4502', identified_name_id = '$4502', can_seal = 0 WHERE item_id = 41163;
UPDATE etcitem SET unidentified_name_id = '$4503', identified_name_id = '$4503', can_seal = 0 WHERE item_id = 41164;
UPDATE etcitem SET unidentified_name_id = '$4511', identified_name_id = '$4511', can_seal = 0 WHERE item_id = 41165;
UPDATE etcitem SET unidentified_name_id = '$4507', identified_name_id = '$4507', can_seal = 0 WHERE item_id = 41166;
UPDATE etcitem SET unidentified_name_id = '$4504', identified_name_id = '$4504', can_seal = 0 WHERE item_id = 41167;
UPDATE etcitem SET unidentified_name_id = '$4512', identified_name_id = '$4512', can_seal = 0 WHERE item_id = 41168;
UPDATE etcitem SET unidentified_name_id = '$4508', identified_name_id = '$4508', can_seal = 0 WHERE item_id = 41169;
UPDATE etcitem SET unidentified_name_id = '$4505', identified_name_id = '$4505', can_seal = 0 WHERE item_id = 41170;
UPDATE etcitem SET unidentified_name_id = '$4513', identified_name_id = '$4513', can_seal = 0 WHERE item_id = 41171;
UPDATE etcitem SET unidentified_name_id = '$4509', identified_name_id = '$4509', can_seal = 0 WHERE item_id = 41172;
UPDATE etcitem SET unidentified_name_id = '$4479', identified_name_id = '$4479', can_seal = 0 WHERE item_id = 41173;
UPDATE etcitem SET unidentified_name_id = '$4479', identified_name_id = '$4479', can_seal = 0 WHERE item_id = 41174;
UPDATE etcitem SET unidentified_name_id = '$4479', identified_name_id = '$4479', can_seal = 0 WHERE item_id = 41175;
UPDATE etcitem SET unidentified_name_id = '$4514', identified_name_id = '$4514', can_seal = 0 WHERE item_id = 41176;
UPDATE etcitem SET unidentified_name_id = '$4520', identified_name_id = '$4520', can_seal = 0 WHERE item_id = 41177;
UPDATE etcitem SET unidentified_name_id = '$4517', identified_name_id = '$4517', can_seal = 0 WHERE item_id = 41178;
UPDATE etcitem SET unidentified_name_id = '$4515', identified_name_id = '$4515', can_seal = 0 WHERE item_id = 41179;
UPDATE etcitem SET unidentified_name_id = '$4521', identified_name_id = '$4521', can_seal = 0 WHERE item_id = 41180;
UPDATE etcitem SET unidentified_name_id = '$4518', identified_name_id = '$4518', can_seal = 0 WHERE item_id = 41181;
UPDATE etcitem SET unidentified_name_id = '$4516', identified_name_id = '$4516', can_seal = 0 WHERE item_id = 41182;
UPDATE etcitem SET unidentified_name_id = '$4522', identified_name_id = '$4522', can_seal = 0 WHERE item_id = 41183;
UPDATE etcitem SET unidentified_name_id = '$4519', identified_name_id = '$4519', can_seal = 0 WHERE item_id = 41184;
UPDATE etcitem SET unidentified_name_id = '$4559', identified_name_id = '$4559', can_seal = 0 WHERE item_id = 41185;
UPDATE etcitem SET unidentified_name_id = '$4551', identified_name_id = '$4551', can_seal = 0 WHERE item_id = 41186;
UPDATE etcitem SET unidentified_name_id = '$4543', identified_name_id = '$4543', can_seal = 0 WHERE item_id = 41187;
UPDATE etcitem SET unidentified_name_id = '$4567', identified_name_id = '$4567', can_seal = 0 WHERE item_id = 41188;
UPDATE etcitem SET unidentified_name_id = '$4560', identified_name_id = '$4560', can_seal = 0 WHERE item_id = 41189;
UPDATE etcitem SET unidentified_name_id = '$4552', identified_name_id = '$4552', can_seal = 0 WHERE item_id = 41190;
UPDATE etcitem SET unidentified_name_id = '$4544', identified_name_id = '$4544', can_seal = 0 WHERE item_id = 41191;
UPDATE etcitem SET unidentified_name_id = '$4568', identified_name_id = '$4568', can_seal = 0 WHERE item_id = 41192;
UPDATE etcitem SET unidentified_name_id = '$4561', identified_name_id = '$4561', can_seal = 0 WHERE item_id = 41193;
UPDATE etcitem SET unidentified_name_id = '$4553', identified_name_id = '$4553', can_seal = 0 WHERE item_id = 41194;
UPDATE etcitem SET unidentified_name_id = '$4545', identified_name_id = '$4545', can_seal = 0 WHERE item_id = 41195;
UPDATE etcitem SET unidentified_name_id = '$4569', identified_name_id = '$4569', can_seal = 0 WHERE item_id = 41196;
UPDATE etcitem SET unidentified_name_id = '$4562', identified_name_id = '$4562', can_seal = 0 WHERE item_id = 41197;
UPDATE etcitem SET unidentified_name_id = '$4554', identified_name_id = '$4554', can_seal = 0 WHERE item_id = 41198;
UPDATE etcitem SET unidentified_name_id = '$4546', identified_name_id = '$4546', can_seal = 0 WHERE item_id = 41199;
UPDATE etcitem SET unidentified_name_id = '$4570', identified_name_id = '$4570', can_seal = 0 WHERE item_id = 41200;
UPDATE etcitem SET unidentified_name_id = '$4980', identified_name_id = '$4980', can_seal = 0 WHERE item_id = 41201;
UPDATE etcitem SET unidentified_name_id = '$4981', identified_name_id = '$4981', can_seal = 0 WHERE item_id = 41202;
UPDATE etcitem SET unidentified_name_id = '$4982', identified_name_id = '$4982', can_seal = 0 WHERE item_id = 41203;
UPDATE etcitem SET unidentified_name_id = '$4983', identified_name_id = '$4983', can_seal = 0 WHERE item_id = 41204;
UPDATE etcitem SET unidentified_name_id = '$4984', identified_name_id = '$4984', can_seal = 0 WHERE item_id = 41205;
UPDATE etcitem SET unidentified_name_id = '$4985', identified_name_id = '$4985', can_seal = 0 WHERE item_id = 41206;
UPDATE etcitem SET unidentified_name_id = '$4941', identified_name_id = '$4941', can_seal = 0 WHERE item_id = 41207;
UPDATE etcitem SET unidentified_name_id = '$4940', identified_name_id = '$4940', can_seal = 0 WHERE item_id = 41208;
UPDATE etcitem SET unidentified_name_id = '$10002', identified_name_id = '$10002', can_seal = 0 WHERE item_id = 41209;
UPDATE etcitem SET unidentified_name_id = '$10003', identified_name_id = '$10003', can_seal = 0 WHERE item_id = 41210;
UPDATE etcitem SET unidentified_name_id = '$1191', identified_name_id = '$1191', can_seal = 0 WHERE item_id = 41211;
UPDATE etcitem SET unidentified_name_id = '$10005', identified_name_id = '$10005', can_seal = 0 WHERE item_id = 41212;
UPDATE etcitem SET unidentified_name_id = '$10006', identified_name_id = '$10006', can_seal = 0 WHERE item_id = 41213;
UPDATE etcitem SET unidentified_name_id = '$10012', identified_name_id = '$10012', can_seal = 0 WHERE item_id = 41214;
UPDATE etcitem SET unidentified_name_id = '$10010', identified_name_id = '$10010', can_seal = 0 WHERE item_id = 41215;
UPDATE etcitem SET unidentified_name_id = '$10011', identified_name_id = '$10011', can_seal = 0 WHERE item_id = 41216;
UPDATE etcitem SET unidentified_name_id = '$10028', identified_name_id = '$10028', can_seal = 0 WHERE item_id = 41217;
UPDATE etcitem SET unidentified_name_id = '$10029', identified_name_id = '$10029', can_seal = 0 WHERE item_id = 41218;
UPDATE etcitem SET unidentified_name_id = '$10030', identified_name_id = '$10030', can_seal = 0 WHERE item_id = 41219;
UPDATE etcitem SET unidentified_name_id = '$10031', identified_name_id = '$10031', can_seal = 0 WHERE item_id = 41220;
UPDATE etcitem SET unidentified_name_id = '$3536', identified_name_id = '$3536', can_seal = 0 WHERE item_id = 41221;
UPDATE etcitem SET unidentified_name_id = '$10008', identified_name_id = '$10008', can_seal = 0 WHERE item_id = 41222;
UPDATE etcitem SET unidentified_name_id = '$10007', identified_name_id = '$10007', can_seal = 0 WHERE item_id = 41223;
UPDATE etcitem SET unidentified_name_id = '$10009', identified_name_id = '$10009', can_seal = 0 WHERE item_id = 41224;
UPDATE etcitem SET unidentified_name_id = '$10013', identified_name_id = '$10013', can_seal = 0 WHERE item_id = 41225;
UPDATE etcitem SET unidentified_name_id = '$10014', identified_name_id = '$10014', can_seal = 0 WHERE item_id = 41226;
UPDATE etcitem SET unidentified_name_id = '$10033', identified_name_id = '$10033', can_seal = 0 WHERE item_id = 41227;
UPDATE etcitem SET unidentified_name_id = '$10034', identified_name_id = '$10034', can_seal = 0 WHERE item_id = 41228;
UPDATE etcitem SET unidentified_name_id = '$10025', identified_name_id = '$10025', can_seal = 0 WHERE item_id = 41229;
UPDATE etcitem SET unidentified_name_id = '$10020', identified_name_id = '$10020', can_seal = 0 WHERE item_id = 41230;
UPDATE etcitem SET unidentified_name_id = '$10021', identified_name_id = '$10021', can_seal = 0 WHERE item_id = 41231;
UPDATE etcitem SET unidentified_name_id = '$10016', identified_name_id = '$10016', can_seal = 0 WHERE item_id = 41232;
UPDATE etcitem SET unidentified_name_id = '$10019', identified_name_id = '$10019', can_seal = 0 WHERE item_id = 41233;
UPDATE etcitem SET unidentified_name_id = '$10023', identified_name_id = '$10023', can_seal = 0 WHERE item_id = 41234;
UPDATE etcitem SET unidentified_name_id = '$10024', identified_name_id = '$10024', can_seal = 0 WHERE item_id = 41235;
UPDATE etcitem SET unidentified_name_id = '$10026', identified_name_id = '$10026', can_seal = 0 WHERE item_id = 41236;
UPDATE etcitem SET unidentified_name_id = '$10027', identified_name_id = '$10027', can_seal = 0 WHERE item_id = 41237;
UPDATE etcitem SET unidentified_name_id = '$10017', identified_name_id = '$10017', can_seal = 0 WHERE item_id = 41238;
UPDATE etcitem SET unidentified_name_id = '$10018', identified_name_id = '$10018', can_seal = 0 WHERE item_id = 41239;
UPDATE etcitem SET unidentified_name_id = '$10022', identified_name_id = '$10022', can_seal = 0 WHERE item_id = 41240;
UPDATE etcitem SET unidentified_name_id = '$10015', identified_name_id = '$10015', can_seal = 0 WHERE item_id = 41241;
UPDATE etcitem SET unidentified_name_id = '$4362', identified_name_id = '$4362', can_seal = 0 WHERE item_id = 41242;
UPDATE etcitem SET unidentified_name_id = '$2172 ????? $230', identified_name_id = '$2172 ????? $230', can_seal = 0 WHERE item_id = 42001;
UPDATE etcitem SET unidentified_name_id = '?????1? $230', identified_name_id = '?????1? $230', can_seal = 0 WHERE item_id = 42002;
UPDATE etcitem SET unidentified_name_id = '?????2? $230', identified_name_id = '?????2? $230', can_seal = 0 WHERE item_id = 42003;
UPDATE etcitem SET unidentified_name_id = '?????3? $230', identified_name_id = '?????3? $230', can_seal = 0 WHERE item_id = 42004;
UPDATE etcitem SET unidentified_name_id = '????1? $230', identified_name_id = '????1? $230', can_seal = 0 WHERE item_id = 42005;
UPDATE etcitem SET unidentified_name_id = '???????1? $230', identified_name_id = '???????1? $230', can_seal = 0 WHERE item_id = 42006;
UPDATE etcitem SET unidentified_name_id = '?????? $230', identified_name_id = '?????? $230', can_seal = 0 WHERE item_id = 42007;
UPDATE etcitem SET unidentified_name_id = '???????2? $230', identified_name_id = '???????2? $230', can_seal = 0 WHERE item_id = 42008;
UPDATE etcitem SET unidentified_name_id = '???????3? $230', identified_name_id = '???????3? $230', can_seal = 0 WHERE item_id = 42009;
UPDATE etcitem SET unidentified_name_id = '???????4? $230', identified_name_id = '???????4? $230', can_seal = 0 WHERE item_id = 42010;
UPDATE etcitem SET unidentified_name_id = '??????1? ??? $230', identified_name_id = '??????1? ??? $230', can_seal = 0 WHERE item_id = 42011;
UPDATE etcitem SET unidentified_name_id = '??????1? ????? $230', identified_name_id = '??????1? ????? $230', can_seal = 0 WHERE item_id = 42012;
UPDATE etcitem SET unidentified_name_id = '??????1? ???????? $230', identified_name_id = '??????1? ???????? $230', can_seal = 0 WHERE item_id = 42013;
UPDATE etcitem SET unidentified_name_id = '??????1? ????? $230', identified_name_id = '??????1? ????? $230', can_seal = 0 WHERE item_id = 42014;
UPDATE etcitem SET unidentified_name_id = '??????1? ????? $230', identified_name_id = '??????1? ????? $230', can_seal = 0 WHERE item_id = 42016;
UPDATE etcitem SET unidentified_name_id = '???? $230', identified_name_id = '???? $230', can_seal = 0 WHERE item_id = 42017;
UPDATE etcitem SET unidentified_name_id = '??????1? ????? $230', identified_name_id = '??????1? ????? $230', can_seal = 0 WHERE item_id = 42018;
UPDATE etcitem SET unidentified_name_id = '??????1? ???? $230', identified_name_id = '??????1? ???? $230', can_seal = 0 WHERE item_id = 42019;
UPDATE etcitem SET unidentified_name_id = '??????2? ?????? $230', identified_name_id = '??????2? ?????? $230', can_seal = 0 WHERE item_id = 42020;
UPDATE etcitem SET unidentified_name_id = '???? $230', identified_name_id = '???? $230', can_seal = 0 WHERE item_id = 42021;
UPDATE etcitem SET unidentified_name_id = '???? $230', identified_name_id = '???? $230', can_seal = 0 WHERE item_id = 42022;
UPDATE etcitem SET unidentified_name_id = '?????????? $230', identified_name_id = '?????????? $230', can_seal = 0 WHERE item_id = 42023;
UPDATE etcitem SET unidentified_name_id = '$967 ???? $230', identified_name_id = '$967 ???? $230', can_seal = 0 WHERE item_id = 42024;
UPDATE etcitem SET unidentified_name_id = '$968 ???? $230', identified_name_id = '$968 ???? $230', can_seal = 0 WHERE item_id = 42025;
UPDATE etcitem SET unidentified_name_id = '$2129 $1435 $230', identified_name_id = '$2129 $1435 $230', can_seal = 0 WHERE item_id = 42026;
UPDATE etcitem SET unidentified_name_id = 'GM???? $505', identified_name_id = 'GM???? $505', can_seal = 0 WHERE item_id = 42027;
UPDATE etcitem SET unidentified_name_id = '?????????7? $230', identified_name_id = '?????????7? $230', can_seal = 0 WHERE item_id = 42028;
UPDATE etcitem SET unidentified_name_id = '????100? $230', identified_name_id = '????100? $230', can_seal = 0 WHERE item_id = 42029;
UPDATE etcitem SET unidentified_name_id = '????90? $230', identified_name_id = '????90? $230', can_seal = 0 WHERE item_id = 42030;
UPDATE etcitem SET unidentified_name_id = '????80? $230', identified_name_id = '????80? $230', can_seal = 0 WHERE item_id = 42031;
UPDATE etcitem SET unidentified_name_id = '????70? $230', identified_name_id = '????70? $230', can_seal = 0 WHERE item_id = 42032;
UPDATE etcitem SET unidentified_name_id = '????60? $230', identified_name_id = '????60? $230', can_seal = 0 WHERE item_id = 42033;
UPDATE etcitem SET unidentified_name_id = '????50? $230', identified_name_id = '????50? $230', can_seal = 0 WHERE item_id = 42035;
UPDATE etcitem SET unidentified_name_id = '????40? $230', identified_name_id = '????40? $230', can_seal = 0 WHERE item_id = 42036;
UPDATE etcitem SET unidentified_name_id = '????30? $230', identified_name_id = '????30? $230', can_seal = 0 WHERE item_id = 42037;
UPDATE etcitem SET unidentified_name_id = '????20? $230', identified_name_id = '????20? $230', can_seal = 0 WHERE item_id = 42038;
UPDATE etcitem SET unidentified_name_id = '????10? $230', identified_name_id = '????10? $230', can_seal = 0 WHERE item_id = 42039;
UPDATE etcitem SET unidentified_name_id = '??????1? $230', identified_name_id = '??????1? $230', can_seal = 0 WHERE item_id = 42040;
UPDATE etcitem SET unidentified_name_id = '??????2? $230', identified_name_id = '??????2? $230', can_seal = 0 WHERE item_id = 42041;
UPDATE etcitem SET unidentified_name_id = '??????3? $230', identified_name_id = '??????3? $230', can_seal = 0 WHERE item_id = 42042;
UPDATE etcitem SET unidentified_name_id = '??? $230', identified_name_id = '??? $230', can_seal = 0 WHERE item_id = 42043;
UPDATE etcitem SET unidentified_name_id = '$2172 $230', identified_name_id = '$2172 $230', can_seal = 0 WHERE item_id = 42044;
UPDATE etcitem SET unidentified_name_id = '?????? $230', identified_name_id = '?????? $230', can_seal = 0 WHERE item_id = 42045;
UPDATE etcitem SET unidentified_name_id = '?????? $230', identified_name_id = '?????? $230', can_seal = 0 WHERE item_id = 42046;
UPDATE etcitem SET unidentified_name_id = '?????3? $230', identified_name_id = '?????3? $230', can_seal = 0 WHERE item_id = 42047;
UPDATE etcitem SET unidentified_name_id = '?????? $230', identified_name_id = '?????? $230', can_seal = 0 WHERE item_id = 42048;
UPDATE etcitem SET unidentified_name_id = '?????? $230', identified_name_id = '?????? $230', can_seal = 0 WHERE item_id = 42049;
UPDATE etcitem SET unidentified_name_id = '????????', identified_name_id = '????????', can_seal = 0 WHERE item_id = 42050;
UPDATE etcitem SET unidentified_name_id = '?????? $230', identified_name_id = '?????? $230', can_seal = 0 WHERE item_id = 42051;
UPDATE etcitem SET unidentified_name_id = '????1? $230', identified_name_id = '????1? $230', can_seal = 0 WHERE item_id = 42052;
UPDATE etcitem SET unidentified_name_id = '????2? $230', identified_name_id = '????2? $230', can_seal = 0 WHERE item_id = 42053;
UPDATE etcitem SET unidentified_name_id = '????3? $230', identified_name_id = '????3? $230', can_seal = 0 WHERE item_id = 42054;
UPDATE etcitem SET unidentified_name_id = '$2025', identified_name_id = '$2025', can_seal = 0 WHERE item_id = 43000;
UPDATE etcitem SET unidentified_name_id = '$517', identified_name_id = '$517', can_seal = 0 WHERE item_id = 45000;
UPDATE etcitem SET unidentified_name_id = '$518', identified_name_id = '$518', can_seal = 0 WHERE item_id = 45001;
UPDATE etcitem SET unidentified_name_id = '$519', identified_name_id = '$519', can_seal = 0 WHERE item_id = 45002;
UPDATE etcitem SET unidentified_name_id = '$520', identified_name_id = '$520', can_seal = 0 WHERE item_id = 45003;
UPDATE etcitem SET unidentified_name_id = '$521', identified_name_id = '$521', can_seal = 0 WHERE item_id = 45004;
UPDATE etcitem SET unidentified_name_id = '$1581', identified_name_id = '$1581', can_seal = 0 WHERE item_id = 45005;
UPDATE etcitem SET unidentified_name_id = '$1582', identified_name_id = '$1582', can_seal = 0 WHERE item_id = 45006;
UPDATE etcitem SET unidentified_name_id = '$1857', identified_name_id = '$1857', can_seal = 0 WHERE item_id = 45007;
UPDATE etcitem SET unidentified_name_id = '$522', identified_name_id = '$522', can_seal = 0 WHERE item_id = 45008;
UPDATE etcitem SET unidentified_name_id = '$523', identified_name_id = '$523', can_seal = 0 WHERE item_id = 45009;
UPDATE etcitem SET unidentified_name_id = '$524', identified_name_id = '$524', can_seal = 0 WHERE item_id = 45010;
UPDATE etcitem SET unidentified_name_id = '$525', identified_name_id = '$525', can_seal = 0 WHERE item_id = 45011;
UPDATE etcitem SET unidentified_name_id = '$526', identified_name_id = '$526', can_seal = 0 WHERE item_id = 45012;
UPDATE etcitem SET unidentified_name_id = '$1858', identified_name_id = '$1858', can_seal = 0 WHERE item_id = 45013;
UPDATE etcitem SET unidentified_name_id = '$1584', identified_name_id = '$1584', can_seal = 0 WHERE item_id = 45014;
UPDATE etcitem SET unidentified_name_id = '$1583', identified_name_id = '$1583', can_seal = 0 WHERE item_id = 45015;
UPDATE etcitem SET unidentified_name_id = '$527', identified_name_id = '$527', can_seal = 0 WHERE item_id = 45016;
UPDATE etcitem SET unidentified_name_id = '$1585', identified_name_id = '$1585', can_seal = 0 WHERE item_id = 45017;
UPDATE etcitem SET unidentified_name_id = '$529', identified_name_id = '$529', can_seal = 0 WHERE item_id = 45018;
UPDATE etcitem SET unidentified_name_id = '$530', identified_name_id = '$530', can_seal = 0 WHERE item_id = 45019;
UPDATE etcitem SET unidentified_name_id = '$531', identified_name_id = '$531', can_seal = 0 WHERE item_id = 45020;
UPDATE etcitem SET unidentified_name_id = '$528', identified_name_id = '$528', can_seal = 0 WHERE item_id = 45021;
UPDATE etcitem SET unidentified_name_id = '$1859', identified_name_id = '$1859', can_seal = 0 WHERE item_id = 45022;
UPDATE etcitem SET unidentified_name_id = '$3052', identified_name_id = '$3052', can_seal = 0 WHERE item_id = 49005;
UPDATE etcitem SET unidentified_name_id = '$3052', identified_name_id = '$3052', can_seal = 0 WHERE item_id = 49006;
UPDATE etcitem SET unidentified_name_id = '$3052', identified_name_id = '$3052', can_seal = 0 WHERE item_id = 49007;
UPDATE etcitem SET unidentified_name_id = '$3052', identified_name_id = '$3052', can_seal = 0 WHERE item_id = 49008;
UPDATE etcitem SET unidentified_name_id = '$3184', identified_name_id = '$3184', can_seal = 0 WHERE item_id = 49009;
UPDATE etcitem SET unidentified_name_id = '$3184', identified_name_id = '$3184', can_seal = 0 WHERE item_id = 49010;
UPDATE etcitem SET unidentified_name_id = '$3184', identified_name_id = '$3184', can_seal = 0 WHERE item_id = 49011;
UPDATE etcitem SET unidentified_name_id = '$3184', identified_name_id = '$3184', can_seal = 0 WHERE item_id = 49012;
UPDATE etcitem SET unidentified_name_id = '$2988', identified_name_id = '$2988', can_seal = 0 WHERE item_id = 49013;
UPDATE etcitem SET unidentified_name_id = '$2989', identified_name_id = '$2989', can_seal = 0 WHERE item_id = 49014;
UPDATE etcitem SET unidentified_name_id = '$4624', identified_name_id = '$4624', can_seal = 0 WHERE item_id = 49015;
UPDATE etcitem SET unidentified_name_id = '$1075', identified_name_id = '$1075', can_seal = 0 WHERE item_id = 49016;
UPDATE etcitem SET unidentified_name_id = '$1075', identified_name_id = '$1075', can_seal = 0 WHERE item_id = 49017;
UPDATE etcitem SET unidentified_name_id = '$1146', identified_name_id = '$1146', can_seal = 0 WHERE item_id = 49018;
UPDATE etcitem SET unidentified_name_id = '$1146', identified_name_id = '$1146', can_seal = 0 WHERE item_id = 49019;
UPDATE etcitem SET unidentified_name_id = '$1606', identified_name_id = '$1606', can_seal = 0 WHERE item_id = 49020;
UPDATE etcitem SET unidentified_name_id = '$1606', identified_name_id = '$1606', can_seal = 0 WHERE item_id = 49021;
UPDATE etcitem SET unidentified_name_id = '$1619 $1623', identified_name_id = '$1619 $1623', can_seal = 0 WHERE item_id = 49022;
UPDATE etcitem SET unidentified_name_id = '$1619 $1623', identified_name_id = '$1619 $1623', can_seal = 0 WHERE item_id = 49023;
UPDATE etcitem SET unidentified_name_id = '$1620 $1623', identified_name_id = '$1620 $1623', can_seal = 0 WHERE item_id = 49024;
UPDATE etcitem SET unidentified_name_id = '$1620 $1623', identified_name_id = '$1620 $1623', can_seal = 0 WHERE item_id = 49025;
UPDATE etcitem SET unidentified_name_id = '$28', identified_name_id = '$258', can_seal = 0 WHERE item_id = 140006;
UPDATE etcitem SET unidentified_name_id = '$27', identified_name_id = '$260', can_seal = 0 WHERE item_id = 140008;
UPDATE etcitem SET unidentified_name_id = '$26', identified_name_id = '$26', can_seal = 0 WHERE item_id = 140010;
UPDATE etcitem SET unidentified_name_id = '$235', identified_name_id = '$235', can_seal = 0 WHERE item_id = 140011;
UPDATE etcitem SET unidentified_name_id = '$238', identified_name_id = '$238', can_seal = 0 WHERE item_id = 140012;
UPDATE etcitem SET unidentified_name_id = '$3302', identified_name_id = '$3302', can_seal = 0 WHERE item_id = 40030;
UPDATE etcitem SET unidentified_name_id = '$943', identified_name_id = '$943', can_seal = 0 WHERE item_id = 140014;
UPDATE etcitem SET unidentified_name_id = '$232', identified_name_id = '$507', can_seal = 0 WHERE item_id = 140015;
UPDATE etcitem SET unidentified_name_id = '$944', identified_name_id = '$944', can_seal = 0 WHERE item_id = 140016;
UPDATE etcitem SET unidentified_name_id = '$1652 $234', identified_name_id = '$1652 $264', can_seal = 0 WHERE item_id = 140018;
UPDATE etcitem SET unidentified_name_id = '$82', identified_name_id = '$82', can_seal = 0 WHERE item_id = 140061;
UPDATE etcitem SET unidentified_name_id = '$107', identified_name_id = '$107', can_seal = 0 WHERE item_id = 140062;
UPDATE etcitem SET unidentified_name_id = '$1179', identified_name_id = '$1179', can_seal = 0 WHERE item_id = 140065;
UPDATE etcitem SET unidentified_name_id = '$110', identified_name_id = '$110', can_seal = 0 WHERE item_id = 140068;
UPDATE etcitem SET unidentified_name_id = '$85', identified_name_id = '$85', can_seal = 0 WHERE item_id = 140069;
UPDATE etcitem SET unidentified_name_id = '$86', identified_name_id = '$86', can_seal = 0 WHERE item_id = 140072;
UPDATE etcitem SET unidentified_name_id = '$249', identified_name_id = '$249', can_seal = 0 WHERE item_id = 140074;
UPDATE etcitem SET unidentified_name_id = '$244', identified_name_id = '$244', can_seal = 0 WHERE item_id = 140087;
UPDATE etcitem SET unidentified_name_id = '$971', identified_name_id = '$971', can_seal = 0 WHERE item_id = 140088;
UPDATE etcitem SET unidentified_name_id = '$257', identified_name_id = '$257', can_seal = 0 WHERE item_id = 140089;
UPDATE etcitem SET unidentified_name_id = '$230', identified_name_id = '$230', can_seal = 0 WHERE item_id = 140100;
UPDATE etcitem SET unidentified_name_id = '$243', identified_name_id = '$243', can_seal = 0 WHERE item_id = 140119;
UPDATE etcitem SET unidentified_name_id = '$3359', identified_name_id = '$3359', can_seal = 0 WHERE item_id = 140129;
UPDATE etcitem SET unidentified_name_id = '$3360', identified_name_id = '$3360', can_seal = 0 WHERE item_id = 140130;
UPDATE etcitem SET unidentified_name_id = '$3494', identified_name_id = '$3494', can_seal = 0 WHERE item_id = 140329;
UPDATE etcitem SET unidentified_name_id = '$794', identified_name_id = '$794', can_seal = 0 WHERE item_id = 140506;
UPDATE etcitem SET unidentified_name_id = '$26', identified_name_id = '$26', can_seal = 0 WHERE item_id = 240010;
UPDATE etcitem SET unidentified_name_id = '$249', identified_name_id = '$249', can_seal = 0 WHERE item_id = 240074;
UPDATE etcitem SET unidentified_name_id = '$244', identified_name_id = '$244', can_seal = 0 WHERE item_id = 240087;
UPDATE etcitem SET unidentified_name_id = '$4352', identified_name_id = '$4352', can_seal = 0 WHERE item_id = 41243;
UPDATE etcitem SET unidentified_name_id = '$4325', identified_name_id = '$4325', can_seal = 0 WHERE item_id = 41244;
UPDATE etcitem SET unidentified_name_id = '$5239', identified_name_id = '$5239', can_seal = 0 WHERE item_id = 41245;
UPDATE etcitem SET unidentified_name_id = '$5240', identified_name_id = '$5240', can_seal = 0 WHERE item_id = 41246;
UPDATE etcitem SET unidentified_name_id = '$3450', identified_name_id = '$3450', can_seal = 0 WHERE item_id = 41247;
UPDATE etcitem SET unidentified_name_id = '$5226', identified_name_id = '$5226', can_seal = 1 WHERE item_id = 41248;
UPDATE etcitem SET unidentified_name_id = '$5227', identified_name_id = '$5227', can_seal = 1 WHERE item_id = 41249;
UPDATE etcitem SET unidentified_name_id = '$5225', identified_name_id = '$5225', can_seal = 1 WHERE item_id = 41250;
UPDATE etcitem SET unidentified_name_id = '$5235', identified_name_id = '$5235', can_seal = 0 WHERE item_id = 41251;
UPDATE etcitem SET unidentified_name_id = '$5248', identified_name_id = '$5248', can_seal = 0 WHERE item_id = 41252;
UPDATE etcitem SET unidentified_name_id = '$3447', identified_name_id = '$3447', can_seal = 0 WHERE item_id = 41253;
UPDATE etcitem SET unidentified_name_id = '$5306', identified_name_id = '$5306', can_seal = 0 WHERE item_id = 41254;
UPDATE etcitem SET unidentified_name_id = '$4923', identified_name_id = '$4923', can_seal = 0 WHERE item_id = 41255;
UPDATE etcitem SET unidentified_name_id = '$4924', identified_name_id = '$4924', can_seal = 0 WHERE item_id = 41256;
UPDATE etcitem SET unidentified_name_id = '$4925', identified_name_id = '$4925', can_seal = 0 WHERE item_id = 41257;
UPDATE etcitem SET unidentified_name_id = '$4926', identified_name_id = '$4926', can_seal = 0 WHERE item_id = 41258;
UPDATE etcitem SET unidentified_name_id = '$4927', identified_name_id = '$4927', can_seal = 0 WHERE item_id = 41259;
UPDATE etcitem SET unidentified_name_id = '$4922', identified_name_id = '$4922', can_seal = 0 WHERE item_id = 41260;
UPDATE etcitem SET unidentified_name_id = '$4938', identified_name_id = '$4938', can_seal = 0 WHERE item_id = 41261;
UPDATE etcitem SET unidentified_name_id = '$4750', identified_name_id = '$4750', can_seal = 0 WHERE item_id = 41262;
UPDATE etcitem SET unidentified_name_id = '$4969', identified_name_id = '$4969', can_seal = 0 WHERE item_id = 41263;
UPDATE etcitem SET unidentified_name_id = '$4919', identified_name_id = '$4919', can_seal = 0 WHERE item_id = 41264;
UPDATE etcitem SET unidentified_name_id = '$4918', identified_name_id = '$4918', can_seal = 0 WHERE item_id = 41265;
UPDATE etcitem SET unidentified_name_id = '$4921', identified_name_id = '$4921', can_seal = 0 WHERE item_id = 41266;
UPDATE etcitem SET unidentified_name_id = '$4920', identified_name_id = '$4920', can_seal = 0 WHERE item_id = 41267;
UPDATE etcitem SET unidentified_name_id = '$5106', identified_name_id = '$5106', can_seal = 0 WHERE item_id = 41268;
UPDATE etcitem SET unidentified_name_id = '$4934', identified_name_id = '$4934', can_seal = 0 WHERE item_id = 41269;
UPDATE etcitem SET unidentified_name_id = '$4933', identified_name_id = '$4933', can_seal = 0 WHERE item_id = 41271;
UPDATE etcitem SET unidentified_name_id = '$4935', identified_name_id = '$4935', can_seal = 0 WHERE item_id = 41272;
UPDATE etcitem SET unidentified_name_id = '$4936', identified_name_id = '$4936', can_seal = 0 WHERE item_id = 41273;
UPDATE etcitem SET unidentified_name_id = '$5241', identified_name_id = '$5241', can_seal = 0 WHERE item_id = 41274;
UPDATE etcitem SET unidentified_name_id = '$5242', identified_name_id = '$5242', can_seal = 0 WHERE item_id = 41275;
UPDATE etcitem SET unidentified_name_id = '$5243', identified_name_id = '$5243', can_seal = 0 WHERE item_id = 41276;
UPDATE etcitem SET unidentified_name_id = '$4932', identified_name_id = '$4932', can_seal = 0 WHERE item_id = 41277;
UPDATE etcitem SET unidentified_name_id = '$5218', identified_name_id = '$5218', can_seal = 0 WHERE item_id = 41278;
UPDATE etcitem SET unidentified_name_id = '$4929', identified_name_id = '$4929', can_seal = 0 WHERE item_id = 41279;
UPDATE etcitem SET unidentified_name_id = '$5219', identified_name_id = '$5219', can_seal = 0 WHERE item_id = 41280;
UPDATE etcitem SET unidentified_name_id = '$4930', identified_name_id = '$4930', can_seal = 0 WHERE item_id = 41281;
UPDATE etcitem SET unidentified_name_id = '$4931', identified_name_id = '$4931', can_seal = 0 WHERE item_id = 41282;
UPDATE etcitem SET unidentified_name_id = '$5220', identified_name_id = '$5220', can_seal = 0 WHERE item_id = 41283;
UPDATE etcitem SET unidentified_name_id = '$5221', identified_name_id = '$5221', can_seal = 0 WHERE item_id = 41284;
UPDATE etcitem SET unidentified_name_id = '$4928$4932', identified_name_id = '$4928$4932', can_seal = 0 WHERE item_id = 41285;
UPDATE etcitem SET unidentified_name_id = '$4928$5218', identified_name_id = '$4928$5218', can_seal = 0 WHERE item_id = 41286;
UPDATE etcitem SET unidentified_name_id = '$4928$4929', identified_name_id = '$4928$4929', can_seal = 0 WHERE item_id = 41287;
UPDATE etcitem SET unidentified_name_id = '$4928$5219', identified_name_id = '$4928$5219', can_seal = 0 WHERE item_id = 41288;
UPDATE etcitem SET unidentified_name_id = '$4928$4930', identified_name_id = '$4928$4930', can_seal = 0 WHERE item_id = 41289;
UPDATE etcitem SET unidentified_name_id = '$4928$4931', identified_name_id = '$4928$4931', can_seal = 0 WHERE item_id = 41290;
UPDATE etcitem SET unidentified_name_id = '$4928$5220', identified_name_id = '$4928$5220', can_seal = 0 WHERE item_id = 41291;
UPDATE etcitem SET unidentified_name_id = '$4928$5221', identified_name_id = '$4928$5221', can_seal = 0 WHERE item_id = 41292;
UPDATE etcitem SET unidentified_name_id = '$5246', identified_name_id = '$5246', can_seal = 0 WHERE item_id = 41293;
UPDATE etcitem SET unidentified_name_id = '$5275', identified_name_id = '$5275', can_seal = 0 WHERE item_id = 41294;
UPDATE etcitem SET unidentified_name_id = '$5247', identified_name_id = '$5247', can_seal = 0 WHERE item_id = 41295;
UPDATE etcitem SET unidentified_name_id = '$5249', identified_name_id = '$5249', can_seal = 0 WHERE item_id = 41296;
UPDATE etcitem SET unidentified_name_id = '$5250', identified_name_id = '$5250', can_seal = 0 WHERE item_id = 41297;
UPDATE etcitem SET unidentified_name_id = '$5256', identified_name_id = '$5256', can_seal = 0 WHERE item_id = 41298;
UPDATE etcitem SET unidentified_name_id = '$5257', identified_name_id = '$5257', can_seal = 0 WHERE item_id = 41299;
UPDATE etcitem SET unidentified_name_id = '$5258', identified_name_id = '$5258', can_seal = 0 WHERE item_id = 41300;
UPDATE etcitem SET unidentified_name_id = '$5259', identified_name_id = '$5259', can_seal = 0 WHERE item_id = 41301;
UPDATE etcitem SET unidentified_name_id = '$5260', identified_name_id = '$5260', can_seal = 0 WHERE item_id = 41302;
UPDATE etcitem SET unidentified_name_id = '$5261', identified_name_id = '$5261', can_seal = 0 WHERE item_id = 41303;
UPDATE etcitem SET unidentified_name_id = '$5262', identified_name_id = '$5262', can_seal = 0 WHERE item_id = 41304;
UPDATE etcitem SET unidentified_name_id = '$5264', identified_name_id = '$5264', can_seal = 0 WHERE item_id = 41305;
UPDATE etcitem SET unidentified_name_id = '$5263', identified_name_id = '$5263', can_seal = 0 WHERE item_id = 41306;
UPDATE etcitem SET unidentified_name_id = '$5265', identified_name_id = '$5265', can_seal = 0 WHERE item_id = 41307;
UPDATE etcitem SET unidentified_name_id = '$5287', identified_name_id = '$5287', can_seal = 0 WHERE item_id = 41308;
UPDATE etcitem SET unidentified_name_id = '$5305', identified_name_id = '$5305', can_seal = 0 WHERE item_id = 41309;
UPDATE etcitem SET unidentified_name_id = '$5307', identified_name_id = '$5307', can_seal = 0 WHERE item_id = 41310;
UPDATE etcitem SET unidentified_name_id = '$5308', identified_name_id = '$5308', can_seal = 0 WHERE item_id = 41311;
UPDATE etcitem SET unidentified_name_id = '$5204', identified_name_id = '$5204', can_seal = 0 WHERE item_id = 41312;
UPDATE etcitem SET unidentified_name_id = '$5205', identified_name_id = '$5205', can_seal = 0 WHERE item_id = 41313;
UPDATE etcitem SET unidentified_name_id = '$5206', identified_name_id = '$5206', can_seal = 0 WHERE item_id = 41314;
UPDATE etcitem SET unidentified_name_id = '$5103', identified_name_id = '$5103', can_seal = 0 WHERE item_id = 41315;
UPDATE etcitem SET unidentified_name_id = '$5115', identified_name_id = '$5115', can_seal = 0 WHERE item_id = 41316;
UPDATE etcitem SET unidentified_name_id = '$5211', identified_name_id = '$5211', can_seal = 0 WHERE item_id = 41317;
UPDATE etcitem SET unidentified_name_id = '$5212', identified_name_id = '$5212', can_seal = 0 WHERE item_id = 41318;
UPDATE etcitem SET unidentified_name_id = '$5097', identified_name_id = '$5097', can_seal = 0 WHERE item_id = 41319;
UPDATE etcitem SET unidentified_name_id = '$5098', identified_name_id = '$5098', can_seal = 0 WHERE item_id = 41320;
UPDATE etcitem SET unidentified_name_id = '$5099', identified_name_id = '$5099', can_seal = 0 WHERE item_id = 41321;
UPDATE etcitem SET unidentified_name_id = '$5100', identified_name_id = '$5100', can_seal = 0 WHERE item_id = 41322;
UPDATE etcitem SET unidentified_name_id = '$5101', identified_name_id = '$5101', can_seal = 0 WHERE item_id = 41323;
UPDATE etcitem SET unidentified_name_id = '$5102', identified_name_id = '$5102', can_seal = 0 WHERE item_id = 41324;
UPDATE etcitem SET unidentified_name_id = '$5104', identified_name_id = '$5104', can_seal = 0 WHERE item_id = 41325;
UPDATE etcitem SET unidentified_name_id = '$5104', identified_name_id = '$5104', can_seal = 0 WHERE item_id = 41326;
UPDATE etcitem SET unidentified_name_id = '$5105', identified_name_id = '$5105', can_seal = 0 WHERE item_id = 41327;
UPDATE etcitem SET unidentified_name_id = '$5304', identified_name_id = '$5304', can_seal = 0 WHERE item_id = 41328;
UPDATE etcitem SET unidentified_name_id = '$5192', identified_name_id = '$5192', can_seal = 0 WHERE item_id = 41329;
UPDATE etcitem SET unidentified_name_id = '$5193', identified_name_id = '$5193', can_seal = 0 WHERE item_id = 41330;
UPDATE etcitem SET unidentified_name_id = '$5194', identified_name_id = '$5194', can_seal = 0 WHERE item_id = 41331;
UPDATE etcitem SET unidentified_name_id = '$5195', identified_name_id = '$5195', can_seal = 0 WHERE item_id = 41332;
UPDATE etcitem SET unidentified_name_id = '$5196', identified_name_id = '$5196', can_seal = 0 WHERE item_id = 41333;
UPDATE etcitem SET unidentified_name_id = '$5197', identified_name_id = '$5197', can_seal = 0 WHERE item_id = 41334;
UPDATE etcitem SET unidentified_name_id = '$5198', identified_name_id = '$5198', can_seal = 0 WHERE item_id = 41335;
UPDATE etcitem SET unidentified_name_id = '$5143', identified_name_id = '$5143', can_seal = 0 WHERE item_id = 41336;
UPDATE etcitem SET unidentified_name_id = '$5020', identified_name_id = '$5020', can_seal = 0 WHERE item_id = 41337;
UPDATE etcitem SET unidentified_name_id = '$5019', identified_name_id = '$5019', can_seal = 0 WHERE item_id = 41338;
UPDATE etcitem SET unidentified_name_id = '$5024', identified_name_id = '$5024', can_seal = 0 WHERE item_id = 41339;
UPDATE etcitem SET unidentified_name_id = '$5159', identified_name_id = '$5159', can_seal = 0 WHERE item_id = 41340;
UPDATE etcitem SET unidentified_name_id = '$5028', identified_name_id = '$5028', can_seal = 0 WHERE item_id = 41341;
UPDATE etcitem SET unidentified_name_id = '$5027', identified_name_id = '$5027', can_seal = 0 WHERE item_id = 41342;
UPDATE etcitem SET unidentified_name_id = '$5023', identified_name_id = '$5023', can_seal = 0 WHERE item_id = 41343;
UPDATE etcitem SET unidentified_name_id = '$5025', identified_name_id = '$5025', can_seal = 0 WHERE item_id = 41344;
UPDATE etcitem SET unidentified_name_id = '$5026', identified_name_id = '$5026', can_seal = 0 WHERE item_id = 41345;
UPDATE etcitem SET unidentified_name_id = '$5018', identified_name_id = '$5018', can_seal = 0 WHERE item_id = 41346;
UPDATE etcitem SET unidentified_name_id = '$5018', identified_name_id = '$5018', can_seal = 0 WHERE item_id = 41347;
UPDATE etcitem SET unidentified_name_id = '$5017', identified_name_id = '$5017', can_seal = 0 WHERE item_id = 41348;
UPDATE etcitem SET unidentified_name_id = '$4357', identified_name_id = '$4357', can_seal = 0 WHERE item_id = 41349;
UPDATE etcitem SET unidentified_name_id = '$4345', identified_name_id = '$4345', can_seal = 0 WHERE item_id = 41350;
UPDATE etcitem SET unidentified_name_id = '$4348', identified_name_id = '$4348', can_seal = 0 WHERE item_id = 41351;
UPDATE etcitem SET unidentified_name_id = '$4349', identified_name_id = '$4349', can_seal = 0 WHERE item_id = 41352;
UPDATE etcitem SET unidentified_name_id = '$4351', identified_name_id = '$4351', can_seal = 0 WHERE item_id = 41353;
UPDATE etcitem SET unidentified_name_id = '$4358', identified_name_id = '$4358', can_seal = 0 WHERE item_id = 41354;
UPDATE etcitem SET unidentified_name_id = '$5214', identified_name_id = '$5214', can_seal = 0 WHERE item_id = 41355;
UPDATE etcitem SET unidentified_name_id = '$5215', identified_name_id = '$5215', can_seal = 0 WHERE item_id = 41356;
UPDATE etcitem SET unidentified_name_id = '$5368', identified_name_id = '$5368', can_seal = 0 WHERE item_id = 41357;
UPDATE etcitem SET unidentified_name_id = '$5369', identified_name_id = '$5369', can_seal = 0 WHERE item_id = 41358;
UPDATE etcitem SET unidentified_name_id = '$5370', identified_name_id = '$5370', can_seal = 0 WHERE item_id = 41359;
UPDATE etcitem SET unidentified_name_id = '$5371', identified_name_id = '$5371', can_seal = 0 WHERE item_id = 41360;
UPDATE etcitem SET unidentified_name_id = '$5372', identified_name_id = '$5372', can_seal = 0 WHERE item_id = 41361;
UPDATE etcitem SET unidentified_name_id = '$5373', identified_name_id = '$5373', can_seal = 0 WHERE item_id = 41362;
UPDATE etcitem SET unidentified_name_id = '$5374', identified_name_id = '$5374', can_seal = 0 WHERE item_id = 41363;
UPDATE etcitem SET unidentified_name_id = '$5375', identified_name_id = '$5375', can_seal = 0 WHERE item_id = 41364;
UPDATE etcitem SET unidentified_name_id = '$5376', identified_name_id = '$5376', can_seal = 0 WHERE item_id = 41365;
UPDATE etcitem SET unidentified_name_id = '$5377', identified_name_id = '$5377', can_seal = 0 WHERE item_id = 41366;
UPDATE etcitem SET unidentified_name_id = '$5378', identified_name_id = '$5378', can_seal = 0 WHERE item_id = 41367;
UPDATE etcitem SET unidentified_name_id = '$5379', identified_name_id = '$5379', can_seal = 0 WHERE item_id = 41368;
UPDATE etcitem SET unidentified_name_id = '$5380', identified_name_id = '$5380', can_seal = 0 WHERE item_id = 41369;
UPDATE etcitem SET unidentified_name_id = '$5381', identified_name_id = '$5381', can_seal = 0 WHERE item_id = 41370;
UPDATE etcitem SET unidentified_name_id = '$5382', identified_name_id = '$5382', can_seal = 0 WHERE item_id = 41371;
UPDATE etcitem SET unidentified_name_id = '$5383', identified_name_id = '$5383', can_seal = 0 WHERE item_id = 41372;
UPDATE etcitem SET unidentified_name_id = '$5384', identified_name_id = '$5384', can_seal = 0 WHERE item_id = 41373;
UPDATE etcitem SET unidentified_name_id = '$5385', identified_name_id = '$5385', can_seal = 0 WHERE item_id = 41374;
UPDATE etcitem SET unidentified_name_id = '$5386', identified_name_id = '$5386', can_seal = 0 WHERE item_id = 41375;
UPDATE etcitem SET unidentified_name_id = '$5387', identified_name_id = '$5387', can_seal = 0 WHERE item_id = 41376;
UPDATE etcitem SET unidentified_name_id = '$5388', identified_name_id = '$5388', can_seal = 0 WHERE item_id = 41377;
UPDATE etcitem SET unidentified_name_id = '$5389', identified_name_id = '$5389', can_seal = 0 WHERE item_id = 41378;
UPDATE etcitem SET unidentified_name_id = '$5390', identified_name_id = '$5390', can_seal = 0 WHERE item_id = 41379;
UPDATE etcitem SET unidentified_name_id = '$5391', identified_name_id = '$5391', can_seal = 0 WHERE item_id = 41380;
UPDATE etcitem SET unidentified_name_id = '$5392', identified_name_id = '$5392', can_seal = 0 WHERE item_id = 41381;
UPDATE etcitem SET unidentified_name_id = '$5393', identified_name_id = '$5393', can_seal = 0 WHERE item_id = 41382;
UPDATE etcitem SET unidentified_name_id = '$5171', identified_name_id = '$5171', can_seal = 0 WHERE item_id = 41383;
UPDATE etcitem SET unidentified_name_id = '$5172', identified_name_id = '$5172', can_seal = 0 WHERE item_id = 41384;
UPDATE etcitem SET unidentified_name_id = '$5173', identified_name_id = '$5173', can_seal = 0 WHERE item_id = 41385;
UPDATE etcitem SET unidentified_name_id = '$5174', identified_name_id = '$5174', can_seal = 0 WHERE item_id = 41386;
UPDATE etcitem SET unidentified_name_id = '$5175', identified_name_id = '$5175', can_seal = 0 WHERE item_id = 41387;
UPDATE etcitem SET unidentified_name_id = '$5180', identified_name_id = '$5180', can_seal = 0 WHERE item_id = 41388;
UPDATE etcitem SET unidentified_name_id = '$5176', identified_name_id = '$5176', can_seal = 0 WHERE item_id = 41389;
UPDATE etcitem SET unidentified_name_id = '$5177', identified_name_id = '$5177', can_seal = 0 WHERE item_id = 41390;
UPDATE etcitem SET unidentified_name_id = '$5178', identified_name_id = '$5178', can_seal = 0 WHERE item_id = 41391;
UPDATE etcitem SET unidentified_name_id = '$5179', identified_name_id = '$5179', can_seal = 0 WHERE item_id = 41392;
UPDATE etcitem SET unidentified_name_id = '$5181', identified_name_id = '$5181', can_seal = 0 WHERE item_id = 41393;
UPDATE etcitem SET unidentified_name_id = '$5182', identified_name_id = '$5182', can_seal = 0 WHERE item_id = 41394;
UPDATE etcitem SET unidentified_name_id = '$5183', identified_name_id = '$5183', can_seal = 0 WHERE item_id = 41395;
UPDATE etcitem SET unidentified_name_id = '$5184', identified_name_id = '$5184', can_seal = 0 WHERE item_id = 41396;
UPDATE etcitem SET unidentified_name_id = '$5185', identified_name_id = '$5185', can_seal = 0 WHERE item_id = 41397;
UPDATE etcitem SET unidentified_name_id = '$5185', identified_name_id = '$5185', can_seal = 0 WHERE item_id = 41398;
UPDATE etcitem SET unidentified_name_id = '$5186', identified_name_id = '$5186', can_seal = 0 WHERE item_id = 41399;
UPDATE etcitem SET unidentified_name_id = '$5186', identified_name_id = '$5186', can_seal = 0 WHERE item_id = 41400;
UPDATE etcitem SET unidentified_name_id = '$1387', identified_name_id = '$1387', can_seal = 0 WHERE item_id = 41401;
UPDATE etcitem SET unidentified_name_id = '$5448', identified_name_id = '$5448', can_seal = 0 WHERE item_id = 41402;
UPDATE etcitem SET unidentified_name_id = '$5233', identified_name_id = '$5233', can_seal = 0 WHERE item_id = 41403;
UPDATE etcitem SET unidentified_name_id = '$5234', identified_name_id = '$5234', can_seal = 0 WHERE item_id = 41404;
UPDATE etcitem SET unidentified_name_id = '???? ???? (10/0)', identified_name_id = '???? ???? (10/0)', can_seal = 0 WHERE item_id = 42501;
UPDATE etcitem SET unidentified_name_id = '$230', identified_name_id = '$230', can_seal = 0 WHERE item_id = 240100;
UPDATE etcitem SET unidentified_name_id = '$3025', identified_name_id = '$3025', can_seal = 0 WHERE item_id = 41411;
UPDATE etcitem SET unidentified_name_id = '$3026', identified_name_id = '$3026', can_seal = 0 WHERE item_id = 41412;
UPDATE etcitem SET unidentified_name_id = '$2580', identified_name_id = '$2580', can_seal = 0 WHERE item_id = 41413;
UPDATE etcitem SET unidentified_name_id = '$2581', identified_name_id = '$2581', can_seal = 0 WHERE item_id = 41414;
UPDATE etcitem SET unidentified_name_id = '$4913', identified_name_id = '$4913', can_seal = 0 WHERE item_id = 41415;
UPDATE etcitem SET unidentified_name_id = '$3018', identified_name_id = '$3018', can_seal = 0 WHERE item_id = 41405;
UPDATE etcitem SET unidentified_name_id = '$3158', identified_name_id = '$3158', can_seal = 0 WHERE item_id = 41406;
UPDATE etcitem SET unidentified_name_id = '$3158', identified_name_id = '$3158', can_seal = 0 WHERE item_id = 41407;
UPDATE etcitem SET unidentified_name_id = '$3158', identified_name_id = '$3158', can_seal = 0 WHERE item_id = 41408;
UPDATE etcitem SET unidentified_name_id = '$3158', identified_name_id = '$3158', can_seal = 0 WHERE item_id = 41409;
UPDATE etcitem SET unidentified_name_id = '$3158', identified_name_id = '$3158', can_seal = 0 WHERE item_id = 41410;
UPDATE etcitem SET unidentified_name_id = '$5470', identified_name_id = '$5470', can_seal = 0 WHERE item_id = 41416;
UPDATE etcitem SET unidentified_name_id = '$234', identified_name_id = '$264', can_seal = 0 WHERE item_id = 140013;
UPDATE etcitem SET unidentified_name_id = '??????', identified_name_id = '??????', can_seal = 0 WHERE item_id = 41417;
UPDATE etcitem SET unidentified_name_id = '??????', identified_name_id = '??????', can_seal = 0 WHERE item_id = 41418;
UPDATE etcitem SET unidentified_name_id = '???????', identified_name_id = '???????', can_seal = 0 WHERE item_id = 41419;
UPDATE etcitem SET unidentified_name_id = '??????', identified_name_id = '??????', can_seal = 0 WHERE item_id = 41420;
UPDATE etcitem SET unidentified_name_id = '?????', identified_name_id = '?????', can_seal = 0 WHERE item_id = 41421;
UPDATE etcitem SET unidentified_name_id = '$5523', identified_name_id = '$5523', can_seal = 0 WHERE item_id = 41422;
UPDATE etcitem SET unidentified_name_id = '$5130', identified_name_id = '$5130', can_seal = 0 WHERE item_id = 41423;
UPDATE etcitem SET unidentified_name_id = '$5131', identified_name_id = '$5131', can_seal = 0 WHERE item_id = 41424;
UPDATE etcitem SET unidentified_name_id = '$4824', identified_name_id = '$4824', can_seal = 0 WHERE item_id = 49026;
UPDATE etcitem SET unidentified_name_id = '$4835', identified_name_id = '$4835', can_seal = 0 WHERE item_id = 49027;
UPDATE etcitem SET unidentified_name_id = '$4832', identified_name_id = '$4832', can_seal = 0 WHERE item_id = 49028;
UPDATE etcitem SET unidentified_name_id = '$4834', identified_name_id = '$4834', can_seal = 0 WHERE item_id = 49029;
UPDATE etcitem SET unidentified_name_id = '$4833', identified_name_id = '$4833', can_seal = 0 WHERE item_id = 49030;
UPDATE etcitem SET unidentified_name_id = '$3315', identified_name_id = '$3315', can_seal = 0 WHERE item_id = 41425;
UPDATE etcitem SET unidentified_name_id = '????????? $230', identified_name_id = '????????? $230', can_seal = 0 WHERE item_id = 42055;
UPDATE etcitem SET unidentified_name_id = '???????1? $230', identified_name_id = '???????1? $230', can_seal = 0 WHERE item_id = 42056;
UPDATE etcitem SET unidentified_name_id = '???????2? $230', identified_name_id = '???????2? $230', can_seal = 0 WHERE item_id = 42057;
UPDATE etcitem SET unidentified_name_id = '???????3? $230', identified_name_id = '???????3? $230', can_seal = 0 WHERE item_id = 42058;
UPDATE etcitem SET unidentified_name_id = '???????4? $230', identified_name_id = '???????4? $230', can_seal = 0 WHERE item_id = 42059;
UPDATE etcitem SET unidentified_name_id = '???????1? $230', identified_name_id = '???????1? $230', can_seal = 0 WHERE item_id = 42060;
UPDATE etcitem SET unidentified_name_id = '???????2? $230', identified_name_id = '???????2? $230', can_seal = 0 WHERE item_id = 42061;
UPDATE etcitem SET unidentified_name_id = '???????3? $230', identified_name_id = '???????3? $230', can_seal = 0 WHERE item_id = 42062;
UPDATE etcitem SET unidentified_name_id = '????????1? $230', identified_name_id = '????????1? $230', can_seal = 0 WHERE item_id = 42063;
UPDATE etcitem SET unidentified_name_id = '????????2? $230', identified_name_id = '????????2? $230', can_seal = 0 WHERE item_id = 42064;
UPDATE etcitem SET unidentified_name_id = '???????1? $230', identified_name_id = '???????1? $230', can_seal = 0 WHERE item_id = 42065;
UPDATE etcitem SET unidentified_name_id = '???????2? $230', identified_name_id = '???????2? $230', can_seal = 0 WHERE item_id = 42066;
UPDATE etcitem SET unidentified_name_id = '???????3? $230', identified_name_id = '???????3? $230', can_seal = 0 WHERE item_id = 42067;
UPDATE etcitem SET unidentified_name_id = '???????4? $230', identified_name_id = '???????4? $230', can_seal = 0 WHERE item_id = 42068;
UPDATE etcitem SET unidentified_name_id = '???????1? $230', identified_name_id = '???????1? $230', can_seal = 0 WHERE item_id = 42069;
UPDATE etcitem SET unidentified_name_id = '???????2? $230', identified_name_id = '???????2? $230', can_seal = 0 WHERE item_id = 42070;
UPDATE etcitem SET unidentified_name_id = '?????? $230', identified_name_id = '?????? $230', can_seal = 0 WHERE item_id = 42071;
UPDATE etcitem SET unidentified_name_id = '???????1? $230', identified_name_id = '???????1? $230', can_seal = 0 WHERE item_id = 42072;
UPDATE etcitem SET unidentified_name_id = '???????2? $230', identified_name_id = '???????2? $230', can_seal = 0 WHERE item_id = 42073;
UPDATE etcitem SET unidentified_name_id = '???????3? $230', identified_name_id = '???????3? $230', can_seal = 0 WHERE item_id = 42074;
UPDATE etcitem SET unidentified_name_id = '??????????2?(?) $230', identified_name_id = '??????????2?(?) $230', can_seal = 0 WHERE item_id = 42075;
UPDATE etcitem SET unidentified_name_id = '??????????2?(?) $230', identified_name_id = '??????????2?(?) $230', can_seal = 0 WHERE item_id = 42076;
UPDATE etcitem SET unidentified_name_id = '??????4? $230', identified_name_id = '??????4? $230', can_seal = 0 WHERE item_id = 42077;
UPDATE etcitem SET unidentified_name_id = '??????4??? $230', identified_name_id = '??????4??? $230', can_seal = 0 WHERE item_id = 42078;
UPDATE etcitem SET unidentified_name_id = '??????4???????? $230', identified_name_id = '??????4???????? $230', can_seal = 0 WHERE item_id = 42079;
UPDATE etcitem SET unidentified_name_id = '?????? $230', identified_name_id = '?????? $230', can_seal = 0 WHERE item_id = 42080;
UPDATE etcitem SET unidentified_name_id = '??????? $230', identified_name_id = '??????? $230', can_seal = 0 WHERE item_id = 42081;
UPDATE etcitem SET unidentified_name_id = '??????? $230', identified_name_id = '??????? $230', can_seal = 0 WHERE item_id = 42082;
UPDATE etcitem SET unidentified_name_id = '??? $230', identified_name_id = '??? $230', can_seal = 0 WHERE item_id = 42083;
UPDATE etcitem SET unidentified_name_id = '????????? $230', identified_name_id = '????????? $230', can_seal = 0 WHERE item_id = 42084;
UPDATE etcitem SET unidentified_name_id = '????????? $230', identified_name_id = '????????? $230', can_seal = 0 WHERE item_id = 42085;
UPDATE etcitem SET unidentified_name_id = '????????? $230', identified_name_id = '????????? $230', can_seal = 0 WHERE item_id = 42086;
UPDATE etcitem SET unidentified_name_id = '????????? $230', identified_name_id = '????????? $230', can_seal = 0 WHERE item_id = 42087;
UPDATE etcitem SET unidentified_name_id = '$5546', identified_name_id = '$5546', can_seal = 0 WHERE item_id = 49031;
UPDATE etcitem SET unidentified_name_id = '$5542', identified_name_id = '$5542', can_seal = 0 WHERE item_id = 49032;
UPDATE etcitem SET unidentified_name_id = '$5543', identified_name_id = '$5543', can_seal = 0 WHERE item_id = 49033;
UPDATE etcitem SET unidentified_name_id = '$5544', identified_name_id = '$5544', can_seal = 0 WHERE item_id = 49034;
UPDATE etcitem SET unidentified_name_id = '$5547', identified_name_id = '$5547', can_seal = 0 WHERE item_id = 49035;
UPDATE etcitem SET unidentified_name_id = '$5547', identified_name_id = '$5547', can_seal = 0 WHERE item_id = 49036;
UPDATE etcitem SET unidentified_name_id = '$5417', identified_name_id = '$5417', can_seal = 1 WHERE item_id = 49037;
UPDATE etcitem SET unidentified_name_id = '$5418', identified_name_id = '$5418', can_seal = 1 WHERE item_id = 49038;
UPDATE etcitem SET unidentified_name_id = '$5419', identified_name_id = '$5419', can_seal = 1 WHERE item_id = 49039;
UPDATE etcitem SET unidentified_name_id = '$5438', identified_name_id = '$5438', can_seal = 0 WHERE item_id = 49040;
UPDATE etcitem SET unidentified_name_id = '$5439', identified_name_id = '$5439', can_seal = 0 WHERE item_id = 49041;
UPDATE etcitem SET unidentified_name_id = '$5446', identified_name_id = '$5446', can_seal = 0 WHERE item_id = 49042;
UPDATE etcitem SET unidentified_name_id = '$5440', identified_name_id = '$5440', can_seal = 0 WHERE item_id = 49043;
UPDATE etcitem SET unidentified_name_id = '$5441', identified_name_id = '$5441', can_seal = 0 WHERE item_id = 49044;
UPDATE etcitem SET unidentified_name_id = '$5442', identified_name_id = '$5442', can_seal = 0 WHERE item_id = 49045;
UPDATE etcitem SET unidentified_name_id = '$5443', identified_name_id = '$5443', can_seal = 0 WHERE item_id = 49046;
UPDATE etcitem SET unidentified_name_id = '$5444', identified_name_id = '$5444', can_seal = 0 WHERE item_id = 49047;
UPDATE etcitem SET unidentified_name_id = '$4916', identified_name_id = '$4916', can_seal = 0 WHERE item_id = 49048;
UPDATE etcitem SET unidentified_name_id = '$5430', identified_name_id = '$5430', can_seal = 0 WHERE item_id = 49049;
UPDATE etcitem SET unidentified_name_id = '$5431', identified_name_id = '$5431', can_seal = 0 WHERE item_id = 49050;
UPDATE etcitem SET unidentified_name_id = '$5432', identified_name_id = '$5432', can_seal = 0 WHERE item_id = 49051;
UPDATE etcitem SET unidentified_name_id = '$5433', identified_name_id = '$5433', can_seal = 0 WHERE item_id = 49052;
UPDATE etcitem SET unidentified_name_id = '$5434', identified_name_id = '$5434', can_seal = 0 WHERE item_id = 49053;
UPDATE etcitem SET unidentified_name_id = '$5435', identified_name_id = '$5435', can_seal = 0 WHERE item_id = 49054;
UPDATE etcitem SET unidentified_name_id = '$5436', identified_name_id = '$5436', can_seal = 0 WHERE item_id = 49055;
UPDATE etcitem SET unidentified_name_id = '$5437', identified_name_id = '$5437', can_seal = 0 WHERE item_id = 49056;
UPDATE etcitem SET unidentified_name_id = '$4928$5430', identified_name_id = '$4928$5430', can_seal = 0 WHERE item_id = 49057;
UPDATE etcitem SET unidentified_name_id = '$4928$5431', identified_name_id = '$4928$5431', can_seal = 0 WHERE item_id = 49058;
UPDATE etcitem SET unidentified_name_id = '$4928$5432', identified_name_id = '$4928$5432', can_seal = 0 WHERE item_id = 49059;
UPDATE etcitem SET unidentified_name_id = '$4928$5433', identified_name_id = '$4928$5433', can_seal = 0 WHERE item_id = 49060;
UPDATE etcitem SET unidentified_name_id = '$4928$5434', identified_name_id = '$4928$5434', can_seal = 0 WHERE item_id = 49061;
UPDATE etcitem SET unidentified_name_id = '$4928$5435', identified_name_id = '$4928$5435', can_seal = 0 WHERE item_id = 49062;
UPDATE etcitem SET unidentified_name_id = '$4928$5436', identified_name_id = '$4928$5436', can_seal = 0 WHERE item_id = 49063;
UPDATE etcitem SET unidentified_name_id = '$4928$5437', identified_name_id = '$4928$5437', can_seal = 0 WHERE item_id = 49064;
UPDATE etcitem SET unidentified_name_id = '$5477', identified_name_id = '$5477', can_seal = 0 WHERE item_id = 49065;
UPDATE etcitem SET unidentified_name_id = '$5479', identified_name_id = '$5479', can_seal = 0 WHERE item_id = 49066;
UPDATE etcitem SET unidentified_name_id = '$5479', identified_name_id = '$5479', can_seal = 0 WHERE item_id = 49067;
UPDATE etcitem SET unidentified_name_id = '$5186', identified_name_id = '$5186', can_seal = 0 WHERE item_id = 49068;
UPDATE etcitem SET unidentified_name_id = '$5186', identified_name_id = '$5186', can_seal = 0 WHERE item_id = 49069;
UPDATE etcitem SET unidentified_name_id = '$5478', identified_name_id = '$5478', can_seal = 0 WHERE item_id = 49070;
UPDATE etcitem SET unidentified_name_id = '$5476', identified_name_id = '$5476', can_seal = 0 WHERE item_id = 49071;
UPDATE etcitem SET unidentified_name_id = '$5471', identified_name_id = '$5471', can_seal = 0 WHERE item_id = 49072;
UPDATE etcitem SET unidentified_name_id = '$5472', identified_name_id = '$5472', can_seal = 0 WHERE item_id = 49073;
UPDATE etcitem SET unidentified_name_id = '$5473', identified_name_id = '$5473', can_seal = 0 WHERE item_id = 49074;
UPDATE etcitem SET unidentified_name_id = '$5474', identified_name_id = '$5474', can_seal = 0 WHERE item_id = 49075;
UPDATE etcitem SET unidentified_name_id = '$5475', identified_name_id = '$5475', can_seal = 0 WHERE item_id = 49076;
UPDATE etcitem SET unidentified_name_id = '$5480', identified_name_id = '$5480', can_seal = 0 WHERE item_id = 49077;
UPDATE etcitem SET unidentified_name_id = '$5481', identified_name_id = '$5481', can_seal = 0 WHERE item_id = 49078;
UPDATE etcitem SET unidentified_name_id = '$5482', identified_name_id = '$5482', can_seal = 0 WHERE item_id = 49079;
UPDATE etcitem SET unidentified_name_id = '$5483', identified_name_id = '$5483', can_seal = 0 WHERE item_id = 49080;
UPDATE etcitem SET unidentified_name_id = '$5484', identified_name_id = '$5484', can_seal = 0 WHERE item_id = 49081;
UPDATE etcitem SET unidentified_name_id = '$4403', identified_name_id = '$4403', can_seal = 0 WHERE item_id = 49082;
UPDATE etcitem SET unidentified_name_id = '$4403', identified_name_id = '$4403', can_seal = 0 WHERE item_id = 49084;
UPDATE etcitem SET unidentified_name_id = '$4403', identified_name_id = '$4403', can_seal = 0 WHERE item_id = 49086;
UPDATE etcitem SET unidentified_name_id = '$4403', identified_name_id = '$4403', can_seal = 0 WHERE item_id = 49088;
UPDATE etcitem SET unidentified_name_id = '$4403', identified_name_id = '$4403', can_seal = 0 WHERE item_id = 49090;
UPDATE etcitem SET unidentified_name_id = '$4403', identified_name_id = '$4403', can_seal = 0 WHERE item_id = 49083;
UPDATE etcitem SET unidentified_name_id = '$4403', identified_name_id = '$4403', can_seal = 0 WHERE item_id = 49085;
UPDATE etcitem SET unidentified_name_id = '$4403', identified_name_id = '$4403', can_seal = 0 WHERE item_id = 49087;
UPDATE etcitem SET unidentified_name_id = '$4403', identified_name_id = '$4403', can_seal = 0 WHERE item_id = 49089;

-- mapids
INSERT INTO mapids VALUES(780, '?????', 32576, 32831, 32704, 33087, 1.0, 1.0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1);
INSERT INTO mapids VALUES(781, '??? ???????', 32704, 33023, 32704, 32895, 1.0, 1.0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1);
INSERT INTO mapids VALUES(782, '??? ??????', 32704, 32831, 32768, 32895, 1.0, 1.0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1);
INSERT INTO mapids VALUES(783, 'Tikal Temple', 32768, 33279, 32640, 32895, 1.0, 1.0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1);
INSERT INTO mapids VALUES(784, 'Kukulcan altar', 32704, 32831, 32768, 32895, 1.0, 1.0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1);
INSERT INTO mapids VALUES(1000, '?????', 32704, 32895, 32768, 32959, 1.0, 1.0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1);
INSERT INTO mapids VALUES(1001, '????', 32704, 32895, 32768, 32959, 1.0, 1.0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1);
INSERT INTO mapids VALUES(2004, '???', 32704, 32895, 32768, 32959, 1.0, 1.0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1);
update mapids set teleportable=1, escapable=1, resurrection=1 where mapid = 1000;
update mapids set teleportable=1, escapable=1, resurrection=1 where mapid = 1001;

-- npc
INSERT INTO `npc` VALUES
(80141, '', '$5867', '', 'L1Merchant', 6690, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', 0, -1, -1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -1, 0, 14, 0, 0, 0),
(80142, '', '$5869', '', 'L1Merchant', 6757, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', 0, -1, -1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -1, 0, 14, 0, 1, 0),
(80143, '', '$5871', '', 'L1Merchant', 6977, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', 0, -1, -1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -1, 0, 14, 0, 1, 0),
(80144, '', '$5870', '', 'L1Merchant', 6968, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', 0, -1, -1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -1, 0, 14, 0, 1, 0),
(80145, '', '$5866', '', 'L1Merchant', 7001, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', 0, -1, -1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -1, 0, 14, 0, 1, 0),
(80146, '', '$5868', '', 'L1Teleporter', 6804, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', 0, -1, -1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -1, 0, 14, 0, 1, 0),
(80147, '', '$240', '', 'L1Guard', 7016, 65, 2000, 300, 0, 126, 126, 126, 126, 126, 0, 0, 0, 'large', 0, 2, 0, 480, 840, 0, 840, 840, 0, 0, 0, 0, 0, 0, 'guard', 0, -1, -1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -1, 0, 14, 0, 0, 0),
(80148, '', '$240', '', 'L1Guard', 7019, 65, 2000, 300, 0, 126, 126, 126, 126, 126, 0, 0, 0, 'large', 0, 2, 0, 480, 840, 0, 840, 840, 0, 0, 0, 0, 0, 0, 'guard', 0, -1, -1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -1, 0, 14, 0, 0, 0),
(80132, '', '$5874', '', 'L1Teleporter', 6899, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', 0, -1, -1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -1, 0, 14, 0, 0, 0),
(80133, '', '$5875', '', 'L1Merchant', 6986, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', 0, -1, -1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -1, 0, 14, 0, 1, 0),
(80134, '', '$5876', '', 'L1Merchant', 7010, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', 0, -1, -1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -1, 0, 14, 0, 1, 0),
(80135, '', '$5877', '', 'L1Merchant', 6793, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', 0, -1, -1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -1, 0, 14, 0, 1, 0),
(80136, '', '$5872', '', 'L1Merchant', 6781, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', 0, -1, -1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -1, 0, 14, 0, 1, 0),
(80137, '', '$5873', '', 'L1Merchant', 6989, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', 0, -1, -1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -1, 0, 14, 0, 1, 0),
(80138, '', '$240', '', 'L1Guard', 7008, 65, 2000, 300, 0, 126, 126, 126, 126, 126, 0, 0, 0, 'large', 0, 2, 0, 480, 840, 0, 840, 840, 0, 0, 0, 0, 0, 0, 'guard', 0, -1, -1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -1, 0, 14, 0, 0, 0),
(80139, '', '$240', '', 'L1Guard', 7017, 65, 2000, 300, 0, 126, 126, 126, 126, 126, 0, 0, 0, 'large', 0, 2, 0, 480, 840, 0, 840, 840, 0, 0, 0, 0, 0, 0, 'guard', 0, -1, -1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -1, 0, 14, 0, 0, 0),
(81210, '', '$1111', 'summon eternal', 'L1Monster', 1206, 20, 300, 20, 1, 13, 13, 13, 9, 9, 1, 0, 0, 'small', 2, 1, 1, 640, 960, 1080, 960, 960, 0, 0, 0, 0, 0, 0, '', 1, -1, -1, 0, 0, 0, 5000, 3, 5000, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, -1, 0, 0, 0, 0, 0),
(81211, '', '$1043', 'summon eternal ', 'L1Monster', 1150, 20, 180, 20, 10, 11, 10, 11, 7, 8, 1, 0, 0, 'small', 2, 1, 1, 320, 960, 0, 960, 960, 0, 0, 0, 0, 0, 0, '', 0, -1, -1, 0, 0, 0, 5000, 3, 5000, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, -1, 0, 0, 0, 0, 0),
(81212, '', '$1044', 'summon eternal ', 'L1Monster', 1152, 20, 120, 60, 6, 9, 10, 14, 7, 8, 1, 0, 0, 'small', 1, 6, 1, 480, 1520, 0, 1520, 1520, 0, 0, 0, 1, 0, 0, '', 1, -1, -1, 0, 0, 0, 5000, 3, 5000, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1156, 0, -1, 0, 0, 0, 0, 0),
(81213, '', '$496', 'summon eternal', 'L1Monster', 784, 24, 350, 30, 0, 10, 17, 10, 17, 10, 15, 0, 0, 'small', 4, 1, 1, 640, 1040, 0, 1040, 1040, 0, 0, 0, 1, 1, 0, '', 1, -1, -1, 0, 0, 0, 5000, 5, 5000, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, -1, 0, 0, 0, 0, 0),
(81214, '', '$498', 'summon eternal', 'L1Monster', 788, 24, 210, 30, -5, 12, 14, 14, 15, 16, 20, 0, 0, 'small', 4, 2, 1, 640, 1160, 0, 1160, 1160, 0, 0, 0, 1, 1, 0, '', 1, -1, -1, 0, 0, 0, 5000, 5, 5000, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, -1, 0, 0, 0, 0, 0),
(81215, '', '$511', 'summon eternal', 'L1Monster', 790, 24, 140, 70, -3, 14, 14, 14, 8, 10, 5, 0, 0, 'small', 4, 10, 1, 640, 1520, 0, 1520, 1520, 0, 0, 0, 1, 1, 0, '', 1, -1, -1, 0, 0, 0, 5000, 5, 5000, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 66, 0, -1, 0, 0, 0, 0, 0),
(81216, '', '$3379', 'summon eternal', 'L1Monster', 4207, 28, 400, 40, -6, 17, 16, 13, 6, 8, 10, 0, 0, 'small', 0, 1, 1, 640, 920, 1520, 920, 920, 0, 0, 0, 1, 1, 0, '', 0, -1, -1, 0, 0, 0, 5000, 6, 5000, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, -1, 0, 0, 0, 0, 0),
(81217, '', '$3378', 'summon eternal', 'L1Monster', 4205, 28, 240, 80, 0, 16, 16, 14, 6, 8, 5, 0, 0, 'small', 0, 1, 1, 640, 680, 1400, 680, 680, 0, 1, 0, 1, 1, 0, '', 0, -1, -1, 0, 0, 0, 5000, 6, 5000, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, -1, 0, 0, 0, 0, 0),
(81218, '', '$3380', 'summon eternal', 'L1Monster', 4203, 28, 160, 80, -10, 18, 18, 12, 6, 8, 10, 0, 0, 'small', 0, 1, 1, 640, 880, 960, 880, 880, 0, 0, 0, 1, 1, 0, '', 0, -1, -1, 0, 0, 0, 5000, 6, 5000, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, -1, 0, 0, 0, 0, 0),
(81219, '', '$325', 'summon eternal', 'L1Monster', 152, 32, 450, 50, -6, 19, 18, 12, 12, 10, 10, 0, 0, 'large', 0, 1, 1, 640, 840, 720, 840, 840, 0, 0, 0, 1, 1, 0, '', 1, -1, -1, 0, 0, 0, 5000, 7, 5000, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, -1, 0, 0, 0, 0, 0),
(81220, '', '$937', 'summon eternal', 'L1Monster', 894, 32, 270, 50, -8, 21, 18, 12, 12, 10, 20, 0, 0, 'large', 0, 1, 1, 640, 720, 720, 720, 720, 0, 0, 0, 1, 1, 0, '', 1, -1, -1, 0, 0, 0, 5000, 7, 5000, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, -1, 0, 0, 0, 0, 0),
(81221, '', '$1791', 'summon eternal', 'L1Monster', 2158, 32, 180, 90, -20, 17, 17, 17, 12, 12, 15, 0, 0, 'large', 8, 1, 1, 960, 1600, 1640, 1600, 1600, 0, 0, 0, 1, 0, 0, '', 1, -1, -1, 0, 0, 0, 5000, 7, 5000, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, -1, 0, 0, 0, 0, 0),
(81222, '', '$3381', 'summon eternal', 'L1Monster', 4149, 36, 500, 50, -4, 14, 16, 16, 10, 10, 10, 0, 0, 'small', 0, 1, 1, 640, 960, 800, 960, 960, 0, 0, 0, 1, 0, 0, '', 0, -1, -1, 0, 0, 0, 5000, 8, 5000, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, -1, 0, 0, 0, 0, 0),
(81223, '', '$3383', 'summon eternal', 'L1Monster', 4151, 36, 300, 50, -15, 14, 14, 18, 12, 10, 15, 0, 0, 'small', 0, 2, 0, 640, 1200, 1360, 1200, 1200, 0, 0, 0, 1, 0, 0, '', 0, -1, -1, 0, 0, 0, 5000, 8, 5000, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, -1, 0, 0, 0, 0, 0),
(81224, '', '$3382', 'summon eternal', 'L1Monster', 4192, 36, 200, 100, -10, 10, 12, 16, 16, 16, 15, 0, 0, 'small', 0, 1, 0, 640, 1000, 2080, 1000, 1000, 0, 0, 0, 1, 0, 0, '', 0, -1, -1, 0, 0, 0, 5000, 8, 5000, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, -1, 0, 0, 0, 0, 0),
(81225, '', '$1505', 'summon eternal', 'L1Monster', 1666, 40, 550, 60, -23, 17, 12, 15, 12, 10, 10, 0, 0, 'small', 4, 1, 0, 640, 1080, 1280, 1080, 1080, 0, 0, 0, 1, 1, 0, '', 1, -1, -1, 0, 0, 0, 5000, 9, 5000, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, -1, 0, 0, 0, 0, 0),
(81226, '', '$1566', 'summon eternal', 'L1Monster', 1770, 40, 330, 60, -11, 15, 10, 11, 9, 9, 20, 0, 0, 'small', 4, 2, 0, 960, 1520, 1480, 1520, 1520, 0, 0, 0, 1, 0, 0, '', 1, -1, -1, 0, 0, 0, 5000, 9, 5000, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, -1, 0, 0, 0, 0, 0),
(81227, '', '$1572', 'summon eternal', 'L1Monster', 1832, 40, 220, 110, -5, 13, 10, 16, 9, 9, 20, 0, 0, 'small', 4, 10, 0, 960, 2000, 1320, 2000, 2000, 0, 0, 0, 1, 0, 0, '', 1, -1, -1, 0, 0, 0, 5000, 9, 5000, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 66, 0, -1, 0, 0, 0, 0, 0),
(81228, '', '$2893', 'summon eternal', 'L1Monster', 3357, 44, 600, 40, -25, 14, 18, 12, 12, 8, 5, 0, 0, 'large', 0, 2, 1, 426, 840, 1200, 840, 840, 0, 0, 0, 1, 1, 1, '', 1, -1, -1, 0, 0, 0, 5000, 10, 5000, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, -1, 0, 0, 0, 0, 0),
(81229, '', '$2105', 'summon eternal', 'L1Monster', 2392, 48, 360, 70, -30, 22, 17, 18, 15, 16, 35, 0, 0, 'large', 0, 2, 0, 480, 1440, 1760, 1440, 1440, 0, 0, 0, 1, 1, 1, '', 0, -1, -1, 0, 0, 0, 5000, 10, 5000, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, -1, 0, 0, 0, 0, 0),
(81230, '', '$2892', 'summon eternal', 'L1Monster', 3415, 48, 240, 120, -6, 19, 18, 12, 12, 10, 10, 0, 0, 'small', 0, 3, 0, 853, 1560, 0, 1560, 1560, 0, 0, 0, 0, 0, 0, '', 0, -1, -1, 0, 0, 0, 5000, 10, 5000, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 3417, 0, -1, 0, 0, 0, 0, 0),
(81231, '', '$5285', 'summon eternal', 'L1Monster', 6290, 48, 650, 60, -48, 20, 20, 20, 8, 20, 60, 0, 0, 'large', 0, 2, 0, 960, 1200, 1560, 1200, 1200, 0, 0, 0, 1, 1, 0, '', 1, -1, -1, 0, 0, 0, 5000, 11, 5000, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, -1, 0, 0, 0, 0, 0),
(81232, '', '$5282', 'summon eternal', 'L1Monster', 6161, 48, 390, 60, -12, 20, 12, 20, 5, 5, 60, 0, 0, 'small', 4, 1, 0, 640, 880, 0, 880, 880, 0, 0, 0, 1, 0, 0, '', 1, -1, -1, 1, 0, 0, 5000, 11, 5000, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, -1, 0, 0, 0, 0, 0),
(81233, '', '$5284', 'summon eternal', 'L1Monster', 6302, 48, 260, 130, -24, 15, 13, 13, 16, 18, 60, 0, 0, 'large', 4, 6, 0, 640, 880, 0, 880, 880, 0, 0, 0, 1, 1, 1, '', 1, -1, -1, 1, 0, 0, 5000, 11, 5000, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 6306, 0, -1, 0, 0, 0, 0, 0),
(81234, '', '$3812', 'summon eternal', 'L1Monster', 4622, 52, 700, 60, -41, 16, 19, 15, 10, 16, 45, 0, 0, 'small', 2, 1, 0, 960, 960, 1600, 960, 960, 0, 0, 0, 1, 1, 1, '', 1, -1, -1, 0, 0, 0, 5000, 12, 5000, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, -1, 0, 0, 0, 0, 0),
(81235, '', '$2896', 'summon eternal', 'L1Monster', 3365, 52, 420, 60, -40, 17, 11, 16, 10, 10, 30, 0, 0, 'large', 2, 2, 0, 960, 1400, 1600, 1400, 1400, 0, 0, 0, 1, 1, 1, '', 1, -1, -1, 0, 0, 0, 5000, 12, 5000, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, -1, 0, 0, 0, 0, 0),
(81236, '', '$4306', 'summon eternal', 'L1Monster', 5442, 52, 280, 140, -50, 15, 18, 20, 14, 16, 50, 0, 0, 'small', 0, 3, 0, 960, 1120, 920, 1120, 1120, 2, 0, 0, 1, 1, 1, '', 0, -1, -1, 0, 0, 0, 5000, 12, 5000, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, -1, 0, 0, 0, 0, 0),
(81237, '', '$3811', 'summon eternal', 'L1Monster', 4643, 50, 657, 278, -40, 16, 18, 15, 12, 15, 0, 0, 0, 'small', 2, 1, 0, 640, 1040, 1320, 1080, 1080, 0, 0, 0, 1, 1, 1, '', 1, -1, -1, 0, 0, 0, 5000, 13, 5000, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, -1, 0, 0, 0, 0, 0),
(81238, '', '$1554', 'summon eternal', 'L1Monster', 2389, 58, 1000, 100, -30, 20, 19, 18, 15, 17, 80, 0, 0, 'small', 0, 1, 0, 1040, 1440, 0, 1440, 1440, 0, 0, 0, 1, 1, 1, '', 0, -1, -1, 0, 0, 0, 5000, 15, 5000, 5, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, -1, 0, 0, 0, 0, 0),
(81239, '', '$2106', 'summon eternal', 'L1Monster', 2402, 58, 1000, 100, -65, 30, 20, 12, 17, 18, 60, 0, 0, 'large', 2, 1, 0, 960, 1520, 0, 1520, 1520, 0, 0, 0, 1, 1, 1, '', 0, -1, -1, 0, 0, 0, 5000, 15, 5000, 5, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, -1, 0, 0, 1, 0, 1),
(81240, '', '$2587', 'summon eternal', 'L1Monster', 3049, 63, 1000, 400, -65, 65, 20, 63, 8, 20, 75, 0, 0, 'large', 0, 1, 0, 480, 440, 1560, 440, 440, 0, 0, 0, 1, 1, 1, '', 0, -1, -1, 0, 0, 0, 5000, 20, 5000, 5, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, -1, 0, 0, 0, 0, 0),
(71251, 'Lolo', '$5590', '', 'L1Merchant', 6768, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', 0, -1, -1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -1, 0, 14, 0, 1, 0);

-- npcaction
INSERT INTO `npcaction` VALUES
(80141, 'sbial1', 'sbial1', '', ''),
(80142, 'batr1', 'batr1', '', ''),
(80143, 'azel1', 'azel1', '', ''),
(80144, 'rark1', 'rark1', '', ''),
(80145, 'silrein1', 'silrein1', '', ''),
(80146, 'sharial1', 'sharial1', 'sharial2', 'sharial3'),
(80132, 'dekabia1', 'dekabia1', 'dekabia2', 'dekabia3'),
(80133, 'pual1', 'pual1', '', ''),
(80134, 'talrion4', 'talrion4', '', ''),
(80135, 'elas3', 'elas3', '', ''),
(80136, 'prokel1', 'prokel1', '', ''),
(80137, 'jepar1', 'jepar1', '', ''),
(71251, 'baseReset', 'baseReset', '', '');

-- spawnlist_npc 
INSERT INTO spawnlist_npc VALUES(90420, '', 1, 80141, 32760, 32884, 0, 0, 6, 0, 1000, 0);
INSERT INTO spawnlist_npc VALUES(90421, '', 1, 80142, 32805, 32813, 0, 0, 4, 0, 1000, 0);
INSERT INTO spawnlist_npc VALUES(90422, '', 1, 80143, 32768, 32827, 0, 0, 4, 0, 1000, 0);
INSERT INTO spawnlist_npc VALUES(90423, '', 1, 80144, 32774, 32827, 0, 0, 4, 0, 1000, 0);
INSERT INTO spawnlist_npc VALUES(90424, '', 1, 80145, 32772, 32811, 0, 0, 4, 0, 1000, 0);
INSERT INTO spawnlist_npc VALUES(90425, '', 1, 80146, 32842, 32860, 0, 0, 5, 0, 1000, 0);
INSERT INTO spawnlist_npc VALUES(90426, '', 1, 80147, 32792, 32870, 0, 0, 6, 0, 1000, 0);
INSERT INTO spawnlist_npc VALUES(90427, '', 1, 80147, 32812, 32856, 0, 0, 2, 0, 1000, 0);
INSERT INTO spawnlist_npc VALUES(90428, '', 1, 80147, 32828, 32818, 0, 0, 0, 0, 1000, 0);
INSERT INTO spawnlist_npc VALUES(90429, '', 1, 80147, 32768, 32837, 0, 0, 4, 0, 1000, 0);
INSERT INTO spawnlist_npc VALUES(90430, '', 1, 80148, 32811, 32870, 0, 0, 2, 0, 1000, 0);
INSERT INTO spawnlist_npc VALUES(90431, '', 1, 80148, 32792, 32855, 0, 0, 6, 0, 1000, 0);
INSERT INTO spawnlist_npc VALUES(90432, '', 1, 80148, 32844, 32836, 0, 0, 4, 0, 1000, 0);
INSERT INTO spawnlist_npc VALUES(90433, '', 1, 80148, 32829, 32809, 0, 0, 4, 0, 1000, 0);
INSERT INTO spawnlist_npc VALUES(90434, '', 1, 80148, 32774, 32837, 0, 0, 4, 0, 1000, 0);
INSERT INTO spawnlist_npc VALUES(90435, '', 1, 80132, 32784, 32883, 0, 0, 5, 0, 1001, 0);
INSERT INTO spawnlist_npc VALUES(90436, '', 1, 80133, 32790, 32838, 0, 0, 4, 0, 1001, 0);
INSERT INTO spawnlist_npc VALUES(90437, '', 1, 80134, 32828, 32844, 0, 0, 5, 0, 1001, 0);
INSERT INTO spawnlist_npc VALUES(90438, '', 1, 80135, 32816, 32843, 0, 0, 4, 0, 1001, 0);
INSERT INTO spawnlist_npc VALUES(90439, '', 1, 80136, 32817, 32831, 0, 0, 4, 0, 1001, 0);
INSERT INTO spawnlist_npc VALUES(90440, '', 1, 80137, 32824, 32872, 0, 0, 6, 0, 1001, 0);
INSERT INTO spawnlist_npc VALUES(90441, '', 1, 80138, 32782, 32865, 0, 0, 6, 0, 1001, 0);
INSERT INTO spawnlist_npc VALUES(90442, '', 1, 80138, 32800, 32880, 0, 0, 6, 0, 1001, 0);
INSERT INTO spawnlist_npc VALUES(90443, '', 1, 80138, 32821, 32859, 0, 0, 6, 0, 1001, 0);
INSERT INTO spawnlist_npc VALUES(90444, '', 1, 80138, 32804, 32844, 0, 0, 6, 0, 1001, 0);
INSERT INTO spawnlist_npc VALUES(90445, '', 1, 80139, 32762, 32865, 0, 0, 6, 0, 1001, 0);
INSERT INTO spawnlist_npc VALUES(90446, '', 1, 80139, 32762, 32856, 0, 0, 6, 0, 1001, 0);
INSERT INTO spawnlist_npc VALUES(90447, '', 1, 80139, 32804, 32896, 0, 0, 4, 0, 1001, 0);
INSERT INTO spawnlist_npc VALUES(90448, '', 1, 80139, 32796, 32897, 0, 0, 4, 0, 1001, 0);
INSERT INTO spawnlist_npc VALUES(90449, '', 1, 80139, 32810, 32823, 0, 0, 0, 0, 1001, 0);
INSERT INTO spawnlist_npc VALUES(90450, '', 1, 80139, 32800, 32823, 0, 0, 0, 0, 1001, 0);
INSERT INTO spawnlist_npc VALUES(90451, '', 1, 80139, 32815, 32806, 0, 0, 7, 0, 1001, 0);
INSERT INTO spawnlist_npc VALUES(90419, 'Lolo', 1, 71251, 32610, 32775, 0, 0, 4, 0, 4, 0);
-- skills
INSERT INTO skills VALUES(177, '', 23, 0, 0, 0, 0, 0, 0, 0, 'none', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, '', 0, 0, 0, 0, 0, 0);
INSERT INTO skills VALUES(178, '', 23, 1, 0, 0, 0, 0, 0, 0, 'none', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, '', 0, 0, 0, 0, 0, 0);
INSERT INTO skills VALUES(179, '', 23, 2, 0, 0, 0, 0, 0, 0, 'none', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, '', 0, 0, 0, 0, 0, 0);
INSERT INTO skills VALUES(180, '', 23, 3, 0, 0, 0, 0, 0, 0, 'none', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, '', 0, 0, 0, 0, 0, 0);
INSERT INTO skills VALUES(181, '', 23, 4, 0, 15, 0, 0, 0, 1200, 'none', 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 16, '$5920', 19, 6531, 0, 0, 0, 0);
INSERT INTO skills VALUES(182, '', 23, 5, 0, 10, 0, 0, 0, 60, 'none', 0, 0, 0, 0, 0, 0, 2, 2, 0, 0, 0, 0, 32, '$5921', 19, 6590, 0, 0, 0, 0);
INSERT INTO skills VALUES(183, '', 23, 6, 0, 25, 0, 0, 0, 60, 'buff', 3, 0, 0, 0, 0, 26, 0, 1, 0, 3, 0, 0, 64, '$5922', 19, 6508, 0, 0, 0, 280);
INSERT INTO skills VALUES(184, '', 23, 7, 0, 35, 0, 0, 0, 0, 'attack', 3, 45, 0, 0, 0, 0, 2, 64, 0, 10, 0, 0, 128, '$5923', 18, 6516, 0, 0, 0, 0);
INSERT INTO skills VALUES(185, '', 24, 0, 0, 1, 49157, 1, 0, 0, 'none', 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 1, '$5924', 19, 6975, 0, 0, 0, 0);
INSERT INTO skills VALUES(186, '', 24, 1, 0, 30, 0, 0, 0, 60, 'none', 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 2, '$5925', 19, 6523, 0, 0, 0, 0);
INSERT INTO skills VALUES(187, '', 24, 2, 0, 20, 0, 0, 0, 0, 'attack', 3, 0, 0, 0, 0, 0, 0, 64, 0, 2, 0, 0, 4, '$5926', 18, 0, 0, 0, 0, 0);
INSERT INTO skills VALUES(188, '', 24, 3, 0, 30, 0, 0, 0, 60, 'buff', 3, 0, 0, 0, 0, 26, 0, 1, 0, 3, 0, 0, 8, '$5927', 19, 6586, 0, 0, 0, 280);
INSERT INTO skills VALUES(189, '', 24, 4, 0, 40, 0, 0, 0, 0, 'none', 3, 45, 0, 0, 0, 0, 8, 64, 0, 0, 2, 0, 16, '$5928', 18, 6532, 0, 0, 0, 0);
INSERT INTO skills VALUES(190, '', 24, 5, 0, 1, 49157, 1, 0, 0, 'none', 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 32, '$5929', 19, 6976, 0, 0, 0, 0);
INSERT INTO skills VALUES(191, '', 24, 6, 0, 50, 0, 0, 0, 300, 'none', 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 64, '$5930', 19, 6519, 0, 0, 0, 0);
INSERT INTO skills VALUES(192, '', 24, 7, 0, 45, 0, 0, 0, 2, 'attack', 3, 50, 10, 2, 10, 0, 8, 64, 0, 8, 0, 0, 128, '$5931', 18, 6512, 0, 0, 0, 0);
INSERT INTO skills VALUES(193, '', 25, 0, 0, 50, 0, 0, 0, 60, 'buff', 3, 0, 0, 0, 0, 26, 0, 1, 0, 3, 0, 0, 1, '$5932', 19, 6588, 0, 0, 0, 280);
INSERT INTO skills VALUES(194, '', 25, 1, 0, 50, 0, 0, 0, 3, 'attack', 3, 45, 0, 0, 0, 5, 4, 64, 0, 10, 0, 0, 2, '$5933', 18, 6988, 0, 0, 0, 0);
INSERT INTO skills VALUES(195, '', 25, 2, 0, 1, 49157, 2, 0, 0, 'none', 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 4, '$5934', 19, 6922, 0, 0, 0, 0);
INSERT INTO skills VALUES(196, '', 25, 3, 0, 0, 0, 0, 0, 0, 'none', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, '', 0, 0, 0, 0, 0, 0);
INSERT INTO skills VALUES(197, '', 25, 4, 0, 0, 0, 0, 0, 0, 'none', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 16, '', 0, 0, 0, 0, 0, 0);
INSERT INTO skills VALUES(198, '', 25, 5, 0, 0, 0, 0, 0, 0, 'none', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 32, '', 0, 0, 0, 0, 0, 0);
INSERT INTO skills VALUES(199, '', 25, 6, 0, 0, 0, 0, 0, 0, 'none', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 64, '', 0, 0, 0, 0, 0, 0);
INSERT INTO skills VALUES(200, '', 25, 7, 0, 0, 0, 0, 0, 0, 'none', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 128, '', 0, 0, 0, 0, 0, 0);
INSERT INTO skills VALUES(201, '', 26, 0, 10, 0, 0, 0, 0, 1200, 'none', 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 1, '$5935', 19, 6813, 0, 0, 0, 0);
INSERT INTO skills VALUES(202, '', 26, 1, 15, 10, 0, 0, 0, 8, 'attack', 3, 10, 0, 0, 25, 0, 0, 64, 0, 3, 0, 0, 2, '$5936', 18, 6525, 0, 0, 0, 0);
INSERT INTO skills VALUES(203, '', 26, 2, 7, 0, 0, 0, 0, 0, 'attack', 3, 50, 10, 2, 0, 0, 0, 64, 0, 1, 0, 0, 4, '$5937', 18, 6526, 0, 0, 0, 0);
INSERT INTO skills VALUES(204, '', 26, 3, 15, 0, 0, 0, 0, 32, 'buff', 1, 0, 0, 0, 0, 0, 0, 2, 0, 3, 0, 0, 8, '$5938', 19, 6578, 0, 0, 0, 0);
INSERT INTO skills VALUES(205, '', 26, 4, 30, 0, 49156, 1, 0, 20, 'none', 32, 10, 0, 0, 0, 0, 0, 2, 0, 0, 3, 0, 16, '$5939', 19, 6708, 6709, 0, 0, 0);
INSERT INTO skills VALUES(206, '', 26, 5, 20, 0, 0, 0, 0, 300, 'buff', 1, 0, 0, 0, 0, 0, 0, 2, 0, 3, 0, 0, 32, '$5940', 19, 6527, 0, 0, 0, 280);
INSERT INTO skills VALUES(207, '', 26, 6, 20, 15, 0, 0, 0, 0, 'attack', 3, 5, 0, 0, 0, 0, 0, 64, 0, 3, 0, 0, 64, '$5941', 18, 6553, 0, 0, 0, 0);
INSERT INTO skills VALUES(208, '', 26, 7, 20, 0, 0, 0, 0, 2, 'attack', 3, 10, 0, 0, 40, 0, 0, 64, 0, 3, 0, 0, 128, '$5942', 18, 7020, 0, 0, 0, 0);
INSERT INTO skills VALUES(209, '', 27, 0, 15, 0, 0, 0, 0, 32, 'buff', 1, 0, 0, 0, 0, 0, 0, 2, 0, 3, 0, 0, 1, '$5943', 19, 6577, 0, 0, 0, 280);
INSERT INTO skills VALUES(210, '', 27, 1, 35, 0, 49156, 1, 0, 20, 'none', 32, 0, 0, 0, 0, 0, 0, 2, 0, 0, 3, 0, 2, '$5944', 19, 6714, 6715, 0, 0, 0);
INSERT INTO skills VALUES(211, '', 27, 2, 25, 0, 0, 0, 0, 600, 'buff', 3, 0, 0, 0, 0, 0, 0, 2, 0, 3, 0, 0, 4, '$5945', 19, 6507, 0, 0, 0, 0);
INSERT INTO skills VALUES(212, '', 27, 3, 30, 25, 0, 0, 0, 5, 'buff', 3, 0, 0, 0, 30, 0, 0, 4, 0, 3, 0, 0, 8, '$5946', 19, 6530, 0, 0, 0, 0);
INSERT INTO skills VALUES(213, '', 27, 4, 25, 0, 0, 0, 0, 12, 'attack', 3, 15, 0, 0, 0, 0, 0, 64, 0, 3, 0, 0, 16, '$5947', 18, 6551, 0, 0, 0, 0);
INSERT INTO skills VALUES(214, '', 27, 5, 25, 0, 0, 0, 0, 32, 'buff', 1, 0, 0, 0, 0, 0, 0, 2, 0, 3, 0, 0, 32, '$5948', 19, 6576, 0, 0, 0, 0);
INSERT INTO skills VALUES(215, '', 27, 6, 55, 0, 49156, 1, 0, 20, 'none', 32, 0, 0, 0, 0, 0, 0, 2, 0, 0, 3, 0, 64, '$5949', 19, 6720, 6721, 0, 0, 0);
INSERT INTO skills VALUES(216, '', 27, 7, 40, 0, 0, 0, 0, 300, 'buff', 1, 0, 0, 0, 0, 0, 0, 2, 0, 3, 0, 0, 128, '$5950', 19, 6505, 0, 0, 0, 280);
INSERT INTO skills VALUES(217, '', 28, 0, 30, 30, 0, 0, 0, 64, 'buff', 3, 0, 0, 0, 0, 0, 0, 4, 0, 3, 0, 0, 1, '$5951', 19, 6506, 0, 0, 0, 0);
INSERT INTO skills VALUES(218, '', 28, 1, 40, 0, 0, 0, 0, 2, 'buff', 3, 0, 0, 0, 0, 0, 0, 2, 0, 3, 0, 0, 2, '$5952', 19, 6528, 0, 0, 0, 0);
INSERT INTO skills VALUES(219, '', 28, 2, 35, 0, 0, 0, 0, 32, 'buff', 1, 0, 0, 0, 0, 0, 0, 2, 0, 3, 0, 0, 4, '$5953', 19, 6575, 0, 0, 0, 0);
INSERT INTO skills VALUES(220, '', 28, 3, 55, 0, 49156, 2, 0, 20, 'none', 32, 0, 0, 0, 0, 0, 0, 2, 0, 0, 3, 0, 8, '$5954', 19, 6727, 6727, 0, 0, 0);
INSERT INTO skills VALUES(10096, '', 0, 0, 0, 0, 0, 0, 0, 0, 'attack', 3, 10, 5, 5, 0, 0, 4, 64, 0, 10, 0, 0, 0, '', 18, 1606, 0, 0, 0, 0);
INSERT INTO skills VALUES(10097, '', 0, 0, 0, 0, 0, 0, 0, 0, 'attack', 3, 10, 5, 5, 0, 0, 4, 64, 0, 10, 0, 0, 0, '', 18, 1608, 0, 0, 0, 0);
INSERT INTO skills VALUES(10098, '', 0, 0, 10, 0, 0, 0, 0, 0, 'attack', 3, 20, 10, 6, 0, 0, 1, 64, 0, 10, 0, 0, 0, '', 18, 5847, 0, 0, 0, 0);
INSERT INTO skills VALUES(10100, '', 0, 0, 10, 0, 0, 0, 0, 0, 'attack', 3, 50, 10, 10, 0, 0, 8, 64, 0, 2, 2, 0, 0, '', 18, 5449, 0, 0, 0, 0);
INSERT INTO skills VALUES(10101, '', 0, 0, 0, 0, 0, 0, 5000, 10, 'buff', 3, 0, 0, 0, 0, 8, 1, 4, 0, 3, 0, 0, 0, '$1456', 18, 746, 0, 0, 0, 280);
INSERT INTO skills VALUES(10102, '', 0, 0, 0, 0, 0, 0, 0, 0, 'attack', 3, 20, 5, 10, 0, 0, 0, 64, 0, 8, 0, 0, 0, '', 18, 5570, 0, 0, 0, 0);
INSERT INTO skills VALUES(10103, '', 0, 0, 0, 0, 0, 0, 0, 0, 'attack', 3, 20, 5, 10, 0, 0, 0, 64, 0, 8, 0, 0, 0, '', 18, 4840, 0, 0, 0, 0);
INSERT INTO skills VALUES(10104, '', 0, 0, 0, 0, 0, 0, 0, 0, 'attack', 3, 10, 10, 10, 0, 0, 0, 64, 0, 8, 0, 0, 0, '', 18, 4706, 0, 0, 0, 0);
INSERT INTO skills VALUES(10105, '', 0, 0, 0, 0, 0, 0, 0, 0, 'attack', 3, 10, 10, 10, 0, 0, 0, 64, 0, 8, 0, 0, 0, '', 18, 4846, 0, 0, 0, 0);
INSERT INTO skills VALUES(10107, '', 0, 0, 0, 0, 0, 0, 0, 0, 'none', 3, 50, 15, 8, 0, 0, 2, 64, 0, 3, 3, 0, 0, '', 19, 4836, 0, 0, 0, 0);
INSERT INTO skills VALUES(10106, '', 0, 0, 0, 0, 0, 0, 0, 0, 'attack', 3, 10, 10, 10, 0, 0, 0, 64, 0, 8, 0, 0, 0, '', 18, 4834, 0, 0, 0, 0);
INSERT INTO skills VALUES(10108, '', 0, 0, 0, 0, 0, 0, 0, 0, 'attack', 3, 30, 10, 10, 0, 0, 0, 64, 0, 8, 0, 0, 0, '', 18, 5474, 0, 0, 0, 0);
INSERT INTO skills VALUES(10109, '', 0, 0, 0, 0, 0, 0, 0, 0, 'none', 3, 100, 10, 10, 0, 0, 0, 64, 0, 5, 2, 0, 0, '', 19, 2510, 0, 0, 0, 0);
INSERT INTO skills VALUES(10110, '', 0, 0, 0, 0, 0, 0, 0, 0, 'none', 3, 100, 10, 10, 0, 0, 2, 64, 0, 5, 2, 0, 0, '', 19, 2510, 0, 0, 0, 0);
INSERT INTO skills VALUES(10111, '', 0, 0, 0, 0, 0, 0, 0, 0, 'attack', 3, 30, 10, 10, 0, 0, 2, 64, 0, 8, 0, 0, 0, '', 18, 5281, 0, 0, 0, 0);
INSERT INTO skills VALUES(10112, '', 0, 0, 0, 0, 0, 0, 0, 0, 'none', 3, 50, 15, 8, 0, 0, 2, 64, 0, 0, 15, 0, 0, '', 19, 4539, 0, 0, 0, 0);
INSERT INTO skills VALUES(10113, '', 0, 0, 0, 0, 0, 0, 0, 0, 'attack', 3, 30, 10, 10, 0, 0, 0, 64, 0, 8, 0, 0, 0, '', 30, 5301, 0, 0, 0, 0);
INSERT INTO skills VALUES(10114, '', 0, 0, 0, 0, 0, 0, 0, 0, 'none', 3, 100, 10, 10, 0, 0, 0, 64, 0, 5, 2, 0, 0, '', 18, 2510, 0, 0, 0, 0);
INSERT INTO skills VALUES(10115, '', 0, 0, 0, 0, 0, 0, 0, 0, 'none', 3, 80, 10, 10, 0, 0, 0, 64, 0, 7, 3, 0, 0, '', 18, 2510, 0, 0, 0, 0);
INSERT INTO skills VALUES(10116, '', 0, 0, 0, 0, 0, 0, 0, 0, 'none', 3, 100, 10, 10, 0, 0, 0, 64, 0, 5, 2, 0, 0, '', 18, 2510, 0, 0, 0, 0);
INSERT INTO skills VALUES(10117, '', 0, 0, 0, 0, 0, 0, 0, 0, 'none', 3, 100, 10, 10, 0, 0, 0, 64, 0, 5, 2, 0, 0, '', 18, 5376, 0, 0, 0, 0);
INSERT INTO skills VALUES(10118, '', 0, 0, 0, 0, 0, 0, 0, 6, 'buff', 3, 0, 0, 0, 50, 0, 0, 1, 0, 5, 3, 0, 0, '', 19, 4434, 0, 0, 0, 280);
INSERT INTO skills VALUES(10119, '', 0, 0, 0, 0, 0, 0, 0, 0, 'attack', 3, 10, 5, 5, 0, 0, 0, 64, 0, 6, 3, 0, 0, '', 19, 5561, 0, 0, 0, 0);
INSERT INTO skills VALUES(10120, '', 0, 0, 0, 0, 0, 0, 0, 0, 'attack', 3, 10, 5, 5, 0, 0, 0, 64, 0, 10, 0, 0, 0, '', 30, 5524, 0, 0, 0, 0);
INSERT INTO skills VALUES(10121, '', 0, 0, 0, 0, 0, 0, 0, 0, 'attack', 3, 10, 5, 5, 0, 0, 0, 64, 0, 6, 0, 0, 0, '', 18, 5631, 0, 0, 0, 0);
INSERT INTO skills VALUES(10122, '', 0, 0, 0, 0, 0, 0, 0, 0, 'none', 3, 10, 5, 5, 0, 0, 0, 64, 0, 7, 3, 0, 0, '', 19, 5637, 0, 0, 0, 0);
INSERT INTO skills VALUES(10123, '', 0, 0, 0, 0, 0, 0, 0, 0, 'attack', 3, 20, 5, 5, 0, 0, 0, 64, 0, 0, 3, 0, 0, '', 18, 5631, 0, 0, 0, 0);
INSERT INTO skills VALUES(10124, '', 0, 0, 0, 0, 0, 0, 0, 0, 'attack', 3, 20, 10, 5, 0, 0, 0, 64, 0, 8, 0, 0, 0, '', 18, 5445, 0, 0, 0, 0);
INSERT INTO skills VALUES(10125, '', 0, 0, 0, 0, 0, 0, 0, 0, 'none', 3, 20, 5, 5, 0, 0, 0, 64, 0, 0, 2, 0, 0, '', 18, 5261, 0, 0, 0, 0);
INSERT INTO skills VALUES(10126, '', 0, 0, 0, 0, 0, 0, 0, 0, 'attack', 3, 200, 10, 15, 0, 0, 0, 64, 0, 15, 3, 0, 0, '', 25, 5651, 0, 0, 0, 0);
INSERT INTO skills VALUES(10127, '', 0, 0, 0, 0, 0, 0, 0, 0, 'none', 3, 200, 10, 20, 0, 0, 0, 64, 0, 0, 15, 0, 0, '', 18, 5616, 0, 0, 0, 0);
INSERT INTO skills VALUES(10128, '', 0, 0, 0, 0, 0, 0, 0, 0, 'attack', 3, 200, 10, 20, 0, 0, 0, 64, 0, 6, 3, 0, 0, '', 12, 2510, 0, 0, 0, 0);
INSERT INTO skills VALUES(10129, '', 0, 0, 0, 0, 0, 0, 0, 0, 'none', 3, 200, 10, 20, 0, 0, 0, 64, 0, 0, 15, 1, 0, '', 19, 5638, 0, 0, 0, 0);
INSERT INTO skills VALUES(10130, '', 0, 0, 0, 0, 0, 0, 0, 8, 'none', 0, 200, 10, 20, 0, 0, 0, 2, 0, 0, 5, 1, 0, '', 0, 5626, 0, 0, 0, 0);
INSERT INTO skills VALUES(10131, '', 7, 4, 10, 0, 0, 0, 1000, 0, 'none', 3, 20, 10, 5, 0, 0, 8, 64, 0, 0, 3, 0, 0, '', 18, 2510, 0, 0, 0, 0);
INSERT INTO skills VALUES(10132, '', 0, 0, 10, 0, 0, 0, 1000, 0, 'none', 3, 50, 10, 8, 0, 0, 8, 64, 0, 0, 3, 0, 0, '', 18, 6703, 0, 0, 0, 0);
INSERT INTO skills VALUES(10133, '', 0, 0, 20, 0, 0, 0, 0, 0, 'attack', 3, 30, 10, 3, 0, 0, 4, 64, 0, 6, 0, 0, 32, '', 30, 1809, 0, 0, 0, 0);
INSERT INTO skills VALUES(10134, '', 0, 0, 0, 0, 0, 0, 0, 0, 'none', 3, 10, 10, 10, 0, 0, 0, 64, 0, 2, 2, 0, 0, '', 18, 2510, 0, 0, 0, 0);
INSERT INTO skills VALUES(10135, '', 0, 0, 4, 0, 0, 0, 0, 0, 'attack', 3, 10, 8, 5, 0, 0, 0, 64, 0, 6, 0, 0, 0, '', 30, 1606, 0, 0, 0, 0);
INSERT INTO skills VALUES(10136, '', 0, 0, 20, 0, 0, 0, 0, 0, 'attack', 3, 4, 8, 3, 0, 0, 2, 64, 0, 6, 3, 0, 0, '', 30, 171, 0, 0, 0, 0);
INSERT INTO skills VALUES(10137, '', 0, 0, 10, 0, 0, 0, 0, 0, 'attack', 3, 25, 10, 5, 0, 0, 2, 64, 0, 6, 0, 0, 0, '', 18, 6668, 0, 0, 0, 0);
INSERT INTO skills VALUES(10138, '', 0, 0, 10, 0, 0, 0, 0, 0, 'attack', 3, 100, 20, 5, 0, 0, 2, 64, 0, 6, 0, 0, 0, '', 18, 6572, 0, 0, 0, 0);
INSERT INTO skills VALUES(10139, '', 0, 0, 10, 0, 0, 0, 0, 0, 'attack', 3, 100, 20, 5, 0, 0, 2, 64, 0, 6, 0, 0, 0, '', 18, 6598, 0, 0, 0, 0);
INSERT INTO skills VALUES(10140, '', 0, 0, 0, 0, 0, 0, 0, 0, 'none', 3, 80, 10, 10, 0, 0, 2, 64, 0, 4, 3, 0, 0, '', 19, 2510, 0, 0, 0, 0);
INSERT INTO skills VALUES(10141, '', 0, 0, 0, 0, 0, 0, 0, 0, 'none', 3, 80, 10, 10, 0, 0, 1, 64, 0, 4, 3, 0, 0, '', 19, 2510, 0, 0, 0, 0);
INSERT INTO skills VALUES(10142, '', 0, 0, 0, 0, 0, 0, 0, 0, 'attack', 2, 10, 8, 5, 0, 0, 2, 64, 0, 2, 2, 0, 0, '', 30, 2510, 0, 0, 0, 0);
INSERT INTO skills VALUES(10143, '', 0, 0, 0, 0, 0, 0, 0, 0, 'attack', 2, 10, 8, 3, 0, 0, 2, 64, 0, 2, 2, 0, 0, '', 18, 1783, 0, 0, 0, 0);
INSERT INTO skills VALUES(10144, '', 0, 0, 0, 0, 0, 0, 0, 0, 'attack', 2, 10, 8, 3, 0, 0, 2, 64, 0, 2, 2, 0, 0, '', 1, 1783, 0, 0, 0, 0);
INSERT INTO skills VALUES(10145, '', 0, 0, 0, 0, 0, 0, 0, 0, 'attack', 3, 8, 5, 3, 0, 0, 0, 64, 0, 10, 0, 0, 0, '', 18, 1662, 0, 0, 0, 0);
-- weapon
UPDATE weapon SET unidentified_name_id = '$13', identified_name_id = '$13', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 1;
UPDATE weapon SET unidentified_name_id = '$416', identified_name_id = '$416', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 2;
UPDATE weapon SET unidentified_name_id = '$785', identified_name_id = '$785', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 3;
UPDATE weapon SET unidentified_name_id = '$70', identified_name_id = '$70', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 4;
UPDATE weapon SET unidentified_name_id = '$12', identified_name_id = '$12', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 5;
UPDATE weapon SET unidentified_name_id = '$2905', identified_name_id = '$2905', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 6;
UPDATE weapon SET unidentified_name_id = '$3288', identified_name_id = '$3288', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 7;
UPDATE weapon SET unidentified_name_id = '$3248', identified_name_id = '$3248', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 8;
UPDATE weapon SET unidentified_name_id = '$3247', identified_name_id = '$3247', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 9;
UPDATE weapon SET unidentified_name_id = '$2920', identified_name_id = '$2920', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 10;
UPDATE weapon SET unidentified_name_id = '$3867', identified_name_id = '$3867', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 11;
UPDATE weapon SET unidentified_name_id = '$3835', identified_name_id = '$3835', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 12;
UPDATE weapon SET unidentified_name_id = '$2648', identified_name_id = '$2648', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 13;
UPDATE weapon SET unidentified_name_id = '$3737', identified_name_id = '$3737', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 14;
UPDATE weapon SET unidentified_name_id = '$2777', identified_name_id = '$2777', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 15;
UPDATE weapon SET unidentified_name_id = '$2762', identified_name_id = '$2762', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 16;
UPDATE weapon SET unidentified_name_id = '$1958 $1938', identified_name_id = '$1958 $1938', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 17;
UPDATE weapon SET unidentified_name_id = '$1958 $1939', identified_name_id = '$1958 $1939', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 18;
UPDATE weapon SET unidentified_name_id = '$786', identified_name_id = '$786', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 19;
UPDATE weapon SET unidentified_name_id = '$787', identified_name_id = '$787', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 20;
UPDATE weapon SET unidentified_name_id = '$99', identified_name_id = '$99', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 21;
UPDATE weapon SET unidentified_name_id = '$793', identified_name_id = '$793', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 22;
UPDATE weapon SET unidentified_name_id = '$66', identified_name_id = '$66', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 23;
UPDATE weapon SET unidentified_name_id = '$100', identified_name_id = '$100', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 24;
UPDATE weapon SET unidentified_name_id = '$1148', identified_name_id = '$1148', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 25;
UPDATE weapon SET unidentified_name_id = '$97', identified_name_id = '$97', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 26;
UPDATE weapon SET unidentified_name_id = '$92', identified_name_id = '$92', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 27;
UPDATE weapon SET unidentified_name_id = '$98', identified_name_id = '$98', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 28;
UPDATE weapon SET unidentified_name_id = '$1147', identified_name_id = '$1147', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 29;
UPDATE weapon SET unidentified_name_id = '$313', identified_name_id = '$313', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 30;
UPDATE weapon SET unidentified_name_id = '$0', identified_name_id = '$0', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 31;
UPDATE weapon SET unidentified_name_id = '$415', identified_name_id = '$415', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 32;
UPDATE weapon SET unidentified_name_id = '$3790', identified_name_id = '$3790', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 33;
UPDATE weapon SET unidentified_name_id = '$3795', identified_name_id = '$3795', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 34;
UPDATE weapon SET unidentified_name_id = '$3279', identified_name_id = '$3279', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 35;
UPDATE weapon SET unidentified_name_id = '$1997', identified_name_id = '$1997', `range` = 1, use_dragonknight = 1, use_illusionist = 1 WHERE item_id = 36;
UPDATE weapon SET unidentified_name_id = '$598', identified_name_id = '$598', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 37;
UPDATE weapon SET unidentified_name_id = '$2903', identified_name_id = '$2903', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 38;
UPDATE weapon SET unidentified_name_id = '$3504', identified_name_id = '$3504', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 39;
UPDATE weapon SET unidentified_name_id = '$3864', identified_name_id = '$3864', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 40;
UPDATE weapon SET unidentified_name_id = '$16', identified_name_id = '$16', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 41;
UPDATE weapon SET unidentified_name_id = '$789', identified_name_id = '$789', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 42;
UPDATE weapon SET unidentified_name_id = '$3505', identified_name_id = '$3505', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 43;
UPDATE weapon SET unidentified_name_id = '$2772', identified_name_id = '$2772', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 44;
UPDATE weapon SET unidentified_name_id = '$428', identified_name_id = '$428', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 45;
UPDATE weapon SET unidentified_name_id = '$1553', identified_name_id = '$1553', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 46;
UPDATE weapon SET unidentified_name_id = '$3110', identified_name_id = '$3110', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 47;
UPDATE weapon SET unidentified_name_id = '$3280', identified_name_id = '$3280', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 48;
UPDATE weapon SET unidentified_name_id = '$3840', identified_name_id = '$3840', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 49;
UPDATE weapon SET unidentified_name_id = '$2353', identified_name_id = '$2353', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 50;
UPDATE weapon SET unidentified_name_id = '$2354', identified_name_id = '$2354', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 51;
UPDATE weapon SET unidentified_name_id = '$3', identified_name_id = '$3', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 52;
UPDATE weapon SET unidentified_name_id = '$3796', identified_name_id = '$3796', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 53;
UPDATE weapon SET unidentified_name_id = '$2994', identified_name_id = '$2994', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 54;
UPDATE weapon SET unidentified_name_id = '$3863', identified_name_id = '$3863', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 55;
UPDATE weapon SET unidentified_name_id = '$2350', identified_name_id = '$2350', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 56;
UPDATE weapon SET unidentified_name_id = '$17', identified_name_id = '$17', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 57;
UPDATE weapon SET unidentified_name_id = '$2758', identified_name_id = '$2758', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 58;
UPDATE weapon SET unidentified_name_id = '$2859', identified_name_id = '$2859', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 59;
UPDATE weapon SET unidentified_name_id = '$417', identified_name_id = '$417', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 60;
UPDATE weapon SET unidentified_name_id = '$3834', identified_name_id = '$3834', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 61;
UPDATE weapon SET unidentified_name_id = '$3839', identified_name_id = '$3839', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 62;
UPDATE weapon SET unidentified_name_id = '$3375', identified_name_id = '$3375', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 63;
UPDATE weapon SET unidentified_name_id = '$1048', identified_name_id = '$1048', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 64;
UPDATE weapon SET unidentified_name_id = '$2253', identified_name_id = '$2253', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 65;
UPDATE weapon SET unidentified_name_id = '$1020', identified_name_id = '$1020', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 66;
UPDATE weapon SET unidentified_name_id = '$1951', identified_name_id = '$1951', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 67;
UPDATE weapon SET unidentified_name_id = '$1950', identified_name_id = '$1950', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 68;
UPDATE weapon SET unidentified_name_id = '$2458 $2449', identified_name_id = '$2458 $2449', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 69;
UPDATE weapon SET unidentified_name_id = '$3866', identified_name_id = '$3866', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 70;
UPDATE weapon SET unidentified_name_id = '$2459 $2449', identified_name_id = '$2459 $2449', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 71;
UPDATE weapon SET unidentified_name_id = '$2460 $2449', identified_name_id = '$2460 $2449', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 72;
UPDATE weapon SET unidentified_name_id = '$3286', identified_name_id = '$3286', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 73;
UPDATE weapon SET unidentified_name_id = '$2454 $2449', identified_name_id = '$2454 $2449', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 74;
UPDATE weapon SET unidentified_name_id = '$2452 $2449', identified_name_id = '$2452 $2449', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 75;
UPDATE weapon SET unidentified_name_id = '$2759', identified_name_id = '$2759', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 76;
UPDATE weapon SET unidentified_name_id = '$2461 $2449', identified_name_id = '$2461 $2449', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 77;
UPDATE weapon SET unidentified_name_id = '$3860', identified_name_id = '$3860', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 78;
UPDATE weapon SET unidentified_name_id = '$3791', identified_name_id = '$3791', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 79;
UPDATE weapon SET unidentified_name_id = '$2462 $2449', identified_name_id = '$2462 $2449', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 80;
UPDATE weapon SET unidentified_name_id = '$2453 $2449', identified_name_id = '$2453 $2449', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 81;
UPDATE weapon SET unidentified_name_id = '$2904', identified_name_id = '$2904', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 82;
UPDATE weapon SET unidentified_name_id = '$3111', identified_name_id = '$3111', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 83;
UPDATE weapon SET unidentified_name_id = '$2455', identified_name_id = '$2455', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 84;
UPDATE weapon SET unidentified_name_id = '$3376', identified_name_id = '$3376', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 85;
UPDATE weapon SET unidentified_name_id = '$3836', identified_name_id = '$3836', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 86;
UPDATE weapon SET unidentified_name_id = '$2760', identified_name_id = '$2760', `range` = 2, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 87;
UPDATE weapon SET unidentified_name_id = '$783', identified_name_id = '$783', `range` = 2, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 88;
UPDATE weapon SET unidentified_name_id = '$791', identified_name_id = '$791', `range` = 2, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 89;
UPDATE weapon SET unidentified_name_id = '$62', identified_name_id = '$62', `range` = 2, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 90;
UPDATE weapon SET unidentified_name_id = '$96', identified_name_id = '$96', `range` = 2, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 91;
UPDATE weapon SET unidentified_name_id = '$63', identified_name_id = '$63', `range` = 2, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 92;
UPDATE weapon SET unidentified_name_id = '$102', identified_name_id = '$102', `range` = 2, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 93;
UPDATE weapon SET unidentified_name_id = '$87', identified_name_id = '$87', `range` = 2, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 94;
UPDATE weapon SET unidentified_name_id = '$81', identified_name_id = '$81', `range` = 2, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 95;
UPDATE weapon SET unidentified_name_id = '$25', identified_name_id = '$25', `range` = 2, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 96;
UPDATE weapon SET unidentified_name_id = '$76', identified_name_id = '$76', `range` = 2, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 97;
UPDATE weapon SET unidentified_name_id = '$75', identified_name_id = '$75', `range` = 2, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 98;
UPDATE weapon SET unidentified_name_id = '$95', identified_name_id = '$95', `range` = 2, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 99;
UPDATE weapon SET unidentified_name_id = '$792', identified_name_id = '$792', `range` = 2, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 100;
UPDATE weapon SET unidentified_name_id = '$2906', identified_name_id = '$2906', `range` = 2, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 101;
UPDATE weapon SET unidentified_name_id = '$83', identified_name_id = '$83', `range` = 2, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 102;
UPDATE weapon SET unidentified_name_id = '$77', identified_name_id = '$77', `range` = 2, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 103;
UPDATE weapon SET unidentified_name_id = '$73', identified_name_id = '$73', `range` = 2, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 104;
UPDATE weapon SET unidentified_name_id = '$3282', identified_name_id = '$3282', `range` = 2, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 105;
UPDATE weapon SET unidentified_name_id = '$71', identified_name_id = '$71', `range` = 2, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 106;
UPDATE weapon SET unidentified_name_id = '$3250', identified_name_id = '$3250', `range` = 2, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 107;
UPDATE weapon SET unidentified_name_id = '$2764', identified_name_id = '$2764', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 108;
UPDATE weapon SET unidentified_name_id = '$2766', identified_name_id = '$2766', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 109;
UPDATE weapon SET unidentified_name_id = '$2768', identified_name_id = '$2768', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 110;
UPDATE weapon SET unidentified_name_id = '$2754', identified_name_id = '$2754', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 111;
UPDATE weapon SET unidentified_name_id = '$801', identified_name_id = '$801', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 112;
UPDATE weapon SET unidentified_name_id = '$802', identified_name_id = '$802', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 113;
UPDATE weapon SET unidentified_name_id = '$4386', identified_name_id = '$4386', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 114;
UPDATE weapon SET unidentified_name_id = '$2080', identified_name_id = '$2080', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 115;
UPDATE weapon SET unidentified_name_id = '$3089', identified_name_id = '$3089', `range` = 1, use_dragonknight = 0, use_illusionist = 1 WHERE item_id = 116;
UPDATE weapon SET unidentified_name_id = '$3078', identified_name_id = '$3078', `range` = 1, use_dragonknight = 0, use_illusionist = 1 WHERE item_id = 117;
UPDATE weapon SET unidentified_name_id = '$3793', identified_name_id = '$3793', `range` = 1, use_dragonknight = 0, use_illusionist = 1 WHERE item_id = 118;
UPDATE weapon SET unidentified_name_id = '$2991', identified_name_id = '$2991', `range` = 1, use_dragonknight = 0, use_illusionist = 1 WHERE item_id = 119;
UPDATE weapon SET unidentified_name_id = '$3285', identified_name_id = '$3285', `range` = 1, use_dragonknight = 0, use_illusionist = 1 WHERE item_id = 120;
UPDATE weapon SET unidentified_name_id = '$2990', identified_name_id = '$2990', `range` = 1, use_dragonknight = 0, use_illusionist = 1 WHERE item_id = 121;
UPDATE weapon SET unidentified_name_id = '$2909', identified_name_id = '$2909', `range` = 1, use_dragonknight = 0, use_illusionist = 1 WHERE item_id = 122;
UPDATE weapon SET unidentified_name_id = '$2993', identified_name_id = '$2993', `range` = 1, use_dragonknight = 0, use_illusionist = 1 WHERE item_id = 123;
UPDATE weapon SET unidentified_name_id = '$2992', identified_name_id = '$2992', `range` = 1, use_dragonknight = 0, use_illusionist = 1 WHERE item_id = 124;
UPDATE weapon SET unidentified_name_id = '$572', identified_name_id = '$572', `range` = 1, use_dragonknight = 0, use_illusionist = 1 WHERE item_id = 125;
UPDATE weapon SET unidentified_name_id = '$1063', identified_name_id = '$1063', `range` = 1, use_dragonknight = 0, use_illusionist = 1 WHERE item_id = 126;
UPDATE weapon SET unidentified_name_id = '$2003', identified_name_id = '$2003', `range` = 1, use_dragonknight = 0, use_illusionist = 1 WHERE item_id = 127;
UPDATE weapon SET unidentified_name_id = '$570', identified_name_id = '$570', `range` = 1, use_dragonknight = 0, use_illusionist = 1 WHERE item_id = 128;
UPDATE weapon SET unidentified_name_id = '$571', identified_name_id = '$571', `range` = 1, use_dragonknight = 0, use_illusionist = 1 WHERE item_id = 129;
UPDATE weapon SET unidentified_name_id = '$3865', identified_name_id = '$3865', `range` = 1, use_dragonknight = 0, use_illusionist = 1 WHERE item_id = 130;
UPDATE weapon SET unidentified_name_id = '$573', identified_name_id = '$573', `range` = 1, use_dragonknight = 0, use_illusionist = 1 WHERE item_id = 131;
UPDATE weapon SET unidentified_name_id = '$3847', identified_name_id = '$3847', `range` = 1, use_dragonknight = 0, use_illusionist = 1 WHERE item_id = 132;
UPDATE weapon SET unidentified_name_id = '$2241', identified_name_id = '$2241', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 133;
UPDATE weapon SET unidentified_name_id = '$3838', identified_name_id = '$3838', `range` = 1, use_dragonknight = 0, use_illusionist = 1 WHERE item_id = 134;
UPDATE weapon SET unidentified_name_id = '$2761', identified_name_id = '$2761', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 135;
UPDATE weapon SET unidentified_name_id = '$1', identified_name_id = '$1', `range` = 1, use_dragonknight = 1, use_illusionist = 1 WHERE item_id = 136;
UPDATE weapon SET unidentified_name_id = '$14', identified_name_id = '$14', `range` = 1, use_dragonknight = 1, use_illusionist = 1 WHERE item_id = 137;
UPDATE weapon SET unidentified_name_id = '$69', identified_name_id = '$69', `range` = 1, use_dragonknight = 1, use_illusionist = 1 WHERE item_id = 138;
UPDATE weapon SET unidentified_name_id = '$74', identified_name_id = '$74', `range` = 1, use_dragonknight = 1, use_illusionist = 1 WHERE item_id = 139;
UPDATE weapon SET unidentified_name_id = '$20', identified_name_id = '$20', `range` = 1, use_dragonknight = 1, use_illusionist = 1 WHERE item_id = 140;
UPDATE weapon SET unidentified_name_id = '$111', identified_name_id = '$111', `range` = 1, use_dragonknight = 1, use_illusionist = 1 WHERE item_id = 141;
UPDATE weapon SET unidentified_name_id = '$1149', identified_name_id = '$1149', `range` = 1, use_dragonknight = 1, use_illusionist = 1 WHERE item_id = 142;
UPDATE weapon SET unidentified_name_id = '$60', identified_name_id = '$60', `range` = 1, use_dragonknight = 1, use_illusionist = 1 WHERE item_id = 143;
UPDATE weapon SET unidentified_name_id = '$94', identified_name_id = '$94', `range` = 1, use_dragonknight = 1, use_illusionist = 1 WHERE item_id = 144;
UPDATE weapon SET unidentified_name_id = '$418', identified_name_id = '$418', `range` = 1, use_dragonknight = 1, use_illusionist = 1 WHERE item_id = 145;
UPDATE weapon SET unidentified_name_id = '$84', identified_name_id = '$84', `range` = 1, use_dragonknight = 1, use_illusionist = 1 WHERE item_id = 146;
UPDATE weapon SET unidentified_name_id = '$3281', identified_name_id = '$3281', `range` = 1, use_dragonknight = 1, use_illusionist = 1 WHERE item_id = 147;
UPDATE weapon SET unidentified_name_id = '$412', identified_name_id = '$412', `range` = 1, use_dragonknight = 1, use_illusionist = 1 WHERE item_id = 148;
UPDATE weapon SET unidentified_name_id = '$2214', identified_name_id = '$2214', `range` = 1, use_dragonknight = 1, use_illusionist = 1 WHERE item_id = 149;
UPDATE weapon SET unidentified_name_id = '$3735', identified_name_id = '$3735', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 150;
UPDATE weapon SET unidentified_name_id = '$3249', identified_name_id = '$3249', `range` = 1, use_dragonknight = 1, use_illusionist = 1 WHERE item_id = 151;
UPDATE weapon SET unidentified_name_id = '$2458 $372', identified_name_id = '$2458 $372', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 152;
UPDATE weapon SET unidentified_name_id = '$2459 $372', identified_name_id = '$2459 $372', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 153;
UPDATE weapon SET unidentified_name_id = '$2460 $372', identified_name_id = '$2460 $372', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 154;
UPDATE weapon SET unidentified_name_id = '$3861', identified_name_id = '$3861', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 155;
UPDATE weapon SET unidentified_name_id = '$3287', identified_name_id = '$3287', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 156;
UPDATE weapon SET unidentified_name_id = '$2454 $372', identified_name_id = '$2454 $372', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 157;
UPDATE weapon SET unidentified_name_id = '$2452 $372', identified_name_id = '$2452 $372', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 158;
UPDATE weapon SET unidentified_name_id = '$2461 $372', identified_name_id = '$2461 $372', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 159;
UPDATE weapon SET unidentified_name_id = '$3837', identified_name_id = '$3837', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 160;
UPDATE weapon SET unidentified_name_id = '$2462 $372', identified_name_id = '$2462 $372', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 161;
UPDATE weapon SET unidentified_name_id = '$2453 $372', identified_name_id = '$2453 $372', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 162;
UPDATE weapon SET unidentified_name_id = '$3073', identified_name_id = '$3073', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 163;
UPDATE weapon SET unidentified_name_id = '$2456', identified_name_id = '$2456', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 164;
UPDATE weapon SET unidentified_name_id = '$3377', identified_name_id = '$3377', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 165;
UPDATE weapon SET unidentified_name_id = '$2763', identified_name_id = '$2763', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 166;
UPDATE weapon SET unidentified_name_id = '$1958 $1940', identified_name_id = '$1958 $1940', `range` = -1, use_dragonknight = 0, use_illusionist = 1 WHERE item_id = 167;
UPDATE weapon SET unidentified_name_id = '$2452 $2451', identified_name_id = '$2452 $2451', `range` = -1, use_dragonknight = 0, use_illusionist = 1 WHERE item_id = 168;
UPDATE weapon SET unidentified_name_id = '$1244', identified_name_id = '$1244', `range` = -1, use_dragonknight = 0, use_illusionist = 1 WHERE item_id = 169;
UPDATE weapon SET unidentified_name_id = '$64', identified_name_id = '$64', `range` = -1, use_dragonknight = 0, use_illusionist = 1 WHERE item_id = 170;
UPDATE weapon SET unidentified_name_id = '$65', identified_name_id = '$65', `range` = -1, use_dragonknight = 0, use_illusionist = 1 WHERE item_id = 171;
UPDATE weapon SET unidentified_name_id = '$24', identified_name_id = '$24', `range` = -1, use_dragonknight = 0, use_illusionist = 1 WHERE item_id = 172;
UPDATE weapon SET unidentified_name_id = '$759', identified_name_id = '$759', `range` = -1, use_dragonknight = 0, use_illusionist = 1 WHERE item_id = 173;
UPDATE weapon SET unidentified_name_id = '$3284', identified_name_id = '$3284', `range` = -1, use_dragonknight = 0, use_illusionist = 1 WHERE item_id = 174;
UPDATE weapon SET unidentified_name_id = '$3283', identified_name_id = '$3283', `range` = -1, use_dragonknight = 0, use_illusionist = 1 WHERE item_id = 175;
UPDATE weapon SET unidentified_name_id = '$2907', identified_name_id = '$2907', `range` = -1, use_dragonknight = 0, use_illusionist = 1 WHERE item_id = 176;
UPDATE weapon SET unidentified_name_id = '$2453 $2451', identified_name_id = '$2453 $2451', `range` = -1, use_dragonknight = 0, use_illusionist = 1 WHERE item_id = 177;
UPDATE weapon SET unidentified_name_id = '$3792', identified_name_id = '$3792', `range` = -1, use_dragonknight = 0, use_illusionist = 1 WHERE item_id = 178;
UPDATE weapon SET unidentified_name_id = '$2771', identified_name_id = '$2771', `range` = -1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 179;
UPDATE weapon SET unidentified_name_id = '$784', identified_name_id = '$784', `range` = -1, use_dragonknight = 0, use_illusionist = 1 WHERE item_id = 180;
UPDATE weapon SET unidentified_name_id = '$105', identified_name_id = '$105', `range` = -1, use_dragonknight = 0, use_illusionist = 1 WHERE item_id = 181;
UPDATE weapon SET unidentified_name_id = '$1952', identified_name_id = '$1952', `range` = -1, use_dragonknight = 0, use_illusionist = 1 WHERE item_id = 182;
UPDATE weapon SET unidentified_name_id = '$1999', identified_name_id = '$1999', `range` = -1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 183;
UPDATE weapon SET unidentified_name_id = '$2352', identified_name_id = '$2352', `range` = -1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 184;
UPDATE weapon SET unidentified_name_id = '$3374', identified_name_id = '$3374', `range` = -1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 185;
UPDATE weapon SET unidentified_name_id = '$3112', identified_name_id = '$3112', `range` = -1, use_dragonknight = 0, use_illusionist = 1 WHERE item_id = 186;
UPDATE weapon SET unidentified_name_id = '$2915', identified_name_id = '$2915', `range` = -1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 187;
UPDATE weapon SET unidentified_name_id = '$2908', identified_name_id = '$2908', `range` = -1, use_dragonknight = 0, use_illusionist = 1 WHERE item_id = 188;
UPDATE weapon SET unidentified_name_id = '$2457', identified_name_id = '$2457', `range` = -1, use_dragonknight = 0, use_illusionist = 1 WHERE item_id = 189;
UPDATE weapon SET unidentified_name_id = '$1821', identified_name_id = '$1821', `range` = -1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 190;
UPDATE weapon SET unidentified_name_id = '$3736', identified_name_id = '$3736', `range` = -1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 191;
UPDATE weapon SET unidentified_name_id = '$2252', identified_name_id = '$2252', `range` = -1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 192;
UPDATE weapon SET unidentified_name_id = '$2464', identified_name_id = '$2464', `range` = -1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 193;
UPDATE weapon SET unidentified_name_id = '$2626', identified_name_id = '$2626', `range` = -1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 194;
UPDATE weapon SET unidentified_name_id = '$4338', identified_name_id = '$4338', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 195;
UPDATE weapon SET unidentified_name_id = '$4423', identified_name_id = '$4423', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 196;
UPDATE weapon SET unidentified_name_id = '$4423', identified_name_id = '$4423', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 197;
UPDATE weapon SET unidentified_name_id = '$4423', identified_name_id = '$4423', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 198;
UPDATE weapon SET unidentified_name_id = '$4423', identified_name_id = '$4423', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 199;
UPDATE weapon SET unidentified_name_id = '$4423', identified_name_id = '$4423', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 200;
UPDATE weapon SET unidentified_name_id = '$4423', identified_name_id = '$4423', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 201;
UPDATE weapon SET unidentified_name_id = '$4423', identified_name_id = '$4423', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 202;
UPDATE weapon SET unidentified_name_id = '$4423', identified_name_id = '$4423', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 203;
UPDATE weapon SET unidentified_name_id = '$4387', identified_name_id = '$4387', `range` = -1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 204;
UPDATE weapon SET unidentified_name_id = '$4350', identified_name_id = '$4350', `range` = -1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 205;
UPDATE weapon SET unidentified_name_id = '$2536', identified_name_id = '$2536', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 206;
UPDATE weapon SET unidentified_name_id = '$4384', identified_name_id = '$4384', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 207;
UPDATE weapon SET unidentified_name_id = '$803', identified_name_id = '$803', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 208;
UPDATE weapon SET unidentified_name_id = '$1098', identified_name_id = '$1098', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 209;
UPDATE weapon SET unidentified_name_id = '$4429', identified_name_id = '$4429', `range` = 2, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 210;
UPDATE weapon SET unidentified_name_id = '$103', identified_name_id = '$103', `range` = 2, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 211;
UPDATE weapon SET unidentified_name_id = '$4385', identified_name_id = '$4385', `range` = 2, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 212;
UPDATE weapon SET unidentified_name_id = '$4376', identified_name_id = '$4376', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 213;
UPDATE weapon SET unidentified_name_id = '$3997', identified_name_id = '$3997', `range` = -1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 214;
UPDATE weapon SET unidentified_name_id = '$1099', identified_name_id = '$1099', `range` = -1, use_dragonknight = 0, use_illusionist = 1 WHERE item_id = 215;
UPDATE weapon SET unidentified_name_id = '$1766', identified_name_id = '$1766', `range` = -1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 216;
UPDATE weapon SET unidentified_name_id = '$4375', identified_name_id = '$4375', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 217;
UPDATE weapon SET unidentified_name_id = '$4442', identified_name_id = '$4442', `range` = 1, use_dragonknight = 1, use_illusionist = 1 WHERE item_id = 218;
UPDATE weapon SET unidentified_name_id = '$2208', identified_name_id = '$2208', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 219;
UPDATE weapon SET unidentified_name_id = '$1770', identified_name_id = '$1770', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 220;
UPDATE weapon SET unidentified_name_id = '$2079', identified_name_id = '$2079', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 223;
UPDATE weapon SET unidentified_name_id = '$3285', identified_name_id = '$3285', `range` = 1, use_dragonknight = 0, use_illusionist = 1 WHERE item_id = 224;
UPDATE weapon SET unidentified_name_id = '$1762', identified_name_id = '$1762', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 225;
UPDATE weapon SET unidentified_name_id = '$2293', identified_name_id = '$2293', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 226;
UPDATE weapon SET unidentified_name_id = '$3612', identified_name_id = '$3612', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 228;
UPDATE weapon SET unidentified_name_id = '$5122', identified_name_id = '$5122', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 231;
UPDATE weapon SET unidentified_name_id = '$5117', identified_name_id = '$5117', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 232;
UPDATE weapon SET unidentified_name_id = '$5118', identified_name_id = '$5118', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 233;
UPDATE weapon SET unidentified_name_id = '$5121', identified_name_id = '$5121', `range` = 2, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 234;
UPDATE weapon SET unidentified_name_id = '$5119', identified_name_id = '$5119', `range` = 1, use_dragonknight = 1, use_illusionist = 1 WHERE item_id = 235;
UPDATE weapon SET unidentified_name_id = '$5123', identified_name_id = '$5123', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 236;
UPDATE weapon SET unidentified_name_id = '$5124', identified_name_id = '$5124', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 237;
UPDATE weapon SET unidentified_name_id = '$5125', identified_name_id = '$5125', `range` = 1, use_dragonknight = 0, use_illusionist = 1 WHERE item_id = 238;
UPDATE weapon SET unidentified_name_id = '$5120', identified_name_id = '$5120', `range` = -1, use_dragonknight = 0, use_illusionist = 1 WHERE item_id = 239;
UPDATE weapon SET unidentified_name_id = '$5126', identified_name_id = '$5126', `range` = -1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 240;
UPDATE weapon SET unidentified_name_id = '??? ???', identified_name_id = '??? ???', `range` = 1, use_dragonknight = 1, use_illusionist = 1 WHERE item_id = 241;
UPDATE weapon SET unidentified_name_id = '??? $2451', identified_name_id = '??? $2451', `range` = -1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 242;
UPDATE weapon SET unidentified_name_id = '??? $88', identified_name_id = '??? $88', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 243;
UPDATE weapon SET unidentified_name_id = '??? $372', identified_name_id = '??? $372', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 244;
UPDATE weapon SET unidentified_name_id = '$4962', identified_name_id = '$4962', `range` = 1, use_dragonknight = 1, use_illusionist = 1 WHERE item_id = 245;
UPDATE weapon SET unidentified_name_id = '$70', identified_name_id = '$70', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 100004;
UPDATE weapon SET unidentified_name_id = '$12', identified_name_id = '$12', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 100005;
UPDATE weapon SET unidentified_name_id = '$3248', identified_name_id = '$3248', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 100008;
UPDATE weapon SET unidentified_name_id = '$3247', identified_name_id = '$3247', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 100009;
UPDATE weapon SET unidentified_name_id = '$1148', identified_name_id = '$1148', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 100025;
UPDATE weapon SET unidentified_name_id = '$92', identified_name_id = '$92', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 100027;
UPDATE weapon SET unidentified_name_id = '$98', identified_name_id = '$98', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 100028;
UPDATE weapon SET unidentified_name_id = '$1147', identified_name_id = '$1147', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 100029;
UPDATE weapon SET unidentified_name_id = '$598', identified_name_id = '$598', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 100037;
UPDATE weapon SET unidentified_name_id = '$16', identified_name_id = '$16', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 100041;
UPDATE weapon SET unidentified_name_id = '$789', identified_name_id = '$789', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 100042;
UPDATE weapon SET unidentified_name_id = '$3840', identified_name_id = '$3840', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 100049;
UPDATE weapon SET unidentified_name_id = '$3', identified_name_id = '$3', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 100052;
UPDATE weapon SET unidentified_name_id = '$17', identified_name_id = '$17', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 100057;
UPDATE weapon SET unidentified_name_id = '$3839', identified_name_id = '$3839', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 100062;
UPDATE weapon SET unidentified_name_id = '$1048', identified_name_id = '$1048', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 100064;
UPDATE weapon SET unidentified_name_id = '$2454 $2449', identified_name_id = '$2454 $2449', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 100074;
UPDATE weapon SET unidentified_name_id = '$2455', identified_name_id = '$2455', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 100084;
UPDATE weapon SET unidentified_name_id = '$81', identified_name_id = '$81', `range` = 2, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 100095;
UPDATE weapon SET unidentified_name_id = '$75', identified_name_id = '$75', `range` = 2, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 100098;
UPDATE weapon SET unidentified_name_id = '$95', identified_name_id = '$95', `range` = 2, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 100099;
UPDATE weapon SET unidentified_name_id = '$83', identified_name_id = '$83', `range` = 2, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 100102;
UPDATE weapon SET unidentified_name_id = '$77', identified_name_id = '$77', `range` = 2, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 100103;
UPDATE weapon SET unidentified_name_id = '$3250', identified_name_id = '$3250', `range` = 2, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 100107;
UPDATE weapon SET unidentified_name_id = '$3847', identified_name_id = '$3847', `range` = 1, use_dragonknight = 0, use_illusionist = 1 WHERE item_id = 100132;
UPDATE weapon SET unidentified_name_id = '$60', identified_name_id = '$60', `range` = 1, use_dragonknight = 1, use_illusionist = 1 WHERE item_id = 100143;
UPDATE weapon SET unidentified_name_id = '$84', identified_name_id = '$84', `range` = 1, use_dragonknight = 1, use_illusionist = 1 WHERE item_id = 100146;
UPDATE weapon SET unidentified_name_id = '$3249', identified_name_id = '$3249', `range` = 1, use_dragonknight = 1, use_illusionist = 1 WHERE item_id = 100151;
UPDATE weapon SET unidentified_name_id = '$2456', identified_name_id = '$2456', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 100164;
UPDATE weapon SET unidentified_name_id = '$1244', identified_name_id = '$1244', `range` = -1, use_dragonknight = 0, use_illusionist = 1 WHERE item_id = 100169;
UPDATE weapon SET unidentified_name_id = '$64', identified_name_id = '$64', `range` = -1, use_dragonknight = 0, use_illusionist = 1 WHERE item_id = 100170;
UPDATE weapon SET unidentified_name_id = '$24', identified_name_id = '$24', `range` = -1, use_dragonknight = 0, use_illusionist = 1 WHERE item_id = 100172;
UPDATE weapon SET unidentified_name_id = '$784', identified_name_id = '$784', `range` = -1, use_dragonknight = 0, use_illusionist = 1 WHERE item_id = 100180;
UPDATE weapon SET unidentified_name_id = '$105', identified_name_id = '$105', `range` = -1, use_dragonknight = 0, use_illusionist = 1 WHERE item_id = 100181;
UPDATE weapon SET unidentified_name_id = '$2457', identified_name_id = '$2457', `range` = -1, use_dragonknight = 0, use_illusionist = 1 WHERE item_id = 100189;
UPDATE weapon SET unidentified_name_id = '$4385', identified_name_id = '$4385', `range` = 2, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 100212;
UPDATE weapon SET unidentified_name_id = '$13', identified_name_id = '$13', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 200001;
UPDATE weapon SET unidentified_name_id = '$416', identified_name_id = '$416', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 200002;
UPDATE weapon SET unidentified_name_id = '$92', identified_name_id = '$92', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 200027;
UPDATE weapon SET unidentified_name_id = '$415', identified_name_id = '$415', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 200032;
UPDATE weapon SET unidentified_name_id = '$16', identified_name_id = '$16', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 200041;
UPDATE weapon SET unidentified_name_id = '$3', identified_name_id = '$3', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 200052;
UPDATE weapon SET unidentified_name_id = '$65', identified_name_id = '$65', `range` = -1, use_dragonknight = 0, use_illusionist = 1 WHERE item_id = 200171;
UPDATE weapon SET unidentified_name_id = '$4046', identified_name_id = '$4046', `range` = 1, use_dragonknight = 1, use_illusionist = 1 WHERE item_id = 246;
UPDATE weapon SET unidentified_name_id = '$4046', identified_name_id = '$4046', `range` = 1, use_dragonknight = 1, use_illusionist = 1 WHERE item_id = 247;
UPDATE weapon SET unidentified_name_id = '$4046', identified_name_id = '$4046', `range` = 1, use_dragonknight = 1, use_illusionist = 1 WHERE item_id = 248;
UPDATE weapon SET unidentified_name_id = '$4046', identified_name_id = '$4046', `range` = 1, use_dragonknight = 1, use_illusionist = 1 WHERE item_id = 249;
UPDATE weapon SET unidentified_name_id = '$4386', identified_name_id = '$4386', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 100114;
UPDATE weapon SET unidentified_name_id = '$2454 $372', identified_name_id = '$2454 $372', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 100157;
UPDATE weapon SET unidentified_name_id = '$4387', identified_name_id = '$4387', `range` = -1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 100204;
UPDATE weapon SET unidentified_name_id = '$4384', identified_name_id = '$4384', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 100207;
UPDATE weapon SET unidentified_name_id = '??????? ???', identified_name_id = '??????? ???', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 250;
UPDATE weapon SET unidentified_name_id = '??????? ????????', identified_name_id = '??????? ????????', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 251;
UPDATE weapon SET unidentified_name_id = '??????? ????', identified_name_id = '??????? ????', `range` = 2, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 252;
UPDATE weapon SET unidentified_name_id = '??????? ????', identified_name_id = '??????? ????', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 253;
UPDATE weapon SET unidentified_name_id = '??????? ????????', identified_name_id = '??????? ????????', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 254;
UPDATE weapon SET unidentified_name_id = '??????? ????', identified_name_id = '??????? ????', `range` = 1, use_dragonknight = 0, use_illusionist = 0 WHERE item_id = 255;
UPDATE weapon SET unidentified_name_id = '$5254', identified_name_id = '$5254', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 256;
UPDATE weapon SET unidentified_name_id = '$10089', identified_name_id = '$10089', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 257;
UPDATE weapon SET unidentified_name_id = '$10091', identified_name_id = '$10091', `range` = 1, use_dragonknight = 1, use_illusionist = 0 WHERE item_id = 258;
-- ALTERED DATA

update shop set selling_price = 1 where selling_price = 0;

-- Valakas update

-- Update to fix errors on startup due to missing Treasurebox items
insert into etcitem values (49268,'Portrait of Emai','$4831','$4831','questitem','normal','paper',5000,2440,4355,0,0,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,1);
insert into etcitem values (49269,'Portrait of Esem','$4847','$4847','questitem','normal','paper',5000,2443,4355,0,0,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,1);
insert into etcitem values (49143,'Crystal of Bravery','$5786','$5786','gem','normal','gemstone',1000,2977,6455,3292,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1);
insert into etcitem values (49281,'Spell Scroll (Enchant Mighty)','$1487 $1462','$1487 $1462','scroll','spell_buff','paper',630,863,22,0,1,0,0,0,0,0,0,0,0,1,0,0,0,5,1800,0,0,0);
insert into etcitem values (49282,'Spell Scroll (Bless Weapon)','$1487 $1985','$1487 $1985','scroll','spell_buff','paper',630,863,22,0,1,0,0,0,0,0,0,0,0,1,0,0,0,5,1800,0,0,0);
insert into etcitem values (49283,'Spell Scroll (Heal Pledge)','$1487 $1466','$1487 $1466','scroll','normal','paper',630,863,22,0,1,0,0,0,0,0,0,0,0,1,0,0,0,5,1800,0,0,0);
insert into etcitem values (49284,'Spell Scroll (Holywalk)','$1487 $1469','$1487 $1469','scroll','normal','paper',630,863,22,0,1,0,0,0,0,0,0,0,0,1,0,0,0,5,1800,0,0,0);
insert into etcitem values (49285,'Spell Scroll (Greater Haste)','$1487 $1976','$1487 $1976','scroll','normal','paper',630,863,22,0,1,0,0,0,0,0,0,0,0,1,0,0,0,5,1800,0,0,0);
insert into etcitem values (49286,'Spell Scroll (Full Heal)','$1487 $1471','$1487 $1471','scroll','spell_buff','paper',630,863,22,0,1,0,0,0,0,0,0,0,0,1,0,0,0,5,1800,0,0,0);
insert into weapon values (265,'Edoryu of Thebes Osiris','$5718','$5718','edoryu','gold',30000,3049,6957,3263,16,11,1,6,0,0,0,0,1,0,0,0,1,0,0,1,0,1,0,0,0,0,0,0,0,0,30,0,0,0,0,1,0,0,0);
insert into weapon values (266,'Two-handed Sword of Thebes Osiris','$5719','$5719','tohandsword','gold',100000,3047,6956,3264,21,26,1,6,1,1,0,0,0,1,0,5,0,1,2,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,1,0,0,0);
insert into weapon values (267,'Bow of Thebes Osiris','$5720','$5720','bow','gold',5000,3053,6959,3265,3,3,-1,6,0,0,0,1,0,0,0,0,1,0,0,0,2,1,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0);
insert into weapon values (268,'Staff of Thebes Osiris','$5721','$5721','tohandstaff','gold',5000,3051,6958,3266,20,18,1,6,0,0,1,0,0,0,1,0,3,2,0,0,0,0,0,0,0,0,7,2,0,0,0,0,0,0,0,1,0,0,0);

-- fix some migration issues
UPDATE armor p, character_items pp
SET pp.bless = p.bless
WHERE pp.item_id = p.item_id;
UPDATE weapon p, character_items pp
SET pp.bless = p.bless
WHERE pp.item_id = p.item_id;
UPDATE etcitem p, character_items pp
SET pp.bless = p.bless
WHERE pp.item_id = p.item_id;

-- fix some name_ids. should fix issue 147
UPDATE armor SET unidentified_name_id = 'Wooden Jacket', identified_name_id = 'Wooden Jacket' WHERE item_id = 29001;
UPDATE armor SET unidentified_name_id = 'Pink Unisex Earrings', identified_name_id = 'Pink Unisex Earrings' WHERE item_id = 29002;
UPDATE armor SET unidentified_name_id = '$5545', identified_name_id = '$5545' WHERE item_id = 21091;

UPDATE weapon SET unidentified_name_id = 'Thor\'s Hammer', identified_name_id = 'Thor\'s Hammer' WHERE item_id = 450000;
UPDATE weapon SET unidentified_name_id = 'Paagrio\'s Hatred', identified_name_id = 'Paagrio\'s Hatred' WHERE item_id = 450001;
UPDATE weapon SET unidentified_name_id = 'Maphr\'s Retribution', identified_name_id = 'Maphr\'s Retribution' WHERE item_id = 450002;
UPDATE weapon SET unidentified_name_id = 'Orcish Bume Smache', identified_name_id = 'Orcish Bume Smache' WHERE item_id = 450003;
UPDATE weapon SET unidentified_name_id = 'Diamond Sword', identified_name_id = 'Diamond Sword' WHERE item_id = 450004;

UPDATE etcitem SET unidentified_name_id = 'Personal Lubricant', identified_name_id = 'Personal Lubricant' WHERE item_id = 50000;
UPDATE etcitem SET unidentified_name_id = '$1853', identified_name_id = '$1853' WHERE item_id = 50001;
UPDATE etcitem SET unidentified_name_id = 'SuperDK', identified_name_id = 'SuperDK' WHERE item_id = 240101;
UPDATE etcitem SET unidentified_name_id = '$4403', identified_name_id = '$4403' WHERE item_id = 49091;

-- revert more nameids to our old db settings

UPDATE etcitem SET unidentified_name_id = 'Easter Basket', identified_name_id = 'Easter Basket' WHERE item_id = 40073;
UPDATE etcitem SET unidentified_name_id = '$230 - Lastabad', identified_name_id = '$230 - Lastabad' WHERE item_id = 40083;
UPDATE etcitem SET unidentified_name_id = '$230 - Diad Fortress', identified_name_id = '$230 - Diad Fortress' WHERE item_id = 40121;
UPDATE etcitem SET unidentified_name_id = 'Unknown Fang 1', identified_name_id = 'Unknown Fang 1' WHERE item_id = 40753;
UPDATE etcitem SET unidentified_name_id = 'Unknown Fang 2', identified_name_id = 'Unknown Fang 2' WHERE item_id = 40754;
UPDATE etcitem SET unidentified_name_id = 'Unknown Fang 3', identified_name_id = 'Unknown Fang 3' WHERE item_id = 40755;
UPDATE etcitem SET unidentified_name_id = 'Unknown Pet Armor 1', identified_name_id = 'Unknown Pet Armor 1' WHERE item_id = 40759;
UPDATE etcitem SET unidentified_name_id = 'Unknown Pet Armor 2', identified_name_id = 'Unknown Pet Armor 2' WHERE item_id = 40760;
UPDATE etcitem SET unidentified_name_id = '$230 - Giant Bridge', identified_name_id = '$230 - Giant Bridge' WHERE item_id = 40801;
UPDATE etcitem SET unidentified_name_id = '$230 - Aden Castle', identified_name_id = '$230 - Aden Castle' WHERE item_id = 40802;
UPDATE etcitem SET unidentified_name_id = '$230 - Mirror Forest', identified_name_id = '$230 - Mirror Forest' WHERE item_id = 40803;
UPDATE etcitem SET unidentified_name_id = '$230 - Valakas', identified_name_id = '$230 - Valakas' WHERE item_id = 40804;
UPDATE etcitem SET unidentified_name_id = '$230 - Fafurion', identified_name_id = '$230 - Fafurion' WHERE item_id = 40805;
UPDATE etcitem SET unidentified_name_id = '$230 - Lindvior', identified_name_id = '$230 - Lindvior' WHERE item_id = 40806;
UPDATE etcitem SET unidentified_name_id = '$230 - Heine Dungeon 3F', identified_name_id = '$230 - Heine Dungeon 3F' WHERE item_id = 40807;
UPDATE etcitem SET unidentified_name_id = '$230 - Heine Dungeon 4F', identified_name_id = '$230 - Heine Dungeon 4F' WHERE item_id = 40808;
UPDATE etcitem SET unidentified_name_id = '$230 - Fire Valley Bridge', identified_name_id = '$230 - Fire Valley Bridge' WHERE item_id = 40809;
UPDATE etcitem SET unidentified_name_id = '$230 - Dragon Valley', identified_name_id = '$230 - Dragon Valley' WHERE item_id = 40810;
UPDATE etcitem SET unidentified_name_id = '$230 - Oasis', identified_name_id = '$230 - Oasis' WHERE item_id = 40811;
UPDATE etcitem SET unidentified_name_id = '$230 - Oren Wasteland', identified_name_id = '$230 - Oren Wasteland' WHERE item_id = 40812;
UPDATE etcitem SET unidentified_name_id = '$230 - Wasteland', identified_name_id = '$230 - Wasteland' WHERE item_id = 40813;
UPDATE etcitem SET unidentified_name_id = '$230 - Small Wasteland', identified_name_id = '$230 - Small Wasteland' WHERE item_id = 40814;
UPDATE etcitem SET unidentified_name_id = '$230 - Woodbec Castle', identified_name_id = '$230 - Woodbec Castle' WHERE item_id = 40815;
UPDATE etcitem SET unidentified_name_id = '$230 - Beleth', identified_name_id = '$230 - Beleth' WHERE item_id = 40816;
UPDATE etcitem SET unidentified_name_id = '$230 - Ant Cave 1F', identified_name_id = '$230 - Ant Cave 1F' WHERE item_id = 40817;
UPDATE etcitem SET unidentified_name_id = '$230 - Ant Cave 2F', identified_name_id = '$230 - Ant Cave 2F' WHERE item_id = 40818;
UPDATE etcitem SET unidentified_name_id = '$230 - Ant Cave 3F', identified_name_id = '$230 - Ant Cave 3F' WHERE item_id = 40819;
UPDATE etcitem SET unidentified_name_id = '$230 - Ivory Tower 5F', identified_name_id = '$230 - Ivory Tower 5F' WHERE item_id = 40820;
UPDATE etcitem SET unidentified_name_id = '$230 - Ivory Tower 6F', identified_name_id = '$230 - Ivory Tower 6F' WHERE item_id = 40821;
UPDATE etcitem SET unidentified_name_id = '$230 - Ivory Tower 7F', identified_name_id = '$230 - Ivory Tower 7F' WHERE item_id = 40822;
UPDATE etcitem SET unidentified_name_id = '$230 - Ivory Tower 8F', identified_name_id = '$230 - Ivory Tower 8F' WHERE item_id = 40823;
UPDATE etcitem SET unidentified_name_id = '$230 - SKT Caves 2F', identified_name_id = '$230 - SKT Caves 2F' WHERE item_id = 40824;
UPDATE etcitem SET unidentified_name_id = '$230 - SKT Caves 3F', identified_name_id = '$230 - SKT Caves 3F' WHERE item_id = 40825;
UPDATE etcitem SET unidentified_name_id = '$230 - SKT Caves 4F', identified_name_id = '$230 - SKT Caves 4F' WHERE item_id = 40826;
UPDATE etcitem SET unidentified_name_id = '$230 - Giran Dungeon 2F', identified_name_id = '$230 - Giran Dungeon 2F' WHERE item_id = 40827;
UPDATE etcitem SET unidentified_name_id = '$230 - Giran Dungeon 3F', identified_name_id = '$230 - Giran Dungeon 3F' WHERE item_id = 40828;
UPDATE etcitem SET unidentified_name_id = '$230 - Giran Dungeon 4F', identified_name_id = '$230 - Giran Dungeon 4F' WHERE item_id = 40829;
UPDATE etcitem SET unidentified_name_id = '$230 - MLC 3F', identified_name_id = '$230 - MLC 3F' WHERE item_id = 40830;
UPDATE etcitem SET unidentified_name_id = '$230 - MLC 4F', identified_name_id = '$230 - MLC 4F' WHERE item_id = 40831;
UPDATE etcitem SET unidentified_name_id = '$230 - MLC 5F', identified_name_id = '$230 - MLC 5F' WHERE item_id = 40832;
UPDATE etcitem SET unidentified_name_id = '$230 - MLC 6F', identified_name_id = '$230 - MLC 6F' WHERE item_id = 40833;
UPDATE etcitem SET unidentified_name_id = '$230 - MLC 7F', identified_name_id = '$230 - MLC 7F' WHERE item_id = 40834;
UPDATE etcitem SET unidentified_name_id = '$230 - DVC 1F', identified_name_id = '$230 - DVC 1F' WHERE item_id = 40835;
UPDATE etcitem SET unidentified_name_id = '$230 - DVC 2F', identified_name_id = '$230 - DVC 2F' WHERE item_id = 40836;
UPDATE etcitem SET unidentified_name_id = '$230 - DVC 3F', identified_name_id = '$230 - DVC 3F' WHERE item_id = 40837;
UPDATE etcitem SET unidentified_name_id = '$230 - DVC 4F', identified_name_id = '$230 - DVC 4F' WHERE item_id = 40838;
UPDATE etcitem SET unidentified_name_id = '$230 - DVC 5F', identified_name_id = '$230 - DVC 5F' WHERE item_id = 40839;
UPDATE etcitem SET unidentified_name_id = '$230 - DVC 6F', identified_name_id = '$230 - DVC 6F' WHERE item_id = 40840;
UPDATE etcitem SET unidentified_name_id = '$230 - Antharas', identified_name_id = '$230 - Antharas' WHERE item_id = 40841;
UPDATE etcitem SET unidentified_name_id = '$230 - Desert', identified_name_id = '$230 - Desert' WHERE item_id = 40843;
UPDATE etcitem SET unidentified_name_id = '$230 - Elder Room', identified_name_id = '$230 - Elder Room' WHERE item_id = 40844;
UPDATE etcitem SET unidentified_name_id = '$230 - Silent Cavern', identified_name_id = '$230 - Silent Cavern' WHERE item_id = 40845;
UPDATE etcitem SET unidentified_name_id = '$230 - Diad 1F', identified_name_id = '$230 - Diad 1F' WHERE item_id = 40846;
UPDATE etcitem SET unidentified_name_id = '$230 - Diad 2F', identified_name_id = '$230 - Diad 2F' WHERE item_id = 40847;
UPDATE etcitem SET unidentified_name_id = '$230 - Diad 3F', identified_name_id = '$230 - Diad 3F' WHERE item_id = 40848;
UPDATE etcitem SET unidentified_name_id = '$230 - Trails 1F', identified_name_id = '$230 - Trails 1F' WHERE item_id = 40849;
UPDATE etcitem SET unidentified_name_id = '$230 - Trails 2F', identified_name_id = '$230 - Trails 2F' WHERE item_id = 40850;
UPDATE etcitem SET unidentified_name_id = '$230 - Trails 4F', identified_name_id = '$230 - Trails 4F' WHERE item_id = 40851;
UPDATE etcitem SET unidentified_name_id = '$230 - Lastabad 1F', identified_name_id = '$230 - Lastabad 1F' WHERE item_id = 40852;
UPDATE etcitem SET unidentified_name_id = '$230 - Resistance Village', identified_name_id = '$230 - Resistance Village' WHERE item_id = 40853;
UPDATE etcitem SET unidentified_name_id = '$230 - SoE 1F', identified_name_id = '$230 - SoE 1F' WHERE item_id = 40854;
UPDATE etcitem SET unidentified_name_id = '$230 - Abyss Lake', identified_name_id = '$230 - Abyss Lake' WHERE item_id = 40855;
UPDATE etcitem SET unidentified_name_id = '$230 - Pirate Island', identified_name_id = '$230 - Pirate Island' WHERE item_id = 40856;
UPDATE etcitem SET unidentified_name_id = '$230 - Diad Fortress', identified_name_id = '$230 - Diad Fortress' WHERE item_id = 40857;
UPDATE etcitem SET unidentified_name_id = '$230 - GM', identified_name_id = '$230 - GM' WHERE item_id = 42001;
UPDATE etcitem SET unidentified_name_id = '$230 - Crystal Cave 1F', identified_name_id = '$230 - Crystal Cave 1F' WHERE item_id = 42002;
UPDATE etcitem SET unidentified_name_id = '$230 - Crystal Cave 2F', identified_name_id = '$230 - Crystal Cave 2F' WHERE item_id = 42003;
UPDATE etcitem SET unidentified_name_id = '$230 - Crystal Cave 3F', identified_name_id = '$230 - Crystal Cave 3F' WHERE item_id = 42004;
UPDATE etcitem SET unidentified_name_id = '$230 - Ivory Tower 1F', identified_name_id = '$230 - Ivory Tower 1F' WHERE item_id = 42005;
UPDATE etcitem SET unidentified_name_id = '$230 - Kent Dungeon 1F', identified_name_id = '$230 - Kent Dungeon 1F' WHERE item_id = 42006;
UPDATE etcitem SET unidentified_name_id = '$230 - Forgotten Island', identified_name_id = '$230 - Forgotten Island' WHERE item_id = 42007;
UPDATE etcitem SET unidentified_name_id = '$230 - Kent Dungeon 2F', identified_name_id = '$230 - Kent Dungeon 2F' WHERE item_id = 42008;
UPDATE etcitem SET unidentified_name_id = '$230 - Kent Dungeon 3F', identified_name_id = '$230 - Kent Dungeon 3F' WHERE item_id = 42009;
UPDATE etcitem SET unidentified_name_id = '$230 - Kent Dungeon 4F', identified_name_id = '$230 - Kent Dungeon 4F' WHERE item_id = 42010;
UPDATE etcitem SET unidentified_name_id = '$230 - 1F Meeting Area', identified_name_id = '$230 - 1F Meeting Area' WHERE item_id = 42011;
UPDATE etcitem SET unidentified_name_id = '$230 - 1F Squad Training', identified_name_id = '$230 - 1F Squad Training' WHERE item_id = 42012;
UPDATE etcitem SET unidentified_name_id = '$230 - 1F Power King', identified_name_id = '$230 - 1F Power King' WHERE item_id = 42013;
UPDATE etcitem SET unidentified_name_id = '$230 - 1F Dark Warrens', identified_name_id = '$230 - 1F Dark Warrens' WHERE item_id = 42014;
UPDATE etcitem SET unidentified_name_id = '$230 - 1F Dark Warrens', identified_name_id = '$230 - 1F Dark Warrens' WHERE item_id = 42016;
UPDATE etcitem SET unidentified_name_id = '$230 - Dream Island', identified_name_id = '$230 - Dream Island' WHERE item_id = 42017;
UPDATE etcitem SET unidentified_name_id = '$230 - 1F Summoning', identified_name_id = '$230 - 1F Summoning' WHERE item_id = 42018;
UPDATE etcitem SET unidentified_name_id = '$230 - 1F Dark Barrier', identified_name_id = '$230 - 1F Dark Barrier' WHERE item_id = 42019;
UPDATE etcitem SET unidentified_name_id = '$230 - 1F Magic Training', identified_name_id = '$230 - 1F Magic Training' WHERE item_id = 42020;
UPDATE etcitem SET unidentified_name_id = '$230 - Giant\'s Grave', identified_name_id = '$230 - Giant\'s Grave' WHERE item_id = 42021;
UPDATE etcitem SET unidentified_name_id = '$230 - Aden Castle', identified_name_id = '$230 - Aden Castle' WHERE item_id = 42022;
UPDATE etcitem SET unidentified_name_id = '$230 - GM Room', identified_name_id = '$230 - GM Room' WHERE item_id = 42023;
UPDATE etcitem SET unidentified_name_id = '$230 - Lawful Temple', identified_name_id = '$230 - Lawful Temple' WHERE item_id = 42024;
UPDATE etcitem SET unidentified_name_id = '$230 - Chaotic Temple', identified_name_id = '$230 - Chaotic Temple' WHERE item_id = 42025;
UPDATE etcitem SET unidentified_name_id = '$505 - Silver Knight Town', identified_name_id = '$505 - Silver Knight Town' WHERE item_id = 42027;
UPDATE etcitem SET unidentified_name_id = '$230 - MLC7', identified_name_id = '$230 - MLC7' WHERE item_id = 42028;
UPDATE etcitem SET unidentified_name_id = '$230 - TOI 100F', identified_name_id = '$230 - TOI 100F' WHERE item_id = 42029;
UPDATE etcitem SET unidentified_name_id = '$230 - TOI 90F', identified_name_id = '$230 - TOI 90F' WHERE item_id = 42030;
UPDATE etcitem SET unidentified_name_id = '$230 - TOI 80F', identified_name_id = '$230 - TOI 80F' WHERE item_id = 42031;
UPDATE etcitem SET unidentified_name_id = '$230 - TOI 70F', identified_name_id = '$230 - TOI 70F' WHERE item_id = 42032;
UPDATE etcitem SET unidentified_name_id = '$230 - TOI 60F', identified_name_id = '$230 - TOI 60F' WHERE item_id = 42033;
UPDATE etcitem SET unidentified_name_id = '$230 - TOI 50F', identified_name_id = '$230 - TOI 50F' WHERE item_id = 42035;
UPDATE etcitem SET unidentified_name_id = '$230 - TOI 40F', identified_name_id = '$230 - TOI 40F' WHERE item_id = 42036;
UPDATE etcitem SET unidentified_name_id = '$230 - TOI 30F', identified_name_id = '$230 - TOI 30F' WHERE item_id = 42037;
UPDATE etcitem SET unidentified_name_id = '$230 - TOI 20F', identified_name_id = '$230 - TOI 20F' WHERE item_id = 42038;
UPDATE etcitem SET unidentified_name_id = '$230 - TOI 10F', identified_name_id = '$230 - TOI 10F' WHERE item_id = 42039;
UPDATE etcitem SET unidentified_name_id = '$230 - PI Dugeon 1F', identified_name_id = '$230 - PI Dugeon 1F' WHERE item_id = 42040;
UPDATE etcitem SET unidentified_name_id = '$230 - PI Dugeon 2F', identified_name_id = '$230 - PI Dugeon 2F' WHERE item_id = 42041;
UPDATE etcitem SET unidentified_name_id = '$230 - PI Dugeon 3F', identified_name_id = '$230 - PI Dugeon 3F' WHERE item_id = 42042;
UPDATE etcitem SET unidentified_name_id = '$230 - Abyss Lake', identified_name_id = '$230 - Abyss Lake' WHERE item_id = 42043;
UPDATE etcitem SET unidentified_name_id = '$230 - Pledge House', identified_name_id = '$230 - Pledge House' WHERE item_id = 42045;
UPDATE etcitem SET unidentified_name_id = '$230 - Pledge House', identified_name_id = '$230 - Pledge House' WHERE item_id = 42046;
UPDATE etcitem SET unidentified_name_id = '$230 - Ancient Space 3F', identified_name_id = '$230 - Ancient Space 3F' WHERE item_id = 42047;
UPDATE etcitem SET unidentified_name_id = '$230 - Oum Dungeon', identified_name_id = '$230 - Oum Dungeon' WHERE item_id = 42048;
UPDATE etcitem SET unidentified_name_id = '$230 - Forgotten Island', identified_name_id = '$230 - Forgotten Island' WHERE item_id = 42049;
UPDATE etcitem SET unidentified_name_id = '????????', identified_name_id = '????????' WHERE item_id = 42050;
UPDATE etcitem SET unidentified_name_id = '$230 - Temple of Shadows', identified_name_id = '$230 - Temple of Shadows' WHERE item_id = 42051;
UPDATE etcitem SET unidentified_name_id = '$230 - ToS 1F', identified_name_id = '$230 - ToS 1F' WHERE item_id = 42052;
UPDATE etcitem SET unidentified_name_id = '$230 - ToS 2F', identified_name_id = '$230 - ToS 2F' WHERE item_id = 42053;
UPDATE etcitem SET unidentified_name_id = '$230 - ToS 3F', identified_name_id = '$230 - ToS 3F' WHERE item_id = 42054;
UPDATE etcitem SET unidentified_name_id = 'Custom Wand (10/0)', identified_name_id = 'Custom Wand (10/0)' WHERE item_id = 42501;
UPDATE etcitem SET unidentified_name_id = '', identified_name_id = '' WHERE item_id = 41417;
UPDATE etcitem SET unidentified_name_id = '', identified_name_id = '' WHERE item_id = 41418;
UPDATE etcitem SET unidentified_name_id = 'unknown', identified_name_id = 'unknown' WHERE item_id = 41419;
UPDATE etcitem SET unidentified_name_id = 'unknown', identified_name_id = 'unknown' WHERE item_id = 41420;
UPDATE etcitem SET unidentified_name_id = 'unknown', identified_name_id = 'unknown' WHERE item_id = 41421;
UPDATE etcitem SET unidentified_name_id = '$230', identified_name_id = '$230' WHERE item_id = 42055;
UPDATE etcitem SET unidentified_name_id = '$230', identified_name_id = '$230' WHERE item_id = 42056;
UPDATE etcitem SET unidentified_name_id = '$230', identified_name_id = '$230' WHERE item_id = 42057;
UPDATE etcitem SET unidentified_name_id = '$230', identified_name_id = '$230' WHERE item_id = 42058;
UPDATE etcitem SET unidentified_name_id = '$230', identified_name_id = '$230' WHERE item_id = 42059;
UPDATE etcitem SET unidentified_name_id = '$230', identified_name_id = '$230' WHERE item_id = 42060;
UPDATE etcitem SET unidentified_name_id = '$230', identified_name_id = '$230' WHERE item_id = 42061;
UPDATE etcitem SET unidentified_name_id = '$230', identified_name_id = '$230' WHERE item_id = 42062;
UPDATE etcitem SET unidentified_name_id = '$230', identified_name_id = '$230' WHERE item_id = 42063;
UPDATE etcitem SET unidentified_name_id = '$230', identified_name_id = '$230' WHERE item_id = 42064;
UPDATE etcitem SET unidentified_name_id = '$230', identified_name_id = '$230' WHERE item_id = 42065;
UPDATE etcitem SET unidentified_name_id = '$230', identified_name_id = '$230' WHERE item_id = 42066;
UPDATE etcitem SET unidentified_name_id = '$230', identified_name_id = '$230' WHERE item_id = 42067;
UPDATE etcitem SET unidentified_name_id = '$230', identified_name_id = '$230' WHERE item_id = 42068;
UPDATE etcitem SET unidentified_name_id = '$230', identified_name_id = '$230' WHERE item_id = 42069;
UPDATE etcitem SET unidentified_name_id = '$230', identified_name_id = '$230' WHERE item_id = 42070;
UPDATE etcitem SET unidentified_name_id = '$230', identified_name_id = '$230' WHERE item_id = 42071;
UPDATE etcitem SET unidentified_name_id = '$230', identified_name_id = '$230' WHERE item_id = 42072;
UPDATE etcitem SET unidentified_name_id = '$230', identified_name_id = '$230' WHERE item_id = 42073;
UPDATE etcitem SET unidentified_name_id = '$230', identified_name_id = '$230' WHERE item_id = 42074;
UPDATE etcitem SET unidentified_name_id = '$230', identified_name_id = '$230' WHERE item_id = 42075;
UPDATE etcitem SET unidentified_name_id = '$230', identified_name_id = '$230' WHERE item_id = 42076;
UPDATE etcitem SET unidentified_name_id = '$230', identified_name_id = '$230' WHERE item_id = 42077;
UPDATE etcitem SET unidentified_name_id = '$230', identified_name_id = '$230' WHERE item_id = 42078;
UPDATE etcitem SET unidentified_name_id = '$230', identified_name_id = '$230' WHERE item_id = 42079;
UPDATE etcitem SET unidentified_name_id = '$230', identified_name_id = '$230' WHERE item_id = 42080;
UPDATE etcitem SET unidentified_name_id = '$230', identified_name_id = '$230' WHERE item_id = 42081;
UPDATE etcitem SET unidentified_name_id = '$230', identified_name_id = '$230' WHERE item_id = 42082;
UPDATE etcitem SET unidentified_name_id = '$230', identified_name_id = '$230' WHERE item_id = 42083;
UPDATE etcitem SET unidentified_name_id = '$230', identified_name_id = '$230' WHERE item_id = 42084;
UPDATE etcitem SET unidentified_name_id = '$230', identified_name_id = '$230' WHERE item_id = 42085;
UPDATE etcitem SET unidentified_name_id = '$230', identified_name_id = '$230' WHERE item_id = 42086;
UPDATE etcitem SET unidentified_name_id = '$230', identified_name_id = '$230' WHERE item_id = 42087;

UPDATE armor SET unidentified_name_id = '$2571 $152', identified_name_id = '$2571 $152' WHERE item_id = 20133;
UPDATE armor SET unidentified_name_id = 'Silver Serpent Amulet', identified_name_id = 'Silver Serpent Amulet' WHERE item_id = 20251;
UPDATE armor SET unidentified_name_id = 'Silver Serpent Amulet', identified_name_id = 'Silver Serpent Amulet' WHERE item_id = 20270;
UPDATE armor SET unidentified_name_id = 'Ring of Vitality', identified_name_id = 'Ring of Vitality' WHERE item_id = 20286;
UPDATE armor SET unidentified_name_id = '$90', identified_name_id = '$90' WHERE item_id = 20305;
UPDATE armor SET unidentified_name_id = 'Hakama', identified_name_id = 'Hakama' WHERE item_id = 20347;
UPDATE armor SET unidentified_name_id = 'Holiday Attire', identified_name_id = 'Holiday Attire' WHERE item_id = 20348;
UPDATE armor SET unidentified_name_id = 'Amulet of Beagle', identified_name_id = 'Amulet of Beagle' WHERE item_id = 20349;
UPDATE armor SET unidentified_name_id = 'Amulet of Snow Man', identified_name_id = 'Amulet of Snow Man' WHERE item_id = 20350;
UPDATE armor SET unidentified_name_id = 'Carrot', identified_name_id = 'Carrot' WHERE item_id = 20351;
UPDATE armor SET unidentified_name_id = 'Stocking', identified_name_id = 'Stocking' WHERE item_id = 20352;
UPDATE armor SET unidentified_name_id = 'Unknown $162', identified_name_id = 'Unknown $162' WHERE item_id = 20366;
UPDATE armor SET unidentified_name_id = 'Unknown $152', identified_name_id = 'Unknown $152' WHERE item_id = 20367;
UPDATE armor SET unidentified_name_id = 'Unknown $116', identified_name_id = 'Unknown $116' WHERE item_id = 20368;
UPDATE armor SET unidentified_name_id = 'Unknown $2466', identified_name_id = 'Unknown $2466' WHERE item_id = 20369;
UPDATE armor SET unidentified_name_id = 'Unknown $225', identified_name_id = 'Unknown $225' WHERE item_id = 20370;
UPDATE armor SET unidentified_name_id = 'Unknown $207', identified_name_id = 'Unknown $207' WHERE item_id = 20371;
UPDATE armor SET unidentified_name_id = 'Unknown $330', identified_name_id = 'Unknown $330' WHERE item_id = 20372;
UPDATE armor SET unidentified_name_id = 'Unknown $128', identified_name_id = 'Unknown $128' WHERE item_id = 20373;
UPDATE armor SET unidentified_name_id = 'Unknown $4196', identified_name_id = 'Unknown $4196' WHERE item_id = 20374;
UPDATE armor SET unidentified_name_id = 'Unknown $3617', identified_name_id = 'Unknown $3617' WHERE item_id = 20375;
UPDATE armor SET unidentified_name_id = 'Unknown 20376', identified_name_id = 'Unknown 20376' WHERE item_id = 20376;
UPDATE armor SET unidentified_name_id = 'Unknown 20377', identified_name_id = 'Unknown 20377' WHERE item_id = 20377;
UPDATE armor SET unidentified_name_id = 'Unknown 20378', identified_name_id = 'Unknown 20378' WHERE item_id = 20378;
UPDATE armor SET unidentified_name_id = 'Unknown 20379', identified_name_id = 'Unknown 20379' WHERE item_id = 20379;
UPDATE armor SET unidentified_name_id = '$1000 Earring', identified_name_id = '$1000 Earring' WHERE item_id = 21000;
UPDATE armor SET unidentified_name_id = '$1783 Earring', identified_name_id = '$1783 Earring' WHERE item_id = 21001;
UPDATE armor SET unidentified_name_id = '$1395 Earring', identified_name_id = '$1395 Earring' WHERE item_id = 21002;
UPDATE armor SET unidentified_name_id = '', identified_name_id = '' WHERE item_id = 21037;
UPDATE armor SET unidentified_name_id = '', identified_name_id = '' WHERE item_id = 21036;
UPDATE armor SET unidentified_name_id = '', identified_name_id = '' WHERE item_id = 21035;
UPDATE armor SET unidentified_name_id = '', identified_name_id = '' WHERE item_id = 21038;
UPDATE armor SET unidentified_name_id = '', identified_name_id = '' WHERE item_id = 21039;
UPDATE armor SET unidentified_name_id = '', identified_name_id = '' WHERE item_id = 21040;
UPDATE armor SET unidentified_name_id = '', identified_name_id = '' WHERE item_id = 21041;
UPDATE armor SET unidentified_name_id = '', identified_name_id = '' WHERE item_id = 21042;
UPDATE armor SET unidentified_name_id = '', identified_name_id = '' WHERE item_id = 21043;
UPDATE armor SET unidentified_name_id = '', identified_name_id = '' WHERE item_id = 21044;
UPDATE armor SET unidentified_name_id = '', identified_name_id = '' WHERE item_id = 21045;
UPDATE armor SET unidentified_name_id = '', identified_name_id = '' WHERE item_id = 21046;
UPDATE armor SET unidentified_name_id = '', identified_name_id = '' WHERE item_id = 21047;
UPDATE armor SET unidentified_name_id = 'unknown', identified_name_id = 'unknown' WHERE item_id = 21061;
UPDATE armor SET unidentified_name_id = 'unknown', identified_name_id = 'unknown' WHERE item_id = 21062;
UPDATE armor SET unidentified_name_id = 'unknown', identified_name_id = 'unknown' WHERE item_id = 21063;
UPDATE armor SET unidentified_name_id = 'unknown', identified_name_id = 'unknown' WHERE item_id = 21064;
UPDATE armor SET unidentified_name_id = 'unknown', identified_name_id = 'unknown' WHERE item_id = 21065;
UPDATE armor SET unidentified_name_id = 'unknown', identified_name_id = 'unknown' WHERE item_id = 21066;

UPDATE weapon SET unidentified_name_id = 'Unknown 241', identified_name_id = 'Unknown 241' WHERE item_id = 241;
UPDATE weapon SET unidentified_name_id = 'Unknown Crossbow', identified_name_id = 'Unknown Crossbow' WHERE item_id = 242;
UPDATE weapon SET unidentified_name_id = 'Magic Wand of Shaman', identified_name_id = 'Magic Wand of Shaman' WHERE item_id = 243;
UPDATE weapon SET unidentified_name_id = 'Unknown Claw', identified_name_id = 'Unknown Claw' WHERE item_id = 244;
UPDATE weapon SET unidentified_name_id = '', identified_name_id = '' WHERE item_id = 250;
UPDATE weapon SET unidentified_name_id = '', identified_name_id = '' WHERE item_id = 251;
UPDATE weapon SET unidentified_name_id = '', identified_name_id = '' WHERE item_id = 252;
UPDATE weapon SET unidentified_name_id = '', identified_name_id = '' WHERE item_id = 253;
UPDATE weapon SET unidentified_name_id = '', identified_name_id = '' WHERE item_id = 254;
UPDATE weapon SET unidentified_name_id = '', identified_name_id = '' WHERE item_id = 255;

-- ugh more fixes
UPDATE etcitem SET unidentified_name_id = '$262', identified_name_id = '$262' WHERE item_id = 40007;
UPDATE etcitem SET unidentified_name_id = '$1586', identified_name_id = '$1586' WHERE item_id = 40175;
UPDATE etcitem SET unidentified_name_id = '$1860', identified_name_id = '$1860' WHERE item_id = 40176;
UPDATE etcitem SET unidentified_name_id = '$1861', identified_name_id = '$1861' WHERE item_id = 40177;
UPDATE etcitem SET unidentified_name_id = '$3706', identified_name_id = '$3706' WHERE item_id = 40316;
UPDATE etcitem SET unidentified_name_id = 'Lump of Silver', identified_name_id = 'Lump of Silver' WHERE item_id = 40467;
UPDATE etcitem SET unidentified_name_id = '$3992', identified_name_id = '$3992' WHERE item_id = 40696;
UPDATE etcitem SET unidentified_name_id = '$3978', identified_name_id = '$3978' WHERE item_id = 40697;
UPDATE etcitem SET unidentified_name_id = '$3059', identified_name_id = '$3059' WHERE item_id = 40733;
UPDATE etcitem SET unidentified_name_id = '$3056', identified_name_id = '$3056' WHERE item_id = 40735;
UPDATE etcitem SET unidentified_name_id = '$3020 $61', identified_name_id = '$3020 $61' WHERE item_id = 40747;
UPDATE etcitem SET unidentified_name_id = '$230 - Windawood Castle', identified_name_id = '$230 - Windawood Castle' WHERE item_id = 40842;
UPDATE etcitem SET unidentified_name_id = 'Liquor', identified_name_id = 'Liquor' WHERE item_id = 40858;
UPDATE etcitem SET unidentified_name_id = '$4528', identified_name_id = '$4528' WHERE item_id = 40932;
UPDATE etcitem SET unidentified_name_id = '$4529', identified_name_id = '$4529' WHERE item_id = 40933;
UPDATE etcitem SET unidentified_name_id = '$4530', identified_name_id = '$4530' WHERE item_id = 40934;
UPDATE etcitem SET unidentified_name_id = '$4531', identified_name_id = '$4531' WHERE item_id = 40935;
UPDATE etcitem SET unidentified_name_id = '$4533', identified_name_id = '$4533' WHERE item_id = 40937;
UPDATE etcitem SET unidentified_name_id = '$4534', identified_name_id = '$4534' WHERE item_id = 40938;
UPDATE etcitem SET unidentified_name_id = '$4523', identified_name_id = '$4523' WHERE item_id = 40939;
UPDATE etcitem SET unidentified_name_id = '$4524', identified_name_id = '$4524' WHERE item_id = 40940;
UPDATE etcitem SET unidentified_name_id = '$4525', identified_name_id = '$4525' WHERE item_id = 40941;
UPDATE etcitem SET unidentified_name_id = '$4526', identified_name_id = '$4526' WHERE item_id = 40942;
UPDATE etcitem SET unidentified_name_id = '$4584', identified_name_id = '$4584' WHERE item_id = 40944;
UPDATE etcitem SET unidentified_name_id = '$4585', identified_name_id = '$4585' WHERE item_id = 40945;
UPDATE etcitem SET unidentified_name_id = '$4586', identified_name_id = '$4586' WHERE item_id = 40946;
UPDATE etcitem SET unidentified_name_id = '$4579', identified_name_id = '$4579' WHERE item_id = 40947;
UPDATE etcitem SET unidentified_name_id = '$4581', identified_name_id = '$4581' WHERE item_id = 40949;
UPDATE etcitem SET unidentified_name_id = '$4582', identified_name_id = '$4582' WHERE item_id = 40950;
UPDATE etcitem SET unidentified_name_id = '$4535', identified_name_id = '$4535' WHERE item_id = 40951;
UPDATE etcitem SET unidentified_name_id = '$4536', identified_name_id = '$4536' WHERE item_id = 40952;
UPDATE etcitem SET unidentified_name_id = '$4538', identified_name_id = '$4538' WHERE item_id = 40954;
UPDATE etcitem SET unidentified_name_id = '$4587', identified_name_id = '$4587' WHERE item_id = 40955;
UPDATE etcitem SET unidentified_name_id = '$4588', identified_name_id = '$4588' WHERE item_id = 40956;
UPDATE etcitem SET unidentified_name_id = '$4589', identified_name_id = '$4589' WHERE item_id = 40957;
UPDATE etcitem SET unidentified_name_id = '$5076', identified_name_id = '$5076' WHERE item_id = 41028;
UPDATE etcitem SET unidentified_name_id = '$4617', identified_name_id = '$4617' WHERE item_id = 41029;
UPDATE etcitem SET unidentified_name_id = '$4616', identified_name_id = '$4616' WHERE item_id = 41030;
UPDATE etcitem SET unidentified_name_id = '$4479', identified_name_id = '$4479' WHERE item_id = 41161;
UPDATE etcitem SET unidentified_name_id = '$4479', identified_name_id = '$4479' WHERE item_id = 41162;
UPDATE etcitem SET unidentified_name_id = '$4479', identified_name_id = '$4479' WHERE item_id = 41163;
UPDATE etcitem SET unidentified_name_id = '$4502', identified_name_id = '$4502' WHERE item_id = 41164;
UPDATE etcitem SET unidentified_name_id = '$4502', identified_name_id = '$4502' WHERE item_id = 41165;
UPDATE etcitem SET unidentified_name_id = '$4502', identified_name_id = '$4502' WHERE item_id = 41166;
UPDATE etcitem SET unidentified_name_id = '$4517', identified_name_id = '$4517' WHERE item_id = 41167;
UPDATE etcitem SET unidentified_name_id = '$4507', identified_name_id = '$4507' WHERE item_id = 41168;
UPDATE etcitem SET unidentified_name_id = '$4518', identified_name_id = '$4518' WHERE item_id = 41169;
UPDATE etcitem SET unidentified_name_id = '$4508', identified_name_id = '$4508' WHERE item_id = 41170;
UPDATE etcitem SET unidentified_name_id = '$4519', identified_name_id = '$4519' WHERE item_id = 41171;
UPDATE etcitem SET unidentified_name_id = '$4520', identified_name_id = '$4520' WHERE item_id = 41173;
UPDATE etcitem SET unidentified_name_id = '$4511', identified_name_id = '$4511' WHERE item_id = 41174;
UPDATE etcitem SET unidentified_name_id = '$4521', identified_name_id = '$4521' WHERE item_id = 41175;
UPDATE etcitem SET unidentified_name_id = '$4512', identified_name_id = '$4512' WHERE item_id = 41176;
UPDATE etcitem SET unidentified_name_id = '$4522', identified_name_id = '$4522' WHERE item_id = 41177;
UPDATE etcitem SET unidentified_name_id = '$4513', identified_name_id = '$4513' WHERE item_id = 41178;
UPDATE etcitem SET unidentified_name_id = '$4514', identified_name_id = '$4514' WHERE item_id = 41179;
UPDATE etcitem SET unidentified_name_id = '$4503', identified_name_id = '$4503' WHERE item_id = 41180;
UPDATE etcitem SET unidentified_name_id = '$4515', identified_name_id = '$4515' WHERE item_id = 41181;
UPDATE etcitem SET unidentified_name_id = '$4504', identified_name_id = '$4504' WHERE item_id = 41182;
UPDATE etcitem SET unidentified_name_id = '$4516', identified_name_id = '$4516' WHERE item_id = 41183;
UPDATE etcitem SET unidentified_name_id = '$4505', identified_name_id = '$4505' WHERE item_id = 41184;
UPDATE etcitem SET unidentified_name_id = '$4568', identified_name_id = '$4568' WHERE item_id = 41185;
UPDATE etcitem SET unidentified_name_id = '$4570', identified_name_id = '$4570' WHERE item_id = 41186;
UPDATE etcitem SET unidentified_name_id = '$4569', identified_name_id = '$4569' WHERE item_id = 41187;
UPDATE etcitem SET unidentified_name_id = '$4562', identified_name_id = '$4562' WHERE item_id = 41190;
UPDATE etcitem SET unidentified_name_id = '$4561', identified_name_id = '$4561' WHERE item_id = 41191;
UPDATE etcitem SET unidentified_name_id = '$4559', identified_name_id = '$4559' WHERE item_id = 41192;
UPDATE etcitem SET unidentified_name_id = '$4544', identified_name_id = '$4544' WHERE item_id = 41193;
UPDATE etcitem SET unidentified_name_id = '$4546', identified_name_id = '$4546' WHERE item_id = 41194;
UPDATE etcitem SET unidentified_name_id = '$4543', identified_name_id = '$4543' WHERE item_id = 41196;
UPDATE etcitem SET unidentified_name_id = '$4552', identified_name_id = '$4552' WHERE item_id = 41197;
UPDATE etcitem SET unidentified_name_id = '$4553', identified_name_id = '$4553' WHERE item_id = 41199;
UPDATE etcitem SET unidentified_name_id = '$4551', identified_name_id = '$4551' WHERE item_id = 41200;
UPDATE etcitem SET unidentified_name_id = 'Skeleton Skull', identified_name_id = 'Skeleton Skull' WHERE item_id = 41229;
UPDATE etcitem SET unidentified_name_id = 'Bone Piece', identified_name_id = 'Bone Piece' WHERE item_id = 41237;
UPDATE etcitem SET unidentified_name_id = '$230 - Aden Tower', identified_name_id = '$230 - Aden Tower' WHERE item_id = 42026;
UPDATE etcitem SET unidentified_name_id = '$230 - TI Training', identified_name_id = '$230 - TI Training' WHERE item_id = 42044;
UPDATE etcitem SET unidentified_name_id = '$515 $3052', identified_name_id = '$515 $3052' WHERE item_id = 49005;
UPDATE etcitem SET unidentified_name_id = '$513 $3052', identified_name_id = '$513 $3052' WHERE item_id = 49006;
UPDATE etcitem SET unidentified_name_id = '$512 $3052', identified_name_id = '$512 $3052' WHERE item_id = 49007;
UPDATE etcitem SET unidentified_name_id = '$514 $3052', identified_name_id = '$514 $3052' WHERE item_id = 49008;
UPDATE etcitem SET unidentified_name_id = '$515 $3184', identified_name_id = '$515 $3184' WHERE item_id = 49009;
UPDATE etcitem SET unidentified_name_id = '$514 $3184', identified_name_id = '$514 $3184' WHERE item_id = 49010;
UPDATE etcitem SET unidentified_name_id = '$512 $3184', identified_name_id = '$512 $3184' WHERE item_id = 49012;
UPDATE etcitem SET unidentified_name_id = '$4932 $4928', identified_name_id = '$4932 $4928' WHERE item_id = 41285;
UPDATE etcitem SET unidentified_name_id = '$5218 $4928', identified_name_id = '$5218 $4928' WHERE item_id = 41286;
UPDATE etcitem SET unidentified_name_id = '$4929 $4928', identified_name_id = '$4929 $4928' WHERE item_id = 41287;
UPDATE etcitem SET unidentified_name_id = '$5219 $4928', identified_name_id = '$5219 $4928' WHERE item_id = 41288;
UPDATE etcitem SET unidentified_name_id = '$4930 $4928', identified_name_id = '$4930 $4928' WHERE item_id = 41289;
UPDATE etcitem SET unidentified_name_id = '$4931 $4928', identified_name_id = '$4931 $4928' WHERE item_id = 41290;
UPDATE etcitem SET unidentified_name_id = '$5220 $4928', identified_name_id = '$5220 $4928' WHERE item_id = 41291;
UPDATE etcitem SET unidentified_name_id = '$5221 $4928', identified_name_id = '$5221 $4928' WHERE item_id = 41292;
UPDATE etcitem SET unidentified_name_id = 'unknown', identified_name_id = 'unknown' WHERE item_id = 41422;
UPDATE etcitem SET unidentified_name_id = '$4928 $5430', identified_name_id = '$4928 $5430' WHERE item_id = 49057;
UPDATE etcitem SET unidentified_name_id = '$4928 $5431', identified_name_id = '$4928 $5431' WHERE item_id = 49058;
UPDATE etcitem SET unidentified_name_id = '$4928 $5432', identified_name_id = '$4928 $5432' WHERE item_id = 49059;
UPDATE etcitem SET unidentified_name_id = '$4928 $5433', identified_name_id = '$4928 $5433' WHERE item_id = 49060;
UPDATE etcitem SET unidentified_name_id = '$4928 $5434', identified_name_id = '$4928 $5434' WHERE item_id = 49061;
UPDATE etcitem SET unidentified_name_id = '$4928 $5435', identified_name_id = '$4928 $5435' WHERE item_id = 49062;
UPDATE etcitem SET unidentified_name_id = '$4928 $5436', identified_name_id = '$4928 $5436' WHERE item_id = 49063;
UPDATE etcitem SET unidentified_name_id = '$4928 $5437', identified_name_id = '$4928 $5437' WHERE item_id = 49064;

UPDATE armor SET unidentified_name_id = 'Cloak of New King', identified_name_id = 'Cloak of New King' WHERE item_id = 20067;
UPDATE armor SET unidentified_name_id = 'Gloves of the Pretender King', identified_name_id = 'Gloves of the Pretender King' WHERE item_id = 20170;
UPDATE armor SET unidentified_name_id = 'Gloves of Assassin King', identified_name_id = 'Gloves of Assassin King' WHERE item_id = 20178;
UPDATE armor SET unidentified_name_id = '$329', identified_name_id = '$329' WHERE item_id = 20205;
UPDATE armor SET unidentified_name_id = '$2452 $329', identified_name_id = '$2452 $329' WHERE item_id = 20210;
UPDATE armor SET unidentified_name_id = '$2035', identified_name_id = '$2035' WHERE item_id = 20230;
UPDATE armor SET unidentified_name_id = 'Amulet of Dread Queen', identified_name_id = 'Amulet of Dread Queen' WHERE item_id = 20253;
UPDATE armor SET unidentified_name_id = 'Easter Bunny Hat', identified_name_id = 'Easter Bunny Hat' WHERE item_id = 20343;
UPDATE armor SET unidentified_name_id = 'Easter Bunny with Carrot Hat', identified_name_id = 'Easter Bunny with Carrot Hat' WHERE item_id = 20344;
UPDATE armor SET unidentified_name_id = 'High Collie Choker', identified_name_id = 'High Collie Choker' WHERE item_id = 20345;
UPDATE armor SET unidentified_name_id = 'High Raccoon Choker', identified_name_id = 'High Raccoon Choker' WHERE item_id = 20346;
UPDATE armor SET unidentified_name_id = 'High Bear Choker', identified_name_id = 'High Bear Choker' WHERE item_id = 20419;
UPDATE armor SET unidentified_name_id = '$5549', identified_name_id = '$5549' WHERE item_id = 21072;

UPDATE weapon SET unidentified_name_id = 'Eva\'s Scorn', identified_name_id = 'Eva\'s Scorn' WHERE item_id = 36;
UPDATE weapon SET unidentified_name_id = '$2449 $2453', identified_name_id = '$2449 $2453' WHERE item_id = 81;
UPDATE weapon SET unidentified_name_id = '$372 $2453', identified_name_id = '$372 $2453' WHERE item_id = 162;
UPDATE weapon SET unidentified_name_id = '$2451 $2453', identified_name_id = '$2451 $2453' WHERE item_id = 177;

update npc set name = 'Polly' where npcid = 70035;
update npc set name = 'Secil' where npcid = 70042;
update npc set nameid = 'Polly' where npcid = 70035;
update npc set nameid = 'Secil' where npcid = 70042;

-- Turtle Island
update mapids set locationname = 'Turtle Island' where mapid = 701;
INSERT INTO `etcitem` VALUES ('240102', 'turtle island scroll', '$230 - Turtle Island Scroll', '$230 - Turtle Island Scroll', 'scroll', 'normal', 'paper', '0', '1813', '22', '0', '0', '0', '0', '0', '0', '0', '32790', '32766', '701', '1', '0', '0', '0', '4', '150', '0', '0', '0');
INSERT INTO `shop` VALUES ('70014',0 , '240102', 0, '46', '10000', '1', '1200');

update spawnlist_boss set cycle_type = 'SeaDancer' where id = 1;
update spawnlist_boss set cycle_type = 'Tiger' where id = 2;
update spawnlist_boss set cycle_type = 'Bandit' where id = 3;
update spawnlist_boss set cycle_type = 'Crocodile' where id = 4;
update spawnlist_boss set cycle_type = 'BanditLeader' where id = 5;
update spawnlist_boss set cycle_type = 'BanditLeader' where id = 6;
update spawnlist_boss set cycle_type = 'BanditLeader' where id = 7;
update spawnlist_boss set cycle_type = 'BanditLeader' where id = 8;
update spawnlist_boss set cycle_type = 'BanditLeader' where id = 9;
update spawnlist_boss set cycle_type = 'DarkElder' where id = 31;
update spawnlist_boss set cycle_type = 'DarkElder' where id = 32;
update spawnlist_boss set cycle_type = 'DoppelGanger' where id = 33;
update spawnlist_boss set cycle_type = 'Unicorn' where id = 49;
update spawnlist_boss set cycle_type = 'ZenithQueen' where id = 21;
update spawnlist_boss set cycle_type = 'Ifrit' where id = 22;
update spawnlist_boss set cycle_type = 'Ifrit' where id = 23;
update spawnlist_boss set cycle_type = 'Ifrit' where id = 24;
update spawnlist_boss set cycle_type = 'Ifrit' where id = 25;
update spawnlist_boss set cycle_type = 'Seer' where id = 34;
update spawnlist_boss set cycle_type = 'Baphomet' where id = 35;
update spawnlist_boss set cycle_type = 'Beleth' where id = 36;

update npc set impl = 'L1Guard' where npcid = 45655;
update npc set impl = 'L1Guard' where npcid = 45656;
update npc set impl = 'L1Guard' where npcid = 45657;
update npc set impl = 'L1Guard' where npcid = 45658;
update npc set impl = 'L1Guard' where npcid = 45659;
update npc set impl = 'L1Guard' where npcid = 45660;
update npc set impl = 'L1Guard' where npcid = 45661;
update npc set impl = 'L1Guard' where npcid = 45662;
update npc set impl = 'L1Guard' where npcid = 46106;
update npc set impl = 'L1Guard' where npcid = 46082;
update npc set impl = 'L1Guard' where npcid = 46083;
update npc set impl = 'L1Guard' where npcid = 46084;
update npc set impl = 'L1Guard' where npcid = 46085;
update npc set impl = 'L1Guard' where npcid = 46086;
update npc set impl = 'L1Guard' where npcid = 46087;
update npc set impl = 'L1Guard' where npcid = 46088;
update npc set impl = 'L1Guard' where npcid = 46089;
update npc set impl = 'L1Guard' where npcid = 46090;
update npc set impl = 'L1Guard' where npcid = 46091;
update npc set impl = 'L1Guard' where npcid = 46097;
update npc set impl = 'L1Guard' where npcid = 46098;
update npc set impl = 'L1Guard' where npcid = 46099;
update npc set impl = 'L1Guard' where npcid = 46100;
update npc set impl = 'L1Guard' where npcid = 46101;
update npc set impl = 'L1Guard' where npcid = 46102;
update npc set impl = 'L1Guard' where npcid = 46103;
update npc set impl = 'L1Guard' where npcid = 46104;
update npc set impl = 'L1Guard' where npcid = 46105;
update npc set impl = 'L1Guard' where npcid = 46106;

-- update giran arena spawnlist the spawns are now 40 of each mob type thats too much even a gm cannot handle it.
update spawnlist_ub set count = '10' where ub_id = 1;

-- summon name corrections + some npcs.
update npc set name = 'Hobgoblin' where npcid = 81210;
update npc set name = 'Eidlon' where npcid = 81211;
update npc set name = 'Imp' where npcid = 81212;
update npc set name = 'Gandi orc' where npcid = 81213;
update npc set name = 'Duda-Mara orc' where npcid = 81214;
update npc set name = 'Orc scout' where npcid = 81215;
update npc set name = 'Wild Fang' where npcid = 81216;
update npc set name = 'Wild Venom' where npcid = 81217;
update npc set name = 'Wild Magic' where npcid = 81218;
update npc set name = 'Bugbear' where npcid = 81219;
update npc set name = 'King Bugbear' where npcid = 81220;
update npc set name = 'Ice Man' where npcid = 81221;
update npc set name = 'Mad Lizardman' where npcid = 81222;
update npc set name = 'Heavy Lizardman' where npcid = 81223;
update npc set name = 'High Lizardman' where npcid = 81224;
update npc set name = 'Salamander' where npcid = 81225;
update npc set name = 'Fire Warrior' where npcid = 81226;
update npc set name = 'Fire Archer' where npcid = 81227;
update npc set name = 'Dire Bear' where npcid = 81228;
update npc set name = 'Dire Wolf' where npcid = 81229;
update npc set name = 'Dire Bat' where npcid = 81230;
update npc set name = 'Giant Guardian Ant' where npcid = 81231;
update npc set name = 'Mountain Fortress Ants Troop' where npcid = 81232;
update npc set name = 'Giant Mountain Fortress Ant' where npcid = 81233;
update npc set name = 'Hell Creature' where npcid = 81234;
update npc set name = 'Greater Dark Elemental' where npcid = 81235;
update npc set name = 'Otyu' where npcid = 81236;
update npc set name = 'Hell Bound' where npcid = 81237;
update npc set name = 'Doppelganger' where npcid = 81238;
update npc set name = 'Greater Minotaur' where npcid = 81239;
update npc set name = 'Cougar' where npcid = 81240;

-- illusionist town npcs
update npc set name = 'Sveil' where npcid = 81241;
update npc set name = 'Blacksmith Bahturu' where npcid = 81242;
update npc set name = 'Azael' where npcid = 81243;
update npc set name = 'Lark' where npcid = 81244;
update npc set name = 'Elder Sleyin' where npcid = 81245;
update npc set name = 'Charriere' where npcid = 81246;
update npc set name = 'Guard' where npcid = 80147;
update npc set name = 'Guard' where npcid = 80148;

-- dragonknight town npcs
update npc set name = 'Decavia' where npcid = 80132;
update npc set name = 'Blacksmith Pual' where npcid = 80133;
update npc set name = 'Talion' where npcid = 80134;
update npc set name = 'Elas' where npcid = 80135;
update npc set name = 'Elder Prochel' where npcid = 80136;
update npc set name = 'Gepharu' where npcid = 80137;
update npc set name = 'Guard' where npcid = 80138;
update npc set name = 'Guard' where npcid = 80139;
update npc set name = 'Little guy need real name' where npcid = 80200;
update npc set name = 'Message Board' where npcid = 80201;

-- add dull weapons to shops
INSERT INTO shop VALUES(70023, 'Aden Chamber of Commerce', 41206, 'Dull Weapon', 0, -1, 0, 30000);
INSERT INTO shop VALUES(70037, 'Aden Chamber of Commerce', 41206, 'Dull Weapon', 0, -1, 0, 30000);
INSERT INTO shop VALUES(70064, 'Aden Chamber of Commerce', 41206, 'Dull Weapon', 0, -1, 0, 30000);
INSERT INTO shop VALUES(70076, 'Aden Chamber of Commerce', 41206, 'Dull Weapon', 0, -1, 0, 30000);

-- reduce dull weapon drop rates to 1.5%
UPDATE droplist SET chance = 15000 WHERE itemId = 41206;

-- new table to track pvp kills
CREATE TABLE character_pvp ( 
killer_char_obj_id INT,
killer_char_name VARCHAR(20),
killer_lvl INT, 
victim_char_obj_id INT,
victim_char_name varchar(20),
victim_lvl INT,
date datetime default null,
locx INT, 
locy INT, 
mapid INT, 
penalty INT
);

-- new items.  full jp diff on these tables, these are all the items they have that we dont (but I didn't compare existing items for obvious reasons)

INSERT INTO etcitem VALUES(41426, '', '$3258', '$3258', 'scroll', 'choice', 'paper', 630, 1687, 4283, 1396, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1);
INSERT INTO etcitem VALUES(41427, '', '$3268', '$3268', 'scroll', 'choice', 'paper', 630, 1686, 4282, 1395, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1);
INSERT INTO etcitem VALUES(41428, '', '$6347', '$6347', 'other', 'normal', 'dragonscale', 0, 3277, 7068, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 2, 1000, 0, 0, 1);
INSERT INTO etcitem VALUES(41429, '', '$5725', '$5725', 'scroll', 'dai', 'paper', 630, 3030, 6936, 3270, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO etcitem VALUES(41430, '', '$5726', '$5726', 'scroll', 'dai', 'paper', 630, 3028, 6933, 3271, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO etcitem VALUES(41431, '', '$5727', '$5727', 'scroll', 'dai', 'paper', 630, 3029, 6935, 3272, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO etcitem VALUES(41432, '', '$5728', '$5728', 'scroll', 'dai', 'paper', 630, 3032, 6938, 3273, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO etcitem VALUES(42088, '', '????? $230', '????? $230', 'scroll', 'normal', 'paper', 630, 551, 22, 0, 1, 0, 0, 0, 0, 0, 32626, 32900, 780, 1, 0, 0, 0, 4, 1500, 0, 0, 0);
INSERT INTO etcitem VALUES(42089, '', '??? ??????? $230', '??? ??????? $230', 'scroll', 'normal', 'paper', 630, 551, 22, 0, 1, 0, 0, 0, 0, 0, 32743, 32799, 781, 1, 0, 0, 0, 4, 1500, 0, 0, 0);
INSERT INTO etcitem VALUES(42090, '', '??? ?????? $230', '??? ?????? $230', 'scroll', 'normal', 'paper', 630, 551, 22, 0, 1, 0, 0, 0, 0, 0, 32735, 32831, 782, 1, 0, 0, 0, 4, 1500, 0, 0, 0);
INSERT INTO etcitem VALUES(42091, '', '???? $505', '???? $505', 'scroll', 'normal', 'paper', 630, 551, 22, 0, 1, 0, 0, 0, 0, 0, 32779, 32887, 1001, 1, 0, 0, 0, 4, 1500, 0, 0, 0);
INSERT INTO etcitem VALUES(42092, '', '????? $505', '????? $505', 'scroll', 'normal', 'paper', 630, 551, 22, 0, 1, 0, 0, 0, 0, 0, 32841, 32856, 1000, 1, 0, 0, 0, 4, 1500, 0, 0, 0);
INSERT INTO etcitem VALUES(42093, '', '????? $230', '????? $230', 'scroll', 'normal', 'paper', 630, 551, 22, 0, 1, 0, 0, 0, 0, 0, 32758, 32794, 600, 1, 0, 0, 0, 4, 1500, 0, 0, 0);
INSERT INTO etcitem VALUES(42094, '', '??????? $230', '??????? $230', 'scroll', 'normal', 'paper', 630, 551, 22, 0, 1, 0, 0, 0, 0, 0, 32682, 32831, 603, 1, 0, 0, 0, 4, 1500, 0, 0, 0);
INSERT INTO etcitem VALUES(42095, '', '????????? $230', '????????? $230', 'scroll', 'normal', 'paper', 630, 551, 22, 0, 1, 0, 0, 0, 0, 0, 32648, 32921, 535, 1, 0, 0, 0, 4, 1500, 0, 0, 0);
INSERT INTO etcitem VALUES(42096, '', '?????????????? $230', '?????????????? $230', 'scroll', 'normal', 'paper', 630, 551, 22, 0, 1, 0, 0, 0, 0, 0, 32832, 32761, 778, 1, 0, 0, 0, 4, 1500, 0, 0, 0);
INSERT INTO etcitem VALUES(42097, '', '?????????????? $230', '?????????????? $230', 'scroll', 'normal', 'paper', 630, 551, 22, 0, 1, 0, 0, 0, 0, 0, 32891, 32728, 779, 1, 0, 0, 0, 4, 1500, 0, 0, 0);
INSERT INTO etcitem VALUES(42098, '', '???????????????? $230', '???????????????? $230', 'scroll', 'normal', 'paper', 630, 551, 22, 0, 1, 0, 0, 0, 0, 0, 32555, 32899, 777, 1, 0, 0, 0, 4, 1500, 0, 0, 0);
INSERT INTO etcitem VALUES(49092, '', '$5715', '$5715', 'material', 'choice', 'gemstone', 0, 3026, 6928, 3262, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49093, '', '$5716', '$5716', 'material', 'normal', 'gold', 0, 3223, 7030, 3260, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49094, '', '$5717', '$5717', 'material', 'normal', 'gold', 0, 3224, 7031, 3261, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49095, '', '$5908', '$5908', 'material', 'normal', 'gold', 0, 3222, 7032, 3547, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49096, '', '$5909', '$5909', 'treasure_box', 'normal', 'gold', 0, 3225, 7029, 3548, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49097, '', '$5955', '$5955', 'material', 'normal', 'gold', 0, 3042, 6952, 3581, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49098, '', '$5956', '$5956', 'material', 'normal', 'gold', 0, 3043, 6953, 3582, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49099, '', '$5965', '$5965', 'material', 'normal', 'gold', 0, 3219, 7027, 3583, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49100, '', '$5966', '$5966', 'treasure_box', 'normal', 'gold', 0, 3220, 7028, 3584, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49101, '', '$5642', '$5642', 'material', 'normal', 'gemstone', 0, 3034, 6941, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49102, '', '$5778', '$5778', 'spellbook', 'normal', 'gemstone', 5000, 3035, 6943, 3245, 0, 0, 0, 0, 15, 0, 0, 0, 0, 1, 0, 0, 0, 0, 3000, 0, 0, 1);
INSERT INTO etcitem VALUES(49103, '', '$5701', '$5701', 'spellbook', 'normal', 'gemstone', 5000, 3035, 6943, 3246, 0, 0, 0, 0, 15, 0, 0, 0, 0, 1, 0, 0, 0, 0, 3000, 0, 0, 1);
INSERT INTO etcitem VALUES(49104, '', '$5702', '$5702', 'spellbook', 'normal', 'gemstone', 5000, 3035, 6943, 3247, 0, 0, 0, 0, 15, 0, 0, 0, 0, 1, 0, 0, 0, 0, 3000, 0, 0, 1);
INSERT INTO etcitem VALUES(49105, '', '$5703', '$5703', 'spellbook', 'normal', 'gemstone', 5000, 3035, 6943, 3248, 0, 0, 0, 0, 15, 0, 0, 0, 0, 1, 0, 0, 0, 0, 3000, 0, 0, 1);
INSERT INTO etcitem VALUES(49106, '', '$5704', '$5704', 'spellbook', 'normal', 'gemstone', 5000, 3035, 6943, 3249, 0, 0, 0, 0, 15, 0, 0, 0, 0, 1, 0, 0, 0, 0, 3000, 0, 0, 1);
INSERT INTO etcitem VALUES(49107, '', '$5705', '$5705', 'spellbook', 'normal', 'gemstone', 5000, 3036, 6944, 3250, 0, 0, 0, 0, 15, 0, 0, 0, 0, 1, 0, 0, 0, 0, 3000, 0, 0, 1);
INSERT INTO etcitem VALUES(49108, '', '$5706', '$5706', 'spellbook', 'normal', 'gemstone', 5000, 3036, 6944, 3251, 0, 0, 0, 0, 15, 0, 0, 0, 0, 1, 0, 0, 0, 0, 3000, 0, 0, 1);
INSERT INTO etcitem VALUES(49109, '', '$5707', '$5707', 'spellbook', 'normal', 'gemstone', 5000, 3036, 6944, 3252, 0, 0, 0, 0, 15, 0, 0, 0, 0, 1, 0, 0, 0, 0, 3000, 0, 0, 1);
INSERT INTO etcitem VALUES(49110, '', '$5708', '$5708', 'spellbook', 'normal', 'gemstone', 5000, 3036, 6944, 3253, 0, 0, 0, 0, 15, 0, 0, 0, 0, 1, 0, 0, 0, 0, 3000, 0, 0, 1);
INSERT INTO etcitem VALUES(49111, '', '$5709', '$5709', 'spellbook', 'normal', 'gemstone', 5000, 3036, 6944, 3254, 0, 0, 0, 0, 15, 0, 0, 0, 0, 1, 0, 0, 0, 0, 3000, 0, 0, 1);
INSERT INTO etcitem VALUES(49112, '', '$5710', '$5710', 'spellbook', 'normal', 'gemstone', 5000, 3037, 6945, 3255, 0, 0, 0, 0, 15, 0, 0, 0, 0, 1, 0, 0, 0, 0, 3000, 0, 0, 1);
INSERT INTO etcitem VALUES(49113, '', '$5711', '$5711', 'spellbook', 'normal', 'gemstone', 5000, 3037, 6945, 3256, 0, 0, 0, 0, 15, 0, 0, 0, 0, 1, 0, 0, 0, 0, 3000, 0, 0, 1);
INSERT INTO etcitem VALUES(49114, '', '$5712', '$5712', 'spellbook', 'normal', 'gemstone', 5000, 3037, 6945, 3257, 0, 0, 0, 0, 15, 0, 0, 0, 0, 1, 0, 0, 0, 0, 3000, 0, 0, 1);
INSERT INTO etcitem VALUES(49115, '', '$5713', '$5713', 'spellbook', 'normal', 'gemstone', 5000, 3037, 6945, 3258, 0, 0, 0, 0, 15, 0, 0, 0, 0, 1, 0, 0, 0, 0, 3000, 0, 0, 1);
INSERT INTO etcitem VALUES(49116, '', '$5714', '$5714', 'spellbook', 'normal', 'gemstone', 5000, 3037, 6945, 3259, 0, 0, 0, 0, 15, 0, 0, 0, 0, 1, 0, 0, 0, 0, 3000, 0, 0, 1);
INSERT INTO etcitem VALUES(49117, '', '$5681', '$5681', 'spellbook', 'normal', 'gemstone', 7000, 3008, 6929, 3225, 0, 0, 0, 0, 15, 0, 0, 0, 0, 1, 0, 0, 0, 0, 3000, 0, 0, 1);
INSERT INTO etcitem VALUES(49118, '', '$5682', '$5682', 'spellbook', 'normal', 'gemstone', 7000, 3008, 6929, 3226, 0, 0, 0, 0, 15, 0, 0, 0, 0, 1, 0, 0, 0, 0, 3000, 0, 0, 1);
INSERT INTO etcitem VALUES(49119, '', '$5683', '$5683', 'spellbook', 'normal', 'gemstone', 7000, 3008, 6929, 3227, 0, 0, 0, 0, 15, 0, 0, 0, 0, 1, 0, 0, 0, 0, 3000, 0, 0, 1);
INSERT INTO etcitem VALUES(49120, '', '$5684', '$5684', 'spellbook', 'normal', 'gemstone', 7000, 3008, 6929, 3228, 0, 0, 0, 0, 15, 0, 0, 0, 0, 1, 0, 0, 0, 0, 3000, 0, 0, 1);
INSERT INTO etcitem VALUES(49121, '', '$5685', '$5685', 'spellbook', 'normal', 'gemstone', 7000, 3008, 6929, 3229, 0, 0, 0, 0, 15, 0, 0, 0, 0, 1, 0, 0, 0, 0, 3000, 0, 0, 1);
INSERT INTO etcitem VALUES(49122, '', '$5686', '$5686', 'spellbook', 'normal', 'gemstone', 7000, 3010, 6930, 3230, 0, 0, 0, 0, 15, 0, 0, 0, 0, 1, 0, 0, 0, 0, 3000, 0, 0, 1);
INSERT INTO etcitem VALUES(49123, '', '$5687', '$5687', 'spellbook', 'normal', 'gemstone', 7000, 3010, 6930, 3231, 0, 0, 0, 0, 15, 0, 0, 0, 0, 1, 0, 0, 0, 0, 3000, 0, 0, 1);
INSERT INTO etcitem VALUES(49124, '', '$5688', '$5688', 'spellbook', 'normal', 'gemstone', 7000, 3010, 6930, 3232, 0, 0, 0, 0, 15, 0, 0, 0, 0, 1, 0, 0, 0, 0, 3000, 0, 0, 1);
INSERT INTO etcitem VALUES(49125, '', '$5689', '$5689', 'spellbook', 'normal', 'gemstone', 7000, 3010, 6930, 3233, 0, 0, 0, 0, 15, 0, 0, 0, 0, 1, 0, 0, 0, 0, 3000, 0, 0, 1);
INSERT INTO etcitem VALUES(49126, '', '$5690', '$5690', 'spellbook', 'normal', 'gemstone', 7000, 3010, 6930, 3234, 0, 0, 0, 0, 15, 0, 0, 0, 0, 1, 0, 0, 0, 0, 3000, 0, 0, 1);
INSERT INTO etcitem VALUES(49127, '', '$5691', '$5691', 'spellbook', 'normal', 'gemstone', 7000, 3012, 6931, 3235, 0, 0, 0, 0, 15, 0, 0, 0, 0, 1, 0, 0, 0, 0, 3000, 0, 0, 1);
INSERT INTO etcitem VALUES(49128, '', '$5692', '$5692', 'spellbook', 'normal', 'gemstone', 5000, 3012, 6931, 3236, 0, 0, 0, 0, 15, 0, 0, 0, 0, 1, 0, 0, 0, 0, 3000, 0, 0, 1);
INSERT INTO etcitem VALUES(49129, '', '$5693', '$5693', 'spellbook', 'normal', 'gemstone', 7000, 3012, 6931, 3237, 0, 0, 0, 0, 15, 0, 0, 0, 0, 1, 0, 0, 0, 0, 3000, 0, 0, 1);
INSERT INTO etcitem VALUES(49130, '', '$5694', '$5694', 'spellbook', 'normal', 'gemstone', 7000, 3012, 6931, 3238, 0, 0, 0, 0, 15, 0, 0, 0, 0, 1, 0, 0, 0, 0, 3000, 0, 0, 1);
INSERT INTO etcitem VALUES(49131, '', '$5695', '$5695', 'spellbook', 'normal', 'gemstone', 7000, 3012, 6931, 3239, 0, 0, 0, 0, 15, 0, 0, 0, 0, 1, 0, 0, 0, 0, 3000, 0, 0, 1);
INSERT INTO etcitem VALUES(49132, '', '$5696', '$5696', 'spellbook', 'normal', 'gemstone', 7000, 3014, 6932, 3240, 0, 0, 0, 0, 15, 0, 0, 0, 0, 1, 0, 0, 0, 0, 3000, 0, 0, 1);
INSERT INTO etcitem VALUES(49133, '', '$5697', '$5697', 'spellbook', 'normal', 'gemstone', 7000, 3014, 6932, 3241, 0, 0, 0, 0, 15, 0, 0, 0, 0, 1, 0, 0, 0, 0, 3000, 0, 0, 1);
INSERT INTO etcitem VALUES(49134, '', '$5698', '$5698', 'spellbook', 'normal', 'gemstone', 7000, 3014, 6932, 3242, 0, 0, 0, 0, 15, 0, 0, 0, 0, 1, 0, 0, 0, 0, 3000, 0, 0, 1);
INSERT INTO etcitem VALUES(49135, '', '$5699', '$5699', 'spellbook', 'normal', 'gemstone', 7000, 3014, 6932, 3243, 0, 0, 0, 0, 15, 0, 0, 0, 0, 1, 0, 0, 0, 0, 3000, 0, 0, 1);
INSERT INTO etcitem VALUES(49136, '', '$5700', '$5700', 'spellbook', 'normal', 'gemstone', 7000, 3014, 6932, 3244, 0, 0, 0, 0, 15, 0, 0, 0, 0, 1, 0, 0, 0, 0, 3000, 0, 0, 1);
INSERT INTO etcitem VALUES(49137, '', '$5509', '$5509', 'potion', 'normal', 'vegetation', 1530, 2900, 6683, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 2, 500, 0, 0, 0);
INSERT INTO etcitem VALUES(49138, '', '$5510', '$5510', 'potion', 'normal', 'vegetation', 1530, 2901, 6683, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO etcitem VALUES(49139, '', '$5511', '$5511', 'potion', 'normal', 'vegetation', 1530, 2902, 6683, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO etcitem VALUES(49140, '', '$5512', '$5512', 'potion', 'normal', 'vegetation', 1530, 2897, 6683, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO etcitem VALUES(49141, '', '$5518', '$5518', 'treasure_box', 'normal', 'paper', 10000, 608, 2058, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 2, 500, 0, 0, 1);
INSERT INTO etcitem VALUES(49148, '', '$5729', '$5729', 'scroll', 'del', 'paper', 0, 3040, 6950, 3274, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO etcitem VALUES(49149, '', '$5878', '$5878', 'scroll', 'normal', 'paper', 630, 2975, 22, 0, 1, 0, 0, 0, 30, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49150, '', '$5879', '$5879', 'scroll', 'normal', 'paper', 630, 2975, 22, 0, 1, 0, 0, 0, 40, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49151, '', '$5880', '$5880', 'scroll', 'normal', 'paper', 630, 2975, 22, 0, 1, 0, 0, 0, 52, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49152, '', '$5881', '$5881', 'scroll', 'normal', 'paper', 630, 2975, 22, 0, 1, 0, 0, 0, 55, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49153, '', '$5882', '$5882', 'scroll', 'normal', 'paper', 630, 2975, 22, 0, 1, 0, 0, 0, 60, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49154, '', '$5883', '$5883', 'scroll', 'normal', 'paper', 630, 2975, 22, 0, 1, 0, 0, 0, 65, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49155, '', '$5884', '$5884', 'scroll', 'normal', 'paper', 630, 2975, 22, 0, 1, 0, 0, 0, 70, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49156, '', '$6346', '$6346', 'material', 'normal', 'gemstone', 1000, 3279, 7090, 3606, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49157, '', '$6072', '$6072', 'material', 'normal', 'bone', 1000, 3025, 6927, 3605, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49158, '', '$6073', '$6073', 'potion', 'normal', 'vegetation', 4690, 3038, 6948, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49159, '', '$5579', '$5579', 'questitem', 'normal', 'paper', 0, 2246, 5614, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49160, '', '$5580', '$5580', 'questitem', 'normal', 'paper', 0, 2246, 5614, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49161, '', '$5581', '$5581', 'questitem', 'normal', 'paper', 0, 2994, 22, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49162, '', '$5582', '$5582', 'questitem', 'normal', 'paper', 0, 940, 22, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49163, '', '$5583', '$5583', 'questitem', 'normal', 'paper', 0, 912, 22, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49164, '', '$5584', '$5584', 'questitem', 'normal', 'paper', 0, 1322, 22, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49165, '', '$5585', '$5585', 'questitem', 'none', 'iron', 0, 59, 151, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49166, '', '$5586', '$5586', 'questitem', 'none', 'iron', 0, 59, 151, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49167, '', '$5587', '$5587', 'questitem', 'normal', 'bone', 8000, 2992, 906, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49168, '', '$5588', '$5588', 'questitem', 'normal', 'glass', 0, 2996, 3714, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49169, '', '$5616', '$5616', 'questitem', 'normal', 'animalmatter', 0, 2101, 6375, 3161, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49170, '', '$5617', '$5617', 'questitem', 'normal', 'vegetation', 0, 2096, 5183, 3162, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49171, '', '$5679', '$5679', 'questitem', 'none', 'paper', 0, 2018, 5614, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49172, '', '$5618', '$5618', 'questitem', 'normal', 'paper', 0, 2018, 5614, 3163, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49173, '', '$5619', '$5619', 'questitem', 'normal', 'paper', 0, 2018, 5614, 3164, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49174, '', '$5620', '$5620', 'questitem', 'normal', 'paper', 0, 2018, 5614, 3165, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49175, '', '$5621', '$5621', 'questitem', 'normal', 'paper', 0, 2018, 5614, 3166, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49176, '', '$5622', '$5622', 'questitem', 'normal', 'paper', 0, 2018, 5614, 3167, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49177, '', '$5739', '$5739', 'questitem', 'normal', 'paper', 0, 2018, 5614, 3212, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49178, '', '$5645', '$5645', 'scroll', 'normal', 'paper', 10000, 1036, 2879, 3187, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49179, '', '$5623', '$5623', 'treasure_box', 'normal', 'leather', 1000, 1645, 7068, 3168, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49180, '', '$5623', '$5623', 'treasure_box', 'normal', 'leather', 1000, 1645, 7068, 3169, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49181, '', '$5775', '$5775', 'questitem', 'normal', 'paper', 0, 2018, 5614, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49182, '', '$5624', '$5624', 'scroll', 'normal', 'paper', 0, 473, 22, 3157, 1, 0, 0, 0, 0, 0, 32803, 32725, 19, 1, 1, 0, 0, 4, 1500, 0, 0, 0);
INSERT INTO etcitem VALUES(49183, '', '$5625', '$5625', 'scroll', 'normal', 'paper', 0, 473, 22, 3158, 1, 0, 0, 0, 0, 0, 34039, 32476, 4, 1, 1, 0, 0, 4, 1500, 0, 0, 0);
INSERT INTO etcitem VALUES(49184, '', '$5626', '$5626', 'scroll', 'normal', 'paper', 0, 473, 22, 3159, 1, 0, 0, 0, 0, 0, 32617, 33201, 4, 1, 1, 0, 0, 4, 1500, 0, 0, 0);
INSERT INTO etcitem VALUES(49185, '', '$5627', '$5627', 'scroll', 'normal', 'paper', 0, 473, 22, 3160, 1, 0, 0, 0, 0, 0, 33705, 32504, 4, 1, 1, 0, 0, 4, 1500, 0, 0, 0);
INSERT INTO etcitem VALUES(49186, '', '$5628', '$5628', 'questitem', 'normal', 'iron', 0, 43, 906, 3172, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49187, '', '$5629', '$5629', 'questitem', 'none', 'gemstone', 0, 2478, 6963, 3170, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49188, '', '$5630', '$5630', 'questitem', 'none', 'gemstone', 0, 2476, 5930, 3172, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49189, '', '$5469', '$5469', 'questitem', 'none', 'iron', 8000, 999, 1166, 3174, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49190, '', '$5633', '$5633', 'questitem', 'none', 'leather', 1000, 1396, 3461, 3175, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49191, '', '$5634', '$5634', 'questitem', 'none', 'paper', 0, 2557, 6964, 3176, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49192, '', '$5635', '$5635', 'questitem', 'normal', 'gemstone', 0, 2995, 6934, 3177, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49193, '', '$5636', '$5636', 'questitem', 'normal', 'gemstone', 0, 2993, 6934, 3178, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49194, '', '$5637', '$5637', 'questitem', 'normal', 'gemstone', 0, 2094, 1561, 3280, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49195, '', '$5771', '$5771', 'questitem', 'normal', 'gemstone', 0, 2094, 1561, 3280, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49196, '', '$5772', '$5772', 'questitem', 'normal', 'gemstone', 0, 2094, 1561, 3280, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49197, '', '$5638', '$5638', 'questitem', 'normal', 'gemstone', 0, 2095, 1561, 3284, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49198, '', '$5773', '$5773', 'questitem', 'normal', 'gemstone', 0, 2095, 1561, 3284, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49199, '', '$5774', '$5774', 'questitem', 'normal', 'gemstone', 0, 2095, 1561, 3285, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49200, '', '$5639', '$5639', 'questitem', 'none', 'glass', 0, 865, 3966, 3181, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49201, '', '$5640', '$5640', 'questitem', 'none', 'glass', 0, 938, 3966, 3182, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49202, '', '$5641', '$5641', 'questitem', 'none', 'mineral', 0, 1206, 3177, 3183, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49203, '', '$5643', '$5643', 'questitem', 'none', 'liquid', 0, 2556, 6125, 3190, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49204, '', '$5644', '$5644', 'questitem', 'none', 'liquid', 0, 2215, 5491, 3190, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49205, '', '$5646', '$5646', 'questitem', 'normal', 'gemstone', 0, 3002, 6961, 3202, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49206, '', '$5649', '$5649', 'questitem', 'normal', 'gemstone', 0, 3039, 6949, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49207, '', '$6348', '$6348', 'questitem', 'normal', 'gemstone', 0, 591, 7088, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49208, '', '$5648', '$5648', 'questitem', 'normal', 'gemstone', 0, 3276, 7088, 3189, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49209, '', '$5740', '$5740', 'questitem', 'normal', 'paper', 0, 2018, 5614, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49210, '', '$5672', '$5672', 'questitem', 'normal', 'paper', 0, 2018, 5614, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49211, '', '$5673', '$5673', 'questitem', 'normal', 'paper', 0, 2018, 5614, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49212, '', '$5674', '$5674', 'questitem', 'normal', 'paper', 0, 2018, 5614, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49213, '', '$5736', '$5736', 'questitem', 'normal', 'paper', 0, 2018, 5614, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49214, '', '$5895', '$5895', 'questitem', 'normal', 'paper', 0, 2018, 5614, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49215, '', '$5731', '$5731', 'questitem', 'normal', 'leather', 0, 1531, 3832, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49216, '', '$5734', '$5734', 'scroll', 'normal', 'paper', 10000, 1036, 2879, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49217, '', '$5730', '$5730', 'questitem', 'normal', 'paper', 0, 917, 3963, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49218, '', '$5779', '$5779', 'questitem', 'normal', 'paper', 0, 917, 3963, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49219, '', '$5780', '$5780', 'questitem', 'normal', 'paper', 0, 917, 3963, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49220, '', '$5732', '$5732', 'scroll', 'normal', 'paper', 1000, 472, 22, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49221, '', '$5677', '$5677', 'questitem', 'normal', 'bone', 1000, 917, 3963, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49222, '', '$5676', '$5676', 'questitem', 'normal', 'bone', 1000, 43, 906, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49223, '', '$5670', '$5670', 'questitem', 'normal', 'mineral', 0, 2998, 5119, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49224, '', '$5671', '$5671', 'questitem', 'normal', 'mineral', 0, 3000, 5119, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49225, '', '$5678', '$5678', 'questitem', 'none', 'animalmatter', 0, 2093, 4301, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49226, '', '$5782', '$5782', 'scroll', 'normal', 'paper', 0, 473, 22, 0, 1, 0, 0, 0, 0, 0, 32841, 32860, 1000, 1, 0, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49227, '', '$5738', '$5738', 'questitem', 'normal', 'gemstone', 0, 3031, 6937, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49228, '', '$5964', '$5964', 'material', 'normal', 'silver', 6000, 1424, 3525, 3590, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49229, '', '$5781', '$5781', 'questitem', 'none', 'glass', 0, 2456, 884, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49230, '', '$5887', '$5887', 'questitem', 'normal', 'paper', 0, 2018, 5614, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49231, '', '$5733', '$5733', 'questitem', 'normal', 'gemstone', 0, 3039, 6949, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49232, '', '$5893', '$5893', 'questitem', 'normal', 'paper', 0, 2557, 22, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49233, '', '$6075', '$6075', 'questitem', 'normal', 'paper', 0, 2257, 22, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49234, '', '$6076', '$6076', 'questitem', 'normal', 'leather', 0, 958, 3963, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49235, '', '$5900', '$5900', 'questitem', 'normal', 'paper', 0, 919, 22, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49236, '', '$5894', '$5894', 'questitem', 'none', 'gemstone', 0, 991, 3963, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49237, '', '$6074', '$6074', 'questitem', 'normal', 'gemstone', 0, 991, 3963, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49238, '', '$5959', '$5959', 'questitem', 'normal', 'bone', 0, 665, 8, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49239, '', '$5735', '$5735', 'questitem', 'normal', 'gemstone', 1000, 990, 3963, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49240, '', '$5741', '$5741', 'questitem', 'normal', 'animalmatter', 1000, 1395, 3328, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49241, '', '$5799', '$5799', 'questitem', 'normal', 'glass', 0, 1997, 5048, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49242, '', '$6093', '$6093', 'questitem', 'none', 'iron', 0, 59, 151, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49243, '', '$1191', '$1191', 'food', 'normal', 'vegetation', 1000, 513, 1490, 3618, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 800, 1);
INSERT INTO etcitem VALUES(49244, '', '$6099', '$6099', 'food', 'normal', 'animalmatter', 2000, 2940, 6549, 3618, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 120, 1);
INSERT INTO etcitem VALUES(49245, '', '$6100', '$6100', 'food', 'normal', 'animalmatter', 2000, 2925, 6535, 3619, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 120, 1);
INSERT INTO etcitem VALUES(49246, '', '$6101', '$6101', 'food', 'normal', 'animalmatter', 2000, 2939, 6548, 3620, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 120, 1);
INSERT INTO etcitem VALUES(49247, '', '$6102', '$6102', 'food', 'normal', 'animalmatter', 2000, 2927, 6537, 3621, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 120, 1);
INSERT INTO etcitem VALUES(49248, '', '$6103', '$6103', 'food', 'normal', 'animalmatter', 2000, 2930, 6540, 3622, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 120, 1);
INSERT INTO etcitem VALUES(49249, '', '$6104', '$6104', 'food', 'normal', 'animalmatter', 2000, 2928, 6538, 3623, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 120, 1);
INSERT INTO etcitem VALUES(49250, '', '$6105', '$6105', 'food', 'normal', 'animalmatter', 2000, 2936, 6545, 3624, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 120, 1);
INSERT INTO etcitem VALUES(49251, '', '$6106', '$6106', 'food', 'normal', 'animalmatter', 2000, 2933, 6543, 3625, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 120, 1);
INSERT INTO etcitem VALUES(49252, '', '$4928$6099', '$4928$6099', 'food', 'normal', 'animalmatter', 2000, 2940, 6549, 3626, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 120, 1);
INSERT INTO etcitem VALUES(49253, '', '$4928$6100', '$4928$6100', 'food', 'normal', 'animalmatter', 2000, 2925, 6535, 3627, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 120, 1);
INSERT INTO etcitem VALUES(49254, '', '$4928$6101', '$4928$6101', 'food', 'normal', 'animalmatter', 2000, 2939, 6548, 3628, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 120, 1);
INSERT INTO etcitem VALUES(49255, '', '$4928$6102', '$4928$6102', 'food', 'normal', 'animalmatter', 2000, 2927, 6537, 3629, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 120, 1);
INSERT INTO etcitem VALUES(49256, '', '$4928$6103', '$4928$6103', 'food', 'normal', 'animalmatter', 2000, 2930, 6540, 3630, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 120, 1);
INSERT INTO etcitem VALUES(49257, '', '$4928$6104', '$4928$6104', 'food', 'normal', 'animalmatter', 2000, 2928, 6538, 3631, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 120, 1);
INSERT INTO etcitem VALUES(49258, '', '$4928$6105', '$4928$6105', 'food', 'normal', 'animalmatter', 2000, 2936, 6545, 3632, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 120, 1);
INSERT INTO etcitem VALUES(49259, '', '$4928$6106', '$4928$6106', 'food', 'normal', 'animalmatter', 2000, 2933, 6543, 3633, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 120, 1);
INSERT INTO etcitem VALUES(49260, '', '$6107', '$6107', 'food', 'normal', 'animalmatter', 10000, 2941, 6550, 3632, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 100, 1);
INSERT INTO etcitem VALUES(49261, '', '$6108', '$6108', 'food', 'normal', 'animalmatter', 10000, 2926, 6536, 3634, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 100, 1);
INSERT INTO etcitem VALUES(49262, '', '$6109', '$6109', 'food', 'normal', 'animalmatter', 10000, 2938, 6547, 3634, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 100, 1);
INSERT INTO etcitem VALUES(49263, '', '$6110', '$6110', 'food', 'normal', 'animalmatter', 10000, 2937, 6546, 3634, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 100, 1);
INSERT INTO etcitem VALUES(49264, '', '$6111', '$6111', 'food', 'normal', 'animalmatter', 10000, 2931, 6541, 3634, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 100, 1);
INSERT INTO etcitem VALUES(49265, '', '$6112', '$6112', 'food', 'normal', 'animalmatter', 10000, 2929, 6539, 3634, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 100, 1);
INSERT INTO etcitem VALUES(49266, '', '$6113', '$6113', 'food', 'normal', 'animalmatter', 10000, 2935, 6544, 3634, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 100, 1);
INSERT INTO etcitem VALUES(49267, '', '$6114', '$6114', 'food', 'normal', 'animalmatter', 10000, 2932, 6542, 3634, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 100, 1);
INSERT INTO etcitem VALUES(49270, '', '$4839', '$4839', 'firecracker', 'normal', 'gemstone', 0, 2456, 884, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO etcitem VALUES(49271, '', '$4830', '$4830', 'treasure_box', 'normal', 'none', 0, 2439, 3963, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49272, '', '$4830', '$4830', 'treasure_box', 'normal', 'none', 0, 2439, 3963, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49273, '', '$4830', '$4830', 'treasure_box', 'normal', 'none', 0, 2439, 3963, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49274, '', '$4846', '$4846', 'treasure_box', 'normal', 'none', 0, 2439, 3963, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49275, '', '$4846', '$4846', 'treasure_box', 'normal', 'none', 0, 2439, 3963, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49276, '', '$4846', '$4846', 'treasure_box', 'normal', 'none', 0, 2439, 3963, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49277, '', '$3598', '$3598', 'questitem', 'normal', 'gold', 1000, 1028, 3963, 1536, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49278, '', '$5287', '$5287', 'treasure_box', 'normal', 'vegetation', 14000, 943, 3963, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49279, '', '$5287', '$5287', 'treasure_box', 'normal', 'vegetation', 14000, 943, 3963, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49280, '', '$5287', '$5287', 'treasure_box', 'normal', 'vegetation', 14000, 943, 3963, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49287, '', '$5673', '$5673', 'questitem', 'normal', 'paper', 0, 2018, 5614, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);
INSERT INTO etcitem VALUES(49288, '', '$5674', '$5674', 'questitem', 'normal', 'paper', 0, 2018, 5614, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1);

INSERT INTO weapon VALUES(259, '', '$5486', '$5486', 'dagger', 'mithril', 30000, 2913, 6736, 3015, 5, 4, 1, 6, 1, 1, 1, 1, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0);
INSERT INTO weapon VALUES(260, '', '$5487', '$5487', 'tohandblunt', 'steel', 130000, 2909, 6734, 3016, 25, 25, 1, 6, 0, 1, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0);
INSERT INTO weapon VALUES(261, '', '$5489', '$5489', 'staff', 'wood', 20000, 2915, 6737, 3018, 12, 12, 1, 6, 0, 0, 1, 0, 0, 0, 1, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0);
INSERT INTO weapon VALUES(262, '', '$5488', '$5488', 'tohandsword', 'steel', 150000, 2917, 6738, 3017, 19, 18, 1, 6, 1, 1, 0, 0, 0, 1, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0);
INSERT INTO weapon VALUES(263, '', '$5490', '$5490', 'spear', 'steel', 80000, 2919, 6739, 3019, 15, 15, 2, 6, 1, 1, 1, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0);
INSERT INTO weapon VALUES(264, '', '$5491', '$5491', 'sword', 'blackmithril', 40000, 2911, 6735, 3020, 13, 12, 1, 6, 1, 1, 0, 1, 1, 1, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0);
INSERT INTO weapon VALUES(269, '', '$5661', '$5661', 'staff', 'wood', 15000, 3016, 6966, 0, 10, 10, 1, 6, 0, 0, 0, 0, 0, 0, 1, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0);
INSERT INTO weapon VALUES(270, '', '$5662', '$5662', 'kiringku', 'gemstone', 10000, 3018, 6939, 0, 26, 26, 1, 6, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 20, 0, 0, 0, 0, 0, 0, 0, 0, 50, 0, 1, 0, 0, 0);
INSERT INTO weapon VALUES(271, '', '$5663', '$5663', 'kiringku', 'gemstone', 10000, 3020, 6967, 0, 24, 24, 1, 6, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0);
INSERT INTO weapon VALUES(272, '', '$5668', '$5668', 'chainsword', 'silver', 100000, 3033, 6940, 0, 16, 10, 2, 6, 0, 0, 0, 0, 0, 1, 0, 2, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 50, 0, 1, 0, 0, 0);
INSERT INTO weapon VALUES(273, '', '$5669', '$5669', 'chainsword', 'iron', 110000, 3056, 6962, 0, 19, 17, 2, 6, 0, 0, 0, 0, 0, 1, 0, 2, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0);
INSERT INTO weapon VALUES(274, '', '$5631', '$5631', 'staff', 'gold', 40000, 1020, 781, 3173, 16, 12, 1, -1, 0, 0, 0, 0, 0, 0, 1, 5, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0);
INSERT INTO weapon VALUES(275, '', '$5664', '$5664', 'tohandsword', 'iron', 80000, 3022, 6940, 3219, 19, 17, 1, 6, 0, 0, 0, 0, 0, 1, 0, 4, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0);

-- change some magic mana costs
update skills set mpconsume = '8' where skill_id = 10;
update skills set ranged = '3' where skill_id = 10;
update skills set mpconsume = '6' where skill_id = 15;
update skills set mpconsume = '6' where skill_id = 16;
update skills set damage_value = '0' where skill_id = 17;
update skills set damage_value = '0' where skill_id = 22;
update skills set damage_dice = '4' where skill_id = 22;
update skills set damage_dice_count = '8' where skill_id = 22;
update skills set damage_value = '0' where skill_id = 25;
update skills set damage_dice = '9' where skill_id = 25;
update skills set damage_dice_count = '5' where skill_id = 25;
update skills set mpconsume = '12' where skill_id = 28;
update skills set ranged = '4' where skill_id = 28;
update skills set damage_value = '0' where skill_id = 30;
update skills set damage_dice = '8' where skill_id = 30;
update skills set damage_dice_count = '5' where skill_id = 30;
update skills set buffduration = '20' where skill_id = 33;
update skills set mpconsume = '18' where skill_id = 34;
update skills set damage_value = '40' where skill_id = 34;
update skills set damage_dice = '8' where skill_id = 34;
update skills set damage_dice_count = '5' where skill_id = 34;
update skills set ranged = '6' where skill_id = 34;
update skills set buffduration = '3600' where skill_id = 36;
update skills set mpconsume = '18' where skill_id = 38;
update skills set damage_value = '40' where skill_id = 38;
update skills set damage_dice = '6' where skill_id = 38;
update skills set damage_dice_count = '5' where skill_id = 38;
update skills set ranged = '6' where skill_id = 38;
update skills set mpconsume = '20' where skill_id = 45;
update skills set damage_value = '50' where skill_id = 45;
update skills set damage_dice = '3' where skill_id = 45;
update skills set damage_dice_count = '5' where skill_id = 45;
update skills set ranged = '8' where skill_id = 45;
update skills set mpconsume = '20' where skill_id = 46;
update skills set damage_dice = '5' where skill_id = 46;
update skills set damage_dice_count = '16' where skill_id = 46;
update skills set ranged = '3' where skill_id = 46;
update skills set damage_value = '50' where skill_id = 50;
update skills set damage_dice = '5' where skill_id = 50;
update skills set damage_dice_count = '6' where skill_id = 50;
update skills set ranged = '6' where skill_id = 50;
update skills set target_to = '12' where skill_id = 55;
update skills set damage_value = '41' where skill_id = 58;
update skills set damage_dice = '0' where skill_id = 58;
update skills set damage_dice_count = '0' where skill_id = 58;
update skills set damage_value = '3' where skill_id = 59;
update skills set damage_dice = '10' where skill_id = 59;
update skills set damage_dice_count = '3' where skill_id = 59;
update skills set buffduration = '16' where skill_id = 64;
update skills set buffduration = '1200' where skill_id = 79;
update skills set damage_value = '3' where skill_id = 80;
update skills set damage_dice = '10' where skill_id = 80;
update skills set damage_dice_count = '3' where skill_id = 80;

-- change teleport gfxids
update npc set gfxid = '6377' where npcid = 50015;
update npc set gfxid = '6377' where npcid = 50020;
update npc set gfxid = '6377' where npcid = 50024;
update npc set gfxid = '6377' where npcid = 50036;
update npc set gfxid = '6377' where npcid = 50039;
update npc set gfxid = '6377' where npcid = 50044;
update npc set gfxid = '6377' where npcid = 50046;
update npc set gfxid = '6377' where npcid = 50051;
update npc set gfxid = '6377' where npcid = 50054;
update npc set gfxid = '6377' where npcid = 50056;
update npc set gfxid = '6377' where npcid = 50066;
update npc set gfxid = '6377' where npcid = 50079;

-- fix dk skills
update skills set name = "DragonSkin" where skill_id = 181;
update skills set name = "BurningSlash" where skill_id = 182;
update skills set name = "GuardBreak" where skill_id = 183;
update skills set name = "MagmaBreath" where skill_id = 184;
update skills set name = "AwakenAntharas" where skill_id = 185;
update skills set name = "BloodLust" where skill_id = 186;
update skills set name = "FoeSlayer" where skill_id = 187;
update skills set name = "ResistFear" where skill_id = 188;
update skills set name = "ShockSkin" where skill_id = 189;
update skills set name = "AwakenFafurion" where skill_id = 190;
update skills set name = "MortalBody" where skill_id = 191;
update skills set name = "ThunderGrab" where skill_id = 192;
update skills set name = "HorrorOfDeath" where skill_id = 193;
update skills set name = "FreezingBreath" where skill_id = 194;
update skills set name = "AwakenValakas" where skill_id = 195;

update etcitem set name = "Dragon Tablet(DragonSkin)" where item_id = 49102;
update etcitem set name = "Dragon Tablet(BurningSlash)" where item_id = 49103;
update etcitem set name = "Dragon Tablet(GuardBreak)" where item_id = 49104;
update etcitem set name = "Dragon Tablet(MagmaBreath)" where item_id = 49105;
update etcitem set name = "Dragon Tablet(AwakenAntharas)" where item_id = 49106;
update etcitem set name = "Dragon Tablet(BloodLust)" where item_id = 49107;
update etcitem set name = "Dragon Tablet(FoeSlayer)" where item_id = 49108;
update etcitem set name = "Dragon Tablet(ResistFear)" where item_id = 49109;
update etcitem set name = "Dragon Tablet(ShockSkin)" where item_id = 49110;
update etcitem set name = "Dragon Tablet(AwakenFafurion)" where item_id = 49111;
update etcitem set name = "Dragon Tablet(MortalBody)" where item_id = 49112;
update etcitem set name = "Dragon Tablet(ThunderGrab)" where item_id = 49113;
update etcitem set name = "Dragon Tablet(HorrorOfDeath)" where item_id = 49114;
update etcitem set name = "Dragon Tablet(FreezingBreath)" where item_id = 49115;
update etcitem set name = "Dragon Tablet(AwakenValakas)" where item_id = 49116;

-- add drops/shops for dk spells

INSERT INTO shop VALUES(80137, '', 49103, '', 2, 2000, 0, 1000);
INSERT INTO shop VALUES(80137, '', 49104, '', 3, 2000, 0, 1000);
INSERT INTO shop VALUES(80137, '', 49108, '', 4, 9000, 0, 4500);
INSERT INTO shop VALUES(80137, '', 49109, '', 5, 9000, 0, 4500);
INSERT INTO shop VALUES(81243, '', 49102, '', 0, 1, 0, -1);
INSERT INTO shop VALUES(81243, '', 49103, '', 1, 1, 0, -1);
INSERT INTO shop VALUES(81243, '', 49104, '', 2, 1, 0, -1);
INSERT INTO shop VALUES(81243, '', 49105, '', 3, 1, 0, -1);
INSERT INTO shop VALUES(81243, '', 49106, '', 4, 1, 0, -1);
INSERT INTO shop VALUES(81243, '', 49107, '', 5, 1, 0, -1);
INSERT INTO shop VALUES(81243, '', 49108, '', 6, 1, 0, -1);
INSERT INTO shop VALUES(81243, '', 49109, '', 7, 1, 0, -1);
INSERT INTO shop VALUES(81243, '', 49110, '', 8, 1, 0, -1);
INSERT INTO shop VALUES(81243, '', 49111, '', 9, 1, 0, -1);
INSERT INTO shop VALUES(81243, '', 49112, '', 10, 1, 0, -1);
INSERT INTO shop VALUES(81243, '', 49113, '', 11, 1, 0, -1);
INSERT INTO shop VALUES(81243, '', 49114, '', 12, 1, 0, -1);
INSERT INTO shop VALUES(81243, '', 49115, '', 13, 1, 0, -1);
INSERT INTO shop VALUES(81243, '', 49116, '', 14, 1, 0, -1);

INSERT INTO droplist VALUES(45115, '', 49106, '', 1, 1, 10000);
INSERT INTO droplist VALUES(45121, '', 49105, '', 1, 1, 10000);
INSERT INTO droplist VALUES(45147, '', 49106, '', 1, 1, 10000);
INSERT INTO droplist VALUES(45158, '', 49111, '', 1, 1, 10000);
INSERT INTO droplist VALUES(45184, '', 49106, '', 1, 1, 10000);
INSERT INTO droplist VALUES(45190, '', 49106, '', 1, 1, 10000);
INSERT INTO droplist VALUES(45214, '', 49106, '', 1, 1, 10000);
INSERT INTO droplist VALUES(45224, '', 49115, '', 1, 1, 5000);
INSERT INTO droplist VALUES(45241, '', 49105, '', 1, 1, 10000);
INSERT INTO droplist VALUES(45298, '', 49112, '', 1, 1, 5000);
INSERT INTO droplist VALUES(45311, '', 49106, '', 1, 1, 10000);
INSERT INTO droplist VALUES(45322, '', 49111, '', 1, 1, 10000);
INSERT INTO droplist VALUES(45341, '', 49114, '', 1, 1, 500);
INSERT INTO droplist VALUES(45365, '', 49116, '', 1, 1, 5000);
INSERT INTO droplist VALUES(45373, '', 49106, '', 1, 1, 10000);
INSERT INTO droplist VALUES(45376, '', 49105, '', 1, 1, 10000);
INSERT INTO droplist VALUES(45376, '', 49116, '', 1, 1, 5000);
INSERT INTO droplist VALUES(45407, '', 49112, '', 1, 1, 5000);
INSERT INTO droplist VALUES(45422, '', 49115, '', 1, 1, 5000);
INSERT INTO droplist VALUES(45424, '', 49105, '', 1, 1, 10000);
INSERT INTO droplist VALUES(45458, '', 49114, '', 1, 1, 1000);
INSERT INTO droplist VALUES(45460, '', 49111, '', 1, 1, 10000);
INSERT INTO droplist VALUES(45496, '', 49105, '', 1, 1, 10000);
INSERT INTO droplist VALUES(45496, '', 49106, '', 1, 1, 10000);
INSERT INTO droplist VALUES(45506, '', 49115, '', 1, 1, 5000);
INSERT INTO droplist VALUES(45509, '', 49112, '', 1, 1, 5000);
INSERT INTO droplist VALUES(45510, '', 49113, '', 1, 1, 5000);
INSERT INTO droplist VALUES(45512, '', 49105, '', 1, 1, 10000);
INSERT INTO droplist VALUES(45512, '', 49114, '', 1, 1, 500);
INSERT INTO droplist VALUES(45515, '', 49105, '', 1, 1, 10000);
INSERT INTO droplist VALUES(45516, '', 49105, '', 1, 1, 10000);
INSERT INTO droplist VALUES(45522, '', 49116, '', 1, 1, 10000);
INSERT INTO droplist VALUES(45537, '', 49116, '', 1, 1, 5000);
INSERT INTO droplist VALUES(45573, '', 49114, '', 1, 1, 1000);
INSERT INTO droplist VALUES(45583, '', 49114, '', 1, 1, 1000);
INSERT INTO droplist VALUES(45589, '', 49114, '', 1, 1, 1000);
INSERT INTO droplist VALUES(45591, '', 49115, '', 1, 1, 5000);
INSERT INTO droplist VALUES(45593, '', 49113, '', 1, 1, 5000);
INSERT INTO droplist VALUES(45595, '', 49116, '', 1, 1, 5000);
INSERT INTO droplist VALUES(45600, '', 49110, '', 1, 1, 1000);
INSERT INTO droplist VALUES(45603, '', 49112, '', 1, 1, 5000);
INSERT INTO droplist VALUES(45618, '', 49110, '', 1, 1, 1000);
INSERT INTO droplist VALUES(45649, '', 49114, '', 1, 1, 1000);
INSERT INTO droplist VALUES(45649, '', 49116, '', 1, 1, 5000);
INSERT INTO droplist VALUES(45650, '', 49114, '', 1, 1, 1000);
INSERT INTO droplist VALUES(45654, '', 49116, '', 1, 1, 5000);
INSERT INTO droplist VALUES(45672, '', 49114, '', 1, 1, 1000);
INSERT INTO droplist VALUES(45685, '', 49110, '', 1, 1, 1000);
INSERT INTO droplist VALUES(45744, '', 49111, '', 1, 1, 10000);
INSERT INTO droplist VALUES(45745, '', 49111, '', 1, 1, 10000);
INSERT INTO droplist VALUES(45746, '', 49110, '', 1, 1, 1000);
INSERT INTO droplist VALUES(45747, '', 49110, '', 1, 1, 1000);
INSERT INTO droplist VALUES(45772, '', 49116, '', 1, 1, 5000);
INSERT INTO droplist VALUES(45786, '', 49105, '', 1, 1, 10000);
INSERT INTO droplist VALUES(45844, '', 49112, '', 1, 1, 5000);
INSERT INTO droplist VALUES(45855, '', 49111, '', 1, 1, 10000);
INSERT INTO droplist VALUES(45863, '', 49115, '', 1, 1, 5000);
INSERT INTO droplist VALUES(45908, '', 49112, '', 1, 1, 5000);
INSERT INTO droplist VALUES(45916, '', 49113, '', 1, 1, 3000);
INSERT INTO droplist VALUES(45936, '', 49111, '', 1, 1, 10000);
INSERT INTO droplist VALUES(45942, '', 49115, '', 1, 1, 5000);
INSERT INTO droplist VALUES(45959, '', 49106, '', 1, 1, 10000);
INSERT INTO droplist VALUES(45962, '', 49116, '', 1, 1, 5000);
INSERT INTO droplist VALUES(45984, '', 49111, '', 1, 1, 10000);
INSERT INTO droplist VALUES(46035, '', 49114, '', 1, 1, 1000);
INSERT INTO droplist VALUES(46107, '', 49111, '', 1, 1, 5000);
INSERT INTO droplist VALUES(46108, '', 49111, '', 1, 1, 5000);
INSERT INTO droplist VALUES(46111, '', 49106, '', 1, 1, 5000);
INSERT INTO droplist VALUES(46112, '', 49106, '', 1, 1, 5000);
INSERT INTO droplist VALUES(46115, '', 49110, '', 1, 1, 500);
INSERT INTO droplist VALUES(46116, '', 49110, '', 1, 1, 500);
INSERT INTO droplist VALUES(46121, '', 49113, '', 1, 1, 3000);
INSERT INTO droplist VALUES(46122, '', 49113, '', 1, 1, 3000);
INSERT INTO droplist VALUES(46140, '', 49115, '', 1, 1, 5000);
INSERT INTO droplist VALUES(81082, '', 49114, '', 1, 1, 1000);
insert into shop values (80137,'Gepharu',49158,'Forbidden Fruit',0,500,0,250);
insert into shop values (80137,'Gepharu',49157,'Bone Fragment',1,500,0,250);
insert into npc values (46157,'Orc Emissary','$6071','Orc Forest','L1Monster',788,17,250,15,-5,17,14,13,8,10,7,325,-16,'small',0,2,0,640,1160,0,1160,1160,0,0,0,0,0,0,'orc',1,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0);
insert into npc values (46158,'Orc Emissary','$6071','Gludin','L1Monster',788,17,250,15,-5,17,14,13,8,10,7,325,-16,'small',0,2,0,640,1160,0,1160,1160,0,0,0,0,0,0,'orc',1,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0);
insert into npc values (46159,'Orc Emissary','$6071','Windawood','L1Monster',788,17,250,15,-5,17,14,13,8,10,7,325,-16,'small',0,2,0,640,1160,0,1160,1160,0,0,0,0,0,0,'orc',1,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0);
insert into npc values (46160,'Escort of Orc Emissary','$6334','','L1Monster',3864,12,85,5,5,14,14,14,8,10,5,65,-8,'small',4,1,1,640,880,760,880,880,0,0,0,0,0,0,'orc',1,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,-1,0,0,0,0,0);
insert into npc values (46161,'Orc Emissary Leader','$5788','','L1Monster',5938,28,300,25,-15,20,18,18,10,18,15,0,-2,'small',0,1,0,1040,1280,1280,1280,1280,0,0,0,0,0,0,'orc',1,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0);
insert into npc values (81245,'Orc Emissary','$6071','HC3F','L1Merchant',5816,17,250,15,-5,17,14,13,8,10,7,325,-16,'small',0,2,0,640,1160,0,1160,1160,0,0,0,0,0,0,'orc',1,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0);
insert into npcaction values (81245,'','','','');
insert into mobgroup values (72,'Orc Emissary(1) Escort of Orc Emissary(2)',1,46157,46160,2,0,0,0,0,0,0,0,0,0,0,0,0);
insert into mobgroup values (73,'Orc Emissary(1) Escort of Orc Emissary(2)',1,46158,46160,2,0,0,0,0,0,0,0,0,0,0,0,0);
insert into mobgroup values (74,'Orc Emissary(1) Escort of Orc Emissary(2)',1,46159,46160,2,0,0,0,0,0,0,0,0,0,0,0,0);
insert into droplist values (46157,'Orc Emissary',49217,'Orc Search Document (Orc Forest)',1,1,1000000);
insert into droplist values (46158,'Orc Emissary',49218,'Orc Search Document (Gludin)',1,1,1000000);
insert into droplist values (46159,'Orc Emissary',49219,'Orc Search Document (Windawood)',1,1,1000000);
insert into droplist values (46161,'Orc Emissary Leader',49221,'Official Note of Orc Emissary Leader',1,1,1000000);
insert into droplist values (45294,'Yeti',40010,'Lesser Healing Potion',1,1,300000);
insert into droplist values (45294,'Yeti',49225,'Heart of Yeti',1,1,50000);
insert into spawnlist values (400001,'Orc Emissary (Orc Forest)',1,46157,72,32760,32250,10,10,0,0,0,0,5,100000,300000,4,0,100,0,0);
insert into spawnlist values (400002,'Orc Emissary (Gludin)',1,46158,72,32777,32572,10,10,0,0,0,0,5,100000,300000,4,0,100,0,0);
insert into spawnlist values (400003,'Orc Emissary (Windawood)',1,46159,72,32640,33030,10,10,0,0,0,0,5,100000,300000,4,0,100,0,0);
insert into spawnlist_npc values (1310415,'Orc Emissary',1,81245,32727,32808,10,10,5,0,61,100);
update armor set name = 'Dragon Scale Guarder' where item_id = 21103;
update armor set name = 'Cloak of Dragon Knight' where item_id = 21102;
update armor set name = 'Guarder of Ancient Archer' where item_id = 21105;
update armor set name = 'Guarder of Ancient Warrior' where item_id = 21106;
update mapids set locationname = 'Silveria' where mapid = 1000;
update mapids set locationname = 'Behimous' where mapid = 1001;
update npc set name = 'Elder Prochel' where npcid = 80136;
update npc set name = 'Elder Sleyin' where npcid = 80145;

-- some missing spawns added for hidden singing winda orctown firevalley and elvenforrest
INSERT INTO `spawnlist` VALUES ('801500428', 'Jindo Puppy', '1', '45711', '0', '32686', '32820', '12', '12', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500429', 'Jindo Puppy', '1', '45711', '0', '32754', '32719', '12', '12', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500430', 'Jindo Puppy', '1', '45711', '0', '32729', '32720', '12', '12', '0', '0', '0', '0', '5', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500431', 'Jindo Puppy', '1', '45711', '0', '32783', '32684', '12', '12', '0', '0', '0', '0', '1', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500432', 'Jindo Puppy', '1', '45711', '0', '32792', '32636', '12', '12', '0', '0', '0', '0', '4', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500433', 'Jindo Puppy', '1', '45711', '0', '32833', '32629', '12', '12', '0', '0', '0', '0', '6', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500434', 'Doberman', '1', '45042', '0', '32871', '32634', '12', '12', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500435', 'Doberman', '1', '45042', '0', '32870', '32613', '12', '12', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500436', 'Doberman', '1', '45042', '0', '32901', '32603', '12', '12', '0', '0', '0', '0', '6', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500438', 'Collie', '1', '45054', '0', '32927', '32638', '12', '12', '0', '0', '0', '0', '2', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500439', 'Shepherd', '1', '45034', '0', '32780', '32638', '12', '12', '0', '0', '0', '0', '6', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500440', 'Shepherd', '1', '45034', '0', '32770', '32704', '12', '12', '0', '0', '0', '0', '5', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500441', 'Shepherd', '1', '45034', '0', '32806', '32707', '12', '12', '0', '0', '0', '0', '1', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500442', 'Goblin', '1', '45008', '0', '32673', '32820', '12', '12', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500443', 'Goblin', '1', '45008', '0', '32673', '32820', '12', '12', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500444', 'Goblin', '1', '45008', '0', '32673', '32820', '12', '12', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500445', 'Goblin', '1', '45008', '0', '32673', '32820', '12', '12', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500446', 'Goblin', '1', '45008', '0', '32673', '32820', '12', '12', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500447', 'Wolf', '1', '45043', '0', '32660', '32800', '12', '12', '0', '0', '0', '0', '6', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500448', 'Husky', '1', '45053', '0', '32637', '32907', '12', '12', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500449', 'Collie', '1', '45054', '0', '32638', '32938', '12', '12', '0', '0', '0', '0', '4', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500450', 'Collie', '1', '45054', '0', '32727', '32930', '12', '12', '0', '0', '0', '0', '4', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500451', 'Shepherd', '1', '45034', '0', '32758', '32958', '12', '12', '0', '0', '0', '0', '2', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500452', 'Shepherd', '1', '45034', '0', '32786', '32968', '12', '12', '0', '0', '0', '0', '2', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500453', 'Shepherd', '1', '45034', '0', '32782', '33003', '12', '12', '0', '0', '0', '0', '1', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500454', 'Jindo Puppy', '1', '45711', '0', '32757', '32990', '12', '12', '0', '0', '0', '0', '6', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500455', 'Jindo Puppy', '1', '45711', '0', '32728', '32973', '12', '12', '0', '0', '0', '0', '5', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500456', 'Jindo Puppy', '1', '45711', '0', '32705', '32945', '12', '12', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500457', 'Jindo Puppy', '1', '45711', '0', '32683', '32946', '12', '12', '0', '0', '0', '0', '6', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500458', 'Shepherd', '1', '45034', '0', '32567', '32880', '12', '12', '0', '0', '0', '0', '0', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500459', 'Shepherd', '1', '45034', '0', '32557', '32841', '12', '12', '0', '0', '0', '0', '0', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500461', 'Shepherd', '1', '45034', '0', '32498', '32911', '12', '12', '0', '0', '0', '0', '5', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500462', 'Wolf', '1', '45043', '0', '32599', '33041', '12', '12', '0', '0', '0', '0', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500463', 'Doberman', '1', '45042', '0', '32599', '33041', '12', '12', '0', '0', '0', '0', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500464', 'Wolf', '1', '45043', '0', '32623', '33041', '12', '12', '0', '0', '0', '0', '1', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500467', 'Cat', '1', '45039', '0', '32711', '32399', '12', '12', '0', '0', '0', '0', '1', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500468', 'Cat', '1', '45039', '0', '32748', '32409', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500469', 'Cat', '1', '45039', '0', '32794', '32438', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500470', 'Doberman', '1', '45042', '0', '32659', '33216', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500471', 'Beagle', '1', '45046', '0', '32667', '33226', '12', '12', '0', '0', '0', '0', '3', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500472', 'Doberman', '1', '45042', '0', '32645', '33249', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500473', 'Beagle', '1', '45046', '0', '32613', '33247', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500474', 'Doberman', '1', '45042', '0', '32591', '33222', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500475', 'Fox', '1', '45048', '0', '34086', '32381', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500476', 'Fox', '1', '45048', '0', '34134', '32397', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500477', 'Fox', '1', '45048', '0', '34160', '32468', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500478', 'Fox', '1', '45048', '0', '34194', '32516', '12', '12', '0', '0', '0', '0', '3', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500479', 'Fox', '1', '45048', '0', '34167', '32570', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500480', 'Killer Rabbit', '1', '45049', '0', '33713', '32415', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500481', 'Killer Rabbit', '1', '45049', '0', '33723', '32353', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');

-- elvenforrest spawns near town
INSERT INTO `spawnlist` VALUES ('801500482', 'Fungus', '1', '45030', '0', '33139', '32233', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500483', 'Fungus', '1', '45030', '0', '33139', '32233', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500484', 'Fungus', '1', '45030', '0', '33144', '32234', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500485', 'Fungus', '1', '45030', '0', '33153', '32237', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500486', 'Fungus', '1', '45030', '0', '33133', '32253', '12', '12', '0', '0', '0', '0', '1', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500487', 'Fungus', '1', '45030', '0', '33129', '32237', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500488', 'Frog', '1', '45005', '0', '33152', '32249', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500489', 'Fungus', '1', '45030', '0', '33139', '32233', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500490', 'Fungus', '1', '45030', '0', '33139', '32233', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500491', 'Fungus', '1', '45030', '0', '33144', '32234', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500492', 'Fungus', '1', '45030', '0', '33153', '32237', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500493', 'Fungus', '1', '45030', '0', '33133', '32253', '12', '12', '0', '0', '0', '0', '1', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500494', 'Fungus', '1', '45030', '0', '33129', '32237', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500496', 'Frog', '1', '45005', '0', '33131', '32284', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500497', 'Frog', '1', '45005', '0', '33089', '32295', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500498', 'Frog', '1', '45005', '0', '33053', '32263', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500499', 'Rabbit', '1', '45010', '0', '33039', '32305', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500500', 'Rabbit', '1', '45011', '0', '33053', '32321', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500501', 'Rabbit', '1', '45012', '0', '33071', '32329', '12', '12', '0', '0', '0', '0', '3', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500502', 'Rabbit', '1', '45012', '0', '33095', '32310', '12', '12', '0', '0', '0', '0', '1', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500503', 'Rabbit', '1', '45011', '0', '33112', '32290', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500504', 'Rabbit', '1', '45012', '0', '33116', '32260', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500505', 'Rabbit', '1', '45012', '0', '33094', '32234', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500506', 'Rabbit', '1', '45010', '0', '33073', '32212', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500507', 'Rabbit', '1', '45010', '0', '33037', '32213', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500508', 'Rabbit', '1', '45012', '0', '33014', '32231', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500509', 'Rabbit', '1', '45011', '0', '33014', '32231', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500510', 'Rabbit', '1', '45010', '0', '33014', '32231', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500511', 'Rabbit', '1', '45012', '0', '32980', '32262', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500512', 'Rabbit', '1', '45011', '0', '32993', '32293', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500513', 'Goblin', '1', '45008', '0', '33034', '32286', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500514', 'Goblin', '1', '45008', '0', '33047', '32279', '12', '12', '0', '0', '0', '0', '1', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500515', 'Goblin', '1', '45008', '0', '33040', '32257', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500516', 'Goblin', '1', '45008', '0', '33052', '32236', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500517', 'Goblin', '1', '45008', '0', '33090', '32245', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500518', 'Goblin', '1', '45008', '0', '33098', '32260', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500519', 'Goblin', '1', '45008', '0', '33115', '32288', '12', '12', '0', '0', '0', '0', '3', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500520', 'Goblin', '1', '45008', '0', '33162', '32246', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500521', 'Goblin', '1', '45008', '0', '33173', '32245', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500522', 'Goblin', '1', '45008', '0', '33175', '32232', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500523', 'Goblin', '1', '45008', '0', '33171', '32208', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500524', 'Goblin', '1', '45008', '0', '33149', '32212', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500525', 'Orc', '1', '45009', '0', '33130', '32226', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500526', 'Orc', '1', '45009', '0', '33157', '32234', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500527', 'Orc', '1', '45009', '0', '33176', '32256', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500528', 'Orc', '1', '45009', '0', '33188', '32243', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500529', 'Orc', '1', '45009', '0', '33184', '32270', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500530', 'Orc', '1', '45009', '0', '33155', '32307', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500531', 'Orc', '1', '45009', '0', '33165', '32307', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500532', 'Orc', '1', '45009', '0', '33141', '32299', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500533', 'Orc', '1', '45009', '0', '33134', '32287', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500534', 'Orc', '1', '45009', '0', '33104', '32290', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500535', 'Orc', '1', '45009', '0', '33092', '32300', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500536', 'Orc', '1', '45009', '0', '33073', '32283', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500537', 'Orc', '1', '45009', '0', '33074', '32262', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500538', 'Orc', '1', '45009', '0', '33042', '32278', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500539', 'Orc', '1', '45009', '0', '33031', '32311', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500540', 'Orc', '1', '45009', '0', '33106', '32318', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500541', 'Orc', '1', '45009', '0', '33108', '32340', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500542', 'Orc', '1', '45009', '0', '33124', '32341', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500543', 'Orc', '1', '45009', '0', '33145', '32327', '12', '12', '0', '0', '0', '0', '1', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500544', 'Orc', '1', '45009', '0', '33137', '32316', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500545', 'Orc', '1', '45009', '0', '33166', '32289', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500546', 'Rabbit', '1', '45013', '0', '33169', '32275', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500547', 'Orc', '1', '45009', '0', '33168', '32259', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500548', 'Orc Archer', '1', '45019', '0', '33114', '32251', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500549', 'Deer', '1', '45021', '0', '33114', '32251', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500550', 'Deer', '1', '45021', '0', '33128', '32261', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500551', 'Deer', '1', '45021', '0', '33150', '32267', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500552', 'Deer', '1', '45021', '0', '33149', '32281', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500553', 'Deer', '1', '45021', '0', '33170', '32274', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500554', 'Deer', '1', '45021', '0', '33115', '32286', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500555', 'Deer', '1', '45021', '0', '33080', '32273', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500556', 'Deer', '1', '45021', '0', '33050', '32293', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500557', 'Deer', '1', '45021', '0', '33009', '32332', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500558', 'Deer', '1', '45021', '0', '33018', '32361', '12', '12', '0', '0', '0', '0', '3', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500559', 'Kobold', '1', '45016', '0', '33018', '32360', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500560', 'Kobold', '1', '45016', '0', '33023', '32339', '12', '12', '0', '0', '0', '0', '1', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500561', 'Kobold', '1', '45016', '0', '33034', '32308', '12', '12', '0', '0', '0', '0', '7', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500562', 'Kobold', '1', '45016', '0', '33072', '32290', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500563', 'Kobold', '1', '45016', '0', '33103', '32279', '12', '12', '0', '0', '0', '0', '1', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500564', 'Kobold', '1', '45016', '0', '33127', '32279', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500565', 'Kobold', '1', '45016', '0', '33123', '32259', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500566', 'Frog', '1', '45005', '0', '33123', '32259', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500568', 'Goblin', '1', '45008', '0', '33123', '32257', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500569', 'Goblin', '1', '45008', '0', '33128', '32256', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500570', 'Goblin', '1', '45008', '0', '33128', '32256', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500571', 'Goblin', '1', '45008', '0', '33128', '32256', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500572', 'Dwarf', '1', '45041', '0', '33126', '32252', '12', '12', '0', '0', '0', '0', '7', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500573', 'Dwarf', '1', '45041', '0', '33139', '32255', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500574', 'Dwarf', '1', '45041', '0', '33157', '32260', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500575', 'Dwarf', '1', '45041', '0', '33159', '32231', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500576', 'Dwarf', '1', '45041', '0', '33141', '32227', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500577', 'Dwarf', '1', '45041', '0', '33146', '32208', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500578', 'Dwarf', '1', '45041', '0', '33112', '32218', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500579', 'Dwarf', '1', '45041', '0', '33088', '32240', '12', '12', '0', '0', '0', '0', '7', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500580', 'Dwarf', '1', '45041', '0', '33072', '32264', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500581', 'Dwarf', '1', '45041', '0', '33054', '32276', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500582', 'Dwarf', '1', '45041', '0', '33066', '32289', '12', '12', '0', '0', '0', '0', '3', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500583', 'Dwarf', '1', '45041', '0', '33092', '32305', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500584', 'Dwarf', '1', '45041', '0', '33094', '32323', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500585', 'Dwarf', '1', '45041', '0', '33088', '32362', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500586', 'Dwarf', '1', '45041', '0', '33110', '32361', '12', '12', '0', '0', '0', '0', '1', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500587', 'Goblin', '1', '45008', '0', '33132', '32347', '12', '12', '0', '0', '0', '0', '1', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500588', 'Dwarf', '1', '45041', '0', '33128', '32333', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500589', 'Dwarf', '1', '45041', '0', '33134', '32310', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500590', 'Dwarf', '1', '45041', '0', '33119', '32286', '12', '12', '0', '0', '0', '0', '7', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500591', 'Wild Boar', '1', '45058', '0', '33121', '32278', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500592', 'Wild Boar', '1', '45058', '0', '33108', '32263', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500593', 'Wild Boar', '1', '45058', '0', '33080', '32266', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500594', 'Wild Boar', '1', '45058', '0', '33061', '32243', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500595', 'Wild Boar', '1', '45058', '0', '33044', '32253', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500596', 'Wild Boar', '1', '45058', '0', '33052', '32279', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500597', 'Wild Boar', '1', '45058', '0', '33063', '32292', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500598', 'Wild Boar', '1', '45058', '0', '33085', '32299', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500599', 'Wild Boar', '1', '45058', '0', '33110', '32277', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500600', 'Wild Boar', '1', '45058', '0', '33131', '32295', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500601', 'Wild Boar', '1', '45058', '0', '33117', '32326', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500602', 'Werewolf', '1', '45024', '0', '33117', '32310', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500603', 'Werewolf', '1', '45024', '0', '33124', '32279', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500604', 'Werewolf', '1', '45024', '0', '33167', '32264', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500605', 'Werewolf', '1', '45024', '0', '33152', '32246', '12', '12', '0', '0', '0', '0', '7', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500606', 'Werewolf', '1', '45024', '0', '33178', '32221', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500607', 'Werewolf', '1', '45024', '0', '33193', '32225', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500608', 'Werewolf', '1', '45024', '0', '33149', '32218', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500609', 'Werewolf', '1', '45024', '0', '33120', '32214', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500610', 'Werewolf', '1', '45024', '0', '33092', '32238', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500611', 'Werewolf', '1', '45024', '0', '33080', '32252', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500612', 'Werewolf', '1', '45024', '0', '33119', '32336', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500613', 'Orc Archer', '1', '45019', '0', '33106', '32239', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500614', 'Orc Archer', '1', '45019', '0', '33077', '32259', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500615', 'Orc Archer', '1', '45019', '0', '33090', '32286', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500616', 'Orc Archer', '1', '45019', '0', '33120', '32312', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500617', 'Orc Archer', '1', '45019', '0', '33156', '32298', '12', '12', '0', '0', '0', '0', '1', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500618', 'Orc Archer', '1', '45019', '0', '33186', '32326', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500619', 'Orc Archer', '1', '45019', '0', '33147', '32338', '12', '12', '0', '0', '0', '0', '7', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500620', 'Orc Archer', '1', '45019', '0', '33097', '32322', '12', '12', '0', '0', '0', '0', '7', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500621', 'Orc Archer', '1', '45019', '0', '33044', '32296', '12', '12', '0', '0', '0', '0', '7', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500622', 'Orc Archer', '1', '45019', '0', '33013', '32283', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500623', 'Orc Archer', '1', '45019', '0', '33000', '32307', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500624', 'Orc Archer', '1', '45019', '0', '33005', '32363', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500625', 'Orc Archer', '1', '45019', '0', '33022', '32381', '12', '12', '0', '0', '0', '0', '3', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500626', 'Orc Archer', '1', '45019', '0', '33085', '32387', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500627', 'Orc Archer', '1', '45019', '0', '33105', '32357', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500628', 'Orc Archer', '1', '45019', '0', '33126', '32318', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');

-- mapid some name corrections
update mapids set locationname = 'Talking Island Dungeon Floor 1' where mapid = 1;
update mapids set locationname = 'Talking Island Dungeon Floor 2' where mapid = 2;
update mapids set locationname = 'Gunters House' where mapid = 3;
update mapids set locationname = 'Ship to Gludin' where mapid = 5;
update mapids set locationname = 'Ship to Talking Island' where mapid = 6;
update mapids set locationname = 'Gludio Dungeon Floor 1' where mapid = 7;
update mapids set locationname = 'Gludio Dungeon Floor 2' where mapid = 8;
update mapids set locationname = 'Gludio Dungeon Floor 3' where mapid = 9;
update mapids set locationname = 'Gludio Dungeon Floor 4' where mapid = 10;
update mapids set locationname = 'Gludio Dungeon Floor 5' where mapid = 11;
update mapids set locationname = 'Gludio Dungeon Floor 6' where mapid = 12;
update mapids set locationname = 'Gludio Dungeon Floor 7' where mapid = 13;
update mapids set locationname = 'Underground Passageway' where mapid = 14;
update mapids set locationname = 'Kent Inner Castle' where mapid = 15;
update mapids set locationname = 'Hardins Laboratory' where mapid = 16;
update mapids set locationname = 'Dupelgenon Dungeon' where mapid = 18;
update mapids set locationname = 'Elven Forest Dungeon Floor 1' where mapid = 19;
update mapids set locationname = 'Elven Forest Dungeon Floor 2' where mapid = 20;
update mapids set locationname = 'Elven Forest Dungeon Floor 3' where mapid = 21;
update mapids set locationname = 'Gerards Test Dungeon' where mapid = 22;
update mapids set locationname = 'Training Dungeon Floor 1' where mapid = 25;
update mapids set locationname = 'Training Dungeon Floor 2' where mapid = 26;
update mapids set locationname = 'Training Dungeon Floor 3' where mapid = 27;
update mapids set locationname = 'Training Dungeon Floor 4' where mapid = 28;
update mapids set locationname = 'Dragon Valley Dungeon Floor 1' where mapid = 30;
update mapids set locationname = 'Dragon Valley Dungeon Floor 2' where mapid = 31;
update mapids set locationname = 'Dragon Valley Dungeon Floor 3' where mapid = 32;
update mapids set locationname = 'Dragon Valley Dungeon Floor 4' where mapid = 33;
update mapids set locationname = 'Dragon Valley Dungeon Floor 5' where mapid = 35;
update mapids set locationname = 'Dragon Valley Dungeon Floor 6' where mapid = 36;
update mapids set locationname = 'Lair of Antharas' where mapid = 37;
update mapids set locationname = 'Giran Inner Castle' where mapid = 52;
update mapids set locationname = 'Giran Prison Floor 1' where mapid = 53;
update mapids set locationname = 'Giran Prison Floor 2' where mapid = 54;
update mapids set locationname = 'Giran Prison Floor 3' where mapid = 55;
update mapids set locationname = 'Giran Prison Floor 4' where mapid = 56;
update mapids set locationname = 'Eva Kingdom Dungeon Floor 1' where mapid = 59;
update mapids set locationname = 'Eva Kingdom Dungeon Floor 2' where mapid = 60;
update mapids set locationname = 'Eva Kingdom Dungeon Floor 3' where mapid = 61;
update mapids set locationname = 'Ice Crystal Cave' where mapid = 72;
update mapids set locationname = 'Ice Queens Castle 2F' where mapid = 73;
update mapids set locationname = 'Ice Queens Castle 3F' where mapid = 74;
update mapids set locationname = 'Oren Ivory Tower Floor 1' where mapid = 75;
update mapids set locationname = 'Oren Ivory Tower Floor 2' where mapid = 76;
update mapids set locationname = 'Oren Ivory Tower Floor 3' where mapid = 77;
update mapids set locationname = 'Oren Ivory Tower Floor 4' where mapid = 78;
update mapids set locationname = 'Oren Ivory Tower Floor 5' where mapid = 79;
update mapids set locationname = 'Oren Ivory Tower Floor 6' where mapid = 80;
update mapids set locationname = 'Oren Ivory Tower Floor 7' where mapid = 81;
update mapids set locationname = 'Oren Ivory Tower Floor 8' where mapid = 82;
update mapids set locationname = 'Ship to Forgotten Island' where mapid = 83;
update mapids set locationname = 'Ship to Heine' where mapid = 84;
update mapids set locationname = 'Aden Inner Castle' where mapid = 300;
update mapids set locationname = 'Tower of Insolence Underground Path' where mapid = 301;
update mapids set locationname = 'Island of Dreams' where mapid = 303;
update mapids set locationname = 'Cave of Silence' where mapid = 304;
update mapids set locationname = 'Lair of Bludika' where mapid = 305;
update mapids set locationname = 'Dark Elf Quest Dungeon' where mapid = 306;
update mapids set locationname = 'Gludin Market' where mapid = 340;
update mapids set locationname = 'Giran Market' where mapid = 350;
update mapids set locationname = 'Oren Market' where mapid = 360;
update mapids set locationname = 'Silver Knight Town Market' where mapid = 370;
update mapids set locationname = 'Mineral Cave' where mapid = 330;
update mapids set locationname = 'Polluted Land of Blessing' where mapid = 244;
update mapids set locationname = '1F Taros underground Dungeon' where mapid = 248;
update mapids set locationname = '2F Coveters Trap' where mapid = 249;
update mapids set locationname = '3F Hall of Greed' where mapid = 250;
update mapids set locationname = '4F Counts Room' where mapid = 251;
update mapids set locationname = 'All Associations Region' where mapid = 400;
update mapids set locationname = 'Ship to Hidden to Dock' where mapid = 446;
update mapids set locationname = 'Ship to Pirate Island' where mapid = 447;
update mapids set locationname = 'Lastavard Main Gate' where mapid = 450;
update mapids set locationname = 'Shadow Temple Outline' where mapid = 521;
update mapids set locationname = 'Shadow Temple Floor 1' where mapid = 522;
update mapids set locationname = 'Shadow Temple Floor 2' where mapid = 523;
update mapids set locationname = 'Shadow Temple Floor 3' where mapid = 524;
update mapids set locationname = 'Watery Grave of Spirit' where mapid = 550;
update mapids set locationname = 'Deep Sea Grave of Spirit' where mapid = 558;
update mapids set locationname = 'Varloks Audience Room' where mapid = 602;
update mapids set locationname = 'Varloks Hideout' where mapid = 603;
update mapids set locationname = 'Room of Waves' where mapid = 604;
update mapids set locationname = 'Room of Flames' where mapid = 605;
update mapids set locationname = 'Room of Hurricanes' where mapid = 606;
update mapids set locationname = 'Room of Earthquakes' where mapid = 607;
update mapids set locationname = 'Yahees Laboratory' where mapid = 608;
